(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    656221,      15267]
NotebookOptionsPosition[    635302,      14578]
NotebookOutlinePosition[    635966,      14604]
CellTagsIndexPosition[    635923,      14601]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Abstract Algebra: An  Interactive Approach", "Special2",
 Evaluatable->False,
 CellChangeTimes->{{3.436525104765625*^9, 3.436525121875*^9}},
 TextAlignment->Center,
 FontFamily->"Arial",
 FontSize->36,
 FontWeight->"Bold",
 FontSlant->"Italic",
 FontColor->RGBColor[1, 0, 1],
 Background->RGBColor[0.500008, 1, 1]],

Cell[CellGroupData[{

Cell["\[Copyright]2009   William Paulsen", "Name",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436525125328125*^9, 3.43652512740625*^9}},
 FontFamily->"Arial",
 FontSize->10,
 FontSlant->"Italic",
 FontColor->RGBColor[0, 0, 1],
 Background->GrayLevel[1]],

Cell["\<\
All rights reserved:  No part of these materials may be reproduced, either \
electronically, mechanically, or by any other means or in any form, without \
the written permission from the author. All software is provided \"as is\" \
without warranty of any kind, either expressed or implied, including, but not \
limited to, the implied warranties of merchantability and fitness for a \
particular purpose.\
\>", "Name",
 Editable->False,
 Evaluatable->False,
 CellHorizontalScrolling->False,
 FontFamily->"Arial",
 FontSize->10,
 FontSlant->"Italic",
 FontColor->RGBColor[0, 0, 1],
 Background->GrayLevel[1]]
}, Closed]],

Cell["\<\
Chapter 3
Patterns Within the Cosets of Groups\
\>", "Title",
 CellFrame->True,
 Evaluatable->False,
 CellHorizontalScrolling->False,
 TextAlignment->Center,
 FontFamily->"Arial",
 FontSize->24,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[CellGroupData[{

Cell["Initialization", "Special2",
 Evaluatable->False,
 TextAlignment->Center,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["<<c:\\math\\group.m", "Input",
 PageWidth->Infinity,
 InitializationCell->True,
 CellChangeTimes->{{3.436525271078125*^9, 3.4365252743125*^9}},
 AspectRatioFixed->True],

Cell[BoxData["\<\"Initialization Done\"\>"], "Print",
 CellChangeTimes->{3.436525399140625*^9, 3.436526542484375*^9, 
  3.4365305527581253`*^9, 3.4365328022268753`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Left and Right Cosets", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "In the last chapter, we used the circle graph to determine whether an \
element or a set of elements could generate the entire group. Whenever there \
was a means of traveling along the arrows from any element to any other \
element in the circle graph, we said the group was generated. In this section \
we will look at some cases where the group is ",
 StyleBox["not",
  FontSlant->"Italic"],
 " generated, to see if we can find some patterns in the circle graphs. \n\n\
Let us look at the example ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "10"], TraditionalForm]]],
 ". The generaters were 1, 3, 7, and 9, so let us pick an elements besides \
these, such as 4. Here is the circle graph of Add[4]:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
DefSumMod[10];
CircleGraph[{0,1,2,3,4,5,6,7,8,9},Add[4] ]\
\>", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5877852522924731, 0.8090169943749475}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9510565162951535, 0.30901699437494745`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9510565162951535, -0.30901699437494756`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5877852522924732, -0.8090169943749473}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.2246467991473532`*^-16, -1.}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5877852522924734, -0.8090169943749472}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9510565162951535, -0.30901699437494756`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9510565162951536, 0.30901699437494723`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5877852522924734, 0.8090169943749473}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"0\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], InsetBox[
    TagBox[
     StyleBox["\<\"5\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, -1.1}, {0, 1}], {InsetBox[
     TagBox[
      StyleBox["\<\"1\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6465637775217205, 0.8899186938124423}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0461621679246689`, 0.3399186938124422}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0461621679246689`, -0.33991869381244233`}, {-1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6465637775217207, -0.8899186938124422}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"6\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6465637775217208, -0.889918693812442}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"7\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.0461621679246689`, -0.33991869381244233`}, {1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"8\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.046162167924669, 0.339918693812442}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"9\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6465637775217208, 0.8899186938124422}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], 
      LineBox[{{0., 1.}, {0.5568835528549785, -0.713911342745432}}], 
      PolygonBox[{{0.5877852522924732, -0.8090169943749473}, {
       0.6044363786697362, -0.6984604930266846}, {
       0.5093307270402208, -0.7293621924641793}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{
       0.5877852522924732, -0.8090169943749473}, {-0.8701548168576589, 
       0.2502384691456999}}], 
      PolygonBox[{{-0.9510565162951536, 
       0.30901699437494723`}, {-0.8995440794722825, 
       0.20978761942695257`}, {-0.8407655542430352, 0.2906893188644473}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.9510565162951536, 0.30901699437494723`}, {
       0.8510565162951536, 0.30901699437494745`}}], 
      PolygonBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.8510565162951536, 0.35901699437494744`}, {0.8510565162951536, 
       0.2590169943749474}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.9510565162951535, 
       0.30901699437494745`}, {-0.5068835528549787, -0.7502384691456999}}], 
      PolygonBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.47749429024035495`, -0.7906893188644473}, {-0.5362728154696023, \
-0.7097876194269526}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.030901699437494757`, 0.9048943483704847}}], 
      PolygonBox[{{0., 1.}, {-0.07845452525225244, 0.920345198089232}, {
       0.016651126377262918`, 0.8894434986517372}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{0.5877852522924731, 0.8090169943749475}, {
       0.03090169943749486, -0.9048943483704847}}], 
      PolygonBox[{{1.2246467991473532`*^-16, -1.}, {
       0.07845452525225254, -0.920345198089232}, {-0.016651126377262824`, \
-0.8894434986517372}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{1.2246467991473532`*^-16, -1.}, {-0.5568835528549786, 
       0.713911342745432}}], 
      PolygonBox[{{-0.5877852522924734, 
       0.8090169943749473}, {-0.6044363786697363, 
       0.6984604930266846}, {-0.5093307270402209, 0.7293621924641793}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.5877852522924734, 0.8090169943749473}, {
       0.8701548168576587, -0.25023846914570025`}}], 
      PolygonBox[{{0.9510565162951535, -0.30901699437494756`}, {
       0.8995440794722824, -0.20978761942695287`}, {
       0.8407655542430351, -0.2906893188644476}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{
       0.9510565162951535, -0.30901699437494756`}, {-0.8510565162951536, \
-0.30901699437494756`}}], 
      PolygonBox[{{-0.9510565162951535, -0.30901699437494756`}, \
{-0.8510565162951536, -0.35901699437494755`}, {-0.8510565162951536, \
-0.2590169943749476}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.9510565162951535, -0.30901699437494756`}, {
       0.5068835528549784, 0.7502384691457001}}], 
      PolygonBox[{{0.5877852522924731, 0.8090169943749475}, {
       0.4774942902403547, 0.7906893188644475}, {0.536272815469602, 
       0.7097876194269528}}]}}}},
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.436525408671875*^9, 3.436526546*^9, 
  3.4425886643833876`*^9}]
}, Open  ]],

Cell[TextData[{
 "We see that 4 is not a generator, for there are arrows of two colors. The \
red arrows connect the points ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"0", ",", " ", "2", ",", " ", "4", ",", " ", "6", ",", " ", "8"}],
     "}"}], TraditionalForm]]],
 ", while the green arrows connect the points ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "1", ",", " ", "3", ",", " ", "5", ",", " ", "7", ",", " ", "9"}], "}"}],
     "."}], TraditionalForm]]],
 " Thus, the group is partitioned into two sets, and no arrow connects these \
two. \n\nWe can immediately see some patterns in the way that ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "10"], TraditionalForm]]],
 " is partitioned. One of the two sets, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"0", ",", " ", "2", ",", " ", "4", ",", " ", "6", ",", " ", "8"}],
     "}"}], TraditionalForm]]],
 " is actually a subgroup of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "10"], TraditionalForm]]],
 ", and is the subgroup generated by the element 4. We can check this with \
the command:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Group[{4}]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "2", ",", "4", ",", "6", ",", "8"}], "}"}]], "Output",
 CellChangeTimes->{3.4425886682896376`*^9}]
}, Open  ]],

Cell["\<\
The other set is obtained by adding 1 to each element of this subgroup. Let \
us look at another example to see if this pattern continues. Here is the \
circle graph of Add[5]:\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CircleGraph[{0,1,2,3,4,5,6,7,8,9}, Add[5] ]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5877852522924731, 0.8090169943749475}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9510565162951535, 0.30901699437494745`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9510565162951535, -0.30901699437494756`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5877852522924732, -0.8090169943749473}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.2246467991473532`*^-16, -1.}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5877852522924734, -0.8090169943749472}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9510565162951535, -0.30901699437494756`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9510565162951536, 0.30901699437494723`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5877852522924734, 0.8090169943749473}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"0\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], InsetBox[
    TagBox[
     StyleBox["\<\"5\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, -1.1}, {0, 1}], {InsetBox[
     TagBox[
      StyleBox["\<\"1\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6465637775217205, 0.8899186938124423}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0461621679246689`, 0.3399186938124422}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0461621679246689`, -0.33991869381244233`}, {-1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6465637775217207, -0.8899186938124422}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"6\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6465637775217208, -0.889918693812442}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"7\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.0461621679246689`, -0.33991869381244233`}, {1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"8\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.046162167924669, 0.339918693812442}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"9\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6465637775217208, 0.8899186938124422}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], 
      LineBox[{{0., 1.}, {1.1634144591899854`*^-16, -0.9}}], 
      PolygonBox[{{1.2246467991473532`*^-16, -1.}, {
       0.05000000000000012, -0.9}, {-0.049999999999999885`, -0.9}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{1.2246467991473532`*^-16, -1.}, {6.123233995736766*^-18, 
       0.9}}], PolygonBox[{{0., 1.}, {-0.049999999999999996`, 0.9}, {
       0.05000000000000001, 0.9}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{0.5877852522924731, 
       0.8090169943749475}, {-0.529006727063226, -0.7281152949374525}}], 
      PolygonBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.4885558773444787, -0.7575045575520761}, {-0.5694575767819734, \
-0.6987260323228288}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.5877852522924734, -0.8090169943749472}, {
       0.5290067270632258, 0.7281152949374528}}], 
      PolygonBox[{{0.5877852522924731, 0.8090169943749475}, {
       0.4885558773444785, 0.7575045575520764}, {0.5694575767819732, 
       0.698726032322829}}]}}, {
     {RGBColor[0.6, 0.4, 0.8], 
      LineBox[{{0.9510565162951535, 
       0.30901699437494745`}, {-0.8559508646656382, -0.2781152949374528}}], 
      PolygonBox[{{-0.9510565162951535, -0.30901699437494756`}, \
{-0.8405000149468909, -0.32566812075221047`}, {-0.8714017143843855, \
-0.23056246912269512`}}]}, 
     {RGBColor[0.6, 0.4, 0.8], 
      LineBox[{{-0.9510565162951535, -0.30901699437494756`}, {
       0.8559508646656382, 0.2781152949374527}}], 
      PolygonBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.8405000149468909, 0.32566812075221035`}, {0.8714017143843855, 
       0.230562469122695}}]}}, {
     {RGBColor[1, 0.6, 0], 
      LineBox[{{
       0.9510565162951535, -0.30901699437494756`}, {-0.8559508646656383, 
       0.27811529493745246`}}], 
      PolygonBox[{{-0.9510565162951536, 
       0.30901699437494723`}, {-0.8714017143843856, 
       0.2305624691226948}, {-0.8405000149468909, 0.3256681207522102}}]}, 
     {RGBColor[1, 0.6, 0], 
      LineBox[{{-0.9510565162951536, 0.30901699437494723`}, {
       0.8559508646656382, -0.2781152949374528}}], 
      PolygonBox[{{0.9510565162951535, -0.30901699437494756`}, {
       0.8714017143843855, -0.23056246912269512`}, {
       0.8405000149468907, -0.3256681207522105}}]}}, {
     {RGBColor[0.7, 0.8, 0.7], 
      LineBox[{{0.5877852522924732, -0.8090169943749473}, {-0.529006727063226,
        0.7281152949374526}}], 
      PolygonBox[{{-0.5877852522924734, 
       0.8090169943749473}, {-0.5694575767819734, 
       0.6987260323228289}, {-0.48855587734447864`, 0.7575045575520762}}]}, 
     {RGBColor[0.7, 0.8, 0.7], 
      LineBox[{{-0.5877852522924734, 0.8090169943749473}, {
       0.5290067270632259, -0.7281152949374526}}], 
      PolygonBox[{{0.5877852522924732, -0.8090169943749473}, {
       0.5694575767819733, -0.6987260323228289}, {
       0.48855587734447853`, -0.7575045575520762}}]}}}},
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.4425886707740126`*^9}]
}, Open  ]],

Cell[TextData[{
 "Here we have five different colored arrows, so the group is partitioned \
into five sets: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", " ", "5"}], "}"}], ","}], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", " ", "6"}], "}"}], ","}], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{"2", ",", " ", "7"}], "}"}], ","}], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{"3", ",", " ", "8"}], "}"}], ","}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{"4", ",", " ", "9"}], "}"}], "."}], TraditionalForm]]],
 " One of these sets is the subgroup generated by the element 5:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Group[{5}]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "5"}], "}"}]], "Output",
 CellChangeTimes->{3.4425886733521376`*^9}]
}, Open  ]],

Cell[TextData[{
 "The others are obtained by adding some constant to every element in this \
subgroup.\n\nEXPERIMENT:\nReplace the Add[5] in the above circle graph with \
either ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"Add", "[", "0", "]"}], ","}], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"Add", "[", "2", "]"}], ","}], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"Add", "[", "6", "]"}], ","}], TraditionalForm]]],
 " or ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"Add", "[", "8", "]"}], "."}], TraditionalForm]]],
 " (These are the other elements of the group which are not generators.) Do \
we obtain any new partitions of the group?\n\nBy doing this experiment, you \
probable noticed that the partition of the group depends only on the subgroup \
generated by the element. Of course this is an abelian group, so it is \
natural to ask if these patterns we have noticed carry over to non-abelian \
groups. Let us look at Terry's group."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["G = InitTerry", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "Stay", ",", "FlipRt", ",", "RotRt", ",", "FlipLft", ",", "RotLft", ",", 
   "Spin"}], "}"}]], "Output",
 CellChangeTimes->{3.436525475140625*^9, 3.436526550765625*^9, 
  3.4425886760240126`*^9}]
}, Open  ]],

Cell[TextData[{
 "This group does not have any generators, so any element of the group will \
produce a partition of the group. Consider the circle graph which sends every \
element to that element multiplied by Spin. \n\nBecause this group is \
non-abelian, we have a choice as to how to do this. Do we multiply the \
element ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " to the ",
 StyleBox["left",
  FontSlant->"Italic"],
 " of Spin, giving ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[CenterDot]", "Spin"}], TraditionalForm]]],
 ", or do we multiply on the ",
 StyleBox["right",
  FontSlant->"Italic"],
 ", giving ",
 Cell[BoxData[
  FormBox[
   RowBox[{"Spin", "\[CenterDot]", "x"}], TraditionalForm]]],
 "? These two options yield different circle graphs. The former is obtained \
by the command"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CircleGraph[G, LeftMult[Spin]]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8660254037844386, 0.5000000000000001}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8660254037844387, -0.4999999999999998}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.2246467991473532`*^-16, -1.}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.8660254037844384, -0.5000000000000004}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.866025403784439, 0.49999999999999933`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"Stay\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], InsetBox[
    TagBox[
     StyleBox["\<\"FlipLft\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, -1.1}, {0, 1}], {InsetBox[
     TagBox[
      StyleBox["\<\"FlipRt\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9526279441628825, 0.5500000000000002}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"RotRt\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9526279441628827, -0.5499999999999998}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"RotLft\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9526279441628823, -0.5500000000000005}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"Spin\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.952627944162883, 0.5499999999999993}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], 
      LineBox[{{0., 1.}, {-0.7794228634059952, 0.5499999999999994}}], 
      PolygonBox[{{-0.866025403784439, 
       0.49999999999999933`}, {-0.7544228634059952, 
       0.5066987298107775}, {-0.8044228634059952, 0.5933012701892213}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.866025403784439, 
       0.49999999999999933`}, {-0.08660254037844385, 0.95}}], 
      PolygonBox[{{0., 1.}, {-0.11160254037844387`, 
       0.9933012701892219}, {-0.06160254037844383, 0.906698729810778}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{0.8660254037844386, 
       0.5000000000000001}, {-0.7794228634059945, -0.4500000000000004}}], 
      PolygonBox[{{-0.8660254037844384, -0.5000000000000004}, \
{-0.7544228634059945, -0.4933012701892223}, {-0.8044228634059946, \
-0.4066987298107785}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.8660254037844384, -0.5000000000000004}, {
       0.7794228634059948, 0.45000000000000007`}}], 
      PolygonBox[{{0.8660254037844386, 0.5000000000000001}, {
       0.7544228634059947, 0.493301270189222}, {0.8044228634059948, 
       0.40669872981077815`}}]}}, {
     {RGBColor[0.6, 0.4, 0.8], 
      LineBox[{{0.8660254037844387, -0.4999999999999998}, {
       0.08660254037844399, -0.95}}], 
      PolygonBox[{{1.2246467991473532`*^-16, -1.}, {
       0.111602540378444, -0.9933012701892219}, {
       0.06160254037844398, -0.906698729810778}}]}, 
     {RGBColor[0.6, 0.4, 0.8], 
      LineBox[{{1.2246467991473532`*^-16, -1.}, {
       0.7794228634059949, -0.5499999999999998}}], 
      PolygonBox[{{0.8660254037844387, -0.4999999999999998}, {
       0.7544228634059948, -0.5066987298107779}, {
       0.8044228634059949, -0.5933012701892217}}]}}}},
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.43652548040625*^9, 3.4365265535*^9, 
  3.4425886783365126`*^9}]
}, Open  ]],

Cell["The latter is given by the command", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CircleGraph[G, RightMult[Spin]]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8660254037844386, 0.5000000000000001}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8660254037844387, -0.4999999999999998}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.2246467991473532`*^-16, -1.}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.8660254037844384, -0.5000000000000004}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.866025403784439, 0.49999999999999933`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"Stay\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], InsetBox[
    TagBox[
     StyleBox["\<\"FlipLft\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, -1.1}, {0, 1}], {InsetBox[
     TagBox[
      StyleBox["\<\"FlipRt\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9526279441628825, 0.5500000000000002}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"RotRt\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9526279441628827, -0.5499999999999998}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"RotLft\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9526279441628823, -0.5500000000000005}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"Spin\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.952627944162883, 0.5499999999999993}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], 
      LineBox[{{0., 1.}, {-0.7794228634059952, 0.5499999999999994}}], 
      PolygonBox[{{-0.866025403784439, 
       0.49999999999999933`}, {-0.7544228634059952, 
       0.5066987298107775}, {-0.8044228634059952, 0.5933012701892213}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.866025403784439, 
       0.49999999999999933`}, {-0.08660254037844385, 0.95}}], 
      PolygonBox[{{0., 1.}, {-0.11160254037844387`, 
       0.9933012701892219}, {-0.06160254037844383, 0.906698729810778}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{0.8660254037844386, 0.5000000000000001}, {
       0.8660254037844387, -0.3999999999999998}}], 
      PolygonBox[{{0.8660254037844387, -0.4999999999999998}, {
       0.9160254037844386, -0.3999999999999998}, {
       0.8160254037844387, -0.3999999999999998}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.8660254037844387, -0.4999999999999998}, {0.8660254037844386,
        0.40000000000000013`}}], 
      PolygonBox[{{0.8660254037844386, 0.5000000000000001}, {
       0.8160254037844387, 0.40000000000000013`}, {0.9160254037844386, 
       0.40000000000000013`}}]}}, {
     {RGBColor[0.6, 0.4, 0.8], 
      LineBox[{{
       1.2246467991473532`*^-16, -1.}, {-0.7794228634059945, \
-0.5500000000000004}}], 
      PolygonBox[{{-0.8660254037844384, -0.5000000000000004}, \
{-0.8044228634059944, -0.5933012701892224}, {-0.7544228634059945, \
-0.5066987298107785}}]}, 
     {RGBColor[0.6, 0.4, 0.8], 
      LineBox[{{-0.8660254037844384, -0.5000000000000004}, \
{-0.08660254037844377, -0.9500000000000001}}], 
      PolygonBox[{{
       1.2246467991473532`*^-16, -1.}, {-0.061602540378443774`, \
-0.906698729810778}, {-0.11160254037844376`, -0.993301270189222}}]}}}},
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.4365254895*^9, 3.4425886805708876`*^9}]
}, Open  ]],

Cell[TextData[{
 "Notice that these two circle graphs produce different partitions of the \
group! The first gives the partition ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{"Stay", ",", " ", "Spin"}], "}"}], ","}], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{"RotRt", ",", " ", "FlipLft"}], "}"}], ","}], 
   TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{"RotLft", ",", " ", "FlipRt"}], "}"}], "."}], 
   TraditionalForm]]],
 " The second circle graph gives us the partition ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{"Stay", ",", " ", "Spin"}], "}"}], ","}], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{"RotRt", ",", " ", "FlipRt"}], "}"}], ","}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{"RotLft", ",", " ", "FlipLft"}], "}"}], "."}], 
   TraditionalForm]]],
 " In both cases, one of the sets in the partition is the subgroup generated \
by Spin:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["H = Group[{Spin}]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"Stay", ",", "Spin"}], "}"}]], "Output",
 CellChangeTimes->{3.436525567796875*^9, 3.436526556234375*^9, 
  3.4425886832427626`*^9}]
}, Open  ]],

Cell[TextData[{
 "We still see some patterns the two partitions. In the first case every set \
in the partition is obtained by multiplying an element such as RotRt or \
RotLft by each element of the subgroup ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ". In the second partition, every set is obtained by multiplying each \
element of the subgroup ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " by an element such as RotRt or RotLft."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
EXPERIMENT:
Change the element \"Spin\" in the last two circle graphs to the other \
elements of Terry's group. Do all partitions follow the pattern mentioned \
above?\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "To define these partitions mathematically, we will use the pattern that we \
have been observing: that every set in the partition is obtained by \
multiplying every element of a subgroup ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " by an element ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ", either on the right or on the left."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "DEFINITION 3.1\nLet ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " be a group, and let ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " be a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is an element of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", we define the set\n                         ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", " ", "H"}], "  ", "=", "  ", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"x", "\[CenterDot]", "y"}], "  ", "|", "  ", 
      RowBox[{"y", " ", "\[Epsilon]", " ", "H"}]}], " ", "}"}]}], 
   TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436525504578125*^9, 3.436525508984375*^9}}],

Cell[TextData[{
 "The set ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "H"}], TraditionalForm]]],
 " is called a ",
 StyleBox["left coset",
  FontSlant->"Italic"],
 " of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ".\n\nWe could just have easily considered multiplication the other way. \
This would give us the set\n                        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", " ", "x"}], " ", "=", " ", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"y", "\[CenterDot]", "x"}], "  ", "|", "  ", 
      RowBox[{"y", " ", "\[Epsilon]", " ", "H"}]}], " ", "}"}]}], 
   TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "which is called a ",
 StyleBox["right coset",
  FontSlant->"Italic"],
 " of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "These definitions are very easy to work with mathematically, but it is not \
apparent that the right cosets and the left cosets form the partitions of the \
group that we have been observing. This has to be proved!\n\n",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " has been programed to mimic this notation. Thus, we can form right cosets \
by multiplying each element in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " by an element in the group, say RotRt."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["H.RotRt", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"FlipRt", ",", "RotRt"}], "}"}]], "Output",
 CellChangeTimes->{{3.4365255600625*^9, 3.436525572671875*^9}, 
   3.436526560484375*^9, 3.4425886877896376`*^9}]
}, Open  ]],

Cell[TextData[{
 "Notice that ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " multiplies every element in the set ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " by RotRt. In a sense, it distributes RotRt throughout the set.\n\nWe can \
find a left coset with respect to ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " in the same way:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 PageBreakAbove->True],

Cell[CellGroupData[{

Cell["RotRt.H", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"FlipLft", ",", "RotRt"}], "}"}]], "Output",
 CellChangeTimes->{3.43652557759375*^9, 3.4425886900865126`*^9}]
}, Open  ]],

Cell[TextData[{
 "The left and right cosets are different, as we observed in the circle \
graphs.\n\nWe will denote the set of all ",
 StyleBox["left",
  FontSlant->"Italic"],
 " cosets of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " by ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "H"}], TraditionalForm]]],
 ", and will denote the set of all ",
 StyleBox["right",
  FontSlant->"Italic"],
 " cosets of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " by ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\\", "G"}], TraditionalForm]]],
 ".\n\nAlbeit the notation is strange, but it reminds us which side the \
element of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " is multiplied on.  \n\n",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can help us to find all left and right cosets of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " with respect to ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ". The commands are\n\nLftCoset[G, H]\n\nRtCoset[G, H]\n\nwhere ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " is the list of elements in the group and ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is the list of elements in the subgroup. These commands assume that ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " is a group and that ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ". Let's try these for the subgroup ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Stay", ",", " ", "Spin"}], "}"}], "."}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365255903125*^9, 3.4365255944375*^9}}],

Cell[CellGroupData[{

Cell["LftCoset[G, H]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{
  3.436525604171875*^9, {3.436526579390625*^9, 3.43652658796875*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"FlipLft", ",", "RotRt"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"FlipRt", ",", "RotLft"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"Stay", ",", "Spin"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.43652560528125*^9, {3.436526564734375*^9, 3.43652658034375*^9}, 
   3.4425886984146376`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["RtCoset[G, H] ", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.43652560859375*^9, 3.436525608890625*^9}, {
  3.436526583828125*^9, 3.43652658890625*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"FlipLft", ",", "RotLft"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"FlipRt", ",", "RotRt"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"Stay", ",", "Spin"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.43652560990625*^9, {3.436526567875*^9, 3.43652658465625*^9}, 
   3.4425887003677626`*^9}]
}, Open  ]],

Cell[TextData[{
 "These give us a list of cosets. (Since each coset is displayed as a list of \
elements we find ourselves with a \"list of lists.\") These are exactly the \
partitions we obversed in the circle graphs of ",
 StyleBox["LeftMult[Spin]",
  FontWeight->"Bold"],
 " and ",
 StyleBox["RightMult[Spin]",
  FontWeight->"Bold"],
 ". However, we have yet to ",
 StyleBox["prove",
  FontSlant->"Italic"],
 " that the cosets will always be the partitions observed in the circle \
graphs. The next two lemmas do this for us. We begin by showing that all \
cosets of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " are of the same length."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436526663234375*^9, 3.43652669075*^9}}],

Cell[TextData[{
 "LEMMA 3.1\nLet ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " be a group and ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " be a finite subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".  Then all left and right cosets of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " contain ",
 Cell[BoxData[
  FormBox[
   RowBox[{"|", "H", "|"}], TraditionalForm]]],
 " elements."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436526709390625*^9, 3.4365267095*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "It is clear that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", " ", "u"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"u", " ", "H"}], TraditionalForm]]],
 " each contains at most ",
 Cell[BoxData[
  FormBox[
   RowBox[{"|", "H", "|"}], TraditionalForm]]],
 " elements.  In order to prove that the number is exactly ",
 Cell[BoxData[
  FormBox[
   RowBox[{"|", "H", "|"}], TraditionalForm]]],
 " we need to show that two distinct elements of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " produce two different elements in the cosets.  Suppose that this were not \
the case in a right coset.  We would have two different elements ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " for which\n\n                                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", "\[CenterDot]", "u"}], " ", "=", " ", 
    RowBox[{"y", "\[CenterDot]", "u"}]}], TraditionalForm]]],
 ",\n            \nwhich multiplying on the right by ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["u", 
    RowBox[{"-", "1"}]], TraditionalForm]]],
 " gives ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "=", " ", "y"}], TraditionalForm]]],
 ", a contradiction. Similar reasoning works for left cosets.  If\n\n         \
                ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"u", "\[CenterDot]", "x"}], " ", "=", " ", 
    RowBox[{"u", "\[CenterDot]", "y"}]}], TraditionalForm]]],
 ",\n            \nmultiplying on the left by ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["u", 
    RowBox[{"-", "1"}]], TraditionalForm]]],
 " shows that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "=", " ", "y"}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365267330625*^9, 3.4365268196875*^9}, {
  3.4414812184375*^9, 3.441481264703125*^9}}]
}, Open  ]],

Cell[TextData[{
 "Next we must show that every element of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " is in exactly one left coset, and one right coset. This can be worded as \
follows:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436526939453125*^9, 3.436526939828125*^9}, {
  3.441481282703125*^9, 3.441481302828125*^9}}],

Cell[TextData[{
 "LEMMA 3.2\nIf two left or two right cosets have any elements in common, \
they are in fact the same coset. That is, \n         ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"H", " ", "x"}], " ", "\[Intersection]", " ", 
     RowBox[{"H", " ", "y"}]}], " ", "\[NotEqual]", " ", 
    RowBox[{"{", " ", "}"}], "  "}], TraditionalForm]]],
 " implies that ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"H", " ", "x"}], " ", "=", " ", 
     RowBox[{"H", " ", "y"}]}]}], TraditionalForm]]],
 ", and \n         ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"x", " ", "H"}], " ", "\[Intersection]", " ", 
     RowBox[{"y", " ", "H"}]}], " ", "\[NotEqual]", " ", 
    RowBox[{"{", " ", "}"}], " "}], TraditionalForm]]],
 " implies that ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"x", " ", "H"}], " ", "=", " ", 
     RowBox[{"y", " ", "H"}]}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365269495625*^9, 3.436526985203125*^9}, {
  3.4365270230625*^9, 3.43652713678125*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We begin with right cosets.  Suppose there is an element  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", " ", "\[Element]", 
    RowBox[{
     RowBox[{"H", " ", "x"}], " ", "\[Intersection]", " ", 
     RowBox[{"H", " ", "y"}]}]}], TraditionalForm]]],
 ". Then we have elements ",
 Cell[BoxData[
  FormBox["h", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " such that\n\n                                        ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"g", "=", " ", 
     RowBox[{
      RowBox[{"h", "\[CenterDot]", "x"}], " ", "=", " ", 
      RowBox[{"k", "\[CenterDot]", 
       RowBox[{"y", "."}]}]}]}]}], TraditionalForm]]],
 "\nTherefore, \n                                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"x", " ", "=", " ", 
      RowBox[{
       SuperscriptBox["h", 
        RowBox[{"-", "1"}]], "\[CenterDot]", "k", "\[CenterDot]", "y"}]}], 
     ","}]}], TraditionalForm]]],
 "\nand so \n                                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", " ", "x"}], " ", "=", " ", 
    RowBox[{"H", " ", 
     RowBox[{
      SuperscriptBox["h", 
       RowBox[{"-", "1"}]], "\[CenterDot]", "k", "\[CenterDot]", 
      RowBox[{"y", "."}], " "}]}]}], TraditionalForm]]],
 "             (*) \n                                  \nSince ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is a subgroup,  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["h", 
      RowBox[{"-", "1"}]], "\[CenterDot]", "k"}], " ", "\[Epsilon]", " ", 
    "H"}], TraditionalForm]]],
 ", so that   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", " ", 
     RowBox[{
      SuperscriptBox["h", 
       RowBox[{"-", "1"}]], "\[CenterDot]", "k"}]}], " ", "\[SubsetEqual]", 
    " ", "H"}], TraditionalForm]]],
 ".  Moreover, if ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", then \n\n                      ",
 Cell[BoxData[
  FormBox[
   RowBox[{"u", " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"u", "\[CenterDot]", 
        SuperscriptBox["k", 
         RowBox[{"-", "1"}]], "\[CenterDot]", "h"}], ")"}], 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["h", 
         RowBox[{"-", "1"}]], "\[CenterDot]", "k"}], ")"}]}], " ", 
     "\[Element]", 
     RowBox[{"H", " ", 
      RowBox[{
       SuperscriptBox["h", 
        RowBox[{"-", "1"}]], "\[CenterDot]", "k"}]}]}]}], TraditionalForm]]],
 ".\nTherefore\n                                        ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", " ", "\[SubsetEqual]", " ", 
    RowBox[{"H", " ", 
     RowBox[{
      SuperscriptBox["h", 
       RowBox[{"-", "1"}]], "\[CenterDot]", "k"}]}]}], TraditionalForm]]],
 ",\n                                        \nand we have shown that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", " ", "=", " ", 
    RowBox[{"H", " ", 
     RowBox[{
      SuperscriptBox["h", 
       RowBox[{"-", "1"}]], "\[CenterDot]", 
      RowBox[{"k", "."}]}]}]}], TraditionalForm]]],
 "  Combining this with (*) gives us ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", " ", "x"}], " ", "=", " ", 
    RowBox[{"H", " ", "y"}]}], TraditionalForm]]],
 ".\n\nWe can do left cosets in the same way.  Suppose we have  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", " ", "\[Element]", " ", 
    RowBox[{
     RowBox[{"x", " ", "H"}], " ", "\[Intersection]", " ", 
     RowBox[{"y", " ", "H"}]}]}], TraditionalForm]]],
 ". Then we have elements ",
 Cell[BoxData[
  FormBox["h", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " such that\n\n                                    ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", " ", "=", " ", 
    RowBox[{
     RowBox[{"x", "\[CenterDot]", "h"}], " ", "=", " ", 
     RowBox[{"y", "\[CenterDot]", 
      RowBox[{"k", "."}]}]}]}], TraditionalForm]]],
 "\nTherefore, \n                                    ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"x", " ", "=", " ", 
      RowBox[{"y", "\[CenterDot]", "k", "\[CenterDot]", 
       SuperscriptBox["h", 
        RowBox[{"-", "1"}]]}]}], ","}]}], TraditionalForm]]],
 "\nand so \n                                ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", " ", "H"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"y", "\[CenterDot]", "k", "\[CenterDot]", 
       SuperscriptBox["h", 
        RowBox[{"-", "1"}]]}], "H"}], " ", "=", " ", 
     RowBox[{"y", " ", "H"}]}]}], TraditionalForm]]],
 ".         "
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436527154296875*^9, 3.436527362671875*^9}, {
  3.43652739953125*^9, 3.43652751290625*^9}}]
}, Open  ]],

Cell["\<\
These last two proofs were called lemmas instead of propositions, since they \
lead to an important theorem. \
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "THEOREM 3.1:  LAGRANGE'S THEOREM\nLet ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " be a finite group, and ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ". Then the order of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " divides the order of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ". That is, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", "G", "|"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"k", "\[CenterDot]"}], "|", "H", "|"}]}], TraditionalForm]]],
 " for some positive integer ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436527525109375*^9, 3.436527525390625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We can use either left cosets or right cosets to prove this, so let us use \
right cosets.  Every element of ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " is contained in at least one right coset.  For example, ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is contained in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", " ", "x"}], TraditionalForm]]],
 ".  Let ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " be the number of distinct right cosets.  Then, if the right cosets are   \n\
\n                      ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", " ", 
     SubscriptBox["x", "1"]}], ",", " ", 
    RowBox[{"H", " ", 
     SubscriptBox["x", "2"]}], ",", " ", 
    RowBox[{"H", " ", 
     SubscriptBox["x", 
      RowBox[{"3", " "}]]}], ",", "\[Ellipsis]", " ", ",", " ", 
    RowBox[{"H", " ", 
     SubscriptBox["x", "k"]}]}], TraditionalForm]]],
 ",\nwe can write\n                ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", " ", "=", " ", 
    RowBox[{
     RowBox[{"H", " ", 
      SubscriptBox["x", "1"]}], "\[Union]", 
     StyleBox[" ",
      FontSize->18], 
     RowBox[{"H", " ", 
      SubscriptBox["x", "2"]}], " ", "\[Union]", 
     StyleBox[" ",
      FontSize->18], 
     RowBox[{"H", " ", 
      SubscriptBox["x", "3"]}], "\[Union]", 
     StyleBox[" ",
      FontSize->18], 
     StyleBox["\[CenterEllipsis]",
      FontSize->9], " ", "\[Union]", 
     StyleBox[" ",
      FontSize->18], 
     RowBox[{"H", " ", 
      SubscriptBox["x", "k"]}]}]}], TraditionalForm]]],
 ".\n                \nThe  \[Union]'s represent the union of the cosets.  \
But by lemma 3.2, there are no\nelements in common among these sets, and so \
this union defines a partition\nof ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".  By lemma 3.1, each cosets contains ",
 Cell[BoxData[
  FormBox[
   RowBox[{"|", "H", "|"}], TraditionalForm]]],
 " elements.  So ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", "G", "|"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"k", "\[CenterDot]"}], "|", "H", "|"}]}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436527573703125*^9, 3.43652762553125*^9}}]
}, Open  ]],

Cell[TextData[{
 "Lagrange's theorem has many important consequences. We call the \
applications of an important theorem \"Corollaries\".\n\nCOROLLARY 3.1\nLet \
",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " be a finite group, and let ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " be an element of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".  Then the order of ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " divides ",
 Cell[BoxData[
  FormBox[
   RowBox[{"|", "G", "|"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43652765559375*^9, 3.436527655734375*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "The order of ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " equals the order of the subgroup ",
 Cell[BoxData[
  FormBox[
   RowBox[{"[", "x", "]"}], TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".  Therefore, by Lagrange's theorem (3.1), the assertion follows."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43652767659375*^9, 3.43652767671875*^9}}]
}, Open  ]],

Cell[TextData[{
 "COROLLARY 3.2\nLet ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " be a finite group of order ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " and let ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " be an element of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", 
     RowBox[{"n", " "}]], " ", "=", " ", "e"}], TraditionalForm]]],
 ".   "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436527686421875*^9, 3.43652768771875*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 " denote the order of ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ". By corollary 3.1, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", 
    RowBox[{"m", " ", "k"}]}], TraditionalForm]]],
 " for some integer ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 ".  Then we have ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "n"], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["x", 
      RowBox[{"m", " ", "k"}]], " ", "=", " ", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        SuperscriptBox["x", "m"], ")"}], "k"], " ", "=", " ", 
      RowBox[{
       SuperscriptBox["e", "k"], " ", "=", " ", "e"}]}]}]}], 
   TraditionalForm]]],
 ".\n"
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365301551643753`*^9, 3.4365301566643753`*^9}}]
}, Open  ]],

Cell["\<\
COROLLARY 3.3
A group of prime order is cyclic.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365301706331253`*^9, 3.4365301717581253`*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Suppose ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " is of order ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 ", which is prime.  Then the only positive divisors of ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " are 1 and ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 ", so by Lagrange's theorem (3.1) any subgroup must be of order 1 or ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is any element of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " besides the identity, then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"[", "x", "]"}], TraditionalForm]]],
 " contains ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " as well as the identity.  Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", " ", "=", " ", 
    RowBox[{"[", "x", "]"}]}], TraditionalForm]]],
 " so ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " is cyclic."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365301841175003`*^9, 3.4365301842268753`*^9}}]
}, Open  ]],

Cell[TextData[{
 "COROLLARY 3.4\nLet ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " be a positive integer, and ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " a number coprime to ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ".  Then \n                     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", 
     RowBox[{"\[Phi]", "(", "n", ")"}]], " ", "\[Congruent]", " ", 
    RowBox[{"1", "    ", 
     RowBox[{"(", 
      RowBox[{"Mod", " ", "n"}], ")"}]}]}], TraditionalForm]]],
 ",\n                     \nwhere ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "n", ")"}], TraditionalForm]]],
 " is Euler's totient function."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365302002112503`*^9, 3.4365302012268753`*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We simply apply corollary 3.2 to the group ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "n", "*"], TraditionalForm]]],
 ".  This group has ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "n", ")"}], TraditionalForm]]],
 " elements, and if ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is coprime to ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " then ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is a generator of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "n"], TraditionalForm]]],
 ", so ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "n", "*"], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365302238362503`*^9, 3.4365302249612503`*^9}}]
}, Open  ]],

Cell[TextData[{
 "When ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "=", "p"}], TraditionalForm]]],
 " is prime then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "p", ")"}], " ", "=", " ", 
    RowBox[{"p", "-", "1"}]}], TraditionalForm]]],
 ", and corollary 3.4 says that\n\n                        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", 
     RowBox[{"p", "-", "1"}]], " ", "\[Congruent]", " ", 
    RowBox[{"1", "  ", 
     RowBox[{"(", 
      RowBox[{"Mod", " ", "p"}], ")"}]}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365302484612503`*^9, 3.4365302495393753`*^9}}],

Cell["\<\
This result is known as Fermat's little theorem. Fermat had proved this \
without the help of group theory, which was a real challenge! Yet this result \
becomes a trivial consequence of a larger theorem when we look at the \
supporting group structure.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "\nDEFINITION 3.2\nIf ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ",  we can define the ",
 StyleBox["index",
  FontSlant->"Italic"],
 " of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", denoted ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"[", 
     RowBox[{"G", ":", "H"}], "]"}], ","}], TraditionalForm]]],
 " to be the number of right cosets in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\\", "G"}], TraditionalForm]]],
 ". Of course this is the same as the number of left cosets in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "H"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365302601487503`*^9, 3.4365302615862503`*^9}, 
   3.4365302933362503`*^9}],

Cell[TextData[{
 "Notice that when ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " is a finite group we have by the argument in Lagrange's theorem (3.1) that \
",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", "G", "|"}], " ", "=", " ", 
    RowBox[{"|", "H", "|", 
     RowBox[{"\[CenterDot]", 
      RowBox[{"[", 
       RowBox[{"G", ":", "H"}], "]"}]}]}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365303907581253`*^9, 3.4365303925081253`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["How To Write a Secret Message", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "In this section, we will learn of one important application of Lagrange's \
Theorem. We will learn how to write a message that no one can read except for \
the person to whom the message is sent, ",
 StyleBox["even if everyone in the world knows the code!",
  FontSlant->"Italic"],
 " This sounds like an impossibility, but we will see that it can be done \
with group theory.  \n\nWe begin with a group large enough to see some \
interesting patterns. Consider the group ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "33", "*"], TraditionalForm]]],
 ", formed by all of the generators of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "33"], TraditionalForm]]],
 ". The order of this group is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "33", ")"}], TraditionalForm]]],
 ". We can either look at the table in the previous notebook, or use ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "'s built in ",
 StyleBox["EulerPhi",
  FontWeight->"Bold"],
 " function"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["EulerPhi[33]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData["20"], "Output",
 CellChangeTimes->{3.4425887217896376`*^9}]
}, Open  ]],

Cell[TextData[{
 "to see that there are 20 elements. It isn't hard to determine the \
generators of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "33"], TraditionalForm]]],
 ":\n\n{1,2,4,5,7,8,10,13,14,16,17,19,20,23,25,26,28,29,31,32}.\n\nLet us \
consider making a circle graph which maps each element to that element raised \
to a certain power. For example, we can map each element to its square by the \
command"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
DefMultMod[33];
CircleGraph[{1,2,4,5,7,8,10,13,14,16,
             17,19,20,23,25,26,28,29,31,32},Pow[2]]\
\>", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.3090169943749474, 0.9510565162951535}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5877852522924731, 0.8090169943749475}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8090169943749475, 0.587785252292473}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9510565162951535, 0.30901699437494745`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1., 6.123233995736766*^-17}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9510565162951535, -0.30901699437494756`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8090169943749475, -0.587785252292473}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5877852522924732, -0.8090169943749473}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.3090169943749475, -0.9510565162951535}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.2246467991473532`*^-16, -1.}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.30901699437494773`, -0.9510565162951535}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5877852522924734, -0.8090169943749472}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.8090169943749473, -0.5877852522924732}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9510565162951535, -0.30901699437494756`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1., -1.8369701987210297`*^-16}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9510565162951536, 0.30901699437494723`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.809016994374947, 0.5877852522924737}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5877852522924734, 0.8090169943749473}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.3090169943749476, 0.9510565162951535}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"1\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], InsetBox[
    TagBox[
     StyleBox["\<\"17\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, -1.1}, {0, 1}], {InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.33991869381244216`, 1.0461621679246689`}, {-1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6465637775217205, 0.8899186938124423}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"5\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8899186938124423, 0.6465637775217203}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"7\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0461621679246689`, 0.3399186938124422}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"8\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.1, 6.735557395310444*^-17}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"10\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0461621679246689`, -0.33991869381244233`}, {-1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"13\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8899186938124423, -0.6465637775217203}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"14\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6465637775217207, -0.8899186938124422}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"16\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.3399186938124423, -1.0461621679246689`}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"19\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.33991869381244255`, -1.0461621679246689`}, {1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"20\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6465637775217208, -0.889918693812442}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"23\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.8899186938124422, -0.6465637775217207}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"25\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.0461621679246689`, -0.33991869381244233`}, {1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"26\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.1, -2.0206672185931328`*^-16}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"28\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.046162167924669, 0.339918693812442}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"29\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.8899186938124418, 0.6465637775217211}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"31\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6465637775217208, 0.8899186938124422}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"32\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.3399186938124424, 1.0461621679246689`}, {1, 0}]}, {
    {RGBColor[1, 0, 0], 
     LineBox[{{-0.07071067811865475, 
      0.9292893218813453}, {-0.09241885630108176, 
      0.8968331206248827}, {-0.09998489885977781, 
      0.8585786437626906}, {-0.09241885630108176, 
      0.8203241669004984}, {-0.07071067811865475, 
      0.7878679656440357}, {-0.038254476862192216`, 0.7661597874616087}, {0., 
      0.7585937449029128}, {0.038254476862192216`, 0.7661597874616087}, {
      0.07071067811865475, 0.7878679656440357}, {0.09241885630108176, 
      0.8203241669004984}, {0.09998489885977781, 0.8585786437626906}, {
      0.09241885630108176, 0.8968331206248827}, {0.07071067811865475, 
      0.9292893218813453}, {0., 1.}}], 
     PolygonBox[{{0., 1.}, {-0.10606601717798211`, 
      0.9646446609406726}, {-0.035355339059327376`, 0.8939339828220179}}]}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{0.3090169943749474, 0.9510565162951535}, {
       0.49868459987363634`, 0.8544160443489022}}], 
      PolygonBox[{{0.5877852522924731, 0.8090169943749475}, {
       0.5213841248606137, 0.8989663705583205}, {0.475985074886659, 
       0.8098657181394837}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.5877852522924731, 0.8090169943749475}, {
       0.3246604408789706, -0.8522876822356398}}], 
      PolygonBox[{{0.3090169943749475, -0.9510565162951535}, {
       0.3740448579087275, -0.8601094054876512}, {
       0.2752760238492137, -0.8444659589836282}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{
       0.3090169943749475, -0.9510565162951535}, {-0.8619558638763167, \
-0.3544160443489022}}], 
      PolygonBox[{{-0.9510565162951535, -0.30901699437494756`}, \
{-0.8846553888632941, -0.3989663705583206}, {-0.8392563388893395, \
-0.3098657181394838}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.9510565162951535, -0.30901699437494756`}, \
{-0.6186869517299681, 0.713911342745432}}], 
      PolygonBox[{{-0.5877852522924734, 
       0.8090169943749473}, {-0.6662397775447257, 
       0.7293621924641793}, {-0.5711341259152104, 0.6984604930266847}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.5877852522924734, 0.8090169943749473}, {
       0.48778525229247316`, 0.8090169943749475}}], 
      PolygonBox[{{0.5877852522924731, 0.8090169943749475}, {
       0.48778525229247316`, 0.8590169943749475}, {0.48778525229247316`, 
       0.7590169943749474}}]}}, 
    {RGBColor[0.6, 0.4, 0.8], 
     LineBox[{{0.8090169943749475, 
      0.587785252292473}, {-0.8619558638763167, -0.2636179444009929}}], 
     PolygonBox[{{-0.9510565162951535, -0.30901699437494756`}, \
{-0.8392563388893394, -0.3081682706104113}, {-0.8846553888632941, \
-0.2190676181915745}}]}, 
    {RGBColor[1, 0.6, 0], 
     LineBox[{{0.9510565162951535, 0.30901699437494745`}, {
      0.35441604434890217`, -0.8619558638763167}}], 
     PolygonBox[{{0.3090169943749475, -0.9510565162951535}, {
      0.39896637055832057`, -0.8846553888632941}, {
      0.30986571813948377`, -0.8392563388893395}}]}, 
    {RGBColor[0.7, 0.8, 0.7], 
     LineBox[{{1., 6.123233995736766*^-17}, {-0.49868459987363656`, 
      0.7636179444009926}}], 
     PolygonBox[{{-0.5877852522924734, 
      0.8090169943749473}, {-0.5213841248606139, 
      0.7190676181915743}, {-0.4759850748866592, 0.8081682706104111}}]}, 
    {RGBColor[0.8, 0.6, 0.5], 
     LineBox[{{0.9510565162951535, -0.30901699437494756`}, {
      0.05877852522924731, 0.9190983005625053}}], 
     PolygonBox[{{0., 1.}, {0.01832767551049994, 0.8897090379478816}, {
      0.09922937494799466, 0.9484875631771289}}]}, 
    {RGBColor[0.5, 0.6, 0.8], 
     LineBox[{{0.8090169943749475, -0.587785252292473}, {0.6034286987964962, 
      0.7102481603154337}}], 
     PolygonBox[{{0.5877852522924731, 0.8090169943749475}, {
      0.5540442817667394, 0.7024264370634221}, {0.6528131158262531, 
      0.7180698835674453}}]}, 
    {RGBColor[0.8, 0.2, 0.5], 
     LineBox[{{0.5877852522924732, -0.8090169943749473}, {-0.529006727063226, 
      0.7281152949374526}}], 
     PolygonBox[{{-0.5877852522924734, 
      0.8090169943749473}, {-0.5694575767819734, 
      0.6987260323228289}, {-0.48855587734447864`, 0.7575045575520762}}]}, 
    {RGBColor[0.8, 0.6, 0.2], 
     LineBox[{{
      1.2246467991473532`*^-16, -1.}, {-0.8701548168576588, \
-0.3677955196041949}}], 
     PolygonBox[{{-0.9510565162951535, -0.30901699437494756`}, \
{-0.8995440794722824, -0.4082463693229422}, {-0.8407655542430351, \
-0.32734466988544747`}}]}, 
    {RGBColor[0.6, 0.6, 0.2], 
     LineBox[{{-0.30901699437494773`, -0.9510565162951535}, \
{-0.5721418057884503, 0.7102481603154336}}], 
     PolygonBox[{{-0.5877852522924734, 
      0.8090169943749473}, {-0.6215262228182071, 
      0.702426437063422}, {-0.5227573887586934, 0.718069883567445}}]}, 
    {RGBColor[1, 0.4, 0.4], 
     LineBox[{{-0.5877852522924734, -0.8090169943749472}, {0.5290067270632258,
       0.7281152949374528}}], 
     PolygonBox[{{0.5877852522924731, 0.8090169943749475}, {
      0.4885558773444785, 0.7575045575520764}, {0.5694575767819732, 
      0.698726032322829}}]}, 
    {RGBColor[0.2, 0.8, 0.7], 
     LineBox[{{-0.8090169943749473, -0.5877852522924732}, \
{-0.04539904997395467, 0.9108993475811632}}], 
     PolygonBox[{{0., 1.}, {-0.08994937618337305, 
      0.9335988725681406}, {-0.0008487237645362762, 0.8881998225941858}}]}, 
    {RGBColor[1, 0.6, 1], 
     LineBox[{{-1., -1.8369701987210297`*^-16}, {
      0.22811529493745275`, -0.8922779910659062}}], 
     PolygonBox[{{0.3090169943749475, -0.9510565162951535}, {
      0.2575045575520764, -0.8518271413471589}, {
      0.1987260323228291, -0.9327288407846536}}]}, 
    {RGBColor[0.7, 1, 0], 
     LineBox[{{-0.9510565162951536, 
      0.30901699437494723`}, {-0.9510565162951535, -0.20901699437494758`}}], 
     PolygonBox[{{-0.9510565162951535, -0.30901699437494756`}, \
{-0.9010565162951536, -0.20901699437494756`}, {-1.0010565162951535`, \
-0.20901699437494758`}}]}, 
    {RGBColor[0, 0, 1], 
     LineBox[{{-0.809016994374947, 0.5877852522924737}, {
      0.2502384691457002, -0.8701548168576587}}], 
     PolygonBox[{{0.3090169943749475, -0.9510565162951535}, {
      0.2906893188644476, -0.8407655542430351}, {
      0.20978761942695284`, -0.8995440794722824}}]}, 
    {RGBColor[0.6, 0.4, 0.4], 
     LineBox[{{-0.3090169943749476, 
      0.9510565162951535}, {-0.09876883405951378, 0.984356553495977}}], 
     PolygonBox[{{0., 1.}, {-0.10659055731152532`, 
      1.0337409705257339`}, {-0.09094711080750223, 0.93497213646622}}]}}},
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.4365305529300003`*^9, 3.4425887246021376`*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "This yields a rather perplexing graph, since some elements have many arrows \
point to them, for example 4 is obtained by squaring either 2, 13, 20, or 31 \
in this group. Those elements that have \"square roots\" seem to have four of \
them, while the majority of the elements do not have \"square roots\" at all. \
Of course a \"square root of ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 "\" is defined as any element whose square is ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ". Although there are some other interesting patterns to explore here, let \
us look at the circle graphs of differents powers. This graph maps every \
element to its cube:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
CircleGraph[{1,2,4,5,7,8,10,13,14,16,
             17,19,20,23,25,26,28,29,31,32},Pow[3]]\
\>", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.3090169943749474, 0.9510565162951535}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5877852522924731, 0.8090169943749475}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8090169943749475, 0.587785252292473}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9510565162951535, 0.30901699437494745`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1., 6.123233995736766*^-17}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9510565162951535, -0.30901699437494756`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8090169943749475, -0.587785252292473}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5877852522924732, -0.8090169943749473}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.3090169943749475, -0.9510565162951535}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.2246467991473532`*^-16, -1.}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.30901699437494773`, -0.9510565162951535}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5877852522924734, -0.8090169943749472}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.8090169943749473, -0.5877852522924732}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9510565162951535, -0.30901699437494756`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1., -1.8369701987210297`*^-16}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9510565162951536, 0.30901699437494723`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.809016994374947, 0.5877852522924737}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5877852522924734, 0.8090169943749473}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.3090169943749476, 0.9510565162951535}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"1\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], InsetBox[
    TagBox[
     StyleBox["\<\"17\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, -1.1}, {0, 1}], {InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.33991869381244216`, 1.0461621679246689`}, {-1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6465637775217205, 0.8899186938124423}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"5\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8899186938124423, 0.6465637775217203}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"7\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0461621679246689`, 0.3399186938124422}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"8\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.1, 6.735557395310444*^-17}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"10\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0461621679246689`, -0.33991869381244233`}, {-1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"13\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8899186938124423, -0.6465637775217203}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"14\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6465637775217207, -0.8899186938124422}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"16\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.3399186938124423, -1.0461621679246689`}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"19\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.33991869381244255`, -1.0461621679246689`}, {1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"20\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6465637775217208, -0.889918693812442}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"23\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.8899186938124422, -0.6465637775217207}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"25\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.0461621679246689`, -0.33991869381244233`}, {1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"26\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.1, -2.0206672185931328`*^-16}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"28\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.046162167924669, 0.339918693812442}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"29\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.8899186938124418, 0.6465637775217211}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"31\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6465637775217208, 0.8899186938124422}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"32\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.3399186938124424, 1.0461621679246689`}, {1, 0}]}, {
    {RGBColor[1, 0, 0], 
     LineBox[{{-0.07071067811865475, 
      0.9292893218813453}, {-0.09241885630108176, 
      0.8968331206248827}, {-0.09998489885977781, 
      0.8585786437626906}, {-0.09241885630108176, 
      0.8203241669004984}, {-0.07071067811865475, 
      0.7878679656440357}, {-0.038254476862192216`, 0.7661597874616087}, {0., 
      0.7585937449029128}, {0.038254476862192216`, 0.7661597874616087}, {
      0.07071067811865475, 0.7878679656440357}, {0.09241885630108176, 
      0.8203241669004984}, {0.09998489885977781, 0.8585786437626906}, {
      0.09241885630108176, 0.8968331206248827}, {0.07071067811865475, 
      0.9292893218813453}, {0., 1.}}], 
     PolygonBox[{{0., 1.}, {-0.10606601717798211`, 
      0.9646446609406726}, {-0.035355339059327376`, 0.8939339828220179}}]}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{0.3090169943749474, 0.9510565162951535}, {0.9412214747707527, 
       0.0809016994374948}}], 
      PolygonBox[{{1., 6.123233995736766*^-17}, {0.9816723244895, 
       0.11029096205211847`}, {0.9007706250520053, 0.05151243682287115}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{1., 6.123233995736766*^-17}, {
       0.07071067811865488, -0.9292893218813453}}], 
      PolygonBox[{{1.2246467991473532`*^-16, -1.}, {
       0.10606601717798225`, -0.9646446609406726}, {
       0.035355339059327494`, -0.8939339828220179}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{1.2246467991473532`*^-16, -1.}, {-0.7636179444009924, 
       0.4986845998736369}}], 
      PolygonBox[{{-0.809016994374947, 
       0.5877852522924737}, {-0.8081682706104107, 
       0.47598507488665953`}, {-0.7190676181915739, 0.5213841248606141}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.809016994374947, 0.5877852522924737}, {0.213911342745432, 
       0.9201548168576588}}], 
      PolygonBox[{{0.3090169943749474, 0.9510565162951535}, {
       0.19846049302668464`, 0.9677076426724165}, {0.22936219246417938`, 
       0.8726019910429011}}]}}, {
     {RGBColor[0.6, 0.4, 0.8], 
      LineBox[{{0.5877852522924731, 0.8090169943749475}, {-0.4877852522924734,
        0.8090169943749473}}], 
      PolygonBox[{{-0.5877852522924734, 
       0.8090169943749473}, {-0.4877852522924734, 
       0.7590169943749474}, {-0.4877852522924734, 0.8590169943749474}}]}, 
     {RGBColor[0.6, 0.4, 0.8], 
      LineBox[{{-0.5877852522924734, 
       0.8090169943749473}, {-0.9201548168576588, -0.21391134274543222`}}], 
      PolygonBox[{{-0.9510565162951535, -0.30901699437494756`}, \
{-0.8726019910429011, -0.22936219246417955`}, {-0.9677076426724165, \
-0.19846049302668484`}}]}, 
     {RGBColor[0.6, 0.4, 0.8], 
      LineBox[{{-0.9510565162951535, -0.30901699437494756`}, {
       0.2199163419561107, -0.9056574663211989}}], 
      PolygonBox[{{0.3090169943749475, -0.9510565162951535}, {
       0.24261586694308807`, -0.8611071401117805}, {
       0.1972168169691334, -0.9502077925306173}}]}, 
     {RGBColor[0.6, 0.4, 0.8], 
      LineBox[{{0.3090169943749475, -0.9510565162951535}, {0.5721418057884501,
        0.7102481603154337}}], 
      PolygonBox[{{0.5877852522924731, 0.8090169943749475}, {
       0.5227573887586932, 0.7180698835674452}, {0.6215262228182069, 
       0.7024264370634221}}]}}, {
     {RGBColor[1, 0.6, 0], 
      LineBox[{{0.8090169943749475, 0.587785252292473}, {-0.9048943483704847, 
       0.030901699437494566`}}], 
      PolygonBox[{{-1., -1.8369701987210297`*^-16}, {-0.8894434986517372, \
-0.016651126377263115`}, {-0.920345198089232, 0.07845452525225226}}]}, 
     {RGBColor[1, 0.6, 0], 
      LineBox[{{-1., -1.8369701987210297`*^-16}, {-0.6331843022664281, \
-0.7199163419561104}}], 
      PolygonBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.5886339760570096, -0.6972168169691331}, {-0.6777346284758464, \
-0.7426158669430878}}]}, 
     {RGBColor[1, 0.6, 0], 
      LineBox[{{-0.5877852522924734, -0.8090169943749472}, {
       0.48778525229247327`, -0.8090169943749473}}], 
      PolygonBox[{{0.5877852522924732, -0.8090169943749473}, {
       0.48778525229247327`, -0.7590169943749473}, {
       0.48778525229247327`, -0.8590169943749473}}]}, 
     {RGBColor[1, 0.6, 0], 
      LineBox[{{0.5877852522924732, -0.8090169943749473}, {0.7933735478709244,
        0.48901641823295927`}}], 
      PolygonBox[{{0.8090169943749475, 0.587785252292473}, {
       0.7439891308411675, 0.4968381414849708}, {0.8427579649006812, 
       0.4811946949809477}}]}}, {
     {RGBColor[0.7, 0.8, 0.7], 
      LineBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.8246604408789705, -0.48901641823295927`}}], 
      PolygonBox[{{0.8090169943749475, -0.587785252292473}, {
       0.8740448579087274, -0.4968381414849708}, {
       0.7752760238492137, -0.4811946949809477}}]}, 
     {RGBColor[0.7, 0.8, 0.7], 
      LineBox[{{
       0.8090169943749475, -0.587785252292473}, {-0.2139113427454324, \
-0.9201548168576588}}], 
      PolygonBox[{{-0.30901699437494773`, -0.9510565162951535}, \
{-0.19846049302668503`, -0.9677076426724165}, {-0.22936219246417977`, \
-0.8726019910429011}}]}, 
     {RGBColor[0.7, 0.8, 0.7], 
      LineBox[{{-0.30901699437494773`, -0.9510565162951535}, \
{-0.9056574663211989, 0.21991634195611043`}}], 
      PolygonBox[{{-0.9510565162951536, 
       0.30901699437494723`}, {-0.9502077925306174, 
       0.19721681696913307`}, {-0.8611071401117806, 0.2426158669430878}}]}, 
     {RGBColor[0.7, 0.8, 0.7], 
      LineBox[{{-0.9510565162951536, 0.30901699437494723`}, {
       0.8510565162951536, 0.30901699437494745`}}], 
      PolygonBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.8510565162951536, 0.35901699437494744`}, {0.8510565162951536, 
       0.2590169943749474}}]}}, 
    {RGBColor[0.8, 0.6, 0.5], 
     LineBox[{{0.9056574663211988, -0.21991634195611076`}, {
      0.8814979805973426, -0.18924111987771683`}, {
      0.8474538468308938, -0.17022410233836188`}, {
      0.8087336416028424, -0.16559855295503562`}, {
      0.7711577639284074, -0.17621473951122865`}, {
      0.7404825418500135, -0.20037422523508489`}, {
      0.7215327741618549, -0.2344183590015338}, {
      0.7168399749273322, -0.27313856422958505`}, {
      0.7274561614835253, -0.3107144419040201}, {
      0.7516156472073815, -0.34138966398241405`}, {
      0.7856597809738304, -0.360406681521769}, {
      0.8243799862018817, -0.3650322309050953}, {
      0.8619558638763167, -0.3544160443489022}, {
      0.9510565162951535, -0.30901699437494756`}}], 
     PolygonBox[{{0.9510565162951535, -0.30901699437494756`}, {
      0.9502077925306173, -0.19721681696913346`}, {
      0.8611071401117805, -0.24261586694308812`}}]}, 
    {RGBColor[0.5, 0.6, 0.8], 
     LineBox[{{-0.7102481603154336, -0.6034286987964963}, \
{-0.6712307949363341, -0.6019137074190141}, {-0.6358350648096786, \
-0.5855493470954031}, {-0.6093337511514606, -0.5569428727514937}, \
{-0.5958358797518968, -0.5203033112410056}, {-0.597350871129379, \
-0.4812859458619061}, {-0.6137724375932717, -0.4458902157352507}, \
{-0.6423217057968994, -0.41938890207703267`}, {-0.6789612673073875, \
-0.4058910306774688}, {-0.717978632686487, -0.407406022054951}, \
{-0.7533743628131424, -0.423770382378562}, {-0.7798756764713604, \
-0.45237685672247147`}, {-0.7933735478709243, -0.4890164182329595}, \
{-0.8090169943749473, -0.5877852522924732}}], 
     PolygonBox[{{-0.8090169943749473, -0.5877852522924732}, \
{-0.718069883567445, -0.6528131158262532}, {-0.702426437063422, \
-0.5540442817667395}}]}, 
    {RGBColor[0.8, 0.2, 0.5], 
     LineBox[{{-0.3544160443489023, 0.8619558638763167}, {-0.3650322309050953,
       0.8243799862018817}, {-0.360406681521769, 
      0.7856597809738304}, {-0.3413896639824141, 
      0.7516156472073815}, {-0.31071444190402014`, 
      0.7274561614835253}, {-0.2731385642295851, 
      0.7168399749273322}, {-0.23444020980275626`, 
      0.7214655243106585}, {-0.20037422523508494`, 
      0.7404825418500135}, {-0.17621473951122868`, 
      0.7711577639284074}, {-0.16559855295503567`, 
      0.8087336416028424}, {-0.17022410233836194`, 
      0.8474538468308938}, {-0.18924111987771688`, 
      0.8814979805973426}, {-0.21991634195611082`, 
      0.9056574663211989}, {-0.3090169943749476, 0.9510565162951535}}], 
     PolygonBox[{{-0.3090169943749476, 
      0.9510565162951535}, {-0.3989663705583207, 
      0.8846553888632941}, {-0.3098657181394839, 0.8392563388893394}}]}}},
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.4365305712425003`*^9, 3.4425887298208876`*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "This graph has a very different behavior. No two arrows heads are at the \
same element, indicating that no two elements have the same cube. We say that \
the function ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "\[RightArrow]", " ", 
    SuperscriptBox["x", "3"]}], TraditionalForm]]],
 " is ",
 StyleBox["one-to-one",
  FontSlant->"Italic"],
 ". Also, every element has some arrow that points to it, indicating that \
every element has a \"cube root.\" We denote this by saying that the function \
",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "\[RightArrow]", " ", 
    SuperscriptBox["x", "3"]}], TraditionalForm]]],
 " is ",
 StyleBox["onto",
  FontSlant->"Italic"],
 ". Because this function is both one-to-one and onto, every element has a \
unique cube root.\n\nEXPERIMENT:\nForm different circle graphs by replacing \
the 3 in the last graph with higher numbers. Look at all of the circle graphs \
from Pow[4] to Pow[21]. In these 18 circle graphs, which ones form one-to-one \
and onto functions? Why does Pow[20] behave the way it does? (Hint: see \
corollary 3.4.) Why does Pow[21] behave like Pow[1]? \n\nHere is one \
explanation as to why ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "\[RightArrow]", " ", 
    SuperscriptBox["x", "3"]}], TraditionalForm]]],
 " is one-to-one and onto. Let us plot both Pow[3] and Pow[7] on the same \
graph:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365307061175003`*^9, 3.4365307078362503`*^9}}],

Cell[CellGroupData[{

Cell["\<\
CircleGraph[{1,2,4,5,7,8,10,13,14,16,
             17,19,20,23,25,26,28,29,31,32},Pow[3],Pow[7]]\
\>", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.3090169943749474, 0.9510565162951535}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5877852522924731, 0.8090169943749475}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8090169943749475, 0.587785252292473}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9510565162951535, 0.30901699437494745`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1., 6.123233995736766*^-17}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9510565162951535, -0.30901699437494756`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8090169943749475, -0.587785252292473}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5877852522924732, -0.8090169943749473}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.3090169943749475, -0.9510565162951535}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.2246467991473532`*^-16, -1.}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.30901699437494773`, -0.9510565162951535}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5877852522924734, -0.8090169943749472}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.8090169943749473, -0.5877852522924732}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9510565162951535, -0.30901699437494756`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1., -1.8369701987210297`*^-16}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9510565162951536, 0.30901699437494723`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.809016994374947, 0.5877852522924737}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5877852522924734, 0.8090169943749473}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.3090169943749476, 0.9510565162951535}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"1\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], InsetBox[
    TagBox[
     StyleBox["\<\"17\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, -1.1}, {0, 1}], {InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.33991869381244216`, 1.0461621679246689`}, {-1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6465637775217205, 0.8899186938124423}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"5\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8899186938124423, 0.6465637775217203}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"7\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0461621679246689`, 0.3399186938124422}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"8\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.1, 6.735557395310444*^-17}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"10\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0461621679246689`, -0.33991869381244233`}, {-1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"13\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8899186938124423, -0.6465637775217203}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"14\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6465637775217207, -0.8899186938124422}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"16\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.3399186938124423, -1.0461621679246689`}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"19\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.33991869381244255`, -1.0461621679246689`}, {1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"20\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6465637775217208, -0.889918693812442}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"23\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.8899186938124422, -0.6465637775217207}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"25\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.0461621679246689`, -0.33991869381244233`}, {1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"26\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.1, -2.0206672185931328`*^-16}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"28\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.046162167924669, 0.339918693812442}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"29\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.8899186938124418, 0.6465637775217211}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"31\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6465637775217208, 0.8899186938124422}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"32\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.3399186938124424, 1.0461621679246689`}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.07071067811865475, 
       0.9292893218813453}, {-0.09241885630108176, 
       0.8968331206248827}, {-0.09998489885977781, 
       0.8585786437626906}, {-0.09241885630108176, 
       0.8203241669004984}, {-0.07071067811865475, 
       0.7878679656440357}, {-0.038254476862192216`, 0.7661597874616087}, {0.,
        0.7585937449029128}, {0.038254476862192216`, 0.7661597874616087}, {
       0.07071067811865475, 0.7878679656440357}, {0.09241885630108176, 
       0.8203241669004984}, {0.09998489885977781, 0.8585786437626906}, {
       0.09241885630108176, 0.8968331206248827}, {0.07071067811865475, 
       0.9292893218813453}, {0., 1.}}], 
      PolygonBox[{{0., 1.}, {-0.10606601717798211`, 
       0.9646446609406726}, {-0.035355339059327376`, 0.8939339828220179}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.3090169943749474, 0.9510565162951535}, {0.9412214747707527, 
       0.0809016994374948}}], 
      PolygonBox[{{1., 6.123233995736766*^-17}, {0.9816723244895, 
       0.11029096205211847`}, {0.9007706250520053, 0.05151243682287115}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.5877852522924731, 0.8090169943749475}, {-0.4877852522924734,
        0.8090169943749473}}], 
      PolygonBox[{{-0.5877852522924734, 
       0.8090169943749473}, {-0.4877852522924734, 
       0.7590169943749474}, {-0.4877852522924734, 0.8590169943749474}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.8090169943749475, 0.587785252292473}, {-0.9048943483704847, 
       0.030901699437494566`}}], 
      PolygonBox[{{-1., -1.8369701987210297`*^-16}, {-0.8894434986517372, \
-0.016651126377263115`}, {-0.920345198089232, 0.07845452525225226}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.8246604408789705, -0.48901641823295927`}}], 
      PolygonBox[{{0.8090169943749475, -0.587785252292473}, {
       0.8740448579087274, -0.4968381414849708}, {
       0.7752760238492137, -0.4811946949809477}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{1., 6.123233995736766*^-17}, {
       0.07071067811865488, -0.9292893218813453}}], 
      PolygonBox[{{1.2246467991473532`*^-16, -1.}, {
       0.10606601717798225`, -0.9646446609406726}, {
       0.035355339059327494`, -0.8939339828220179}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.9056574663211988, -0.21991634195611076`}, {
       0.8814979805973426, -0.18924111987771683`}, {
       0.8474538468308938, -0.17022410233836188`}, {
       0.8087336416028424, -0.16559855295503562`}, {
       0.7711577639284074, -0.17621473951122865`}, {
       0.7404825418500135, -0.20037422523508489`}, {
       0.7215327741618549, -0.2344183590015338}, {
       0.7168399749273322, -0.27313856422958505`}, {
       0.7274561614835253, -0.3107144419040201}, {
       0.7516156472073815, -0.34138966398241405`}, {
       0.7856597809738304, -0.360406681521769}, {
       0.8243799862018817, -0.3650322309050953}, {
       0.8619558638763167, -0.3544160443489022}, {
       0.9510565162951535, -0.30901699437494756`}}], 
      PolygonBox[{{0.9510565162951535, -0.30901699437494756`}, {
       0.9502077925306173, -0.19721681696913346`}, {
       0.8611071401117805, -0.24261586694308812`}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{
       0.8090169943749475, -0.587785252292473}, {-0.2139113427454324, \
-0.9201548168576588}}], 
      PolygonBox[{{-0.30901699437494773`, -0.9510565162951535}, \
{-0.19846049302668503`, -0.9677076426724165}, {-0.22936219246417977`, \
-0.8726019910429011}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.5877852522924732, -0.8090169943749473}, {0.7933735478709244,
        0.48901641823295927`}}], 
      PolygonBox[{{0.8090169943749475, 0.587785252292473}, {
       0.7439891308411675, 0.4968381414849708}, {0.8427579649006812, 
       0.4811946949809477}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.3090169943749475, -0.9510565162951535}, {0.5721418057884501,
        0.7102481603154337}}], 
      PolygonBox[{{0.5877852522924731, 0.8090169943749475}, {
       0.5227573887586932, 0.7180698835674452}, {0.6215262228182069, 
       0.7024264370634221}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{1.2246467991473532`*^-16, -1.}, {-0.7636179444009924, 
       0.4986845998736369}}], 
      PolygonBox[{{-0.809016994374947, 
       0.5877852522924737}, {-0.8081682706104107, 
       0.47598507488665953`}, {-0.7190676181915739, 0.5213841248606141}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.30901699437494773`, -0.9510565162951535}, \
{-0.9056574663211989, 0.21991634195611043`}}], 
      PolygonBox[{{-0.9510565162951536, 
       0.30901699437494723`}, {-0.9502077925306174, 
       0.19721681696913307`}, {-0.8611071401117806, 0.2426158669430878}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.5877852522924734, -0.8090169943749472}, {
       0.48778525229247327`, -0.8090169943749473}}], 
      PolygonBox[{{0.5877852522924732, -0.8090169943749473}, {
       0.48778525229247327`, -0.7590169943749473}, {
       0.48778525229247327`, -0.8590169943749473}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.7102481603154336, -0.6034286987964963}, \
{-0.6712307949363341, -0.6019137074190141}, {-0.6358350648096786, \
-0.5855493470954031}, {-0.6093337511514606, -0.5569428727514937}, \
{-0.5958358797518968, -0.5203033112410056}, {-0.597350871129379, \
-0.4812859458619061}, {-0.6137724375932717, -0.4458902157352507}, \
{-0.6423217057968994, -0.41938890207703267`}, {-0.6789612673073875, \
-0.4058910306774688}, {-0.717978632686487, -0.407406022054951}, \
{-0.7533743628131424, -0.423770382378562}, {-0.7798756764713604, \
-0.45237685672247147`}, {-0.7933735478709243, -0.4890164182329595}, \
{-0.8090169943749473, -0.5877852522924732}}], 
      PolygonBox[{{-0.8090169943749473, -0.5877852522924732}, \
{-0.718069883567445, -0.6528131158262532}, {-0.702426437063422, \
-0.5540442817667395}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.9510565162951535, -0.30901699437494756`}, {
       0.2199163419561107, -0.9056574663211989}}], 
      PolygonBox[{{0.3090169943749475, -0.9510565162951535}, {
       0.24261586694308807`, -0.8611071401117805}, {
       0.1972168169691334, -0.9502077925306173}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-1., -1.8369701987210297`*^-16}, {-0.6331843022664281, \
-0.7199163419561104}}], 
      PolygonBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.5886339760570096, -0.6972168169691331}, {-0.6777346284758464, \
-0.7426158669430878}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.9510565162951536, 0.30901699437494723`}, {
       0.8510565162951536, 0.30901699437494745`}}], 
      PolygonBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.8510565162951536, 0.35901699437494744`}, {0.8510565162951536, 
       0.2590169943749474}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.809016994374947, 0.5877852522924737}, {0.213911342745432, 
       0.9201548168576588}}], 
      PolygonBox[{{0.3090169943749474, 0.9510565162951535}, {
       0.19846049302668464`, 0.9677076426724165}, {0.22936219246417938`, 
       0.8726019910429011}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.5877852522924734, 
       0.8090169943749473}, {-0.9201548168576588, -0.21391134274543222`}}], 
      PolygonBox[{{-0.9510565162951535, -0.30901699437494756`}, \
{-0.8726019910429011, -0.22936219246417955`}, {-0.9677076426724165, \
-0.19846049302668484`}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.3544160443489023, 
       0.8619558638763167}, {-0.3650322309050953, 
       0.8243799862018817}, {-0.360406681521769, 
       0.7856597809738304}, {-0.3413896639824141, 
       0.7516156472073815}, {-0.31071444190402014`, 
       0.7274561614835253}, {-0.2731385642295851, 
       0.7168399749273322}, {-0.23444020980275626`, 
       0.7214655243106585}, {-0.20037422523508494`, 
       0.7404825418500135}, {-0.17621473951122868`, 
       0.7711577639284074}, {-0.16559855295503567`, 
       0.8087336416028424}, {-0.17022410233836194`, 
       0.8474538468308938}, {-0.18924111987771688`, 
       0.8814979805973426}, {-0.21991634195611082`, 
       0.9056574663211989}, {-0.3090169943749476, 0.9510565162951535}}], 
      PolygonBox[{{-0.3090169943749476, 
       0.9510565162951535}, {-0.3989663705583207, 
       0.8846553888632941}, {-0.3098657181394839, 0.8392563388893394}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.07071067811865475, 
       0.9292893218813453}, {-0.09241885630108176, 
       0.8968331206248827}, {-0.09998489885977781, 
       0.8585786437626906}, {-0.09241885630108176, 
       0.8203241669004984}, {-0.07071067811865475, 
       0.7878679656440357}, {-0.038254476862192216`, 0.7661597874616087}, {0.,
        0.7585937449029128}, {0.038254476862192216`, 0.7661597874616087}, {
       0.07071067811865475, 0.7878679656440357}, {0.09241885630108176, 
       0.8203241669004984}, {0.09998489885977781, 0.8585786437626906}, {
       0.09241885630108176, 0.8968331206248827}, {0.07071067811865475, 
       0.9292893218813453}, {0., 1.}}], 
      PolygonBox[{{0., 1.}, {-0.10606601717798211`, 
       0.9646446609406726}, {-0.035355339059327376`, 0.8939339828220179}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.3090169943749474, 0.9510565162951535}, {-0.7139113427454317,
        0.6186869517299685}}], 
      PolygonBox[{{-0.809016994374947, 
       0.5877852522924737}, {-0.6984604930266842, 
       0.5711341259152107}, {-0.729362192464179, 0.6662397775447261}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.5877852522924731, 0.8090169943749475}, {
       0.3246604408789706, -0.8522876822356398}}], 
      PolygonBox[{{0.3090169943749475, -0.9510565162951535}, {
       0.3740448579087275, -0.8601094054876512}, {
       0.2752760238492137, -0.8444659589836282}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.8090169943749475, 0.587785252292473}, {
       0.6034286987964963, -0.7102481603154336}}], 
      PolygonBox[{{0.5877852522924732, -0.8090169943749473}, {
       0.6528131158262532, -0.7180698835674452}, {
       0.5540442817667395, -0.702426437063422}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.9510565162951535, 
       0.30901699437494745`}, {-0.8510565162951537, 0.30901699437494723`}}], 
      PolygonBox[{{-0.9510565162951536, 
       0.30901699437494723`}, {-0.8510565162951537, 
       0.25901699437494724`}, {-0.8510565162951537, 0.3590169943749473}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{1., 6.123233995736766*^-17}, {0.3677955196041947, 
       0.8701548168576588}}], 
      PolygonBox[{{0.3090169943749474, 0.9510565162951535}, {
       0.32734466988544736`, 0.8407655542430351}, {0.4082463693229421, 
       0.8995440794722824}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.9056574663211988, -0.21991634195611076`}, {
       0.8814979805973426, -0.18924111987771683`}, {
       0.8474538468308938, -0.17022410233836188`}, {
       0.8087336416028424, -0.16559855295503562`}, {
       0.7711577639284074, -0.17621473951122865`}, {
       0.7404825418500135, -0.20037422523508489`}, {
       0.7215327741618549, -0.2344183590015338}, {
       0.7168399749273322, -0.27313856422958505`}, {
       0.7274561614835253, -0.3107144419040201}, {
       0.7516156472073815, -0.34138966398241405`}, {
       0.7856597809738304, -0.360406681521769}, {
       0.8243799862018817, -0.3650322309050953}, {
       0.8619558638763167, -0.3544160443489022}, {
       0.9510565162951535, -0.30901699437494756`}}], 
      PolygonBox[{{0.9510565162951535, -0.30901699437494756`}, {
       0.9502077925306173, -0.19721681696913346`}, {
       0.8611071401117805, -0.24261586694308812`}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.8090169943749475, -0.587785252292473}, {0.9354130697911305, 
       0.21024816031543367`}}], 
      PolygonBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.8860286527613735, 0.21806988356744522`}, {0.9847974868208873, 
       0.20242643706342212`}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{
       0.5877852522924732, -0.8090169943749473}, {-0.4877852522924734, \
-0.8090169943749472}}], 
      PolygonBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.4877852522924734, -0.8590169943749473}, {-0.4877852522924734, \
-0.7590169943749472}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{
       0.3090169943749475, -0.9510565162951535}, {-0.8619558638763167, \
-0.3544160443489022}}], 
      PolygonBox[{{-0.9510565162951535, -0.30901699437494756`}, \
{-0.8846553888632941, -0.3989663705583206}, {-0.8392563388893395, \
-0.3098657181394838}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{1.2246467991473532`*^-16, -1.}, {
       0.9292893218813453, -0.07071067811865471}}], 
      PolygonBox[{{1., 6.123233995736766*^-17}, {
       0.8939339828220179, -0.03535533905932732}, {
       0.9646446609406726, -0.10606601717798207`}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.30901699437494773`, -0.9510565162951535}, {
       0.7139113427454321, -0.6186869517299678}}], 
      PolygonBox[{{0.8090169943749475, -0.587785252292473}, {
       0.6984604930266848, -0.5711341259152101}, {
       0.7293621924641794, -0.6662397775447254}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.9546009500260453, -0.08910065241883697}}], 
      PolygonBox[{{-1., -1.8369701987210297`*^-16}, {-0.9991512762354637, \
-0.11180017740581431`}, {-0.9100506238166269, -0.06640112743185964}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.7102481603154336, -0.6034286987964963}, \
{-0.6712307949363341, -0.6019137074190141}, {-0.6358350648096786, \
-0.5855493470954031}, {-0.6093337511514606, -0.5569428727514937}, \
{-0.5958358797518968, -0.5203033112410056}, {-0.597350871129379, \
-0.4812859458619061}, {-0.6137724375932717, -0.4458902157352507}, \
{-0.6423217057968994, -0.41938890207703267`}, {-0.6789612673073875, \
-0.4058910306774688}, {-0.717978632686487, -0.407406022054951}, \
{-0.7533743628131424, -0.423770382378562}, {-0.7798756764713604, \
-0.45237685672247147`}, {-0.7933735478709243, -0.4890164182329595}, \
{-0.8090169943749473, -0.5877852522924732}}], 
      PolygonBox[{{-0.8090169943749473, -0.5877852522924732}, \
{-0.718069883567445, -0.6528131158262532}, {-0.702426437063422, \
-0.5540442817667395}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.9510565162951535, -0.30901699437494756`}, \
{-0.6186869517299681, 0.713911342745432}}], 
      PolygonBox[{{-0.5877852522924734, 
       0.8090169943749473}, {-0.6662397775447257, 
       0.7293621924641793}, {-0.5711341259152104, 0.6984604930266847}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-1., -1.8369701987210297`*^-16}, {0.7139113427454321, 
       0.5568835528549783}}], 
      PolygonBox[{{0.8090169943749475, 0.587785252292473}, {
       0.6984604930266847, 0.604436378669736}, {0.7293621924641794, 
       0.5093307270402205}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.9510565162951536, 
       0.30901699437494723`}, {-0.3544160443489024, -0.8619558638763167}}], 
      PolygonBox[{{-0.30901699437494773`, -0.9510565162951535}, \
{-0.309865718139484, -0.8392563388893394}, {-0.3989663705583208, \
-0.8846553888632941}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.809016994374947, 
       0.5877852522924737}, {-0.04539904997395453, -0.9108993475811632}}], 
      PolygonBox[{{
       1.2246467991473532`*^-16, -1.}, {-0.0008487237645361226, \
-0.8881998225941858}, {-0.08994937618337293, -0.9335988725681406}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.5877852522924734, 0.8090169943749473}, {
       0.48778525229247316`, 0.8090169943749475}}], 
      PolygonBox[{{0.5877852522924731, 0.8090169943749475}, {
       0.48778525229247316`, 0.8590169943749475}, {0.48778525229247316`, 
       0.7590169943749474}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.3544160443489023, 
       0.8619558638763167}, {-0.3650322309050953, 
       0.8243799862018817}, {-0.360406681521769, 
       0.7856597809738304}, {-0.3413896639824141, 
       0.7516156472073815}, {-0.31071444190402014`, 
       0.7274561614835253}, {-0.2731385642295851, 
       0.7168399749273322}, {-0.23444020980275626`, 
       0.7214655243106585}, {-0.20037422523508494`, 
       0.7404825418500135}, {-0.17621473951122868`, 
       0.7711577639284074}, {-0.16559855295503567`, 
       0.8087336416028424}, {-0.17022410233836194`, 
       0.8474538468308938}, {-0.18924111987771688`, 
       0.8814979805973426}, {-0.21991634195611082`, 
       0.9056574663211989}, {-0.3090169943749476, 0.9510565162951535}}], 
      PolygonBox[{{-0.3090169943749476, 
       0.9510565162951535}, {-0.3989663705583207, 
       0.8846553888632941}, {-0.3098657181394839, 0.8392563388893394}}]}}}},
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.4425887367271376`*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "The green arrows representing Pow[7] completely cover up the red arrows \
representing Pow[3], except for the heads. This indicates that the graph of \
Pow[7] is the same as the graph of Pow[3], except that the arrows are going \
in the opposite direction. So to take a cube root of a number modulo 33, we \
take its seventh power! This is because ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "33", ")"}], "=", "20"}], TraditionalForm]]],
 ", so using corollary 3.4, \n\n                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      SuperscriptBox["x", "3"], ")"}], "7"], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["x", "21"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SuperscriptBox["x", "20"], "\[CenterDot]", "x"}], " ", "=", " ", 
      RowBox[{
       RowBox[{"e", "\[CenterDot]", "x"}], " ", "=", " ", "x"}]}]}]}], 
   TraditionalForm]]],
 ".\n\nHere we used the observation that Pow[21] behaved like Pow[1] because \
of corollary 3.4. We say that the function Pow[7] is the ",
 StyleBox["inverse",
  FontSlant->"Italic"],
 " of the function Pow[3]. The difference between these two examples is that \
3 is coprime to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "33", ")"}], "=", "20"}], TraditionalForm]]],
 ", whereas 2 is not.  See if you can use this idea to prove the following \
generalization:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365306885550003`*^9, 3.4365306888518753`*^9}, {
  3.4414818769375*^9, 3.44148197271875*^9}}],

Cell[TextData[{
 "PROPOSITION 3.1\nSuppose ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " is a finite group of order ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 ", and that ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " is some integer which is coprime to ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 ". Then for any ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", there is a unique solution to the equation \n                            \
",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "r"], " ", "=", " ", "y"}], TraditionalForm]]],
 ".\n\nIn other words, we can always find the unique\n",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 "-th root of ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.398170465625*^9, 3.3981704660625*^9}, {
  3.4365307462581253`*^9, 3.4365307935706253`*^9}, {3.4414825936875*^9, 
  3.44148260465625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Since ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " is of order ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 ", we have by corollary 3.2 that   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "m"], "  ", "=", " ", "e"}], TraditionalForm]]],
 "   for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".  If ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 " are coprime, then ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " is a generator in the additive group ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "m"], TraditionalForm]]],
 " .  But this means that ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " is an element of the group ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "m", "*"], TraditionalForm]]],
 ", and so there is an inverse element ",
 Cell[BoxData[
  FormBox[
   RowBox[{"s", " ", "=", " ", 
    SuperscriptBox["r", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 ".  Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"s", "\[CenterDot]", "r"}], " ", "=", " ", "1"}], 
   TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "m", "*"], TraditionalForm]]],
 ".  Another way we could say this is\n\n                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"s", " ", "r"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"k", " ", "m"}], " ", "+", " ", "1"}]}]}], TraditionalForm]]],
 "       for some integer ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 ".\n\nNow we are ready to take the ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 "-th root of a number.  If ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " is an element of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", then the ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 "-th root of ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " is merely ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["y", "s"], TraditionalForm]]],
 ".  To see this, note that\n\n             ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      SuperscriptBox["y", "s"], ")"}], "r"], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["y", 
      RowBox[{"s", " ", "r"}]], " ", "=", " ", 
     RowBox[{
      SuperscriptBox["y", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"k", " ", "m"}], " ", "+", " ", "1"}], ")"}]], " ", "=", " ",
       
      RowBox[{
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          SuperscriptBox["y", "m"], ")"}], "k"], "\[CenterDot]", "y"}], " ", 
       "=", " ", 
       RowBox[{
        RowBox[{
         SuperscriptBox["e", "k"], "\[CenterDot]", "y"}], " ", "=", " ", 
        "y"}]}]}]}]}], TraditionalForm]]],
 ".\n\nSo ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["y", "s"], TraditionalForm]]],
 "  is one ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 "-th root of ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 ".  But ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["y", "s"], TraditionalForm]]],
 " must be a different element for every ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", since the ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 "-th power of ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["y", "s"], TraditionalForm]]],
 " is different.  Since the ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 "-th root of every element of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " is accounted for, by the pigeonhole principle there cannot be",
 StyleBox[" two",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 "-th roots to any element. Thus, ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["y", "s"], TraditionalForm]]],
 " gives the unique ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 "-th root of ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365308074143753`*^9, 3.4365308107425003`*^9}, {
  3.4365308585393753`*^9, 3.4365308688987503`*^9}, {3.4414819953125*^9, 
  3.441482015796875*^9}, {3.441482612140625*^9, 3.4414826609375*^9}}]
}, Open  ]],

Cell[TextData[{
 "Let us try another experiment. Rather than using the \nelements in ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "33", "*"], TraditionalForm]]],
 ", suppose we considered all of the \nnumbers from 0 to 32. This will no \
longer by a group, since we have insluded some non-invertable elements. But \
we can still take the cube of any number, and can still plot the circle \
graph. Here it is:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
CircleGraph[{0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,
       20,21,22,23,24,25,26,27,28,29,30,31,32},Pow[3]]\
\>", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.1892512443604102, 0.9819286972627067}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.3716624556603275, 0.9283679330160726}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5406408174555976, 0.8412535328311812}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6900790114821119, 0.7237340381050702}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8145759520503357, 0.5800569095711982}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9096319953545183, 0.41541501300188644`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9718115683235417, 0.23575893550942728`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.998867339183008, 0.0475819158237424}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9898214418809328, -0.142314838273285}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9450008187146685, -0.32706796331742166`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8660254037844385, -0.5000000000000002}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7557495743542583, -0.654860733945285}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6181589862206055, -0.7860530947427873}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.4582265217274105, -0.8888354486549234}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.28173255684142967`, -0.9594929736144974}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.09505604330418288, -0.9954719225730846}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.09505604330418263, -0.9954719225730846}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.2817325568414294, -0.9594929736144975}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.4582265217274107, -0.8888354486549234}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6181589862206053, -0.7860530947427874}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7557495743542582, -0.6548607339452852}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.8660254037844388, -0.4999999999999996}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9450008187146683, -0.3270679633174219}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9898214418809327, -0.14231483827328523`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.998867339183008, 0.04758191582374238}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9718115683235419, 0.23575893550942661`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9096319953545182, 0.4154150130018868}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.8145759520503358, 0.5800569095711979}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.690079011482112, 0.7237340381050701}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5406408174555974, 0.8412535328311812}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.37166245566032724`, 0.9283679330160727}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.18925124436041063`, 0.9819286972627066}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"0\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], {}, {InsetBox[
     TagBox[
      StyleBox["\<\"1\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.2081763687964512, 1.0801215669889774`}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.4088287012263603, 1.02120472631768}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5947048992011573, 0.9253788861142994}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7590869126303231, 0.7961074419155773}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"5\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8960335472553693, 0.638062600528318}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"6\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0005951948899703`, 0.4569565143020751}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"7\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.068992725155896, 0.25933482906037003`}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"8\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0987540731013088`, 0.05234010740611665}, {-1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"9\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0888035860690262`, -0.1565463221006135}, {-1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"10\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0395009005861353`, -0.35977475964916383`}, {-1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"11\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9526279441628824, -0.5500000000000003}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"12\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8313245317896841, -0.7203468073398136}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"13\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6799748848426661, -0.8646584042170661}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"14\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5040491739001516, -0.9777189935204158}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"15\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.30990581252557264`, -1.0554422709759472`}, {-1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"16\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.10456164763460117`, -1.0950191148303932`}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"17\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.10456164763460091`, -1.0950191148303932`}, {1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"18\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.30990581252557237`, -1.0554422709759472`}, {1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"19\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5040491739001518, -0.9777189935204158}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"20\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6799748848426659, -0.8646584042170662}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"21\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.831324531789684, -0.7203468073398138}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"22\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9526279441628828, -0.5499999999999996}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"23\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.0395009005861353`, -0.3597747596491641}, {1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"24\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.088803586069026, -0.15654632210061376`}, {1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"25\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.0987540731013088`, 0.05234010740611662}, {1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"26\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.0689927251558962`, 0.2593348290603693}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"27\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.00059519488997, 0.45695651430207557`}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"28\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.8960335472553695, 0.6380626005283178}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"29\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7590869126303234, 0.7961074419155771}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"30\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5947048992011572, 0.9253788861142994}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"31\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.40882870122636, 1.02120472631768}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"32\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.2081763687964517, 1.0801215669889774`}, {1, 0}]}, {
    {RGBColor[1, 0, 0], 
     LineBox[{{-0.07071067811865475, 
      0.9292893218813453}, {-0.09241885630108176, 
      0.8968331206248827}, {-0.09998489885977781, 
      0.8585786437626906}, {-0.09241885630108176, 
      0.8203241669004984}, {-0.07071067811865475, 
      0.7878679656440357}, {-0.038254476862192216`, 0.7661597874616087}, {0., 
      0.7585937449029128}, {0.038254476862192216`, 0.7661597874616087}, {
      0.07071067811865475, 0.7878679656440357}, {0.09241885630108176, 
      0.8203241669004984}, {0.09998489885977781, 0.8585786437626906}, {
      0.09241885630108176, 0.8968331206248827}, {0.07071067811865475, 
      0.9292893218813453}, {0., 1.}}], 
     PolygonBox[{{0., 1.}, {-0.10606601717798211`, 
      0.9646446609406726}, {-0.035355339059327376`, 0.8939339828220179}}]}, 
    {RGBColor[0, 1, 0], 
     LineBox[{{0.10643631648927311`, 0.9258779370386173}, {
      0.07897805689165839, 0.8981165613545846}, {0.06430903523003739, 
      0.8619852756939429}, {0.0644986421946056, 0.8229902240950672}, {
      0.07967214884222543, 0.7870122489433908}, {0.1074335245262581, 
      0.7595539893457761}, {0.14357819227072333`, 0.7448849676841551}, {
      0.18255986178577563`, 0.7450745746487233}, {0.2185378369374519, 
      0.7602480812963431}, {0.24599609653506663`, 0.7880094569803758}, {
      0.26066511819668764`, 0.8241407426410176}, {0.2604755112321194, 
      0.8631357942398934}, {0.24530200458449958`, 0.8991137693915696}, {
      0.1892512443604102, 0.9819286972627067}}], 
     PolygonBox[{{0.1892512443604102, 0.9819286972627067}, {
      0.0784109363772284, 0.9672854009741858}, {0.1344616966013178, 
      0.8844704731030488}}]}, {
     {RGBColor[0.6, 0.4, 0.8], 
      LineBox[{{0.3716624556603275, 0.9283679330160726}, {0.9408616482258881, 
       0.12903951102877598`}}], 
      PolygonBox[{{0.998867339183008, 0.0475819158237424}, {
       0.9815904458284049, 0.1580423565073359}, {0.9001328506233713, 
       0.10003666555021606`}}]}, 
     {RGBColor[0.6, 0.4, 0.8], 
      LineBox[{{0.998867339183008, 
       0.0475819158237424}, {-0.02268263949367562, -0.9264640214248734}}], 
      PolygonBox[{{-0.09505604330418263, -0.9954719225730846}, {
       0.011821311080429983`, -0.9626507233301269}, {-0.05718659006778123, \
-0.8902773195196199}}]}, 
     {RGBColor[0.6, 0.4, 0.8], 
      LineBox[{{-0.09505604330418263, -0.9954719225730846}, \
{-0.6573722151503698, 0.6292339562336032}}], 
      PolygonBox[{{-0.690079011482112, 
       0.7237340381050701}, {-0.7046222560861033, 
       0.6128805580677321}, {-0.6101221742146364, 0.6455873543994743}}]}, 
     {RGBColor[0.6, 0.4, 0.8], 
      LineBox[{{-0.690079011482112, 0.7237340381050701}, {
       0.27346958593405685`, 0.9094428085800316}}], 
      PolygonBox[{{0.3716624556603275, 0.9283679330160726}, {
       0.26400702371603635`, 0.9585392434431669}, {0.28293214815207735`, 
       0.8603463737168962}}]}}, {
     {RGBColor[1, 0.6, 0], 
      LineBox[{{0.5406408174555976, 0.8412535328311812}, {-0.8136826979930685,
        0.4435882686860298}}], 
      PolygonBox[{{-0.9096319953545182, 
       0.4154150130018868}, {-0.799596070150997, 
       0.3956136200053049}, {-0.82776932583514, 0.4915629173667546}}]}, 
     {RGBColor[1, 0.6, 0], 
      LineBox[{{-0.9096319953545182, 0.4154150130018868}, {
       0.21624648344690117`, -0.8839180161790715}}], 
      PolygonBox[{{0.28173255684142967`, -0.9594929736144974}, {
       0.2540339621646141, -0.8511749794818073}, {
       0.17845900472918824`, -0.9166610528763358}}]}, 
     {RGBColor[1, 0.6, 0], 
      LineBox[{{0.28173255684142967`, -0.9594929736144974}, {
       0.9243353684864043, -0.21788979570871086`}}], 
      PolygonBox[{{0.9898214418809328, -0.142314838273285}, {
       0.8865478897686914, -0.1851467590114466}, {
       0.9621228472041172, -0.2506328324059751}}]}, 
     {RGBColor[1, 0.6, 0], 
      LineBox[{{0.9898214418809328, -0.142314838273285}, {0.5821823187557862, 
       0.7502903332957294}}], 
      PolygonBox[{{0.5406408174555976, 0.8412535328311812}, {
       0.5367007189880603, 0.7295195826456351}, {0.6276639185235121, 
       0.7710610839458237}}]}}, {
     {RGBColor[0.7, 0.8, 0.7], 
      LineBox[{{0.6900790114821119, 
       0.7237340381050702}, {-0.27346958593405657`, 0.9094428085800317}}], 
      PolygonBox[{{-0.37166245566032724`, 
       0.9283679330160727}, {-0.28293214815207707`, 
       0.8603463737168964}, {-0.26400702371603607`, 0.958539243443167}}]}, 
     {RGBColor[0.7, 0.8, 0.7], 
      LineBox[{{-0.37166245566032724`, 
       0.9283679330160727}, {-0.9408616482258881, 0.12903951102877595`}}], 
      PolygonBox[{{-0.998867339183008, 
       0.04758191582374238}, {-0.9001328506233713, 
       0.10003666555021604`}, {-0.9815904458284049, 
       0.15804235650733586`}}]}, 
     {RGBColor[0.7, 0.8, 0.7], 
      LineBox[{{-0.998867339183008, 0.04758191582374238}, {
       0.02268263949367587, -0.9264640214248734}}], 
      PolygonBox[{{0.09505604330418288, -0.9954719225730846}, {
       0.05718659006778147, -0.8902773195196199}, {-0.011821311080429733`, \
-0.9626507233301269}}]}, 
     {RGBColor[0.7, 0.8, 0.7], 
      LineBox[{{0.09505604330418288, -0.9954719225730846}, {
       0.6573722151503698, 0.6292339562336033}}], 
      PolygonBox[{{0.6900790114821119, 0.7237340381050702}, {
       0.6101221742146363, 0.6455873543994745}, {0.7046222560861032, 
       0.6128805580677322}}]}}, {
     {RGBColor[0.8, 0.6, 0.5], 
      LineBox[{{0.8145759520503357, 0.5800569095711982}, {-0.8736186985972711,
        0.25468405994546767`}}], 
      PolygonBox[{{-0.9718115683235419, 
       0.23575893550942661`}, {-0.8641561363792507, 
       0.20558762508233233`}, {-0.8830812608152917, 
       0.30378049480860303`}}]}, 
     {RGBColor[0.8, 0.6, 0.5], 
      LineBox[{{-0.9718115683235419, 
       0.23575893550942661`}, {-0.6508657825523475, -0.6915530128713205}}], 
      PolygonBox[{{-0.6181589862206053, -0.7860530947427874}, \
{-0.603615741616614, -0.6751996147054494}, {-0.6981158234880809, \
-0.7079064110371917}}]}, 
     {RGBColor[0.8, 0.6, 0.5], 
      LineBox[{{-0.6181589862206053, -0.7860530947427874}, {
       0.35867932947010206`, -0.8793298443245051}}], 
      PolygonBox[{{0.4582265217274105, -0.8888354486549234}, {
       0.3634321316353112, -0.8295562481958508}, {
       0.35392652730489293`, -0.9291034404531593}}]}, 
     {RGBColor[0.8, 0.6, 0.5], 
      LineBox[{{0.4582265217274105, -0.8888354486549234}, {0.791000058499393, 
       0.482875752738844}}], 
      PolygonBox[{{0.8145759520503357, 0.5800569095711982}, {
       0.742409480083216, 0.4946636995143153}, {0.8395906369155701, 
       0.47108780596337263`}}]}}, {
     {RGBColor[0.5, 0.6, 0.8], 
      LineBox[{{0.9096319953545183, 
       0.41541501300188644`}, {-0.2162464834469009, -0.8839180161790716}}], 
      PolygonBox[{{-0.2817325568414294, -0.9594929736144975}, \
{-0.17845900472918796`, -0.9166610528763359}, {-0.2540339621646138, \
-0.8511749794818074}}]}, 
     {RGBColor[0.5, 0.6, 0.8], 
      LineBox[{{-0.2817325568414294, -0.9594929736144975}, \
{-0.9243353684864042, -0.21788979570871103`}}], 
      PolygonBox[{{-0.9898214418809327, -0.14231483827328523`}, \
{-0.9621228472041171, -0.25063283240597534`}, {-0.8865478897686913, \
-0.18514675901144678`}}]}, 
     {RGBColor[0.5, 0.6, 0.8], 
      LineBox[{{-0.9898214418809327, -0.14231483827328523`}, \
{-0.5821823187557861, 0.7502903332957294}}], 
      PolygonBox[{{-0.5406408174555974, 
       0.8412535328311812}, {-0.627663918523512, 
       0.7710610839458236}, {-0.5367007189880602, 0.729519582645635}}]}, 
     {RGBColor[0.5, 0.6, 0.8], 
      LineBox[{{-0.5406408174555974, 0.8412535328311812}, {0.8136826979930686,
        0.4435882686860294}}], 
      PolygonBox[{{0.9096319953545183, 0.41541501300188644`}, {
       0.8277693258351401, 0.4915629173667543}, {0.7995960701509971, 
       0.39561362000530453`}}]}}, {
     {RGBColor[0.8, 0.2, 0.5], 
      LineBox[{{0.9718115683235417, 0.23575893550942728`}, {
       0.6508657825523476, -0.6915530128713204}}], 
      PolygonBox[{{0.6181589862206055, -0.7860530947427873}, {
       0.6981158234880811, -0.7079064110371915}, {
       0.6036157416166142, -0.6751996147054493}}]}, 
     {RGBColor[0.8, 0.2, 0.5], 
      LineBox[{{
       0.6181589862206055, -0.7860530947427873}, {-0.3586793294701022, \
-0.8793298443245051}}], 
      PolygonBox[{{-0.4582265217274107, -0.8888354486549234}, \
{-0.3539265273048931, -0.9291034404531593}, {-0.36343213163531135`, \
-0.8295562481958508}}]}, 
     {RGBColor[0.8, 0.2, 0.5], 
      LineBox[{{-0.4582265217274107, -0.8888354486549234}, \
{-0.7910000584993931, 0.48287575273884376`}}], 
      PolygonBox[{{-0.8145759520503358, 
       0.5800569095711979}, {-0.8395906369155702, 
       0.4710878059633724}, {-0.7424094800832161, 0.4946636995143151}}]}, 
     {RGBColor[0.8, 0.2, 0.5], 
      LineBox[{{-0.8145759520503358, 0.5800569095711979}, {0.8736186985972709,
        0.2546840599454683}}], 
      PolygonBox[{{0.9718115683235417, 0.23575893550942728`}, {
       0.8830812608152915, 0.30378049480860364`}, {0.8641561363792505, 
       0.20558762508233294`}}]}}, 
    {RGBColor[0.8, 0.6, 0.2], 
     LineBox[{{0.9013063674777325, -0.23711911712636136`}, {
      0.8777352803434655, -0.20598948732919237`}, {
      0.8440593785192381, -0.18632775708170393`}, {
      0.8054342564349195, -0.18096585965901107`}, {
      0.7676630700497362, -0.190864722172237}, {
      0.7365334402525673, -0.21443580930650402`}, {
      0.7169385316537928, -0.24811171113073138`}, {
      0.711509812582386, -0.28673683321505}, {
      0.7214086750956119, -0.32450801960023323`}, {
      0.7449797622298789, -0.3556376493974022}, {
      0.7786556640541062, -0.3752993796448907}, {
      0.8172807861384249, -0.3806612770675835}, {
      0.8550519725236081, -0.3707624145543576}, {
      0.9450008187146685, -0.32706796331742166`}}], 
     PolygonBox[{{0.9450008187146685, -0.32706796331742166`}, {
      0.9462807905732626, -0.21527189150789336`}, {
      0.8563319443822024, -0.2589663427448293}}]}, 
    {RGBColor[0.6, 0.6, 0.2], 
     LineBox[{{0.8401434992741864, -0.40340741737109337`}, {
      0.822889693566963, -0.3683794829670012}, {
      0.7935433660751685, -0.3426998594739601}, {
      0.756630996024678, -0.330125006104809}, {
      0.7176690121350275, -0.3326967392524386}, {
      0.6826410777309354, -0.34995054495966205`}, {
      0.6570226914814639, -0.3792968724514565}, {
      0.6443866008687431, -0.416209242501947}, {
      0.6469583340163727, -0.45517122639159746`}, {
      0.6642121397235963, -0.49019916079568965`}, {
      0.6935584672153907, -0.5158787842887308}, {
      0.7304708372658811, -0.5284536376578819}, {
      0.7694328211555317, -0.5258819045102523}, {
      0.8660254037844385, -0.5000000000000002}}], 
     PolygonBox[{{0.8660254037844385, -0.5000000000000002}, {
      0.8884397905886399, -0.3904664651159674}, {
      0.791847207959733, -0.4163483696262194}}]}, 
    {RGBColor[1, 0.4, 0.4], 
     LineBox[{{0.748615656034335, -0.5551155224842597}, {
      0.7383027292467665, -0.517455284287001}, {
      0.7143466288240689, -0.4866858960490522}, {
      0.6804811200352733, -0.46735257469766484`}, {
      0.6417365262533864, -0.4625042293431575}, {
      0.6040762880561279, -0.47281715613072606`}, {
      0.5733603393830695, -0.4967732565534237}, {
      0.5539735784667916, -0.5306387653422193}, {
      0.5491252331122843, -0.5693833591241061}, {
      0.5594381598998528, -0.6070435973213647}, {
      0.5833942603225505, -0.6378129855593135}, {
      0.6172597691113461, -0.6571463069107009}, {
      0.6560043628932329, -0.6619946522652083}, {
      0.7557495743542583, -0.654860733945285}}], 
     PolygonBox[{{0.7557495743542583, -0.654860733945285}, {
      0.7984882617648477, -0.551548563324298}, {
      0.6987430503038223, -0.5586824816442213}}]}, 
    {RGBColor[0.2, 0.8, 0.7], 
     LineBox[{{-0.6560043628932328, -0.6619946522652084}, \
{-0.617259769111346, -0.6571463069107011}, {-0.5833942603225504, \
-0.6378129855593138}, {-0.5594381598998528, -0.6070435973213648}, \
{-0.5491252331122842, -0.5693833591241063}, {-0.5539735784667916, \
-0.5306387653422194}, {-0.5733603393830695, -0.49677325655342386`}, \
{-0.6040762880561279, -0.4728171561307263}, {-0.6417365262533864, \
-0.4625042293431577}, {-0.6804811200352733, -0.46735257469766506`}, \
{-0.7143466288240689, -0.48668589604905244`}, {-0.7383027292467664, \
-0.5174552842870013}, {-0.748615656034335, -0.5551155224842599}, \
{-0.7557495743542582, -0.6548607339452852}}], 
     PolygonBox[{{-0.7557495743542582, -0.6548607339452852}, \
{-0.6595713220531945, -0.711867257995721}, {-0.6524374037332712, \
-0.6121220465346957}}]}, 
    {RGBColor[1, 0.6, 1], 
     LineBox[{{-0.769432821155532, -0.5258819045102517}, \
{-0.7304708372658816, -0.5284536376578813}, {-0.693558467215391, \
-0.5158787842887302}, {-0.6642121397235966, -0.4901991607956892}, \
{-0.6469583340163731, -0.455171226391597}, {-0.6443866008687434, \
-0.4162092425019466}, {-0.6570226914814641, -0.37929687245145605`}, \
{-0.6826410777309356, -0.3499505449596616}, {-0.7176690121350278, \
-0.33269673925243815`}, {-0.7566309960246783, -0.3301250061048085}, \
{-0.7935433660751687, -0.34269985947395953`}, {-0.8228896935669633, \
-0.3683794829670006}, {-0.8401434992741867, -0.4034074173710928}, \
{-0.8660254037844388, -0.4999999999999996}}], 
     PolygonBox[{{-0.8660254037844388, -0.4999999999999996}, \
{-0.7823737734106581, -0.5741781958247051}, {-0.756491868900406, \
-0.47758561319579834`}}]}, 
    {RGBColor[0.7, 1, 0], 
     LineBox[{{-0.855051972523608, -0.3707624145543578}, \
{-0.8172807861384248, -0.3806612770675837}, {-0.7786556640541061, \
-0.37529937964489085`}, {-0.7449797622298788, -0.3556376493974024}, \
{-0.7214086750956118, -0.32450801960023345`}, {-0.7115098125823859, \
-0.28673683321505017`}, {-0.7169385316537927, -0.24811171113073155`}, \
{-0.7365334402525672, -0.2144358093065042}, {-0.7676630700497362, \
-0.19086472217223716`}, {-0.8054342564349194, -0.18096585965901127`}, \
{-0.8440593785192381, -0.18632775708170413`}, {-0.8777352803434654, \
-0.2059894873291926}, {-0.9013063674777324, -0.23711911712636155`}, \
{-0.9450008187146683, -0.3270679633174219}}], 
     PolygonBox[{{-0.9450008187146683, -0.3270679633174219}, \
{-0.876899198142076, -0.41573683764988795`}, {-0.83320474690514, \
-0.32578799145882764`}}]}, 
    {RGBColor[0, 0, 1], 
     LineBox[{{-0.2453020045845, 0.8991137693915695}, {-0.2604755112321198, 
      0.8631357942398932}, {-0.26066511819668803`, 
      0.8241407426410173}, {-0.245996096535067, 
      0.7880094569803757}, {-0.21853783693745227`, 
      0.760248081296343}, {-0.18255986178577596`, 
      0.7450745746487232}, {-0.14357819227072366`, 
      0.744884967684155}, {-0.10743352452625843`, 
      0.759553989345776}, {-0.07967214884222579, 
      0.7870122489433907}, {-0.06449864219460597, 
      0.8229902240950671}, {-0.06430903523003777, 
      0.8619852756939429}, {-0.0789780568916588, 
      0.8981165613545846}, {-0.10643631648927351`, 
      0.9258779370386172}, {-0.18925124436041063`, 0.9819286972627066}}], 
     PolygonBox[{{-0.18925124436041063`, 
      0.9819286972627066}, {-0.28670946852006857`, 
      0.9271391495036142}, {-0.20389454064893145`, 0.8710883892795248}}]}}},
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.4425887465552626`*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell["\<\
This function is still one-to-one and onto, even with the extra elements. \
What about Pow[7]? Is this still the inverse of Pow[3]? Let's check by \
graphing both Pow[3] and Pow[7] on the same graph again:\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
CircleGraph[{0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,
       20,21,22,23,24,25,26,27,28,29,30,31,32},Pow[3],Pow[7]]\
\>", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.1892512443604102, 0.9819286972627067}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.3716624556603275, 0.9283679330160726}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5406408174555976, 0.8412535328311812}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6900790114821119, 0.7237340381050702}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8145759520503357, 0.5800569095711982}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9096319953545183, 0.41541501300188644`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9718115683235417, 0.23575893550942728`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.998867339183008, 0.0475819158237424}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9898214418809328, -0.142314838273285}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9450008187146685, -0.32706796331742166`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8660254037844385, -0.5000000000000002}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7557495743542583, -0.654860733945285}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6181589862206055, -0.7860530947427873}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.4582265217274105, -0.8888354486549234}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.28173255684142967`, -0.9594929736144974}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.09505604330418288, -0.9954719225730846}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.09505604330418263, -0.9954719225730846}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.2817325568414294, -0.9594929736144975}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.4582265217274107, -0.8888354486549234}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6181589862206053, -0.7860530947427874}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7557495743542582, -0.6548607339452852}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.8660254037844388, -0.4999999999999996}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9450008187146683, -0.3270679633174219}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9898214418809327, -0.14231483827328523`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.998867339183008, 0.04758191582374238}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9718115683235419, 0.23575893550942661`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9096319953545182, 0.4154150130018868}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.8145759520503358, 0.5800569095711979}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.690079011482112, 0.7237340381050701}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5406408174555974, 0.8412535328311812}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.37166245566032724`, 0.9283679330160727}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.18925124436041063`, 0.9819286972627066}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"0\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], {}, {InsetBox[
     TagBox[
      StyleBox["\<\"1\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.2081763687964512, 1.0801215669889774`}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.4088287012263603, 1.02120472631768}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5947048992011573, 0.9253788861142994}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7590869126303231, 0.7961074419155773}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"5\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8960335472553693, 0.638062600528318}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"6\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0005951948899703`, 0.4569565143020751}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"7\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.068992725155896, 0.25933482906037003`}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"8\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0987540731013088`, 0.05234010740611665}, {-1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"9\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0888035860690262`, -0.1565463221006135}, {-1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"10\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0395009005861353`, -0.35977475964916383`}, {-1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"11\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9526279441628824, -0.5500000000000003}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"12\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8313245317896841, -0.7203468073398136}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"13\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6799748848426661, -0.8646584042170661}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"14\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5040491739001516, -0.9777189935204158}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"15\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.30990581252557264`, -1.0554422709759472`}, {-1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"16\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.10456164763460117`, -1.0950191148303932`}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"17\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.10456164763460091`, -1.0950191148303932`}, {1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"18\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.30990581252557237`, -1.0554422709759472`}, {1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"19\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5040491739001518, -0.9777189935204158}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"20\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6799748848426659, -0.8646584042170662}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"21\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.831324531789684, -0.7203468073398138}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"22\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9526279441628828, -0.5499999999999996}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"23\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.0395009005861353`, -0.3597747596491641}, {1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"24\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.088803586069026, -0.15654632210061376`}, {1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"25\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.0987540731013088`, 0.05234010740611662}, {1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"26\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.0689927251558962`, 0.2593348290603693}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"27\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.00059519488997, 0.45695651430207557`}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"28\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.8960335472553695, 0.6380626005283178}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"29\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7590869126303234, 0.7961074419155771}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"30\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5947048992011572, 0.9253788861142994}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"31\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.40882870122636, 1.02120472631768}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"32\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.2081763687964517, 1.0801215669889774`}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.07071067811865475, 
       0.9292893218813453}, {-0.09241885630108176, 
       0.8968331206248827}, {-0.09998489885977781, 
       0.8585786437626906}, {-0.09241885630108176, 
       0.8203241669004984}, {-0.07071067811865475, 
       0.7878679656440357}, {-0.038254476862192216`, 0.7661597874616087}, {0.,
        0.7585937449029128}, {0.038254476862192216`, 0.7661597874616087}, {
       0.07071067811865475, 0.7878679656440357}, {0.09241885630108176, 
       0.8203241669004984}, {0.09998489885977781, 0.8585786437626906}, {
       0.09241885630108176, 0.8968331206248827}, {0.07071067811865475, 
       0.9292893218813453}, {0., 1.}}], 
      PolygonBox[{{0., 1.}, {-0.10606601717798211`, 
       0.9646446609406726}, {-0.035355339059327376`, 0.8939339828220179}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.10643631648927311`, 0.9258779370386173}, {
       0.07897805689165839, 0.8981165613545846}, {0.06430903523003739, 
       0.8619852756939429}, {0.0644986421946056, 0.8229902240950672}, {
       0.07967214884222543, 0.7870122489433908}, {0.1074335245262581, 
       0.7595539893457761}, {0.14357819227072333`, 0.7448849676841551}, {
       0.18255986178577563`, 0.7450745746487233}, {0.2185378369374519, 
       0.7602480812963431}, {0.24599609653506663`, 0.7880094569803758}, {
       0.26066511819668764`, 0.8241407426410176}, {0.2604755112321194, 
       0.8631357942398934}, {0.24530200458449958`, 0.8991137693915696}, {
       0.1892512443604102, 0.9819286972627067}}], 
      PolygonBox[{{0.1892512443604102, 0.9819286972627067}, {
       0.0784109363772284, 0.9672854009741858}, {0.1344616966013178, 
       0.8844704731030488}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.3716624556603275, 0.9283679330160726}, {0.9408616482258881, 
       0.12903951102877598`}}], 
      PolygonBox[{{0.998867339183008, 0.0475819158237424}, {
       0.9815904458284049, 0.1580423565073359}, {0.9001328506233713, 
       0.10003666555021606`}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.5406408174555976, 0.8412535328311812}, {-0.8136826979930685,
        0.4435882686860298}}], 
      PolygonBox[{{-0.9096319953545182, 
       0.4154150130018868}, {-0.799596070150997, 
       0.3956136200053049}, {-0.82776932583514, 0.4915629173667546}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.6900790114821119, 
       0.7237340381050702}, {-0.27346958593405657`, 0.9094428085800317}}], 
      PolygonBox[{{-0.37166245566032724`, 
       0.9283679330160727}, {-0.28293214815207707`, 
       0.8603463737168964}, {-0.26400702371603607`, 0.958539243443167}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.8145759520503357, 0.5800569095711982}, {-0.8736186985972711,
        0.25468405994546767`}}], 
      PolygonBox[{{-0.9718115683235419, 
       0.23575893550942661`}, {-0.8641561363792507, 
       0.20558762508233233`}, {-0.8830812608152917, 
       0.30378049480860303`}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.9096319953545183, 
       0.41541501300188644`}, {-0.2162464834469009, -0.8839180161790716}}], 
      PolygonBox[{{-0.2817325568414294, -0.9594929736144975}, \
{-0.17845900472918796`, -0.9166610528763359}, {-0.2540339621646138, \
-0.8511749794818074}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.9718115683235417, 0.23575893550942728`}, {
       0.6508657825523476, -0.6915530128713204}}], 
      PolygonBox[{{0.6181589862206055, -0.7860530947427873}, {
       0.6981158234880811, -0.7079064110371915}, {
       0.6036157416166142, -0.6751996147054493}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.998867339183008, 
       0.0475819158237424}, {-0.02268263949367562, -0.9264640214248734}}], 
      PolygonBox[{{-0.09505604330418263, -0.9954719225730846}, {
       0.011821311080429983`, -0.9626507233301269}, {-0.05718659006778123, \
-0.8902773195196199}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.9898214418809328, -0.142314838273285}, {0.5821823187557862, 
       0.7502903332957294}}], 
      PolygonBox[{{0.5406408174555976, 0.8412535328311812}, {
       0.5367007189880603, 0.7295195826456351}, {0.6276639185235121, 
       0.7710610839458237}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.9013063674777325, -0.23711911712636136`}, {
       0.8777352803434655, -0.20598948732919237`}, {
       0.8440593785192381, -0.18632775708170393`}, {
       0.8054342564349195, -0.18096585965901107`}, {
       0.7676630700497362, -0.190864722172237}, {
       0.7365334402525673, -0.21443580930650402`}, {
       0.7169385316537928, -0.24811171113073138`}, {
       0.711509812582386, -0.28673683321505}, {
       0.7214086750956119, -0.32450801960023323`}, {
       0.7449797622298789, -0.3556376493974022}, {
       0.7786556640541062, -0.3752993796448907}, {
       0.8172807861384249, -0.3806612770675835}, {
       0.8550519725236081, -0.3707624145543576}, {
       0.9450008187146685, -0.32706796331742166`}}], 
      PolygonBox[{{0.9450008187146685, -0.32706796331742166`}, {
       0.9462807905732626, -0.21527189150789336`}, {
       0.8563319443822024, -0.2589663427448293}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.8401434992741864, -0.40340741737109337`}, {
       0.822889693566963, -0.3683794829670012}, {
       0.7935433660751685, -0.3426998594739601}, {
       0.756630996024678, -0.330125006104809}, {
       0.7176690121350275, -0.3326967392524386}, {
       0.6826410777309354, -0.34995054495966205`}, {
       0.6570226914814639, -0.3792968724514565}, {
       0.6443866008687431, -0.416209242501947}, {
       0.6469583340163727, -0.45517122639159746`}, {
       0.6642121397235963, -0.49019916079568965`}, {
       0.6935584672153907, -0.5158787842887308}, {
       0.7304708372658811, -0.5284536376578819}, {
       0.7694328211555317, -0.5258819045102523}, {
       0.8660254037844385, -0.5000000000000002}}], 
      PolygonBox[{{0.8660254037844385, -0.5000000000000002}, {
       0.8884397905886399, -0.3904664651159674}, {
       0.791847207959733, -0.4163483696262194}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.748615656034335, -0.5551155224842597}, {
       0.7383027292467665, -0.517455284287001}, {
       0.7143466288240689, -0.4866858960490522}, {
       0.6804811200352733, -0.46735257469766484`}, {
       0.6417365262533864, -0.4625042293431575}, {
       0.6040762880561279, -0.47281715613072606`}, {
       0.5733603393830695, -0.4967732565534237}, {
       0.5539735784667916, -0.5306387653422193}, {
       0.5491252331122843, -0.5693833591241061}, {
       0.5594381598998528, -0.6070435973213647}, {
       0.5833942603225505, -0.6378129855593135}, {
       0.6172597691113461, -0.6571463069107009}, {
       0.6560043628932329, -0.6619946522652083}, {
       0.7557495743542583, -0.654860733945285}}], 
      PolygonBox[{{0.7557495743542583, -0.654860733945285}, {
       0.7984882617648477, -0.551548563324298}, {
       0.6987430503038223, -0.5586824816442213}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{
       0.6181589862206055, -0.7860530947427873}, {-0.3586793294701022, \
-0.8793298443245051}}], 
      PolygonBox[{{-0.4582265217274107, -0.8888354486549234}, \
{-0.3539265273048931, -0.9291034404531593}, {-0.36343213163531135`, \
-0.8295562481958508}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.4582265217274105, -0.8888354486549234}, {0.791000058499393, 
       0.482875752738844}}], 
      PolygonBox[{{0.8145759520503357, 0.5800569095711982}, {
       0.742409480083216, 0.4946636995143153}, {0.8395906369155701, 
       0.47108780596337263`}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.28173255684142967`, -0.9594929736144974}, {
       0.9243353684864043, -0.21788979570871086`}}], 
      PolygonBox[{{0.9898214418809328, -0.142314838273285}, {
       0.8865478897686914, -0.1851467590114466}, {
       0.9621228472041172, -0.2506328324059751}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.09505604330418288, -0.9954719225730846}, {
       0.6573722151503698, 0.6292339562336033}}], 
      PolygonBox[{{0.6900790114821119, 0.7237340381050702}, {
       0.6101221742146363, 0.6455873543994745}, {0.7046222560861032, 
       0.6128805580677322}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.09505604330418263, -0.9954719225730846}, \
{-0.6573722151503698, 0.6292339562336032}}], 
      PolygonBox[{{-0.690079011482112, 
       0.7237340381050701}, {-0.7046222560861033, 
       0.6128805580677321}, {-0.6101221742146364, 0.6455873543994743}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.2817325568414294, -0.9594929736144975}, \
{-0.9243353684864042, -0.21788979570871103`}}], 
      PolygonBox[{{-0.9898214418809327, -0.14231483827328523`}, \
{-0.9621228472041171, -0.25063283240597534`}, {-0.8865478897686913, \
-0.18514675901144678`}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.4582265217274107, -0.8888354486549234}, \
{-0.7910000584993931, 0.48287575273884376`}}], 
      PolygonBox[{{-0.8145759520503358, 
       0.5800569095711979}, {-0.8395906369155702, 
       0.4710878059633724}, {-0.7424094800832161, 0.4946636995143151}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.6181589862206053, -0.7860530947427874}, {
       0.35867932947010206`, -0.8793298443245051}}], 
      PolygonBox[{{0.4582265217274105, -0.8888354486549234}, {
       0.3634321316353112, -0.8295562481958508}, {
       0.35392652730489293`, -0.9291034404531593}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.6560043628932328, -0.6619946522652084}, \
{-0.617259769111346, -0.6571463069107011}, {-0.5833942603225504, \
-0.6378129855593138}, {-0.5594381598998528, -0.6070435973213648}, \
{-0.5491252331122842, -0.5693833591241063}, {-0.5539735784667916, \
-0.5306387653422194}, {-0.5733603393830695, -0.49677325655342386`}, \
{-0.6040762880561279, -0.4728171561307263}, {-0.6417365262533864, \
-0.4625042293431577}, {-0.6804811200352733, -0.46735257469766506`}, \
{-0.7143466288240689, -0.48668589604905244`}, {-0.7383027292467664, \
-0.5174552842870013}, {-0.748615656034335, -0.5551155224842599}, \
{-0.7557495743542582, -0.6548607339452852}}], 
      PolygonBox[{{-0.7557495743542582, -0.6548607339452852}, \
{-0.6595713220531945, -0.711867257995721}, {-0.6524374037332712, \
-0.6121220465346957}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.769432821155532, -0.5258819045102517}, \
{-0.7304708372658816, -0.5284536376578813}, {-0.693558467215391, \
-0.5158787842887302}, {-0.6642121397235966, -0.4901991607956892}, \
{-0.6469583340163731, -0.455171226391597}, {-0.6443866008687434, \
-0.4162092425019466}, {-0.6570226914814641, -0.37929687245145605`}, \
{-0.6826410777309356, -0.3499505449596616}, {-0.7176690121350278, \
-0.33269673925243815`}, {-0.7566309960246783, -0.3301250061048085}, \
{-0.7935433660751687, -0.34269985947395953`}, {-0.8228896935669633, \
-0.3683794829670006}, {-0.8401434992741867, -0.4034074173710928}, \
{-0.8660254037844388, -0.4999999999999996}}], 
      PolygonBox[{{-0.8660254037844388, -0.4999999999999996}, \
{-0.7823737734106581, -0.5741781958247051}, {-0.756491868900406, \
-0.47758561319579834`}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.855051972523608, -0.3707624145543578}, \
{-0.8172807861384248, -0.3806612770675837}, {-0.7786556640541061, \
-0.37529937964489085`}, {-0.7449797622298788, -0.3556376493974024}, \
{-0.7214086750956118, -0.32450801960023345`}, {-0.7115098125823859, \
-0.28673683321505017`}, {-0.7169385316537927, -0.24811171113073155`}, \
{-0.7365334402525672, -0.2144358093065042}, {-0.7676630700497362, \
-0.19086472217223716`}, {-0.8054342564349194, -0.18096585965901127`}, \
{-0.8440593785192381, -0.18632775708170413`}, {-0.8777352803434654, \
-0.2059894873291926}, {-0.9013063674777324, -0.23711911712636155`}, \
{-0.9450008187146683, -0.3270679633174219}}], 
      PolygonBox[{{-0.9450008187146683, -0.3270679633174219}, \
{-0.876899198142076, -0.41573683764988795`}, {-0.83320474690514, \
-0.32578799145882764`}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.9898214418809327, -0.14231483827328523`}, \
{-0.5821823187557861, 0.7502903332957294}}], 
      PolygonBox[{{-0.5406408174555974, 
       0.8412535328311812}, {-0.627663918523512, 
       0.7710610839458236}, {-0.5367007189880602, 0.729519582645635}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.998867339183008, 0.04758191582374238}, {
       0.02268263949367587, -0.9264640214248734}}], 
      PolygonBox[{{0.09505604330418288, -0.9954719225730846}, {
       0.05718659006778147, -0.8902773195196199}, {-0.011821311080429733`, \
-0.9626507233301269}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.9718115683235419, 
       0.23575893550942661`}, {-0.6508657825523475, -0.6915530128713205}}], 
      PolygonBox[{{-0.6181589862206053, -0.7860530947427874}, \
{-0.603615741616614, -0.6751996147054494}, {-0.6981158234880809, \
-0.7079064110371917}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.9096319953545182, 0.4154150130018868}, {
       0.21624648344690117`, -0.8839180161790715}}], 
      PolygonBox[{{0.28173255684142967`, -0.9594929736144974}, {
       0.2540339621646141, -0.8511749794818073}, {
       0.17845900472918824`, -0.9166610528763358}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.8145759520503358, 0.5800569095711979}, {0.8736186985972709,
        0.2546840599454683}}], 
      PolygonBox[{{0.9718115683235417, 0.23575893550942728`}, {
       0.8830812608152915, 0.30378049480860364`}, {0.8641561363792505, 
       0.20558762508233294`}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.690079011482112, 0.7237340381050701}, {
       0.27346958593405685`, 0.9094428085800316}}], 
      PolygonBox[{{0.3716624556603275, 0.9283679330160726}, {
       0.26400702371603635`, 0.9585392434431669}, {0.28293214815207735`, 
       0.8603463737168962}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.5406408174555974, 0.8412535328311812}, {0.8136826979930686,
        0.4435882686860294}}], 
      PolygonBox[{{0.9096319953545183, 0.41541501300188644`}, {
       0.8277693258351401, 0.4915629173667543}, {0.7995960701509971, 
       0.39561362000530453`}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.37166245566032724`, 
       0.9283679330160727}, {-0.9408616482258881, 0.12903951102877595`}}], 
      PolygonBox[{{-0.998867339183008, 
       0.04758191582374238}, {-0.9001328506233713, 
       0.10003666555021604`}, {-0.9815904458284049, 
       0.15804235650733586`}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.2453020045845, 0.8991137693915695}, {-0.2604755112321198, 
       0.8631357942398932}, {-0.26066511819668803`, 
       0.8241407426410173}, {-0.245996096535067, 
       0.7880094569803757}, {-0.21853783693745227`, 
       0.760248081296343}, {-0.18255986178577596`, 
       0.7450745746487232}, {-0.14357819227072366`, 
       0.744884967684155}, {-0.10743352452625843`, 
       0.759553989345776}, {-0.07967214884222579, 
       0.7870122489433907}, {-0.06449864219460597, 
       0.8229902240950671}, {-0.06430903523003777, 
       0.8619852756939429}, {-0.0789780568916588, 
       0.8981165613545846}, {-0.10643631648927351`, 
       0.9258779370386172}, {-0.18925124436041063`, 0.9819286972627066}}], 
      PolygonBox[{{-0.18925124436041063`, 
       0.9819286972627066}, {-0.28670946852006857`, 
       0.9271391495036142}, {-0.20389454064893145`, 
       0.8710883892795248}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.07071067811865475, 
       0.9292893218813453}, {-0.09241885630108176, 
       0.8968331206248827}, {-0.09998489885977781, 
       0.8585786437626906}, {-0.09241885630108176, 
       0.8203241669004984}, {-0.07071067811865475, 
       0.7878679656440357}, {-0.038254476862192216`, 0.7661597874616087}, {0.,
        0.7585937449029128}, {0.038254476862192216`, 0.7661597874616087}, {
       0.07071067811865475, 0.7878679656440357}, {0.09241885630108176, 
       0.8203241669004984}, {0.09998489885977781, 0.8585786437626906}, {
       0.09241885630108176, 0.8968331206248827}, {0.07071067811865475, 
       0.9292893218813453}, {0., 1.}}], 
      PolygonBox[{{0., 1.}, {-0.10606601717798211`, 
       0.9646446609406726}, {-0.035355339059327376`, 0.8939339828220179}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.10643631648927311`, 0.9258779370386173}, {
       0.07897805689165839, 0.8981165613545846}, {0.06430903523003739, 
       0.8619852756939429}, {0.0644986421946056, 0.8229902240950672}, {
       0.07967214884222543, 0.7870122489433908}, {0.1074335245262581, 
       0.7595539893457761}, {0.14357819227072333`, 0.7448849676841551}, {
       0.18255986178577563`, 0.7450745746487233}, {0.2185378369374519, 
       0.7602480812963431}, {0.24599609653506663`, 0.7880094569803758}, {
       0.26066511819668764`, 0.8241407426410176}, {0.2604755112321194, 
       0.8631357942398934}, {0.24530200458449958`, 0.8991137693915696}, {
       0.1892512443604102, 0.9819286972627067}}], 
      PolygonBox[{{0.1892512443604102, 0.9819286972627067}, {
       0.0784109363772284, 0.9672854009741858}, {0.1344616966013178, 
       0.8844704731030488}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.3716624556603275, 0.9283679330160726}, {-0.5918861417558414,
        0.7426591625411111}}], 
      PolygonBox[{{-0.690079011482112, 
       0.7237340381050701}, {-0.5824235795378209, 
       0.6935627276779758}, {-0.6013487039738619, 0.7917555974042465}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.5406408174555976, 0.8412535328311812}, {
       0.9482799405807442, -0.051351638737833175`}}], 
      PolygonBox[{{0.9898214418809328, -0.142314838273285}, {
       0.9937615403484701, -0.030580888087738844`}, {
       0.9027983408130182, -0.07212238938792749}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.6900790114821119, 0.7237340381050702}, {
       0.12776283963592502`, -0.9009718407016177}}], 
      PolygonBox[{{0.09505604330418288, -0.9954719225730846}, {
       0.17501288057165845`, -0.9173252388674888}, {
       0.0805127987001916, -0.8846184425357466}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.8145759520503357, 0.5800569095711982}, {
       0.4818024152783532, -0.7916542918225692}}], 
      PolygonBox[{{0.4582265217274105, -0.8888354486549234}, {
       0.5303929936945303, -0.8034422385980405}, {
       0.4332118368621761, -0.7798663450470978}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.9096319953545183, 
       0.41541501300188644`}, {-0.4446915200941477, 0.8130802771470382}}], 
      PolygonBox[{{-0.5406408174555974, 
       0.8412535328311812}, {-0.4587781479362192, 
       0.7651056284663134}, {-0.4306048922520762, 0.8610549258277631}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.9718115683235417, 
       0.23575893550942728`}, {-0.7163830823240651, 0.5611317851351569}}], 
      PolygonBox[{{-0.8145759520503358, 
       0.5800569095711979}, {-0.7258456445420857, 
       0.5120353502720216}, {-0.7069205201060447, 0.6102282199982922}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.998867339183008, 0.0475819158237424}, {0.42966814661744734`,
        0.846910337811039}}], 
      PolygonBox[{{0.3716624556603275, 0.9283679330160726}, {
       0.38893934901493055`, 0.8179074923324791}, {0.47039694421996414`, 
       0.8759131832895989}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.9898214418809328, -0.142314838273285}, {
       0.34721863023595817`, -0.8839180161790715}}], 
      PolygonBox[{{0.28173255684142967`, -0.9594929736144974}, {
       0.3850061089536711, -0.9166610528763358}, {
       0.30943115151824524`, -0.8511749794818073}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.9013063674777325, -0.23711911712636136`}, {
       0.8777352803434655, -0.20598948732919237`}, {
       0.8440593785192381, -0.18632775708170393`}, {
       0.8054342564349195, -0.18096585965901107`}, {
       0.7676630700497362, -0.190864722172237}, {
       0.7365334402525673, -0.21443580930650402`}, {
       0.7169385316537928, -0.24811171113073138`}, {
       0.711509812582386, -0.28673683321505}, {
       0.7214086750956119, -0.32450801960023323`}, {
       0.7449797622298789, -0.3556376493974022}, {
       0.7786556640541062, -0.3752993796448907}, {
       0.8172807861384249, -0.3806612770675835}, {
       0.8550519725236081, -0.3707624145543576}, {
       0.9450008187146685, -0.32706796331742166`}}], 
      PolygonBox[{{0.9450008187146685, -0.32706796331742166`}, {
       0.9462807905732626, -0.21527189150789336`}, {
       0.8563319443822024, -0.2589663427448293}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.8401434992741864, -0.40340741737109337`}, {
       0.822889693566963, -0.3683794829670012}, {
       0.7935433660751685, -0.3426998594739601}, {
       0.756630996024678, -0.330125006104809}, {
       0.7176690121350275, -0.3326967392524386}, {
       0.6826410777309354, -0.34995054495966205`}, {
       0.6570226914814639, -0.3792968724514565}, {
       0.6443866008687431, -0.416209242501947}, {
       0.6469583340163727, -0.45517122639159746`}, {
       0.6642121397235963, -0.49019916079568965`}, {
       0.6935584672153907, -0.5158787842887308}, {
       0.7304708372658811, -0.5284536376578819}, {
       0.7694328211555317, -0.5258819045102523}, {
       0.8660254037844385, -0.5000000000000002}}], 
      PolygonBox[{{0.8660254037844385, -0.5000000000000002}, {
       0.8884397905886399, -0.3904664651159674}, {
       0.791847207959733, -0.4163483696262194}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.748615656034335, -0.5551155224842597}, {
       0.7383027292467665, -0.517455284287001}, {
       0.7143466288240689, -0.4866858960490522}, {
       0.6804811200352733, -0.46735257469766484`}, {
       0.6417365262533864, -0.4625042293431575}, {
       0.6040762880561279, -0.47281715613072606`}, {
       0.5733603393830695, -0.4967732565534237}, {
       0.5539735784667916, -0.5306387653422193}, {
       0.5491252331122843, -0.5693833591241061}, {
       0.5594381598998528, -0.6070435973213647}, {
       0.5833942603225505, -0.6378129855593135}, {
       0.6172597691113461, -0.6571463069107009}, {
       0.6560043628932329, -0.6619946522652083}, {
       0.7557495743542583, -0.654860733945285}}], 
      PolygonBox[{{0.7557495743542583, -0.654860733945285}, {
       0.7984882617648477, -0.551548563324298}, {
       0.6987430503038223, -0.5586824816442213}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.6181589862206055, -0.7860530947427873}, {0.9391047719917995,
        0.14125885363796042`}}], 
      PolygonBox[{{0.9718115683235417, 0.23575893550942728`}, {
       0.891854731056066, 0.15761225180383148`}, {0.9863548129275329, 
       0.12490545547208935`}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{
       0.4582265217274105, -0.8888354486549234}, {-0.5186117939632968, \
-0.7955586990732056}}], 
      PolygonBox[{{-0.6181589862206053, -0.7860530947427874}, \
{-0.5233645961285059, -0.8453322952018599}, {-0.5138589917980877, \
-0.7457851029445515}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{
       0.28173255684142967`, -0.9594929736144974}, {-0.8441459219599897, 
       0.33984005556646096`}}], 
      PolygonBox[{{-0.9096319953545182, 
       0.4154150130018868}, {-0.8819334006777027, 
       0.3070970188691967}, {-0.8063584432422768, 0.3725830922637252}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{
       0.09505604330418288, -0.9954719225730846}, {-0.9264939353725009, \
-0.02142598532446882}}], 
      PolygonBox[{{-0.998867339183008, 
       0.04758191582374238}, {-0.9609978859466065, -0.057612687229722334`}, \
{-0.8919899847983953, 0.014760716580784684`}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.09505604330418263, -0.9954719225730846}, {
       0.9264939353725009, -0.0214259853244688}}], 
      PolygonBox[{{0.998867339183008, 0.0475819158237424}, {
       0.8919899847983953, 0.014760716580784705`}, {
       0.9609978859466065, -0.05761268722972231}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.2817325568414294, -0.9594929736144975}, {
       0.8441459219599898, 0.3398400555664606}}], 
      PolygonBox[{{0.9096319953545183, 0.41541501300188644`}, {
       0.8063584432422769, 0.3725830922637248}, {0.8819334006777028, 
       0.3070970188691964}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.4582265217274107, -0.8888354486549234}, {
       0.518611793963297, -0.7955586990732055}}], 
      PolygonBox[{{0.6181589862206055, -0.7860530947427873}, {
       0.5138589917980879, -0.7457851029445514}, {
       0.5233645961285062, -0.8453322952018598}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.6181589862206053, -0.7860530947427874}, \
{-0.9391047719917996, 0.14125885363795976`}}], 
      PolygonBox[{{-0.9718115683235419, 
       0.23575893550942661`}, {-0.9863548129275331, 
       0.12490545547208867`}, {-0.8918547310560663, 
       0.15761225180383087`}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.6560043628932328, -0.6619946522652084}, \
{-0.617259769111346, -0.6571463069107011}, {-0.5833942603225504, \
-0.6378129855593138}, {-0.5594381598998528, -0.6070435973213648}, \
{-0.5491252331122842, -0.5693833591241063}, {-0.5539735784667916, \
-0.5306387653422194}, {-0.5733603393830695, -0.49677325655342386`}, \
{-0.6040762880561279, -0.4728171561307263}, {-0.6417365262533864, \
-0.4625042293431577}, {-0.6804811200352733, -0.46735257469766506`}, \
{-0.7143466288240689, -0.48668589604905244`}, {-0.7383027292467664, \
-0.5174552842870013}, {-0.748615656034335, -0.5551155224842599}, \
{-0.7557495743542582, -0.6548607339452852}}], 
      PolygonBox[{{-0.7557495743542582, -0.6548607339452852}, \
{-0.6595713220531945, -0.711867257995721}, {-0.6524374037332712, \
-0.6121220465346957}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.769432821155532, -0.5258819045102517}, \
{-0.7304708372658816, -0.5284536376578813}, {-0.693558467215391, \
-0.5158787842887302}, {-0.6642121397235966, -0.4901991607956892}, \
{-0.6469583340163731, -0.455171226391597}, {-0.6443866008687434, \
-0.4162092425019466}, {-0.6570226914814641, -0.37929687245145605`}, \
{-0.6826410777309356, -0.3499505449596616}, {-0.7176690121350278, \
-0.33269673925243815`}, {-0.7566309960246783, -0.3301250061048085}, \
{-0.7935433660751687, -0.34269985947395953`}, {-0.8228896935669633, \
-0.3683794829670006}, {-0.8401434992741867, -0.4034074173710928}, \
{-0.8660254037844388, -0.4999999999999996}}], 
      PolygonBox[{{-0.8660254037844388, -0.4999999999999996}, \
{-0.7823737734106581, -0.5741781958247051}, {-0.756491868900406, \
-0.47758561319579834`}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.855051972523608, -0.3707624145543578}, \
{-0.8172807861384248, -0.3806612770675837}, {-0.7786556640541061, \
-0.37529937964489085`}, {-0.7449797622298788, -0.3556376493974024}, \
{-0.7214086750956118, -0.32450801960023345`}, {-0.7115098125823859, \
-0.28673683321505017`}, {-0.7169385316537927, -0.24811171113073155`}, \
{-0.7365334402525672, -0.2144358093065042}, {-0.7676630700497362, \
-0.19086472217223716`}, {-0.8054342564349194, -0.18096585965901127`}, \
{-0.8440593785192381, -0.18632775708170413`}, {-0.8777352803434654, \
-0.2059894873291926}, {-0.9013063674777324, -0.23711911712636155`}, \
{-0.9450008187146683, -0.3270679633174219}}], 
      PolygonBox[{{-0.9450008187146683, -0.3270679633174219}, \
{-0.876899198142076, -0.41573683764988795`}, {-0.83320474690514, \
-0.32578799145882764`}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.9898214418809327, -0.14231483827328523`}, \
{-0.3472186302359579, -0.8839180161790716}}], 
      PolygonBox[{{-0.2817325568414294, -0.9594929736144975}, \
{-0.309431151518245, -0.8511749794818074}, {-0.3850061089536708, \
-0.9166610528763359}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.998867339183008, 
       0.04758191582374238}, {-0.42966814661744707`, 0.8469103378110391}}], 
      PolygonBox[{{-0.37166245566032724`, 
       0.9283679330160727}, {-0.47039694421996386`, 
       0.875913183289599}, {-0.38893934901493027`, 0.8179074923324792}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.9718115683235419, 0.23575893550942661`}, {
       0.7163830823240651, 0.5611317851351572}}], 
      PolygonBox[{{0.8145759520503357, 0.5800569095711982}, {
       0.7069205201060446, 0.6102282199982925}, {0.7258456445420856, 
       0.5120353502720217}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.9096319953545182, 0.4154150130018868}, {0.4446915200941478,
        0.8130802771470382}}], 
      PolygonBox[{{0.5406408174555976, 0.8412535328311812}, {
       0.4306048922520763, 0.8610549258277631}, {0.4587781479362193, 
       0.7651056284663134}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.8145759520503358, 
       0.5800569095711979}, {-0.48180241527835344`, -0.7916542918225692}}], 
      PolygonBox[{{-0.4582265217274107, -0.8888354486549234}, \
{-0.43321183686217635`, -0.7798663450470978}, {-0.5303929936945305, \
-0.8034422385980405}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.690079011482112, 
       0.7237340381050701}, {-0.1277628396359248, -0.9009718407016177}}], 
      PolygonBox[{{-0.09505604330418263, -0.9954719225730846}, \
{-0.08051279870019137, -0.8846184425357466}, {-0.17501288057165823`, \
-0.9173252388674888}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.5406408174555974, 
       0.8412535328311812}, {-0.948279940580744, -0.05135163873783338}}], 
      PolygonBox[{{-0.9898214418809327, -0.14231483827328523`}, \
{-0.9027983408130181, -0.0721223893879277}, {-0.99376154034847, \
-0.030580888087739053`}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.37166245566032724`, 0.9283679330160727}, {
       0.5918861417558412, 0.7426591625411112}}], 
      PolygonBox[{{0.6900790114821119, 0.7237340381050702}, {
       0.6013487039738618, 0.7917555974042465}, {0.5824235795378208, 
       0.6935627276779759}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.2453020045845, 0.8991137693915695}, {-0.2604755112321198, 
       0.8631357942398932}, {-0.26066511819668803`, 
       0.8241407426410173}, {-0.245996096535067, 
       0.7880094569803757}, {-0.21853783693745227`, 
       0.760248081296343}, {-0.18255986178577596`, 
       0.7450745746487232}, {-0.14357819227072366`, 
       0.744884967684155}, {-0.10743352452625843`, 
       0.759553989345776}, {-0.07967214884222579, 
       0.7870122489433907}, {-0.06449864219460597, 
       0.8229902240950671}, {-0.06430903523003777, 
       0.8619852756939429}, {-0.0789780568916588, 
       0.8981165613545846}, {-0.10643631648927351`, 
       0.9258779370386172}, {-0.18925124436041063`, 0.9819286972627066}}], 
      PolygonBox[{{-0.18925124436041063`, 
       0.9819286972627066}, {-0.28670946852006857`, 
       0.9271391495036142}, {-0.20389454064893145`, 0.8710883892795248}}]}}}},
  
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.4425887534458876`*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\
eJy0vQl8XlWZP36bd83SJl1o04U2tFAia9CCkalQxIEKAlFgqDpiUXGqI9JR
ftAZHYviZyoDTpUZpyM6RhyxDi5BQFuUkkIpAQqkFDBQllBAQllMkSVdaO//
fp/zPOc8z81JW+fz+b8hNO9973vvPc++nzMuuGTRhRddcMlnP3VBy6lfvGDx
os9+6kstp1z8xexQYVSSjLo1+/1dS4K/0ySR/6XZf+nv8D8c+f/379/gnzJu
W0cHCsmiRYuSbdu20buj/ae19L6cbNy4MfnKV76SyAt/r1mz5pfuar+lf4rJ
li1b/BnZ3/V86Ztuuinp6emhd23xU2v51JUrV9Kh7NpJDR/bunVrcu2119I9
f+FuuAr/1ODEBnUSTsC7Y/ynteoJ8MIySnxMLol3N+QvOzoClTb/aVXdFK+r
r746g5E9hgWPeFksE88Sv6wA4fHHH08qfEyAjnf/O9Jl8QUsK35ZrMURWuou
S58Oe8YxfPoZZ5xBf3mCCBejvyq5BauLfdvTj9wbiwWU8KJvMwIECGOH3V6D
aG+3F9QCOA3+vmVeJSCi6RaLkvte5R72O3GKrPJhQQbuk1FCjVoQLoaPhz88
PsUnkYdnyAoiSnwbDcXsoUfHHyqgLVsbnghfw5mgUeFRfOdKt7Zrht0bjCXL
EU6Qm+CzJv+NxggdHJW7XomAKeDHA+BBavjhBUZ8v8Yo/wh3ycOASgXvy0Za
hVwVXxbGwwtfxrvGYavAc4IYYqtw4g0vITqcnd1DUyqAZC/dpMCHB8LDxJ+4
JpCk5Zfh0NaUE56z1v2V3WWSPzZWrVu+8S8jAUx4D88okBa+wL/DHwRnCjhz
D8KPKWQ0MfpIQjYjPhLggJNAdUWmGM2qGVibhn1JqEVTDL4kfHCk/4boNeFf
PPEBw3CH68lrGO5E+YFu8KRCP4xwoQ6hVksd8sSAUP6JoRvkeHhiUZeCK1x3
wrAnFnkH3Ax74joFW4AFi5fHxAqGi1t5TKxJAFlSwBESCI/ZkBOMYI7szHE5
Cip6GsErQ/Kwh61nmMh6hWrwCE0KFrgRHsMQoP5SmVeoiaN1pAuMVkgVjShs
n905IHAML0MkJrPKN+NUUvT0zK8aunXBsyZ+x/CK8aC4P3ApC6lViMgvTIyn
sLD4NYR3cRz3BULDWhSFFOnruBW+noFBiERMjL1I31J+pfR4ohdxPeGVy4aJ
DQG4A1CgS8AYZ4ygtopezTB9FHPMgLtdmrtbyROgVvpXjyygGXCyfLkHXsIF
B9P/KwQ9AFigIJYAjk/dj3Nah3GsNjS/5Z7xIvwTrBl5RpwpBDshByhrW4Sv
HZyTuXgVFfxFfDbv53mzhz2/1lvj/IMHurvQrekLDNqosVX2RC1ww1qz9+OG
LVMQj+vkzRig+uAcOPAqqYUIkift53mHDJPSGmHj4qtqzK/+Yn9gdG4dWLAY
j3uVeXgo8FtBwR3HwLiyaC2xKozD7/f0zOtOU/wu7EzTyuVLwSJdHWnaPS/8
rpoP0qXPCotWgBT5UlWGiZZEB430vPXq2eQlVCQUhN8Gq9zikBqTuxjuNnov
MlATZN7jwHtZgQDri0qROGYvzZ3Wki246g8n07NzagCfpNC5ME0BHwc/9/+O
LgdY+Z2/KkBxxaLs/7P4Hg4IlaMmNidNVXX9066+Gt9r7/FQja+tQdGefWa3
tr8IsI05wAKF8+hYtbXPLQJLEBIZbHJXT6ZcfbXjkNKfT/158sK7u5ILP15N
mpoYN46jqkZBZ6+WliT5+idbkm2Hr0/uPPMSRkld8r6rr8bVe9rd1YeqgRBx
d4AWTzNvf1aUN5GA6tn7IY0dWMc0DTr0LVmWpkAbngPP1Ndqnwfn4Fz6VrZM
h9Xqrxo7EWJJ7v7q/CQ7L8nWknQ/O2vW4nT58pa0v5+Mz4w3sm+0tWXW5rIk
6evLBHV/S5JdMrnhwwvo6wuzH0/ojssbqkOBsAQneCo8Ap4ST7t4uTsH59bu
x6IPszK1AX99Kg9RthOz7x2yn5rBeTm1bb1pCgECdulvcdSDJ122xB3Hk3p7
Qsur7NWZ/SQ1gEVSvOiMDDqr5hOEsotkhxErK/Slra3L0iVL2tLeXkF7R9rV
tSJdtGhgx7hxfF4x7W1LMrYiIF/cuJCvWiAYiyBwwKrFE+HJli92TwpK7G1z
sIXEbOlXNsG+oNBqgcs0KaGZ0sgk7KRXHWkSsXkEc2LCqGDWyGquwaiv1EEc
tANKBjbyaxtjL0VIKBC4SqeU5yWDgxmp9rR7RGSwJUwMpM3NgDqgL6ZwUzo4
uDDt7FyZLlgwlFar7tQSIQNfH2hOVq1KksuzH75FIXuKTv+0o+M0NNDsKB+U
TqISj1pR0JfvH+rBKZoT2lHwXRwZ+mLKi2vDLlONEslarQAhs0bUuZXk4p4e
QFu4FNAHB5PscCZDofrsS892HnjbgQ4K9P8yqLPztgMPxLNpmJUdTQOiXWlH
ByDcnA4MsOXdmvb1QdT0pO3tSYVOLWuE4cjCjOxXZj/FCNAdFxWbB5yQAxsk
71izppbhqxX/7GHwBd2LQbQX+Io1rw3z7Ks6giN4nKmMCwvXQvLeq68mFYsz
DmA4DqVDGaznO6lB/69cfvbDZ89745ZbCI4CSxYGSa0j3xfSyZO3phMn0rsq
/b+i5Q2ODO2oqYG27hn72NiMigl0GV2u8PAYt5dn1Wp5uNUMqMoZhX3BLURs
QGwhFDgrcnu2ZD555LHJo+/+oT9M50yMgIyXlbHaQnwKrhZZKwqKwDaOj60K
Ok7O60wXuu82p6BVul5G8kv98seO+JzlYw9oSZ458bpkRmOTO3721VeDEgMn
i00JnhNarNkHxMTs0zZnkL1MYcSN5xlDsTI/mZ+srV2V7C4PJbefdknyxoXL
SV83r1i6NEpxvNyMy8lQgWrKgBTAB6rLqC9p4mOdCwP4+Lz56apVuKaj3Qj4
HIM25g2rjNuT67/blOw+oTv5xV/9Q7KzfjC5trAiaW374aWQmJA8kKIApzN6
TRRHa639gKZQIl7iFE+n/1cBSCgTiGgomOTUNWuaM49ySfbTn/043VvpqXYn
8+Zl3Lh4eZJJGeIwKAqs30tFDVuGBZFV9impfFY+kIpEmoCtE4+F69OPfrQ3
bWtjnRPgvbDTwJtIPCXrsi+TBsPh7ezjKpgN3A/ZSfZadg3g7o1fzM9Q0sRC
u5IZsO1f/+d0JVTqMLAfNAzsEm7bN9gV2wf7ykUq8IKqOtA9KWTiygUO+NCZ
EOOZnuwBUw/V7KhxYrEEtYsFDQ1lV5y/iswrbVctSlesgAYXzyvD6yAIm77N
gAKC8CnO98iAuBRkuGNFkQm4HpAip65Y5PDhjDQ6tjxdDGLAU3cldRF8sMsM
UxoGx+AbpRI/dimDdIJrZiYIvXqzH9ECoJvM6lzy4V+mA4IcaOUFK7PvzvCw
1g65RKP2jhVIIbzAPYIVHWaf4rACAoBHAQtG7gvwQflmNlibI+/MwppH3+ze
NH48kRiLDKZWKH0AE1peZCEQgyvQBRhiRM3Zp0vSTF6VFGJwuYDo8qp0/nwP
2ewXUO1PW1pE5i+9PCGgKiYixkvJ/Fqe1EcQxEptQbpyJS7PV3KGyLIlSQYF
ul6GZnotn/nrmW7xlYxqF2TUu0ooGDiCp0A29zQPeYnISpyaXyOYcY5vxOYW
y134BniebPlG3zX77c9MoMUZLzVV6SGrQ8lQUj397NPBcpdvX7KETAoIIDYp
GEywv2CaVdOMwSoRTDHosF6BPMuuksgWYAogpGtwbkQwRKjJftkaJA5kDOCB
G9zVM0pf5BHD1AljEXRBkq/Ets7KzOtcsDIRG6nt4hNPxAI7rn/zemb2Ska5
LbB3Zj+eDuYp2VG5wQ4wo3QUY+fzikMiwS0XkBaEZZeQeLLY1fjOpKBohj1H
9sk/r9z89efnb5rqAFwUZYzfeWl3t5B2X6tDGZyYctAF0NmEi2IEZw6qRW31
dafz5vHXgbbXO37fcNXK+y8RYG9efMsh25cuE0OccEVMyV/PtGTHaGt0BSsw
KeCBoRXV10uZTnECG1SSHRlMm5ok7o6nTRP3w3ir7qruKm5aeP+Rp/X+8Td5
GodUmjASSiQyJBJuGBrj0al6JjagLF8rkln8zuysgrtEDgu3HTWw9aHVy7pP
3dXyXHE0ayktWbJft9h0uPXpjPYS2IVMiJQcLEJdMsahDeJfrgPtxuiAQpo0
tO3F5xasm/aDznWfYkZ7YuG6g3+6/N6PQN7hrnw20QZfpK81bXXXLgnyoOFw
beLHqjL92nodqbGqEo3oyQhU6tZcGWzva8KDzN4yRIwGEEGRwxFm0ygOeQl8
ScQA7z7tEPav9M/eQ0EugF6FTw3jDXwF0wWRJAjzW4fOPCUzk5JGt+J53Wm3
XgF8UW/siqGFd87FKgIqUEvAKADHCIbMl0sAeNBwbAvUATNkgmSfQQYCJQCM
vH964dqD8J6JXzClNE4J7KmfcqiaVhnORZiWUL9k2WTn1So9CXTB0eHLQJLr
yxBZOkBUdiy8vgxLBLeH4YuICsw+2F3Ml3uH+xUORVcy9oYHlUp585xEXQ2C
pUmRQqOZOUAxr0yA1ahVwAwLcquAxYvJJhIDsQKR+o44a6BWKsHe8GtnmQQk
QsVAH7C9UYLZOxIxaCzyNYi5bv3yfae8OP/BSSs671nEwhaci1uGh0mKGvSZ
uBpgvYk7Qg7jkDwZaCInLUkoExx62sXGLGkeJrUAUh7DWhn+CMMDv2IKf3j9
wIBwRfKvGSpOz1CiU0SCnq85bH5QGR/ykmCAeEzBICl7T0BerP9m82WGR/Yq
OAZ6wxNBpr9/gxM9gLdZPRhRWRxaISaKdTwVCBPDHoBdoKxzsJeIV7Fq4FvA
zvjzAUOj2UsrwV7SEIb8ELEN68VjQLTs0NDgztYnS/0fu6uFVWdJEwP+JRqq
Cff0eo697icP3TULRilsNrHOoc39usTrgMro6jBrxTPlYQJOAcdo2JHHItdj
Sw8U94kXM5jMGCEOSTFzVY7mrBlJ3uiUu5Rynepo6Iy90JBOUeeL0fCvHIPy
lmN7Swye1tODRUAvAdh1aXAArD1hjX3mPBG7inEd7cFOyewVDWdxIKQG4eX5
GyZcd8Xm86FCQTcuBlWBVJbbgLFxC086TlWVZgxue+bV+feO+8qqDVesXdp9
4rol6+YKkEE+uCnQI4+Zyc2VfjnOYy9CjGFJGy+892gYH+xVQewMWxFcF7gw
ipqMIufbiJvs7C++WeY4kMESVGJhYMDlf5AUixZ5HMI8Eiv/U2VSnBHIF8qC
mk5xlHQmfyTVa4r1vOSBOiqoY3iBavIuEz6LxRqdrioeO7o1+dDk9mTJkiTp
f23cuDFurZs6v3Wk5yaGCbg4DztojpwkKnvPFTZ7dgQSDl4Mo2r2wGuPv93y
LAkRoXuED2BakL53IadyZj/1GiWeLl0KauLCARDT4Lzeps91P/pducxty35/
8qML7z3MkVugDEpzBNYrg4AE4yAo6Efcji/z8d5NP36jbbN73vog3jzbQKxk
fraIbWNuMGD0LXQwjMLZ+NZoR5Yw1pGJRbYGcVSd9JZLhgg0p1EzcvlrRyln
RShFilMlIMK/NZBhItJAQaLXYkF7zk8j4rTjpNXJW0f3SHKvnNn+TkXjFywG
obN8cfaxkxxwrnO6CVwHrb19zPaKAMPoHCZaY91wMEoisXcOnPteCBbOpv90
xR0feXTRHYeprxehAiAz4KWBojiiMHtw6+OglPN6H/uZ3Omnnbd+BFYNvePz
4HBAM5J9wYCClju57/nbFCmQ9n151d9OgLQUy8vYKOINZtcZpvUOH5oFjUca
TCI94BN4iYAfmXMZxyGMI0BuGnRXyWTSy0d0J384a9n+kEkS6iQhF97vCKYj
QjBSlC0iA4SjdZ+IkZEJpXztzCXJm9P76A1EydCuImFOiAJiGHSSmWvZsWxR
2bHmgaCs3LESjJgnl/7PrKfOu3fmG0c9Wf9q845xAjpgNU8wxhBicK7tuexE
oJvkC1ML3i/u7l1O7xg6c/ufWwcuJ7Lg5cI92dLxwHQyu10aHYqKr4Iz32jf
VL9p6NgjhfeNKVKMmCKsH585enDG9kOeqfRevLbtpaXfPYBULZCbuS6S4Ia7
JkhnQmggWcPEAcGakVkyf36SvHd0W7KnMpS0Zz/0mn711fA4Q+5Fl/VK0Ppk
RwQfUtaGPLsgXNdolRWx4IXPhAhWKauEEzAdoC7+QZAdr5YHf/UrCluSieLI
oQw79Y+f+u0URA5ePeOuca8d/8iYPfVvjnKwKj956hOzAPYVKzYuAtYg4mFf
sHiG25STMEVIDny6rOueJS903DOZWRUhit3NHJZSeAc94F8xPK/pWnPRix13
TyKa4fNO63vqNztan3IwcMZPSX8XBi6tzNFdUZsWR/dt31hDBFe4cWnvWVjM
n6f8eTQTQ3VX88vFwRMeaho8844mwGDgsh81k7UBJGcKwplz9TA2pOAI6WV8
+ZXSQNKS/aA0DK4rgjGUDAu1brEqaeb+DyskW3Vho+D5qnd8xoVjiEnhxsnB
mZnqEF8GESLQKsgHIbhaa2fHZe6EIE2MKQiHHW2PlqHGtQkPLlf23vj7/27D
uwC+pxetPgiQf23eA2NEIO6pbh+1Y976MvEM3KaMY3Yv/XrNdat+ej6Af3Lv
KyS4u5av7Xhw8dpjJNZ987K7PnjfktuOpXeNgbdxbaIKPg92Kohp0uD2FwWq
b7VvrD2v55mf0TtHPRUxRXANrOH87i3X4f4Pdn7nGObjgvD7UFuft3D2tD42
Ct/Db+/SG9uwzkfPfeQwzoEsWZb6wCN+8ThvdayupQAaW/w9j40d29pq2LAW
RSCCid4xT42RGAKCU6g/onDEwcPIRbsZTC5n80cSjvcyLpdfnOGggfAkXFuE
d1H+JbER0OtA9sNVI0gheP9bIqEZMyEkQqtinSqRnYv6b7pGjBpYarI2WBBO
ddUeOvTMYz/t/t5HiIE6Fya7ln6j+MjSnx8ObwPQ3dn2SEmk7O5xgzU7D36m
NDCvrzkh8Z4U/33FI58Hxj7d/cT3laR5vf3hhk/3PPx9ejcmEAoueWz/S/eJ
egFmXp330DgiZkdQJTgnPUu6fZzl0P7tjyVOJoz9+bL7z8GNexb3tP/phE1j
d094pWb32G01ouXfnHdvHe4xsHBVM9QhqU6WD1/oveM75Fuz3w27VSACpQMD
SHj64RX/cYRPCDmoFmHEkrRk5HDNAXK9qfohbcstQXm8zvSIl6YBsRxY1+TI
B+pDDJUY+bhUdMHQp8SIXtz2Yu+MP81QIqHQPXfX3LzKbU97ehD7MZaj8mhh
n7FQQ9DBr5BrW/BxyuGj4GMUYW+e33fvdW8c90j9nVfe/F5HLWOeXXTLgUDP
6/M2NHhZVNkxCqgjXl7YS7x8y9INp1+66qErgfT39v75TlY2cC9wGlELU9Wn
ezd83x/j8xZ0D6zEV7++8tF/ZkItPN2x8SBQZVrZLmZD7Z6WZ7wY2bTkliNx
5urlq0598cx7Jj3wD2vfefLAI7eJRIcoRsCAok6uP4kM8YKJDzNQEZ4SJ5rt
HaphgjPnz1WhUuh81nA6eI9f0RpQV4hQt3jk6y7IfOWv7tF5n6Opc5S2Egen
EKGpaW4hiI5rNckrEy2jycqEWxlcyP3kI5w60AYCYesZDofPNDEGYRL4WKpk
FTMTAxhUZmftPV/+/buf/sQdBwHbN3Z2kb2wYektc0R8vd22qSDi683WLU42
KPHV8/n72t9qe6z2spsf+SbElyOqWjga133/zvOHDnuq+ttLN31ARM7L8x6e
QFKx+RUvFYfm9VRxbOuCNRPlsiu6VpP99dY7/1D7pe77r2agGMlWDfwHB10f
g6yWzDavtAhPnGw3BqIq6/CBynIAqMeRU4lVU8CVOlISsQESm+HxTwagBGl0
N8/Jlo5EcoGMY3Q0JYhAJHUQxIeZzQIWZO6fkauxDCdxRysi/pJd12EpSp+w
+IOtCsIgC4SvD/sTdqgioAYRSsDMN7tXXQZcIRD79kFbCtvmbmrUUuntpj8X
aoDWpPrUmQ/PfPIT62ZtPvuhQzZ/Yv0h+Pu5k/umkVHV/ugYFibw7nEIIm/3
9Odq4K9AmHyle90VuOPpA/ffIg7zDSvWnPvQovVHaZlxzcr1F21ZsN6tiUtc
QBy0ciWQ8R7hXrCHopccwokpPUA5G4HcI1QRfvH3gR5ZTh2XSOHo9A3kCIfW
zuUr4SVkIZE4ET/4eqyD2/XZlJBlA8Ehmo98BiUTRWRmBJr3+an0QgiCq6fv
WvE/f7Vr0fdJU+GX3EhnRpHjAUIgXVAIx7wz4pybWtz79ituO+m1uQ+NWXnV
AwskpCrsvWviK0Vv9Mx+ogaexq4jHsuO4a/M/Jz6/Ch5VjjC+A4y8cz9P7/q
nnMgVL6x8uEvQy7GXCp+OjhokFXkPjnUl0Wl0m9mye1ue6jm7/pX/xfb1ibo
WgohIUoHBKSUEXRELO3MX6dDADq4HVw/1SNdSqClFAG/EWRLtEu3vOEFAZD3
c0PZQgUKBEyP5DeXMCzzvr0K9PhjlUi0whFTWfyJ6UNbt0A14BGRyXQBBO9u
qMBoHfCJqKZc6kM9L/wKbPiVroevuG3pupOBqscWPHgoMbmwcOO2ZPeEV2u2
nfBQ42OLf3sozsE1IixMFg5sDxz/1qrffdHhvv75hb+bChLc0/D6qLS8w8sS
3AWG7oZFG+bgTDi3bNSW4PPKY4IYYPkItCHTQEtE0m65ZZF/0LH6c5YGJoji
gFqPRLRONIiKwPFTbk27oeWh7anOONS4NObQC7uB46eS99MejjjEuuW7kDsG
6hGqkYILUJIrl6AOI1ANqAcUTAlXzmAIheNfUHxtIP6c2vC+hnaSjaY9MEgC
8CAQ8fhH7p8NUIJyts57dCKM0h3TtpbF6dze/mAF13y5Y92EdUtvmws0Xrfy
t+dzuAK2HaJgFBx1pVa1Rw1ueQi+MR7nvYOb7sSZl3bfe+UtK24+HV+H75o4
NdMAn1b4euf0F0pvN28tPDv/kQN7Llvbvrv5pZqfXNX7MXwfPjJQ7KRFBeyg
zUp4XT6IVwls5kWGowsqChCjDbKXex8gko+9Lx2EigDnQmI48W1cXi0X3m8J
AiJAwmP5CAm+UlTH5BK6tV2OuXKdEuwH6SYABZN9zGIPBIJjoGLJXHq7SalW
YyA41JRP73nlFpEHq5f2nAp0/GHBxncYedA8kAB9OPTk4ptmbTuxt3Hw5Pub
bv7ubz+4/bAnKwv6e1ZKyANywsfFne3jMy1wjllujIXavuzO9d/cM25w1I9+
cdMnoFEe/9Sds+Gx4lx4sJRD27fgKJBnLGvl1k6J42luEMeNV0Vwkoo5ynJy
qSw4CYUi0NNgQgpFhAkMUgnKKXsNYZO5MxKi6KNpptKtZNwWvEAzut8of0zu
gH+ZNtDjA6nFvWKrdCk+3vuaaqYN0wDCgsl4FeyVg6ZEKiCUyi4khALQMdQy
4CNRO9vvL4lQ6Fm6uh1nrlx54wLGkMlu8Epg5L34gfsn3bz8tg8K9fikLt5N
C9QjSV85Dznk197zyJiru9Z9ibFbHkmwOLlShpMryIe5iqNwhnlR8JFFrAh7
Gz+FedM4fnXBPoPAUKYIlSFm2qUP9IN4xMQc+YTBAVAmfsKMnZ6S0QUTkZQG
6N5aqUbRzkkxd57u0dflAnVsVuytTomtZUgcSJ6jHkpREdPBlsvtJ6UneUAw
YcVKGoEqQl0AYhlxVUJVpuFF6KBkUVBV3e5QlTkhIncQvhVUda8hVJHYGRvI
FyGNK395z6XiXSBCS9/AO/aRUPgHsUBPxOe9eFbPpDeP3uxAwv1QEE+f63nA
kX7mxQrpZ86tSCdP+pkTLNIJzjGR/rKNnvTFHlXoQd4R+Ud9DEInD88Nc9I5
ORu3ASbNNy9Ll95wbjoEh5I0017QKD1HI7aXx9q1dYET67UzmWKkRVHfSgbl
SD+/VCTIiz/XY0psxVtF7qjVHNiKjJpJzoSj2k6GJEQT1MnAmfc2P/6RDbMl
vIWgBiGodUtAUNsjDkGZEBHZ9PPOW84R7TH0TNAeTl8U8Qm8IkhEeE5sQECx
IfZP71oC5aGs7ZrOBy5iQ6MI3PZdeGfrnqZto/D5VCb7gUduEwkFl5h07ZIb
na7NcI68eE5CPdmxiTJZMNVBo7+9svsDCOsJU0PNewrhsr9dxbTojznDtwjT
IKOa7uTwDPYnnXFGrJJN+nJHbq+vRBtURV6wz3QRY3l4CVsxOf6MM6Cozr+O
BGP7FIegPZXA77sO7i++Pe2FAkKk7EciRkGiue/e6+BuuCqZkjARrBngCdaN
SGldOSoJR3x1y8I10+k4FxRBDEBA4R30EYIPXIVTC2tSRMB/d930SdJNmb37
0rm3H7BnzJ9H7Zyz0Qe/3m58veBB3szCsPm2AyWJGR0uwW3XUiKv0yccd8I0
gmXn/vF8hd3iMyc8M+OR8x4+/I1pr9bvGvNGkcveF9/wvMlfHuEQBup7u/kl
KmEYZhbXBArGVwgwswMAr1tx9/n0jj1pynBldAkZiiNQvs91bJjmbmVSmzjy
+/NeeT9ryGJasyfZOe610qutW8dt/ETv0VwCj5zOQml8FxDpnPInLYi0ncSn
o2dPUg9c6FsdaBtoBraEcD61ccMPzly149fXfum1C3fN3FJknoAJreHh1lHQ
NCFL19akgAvHXA9G+bFFtx8KPYZ3GgwKwIh4kBfm7lLUnhmY05lr1dcb324Y
au2vQvbBNNcEePeX1r/H1SAXViWrktaE03axURB7ARyf/u32BcnAqdc5wPFl
qcTX6u+K9+VSVziL+AUMSlVpVXiwffsx3js/MsKCbEogj7rp891Higbm4hsI
Zbh3kgItRq6gkPPS6fceQPfl1kI8NWq/4L6J2wPJS09TjMhJV/pbQPXD82df
k5w8tTWJ1sPsBYju9BLGX2yf3J98/LhDkwtLC5Oe7EcuTwDKGUNmSVx0hPzb
1/5l6Ku7xm8rQtccqYim6bUa4rZiMIXfnry18Ie/u/MdyeEs1jLndWfrU6Xn
T++dKuLPkLC7XvHWS3tP+dNhL4yF8Q+bhE8VStZPafxkLp5H//hHxs5Pfvy+
hckTczv3Da9qfr4DYLX5x+1Ui9Xc7CHe8qsHfwVOJKeFNZjPogQWLMBBFNGi
y4ixTlLkLops48duQSWdX/f2KBOfqBG4DECPlOBk2gKCk7QKXxq+AHwCZcoW
fGmAgh9AnPcR+pK+ZFH2QxqBqeeTH86szcy3/vG1XKPxq0z0fVpr0drkZKdF
UTKKyh1peWxvVwqYbys1kMq9LRvrM/s9qv+1h3a3bKlhj9jrPLw7KnKM+xkA
eAngiAz03qITgpV8vloEByGTH9EYvrH7MfRNASV/F4Inb9bAPIQHT2yfgcJZ
k+XLLw8JopVrpk596LihISRdjMatI7f++K1bW/7m5JMJtgg0o6ZsoDlZsCDx
cwoY04iRQSxTlEXaN3NNMTACYWOUIgTDy0UtCJSB1sCiMzp6+7tkuSZYM3tE
2i4AzNDC+nrgB7Ip1X3xOQVhUI6giBySkupT+HqxjBTkPcoCCJW67FhsPK7f
6uxMEt1aeNvO+fPvOGVoiMKpLB2EU/bVKEGPQ3aQiyXVAYHwpuc+19/fv3v6
dEIXEkEo3sn+vvzhs8+GHcp+jbRAkwfhAjtlKm1Q6EKpLwo5iwGUPnZ19HD1
h9+T+5+8zVs5jGaTb+Gie5PRkGTfqrVLcvH5AgqZqRJEoQrXgTqle/CzIbCC
GJ0WiRJzUMqQVDg4hRjfcXlD3j30zcZI8nFXIVB107lD6E9OD/KgL+8nsg51
uH3nXk7XDQxsDuTr3B3oiqAWIPqo13RzcpEKtNBolr1DtLch6D8IXIqQs8dn
EmbZL4AJUVUI6tHjwbmUZR2moDLNTPoA/pXIV2YGrvVWj8rQIH1GHJUdEQnQ
FvmKyxbDUGU1JSktWA7ALfUK80hg6gEGxTMUuEXh1t3z5//4wqEhDMfhArsR
puztGytOyCTv4tP31TuQHzNYlCkQR2/v6wt4c93NEKs8V4Va9DijAiqFwKG0
fE2gfgglTekmj8EY020A+vPaCDO3RBiLx0Uu7ulZLl+FbAQji5CKeUtGtvIx
sT4ptcTTPiFbU0lfovQKxd5crYBM/r9fMjSEdJOaElG3n5B3CjeZEzldMgi6
dD9UTLk2jiKIBaGj43a4BkpuepSnlKemlLKzISsmnJ661l2vnRy0SlJRLxAi
ZNV7Ip8R0UPcG6ELmnzBvLtqxei81JkeEldJxjtSQHWEh7UiNwXur1w1ROGy
JBQO1e8n/Jgvjo2cXu8v5kraaHxSrDHVdtcRZzjIlmE8woiUtYlZ5WRpEWBB
0AfyCeDhaidjNLkkXgFWAAXEndCnr+NKr7c90fDAxXe+E0hwVy3nbTUpb2d4
Si+V/2Wrk+viMOvgc9cPUnIM4cfpHgoNERg5/yM5jj/S7n2d/2ILM82Qo0xQ
qEDR9/EpjSVQNXkFFwouibDHOy/VGZog2z1jB0eJKJdZJ9qP4LSDsd34vNP6
H/3Nm8c9XLdr1jNFkZPGpCVCZyBS8ZsGItsqXO2NArqzbxvEjBWqCwhFKKMj
kHLub/Ju/kiXX9f6L84IQIQchjz2QJRWEWWdCRAxdMBfzcm1khbCqNBBpY6s
+Nlz7jlw5+ynS7rWHedLsFTSfqbDRtXOoybgip89/BW+XlGQhLAogugOfraX
Uzry2Dx3IAyARC8sAIlqnvzgEAst5zUn7fyRTtvn60lLQAsMERgkABIBUjpt
I12lwHgOkEXYbLDdxE9kGEI77T7glZpFdzy6QsYfmUAmj+Q1njyfd++l3ce9
Pf15UopM2N7D/cy9vd8D3shS5/NNi50AUo1h0hT53k0OkPCNQoVMYwRah1lA
6hLdAEgnmUpAixS+SZuvB+Sgc4KJrZnVaZCWBWQBqZWnPtk9k7QQQxFU+dw5
PdOoHInnWhidzTPPTOTSkRfFEnZN/2NR4gLvDIcpgdD+UB0SDAxDGS1lYNjj
ghn0Tg2XOGrL4KCsNl5DIoBiGL6HP9IlqWHO27QAQ8EM9F0YnFAD0exoUAYx
6F7lPCDfOuLJWhRkEoB41RBbYHOkGRDj5mFnRutPCFTqHSB3XhFUe+nvH7gS
MP7cqqe++84AdhAqrirEaDqHRTci8YEuPQVI6BjwH5YMQE728GiKQOsdFpC6
JjMAcioLe3VVqZJCrB817YRmQSt+eHiRDMxSw348WBmx8x97elVafDs5/pnn
1zuwckoKf/oyTCZIEzUaF0So7zLkMiApkAThvtpxxzilywp3fLX7hN2TXjKt
SUhbeuiK3hzexVwBXaCSmyYNpU4B+UqH4WUuGp4M6uP5I7wkAR08AtYA0EQA
NY3tVEUosMu100pODcR6Jgf0cB4P4zEBRCg4ef24RxtE8kHDSJbXFzmy9NS2
lSwGkhGdWgRKVyxS1iWJEt7/WteDXz0m3HZP7VujSJnxZXxJqoIq9WGiBY+P
y7hOquBmy1LYmGZc7X1Xj9bhkBafO0B6coA0dD5FWhjSsF6gCxjG9P8/Lrhj
ysYVK45+c9F1ddImI0RAv2w3ikWEIl9A10GiTENyxNjJfqW6kJ/C5PqZL4x9
5PBS1t2UAm+MBWF4w4LbfMG6Q8j84suAWj28mQ3hKlzV94NLqO6L3T5wtZhU
I2xRIkBk+EpAal8VfJU8zGGowsaid+wJYvWgQBU9K0vXGUJCsMdkcgvzJ812
y4FfzHsB1NHM3hmsfAqBgxkmLt4czvPh2TGBGrzJ71ZQua7z9vMfW3j3oXJ7
PWRHtuwSHpJH4suh6NLjgz19SE8Zew0tQnKfvSyIAOCFyhXChizV/QT+Oyyu
9lVcF3Dl2LVur4UuqWvvQGWwCsiCKFWsuQDBQ4aGux3dGlYhYlGi1agFYbQS
/sZbVZFYn29lLPrIA95NCZLS+9jsWRlvmM9DbhepCrqHSjShSYzeufuWRJsb
D5xn6kvrHPqXUBxKRCml45nXs6Plj7p0vJL8IoPb0SPAc/j+PfvCl0HvX1Qq
FzAtBtZI1SVf3rqV4i0sc4AfFBhKISDcQs8f0kGSdnX58SUcq9BxJRiI6JbI
Y5ZkIBPKfYvvOpZK3PCOTRATMOaojwkYT4vIU8aGNGjRO+dbl0EByBXinY5x
NQTZ6ZfBSzNtqLUjgs5WiIzJIfYvwhTjWGLE+6pkk4LpEcfUxepLDnTlFaB0
6HOZ4lOzO/FrZe/cBHSzI0jfIw/N2Vcxxgj6TLG4IvlmeDctyHt/mWoQHj7I
y7GZFSvXLnp6wT0SoaVjptiRMYmOZgzuwzt9HTa+oWv9V2pHBIStM/mLKsBi
qGBF+S5m/b1VgHFPabSGSNzxSKHLaTNbk8G5949WGWcCD3Sf63iNMA7LahRf
fW3V3V+ld4db9JGIY/SZwC2n0EyQuBy+64PEqmwQDKazOWZWDJfbPLr41sMw
RFBAh/INhDRUqISMTTwLRHnvl25r29Pwxij8TQ9YisBIYvU6HlS7Fzjna7Vi
eOIwyNmKNOTFjH/81BnJgycuN/Uh6OWSRlFnu7vStYIPRSq6NOqLudmXZeDd
YRZXeoyGMRpneH1aCmLWY5dD+yYgyueZGS2HRzBeE1GqDnr1eCqoA9xHDDoI
ALzHuXgcmj7xvt5xbjwIdw7ISYPvuad2sK076Zm3LDOQ1s67HD09Jy5OFrfN
S0Du0QqK00ZGC5ftXHP8guTld61Odszsw1xxQotv8PNr4tJGPKhvQa8G4Hnb
kNGCv0HyGi0ifTRaTDXZQRHA8/VMJJoRJNVimtXMtBR135yZFWsYpWwDEIPP
sFoCghRlrFjd8eCie45RxFAStlu8dPlZwMHqeUs8XkDnwNXWObf8H/FSwiVx
Cbw+fUR78kTHzROkEsgPjgmPUxSDD8oDSy6PrPFNsOAdAUo+CqNylD5WeFDA
mI9sM7mbyLY6D5RLeUu+HmaaeN3G2DHeRqyog5dHXb8Z9eAzQL4aZAJydoTw
ysjQPO/QNppjgC2T6IVzPmiRoEWk+1oVgH/9iDC9FiJTD5lle8DXOzk5SQ+M
YyAnAAcL5rWZCALTpCmZag0clJ8JEylCLek4uY+PHxw5n4EDxeZx8I7Ieap9
w1uenF4XJ0aEK3tivrVOMWIEmCUAEvAiFsEL1UmMA2l+1qaH45sidtHaNa0/
EZXDQAPAQIiEAW4h8IsIbE0LAbqIkGsiDFCKaJJDR0aCKaM7ODAPcD140oNN
XO1rmacajr3a/ribytEa0R9ubWZ8C46A5HB9IhLO5hhXu8Ir0eDLXpDtsgPS
7okDSdNff+gDKJeGz3y6BTws8tmm+KaI4W97Ggfz26tgsSBqyuZwU5Dn/qDw
iiJjxUsUF6i3v4tGzkTgTHCpjehQhg7Oe/OdfXWopAceGPyIMkDWIIEvX/9c
7/rv+kvybVBqs7Pl+ZKW4iL3EG31JgAblsYPFhArlwZ7rwGsEgtbdv3tX0D8
htLCBr5V2qdq7vCQAX0x1BjhTiAI8tyLwWz1sGWW23ZCb+PQEU9U6ckYsDAT
YS7Su9mB4PJ+odGvsywU8K+P0R8Skca1FmGo/hPoogqQ3iumwnm7J2+tufmq
tR+UQOcLC9ZOXrZy4xItlSSa8uCZP2zkdReFeSQqZlUm+jpAyrQvBosE40+5
1ZaJNsb/qWbLeXdPl/Y/rKghiLQ35jxav/3wJypKa8KGgLaid4qhveRkWJra
O55paZg3JnD4POM+1AV4+ZlPjEOU/1EviIIrhfJO7G0iGDFcjUdYDdeTVQtc
oSkgAAA9hOc/YOCKkBoRq9JPRkczXCW3indYMVYISuXh7Vot6QQaPz+46tiB
Z+9TzE1r8vCtjwhHhlvMojFalc8zhXB1QQJ4gX5IBDduxSU8NqwNPIvXqhwn
MK5bNTyTL5zjpk+5JmAsQjdxm2W4qWc16EligjPjAPlhjVoeHQRE3vyKVQwb
o/fgAEwwvx5DaIA5M8LwpZHPQzucb16qD/dFeQiFHA4OROidgUJgEp/ej5mR
LIIRPEYg31GVOwYBlSsoLfmQaOqEBYlgBjbPFgRV096b6lJmWUoG++YKeYyM
r8BfegnGYKgZmV7NMQa7mTjL4DQ+ifKPvG/F55nILl8P/fCIG9J5B+/n8/E6
jPXJZEaFpfM3TtYkIHBRIeySTt347AUPn+6ICGrV9uYpuzZyyxDxjnUV1ESu
wsBBhsAvkBdjykYOCsLGWxfKl/DxBb6embbaEGgX/Prxns0/FiTv8/mUWZ0L
lVtXiddLwWRbm172PJQ6YSIC/BQDbyPAKxHOYngbM6AhQh6lyLFY68RB4YmR
o9Hca6RaSyBfX07Bks5E4fh6Pt+jMCmQJ29jZkT61URIX7W6+CgcXw9tVr4p
TUlOrzK56cFP3EutOOdeag7CR+phS6aoGb84R/ZC1J9xChApI0kqcNkLAKtE
k5d0jDPAF2JMmYJlI/1TF/jF+5mBHLxVOSYQvx+i0xJA4ePOarCg19ItAX1+
FBBfD1rSZ8UdSstGEaSuLBrvKyPfTpsZWmB53mAM6Yp6/GLSAsZsEGooJlz1
f7lSCAm4R7Gmq5jzWNOf8WwIk4uMlQuzhDEmWn2E9jkUpYdsSQeI8AWu6XmZ
TRIzPnRGhN7HRJ6JkQdfjNpEFPLE+f9W56Yv8nlF09ohdFmN0CCvyzhlKpnt
Mcd9TBSVEaNdLJoO3v0E73jeWb4IvS5+2GFEsiT7rHwu7ud5kgcfdMxPxRZK
L/rvxgLADCRwA2pA6F1d4DqvcjgEr21Z6ScRZBmVwna/GQk6PTyTVzNNHl18
FZP0aQzfwIwlujoXz+oWES/KY+45ZzIfWrzmqBuWr6cZV7geyQTek8hb5/xr
IBkKA8OO4w7isqB91lQX9vM8qZfSFKbKW/J2tHHSKoGzvNNXF8DnDTUezayL
3dCC29HX16UR5FP2Y4P881Kbudho6bGRY9Mj3x0biMVrN65AxZQAFD4aTVIX
1u8NUGYv5JtQhId3+JwD0Fq5qC1VghAMZYrDMDojgqlY5TzLZ1RuUxW8whSs
OTwIERgfM8qFMWViZLxKY6nxKkUuSpFyDkl0OqsgKWjUwDfm1bjwXe+ozYhw
KiNJd3pLdasmOm/K1Iele6ublwRP4qP3bb6eqg8aIyHpmggoQ/3jMAyxmDD5
wfrIMS4XMQ5uLnychqK8srcY+VdoluWjCSOzlDF+fej8yBWSMqVAM/mQNdd8
m3GVrBSMPzAh8LT3RxmtJunDaJVxH+q+Jc1LPsFVb+GgZw1BUz964V2H0fNz
vhPfy2tG3R4jcDXWfairHIZCNhZMpXp95BibnWi88Fth11iQpKHar2IC7Gmu
d4Z9VmNJMh6Nkc6hN9FlgmM1nQkhMI1FY2AyFk18fWKQgtgOgWyOAyOPw9ej
abaLNsxRWCyKghOGzzl7hFSJfvZt/NlbrdwXxmNk//c/7vibP73vwbFSYODC
trRISXDjUrJLBLee5qbADUOjbG2gq9nqI8fYDoVGg2bTaJTchApNFYy1XBOR
i6w5zThV2RFLc95oCzuh/qkR2DGjmfGR04Lo9rF6trSMm8ioNO4koxJd9l7E
T1USwoiOhgAL0BaFBRmZxsOPTXuRkAgX9AV47x1luiy/PnIs7J5OG7BReEQ1
J/pIC3dMexJWKIulsaQulN5VwvXAyQRLNvEheM9+aPMvKIszVYEnU/aErwPC
eV5wq/N8FHVKhCwYr0b9TgjHcuP8iqLvZD1jIo/N1GeiAqXII46OgHUv2NL7
UImZWB855qBRhvakzljGBIQQdcc4DSf5OvkVDVcKcPOWk3J6fY8O2+K4GDwF
eAwCX9/RDyPygMAjPhIY47lpETrh80xui68Hkse4XTrGg6tEwv/rDff9P+C3
MSJ9eSkmvVaMLLkxIqVCRfWIuNHNAvWRY9z3aGRq6sZFwCLickwAQUo2eM5j
EQ1TKEGCxADAmK9ikVhjIPA4Q1FLMKhhWLMyhTTx7MFsHivaNMFnFnHahYqe
x6jCZFwfhuH7IgD8nevu/wJpSnYOja3j8FTVlZr4PnwJQGDr6fdNxPgzcnqY
B42fdMDIuJKIMl5S6VcfOdbAn+ylelqbOGRVc5HFzllbfC0Um01V7JqBx8bj
Q/mA1EDpO47sK2OJKozujXHuoxN9h2wF5g03B6EDE4KQx2rV5BWZH4cXlOUQ
NSXwlJd3EwPzoMiQQinuvjSyCH6APBbjz2gxt5oq1OcLZ903GX4gWFOqx4B3
JIVJTzq9IR/LWDPZH4bgf00G74ZItfW4/UOzRC/r93JseP1vMWnL3p/n6n8B
GLYvdQJHmqjyPeJYwd3/uPY9aXV7IpjGsdh4J97zRESkMVQnBVR7s4OPGX9/
SkQcqCF93t/n80xikK+H+GXuHj4uAJLCMnTba2R6UhnPhLXtGfMabegBfsV3
YsFulV7DacT6brg6USyO6SHu+yzQDpX3w2hBot77O6h6X+dJq3ek+rjptA99
wNf6cDWvqYHjWafGQEzFFCTjAEwECQGCqPGfOSe8KHarYD9HDNouNXzPgtfE
wtj+M5E9JhATuOF7mK1XuElP90r72II05OnIHg+Tw+c4BuIX9wk2YFins3Wr
eBg8vEgOrBs3IKGVwT22+WzjvilgX80Yhf08T6SGrh1jCkAt0luH9ppxa6Yw
hkEBsGNVIq7Fuq8JkAWkgAUvmcdGJDVBTYlrmZagG6J84SqTgXFZWFLCXINJ
Td+NkYtSO9BEVEDDZCBUieuBhWlNqp1eovsgSZJP3EOk4xbeTnP6vILrUTXc
yXdToOjlOauocBX1kdGBiWP2hf6/qGWj8Jd/pT5HKEpSfXXOaVQZmKqKci+8
gzT0/oUMAeM5eYArXHboTfzN5fQG3GmIfB8QqCFveRlrmDFqslmzI99VlOSz
v3w9NEjBmlMt0SYtkCfdczc+dgP4+cZ/W3uWlLBIZez7Hnt+jX8Ot8SqAPMr
c+ZTOTk4C5V+W45fSeXksYrlvRCCZNL2twNnX+fVRVDOu3qi5C7Tg8k33n0m
1ZG+fOKd9Vj56JBMyid+AbQ3jn20nqQoo16Sbo989o7DAVhGPWCqR6eIxTAh
SAjYbYQ+lunG6JgUtK9PvcXKPJsj350cyAYURyEJ9mzydhCeHMcagyzAod9c
ufY0n4Xjxf/plPvGvnXUZlJ7vmd1+NxJkq8/P+GiZMOJV8cL1jUbRnt+hn3A
xOEcm703j1T245zRkYd3cqAOZfIgW3rxQ0slo7RcKE/QhMYZTmndm8mPvrf+
E3ld4lV46jZtBMpyxQhEMGyLQetC+9K78Rbz1BU9RTG9FBFPimh2ro434Y5J
EWGjogM+cuPuWzFjr1JXpYfvkdp0ayibnozsiKgmGSF+0oNNmIpP7/ZBPegf
eeHdXXujnnh30d46j5iGTowYBoR7brfwyiJYFsTiEl4GWDmO5uMgSj8gyfX6
nL4GQAJSwlnwBQAUKkPRRCx7RHofOsS1yLhj0v1H7zh3AL/ei4CpEVuAEWzM
xMMjxyYGgoGEp2g3Xw+FYD78IzkQ1QIo6wAR2JFa0RqmqvZ9wA94jicuuONg
CR2NZYWSH82aiWlwJWAODS00oS0LN78pmceY0GY/tybBKIFqos8aArB9UKMG
GHP4rohhLn1WUOGo7KUVxXKEKjVBpcxQ9zIbcd7DE7A3kaZ7mmiyeI2LhU8b
GSsmGXhEwJSPPzCWjSORC95h5IlQjekAVFlpcWZ0SbZfG4cYn/r4XTMHzrqn
GbCQ5/Tl1+P4TAV46H+uZQdLJ2PZD2i3qIo4jbAeZjzx5P10BqtLM/GWPTQM
sX/zmL46SYXGOmBKQa2J5iMdrVolsaGDTA1X9Q0cRDNV2YwWEwhTYzF9TG9i
AK23IfWGITIshckh0n/rR/3gabG4SmRxLHLwOLtmPF/c0fp0+Ru/vvfLNZGr
jrXgpr4/TuB85WMXH5p8YOtWCs0xdk5iVoQcnZMp4mNtaOeFM3ua8RTOnGw0
hVWp2pE4dTPdpZUMYMW6AZcL7n30h0RiHJgQZ4L25co0jSxU7RXlKZLdV6QD
vN92oFWQ9E5Z2V7JqVmXPrvH6Iq1UOuBK3pMmI9Ds8TAeVi2PL4JlPEUHFkD
jgEEeFYJNkorWr5bR1uOMjHrqts+6NO7zGGrr/j9yYhZ09bVBocFf1jxfCRr
XdIGpIeYWyMZiHhSHBMDCDfGoDW81/4/EB7L1HLAngpJOm/XhSQ21jkhINwr
lXcGee2dYkauKRw/0CKNir0ZaSax45hptI5s4XNqu8LyMgOOtE12DO/xzBLW
F3o1uZbsiBSXM6OZunJulhCzW+Lg7zZ4MtHxWOU9zwbQJeU6q8XCGod2HtJP
dR84pSEiN0Jea8hjncPOppg8NlRrTlhffviWSSFND3LbD21RJOBdFVW5iM1c
McdEap706nxFd1O4l6+s5bp9gZRJ3ljLwNTtx1J+jsdK6GyEd2awzI9qKm8Y
vCZu2hCoEFk3VQVnGW+8VdREXcdFOGdC5DlnBFD6SSqjIyKwweszNpuFtWOd
CUCCn8nEQ8yFviVbaeEJwUKjyhQ8DXrZMIA4/OF/r7tANCSDyMRY6yOSXoHS
V74cFPnu+Igg4XGUJgvG5xlXiFGD0SX+mMrxe/5rGJF6i4JWqQFnTEhQPg1t
pSVhQiSTkVQmInXFtuKamJymakb3SOVIM+mGxm2jBs64txmrjk1fZaACAN7g
rA90B62tgRorcDHG5XsigB4XqMcX1qjCe6+iGYCmt68+AlQ+D/T/yN93H06W
hSIEKW9iF7ykQ7c+p24hashUJWG9S8tSG2DbddCzVMMnTBGTVqalr86yMRxA
CdybWmoGk8kAHR+W5TNAsWoz1ReBrcjMs+iWvvoIbzBZDHT0NGO9xNCq0tTn
QlylWFkHhzSROsGfnOC+iQIvFHrRO66n0M6/yGls/vHMeT1OXDFEjVfDT4wA
BvxNesfmA3SRF4yzIsJXYc37vXMDIft4i5Rb6lJlxhC22vJ8xVBBkbSfnbIX
iJLPPO2FwobF6+boPrtc7V3ZlNukrpcAPQUWokb/VwML+Iwta8/O/163EJqP
NHRjTrxbiVUbjsHW1XCM1fga84qfyuQcYrXFqjENzgbNToh5kfx8RokxPXzj
lvVfxthd3RlvepZcWrfkbfPUcTNZtQzE97qvGWOXH8OY/3xLoHLoyM1VOLXR
8oa6iNhVE5S8OcSpGVPJq9wEHyyfF57FB+3HRkiawQnfzZ/H6zA2Rl0EnEwg
u6e+UPPmMY/V0blKfXhwuvh22YQu02CWvstA1FQpqYJcrxHUMZ8U51I+iYwP
nryB2qyCcx0T+6rADBSn22qNLGwM8tYHxt8XQRejAZUyqJihd4wuM7iC0RqL
xhmJxoU6kF6IPIgRpQY44SMygBnCJqmYOugCygxhFlXGElDlB76ZRQKow42l
ooi5T9z36I8gZsZG4BUjldwOzNQ+zbA2alw1dPhwstty0dpQjUHqemmnWt0x
p0IPbzHmbaxjgGEtxbEi4Xmwm0RzwK14VI7FeybHLwdBjOY/xsDdtMdxKEXz
CbBXHPF5SxomXnQ0RWBYF5GaDH90fXonl/N6pqiV4WpMur+OHGuMkAjDH8Mr
kEbQ4sBI5tjzcV2TZLwBisC2RSkDfv7DPVOB7lIou8nDX3rnNPwl/TO8Wa48
rMURseDsmOwih68gpo8wlhrj66sz2TnX3iF+JICnZJXPyjI6Nfv7uleZ7q0N
FgYXfH04tu7bgdTzc0JiCs9c75TwTD6sy+g0Gmm2ZVkKXJVH1gxGqwQzwUHI
y113cjWfFMRNQPNkG2Zw5D7tfNOFAT0F0cohCVP2PW/y4gS9e2hfojOcCiqm
LVI+x7eR7NU7POEYyIHznb5ZXxEg4OJ9MI6Wmf6xWP0zt05q88uzx9gIXhnm
vsMuDZJcND5FmJkmTKBkTATX88Oz+5iymiMDciZDS4288SpThizoLZlGFrFl
XWir3Ww2OowGzKm6sFkXTZ+YxMvONVHqOY6ywbPgECkcOeYu7lOz+2qi5N05
MgrgBDgiPjTKWyHVdPcy8n0wX51nBAJvlmRc5tSVj9L8rQgOWaJhDi3KLZRG
KVy9csOXvKnB+XtTwDs60IlXYKcFkeyD1Ix/43kz/nFPb5FKAyI35+1DxJd1
Aa+mN9bUkQ4NMlgGmhnSoR5eEC34B1IFc1Jijc/cMT9wc19NljKlV8p8cFkO
2BtrX/GxR7lTTI3D+kUzXDz+yXWzkTySdhbAT3IUEI0ogHj15AfGCR6BBxrS
EHjHumcqDOAVIX+XdsFbsG6anpNmkg0NVraTLP9goDPvlMUifK0Bt5ABlJzl
++qGy2j00q2jMb/hDq4FDwL7lcssHjyDRF5wDTz/935812cEFsZ9DYX4vP9L
psL1bm2i5d1zmt0nBE0y3R8vfAXvRmicgDyClnIRyyY82QX3PvJDPDX1nGUf
IUS2Z9yfRn1u3UPfla9IUgNl6tgyGaE0rLKGxG3B229KSBsmrY9wSGw0yjuC
1PTJQBVf9Ix7ZuR6fJ6pBubrwWb3Y1qUHPNOmJ6iY5tCxuO7yKbiHe4HofD2
lBcLAMNDn7/jKJluK5L/t1eu/QDgIeDE8/nsFt9nhE4MYV+RAGDt/Fw/4J1J
QdA+rGxQSQC8mBRggUAU0UD91JUVAP/sEeCZsRZV4EoCwitarkzIJ3Owdrfe
Rxruuaz73Y2BP30TkUON2SELvzI0hmstTPBUBV59XKsjPFWuqbEAkQH1oanI
zIvhFY0URfeP6h6/gs2h3mx7vE6meuKop2gH/zoTiWRRKa4WqARLA3+wtAPs
yfrz7GmQDttMECxIF/WAzxjpY9XpgnSxA3QxCFcvGjMvdUWV0udqtDt7AxBt
wo0a9jLpbeJLNW9PHSALTG5rYjc8hV6bQn5AzeGB8XwJb2wcFs+NMskIRpUJ
X/K+v2Y4Tcq2u7IUvEXREM4H+WD5fzxzwxT2MjVVSagAX+c+U4gpkDmuhpW5
GTGw5Ybzr1RRgQkFlVJxj88YlTJcZXiTadGLABbpvD2PttuwyoaIja6881dO
eWC8JDx4lVKKCyCATiUqpDRybliPrYrPrCRyjWJbrMc65c+O4FcF1H0BrqON
kp5e45VAbIgKT8OjJETGatJkJiNpuTAE+ETjinAp533BpFglcIm7MI6MrZZj
0NxfOQzq/lIx7XRNtZRhwR6zTFsb7chalr0/0u1nQVAbHRjWf5858pW/fmA8
OrSI+7j8yPjMaZj3o0bdeFWn5m4WRZ3SqJvMJo5tAB9zj84JCPXykInBzJFj
JIvr9B/Xbvx7r4EZySAumdwrj2raQViOm6EFqjprz7jBUf/zvTv/VpgdS5I+
cHzO22APg/qxqg9r/P6gfrzidTHBiY54EL4prBYBHev6OfyMM+Y+uOkm4jBu
sIjMkCgJwAWXzvBy1zX+NQPImEZcmolzgEycD2CwqgZTQ98RjmOb1tdFhO/f
uGMmd1QXEQpOUFD+Fdk3RMmw2YYKEAv/qgCx6SbhRZqmZgYKnhh3OuLFlx7O
b4QiVENF29ff/gUCvN5VQVqtxv4l6B62IVl2SXC/piVwudhmurqSMY4azdeP
3uCiLA7jZsQcfgXUXBEtQUScBlB961frvghnhcFl7Kqa4bgGmFQb054xr49a
97XfzZVyPINXFl/GlXI7z9n8lpqM5mthmXZQx4LpVs+ftWGq9M0Ak3hMjWzB
rLHJ3LF6mfWz5NYHlkGh4G8sR+wVQ3csvvDML5ywqorS1WXv7ohuodG0P8jm
IhL6urCxdq3hY+FXfLFI35RsuJCGFhlfzmCmdrFeBlsDPntGvz4KeVLACGtz
T1QBGID8n333jvOkLVEwq0sctp6+YWJa/0YCFDB2Tew7trHJRwPX5tNoZk4f
Yxf5IJiAtyzdcLrs1JrHruv1xpZjSZ3Z04CVEc7FYw4d9lQVpgK+z/rMjGXj
ankBMOqSUeqOyuYfzF3oRah2gBotWpU1FhoerKdcMxzp4nPnwzR4jjG5y7pH
8JyN5yJ0j3U1QSKrZU08pR70/P9ue+BfBWq854QILGwlgmHbhF+uC4KdhDor
bCJMhdPuQUzRLa/ZmHF/647F0rPGz3b4LYq5t2HpLXOgjd3dy4JiXBYfy3Ya
hbBMYL7rmjUdyG1Xwg08qTfwrTXkshfmzD8xt5OwCraN9TEMx6q4SxDIeXcJ
PMusHBvaEmuCjTVTxzpf1LYGO1s2U/cL/S5dflbS6BoRvnbzfV8dOurxqt7R
wVT9yq4MWuyODYhDRgXnu17IoyLYqwTZ67Uez9I0mUaGlQmfMZbFQSN7K9P/
4yKKV93Gm2l8LDZQMQanzx45N3mu/YaAbJwzdhgyBRNAqiATTC0IziFzf/te
OYniVpyjEbxirMzd8hAzIEZ56DERkMd2h+BjJsvE2YN8ubKoPcawcZEqEdn9
icgxPu/BJauP6Vp2T4fCsEnIwJgn2ynWcsuPbCx1txmbqj6IdR8BPug/APPu
g2t1s5qwl2AuEuQUL/j/0OEqJjZEdfZ1toZ8RsWic3hjU1L0zS98ZT7VlDwo
zvB1obWR87j513SJpbnpXaxWTTFxbHzwwnBPn/vk80x+hfcfy6cpZf5P08hE
K4W8+lhkYnQp33TkNkZyeoBoQeEl8Lremk6QlmdKlfKQlOf/pbd1xB3v4gY5
8frHLjGzq41JHYNPrGxfBcT8yCAZAThc09o0Zjly7JNBKfjUJqPcuHxHhPN8
OkVF1zFaiFKgYyLf1burCCmrY57U6gL8sJcP7ZDEWUKP8/kZbMUmHtaWWpdD
FPBfo45Fc5t/WfuqvIZtYRl3vc/76Kfe9dbRvCNKQwT+sYndqk4wX+1s5g8x
XZpiN8a78XdUOYT3mT8d7uGtdKYPo9/5emaSMIMUc4oQSFOGl31mRoex8JX1
6OlN/MHf3f1vuye+aLYgJrxjo8bvZLDlnuhoNynvTeHLEOTFeOQih3cxfCU0
M2P4iBwvXOsjUIvN6o5VUqotP7wHGes/ZK4ydVpqexUfkfpMEMLeY+bzIAEw
gVZjK9ZX6AsfEAqNbcHBz2zMSEWJPh+jasa89ymzB89Z1YzNXqkSmXcNdIV+
BdSl0DxgRUCxlk2TKIkFhWKlirmdayjqz+CGUKLR1ggyMXhMGbgaZuYZiw2F
SHzLlvIx+lB6jhJ0fT0qs8vAqHfniZWuG8M5BgM14t4PXeWBj9R5PpRZeU2u
9sdJFGkJwujWvtbURHJNtjk2pY6fysyzro+oIXHuVvWFsKkiXI/VIyP3VXOM
vK36ucg9+JlNmThDXCdM5b4Y9JXfaMqUy/A6TM6nLoJpRZ1+uGYlQByfykxV
C/HYOGNz5XJk5SoJ6V1sFqbGNtP79nWsm6AFtoHaERFBLKJHm/9/z6JCZ1IY
M2bY35ER8aYwDZuTukeqkXvw2iJ1DyX9zDLNjztIPJQFnhbKZkxuKYLnYhDS
vkkptglGrBWPIQra94GqWKsvQ9mo3kIEohdFoFKI8MQREQkhm6plAt4PjKlE
7tEQwZDQ+ufXHvXn4ze53E6dhS6kMaQyQ/ddXl56eaI35fE0zNCFq+f7RvkJ
TMKkIYIZte1IvtzbeLNHRGRtbH7jFwKm87uUmjLzIyLYV9LPz2SJ8VOMF1X9
lu9+cpMMS3r8rtd57zAgNpUZlQiYYkuVzYC0pcC+gO8+Uegxg0nUhmFeMDNI
TGV0bIODxeG+3pKpiQjhmNhRkWCwP9mPpQhJSbmVHr1cG87zLZANw0Hsa48s
iKWlR4F4mLcqy4wVfMagzZCFXeWfIOah8e7Opm48dY333nb7YsBIPutoLPcj
IqwtOxoNbnkIYTyimtgMjNERJqqEdXnCHT0cqr6bzELV2HBck6vH6/koLIPU
zCtWW9p4J5V5FTEgv7uh7GSoW/ocGMoaDNpxucR9nN+lXTDKGsw05jHizFAO
ZZd4FzdsVqUSj9STHnjetOhp+clbobtu+ZLI26Z0cLAnbW/Hv7KhLFUkntMz
TVY0JsJN4VEK/i9p4dTdes7uLuuAjY7VX+o+1rJQ1zAzxZmeO1W4QWXMYdtY
K7fER9XmQ71FexoaRctCBm1pb++qdP58UewGbGWRlh1pF8oZk/60paUl7e9n
WY20bFrekaDjRgIDIwlOP5CTWQ0L9D1B0vje+8ffYKiOoruS1AebyCzPM9F6
wWt5BqJxzfj68EO8VRIL3DDbmvpWNR/H+wCVAMT56apVQ2m1CvD85z8ODkIg
GiD6rrHl6eLFSQ0+yARN2tTUnnKIm0ObssJ1X+meC+poHPFhyiZikboeBlBN
rCaWE/Ti68hX/8kdlrfyFeZXYxGoLRcQHiM+ZujFNjszFKBmeu049OkyftmD
Kr857946QEN+l93T1QVis9CTpqXetK0tU7cEPcB7QcpBQnbctYXoLTS+u1G0
DEItrsF7yHYACLFOZ8fVftyhkN2X3Z0ljIa8kPcimAqN3eruXIFZAHkolzfc
wTA06p0LHrQd+8KHeiYjf8jOfznj3UTD8j+3L14MSciw5K13IBeHqk4KZt8B
LItL0mXL8KksSlXPenYLgxNy5X8y1oG2cGR6NfpSVX4+85H1M0jH/7ODpkSh
XjntnvGo7GSIGXXukEHqUUIqnrpGR/Rc2MmkJvAU4AYafXLhnbNkk8UcuEBc
cNfhtnMjgcBMpmRABGZfJPrrW/HtVm+uqPEkPpgnPRBa/bPvJYxmPKTGiMo5
PKxg99jBmldOfnA8KOer6tQZzxX/+OGeKUJsxgLheB1UOxwlXAaPQ5iJxULr
IuKQa0axJEihR/rOPjzTokkmzZLMTMloj6Bx/ecGB2l/Spw8WwGPqicz+ZfJ
PQE0f6eYWTh0CageUGPMYWczQSoaNRABNKz01MefXo1+SgJiU0T4Mf2hrAIl
74Scy92xi+7YeE1a3JVMH9y2RSAYSeuVZGwDIOOjpvVBsUlJojyvSbFy9Udr
2tf3x/7jp6TtmcQfaHZ0N1QVCF6zpqvLF/FqCIYNZEj8lej0ctrbltCVhqqe
eqGVGYjgnnyJXcSDIu0J3jj+mefXkx3Wu/67kkA03VuHBZKDfKM9p7/ujg2+
74EmbByugW3iV1weBAD2Luxtk+ga6YzYNvfKSPbGOANxXtrdDb1JwFMgcFAp
XPfq4sU+5GaBCEk4+7WBAUWBBSJkiIHsX9ErMG9gEGm+BpTAOERiseSMg7Cf
gQQoIyYjMSZOvJt2KGfZU8HHayf0jkFNEEwThinuhDuSFGSYmg4mh6PyjZ1d
Z8nmWtDDYOUw/MjyQSkIEzygFAgyxUCXig0jFkpm9yVpR5fm2gIIDbCkDgMG
saR4hrcu2n04ufklkW0ifTXuwrSz0yMFs4KBlF5MTU69qQQjSyGFgA/SxS/4
kddhYl2MF6kFhiKTbWoUXoAqDGHRhI6rAu3kh1+hxHBG/JsvWHcI5Cafirgn
xkvTO66k8e5/JhRwqggNlX3xZgKHCEWeCdvyeqCbc5KzkHndTgCrYxvePzjo
2/1CRpYxgNwKEm9OnvmEagxhute0mkeYOKad6cKFwjEkgkAlmTxPHP0UFqUr
VvirFIYvEAAQJ2D4jthVnIrTpIAbp/tAUebdjI+oCmYouZxYpd9whyUHJgYU
t4+YRJK7apV8wY4N1J0m6hRfg1WC986ELPlZj7xMF5lxvSOmHo7XCcUNsBGA
2IggJAKZ7h39f/WKri4fOmFy8hk3KUEFTrP3zv7Z74026/LolAAvhJ5H56IM
cysWuWeqdcfI8LHorIocAfikWCytfSvZ8KW1cwB4tw1MHQ1E55E6+BfvxWFF
QEr6dCcExeVz8s5y9WXRpgrO4dVXAJsQJCM3MhGrjuamcYwCv6AFKXnDtUE2
IAD39BVQ0vNn90xFuaa4zxCcpAnYA16RLlrkOZTpH3YN2TdKmq55aPFi3/rP
CPAlbkCPkyC+Zma/GkE1NlcuSNOLburvNyJ8WUagS5YlmuoG0ubmZemSJbAX
pN4DHHbT8jVnbG99ugJFTXKP98/zuxgolUipB+z2hUkZPHrQxCKcBV2CVY++
Lbzz2uhf3GfijprYJuGczHc9rXLewxMob1oIpgFojK7mnpIY/64vd//Vnvo3
R6GUlo1ZeNhgO+g2z3aQWLAcoGIYUJvfaGtD6w19i8fI+joGJLmdpWLqEAUT
jTlMlOGwfnVLZ6eQRbpyQZIuWCn3R/QJKo+Cw7ExaqwmzDiMA4Lq8NExB+Sy
CW2mIQ7i4FzWCTcd8eRuaWPu810W9/Qs90My2JgwxWNstzWnAwPQUCRAygxd
GLeALqwqhu62GYNhH988dL1oSnztrq72JYg34MRGvnWsnaa0cmXn0Ec/StDu
nkeOBdAs6hHoBxnACtc7MefrYczIiokRNeNMnopx9bIjprTLwb1iSrZS1+bj
46OzIwpoYuAtP9IiVpfEzw+pDOcpDWZAJe1rdcCnHReSpOPcY49NVnCdTHNO
6ADKDrmm5DYvdHBMamtLntRHLrop9m+tqyPbuq2XHoQ1S1/a2grDgEIPTZF1
qRSrHxExKaIXDgms4CugWcsaf3aZox9jqis5xPRvogcKBdBMtJlhrBKQHx8i
FKIUBiovs0JyH/ZQRn6ZFZR4EgWkeD/K7C0DXkrmYsXL0NvCCcVhgB8+1LuY
MaHDPACfIYC5b2W6YIE3n9noNVE7FmrYkjy/hYZs4UXvDg6QQG0FjfaLNXg4
wFuPsyZyjBEp+3Np6QBHCZjRWVdTyMReKmQoZGnPY2PHeqXXuTBJF3YmmXoL
RavD9t3JZE6sqEzmqgiTZH9XLap0J6CuM4dRBjYLqIo1jzgeKV90YdW5OZlD
N7Bz/PjL06VLIU0nROSCGlqGbcQ1eqAV3SaJmSo5JILamqAxfSbtmyw/dHi8
EPkuoxvVUtDA9E7twOLHK/DzmcolHhwrS29vT5LMx0uyp4RSWHo5U6t/ZXTO
/WIk2gUbGfSlKgugBWKk4gyIYszoTU3ERBLMgIEEW4VhmImUhQ+0dyUPfrUj
WbDAaX4WCSYryxcHMXr/mofuIIyBcIaGoCF6SZDrIijucYwl3E2FJl8PkhFj
2vV9YYn5fCRjxBQ3yXYCudaMTHAlS5YkyRtnrEyufd+CaJE3N1p6jc3STGwh
ORRkuMeI7qWT04E4EWs1e8UIdxh8ek5b8vQHrwnPjHMYLSbSJLNeMlkCWUHv
3G7pMCgPjqiIWF1W6DBXtV8+7MdXMcYuowB5PF9XxCRiqp1i23zwGmdPbEpe
e/8v7RqloFn8dNB2xUOMiT+2FSQ3tJvq6P0g/R1T+pOfT1jhH0DZnLlwhWvi
lU04pkZ0AA8Ulf0YSUCpWj8f4/5Xd2ykDU69kcWTII0hMCU8H4QRquHku8b4
2sv2Ks2ZRHv+gN7k0eM64w0OYUcmFvPyQWlviJCwlyBC3PAYIiINCjsLblhb
d/bT9PsNv1ebyHp5w3IEe237JOrUiPZgRJhaByZOUz51VYQVFDC9g8HXM1bx
1CCXfIaav2usL9kjK9dd0J79vDhqgJb8s9rO6JYmDTlwWziz2JFI5L5awbS5
Kwpj78YV10P3t6Qtbb2pCw9zGMoEr/kJgCVsn03veO8E42gdFEjcl72WI1qA
sWISqrEanoMCK3j3MLdnA0WrVEjba6SxSloAptnPUCJT7gorE6eO6WOhWZFI
gcaDrIcQqlp87KubS3ZWwWUVnmI+BmGD652Hqml1wcp0pWZyY+kobHjn+kAv
3hlmFIPPaU6TLmbjwSRkY6VqB0VUg8IB4iD0FPxUxv4Sc/bZl55dMeO3M3QN
PoQA7ey61dfgh9Y5HCvnIAplaxDwF3VZCS5wZfUZtwHnne/qtLNP52w+qhwW
e7bjjjitbQEENKrQXprumU01Pk+eN8Wa0hOhq7m+FVE3fJ6JJvP1jArmLTGg
jjxV1ET4juHcPJAO9LSn7brKvvuArYcll7nRHZ5EQbkidfJT3iBl2N2LtTLF
Wp7E1xA048WuATKq37447VeV6EgRzm8aTF2MhTPm4tcK+6NdRPZJMFX5LRHQ
xbJcDPbIttcWZXwPU5U/IzDijUt7z3LMCR5kOEOmDjSnzWkYU1foa03n+ZRo
kyJkgbUn5KBDVSyJB6Xs18Z34gQqqY47X3IVg7nin6i1tS/tCwopKYkxI63b
BAYGKaZgoHRYg8BI8lhz378FOebzyioE4aPcfD3UnaH+TFF8sXfpjbTvuhhV
bEdCVEJkasrJgN7idwCRdAOgqXND+DujWA6BcjMrhZuvYQC5ayLL2tTRlbpk
AXd4YsGyURxcxIMikpN3R9HRYtHRZjgkz48YKV3so8gzIuTLsKFRVZk0ETuH
46+QXb6dhtH9wuS0xceEZ5nFA2Sf/n7aqwq7wZhL8wz81pxHapEcp73u2HIy
BUEHBgrwFhZ/13hvvPJYV6+x7KYHRvMajyEO+fn6ux5rIOqTAU2Z0MjWMk/V
BRaem5a2oFAysmwk18+/Lu1W1ZeYdNjhZQ8j4+LbHv42dhLXI/ZNYQWrRWPh
87KNmfRtd8x4IGqOvY9Wxba7YnDf+u3fnILElAYZxA1MOY0+cAYqoyLLBjQy
5ulWVdAkC1r6034nBcJy3m55rrDp4jVHyrJNRY7a9MxHLmVYrha/32FK0TnG
WE5fgTG/AwG02Z/mPjKW5Ec5IgAavI2ReqqdaZaNY/O6edmjA4fjGAtOYikE
gYAxzKiCAp0V4XDlmfjQoRoS5ofFXcPKQ0db+Dxjs06LcLh7etp95pVT7xsv
vZGsjsGensNHe3M+VFTz4mXCDRfKLexMO/XicRlYBbJ4yYR94zfrv4waJXbO
kEG+umvdl/TiTXAtNkjpmgCQfHuj+S5fz2Rk3NP7rYkv//UDS327YSFQfabW
FmoIPHZoOkQlb8MhIAXTBIH64P8sWpGuIKriHd9025/HEYPBVEZPieAx1k74
75Hl5XZoIbuPwWBqpR3t+UJJyR6q0WlYVz/EPbAp68rEfL9varJgQFUFtACB
odaf3u4dD8f8ZdSw+9FJ2REhTeYGU9jMkDCmlCqx9VO5/sMdM1kS1bDmg1J8
PQTNUWWkIGEKzVHeJZqiFBTAkmXpMhhfsrqbzkj7s9XFgCGlkKABUZPYIei8
W//k/B13byqVwraOspGklOUwWSBw6iN0aqNvHylqiIiB/1AAkjyManv2emRK
RN+4VVSMHkldOtR30LHu+uVlmz88NPlPxkr6+Tlpv69vjEOEtL/zEEo7SynZ
sNsraeXJjk2zKGAVa22L1cDMinCE2snea/rY9lYuiWUTJap43VsYDHJjibj7
VsyU1eyXJoJJIobXAFD//O9eOSfngnSPACJpISAQ1QRRumxJumT98enxcuzP
Y3aPxthdHWeEAPDgYjlmDKNZEUUwKVCFD64wuEwRyX+6YyZxweeZ4EpzRKHN
ilAooxNmd37+OAzAnc2vOteG1/udL6Rf8PK4xlNatx/mbMBYkTmvACPkcHba
cshhskLYN327/Hbhpq9tOEM/Du1FlMlSYqxCZMmzAri8FTEpgMvHRmJDOldE
UDI6Aq5JgYK9NTQrou5UKTVSj9SzxsdeO/KZMV6BcxV3b1tKO5hqmf6jT6Td
VHY8y1ChgI/AxZc0NgHP59pT2D1KnDzsJUhLje3lNysCDl6m8Ydjk+oZbCY0
MSYiDCZFZBnf16hH7sQ2TWnZkf/82sBnpdfCO64pVW8OfvOydBBgikNJXZVM
XQ8lJrRtE7c33nNxz7uxTaBAx0jmgyMQmxhZoezjoAso/ssdM7WcjREoThxR
jFm7SuVxwJcEFe4ohwwSqOC3Zh8gYZ7KjIIeDxKWgK83v97gPQK+pdHcDBJT
B8yR/chWFNY6+F5EzKk6Fh8VYJCYYmHFZx49jLLzf/HGdXvKO0epdRTJFNgb
SOgA00bMbwa9eI8wlljmBzKFtwwIEwLg4JoJ9DEgjBGptlvyIQC+nqnOZQQY
9cjPN39Vusq7Rrw3pfdzUrL+HBGMBAiJXqkLkHTygEhzQ6EOjixY7RzrdXVT
WJyPa1/L0lR37DYFCettBLVbOIX74AzwfY2brajaA4G3k4SC2jcQagIUPRCc
X13SQPDakksVTDZvfBD93pbjsLhJlvMUCxOubQpc762FCRHq4VJ4ra7gFSlX
oIS/yb3ZnwWvXJAu8At2FygiGIsLSGqa12rSAuOCRPKBAD5mEnD0/5owo7Fg
tM14/6m7R1H0iazJOXlFcVVkOUa+lfTGX3huUICMKV578s4Td096qUZTrMkx
jQuyxfv14wIivT3xA3fMpHnHRVh5XIQ6Dw5c8eYxj9eRfHLPV0TwCZ/Kvlq8
MuZqiWFW6f/Dd9NCgD47R5cISfkP796jZT8cwEYW9RO2N7zwvj9M1o9nLMZY
lZVsu6mTrv/tjpkGz9h3xwYwewHCdLW78c81r4/Z3aC8+iJQCJ4DpeJXRhvr
+hlZtawYZ+TSdvvqD6jhT2QLMhyTMh18FyF2KTvJF20ioXWiK0wEw/BsAeii
y6/YtRTGio/yxoTF2AjtxHaKZQAb/apo1scSxo0sLOQeEG73nTlw7NvVHQWO
nhWRK01mZ0s52y1FUqlSwwTI+BGFYQiaSpFKRmhfxft6n69tnHySVCroWlA4
Rp2XG4bWfMr5p+RVFGAPZx4hLQGwVzVcpIqwFgWwlaSN7dxtkqY/dMdM0lTt
8O1DF4xIM/SMw9s6QSo2HiQbbDbYGKyhepKQI/MVL/niCiBCV9bj5ctp4i0U
e9t9CefhVsDEXsYOLsb8Dms5FyGXoTYglMGjHEeEp4MpbwJYJnpT4LcXLWcS
pJ3umKlsjWlXuZ4u8FNbjErflA6cwelEwkDs55akxQC/MQcMXfiFly2MiTY7
6K2OJCfakENnyJtWHi33ehjjB65xpgoWgV31Zqbbj9hcIWjIRpxdD9MkJ3qn
drTJV9wbk7szQv0xo42vR4V6wB7sCb4v1PVQ22NV8t14/gToYOGlf7gUtRYo
vWBX9BvFyxPzQjqYyK3GKbTA6kFME1z1hF2Ba6OCq5TrCVyHF4OVTp7aSvB8
stSXXH7K3adQ2QsHH5f+5r7LMfVBU4yhQDVAw0dCDghw8snOH7ljJtl5QESf
8rMbG4r1LiZPoIlX9bqaIseO7Kcz+9lWO5D8eWpfUq3updArV0WhK7Hxwr8M
YWlViG3So3dmik2Y5iqvwSPvTD5x2LHuWPa5Gp6we9LLNSRyD4noJbXfdt7v
M9nS69wxky1l4EZa7K1+PTgcQ4+5HoYcK1+8+bh/Tm5tV9Sqyxf1vF4ZiKZN
i4z5GahyB12/1aAALRJkL0D9+vvmJbvmdieXZw/T9O9XXMFfh4V185XrPkgU
perY85uTxOILJrjFQDV2eCyuEYsjOuu0SNuXZde8femdJ8G4iBAtXqiPvvV7
ro1iUqUpSrQyPR9WGUAs1hnrp9imNGULal3NLjOZdXVKhrTY3lNcxt7Wlrj+
smVLksFdDQ2L0+XLoaq4rUxbBNDkNC6Xvf/Y1BUDwYmR85wNYvPBsZhbQzjP
uyoMfSF9sXIcICqyuuZmV6kOGKGT5pmftfvh/9Ft2EDdwUhz58mgW4dXgrce
jy0WhZRaacBml8rr0MBnFQgval/j1gFcGf181EHtOgLDtrZ+y85Z/oPRQcR4
c3hSBPb/446Z6uqJEbEzOiKXXblBGef5TUTTMAtdVF46OLj81zNnoiMgTX1T
wKpVigMyAEgfgeYNsfHqLGR1rbnUEeNvUDiERyY4BD+qFHcvBnOx77mGBuqo
Qj9NBnXuL0G3m2+J5eyfdjr0ymdG5Hdsp8RJAbg+F/4Td8ykGCYFhelDXQ0R
+c1IMEP80zCTixUbWBWdJ9S/5FZXIbJCC1n2bvnyHMilDEsDK4E+dXue6RK2
XG8GXvKx+DwQ5eESgXWEP5xvUBdt+Dtg5cqu104/ndiU+33UiALf7sRuk5kg
wsdMUIkrtkxhHOPJGHacCjLh5Z9E1EksYycb3OnCOIeZimGgNDcQSHWQQ76C
332zGWRBax91e+HIokVHHZWbi13KI8uM5QZjiOKIYMwO7S+ZDhAJHPBsVTS9
/uSlMOeFeuC6OniGQ6k7nTcP4ztwsvfaVT+vX22sdi438JGgyTlMk2C43h0z
oROFMe808fUitXOWK3nZWrVA0lK7K68LhEcEyMt+/YPZGnk7F19XyOxTVEDH
C0Bny4dvJYZPzLTX3r5EAFyuu4IE9L89vmKFhz2aAEEWA82J9OV2pR0dsLF1
VtKIjBkRtlBz+nyccnIgd1+o8FN3zKQ7+LzYkGtsEUYTP9V9zQ7dhfDdFxau
nkyjb6S/mJup6R1L5GePHRjwgifs/5QLVwn4NWGXDfilTj1fUY2zBfwgeRFk
XGqACOEVt/T06EeiLmSeMcW0UhTRik5ktI7yKtFlCvInH5+hYXJasWH9UyLK
4acKM5LoiRXd1EZYZ3oQWD5By6EJsO2DgycdkzYP6Gk7usVXVv36rqYmX04q
bTciezy8CTlC+A6uuQJ1GekWrVAX7GhGYGJDDPgffjg4yE/o/q+nbDgdUdZT
LvCLAVUAf00E+gwZk4OtRgTNlMixlRFIx86rRnjF3bdsniX7BeGg7VvoDKwA
lgirKxDdgf4UPfYNtrfTTFGNGb0hbT46Bkzk2mr2VbVeipwnG3Xo1ikOtkri
QSk0O5uhyMwDuuORWbBUaO6fGkTh6fXAyLHY9CvGgKkFcarXFkZMifCdGqrr
kxt8XxPFYNWB7nAvlVlyuXWRwSvTe55YsMDPBpEdR0H2YJ2w9U0IIMOANQHk
vde5Cztrg0t8Gu1O8q1R/IXybgyq8DSl7GCmqZKWcTgXDcxCBAAibXGFd1yt
aaIOHEAxobSpETb4X3fMOOGq8Q+OPakSRowJ1/F9jZrjqkUMBgHhEcE1Dep1
FUhOY11qgkT36mXLQLD07b3lU/Be/ERGEdfTSiUhJsawEK2QEIIwEhphc4Jm
MjKIjEkyLSKhWCAaE4fPM14xg9J4elMDPXvTqhKRWnweHBM4KKoxvQpXDjMG
jCmkDFPWF+uu7uryZYW2wFoGgcG8ZT1fEvuRrpRJgI7B7q7ovgL8ZLBFyG1S
ksiY3wwRU2lygztmKk34PGP2y9Y9utSU72smnfNU5l+uuvbDe+avHqUxKvbL
po/39vpJXQyGox1lot7405vX/oiIIhN4MikRsi9jvb6ffq31pfn3H8BG1A9W
bPjUE4t+f7DmCFNlqqrSfRD2wAjX/XxkzoltwWGqTJWI9M4+hzXEDHnuJ5dN
AzLFCIIgWbYkeXHG0BDwfrAGQQM6DM7tefY+H88HG4KmeKAJ5P913T88f/fE
l2ugPesi95fq2uX3fsSPtVabEvjgBSt245v/PKIuDowgmmGB8hUqHsU7tkFu
WLHm3IcWrXekzc/35PnrZu1ufqnme4OXfoalTJkAkekAYpPs5632jbWggEM0
QPz0R9qggetLUVm7aOXgikmDQy+mle3J6qtuOzW6TUjMR4ptRqEUmK8x+YU7
Zjzn6REBUowIpMkRNuWRk2+2ba7DcarYW/7M4p1tj5SkqOzFc9ZN8/MbDV34
ifKUD+RCpZ2Vt0uD73yqaeigF6oohWFYG7U+OULbhcgqeGXG+fmlO2byydMj
0CtEIN8c4R9+vt/9031//cypfTMghKRk6vHP3nast87sysVKQkeBVGijRvH6
j7/9UapQqo0oOVUB660UfkwT+2Nvw9Sc0LIpWjgjwjQxu0tmxWTuOtx2eict
a8hsdaad953w5rHSaXPfF+/4iLd27GKlVPiuxff9lXSooN4DCT1UJ4kgNhED
XqyxGmJbZM+IAOVXLNN06prPo4kaPJ5Olm2cgIkRUHDgESYgErxI9KIYg5ey
/pN9y/1wP7tyUYGXLN91Fe8mXPCtdIrPzGB+9wQVw99pbq8DjmuYshN3VVt2
MiOsJr8nguHtWNFlyTPpIp/u5gaTh+Zs3+jVHS+5jQVvU5p+7Cdplz6duixk
ybEdjXjEGoqIUEyEd9p2OSjCs10RwndQGbZngfAwL9KoOqZoqdhOVROVn4g6
fJEw+M77WdqnTzeLjG1v4+KKZV0gqUMwB0WI9sYIcbvzSnpbdV8POTEiNdiE
vvG8obNyVXyF56emLV40H2JWCFa+6Jp0SJ8OmvedDyygkEhAQkGtsIRB8hiE
blwsjpmbhPKv3TFT0sDLE11tqhwnROQEPwdKHR6c/+Ix+nkfPiKd5/eEscuT
0jLVIVPC8lBfgMtCOVJeK2abOkehCHMAZoH4/LGmBV6hscy4o02+JplcXlz3
stXzupf0zFO4K/qcT0pPvYjX19uWLqSa+OHrE68EPU1SFSTrEyJFcQqEhZ4n
bQpXx4e1YzwumU68SJPvvymgxRsavEghAWwpDuUzPigfb9nxrc3jsIwypfyh
EHkpNEpk1eBWcC0EtJxuVs0CX8NTWBXCHcqbHklVcqLLlFDH+WWTjL/ZHTPJ
+JnhuzsOe6L8+nGPNggkY66yobZYVyMXor8wOe30PX28bB6DjX6+b1/sviJ9
9mbZMe+9EnkkjiDd8dXuE96ezC070vOnPXVethZBQhjzH3t6VVp4O8EWIgLG
Xa1PFOf2vbxO31eYRz+fWTav4/WGUK6dWzZY+5qL0k5Vh2U7WZVZ4Qe3M2FR
UEMuq4Zy+TSdKrzGnNjV/7L21GiR9S0B29485fPQIo776oLvyK5fJRrZys/i
65eqEZDwGm8/KR3Ig+QohmMuqTZv8j8dr0Hjp9ywS3tl192Xbuu4vRGxa8RN
aCuTUkSJOCe6KF7n9sOerAA0vFJjdDv1bLPMTBw0hPa89dMJAk0Ryeqm7GGm
ZFL4ycCXPgavV3mfhcXLhpZ5cHBz1VDh7ZKf3MHDy7nJwyTJXCinjNq2VP0I
WBxdVhFBQngPyQlcSceUEaIsRVTQ6CDrIBM/c+cfvgeVpQpSPFn9lrWrzuBy
CYMU7IlHyils0+vAo7QpLoOH44nEGISKTBAGcWIYaskuf2Gy0M+d6Uv6kuR4
TvwytCT0vq9R7zyv31cCywt/r1mzZi8zLHfUuNFXg6U3SgA2FwyBC5F6w3oQ
A5DQCIJDiEpmvjSWI2Ng9N4FPL3OtwQz38h0Q53J/W3Ag8/kckexLuXLby4T
s4VpcDsPapddG5A3RPAPxQOU7MGZvkynDOALrd1aw4UQ2ccSbdT5DgdBX4W2
70ptd57UJSPDriuKESjGNUbeNL36ygF9yVB1MFOgbYkEOJFmhyAAC/CscNmW
QYfNjAHP+3doQYBOJXQsRZvGWB1HGohK2n/xHnl95J78HP/cd8PXfQybn3fV
K8cem0myBJVMEsMVRNxy4IoQ19W1P0K/yJ/IccaIrquy3GDruQvqEniFfbEL
HhuBeqMVmm/N/V2y+IiTEwT1u5444giacT3aLWtw2TebfCCjHCFTBoxxitJQ
paN7xiTJu5oVE2aoz9+oS9rKWgPocIEMt9AbIqtuQVgzYF1+6lKmaan4CrM3
b3z3PyYPn3ZlvFhTTwYTSDECaiMI4CIdU8otqfXssvlsO1Aag7sTUdWmDMyb
W29Kdk8coMg0xSgRyEO0ur8lqXcoAKd7O4pvYaoauPIsvzFiRPrYNO9qhRtJ
886KX8vEMGTnQq2Q+LnEVKXKBvf8FeJkhF6RP8USq0PJ9oP6kpvee0kcKZJV
1HKKd5yoiyBFZJfIpFANUfC6IggMiwmXfaxHieT9tzS7ZCcwgJxBSz89Kj0y
ShORdUM2kXe7guYDCBBJhKJVPe3euBBs6ThKbLO4WRHZdGtEhilD35cjqm2O
fbyFlw/GRSRS0W5Rz5WFAnerqaeVSw4JeVP8QMQh6wD1k33+42urVPUcTfmN
VViQkkVGmgB+2DR2lUn0iCSCiJXpl91N8QArXvzQh9KQk24k7Y0FYJcC5LHb
ekPQX6wprnKUTXk8hcc2x1UZD5/MIkFL4UzGlokP/84di/XDx/aENfEiJcjg
DtK8dnesEX+jm0P8IBTZ7e9q/RZ3Q0ni87WSRte4ENSBcaRwiFGni6aNEFSl
F7a6SIp8tUlW4ltzt4DsEeS2MaiLkd72tj9U0JgOWbJ1/gMT//fa3/8NI2pX
88vFuQNPmBC8qStiLRmbImtCu4wyGFAwlgnEjDLjiPA9jOvJ9zCurENZ3asn
bRx3+5WrTgKlwCOBiIzJEd7EAcPFyWbQ2NFDxscrgMoxZ16ZsXPyUXEYdsQy
gBwcrTBmi1TLyXg75BdmMNwi2lgxGQPTDPEStJtAym87YWNjWrMn2TVzSxGU
jOWC+iV1KqApBOL2gTmGnhRJagVlEiK/d8eMr8eYxEwkymQobETmxI8x2M2O
IBKL7yKETTuxjHktSeveSuAGYQnwH+f3961i3du1/QMfaFowf/4w7AigJkTE
Xg47ujK+qJApYk9qjDUXZawoW0/FilbxvnHbNgSfBL6SO8dj8+4xeO/pguEB
M/fN4x6u+7cbev4B64WwgmEGQfanUzaMBT7+66dr/05i4qKSWEYZu4NRYRLh
rhTPJsL5PFMl6a43Rms8ZAg3fenWI3fM7qftUME0CJoDzcg6fO+6uz4zdPgT
VTWLiwovuOKBGapWdqH0gDudATefAYfjsm+OLsJjtInrogvspWxV6jB5kCFd
SkajSkkNXhnLcYMMyl98sQI/NaoT/B5pnM2nigXBFePUJBHdbeoAbKjwwbkP
NwFQyF9gQt7Omc9SABtuPuJ6kqRb2nOqH6/NeDCRYV4f8EebVITzGhEJobn8
/FhgJeAVMbTNF3Yfgl0QIathfO8Zu23UA19Y906wN5UtqQAX6IB6kJiGZK+R
1JVn0PKBSKnqleXLRCR6J3W0WgqOtgjTdfvuEmWzNwz+5sIm3bMspiQjzEzp
4Cf2NT7qif3TKsQaleMeYbRYyb+4Zu3Zj19w12x8DiGFWAxMR0AQ2QgEh996
5x9qb73ytlNEGJrrrYkIORfNGQ2vauuZPRP/eO76KdCasBjouhnkEfXEkIrL
bn7km/Bzf3hd9wXUpMlr8z6zWq8uNpO6JV+XpdaLdLKvZRIMAaYSMmAM6Y5B
U7tPO5hw0YAkLhlzXqqh4Fs/CG37kgM8SBf6n5SPKiQYOnJzVZlYdUj5IBKP
nsPX5/RRGg1AgU0AU4PINyNzrlox6YXb3TFTx+DOq4Nkg+7zKr/1iSL2VUBS
beiwp6hFE7pTmZV7Gl8b9d2frP+clwnaHeDVy1bZbt3u/xQuldXz9WRfY4MG
LdkiaLAF+aHUEsbCgZHLOmOiRPanlJilbhfvaCJHeSVvzPlD/c4j+0p8jTEm
ogK5n6kkGGawKmRzNBR241rI2wE0QOykiFRkgWHqwJ1sHw0NhhADabnM4QEi
oX6g8UTTS4rAZzu5qQiPuPOQ/pI4bTVB0+HJabcyd2oZoXQNEQQVgbhKhKq5
oIgk1P9X25eAWVUd6276jD3QtIrQIAgKCCJiqwioCCiJITFoGyec52iSmxui
XkPEG9GYEBOvncmPxGh4DgnemFw0aogGBQRskCgCGlRUBocGp3ZAupl63/3X
qlq71j7rDLz3vdPfUfr0PnuoqlVVq+qvKmEA80YPtUiw1wvel80u+EYUp24i
jJhCOE3Gm2KPxwhWvZXUYC6J5/h6kZvPakBc8Be5VHwNhITNgLtGxJz/7A9A
FV/vEeKR6j1SA4wN7BS4SAxvaA9gxxAMIjcysm8gta95NDtLyPUi5yu7NmaQ
0y2TM5lCCDiw8GnzHj2/n2JMkvrSSx6/1bnMKteOPgn/B7MY7Ye8ms2Dc6gJ
ogQ1i0XGn5H2gpk47ZV1D1vsTGg6DkIUfSE5o5tqoBThSpNWmvxCb7jBMmER
7i8IBVdB9T60Gf9F5jPPtPMauACIicNgwXBhuaJ5EAwa1iaWK9A6voF05uR5
J3IUfSL5B2nnyFEeaH6kiSjEzTQSGJvDNt+0MfBFPnfYtldN7Fkf2OWGr0Rf
54Vs53wrJuJmbXqNP8NSgLd06yMrZojGdQZisRFwUEHGFNQgygCSwgOGeJPP
EHnG4CIWELalsEm8WBx4zmLzGQCB57RufFDRpwZWFKcF6QH+xDHiMiDrASsJ
a+lrF+Qr+uEFuHFq6wAkL3V1FM3KE/ZICUq7UYvojmv3UBLWxmoTNmpVyWyU
fW25KgJW0MRXCTOJHxhdorfVmhyfQuIzka2kreeWU1b2JpIy5zyVXS5e1hig
evjBROJoUSBwQEFqdjgg5fCjxeHANwRr9IyxCzqiDvMHBwPmEGYR9o6SWxCC
aOEAwkscVlPPLN5IYiQdWzZCBRCsRc20xzmgWaAqWF7RyMVixqo9+nL/hGIz
AQTDAq1DubJWSqNLlRZIpEnG00IQ9FRSR2GyZKFFB5KphDpgD0WTzfrPTAJb
Oq4k1kH3sj8HjwS6CL6z9UiGvpHBGhaPBD63cQlrEI2CAVz1nUVNYc3nAaBW
4mnAYMJwwoCyX+Vgfas8NpcVkuCWHNgkC7+0y6NRGTUe1SgckioczSEd+2MO
jfEoNE7YA2Crs9fUstcsz8I0QWRysPnQoD8H+cKfOeBDs4mp+delrYe+deaz
/cTFgAMNFwMOtQSX4GIY+EMN+IhTSCAHuhOhQVg6ao0yYn3+R3PX3MAde5Pt
aB04kLmrnOODh4mkByMnsKh1szZqHFrtUWojFGGVb0aYvQSeIJdsHunkC7gu
RxBuJR7A9ZQO8nzGQQSwCe6vBICgFuAew03GZ/AM4D6bqoYamCmYmRem//1I
sviR+cFSAhdhb2g5RFpFoE4at8714458R++75/7j8vVTVw7mG4e84IzkWCtk
cBJACr/CjlFheIFujCgel6OsNCcSeoS1vNN9j3vm4DMw28kBGLGvTuJk9ZbE
ulEcbXFga+Z6NogDWsOmmyBObNPhHMOmz6HDa6lgO6LxvNl/b4bhgAHBTcKF
gGGZN2t5M2w1BV5Ucs5uXZkJyY2XJCZ8i5LFXecp0EsNGldwUg76NOvRQUz4
sR7dwmoMytsSnkFDL4zafST27apRdDWkC3pFBFmHHK1rwgR/4erlR4JSxooa
gmtTDD9VTLEEXiCy8GsNHrQGppJ8rkj7Ys3Bsou5xelhG2AjeEPtYPEMrdPi
yiU2KI4fJcVAsxef++bpqw6i5pEMvdPdMm1+SKuXwx3a6taLclq4Mpa2fNr3
+nXub1vLctUVBBRaTtwQcetEyJmsDhqPp6BLOAWrHafARcAmydyInfwpq51o
dQNyJGEScBBanjYkkdaHioMjxf6gk3AxZM3LPgeVK9fPe5VIDtMKUcaVWK4A
md+d25XSz06imyCpYHLpN5ek2LgD5UjUZpKiaZklKYM9wTWqKLAkNZ1TMmIP
oQysEmal7FgaLurQyRWxfxIG0cmVmeZwnciAAHY1bukGPa4TGbh8n1jD2mQl
N4sAl988f9lBohOwSrAiaOees5IVw994Oo+VoFhRuMEipuSx5k8ATVr0bMZ+
1pw8rTOFjSvPIFXUCzT67f2Tn+/Z1eu9brLQIRuQEfqNJ3xInCKZ2hDLBjcN
lu16cziULEyRjUQkUg5Y1QPaOjcOMFd0klM8BwinQDBPdt/EfR/Ev9qjNVN2
qYYgIP020iEelKkt6Ml4tCYDs8GnBE8y2nTNv/nZyXBfRQIdiODgQrMENwpm
SQcMJLfwrdgsST4AHjTyQiHnA2DbJRhAZokRWQ4K0VAwc3zb60vDqj3BgC2d
G6FRIII2ABwZd7SWpIes9ehGpqCUdWkKHmf+5MxmiQke60YupgDKPUlBrEco
M+yIO4e9maMRc1wI4wD+DjUU1Jt1X4Af4gqSXcqHRxqL8gEt87/ki9tjb4KM
2/CYZzZfysSDtt5x+CvZ2x944VqbAWc5wTqFf6qf0tGC0hCmw2DYSdUd4RDP
MSwpjxbkchuCv7vES4MA6Pn28B2LToPeZrrhY4gB/XaEa0iwpMWQyDZZx+XP
NofreDtmG0m8HYKKfIbE2xmj78BqePCy1B8vnbHweGwV6I4yVvW32SFypkFw
1tF5YdwouMkhl2M0pJxPqzoWYXQdhSJQQ5Uyoza+txIwdlm1urTUgc8dw7qL
N6nlwuZfZc1YJhyO+VAIh5uzu/l1cxdpaQa//HsLx+DruVjMsIOhwhYjD1lH
y4VGu0HLMbmONzresQxh3DVaFf9gsZN55bI4qNlPxq2px4qyhctMJQfcdpxr
EJKBa9lVSuD6JHO4hKaRMy0Vmj5O8UWgc2Z7b/uVoZ9k59ANua4eZsWq/Z/d
wnBrc+k+jbe1BUdqO5Cz2ewxLgxg4mPbHhPTgrUNO0BjpUxQywIqcfOQddky
cizCCZhPMDTQu8NSceOxvHZLxIORfpZ4sCkvcuPBRryysCBrrmw9HFfA6SRu
w4E5bDygnamhOPfUbw/aYyjEZR9/TMqfScYenK918cxD/niIXYy8j4F9sXUr
DKyXBSguURXoyFlBB/f1xULFXypKazyjiqOvJ3tMDUNeYCteumrJYTKzWbfl
A7kRpoGakQa7BLfGqzqiyKatWxO08jQdxrxYSyuufMAax1ondchBIDwMsuEA
XiBcjxQGTk2JWqME8w5iMTS75M4hG3PoCQ+l5mvY8RV2M/YmjHowezIVxktP
YQOoQULmVii09fH4VT301sii+7gsAYUEAHIgUYHELCChoAQ7L6gKktCCdG1G
J2f7iojObODghAcvn4tEPpA53viB8rC2g0OFACjgZpC4x81QJxwGKlDzlYTF
d3oWq60pimwopM/8cBzeZtfu6OCobPp0cNQUc9vgKMQTlywWHD3dXNHBenGa
Zdu4F2p3Dt5I/qzcrdMRmS0t4AmhC1uoAYINKVDk1JAWtamZiNKY2T4z+mmL
fox8Z56omRc4L8RKm1weFSLo898cPjHYk+0I7kvNCSbNmH0VhABXBAILeUdG
k1FiL8EKB3/BD/J283MH7Nn/A6fzAKwOtRmFLLIfJFvGciHTej68TMgUUoHA
9Nns5xVuUgn9sGffj6pIg/PWzynX5ycQHRDGcLRqWimbBw1CM0ikYyZODIIL
M1ODZfXzg1117UFDQ+DHg48sR//0J/1eDj4btjLouGk6YSt7GHoL1lfTW+8o
NXy0q/tn3f4y59GvyZM6KKnzCy1jqbipIUzFcdMLzBUdDBa3QkBB38cnPW8C
TUxvB9XNT6BxGVwEkUaZ1ieXtQSdPd8O5o3+finSSquocuVYvtaBDR62cEv1
H54y1kBegVAGnB4IX27FExhcKSG/kjxyNjp8zXt+9+xlXXXbumnqOPgosyes
15tYrCPwKMzsDHb3bUvt6dtG6xxuWTJweikLroZXcTbtP5Y8+1MghvTAI18S
EFrYMsGUBeWo5w6KH1BRABTw5PnBh/85LZg0aKAfRy+dmItUvBnFbDPf5eq1
dKdIt8DIB66vBtC1Y082Sy35AMmWu8b/8Xv0uQCXYeqTjPOhmIBS3HDhM2b3
x8k8iDm1LcFvF9N/9ykVdH3xyueOWPndZ0at+sazTaXitywEbtCdubi7z9bU
i9OePkILsuOW+DClGeYlSlhEkFGpg6oIFmQAuFE/4oXWS1azXL2csXROJjzJ
Ql30pQuNpLwl2SUxXoep4JgpUwQTxECyLN0+1iPWJToHoTqn1bZpo954Dnd1
YOvWP704o6vnB90oUsg8dXBZ57HCrDDiy3mRSuPJRh27qC9OeK68dtEoqzr4
bp0CDCNztZBe4TK90RcKyHxwFhwGp2cZayLYu8iYGCNliGr+qwGpyRbzxWrx
jPpycrRJDasrzEpp3cI9TiYYH/1+mEEswQIS140g56lXFMp5UGeBbnWoH4nU
U2d7b/LjfUBWpmLnsDdySIITZfnWHZyXKayvODDNYLBKw95nWxlU8x92H/hO
6unpy0+UrJenbiNPKEp5bNRgqMeGdhY3+ZV99vEy18V+pXS9X0F7XSx9Zm4v
D3O1NpBigX34L8Vg/tHnOrgJMA1Al0YJ12qxhVcNhsB8ibg7llThNLeNWUug
V9E4WEagOv1mXPGKg+MMmqg09M6OvgMt4/YmuMsdQ9/M7u7XRnsxVgtJlAHO
BNcMsYyuYa90I9W1cCL7mXngy/Mfb9kSXBORr7GQnPWKC3gVqxc0dkPMh6PW
paJNV0wZvmedEGBo2qyCYcYfyGOTDMmFnwG9BAq9e+rKPjtGvEqRIwYtwiPB
422d/M9eWExs7x10l9m87l0Y3pTfVxzpN6otBR1ME1TxG/uKkJ6N5y4bQFl9
Biue+eqah7qqt3cDsyAtODX8aGzcsC01NMhgVyRbaps3EhfUXxDIi6pRKdgk
L7QiZl60TAtDOwQXqyHScNiOGUGpdYBpoWmW/u4pz/fZOewNSsdj9yu3L+BB
aJeXvrH4MEEr8G07faJM1Kbi6P6RfHiR3AF4onMHk80VnYJrHhcmCGzpfsL9
prS8UTAvstx/uuPZs/SgXNSfiC2Uzpnaw5OGajwr0PibrvJTfNK1AEJgKd3V
yo/56awZ2QNo6D/raEKby/nMjVfDrFBaJvoNoQpRDOAIZJOqplOxfgEBfvTo
szeArOwyycgs+o0DwckUA5SjL8VglmINGFdJAsOc3cXa8iwEwU6hKgALyNxz
DVxUBLax3qAskhpeSuLZckOmQ9d7zSIqpOVc1lwhK3WpYIKVuopNWKlrDPg4
Z8mpgQNS9CP+JfWudVnpwl/ZT8OiwpqDRcHfEd9H8AFrVYrNbQiFnSKn4dcJ
bJ0qSH/AgvHa9SVXIFHJ5Mr4oNAPMpv1WvGhxPuUJ8Gx+kmo3Je554PZQugt
R9l5tzVuidUp+4cKyguZvVKSoKvdatRZXI3qrlS+Qe1KS+djO9ZEiYEDPzIS
V52U7o6jX8p37dPe7VtLVv/a1o0xzMZBsnHyIZmvAWF9+RqOXYIHlWSDOPnu
INm4HlNM8BN3zD95T88Pq7SugQj4+nozoRAiThKKBu4kCOVgKfZjJu5F6WEf
l7W6Lk5Yq4u0eOU6qV5zxzmsUrljvBeH48cj1ETFbz7oqjHGOSyf7Yevr959
4NupPT0/qOrq+WE3VJySxWEv2NmjjzL8qSSXBDsp28sKM1Xm7C4mzlw3Bz4t
v37RGNwlbD6akMGEqIE4OS14MEsQbvByfTh4sPBxZ5jJ2D0z6zMHXcStGPem
IpH5yLF4+y1aOMU1MJYmJIiwdrx1fCzkCTexBk7DuH7UvGife+f9z0XQ0OZh
q8UYglivn7ti0K6DNqfFGQKriRDSKlZD7bhPcTK1JWDFZGrryti8VZI4k1af
emPK887EvcFd7xrwdhqr8r9/vfjsS1e89HvoG07pITvwziVP9P3nnF8djawA
F95eGSofRVq1tRkS4v9mI0eFigcV8kOCo8IPXa7A688pY2VNgG156FrpHO1L
uTs1wuew2pA0SqNxyyNd5iP/htND4/WUIqKcDW9OHeAe41QqyY9hDX/HXLZY
Cg7LtyAFx2AVT7uEOtH28IaxTsWXgczpvPAr0/429N6WFy5iU4EtFPQkDI21
hjyrSeqnPwvr6pL+BBDAQALTb7rim/UkY2js1qNc7V1KMTl5nK4SY8b7Sr+l
GC2MjbnpdIVwk/J0sUuBiqEtimFkVtfe674gVbFtwwLFQk16SjhCYrO8BUzm
5WAGfXm5G8zhWGSVZP1Mc8Bap71/9AluDhpBOz9woRW4O6u3+bpCjOUY2hU7
RzU0yYyOQQBTkQ7ZvuSClt6kgXJlnBLKAa4klCvs0023kpKgC8/6xvok6TU5
VfAiCdznLYw3YSQJtuSZoUI6oGlD7pyNh3nUHhWO3Xb0utrFNy8YL6UWlSQC
YVtv5cM9aUYwJ5lmNMspB559fuS6mq2nPNdLlBKUCjnI3EEL/MXn4u5LTos3
IsikJDskEJ95PBnbsJzTNSE0BAafyXvqm2Ac+Hyg5vNeVQIKy8sVqbF1wB4I
eyGtj5wknbBcplMoCUYGwuapc4WLgwjGex8urYKt66rd1q3z8Ndy4Dq4D+9H
zZBz0pESz/OlI+9gBREZ+kqSnebs5EghWIKbhDx9PurlGpTYq45hWW29CTo1
cFMVIoj5eIUnrGJKzwKRoUtO64XQ7DdBa2kGkyjWNB87s1bk5SsbFEaXq21j
8XKcdVY3yLUUMFoNH5JNMEQcoq6vS2E6916yOxs/yExqe2mB0A2FH9j5GNmo
0fAgLCxoffhS2m2DAuaNaSXlJDZg+Bt2GCqsWGmIrQU+xhKHCoBHDQnGzdPU
2sjQ4N8s3E7qKIx7B2U8JGESU1tM16N11ScPNgSJbYvM0Lh0VhUzYq9YhSj7
3z15HZaqXpREQLlyu74ee6QCXvaJZICQx775ttaA5Fr8Mu/dkiVXkADbG5jv
18HiMqhJ/EnwTvuTLGzJNK1ENZO1Mfebw3G1SipvzNlzsAe4IfgH4iHiqxRb
ZXFw4Lxs9XBFnFL8DQfRFbfJaLKVGrzabFvbYv4YB1ywWdIqR3w7xjQXVq1y
eIWDtQ48nd0d2+5X3uzRcqYuGeIBpk/AZHgS1TQuWQboVFyqgTUWQWz0bQ/t
MWIxg7AP//zp0371l6f/rVTGllIBZuBFD1/KFlImKdt77l102dM/fOpEcfwg
A2AeGX5JSHl6eeF+cR5iPD+XM/CUIyvAhpIvGu0aAXkULRrxP9k4Rm+wZPKY
bqdiSy3GO7xzNoPMu2RcRKwUGygHGhHSVnwdsJhcsehR8Sn030cffr2q4Y7B
RdfHORhnzo/pjKv08EIPeWBWYLE3n7Os/w2Pr/qRQbhSt3tg8j868cV9uuo/
7dZV83k3DL7fPeCtVDLrqkdG4lRUPM4scqB6fMuFrbWDLCrJwyD+gRRDmpXe
k12d1ytiVonec+IbzKovG13gBFxCM2PVnlK7j1XxqtbGAbBKCBJXIlploejv
G6jrdHvn4xxgNYfyK0mowtByOTLoiI8lTQifDuynJWzGdDheF06H/9uUFW8M
K03MMlsdgLZv/I1gSLl5uFLDaAg1XdjMkMosBB8LwC6GaC1gG+zb8xi+pGW/
IyHJCYbLBhCchuGUSTBwk322kmUGciUnw6ojG8n1gLCZlrvFW1o06IapeGMJ
ANNw3eLnfiY5V4lV+nKuJuSaE8eMLFukULVjxuPjsnCbxPRqt8lEVWtxinJZ
2z/ctfA88gVLyKbTJ99XkMd1k05BXvSG3w1/yhC3WttJvKmHfmiKrVDsSy6W
w7q8U+gWvW04hG0fsw0fywZIipik3tJTppWatOqDBTT/K2YbZV/fOrO139bm
Zb1gjBCKTmZfYbw4Lqu9HkTDxOsxbkwOutByj/0Syz2uhk0mcFEwRlc8bi25
Ojj1Q3c+daZv8hX7Y1J1FMblCWk8sFgMAMxlYreyZmJvbD2NMSOMEOiuc3KI
jmiLhX+Dp7KngrKmQmQuyiTSu+SuRW7003Gru9NcBZUb/Xj86h6ALc//8eLJ
eGiKQjKcHkpI+xrQJjY6dXes8BAOBHGhpEThka9gzlOLJfH8dxcdBWhnx/DX
88lk6/bRa6qf+d6yE0itq3ouS1Uuh8BzSU0XnACZpacMD6yHJNZO1GJswDp3
R+5endkKTPvdYYcRUYGjA9Qo+jdYRSefFk4zZT51WE/gZLFcJLbL+LfkIjm9
A3dr+9EvV6NWAo9lbD+FWaAcdKAHYXBKmd3pHgOqwZOTYygUY2JeaYgsWrSB
6nGvM+qH/9fblkxBg9T28auLZkCpcsY8YC0Eh/rGRPSZ99aoUUQTpd+bPlyy
BJqByjFP1KbbNzcjB4A4iThEPToUEXHwkiYMmXrGLGDbvoSfoL2b3qj/5qpl
Dtp701nLD+wcyd3FDnZFDwpc21oSvTtcWwv1qW0tYbYPjv0kuF3fWbD257xc
ahyjEpqNWEES8uCNKfNE+VmDHxqMJtdAG8pg3MiCBUH/iDq/2Lr1JJduGu7J
8x/w7Z1/aibU7rzWxkbUoUCzcK3mt2fv/KVd0iXgzLg3TFkkBMUQjxWL9CDE
1+rBnxhVBslIWjGYGxN4pjE8H37puX0Jwu7rTcQxwPnNHZPtqjV1k7nWoDU4
pn9jsPEVM2z3r3/KB3YvzoRht91TSpN695yW4O3rpgW3pmcGMhuPOugINbjd
hNMnKDRl/DKoyRrTYeYbEDj9tND0UHw3+wkGolqCmVOkJX4jGVHfHEgmCpwp
SxQjMGmUr1wxeGKwZ/zC4K7zJnoHTUxwaVNYQpFq778maB++zJyZaUMLLUEb
p19S6PY+sZPZDotXDDaHWukjAkn0uyGx8iIFXrDyzFVqHLpHn2jgr94Aq1mR
lkjmUTIfHbUg+OtRM+1TEwlOLEeV9E8mTwxuPnZycE99S7Cu14e9TDUwVaYm
CJN1duLRJ4IJqYrF3k6fGuGqZ0TdtAon9Xxt4pjIuDlqHvNKzBa/2inTit5w
BuGF4N/3zv3bRa9MfWGo7OSgDCxxjEZIzw/mBy0DpgU3f/WY4JyhTd5KkRIS
ZAoPMvgM6hm7KOzxyI3ggmfbVy0mWFokR7CnqlO43fk3eTyDpJD8mxK2iMCO
sM1+1ghbk2dJcbRfA1Ht9pWJ5ZS6myrb9IZ9P9l3djA7aI5+UJuXLU8srYqk
SuNOtTrjLFUrdlDkc7H/5Wmyk0bIHKHzRTOWTACr2Qt2ptkd5Vc/2KhY9fP1
oMD1JQ0WSSo+O9qc1okb8qUQ9PvzHUvPIJPBuW+n2YXxXWm+IXYWoCPtAUGJ
6uL6aQgTrFwdku5am5ybjpCs4AsFcO2riTh5yhQb1mHCQnFgw4NHgcFMe0wE
6xgQbE+v96p0YNIJY/PEHGwxCoxhtOG+2M8fZ1d4jGdB8KXgge065M009cBh
BkirB7X5JnuB2ycvLVOCGhrrxTtWCmpqTkjAG9TlNhGHFGVY3qlDwlvSMkiO
Rg5ileKhoLM1xt6takgLFl/gFDwGGooFNe9SUh/9aaIQ5D8ef4nqtmgvwDss
ZyDhmIRjF+2pHccO3cimuhooGYwhDTQ2lgnr6DGxf/D4yptxD/Qbp8GkzQEU
JFYH4pbYi+TV0/d369adSgQKB7CPTNSUP2BbInVjyERwH56hfN5yVUXCEVFX
OHVGHYcX/sawqFIlC3IuBw7KSG08vh2YyM8MXxjFxxQyU0MUZbgOt3NwNzSR
w+hYzNPjY3Ce5MaIFLvpPOFW1KseujsOeZOiMKpPabsNA5r7z9MO+5Tiz65n
bEjCUJfwiHIyThI7geXnTMmVolNKtgkvUYs9LXFpeVCAjO8E0WokOiiCKlNU
Il100+PPzaQIBOs0ZxNwQqHlhYJy5N5sh3PYz+q9PeKZdm9/QsxM68KxugUE
BXu3R3755KlIHTFSFUAt7J4RncUts1LAphEKm+YjH6CIBsKAzkzPQz30jAsJ
khU7ePXyXMBcNKvTjIhKIdKC7C77DhrDaIHoTE2nPZWxb5TeKhpG+kKhOQZ1
JBJ1YiylttMzE1IUjwAcVWQdQQxCxHC41al5kJbFWmb6K9mStLhxwwXZ5Z3j
JFYYjNCYKLzwf66isWUESh84aX+ObgECAbF9/eonB4nXbHcXaoyttYsG7J0r
FkElEzCuAptrzuNWf3MZRRLThK3cvQt/fxGNWWGQis4mCHkdHajJKzaXyXsY
/8kHKhKDCIUgmGJtcyNhb/RcjeG+TmEyFwUAj7C57Zj+CH4BjiiuLxPXSah+
0bWTBPHId3Zzkg2jY32BOExB0gI7e3Me16NkCMCClkcnLZ323PFY8CDorjlX
pBGjZLo6VeLVHlkSugqiBy9WCCP4T4XwPpP5B13FV2F9Ir6kqGq8mb4OqJDv
xNN4IiWhm1Cl89tnT29ov3puAy1CJrTjNH6p0MpBiuFuWytnPK8c4ttJnBcI
T1ZucrxCkp2Dz+x49CFsHj5tG9LdwgwQZAM+BXX5vrYhbA2RIQXFKbJ/oBJX
MUQJiuuakWTJsnE4YudGSN031km4FDUTZTH2gic1PkiCuBiQhkxQWyMlJYAS
gy6U9nkaQ8wmDHsnbeaQMbBmzljonAOwjMTfAVhyJxnHBeQmcuA2dBkVlvOc
MyslPE5XS44ztom5hsQJVDTZJkmAayRTpBiY+DKIWFd0MG7Q2bWLR9nfYwRk
R6EgClZWQFzISiQzAiXXMV5YSOa1M5VlSmwBgSXUFhCEJ+V7sGsBERTQCJRT
zWmdJgOGpxmp7KO7RU4KZdtCY04uaRo7nViysf1HbpF2hEJjvXWPxHaES2Nd
WiFqWe9dQDYiugsx40ZSYCYuSJlsXmI2P6NJDgGBoGj1wkv2oY4LzvQOYGmO
DSJUhw+JxWvNGkR8V2PGKMTGtdSO/yYGOCL6lnlX9Uac2eL1OkxkllQJ36tT
46Ka2cLZolTAAUw6kBE6AyolUieiHqQgF28W8pHKjAplBb2ZYAC5K7K1wZlF
3/eP2Q7BpzuR9uqeSh2qGUepdWxEU1um/bG3Xe7MBSd//jWP5Yyk3rGcPWPL
qauCCcIZcZQ4dYY5t+P88fW2TXyudvPCC/vr+3LulTWlb2AVuIBnJwCj+NRX
22GRgaOhRZkcXsgC2YRIQZIUK7GO0V1I8FLUh+xjDZBiY0dL16LSW8uUecI0
FrDGYiicCvaMNL7OxFpz2G9qa0p45MjikjXtHqulpDW1VZbcD8mpaOA6bRmV
LvpH6A/agweK/nZ4lqFFoZXrx/Iral2HW7gFlcTHKqpUEN75+sFopvWPTQw4
Qcad/SMNZKU3P5d5zIzWom82v3jQ7Hl/v1rPPLE97KfGFhT+jlMFMHeRqQLI
eqxssozBnMd1ILkxpF4aUjtslaW2Wbycach1gixOxYZ4lLrrxpEuGyotE9Dl
mFnLGpN/dZ0qhkzpKl56c1qa8WWO9QrjYUDsJzldAkypXHdbejN1uVN6g6/C
tiJtVVBBdH68qMBKWjDMXmfCiK/ON8X6SPlneBNIhGnlbFXEndQVbQ65/6/Q
+qJxYFWSoSychvGbzrwABl3jaSz9lYPMy9nBZ6Y86pkJ5XibptMXVe0su/Gp
49AaCZ2PAdYDYOL+3z5zAYh9ofmq04uKT0eY2ZZlZzlaRNOdITTaZ8Abf+fZ
sBhGcZBHuFnHHKIYIa9yOHkIuCa7xHRhuTkz7imISNtWS+yhMWkdf4GXJgLd
aPquaeFMGzEwRCoY1lYUClv8nVJguXP5LrVvyZdxIH88AUKTPBQTxVsO/E7l
7SmPcB3koa7EeNXwXY5icei2NPZcz0NKJkPwu2goM1SyGuwPvueGL9H8hh6D
tyPe6mTOc2qIJ6LWiF4j7cdetDOn5MzAa12BsrDWlYPiSQsNJQRgOEs6ToGP
VfwwiyAy0jUyAWTprEePXzD9uUmGIHUFPJLZ2NG/p71w0UUi+IL7HazWRGxI
YzomWMOtxpxoPZM9IpqRhEhllCAldXl5+Nr1p3029O06ZGo4aePgg1lrOV5l
s2sqpYTLMZX17jHASTldB7AnO92jtpi2oKskk1aO3jNqzz4fV522YNvDhlu1
+fc2b56zoD85nTrS0dzMwvk/W7eCpmTUznYJVohYycycGcQjwEMDvZJtGfKG
yB+iTa+07KXGti4xU86MELPbzOpOQSJUWOL7e+Qy2T2Je984LRly8S3ZTFuK
URiNYSPyhiAclgODf+RpSSRALC4DsiO/95syBb7vOYZGFzON9LbTyGDmkksC
IvOOJyYGU6cGel9DggTgFbCC6ALNyWOnKzvfuzPuw8SJckh0acWo+/awW+o2
kRm4OeVsJDneBK8b3rfyywgqYWlloLcEvkOimzIr0aOaJ0wTjdBlb9Z06rPm
A7Kc5dJJ231zltzpRw4MugZsCHhod9B0zX3XSIZQuuA72F8Saeos9kXPoza+
5z4qA8ZgezTJnF5BJpLv+k3sm0meUiEKcu3VndVzg7nRArkkQE9avB67cWyw
a1SrXwOVJUL69yOnBW2jHw6WDJ4TfJBpE0CPbXOtzJvTEFXlKYo2neGgeLFm
O5yn0BgUeXiZWqaxJ+vrVgVLj2kJduz3TjAg1+jFnpR93tSAHg3B7NNPDrb3
aEPjaXrYA7d0bko+rDPNaVxCRU58vr6gMUuTe4yvDQ2fx/UdOLfx0IxXz7RP
zOChTQcvDL5z4kitAEs+rtYF7IhBSoCFU4RM7aremUbvDG01EPhHOJE2DDIq
g2da0G9jSxjfhS/fOaaI/R67JrbfY2MDbQdQCIItbG5GKIWw3Kym3z9xTc+E
DKRmBbOCJEd9q95nQcQ1HT9lyjt9TfWBrPI3Rr9/8M7hr4nfT3RBfkEKg8gR
QAUx+5hONZxBv5QusDDVJ1R85vicVz9tfU7ubOIWrfG9aOcEYVNqV6zQ4eh5
vTO3OyPPg573QB2ZJc7PrYEbCUPr6w3JERmEXdaOCOd92t1itHIfjXtpH4wv
RLdcyPFr0/885JO5X6/XLTB97Wocw2vWi9uTQ4Udv734xV9CinK0UIgqFrg2
MhYkUJiOMMfloZzPXP3qQ8BzaY0rDUmaPLaaweoFjT4jb6Wt5SeN8FEFPI4p
JZ8NbqsTtFpr7c6jBzZdPqmA0OKhs7W+lA1rBUAIDi5veG1I2MRw6TpY7H9f
uPoX28b/s/bThVO6U79RRI0QwMYPnKppLcHS2fcfDxljMbUzcvCbiYdWl+qs
gSPIdSQ1bqgEXUW70oz5L74LgoJX+B7pNaPo0+ClrHzwMU9fqQVPJE4pva+K
9iIZEatffK46z3WXsonNs+7sT08PEL16emwO333sij7IheN7NP7HULB6S+/w
6tErIm+5FAeMRuTF6oMqpR1sWRhHzvCx1ANzXgq+2uLxYcdjp4RXCyLwgQ0z
zqduBZx4MFGaWvKLWyI7fPW8Rqmxxs4HW1Js4fHQz8xYfAJNcDDubPeSfTJC
U95dQHhja6g9PtYc/obvEZu4MyDUCfgOZuAc5uMM1hn4gcvhz8QXc7o0fsfn
8rcq1xJ643Nmu0o7L6ytGY+tujVZNS4g6Pen/64nhRPXDbNpJPb9EBbAJdiL
3ZEN8y8PD+dSmqSv5Y9x1thj8bG1pgCBBmmQSl1ICPgb/d7HOtEUiIuc6Lnw
Wo2zmpHqA3rPM6h6Tkt31zF1RB4QIkaERqr7UFr5/hdX9dTtFQLVJqMgLC1t
MjiZBJaC/iAgCMwN7rBacQla1YxKEg5jyUmDFhgkSAl4RSV/QVoGtosgsJ+C
o3AjlIbjq8i6J42a9nsCuAKwiOQJcHcRpI2kcYT0CfA1jpDawnD6dKGvjRom
wilYSlIAtnFAOGzF6HBdnDnS4jCRxaEc1i3Z8RCfKTlAvOa/rjFVuxneuqho
Wqh2chzyd9IrPGT7+wtW/Hh33y2pFTOeHG37rPT+IN1+5BsNUqyCjUSRFhqO
r5GNNShOpTJHbmyA8RTgLXgtIoD1BAnkenn8WWbD4zDwB7pD9wl2Trufx8Jy
xB68B37PSVwleo/oFjLbhm+slS7PwPO8dvniIZ3D3yB8DbPF0yklo5PMIcdk
pZZz2XHhVGhlyiL1S8rEiR6Z8PXZFoiCxObgk7PaRxXqgklh+9qz/nUEj3LJ
OjcTxpVOPoEwp67X5EPU6rXDOoe09+5skEow3YSJlgo3YTIrsnQyVzUetALS
y8NJfnJR/WSeuSWyAFxJBWU9393fIwX5WKJ8jUcoE2fuvx6eS7EmUkuvX3o8
fn/wwh3kXen9RL6oVLhtVUyoLW89CPmJbuf5U9+agfQOFnf/pICc5BGQ+oQw
QEEYYUgjYIgytid+uPhcnJunOEvC1b6VEpNMlAO/Y2HHtgNUIdi/OVd3XTAt
zdrIinKzNmnJAIOBdUXVICV6aFiIRa1HSho9nObAEr6D70PScN4G92NRGSnP
GXp7ZIWHklmAR2QdCluMFG03B6e3oN0cd2RAFFr4DQ8REydAmGqP6EhCn425
EidT/8k/uwdsTr3+5dfuQ1eBAUmRYZygs0sVkRGbgr8ZkaGu4EiuPnzz83cC
fUVXsJ5PSjwfLdm2A5QSleNXf7q0K7OrW6gg/s7kT7O4G6T1NFxJLC7dhJEK
kSL387f3Lv26A3lSnTm6e6SEn0TzWOsLhlI7KiT6RA7v65EGcxVvG5IHf/7s
Obf9Zfn15dpCSvZAZoTKz+cHfERDn2XoXrRtLWA/e+uOjQEP4KZ/efG+q07e
+irhImh51IGhhukS3nOAmvVGQCKvsl9sMVZ+bdPqT099uoeFZUBRQSMAyOBj
sxrdbAdQctMQKmyQ40w8jSp9nrhtwcmfjF9Vj04etHuPfnYM2ZgFO53W78xT
p1M5A2/AsH9dtfhQrHKcs1e8yvGn565bdIyaf+d0Hjc4aacT63snv7B/V8Mn
TguSt89ZcgB8AsZySwVE8gHtLHf2YjTfQpVqYBAIUlXvXTlvzH1XdpDp76MY
IxCJTHLlMgjVwVBkmaqSZpOXhmCooR5MCJSirB7d0fHU1qlTLYvhFMARUJJm
2/cp8wsWyxxfmXwOiiQoUNon5FYHWAhQ+LqvCFQrFo6uiWYl4pkmmFo6Y9Hx
qC9XPhuFoMJcZzD5lTfny3FOLpQ7QlU6YrOStiYx0HS+DRIydWAeLXWyReTD
wUmkOrvy+bdunT2b8Lr8BLQDEK2dLiYcGrkqDbSlfonRqgI/kKIbiUpDXhg7
Aq0PeNXf5yPIyAKiu0uRgOTiZ7Zrgv1a3X2D4yXFIe5Y5DXMksjpwnLTHQaQ
yRC/Umaw8BbMSQCyTiDs8OiX6rr2+5CasrNQ4DBcmYIW5jHrHbMfvSudTFtJ
ZxReLkhsWYFQSUA7lpdxoLqWQCgtlP94e2Pjaxe2tlIcQdA9iOgJCKJAGnj8
pgOlZeiCg9KKTqJLciQky5AWJNxXXz9//id77PSltO4zgbf0OJ1rQg/sUFKM
S8ZdV9KCBMtMXEXdvQvgEgwp/81d/7wKWzHmsWhyQS0bHlOM4NZHls8Q6Lg5
mqYzrZy2ZBRafJSacWDupWhHFZY5pCktR1nc8ZnlKKOnsY2yHGUwkdjODzc1
NT34nbY2yjIPUB6ZLN1UMY5q4K6AViSCBE7HBUMDY12/rnnduk2fDxsmbYqS
DXBYVlGya5+Ml/Pn+22v8bU1YdJC971+8ZJB7ZP+2ZBsqgd/TZrqmf1XRuPf
bPmy8bezuq0M/i1tPXrylTjaKv34khPK0SbnnvsWXcZgxIK2Lae39pGR8zBf
tq47leCW9nTYDH7w5NSpV97H9TGCg4G2FG1cleSWDMWU/Zd7UAIxExv6g2Lt
u+Sr7e3r1jU3W1gUO30bttbUJEP00Tq9yfKNn/HHv3vj+0nvzIFnGI70cJps
h6b/IM0EibYqusdmMv5L5zJ9ObPOEInoLVX97I0l24hQxtp8teQ8H2nPiYYW
vs4SvKe3plU9KeTmb99488uKItXg+th/fPYPHW6feMNxxxHX2fkRjm9saWkh
bYuzDeJVrfMoJfjtQIrpoLznrzzvN7hu69aZtx1ySKhitJjLpzU0AAecb7zr
2k+udOXGFN/DotDw7P1jY2cLIrnZni/Mi0UkTdwkzFvtOYX0MdQ9/DiGB2Vg
h0r7xmBWs2VXwdVSzdzynlPwUwH8gLJj4jg7H+8Mb++bkP3ajqodVZODydYZ
jhRfoJG0Oz5vaHjkjoULSfsKRlNirB7uSgKm0jbroo+VQFq9DeEbxH9hIQT0
CH1yEP15e8Ewi8Xqv6C/fTJOpO6u256yt8Chdmyj5Ti4YvvbNaam50qXRQnm
wqeSptkSzOVoswPe9I3HZMY7g0L40T0DC20EFcNu9Jw83YQbLgIHIZxhKeZS
aXGisLUEdo6JP3n1O/MTFIJMExyFLODAOLa5anV9/bf/umGDFC1jUySekY/X
lSKkcQxekANfSalZ59UOFoJFEtNU0dgHvTjm5+cJ/CO78Jan4w1zSGU91DmK
t5sOBGg/y2zjvNTCkZLu+MUCsx+fsLoHRU9Te8VdamGGYaYSCU1OusQoI2mn
L3F3DzsLYh5QcLAnIkTD36y2bDXQkyxYOnSACUvOm90YoFMUaH8orwRpbM4v
h5l7hb+WB8YJZb3LZ7KGITuDErzGixdu7x75YFvPjcEnRz8dBPsYx3/7oHeq
KewTmmad1GKG94dOY8CYocanrU0GUcPU7kA8LAmiPnDnsvOJgUZR1hLzBryd
9sUiMUpYYpGEnupTlFFuVz8eNI7drAR5cU9tTZHHxE+5Zdyfg1ePmhuLOagj
LAJ7FLUSWdDKQNuGlcIby8oYaoSvDPawxhjf7BWjmoIvjGoIJkY/06Of2ce+
eCzCN2xeWydtG9tx+Gv5P1y4+zxx7Z3wVcwd4//WyTIRt0niljuGr88m45bY
hphYVh3cHj08Zle/tnTYrasgSig+cT8Pj/aL3Z9ExCGNndj9179zAXzjj3uE
PYxuzAGGszD6AWoJC2p8dmzw9ZMHBsCgefFcoixFySm+GZqUxndziJOYk5wI
HfF7iIdP0oLlwNtvl06pEDYATuDlQnNgr8UZ1R3ZMNveZ3uD3opBZovyy9cu
rk7Un8yi9M1wkoAkHCTuM+ib4QSHRs9wmrZkZQtpUdUc2no1BxRnKny65B5z
7VE7RiQ+o8UIrCxoA8PYeNPsm2ybokLod8rGCPGbiQZzOzNfr6d08LuI82NN
a2KEKbnIR/qgwBIBGYklApFjEJLjkO+b5IDjXvgMELs1MiBt/aWLB6PBCg25
ip47tSegIMKxa+pWXPvMaInRpT1mK+1xSvoWJ7qz/TUImQykCY8HAiPGQdtG
Pi+5jxcx1fJMdJ1WMb2Xghn8qIXgv6wGwSFbg+QcYn4Kri24W9nYOb2djc+U
xuZVV+mVoXcfh96hP+4Foy5xrzvnPvPNu/705JWlonLS1s7OKssUpX7WoX5o
+vPi/hm/4TRjNowgBK7dv3JgE+lMlOJSYcgpU6ZIwy2NLPyuy4NCZKGLj+Ps
IXbgQFJIkXM6lhAb+2ZpR/7OXo1TFZK0o741viGChg49krNR8ICwEu0TXmz4
bPS/6koFq2Rbl4yc6STr7r5tqUU3PjMBLrhva8aLwZlozMdJ3T+BAXiOodNq
mcURO08bS+FAOaiHlDXqKOwuWiif8VD9GsOkG9mmlMLEcfwcxgGLBckqaCbo
HNweI5UhQZYpjDJDMkMDV6kOTnUMtbVu7MYjomEFl8MVMqNI0o6S3ZM81l9/
vmAKzIg0VuZs5uapS/pjHJ2Ojm06c8WBu/q9m8ZwLOaDp4l3WncywB3zLslp
p2kkkbpeS04VDchBHxSFpisg63WGAz8zF8W3MWvkN1eFq544OZzMVAWBLVVV
hxbbBJ/bWDiDrKK3iDkvW4getBJOioyQ4U/3UqGgMN8Z3H/P0xdIb1MbiDCx
w3rdwlJcsU3nLjmwc/j6nB4rDUdY5xbFh9KLgqsoZYqTvPFQECHVCyyx96Sm
gRG5pm06MGwXwQxmGspyRgYfQV2Bur/+Vrhwxei4tsOpDeIoDNpJ2XlSHDyW
duV6uTphPNXjCctabpMCZ5wwrLS1PoMUkn06Zb3wuGrHxkRvGbCg0nzwaOHZ
fjz+xR7FIk8s255el+7cQaYDxI6Q54peToGTWRfpRRPCSzb3D9ug0IG9u8Vw
hGuEye+RyjnduEH600mfcwkQyYt3IBxvhs5DlSgYe89l4TxiJpsIJ+4qsdhI
SmWGC4Myq510axhPE8K/ZdGwi18nZkOiK2K6JbqSnIdhPIqM5pRV+8b+ZJ0p
o2HcU9QsW4LM4I7KhZMkRccccdL2zE2ncZYaKSWtxyViqgdwCGZ5+ZiwOSLu
OhgYcLOxQjZeobke96DiJLnsI3EkPsK3dHmqNPqR4+DmyWf9CyXg7svDObQR
Ye/F6SLLjhEQVVjK9Pg5+m8+OSBMstaoPgAhTQIx11X7eTcdeBG/gAIvBqmQ
0b6FNSwsfNbU4c2IakmlOrqQ/WhoElwPn+OW0rHrIbEmSdpBkcjIHQEBspH1
tep2+pVwyywUPth2ZHzHOsgpnfDXjggnvjYkbAX0GXiXvpWz1mR8zf+q8Gmy
xB58TYZ98DcT+s5A8KBOtvQOOx79atgSbbIbBObbfMyPjrF2NR0LvDSBCng4
YHIEYO/2ji2fH7Wuhk/TVfdZN/tnbhkkbbF+8eCyf5f0mK6ztTsfHhOI1Qtm
gEFYvun4NDjUMQwcpoeukClZvgGrmA3xwJ1Lz+cH0xVJLMTVEGqCCxZxOOae
sfMM4WFkKpsi3TxfeDjYcuQyxaIgbo9mGVOF1S4RV7BcMisD4uUII7y1V9ge
ufE3fVIfsYjXD0I/9o7YCYXE0VClGpbFtsZg0cKbJkiIZvcBbSm0POAVbce9
x+xJgS3wAkdseW+t7FHAFqEzltF+shZWTAeH6VDeVsNqyqH0E5lJcNBsKmrE
r3nnrGV9dwx9I6uhcZKZ27bwlFpz/6n2rh49pv70qKP0VmdV/Rv1dhVx+W+0
nxn43v7UOpic9UM8BDflQqxCTShNUiWyumSRQA0LVySigIVjUpsZ7JnRUAH2
uKX2kYMRrpepLagkta+IM9gRoplbls0ExuQgRXbTTIJSVVGRerpz4rM5mCLg
JgH64X2Jzkey926Xw/LvLRyDJcHLQbMIP2RmDZ/SWGW/vW/p1/E1sFzlQxKE
TOmNnPQDdvq9sDeE/QG8oXXT5g+jUiH8APiLEiLA+AAVa28QbRgpCRPtjg1b
HoE8fcfbq8PGD/YLZ8OzhNwf6mHUJf71ZAyl+Uz3HEnOBYxj3ra12MDoZ04w
RwLDr1SvsmfEAIz2XXV1vCPoToADoIwBF8UzR6JNWXagScBPPDODoXesG0kZ
ZXGLbfEh3sZFzAonCdmrumlWxbrQsofRplY3xgs2rwGByVPieI68ac9XcMhO
ztucuDu2+6IMaZqKfmIU4+CJUYyBJ0abE+CrGZKBCGujqaCmUuoqXp3pXXXR
6px15V1hB9bOcA/7LnU561bgm890RirZSBZ/G8RWQ4dio1dT9LOg+7xgT7aD
ZPDuK8aabgdIl4voApigRbcjbyGF+AicjvdIKb1NkHCJdFxSM5XTukEt2Jn1
LOv6oossJdzccN6ygWKYbfSFlqE5zoGEykgRXddjHqWelA9YBtaBhUglg6Wg
QvTZtgeag4tGDwumDZtM1PpZelbQcNGvfni4hynMr8tYdERz8mKNkT95+y9f
sokzGvdPuILoi5J7akKBfGfEBrYCxBHcKyjAWQ7bHjYWZ7snB8nBBpUL/vTY
teaLzAJLLsVBp2EAf/fx2xZ9JeGypTTYTpx833hPp5mgeZRqamWExwELIr2x
c9C6YNuB64Jxg3nZgDoj/ERlkkt9sU78GZWadjqmVsYBnp8wdmwQzPqvk056
/62mpmjHZ8gOtAHuEzFrlnyLXFXiB3pJxzZdt2LplvUor7qY5rA5pJ2Y5gLG
oG8xSNmCM3BEzsMv/sz2NIppno6c8GDePGS8TcpaQqa+JFEhUd02tBcbHlBb
aRk9oTN8VSXIXpibyAZPtrYiZP7SpLa296+bM+flFZdc8sHOxsZqw4HVbSeP
RIQoVLFKh4q8PYUfAKGnLaqPA3mP4qnxcCDj+S77igQ5le+aNmr4SDWjtHTn
QM/77w8b1nL3GWdQKxBfauGQYlRkM38xKzSYb+2CgyEZD6ElZ1qYo6hxwumh
2XTDhUPk/Z2vrFq19NFZs9Zss24atjk4TJQ60V56r3H1DREkV5xgjoqpLk5s
7Cjtd5nJWHI2EpaJrYHdLwlqWY+65qnsn+5uaFi7durUtpmzZ78+acMG+FMU
wAYJfNmFYSXIzHvMS5XFhi+GdxJQopthscai30T8y2UtuDZSc2bTyPb2h6Nb
euy9Sy5BoEwKRXQdF8hHa4JlXKdk5B6dshgfy3xrK1+cZRJk0j6BrasxT2u/
aztAc6pD97TH+5XtTU1LlkyfvvGcViDgQmFXqkKyHeZhzeXaOLvTI3zNQJNu
MoSAJ46VjLcbDZIHxxBsR54p2oiFj1+zbt0fV7S0PN05eTJiBooYYATiL3YK
6PnfOsyejtERyeo2H7/qPPos6+EXfyY6VDkQmXPOu/zogicilWbWau73nVdf
vWzT1KlL7p4zZ+vItjZJ0tFaylVAnpEe8icCAnjJll8zHC9wSDgj2AVw61hz
aQThkRjBlret0awXhAoAlZZzQU5lQ84x1/wfx3N/NSVEen3kPeQWZInWaJni
5MZmx36XsU/tTQsD/bri/KuO+GzMmlomJFJhWoYQGEUOmbpBT/RQi50hiX9z
HNtIUILuxgzEykpOoQclyGdmXkYNoji4HZSP4HHxfxAXTe9B+K+ce/GY90fN
511zrnVi3EEHf9LiGygoKohK4t/do2/SHoKqcUcSpZaRarPGmFY0DdGeZvvQ
VXRd3jhgzCX11YO44tY78oayeARQelyFVLtMEznurQ1BtiOE0ja0jFdE3ySo
VAPS5OT4vyn7TUNeQWqaJVD71FMcHbhx1ORgx8GmknjTcSamcve4S+hRr/jD
I9+v91DVZCryV4wY6y7E0GQehKo8XARKGSEQCD+WPQgMxhk7UocLgbbg7d8n
cqjt9NZWrDPQE3lh0Bf3D3pP2CsiMWUvYLr4+lEW2sb4ON1UW0f2dcmMvHgs
5bwJ0wKILN7rx82hZwtuuv32fTyEzBeKNS7R8NZb661ockUDnHVQ8ZfX/3rc
ookz6dRY67v6bTBh2QktwWcjWq0zfcbtt1NZJ778hQqfntf6haxzfWWCwmpB
a0mcXF6M5mKft2yehU5DnulQD0WNJqr7zfEXBhBT++p+++2QDKw45FAgHVAY
kBAoje4eSnN3C1BLXmDMu+Pn50FlEwIHVonOImsa6zgYhKWGVwbrYly/gfGN
xNGQ8sPceldAVfYnbmRZriA3wQ26HW0S/XuYh5rmpurxmTwn/D88J3QCqAmL
gLvF2tPUhd5IGYNHOKaEKp318/8+F/LY1aNdApwZKAei8Jh5hnlYSqSizYnq
5NqgMa4FvYmzCmdl3ePawTduv90HVDu4BO11VxxOq9+K/1G+IN7LSPTTN7yw
cAIQBrE5lCMJAewzJCClpQ3yeubjWgiQnBnGRCj13MSfxdTBC8dlzKngoMZk
llNlND9wF4R6TAbQiz2BCGq5njG3KGIlQvtxvZiEFssN2TMLi1JguGF5g6F8
fGb5hNvc5U1/M9JmAUF4N1R4zSGeB/U1QmGp+JHyemQvlS140HLbg95FV5wr
sr0qPJ9vmt0sP2fMpeSGeShtSY+5j6JGKZHpXcG5fOOyfuzeqHsZudGvVsjO
r/Bxug+B4VnwQxbiRACv8BrlqC3H6aIdc/fBzfynchGrOFAypQKqnarYK+LB
F7zJ2sREtCYWyvuVsIlEG1qwUPuDDNX2BLKUytlnnTJNCoo2bqfaex6syIUX
HpZv7RYlt7KDTt5SRUav1F1ptX8qnzJhHCVpiZfQ9xYtUO5WMrYVjdZ+6J18
KV16uv3uUHVRoVxC0+o/5dyLJvSw7/I+DXeaPYvMHShXlcasulEdXmrjEtOm
j3oIR4smbvPsglsqVzzl3FKlfn++KP3sbQee5qvqxvaqEIjv8T/5vOUc7bR6
TDw+HtO5Wa0xqz3670x7swM8l/SVxLCs/YClq5QXKmO0pI8gLiwP3NuvccXf
1+J1hr3HgYmL+so/WKP/oUJtKxzU+jO+4J/Nye4vpklrFP1lvXwt+e0HSmjS
7uo28QKpCk7wR4++k+ZJeMkdnZ784lyPFuquvihKouCLD3oOknBXuZVfcPv/
p0IdIJ+VW8dFLlDpipYqjb1YlQVXvHcv12e5RXWqekxnHfP17qtgteUSx/gW
x+klViRfim7oSfPvN1n7FgGhvmyOekM9ZCnE4kvm8NcTrC8GelurDi8Ku1pj
Dlqf+H4xPFDi8HLQk8Th5fAM+vBEpuv/65+C8jmd1f4HL5ZMSJy9XIR7jcvZ
cjHbxOHl4o5rC8VMDveF1F5yZbdIYOnlQmn/f/l30O1/AeH4L1Q=\
\>"]]
}, Open  ]],

Cell[TextData[{
 "We can see that Pow[7] is still the inverse of Pow[3], even with the extra \
elements. This will happen in general whenever ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is a product of two distinct primes, as seen by the following \
proposition."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.4425887643677626`*^9}],

Cell[TextData[{
 "PROPOSITION 3.2\nSuppose ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is a product of two distinct primes and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"r", "\[CenterDot]", "s"}], " ", "=", " ", 
    RowBox[{"1", "     ", 
     RowBox[{"(", 
      RowBox[{"Mod", "  ", 
       RowBox[{"\[Phi]", "(", "n", ")"}]}], ")"}]}]}], TraditionalForm]]],
 ". Then for all values of ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " less then ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", \n\n                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      SuperscriptBox["x", "r"], ")"}], "s"], " ", "=", " ", 
    RowBox[{"x", "   ", 
     RowBox[{"(", 
      RowBox[{"Mod", " ", "n"}], ")"}]}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365309483362503`*^9, 3.4365309484925003`*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "If ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is coprime to ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", then proposition is true by proposition 3.1. Suppose ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is not coprime to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", 
    RowBox[{"p", " ", "\[CenterDot]", " ", "q"}]}], TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["q", TraditionalForm]]],
 " are the two distinct primes. By the totient function theorem (2.1), ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "n", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"p", "-", "1"}], ")"}], "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"q", "-", "1"}], ")"}]}]}], TraditionalForm]]],
 ". The number ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " would be a multiple of either ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " or ",
 Cell[BoxData[
  FormBox["q", TraditionalForm]]],
 ", say ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 ". Then \n\n                        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", 
     RowBox[{"r", "\[CenterDot]", "s"}]], " ", "=", "  ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"p", "\[CenterDot]", "a"}], ")"}], 
     RowBox[{"r", "\[CenterDot]", "s"}]]}], TraditionalForm]]],
 " = ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["p", 
     RowBox[{"r", "\[CenterDot]", "s"}]], " ", "\[CenterDot]", 
    SuperscriptBox["a", 
     RowBox[{"r", "\[CenterDot]", "s"}]]}], TraditionalForm]]],
 "   \nwill be a  multiple of ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 ".  \n\nAlso, ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is ",
 StyleBox["not ",
  FontSlant->"Italic"],
 "a multiple of ",
 Cell[BoxData[
  FormBox["q", TraditionalForm]]],
 " since ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is less than ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"r", "\[CenterDot]", "s"}], " ", "=", " ", 
     RowBox[{"1", "  ", 
      RowBox[{"(", 
       RowBox[{"Mod", " ", 
        RowBox[{"(", 
         RowBox[{Cell["p"], "\[Dash]1"}], ")"}], 
        RowBox[{"(", 
         RowBox[{Cell["q"], "\[Dash]1"}], ")"}]}], ")"}]}]}], ","}], 
   TraditionalForm]]],
 "  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"r", "\[CenterDot]", "s"}], " ", "=", " ", 
    RowBox[{"1", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"Mod", " ", 
        RowBox[{"(", "q\[Dash]1", ")"}]}], ")"}], "."}]}]}], 
   TraditionalForm]]],
 "  Thus, by proposition 3.1 again, we have \n\n                            \
",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", 
     RowBox[{"r", " ", "s"}]], " ", "=", " ", 
    RowBox[{"x", "   ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"Mod", " ", "q"}], ")"}], "."}]}]}], TraditionalForm]]],
 "\n                            \nSince we also have  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["x", 
      RowBox[{"r", " ", "s"}]], " ", "=", " ", 
     RowBox[{"x", "  ", 
      RowBox[{"(", 
       RowBox[{"Mod", " ", "p"}], ")"}]}]}], ","}], TraditionalForm]]],
 " by the Chinese Remainder Theorem (1.3),  we have, since ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["q", TraditionalForm]]],
 " are coprime,\n\n                           ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", 
     RowBox[{"r", " ", "s"}]], " ", "=", " ", 
    RowBox[{"x", "   ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Mod", " ", "p", " ", "q"}], " ", "=", " ", "n"}], ")"}]}]}], 
   TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365309745862503`*^9, 3.4365310044768753`*^9}, {
  3.4365311282893753`*^9, 3.4365312278050003`*^9}}]
}, Open  ]],

Cell[TextData[{
 "The function ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "\[RightArrow]", " ", 
    SuperscriptBox["x", "3"]}], TraditionalForm]]],
 " is not only one-to-one and onto, but also mixes up most of the numbers 0 \
through 32 fairly well. This suggests an encryption scheme. For example, we \
could let"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\

  A = 1     J = 10      S = 19
  B = 2     K = 11      T = 20
  C = 3     L = 12      U = 21
  D = 4     M = 13      V = 22
  E = 5     N = 14      W = 23
  F = 6     O = 15      X = 24 
  G = 7     P = 16      Y = 25
  H = 8     Q = 17      Z = 26
  I = 9     R = 18  Space = 0  .\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 PageBreakAbove->True,
 FontFamily->"Courier New",
 FontSize->12,
 FontWeight->"Plain",
 FontSlant->"Plain",
 FontTracking->"Plain",
 FontVariations->{"Outline"->False,
 "Shadow"->False,
 "Underline"->False},
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell["\<\
Now any message can be converted to a sequence of numbers:

                        CAN YOU READ THIS  
becomes    
            3,1,14,0,25,15,21,0,18,5,1,4,0,20,8,9,19

We replace each number with its cube, modulo 33. Using the above circle \
graph, we get

27,1,5,0,16,9,21,0,24,26,1,31,0,14,17,3,28\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
To decipher this, one would take the seventh power of each number in the \
sequence modulo 33, and convert back to letters in the alphabet. \
Voil\[AGrave]!

There are two main drawbacks with this \"modulo 33\" code.  The first is \
that, for longer messages, the letter E which encodes to 26 would appear most \
frequently in the encoded string. Even someone who didn't know the code might \
deduce that 26 stands for E even if they didn't know anything about algebra.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "The second problem is that anyone who knew how to encrypt the message could \
use proposition 3.2.1 and the fact that ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "33", "*"], TraditionalForm]]],
 " is of order 20 to come up with the inverse of 3 in ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "20", "*"], TraditionalForm]]],
 " being 7, and thereby could decode the message. What we would like is a \
code in which anyone could encrypt a message, but only the person who \
originated the code could decipher.\n\nWe can solve both of these problems \
just by picking ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " to be a larger value! Rather than picking ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "=", "33"}], TraditionalForm]]],
 ", suppose that n was the product of two very large prime numbers ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["q", TraditionalForm]]],
 ", \nsay 80 digits each. Then ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " would have about 160 digits! (We will not be able to draw circle graphs on \
this large of a group.) By the totient function theorem, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "n", ")"}], TraditionalForm]]],
 " would be ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"p", "-", "1"}], ")"}], "\[CenterDot]", 
    RowBox[{"(", 
     RowBox[{"q", "-", "1"}], ")"}]}], TraditionalForm]]],
 ". Rather than picking ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", "=", "3"}], TraditionalForm]]],
 ", we would pick some large value of ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " which is coprime to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"p", "-", "1"}], ")"}], "\[CenterDot]", 
    RowBox[{"(", 
     RowBox[{"q", "-", "1"}], ")"}]}], TraditionalForm]]],
 ". A four digit number would be sufficient. Our code will be \n\n            \
     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", " ", "\[RightArrow]", " ", "y"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["x", "r"], "  ", 
     RowBox[{"(", 
      RowBox[{"Mod", " ", "n"}], ")"}]}]}], TraditionalForm]]],
 ".\n\nEven though ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " are large, this computation is a piece of cake for ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ".\n\nWe decode this by finding the inverse of ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " in the group ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", 
    RowBox[{"\[Phi]", "(", "n", ")"}], "*"], TraditionalForm]]],
 ", and call this ",
 Cell[BoxData[
  FormBox["s", TraditionalForm]]],
 ". In our Mod 33 code ",
 Cell[BoxData[
  FormBox[
   RowBox[{"s", "=", "7"}], TraditionalForm]]],
 ", but here ",
 Cell[BoxData[
  FormBox["s", TraditionalForm]]],
 " could be almost as large as ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". By proposition 3.2, we can decode the message by the operation\n\n        \
          ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"y", " ", "\[RightArrow]", " ", "x"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["y", "s"], "  ", 
     RowBox[{"(", 
      RowBox[{"Mod", " ", "n"}], ")"}]}]}], TraditionalForm]]],
 ".\n\nThis operation \"undoes\" the encryption, since we know that\n\n       \
  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      SuperscriptBox["x", "r"], ")"}], "s"], " ", "=", " ", 
    RowBox[{"x", "  ", 
     RowBox[{"(", 
      RowBox[{"Mod", " ", "n"}], ")"}]}]}], TraditionalForm]]],
 "   if   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"r", "\[CenterDot]", "s"}], " ", "=", " ", 
    RowBox[{"1", "  ", 
     RowBox[{"(", 
      RowBox[{"Mod", " ", 
       RowBox[{"\[Phi]", "(", "n", ")"}]}], ")"}]}]}], TraditionalForm]]],
 ".\n\nHow does this solve both of the problems of the Mod 33 code? First of \
all, instead of encrypting a letter at a time, ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is large enough for us to encrypt an entire line at a time. For example, \
the message\n\n                       CAN YOU READ THIS \n\ncan be encrypted \
by the single number\n\n               0301140025152100180501040020080919.\n\n\
Notice that every two digits of this number represent one letter, according \
to the same code we had before. This eliminates the problem of one number \
having a higher occurance frequency, as in the Mod 33 code.\n\nThe other \
problem with the Mod 33 code is that everyone who knew how to encrypt the \
message could also decode a message. Is the the case when ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is large? In order to decode a message, one must know the value of ",
 Cell[BoxData[
  FormBox["s", TraditionalForm]]],
 ", which is given by the inverse of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", "    ", "Mod", " ", 
    RowBox[{"\[Phi]", "(", "n", ")"}]}], TraditionalForm]]],
 ". This is easy to do with ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " once ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "n", ")"}], TraditionalForm]]],
 " is known, but how difficult it is to find ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "n", ")"}], TraditionalForm]]],
 "! One needs to know the prime factorization of ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", which would be about 160 digits long. In fact, adding 2 digits to ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["q", TraditionalForm]]],
 " makes the factorization 10 times harder.  So by making the prime numbers \
even larger, we can be assured that the factorization connot be done within \
one's lifetime. Thus, only the person who originated the prime numbers ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["q", TraditionalForm]]],
 " could come up with the value of ",
 Cell[BoxData[
  FormBox["s", TraditionalForm]]],
 ". \n\nThis encyption scheme is called the RSA encyption, which is an \
abbreviation of Rivest-Shamir-Adleman, the three mathematicians who came up \
with this scheme. There are ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " routines set up in this notebook that allow us to experiment with RSA \
encyption.\n\nSuppose that a friend wishes to send a completely confidential \
message, but that all correspondance between you and your friend were being \
monitored.\n\nThe first step is for you to come up with 2 very large primes \
of 80 digits or more. Even though ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " cannot factor large numbers, it does have a secret way of testing whether \
a number is prime. The function\n\nNextPrime[",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "]\n\nuses this feature to find the next prime number after ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". So by entering two large random numbers, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can find two large random primes. Say you pick ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " to be"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365312588206253`*^9, 3.4365312589612503`*^9}, {
  3.4365312945393753`*^9, 3.4365313046956253`*^9}, {3.44148328578125*^9, 
  3.44148338953125*^9}}],

Cell[CellGroupData[{

Cell["\<\
p = NextPrime[
123456789012345678901234567890123456789012345678901234567890123456789012345678\
90]\
\>", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier New",
 FontSize->9,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[\
"12345678901234567890123456789012345678901234567890123456789012345678901234567\
997"], "Output",
 CellChangeTimes->{3.4365313222425003`*^9, 3.4425887835708876`*^9}]
}, Open  ]],

Cell[TextData[{
 "and pick ",
 Cell[BoxData[
  FormBox["q", TraditionalForm]]],
 " to be"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
q = NextPrime[
987654321098765432109876543210987654321098765432109876543210987654321098765432\
10]\
\>", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier New",
 FontSize->9,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[\
"98765432109876543210987654321098765432109876543210987654321098765432109876543\
391"], "Output",
 CellChangeTimes->{3.4365313343518753`*^9, 3.4425887861490126`*^9}]
}, Open  ]],

Cell[TextData[{
 "These numbers aren't too random, but they will do.\n\nNext, multiply the \
two numbers together, and tell your friend the product ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["n = p q", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[\
"12193263113702179522618503273386678859451150739156363359236761164455788599298\
917889041106664075578553924704644144185143289589982216476145010399329179915104\
57827"], "Output",
 CellChangeTimes->{3.4365313529300003`*^9, 3.4425887930240126`*^9}]
}, Open  ]],

Cell[TextData[{
 "Also give your friend a 4 digit number ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " which happens to be coprime to both ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"p", "-", "1"}], ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"q", "-", "1"}], ")"}], TraditionalForm]]],
 ". Simply find a 4 digit prime which does not happen to be a factor of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"p", "-", "1"}], ")"}], "\[CenterDot]", 
    RowBox[{"(", 
     RowBox[{"q", "-", "1"}], ")"}]}], TraditionalForm]]],
 ". \n\nHere is a random (or maybe not so random) four digit prime number:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["r = NextPrime[1234]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData["1237"], "Output",
 CellChangeTimes->{3.4365313582268753`*^9, 3.4425887960240126`*^9}]
}, Open  ]],

Cell[TextData[{
 "Now check to make sure this is not a factor of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"p", "-", "1"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"q", "-", "1"}], ")"}]}], TraditionalForm]]],
 ":"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["GCD[(p-1)(q-1),r]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{3.4365313629612503`*^9, 3.4425887982427626`*^9}]
}, Open  ]],

Cell[TextData[{
 "Since the GCD is 1, ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " is coprime to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"p", "-", "1"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"q", "-", "1"}], ")"}]}], TraditionalForm]]],
 ". Even if this communication is monitored, only the value of ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", not the ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["q", TraditionalForm]]],
 " which generated it, would be known to any spies. \n\nNext tell your friend \
to convert the message to a number. \nThere are routines in this notebook for \
converting messages numbers quickly. They are \n\nMessageToNumber[ \
\"Message\" ]\n\nand\n\nNumberToMessage[ Number ]\n\nNote that the message \
has to be put in quotation marks. Therefore, we can find the number \
corresponding to \"HERE IS A MESSAGE\" by typing"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["x = MessageToNumber[\"HERE IS A MESSAGE\"]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4365313794612503`*^9, 3.4365313807425003`*^9}},
 AspectRatioFixed->True],

Cell[BoxData["805180500091900010013051919010705"], "Output",
 CellChangeTimes->{3.4365313815862503`*^9, 3.4425888025240126`*^9}]
}, Open  ]],

Cell["We can then convert this back to a message with the command", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["NumberToMessage[x]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4365313884768753`*^9, 3.4365313887425003`*^9}},
 AspectRatioFixed->True],

Cell[BoxData["\<\"HERE IS A MESSAGE\"\>"], "Output",
 CellChangeTimes->{3.4365313893362503`*^9, 3.4425888047896376`*^9}]
}, Open  ]],

Cell[TextData[{
 "Encripting this messege is accomplished by raising ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " to the ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 "-th power modulo ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ".  This is done by the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " command ",
 StyleBox["PowerMod",
  FontWeight->"Bold"],
 ". The format for this command is\n\nPowerMod[a, b, n] = ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SuperscriptBox["a", "b"],
     TraditionalForm], "  ", 
    RowBox[{"(", 
     RowBox[{"Mod", " ", "n"}], ")"}]}], TraditionalForm]]],
 ".\n\nIt can compute such powers very quickly. "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365314498362503`*^9, 3.4365314884768753`*^9}, {
  3.4365315763518753`*^9, 3.4365315829768753`*^9}, {3.4365316666331253`*^9, 
  3.4365317126800003`*^9}}],

Cell[CellGroupData[{

Cell["y = PowerMod[x,r,n]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4365313884768753`*^9, 3.4365313887425003`*^9}, {
  3.4365315127112503`*^9, 3.4365315349612503`*^9}},
 AspectRatioFixed->True],

Cell[BoxData[\
"14724730500997597506102032344396082021733211823548530129332813791066600978417\
459038796026101371461452068807307578158603900047682557615537714560428275405896\
9344"], "Output",
 CellChangeTimes->{3.4365313893362503`*^9, 3.4365315355393753`*^9, 
  3.4425888087115126`*^9}]
}, Open  ]],

Cell["\<\
Suppose your friend has done this operation with a different message, giving \
you the answer\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365315638675003`*^9, 3.4365316346331253`*^9}}],

Cell[CellGroupData[{

Cell["\<\
y = 69557405147024406870611426657425604382775606544074703238\\
770078844683078352538833128853882711316059576508050596669314\\
3199918635215093570816224139063616551830794\
\>", "Input",
 PageWidth->Infinity],

Cell[BoxData[\
"69557405147024406870611426657425604382775606544074703238770078844683078352538\
833128853882711316059576508050596669314319991863521509357081622413906361655183\
0794"], "Output",
 CellChangeTimes->{3.4365316228050003`*^9, 3.4425888113677626`*^9}]
}, Open  ]],

Cell[TextData[{
 "How do you decode this message?\n\nFirst, find the number s which is the \
inverse of ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " modulo ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"p", "-", "1"}], ")"}], "\[CenterDot]", 
    RowBox[{"(", 
     RowBox[{"q", "-", "1"}], ")"}]}], TraditionalForm]]],
 ". This is given by"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365316789612503`*^9, 3.4365317327268753`*^9}}],

Cell[CellGroupData[{

Cell["s = PowerMod[r, -1, (p-1)(q-1)]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[\
"11660978386022375404412036679398901447640025322895697537572423975384961934495\
245390696189104411451174736039742447960049515069122583627190876869815664169866\
02133"], "Output",
 CellChangeTimes->{{3.4365317391018753`*^9, 3.4365317530862503`*^9}, 
   3.4425888141021376`*^9}]
}, Open  ]],

Cell[TextData[{
 "This is the secret \"key\" to the code. Because the spies only know the \
values of ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 ", there is no way for them to factor ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " to come up with ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["q", TraditionalForm]]],
 ". So this value ",
 Cell[BoxData[
  FormBox["s", TraditionalForm]]],
 " will still be a secret.\n\nNext, compute   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["y", "s"], " ", 
    RowBox[{"(", 
     RowBox[{"Mod", " ", "n"}], ")"}]}], TraditionalForm]]],
 "  using the command"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["x = PowerMod[y,s,n]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[\
"13555570006355005170003740333000669363930052555859645400705855006958555493"],\
 "Output",
 CellChangeTimes->{3.4365317889143753`*^9, 3.4425888161958876`*^9}]
}, Open  ]],

Cell["Finally, the command", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["NumberToMessage[x]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData["\<\"Meet me at 7:30 p.m. behind the shed.\"\>"], "Output",
 CellChangeTimes->{3.4365317910081253`*^9, 3.4425888188365126`*^9}]
}, Open  ]],

Cell[TextData[{
 "puts the message into readable form. With ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", this code becomes easy to use!\n\nThere are many other applications to \
this code besides sending secret messages. For example, suppose to get an \
account at the Electronic Bank, you are asked to pick two large random prime \
numbers, ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["q", TraditionalForm]]],
 ". The bank then gives you the account number ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"n", " ", "=", " ", 
     RowBox[{"p", "\[CenterDot]", "q"}]}], ","}], TraditionalForm]]],
 " and a number ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 ", and publishes these. The bank then gives you the number ",
 Cell[BoxData[
  FormBox["s", TraditionalForm]]],
 " \nwhich will be the inverse of ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", 
    RowBox[{"\[Phi]", "(", "n", ")"}], "*"], TraditionalForm]]],
 ". Now you can \nuse the number ",
 Cell[BoxData[
  FormBox["s", TraditionalForm]]],
 " to ",
 StyleBox["decode",
  FontSlant->"Italic"],
 " a message such as        "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
MessageToNumber[
\"Check 1034:  Pay to the order of John Brown $43.50\"]\
\>", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[\
"35855536100313033344000001651750070650070585500656854556800655600106558640002\
6865736400833433933530"], "Output",
 CellChangeTimes->{3.4425888226021376`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["PowerMod[%,s,n]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[\
"75988620333380419175786780439758234015888858383083768972777759850158788227670\
494169489490389712206354728907657364155336042707505689982470000036918633047949\
9918"], "Output",
 CellChangeTimes->{3.4425888244615126`*^9}]
}, Open  ]],

Cell["\<\
You can send this number to John Brown, along with your account number. Then \
he, his bank, and anyone else who needs to know, can verify what this says as \
follows:\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["PowerMod[%,r,n]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[\
"35855536100313033344000001651750070650070585500656854556800655600106558640002\
6865736400833433933530"], "Output",
 CellChangeTimes->{3.4425888264146376`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["NumberToMessage[%]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData["\<\"Check 1034:  Pay to the order of John Brown $43.50\"\>"], \
"Output",
 CellChangeTimes->{3.4425888283052626`*^9}]
}, Open  ]],

Cell[TextData[{
 "What does this prove? The only person knowing the number ",
 Cell[BoxData[
  FormBox["s", TraditionalForm]]],
 " sent this message, which would be the owner of the account. The fact that \
the message was so encoded becomes a ",
 StyleBox["signature",
  FontSlant->"Italic"],
 " to the check. Using this method, one can send an \"electronic check\" \
(even through the e-mail) that is impossible to forge."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[CellGroupData[{

Cell["Normal Subgroups", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "When we defined left cosets and right cosets, we were in essence defining \
how we could take an element of a group ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " and multiply it with a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ". But this definition can apply to any sub",
 StyleBox["set",
  FontSlant->"Italic"],
 " of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ". That is, if ",
 Cell[BoxData[
  FormBox["X", TraditionalForm]]],
 " is any subset of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", we can define\n\n                      ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"X", " ", "u"}], " ", "=", " ", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"x", "\[CenterDot]", "u"}], "  ", "|", "  ", 
      RowBox[{"x", " ", "\[Element]", " ", "X"}]}], "}"}]}], 
   TraditionalForm]]],
 ",\n                      ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"u", " ", "X"}], " ", "=", " ", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"u", "\[CenterDot]", "x"}], "  ", "|", "  ", 
      RowBox[{"x", " ", "\[Element]", " ", "X"}]}], "}"}]}], 
   TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4425888388521376`*^9, 3.4425888417896376`*^9}}],

Cell[TextData[{
 "We can also, using the same idea, multiply two subsets of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " together. If ",
 Cell[BoxData[
  FormBox["X", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["Y", TraditionalForm]]],
 " are two subsets of a group ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", we can define\n\n                    ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"X", "\[CenterDot]", "Y"}], " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "\[CenterDot]", "y"}], "  ", "|", "  ", 
      RowBox[{"x", " ", "\[Element]", " ", 
       RowBox[{"X", "   ", "and", "   ", "y"}], " ", "\[Element]", " ", 
       "Y"}]}], "}"}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.4365318510393753`*^9, {3.4425888463990126`*^9, 3.4425888484771376`*^9}}],

Cell[TextData[{
 "We find that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", "u", "}"}], "\[CenterDot]", "X"}], TraditionalForm]]],
 " is the same thing as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"u", " ", "X"}], TraditionalForm]]],
 ", so this definition is consistent with the previous definitions.\n\nSince \
multiplication is associative, we also have\n\n                     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"X", "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"Y", "\[CenterDot]", "Z"}], ")"}]}], " ", "=", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"X", "\[CenterDot]", "Y"}], ")"}], "\[CenterDot]", "Z"}]}], 
   TraditionalForm]]],
 ".\n\nThis raises some interesting questions. If ",
 Cell[BoxData[
  FormBox["X", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["Y", TraditionalForm]]],
 " are subgroups of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", will ",
 Cell[BoxData[
  FormBox[
   RowBox[{"X", "\[CenterDot]", "Y"}], TraditionalForm]]],
 " be a subgroup? Suppose ",
 Cell[BoxData[
  FormBox["X", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["Y", TraditionalForm]]],
 " are cosets of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " with respect to a subgroup ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ". Will ",
 Cell[BoxData[
  FormBox[
   RowBox[{"X", "\[CenterDot]", "Y"}], TraditionalForm]]],
 " be a coset of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 "?  \n\nOne way to answer these questions is to experiment! If we have two \
subsets of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", (which ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " represents as a list of elements in curly braces), we can multiply the \
sets together using the same operator (the period).\n\nLet's pick a group \
large enough to see some patterns.  Execute the following command to load the \
octahedral group."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365319289612503`*^9, 3.4365319290706253`*^9}}],

Cell[CellGroupData[{

Cell["\<\
InitGroup[e]; Define[a^2,e]; Define[b^3,e]; Define[c^4,e]
Define[1/a,a]; Define[1/b,b^2]; Define[1/c,c^3]
Define[b.a,a.b.b]; Define[c.a,a.b.c]; Define[c.b,a.c.c]
G = Group[{a,b,c}]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4365322315550003`*^9, 3.4365322799768753`*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", "a", ",", "b", ",", "c", ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`b, $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`b, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`c, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4365322967112503`*^9, 3.4365329337581253`*^9, 
  3.441484372*^9, 3.4425888589302626`*^9}]
}, Open  ]],

Cell["\<\
Recall that this group has order 24. There are many subgroups in this group. \
Let us find a few.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["H = Group[{c}]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4365323149143753`*^9, 3.4365323154143753`*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", "c", ",", 
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`c, $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4365323492112503`*^9, 3.4365329365862503`*^9, 
  3.441484374734375*^9, 3.4425888611333876`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["K = Group[{b.c}]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4365323180550003`*^9, 3.4365323184925003`*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4365323510081253`*^9, 3.4365329383362503`*^9, 
  3.44148438140625*^9, 3.4425888627583876`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["L = Group[{a.b.c.c}]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4365324378831253`*^9, 3.4365324387581253`*^9}, {
  3.4365325475393753`*^9, 3.4365325482737503`*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4365323603362503`*^9, 3.4365329399612503`*^9, 
  3.441484385921875*^9, 3.4425888643677626`*^9}]
}, Open  ]],

Cell["\<\
We have found three groups of order 4. What happens if we multiply two of \
them together?\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["H.K", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4365323532893753`*^9, 3.4365323558362503`*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"c", ",", "e", ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`c, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4365323563050003`*^9, 3.4365329420393753`*^9, 
  3.44148439021875*^9, 3.4425888666958876`*^9}]
}, Open  ]],

Cell["Looks like a lot of elements! Let's count them.  ", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Length[%]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData["16"], "Output",
 CellChangeTimes->{3.4365323652112503`*^9, 3.4365329442425003`*^9, 
  3.4425888689615126`*^9}]
}, Open  ]],

Cell[TextData[{
 "So ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "K"}], TraditionalForm]]],
 " has 16 elements. Apparently, each element of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", when multiplied by an element in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", produces a unique element.  \n\nIs ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "K"}], TraditionalForm]]],
 " a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 "? Lagrange's theorem (3.1) quickly tells us ",
 StyleBox["no!",
  FontSlant->"Italic"],
 "  Since 16 does not divide 24, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "K"}], TraditionalForm]]],
 " is not a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", in spite of the fact that ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " are."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365323735550003`*^9, 3.4365324256018753`*^9}}],

Cell[TextData[{
 "EXPERIMENT:\nTry working multiplying two other subgroups of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ". Consider for example ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "\[CenterDot]", "H"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "L"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"L", "\[CenterDot]", "H"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "\[CenterDot]", "L"}], TraditionalForm]]],
 ", or ",
 Cell[BoxData[
  FormBox[
   RowBox[{"L", "\[CenterDot]", "K"}], TraditionalForm]]],
 ". Do any of these form subgroups of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 "?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365324438987503`*^9, 3.4365324715862503`*^9}, {
  3.4365325544768753`*^9, 3.4365325666800003`*^9}}],

Cell[TextData[{
 "Suppose instead that ",
 Cell[BoxData[
  FormBox["X", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["Y", TraditionalForm]]],
 " are both cosets of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " with respect to a subgroup ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ". We can let again let ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " be the group generated by the element ",
 Cell[BoxData[
  FormBox["c", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365329798987503`*^9, 3.4365329845393753`*^9}}],

Cell[CellGroupData[{

Cell["H = Group[{c}]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", "c", ",", 
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`c, $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4365325134456253`*^9, 3.4365329485550003`*^9, 
  3.4425888725552626`*^9}]
}, Open  ]],

Cell["Here are the right and left cosets:", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["RtCoset[G,H]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.436526640828125*^9},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`b, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "c", ",", 
     InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`c, $CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[
          
          Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4365325155706253`*^9, 3.4365329878675003`*^9, 
  3.4425888743052626`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["LftCoset[G,H]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.436526623515625*^9},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", 
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "c", ",", 
     InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`c, $CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`b, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[
          
          Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4365325174300003`*^9, 3.4365329901487503`*^9, 
  3.4425888776802626`*^9}]
}, Open  ]],

Cell["\<\
As expected, the left and right cosets are different, since the group is not \
commutative. Let's pick two right cosets:\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["X = {b, a.c.c, b.b.c, a.b.c.c.c}", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4365330350081253`*^9, 3.4365330356800003`*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"b", ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`b, $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c], \
$CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4365325858206253`*^9, 3.4365330363831253`*^9, 
  3.4425888856021376`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Y = {a.c, b.b, a.b.c.c, b.c.c.c}", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4365330390393753`*^9, 3.4365331196018753`*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4365325838518753`*^9, 3.4365331206018753`*^9, 
  3.4425888878365126`*^9}]
}, Open  ]],

Cell["Now, let's see if the product gives us anything useful.", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["X.Y", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"a", ",", "b", ",", "c", ",", "e", ",", 
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`b, $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`b, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`c, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4365331318206253`*^9, 3.4425888912427626`*^9}]
}, Open  ]],

Cell["Let's find the length of this mess.", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Length[%]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData["16"], "Output",
 CellChangeTimes->{3.4365331337737503`*^9, 3.4425888936802626`*^9}]
}, Open  ]],

Cell["\<\
Not only can this fail to be a subgroup, but this cannot be a coset of a \
subgroup. Do we have any better luck with left cosets? Let's try it.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Z = {a, a.c , a.c.c , a.c.c.c}", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4365335556018753`*^9, 3.4365335618518753`*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"a", ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{{3.4365335527737503`*^9, 3.4365335659300003`*^9}, 
   3.4425888963833876`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["W = {b, b.c , b.c.c , b.c.c.c}", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4365335586018753`*^9, 3.4365335638518753`*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"b", ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`b, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4365335680081253`*^9, 3.4425888982896376`*^9}]
}, Open  ]],

Cell["Well, here goes nothing!", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Z.W", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"b", ",", "c", ",", "e", ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`b, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`c, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4365335696487503`*^9, 3.4425889004927626`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Length[%]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData["16"], "Output",
 CellChangeTimes->{3.4365335735393753`*^9, 3.4425889022740126`*^9}]
}, Open  ]],

Cell["\<\
That didn't seem to produce anything useful either. But before we give up \
completely, suppose we multiply a left coset by a right coset.  \
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["W.Y", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4365335848206253`*^9, 3.4365336000706253`*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c], \
$CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4365336006800003`*^9, 3.4425889055708876`*^9}]
}, Open  ]],

Cell["\<\
That looks more promising. If fact, this is a subgroup!  Compare this with\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365336103831253`*^9, 3.4365336372112503`*^9}}],

Cell[CellGroupData[{

Cell["Group[{a.c.c}]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4365336238206253`*^9, 3.4365336273831253`*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c], \
$CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4365336288987503`*^9, 3.4425889103052626`*^9}]
}, Open  ]],

Cell[TextData[{
 "to see that they are the same. \n\nEXPERIMENT:\nTry other combinations of a \
left coset times a right coset, such as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"Z", "\[CenterDot]", "X"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"Z", "\[CenterDot]", "Y"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"W", "\[CenterDot]", "X"}], TraditionalForm]]],
 ". How many elements do these have? Are any of them subgroups? Are any or \
them cosets of some subgroup?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365336559612503`*^9, 3.4365336669768753`*^9}}],

Cell[TextData[{
 "This experiment indicates that there might be some promise in exploring the \
products of ",
 StyleBox["left",
  FontSlant->"Italic"],
 " cosets times ",
 StyleBox["right",
  FontSlant->"Italic"],
 " cosets. Let's try another example to see if we can determine a pattern. \n\
\nEnter in the group"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["M = Group[{a.b.b.c,c.c}]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", 
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4365336892737503`*^9, 3.4425889155552626`*^9}]
}, Open  ]],

Cell[TextData[{
 "This is also a group of order 4. Let's find the right and left cosets of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " with respect to this group."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["RtCoset[G, M]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.436526643484375*^9},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`b, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`c, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", 
     InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[
          
          Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4365336945706253`*^9, 3.4425889180708876`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["LftCoset[G, M]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.436526626625*^9},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`b, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`c, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", 
     InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[
          
          Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4365336964456253`*^9, 3.4425889202740126`*^9}]
}, Open  ]],

Cell[TextData[{
 "There is more of a pattern in the cosets with ",
 StyleBox["this",
  FontSlant->"Italic"],
 " subgroup. Look carefully. The right and left cosets are the same!  \n\n\
This particular subgroup allows us to explore more patterns. Because any left \
coset is also a right coset, they are interchangeable. We saw before that a \
left coset times a right coset produced something that looked like a coset. \
But in this case, left and right cosets are the same so let's try multiplying \
two of these together. Here are three of the cosets:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["H = {a, a.c.c, b.b.c, b.b.c.c.c}", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4365337245237503`*^9, 3.4365337262112503`*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"a", ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`b, $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c], \
$CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4425889279458876`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["K = {b, a.b.c, b.c.c, a.b.c.c.c}", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4365337301331253`*^9, 3.4365337305550003`*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"b", ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`b, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c], \
$CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4425889298833876`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["L = {c, c.c.c, a.b.b, a.b.b.c.c}", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4365338273987503`*^9, 3.4365338278050003`*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"c", ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`c, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c], \
$CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4425889315083876`*^9}]
}, Open  ]],

Cell["Here is the product of the first two:", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["H.K", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4365338337581253`*^9, 3.4365338380237503`*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4425889336490126`*^9}]
}, Open  ]],

Cell[TextData[{
 "This looks like another coset. In fact, you can check that this is \
identical to the coset of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " second from the last."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "EXPERIMENT:\nTry other multiplications of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ", such as ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"K", "\[CenterDot]", "H"}], ","}], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", "\[CenterDot]", "L"}], ","}], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{"L", "\[CenterDot]", "H"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"K", "\[CenterDot]", "L"}], ","}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"L", "\[CenterDot]", "K"}], TraditionalForm]]],
 ". Do all of these products form cosets? "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365338831800003`*^9, 3.4365339291800003`*^9}}],

Cell[TextData[{
 "Because the subgroup ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 " has such special properties, we will give a special name for this type of \
group.\n\nDEFINITION 3.3\nA subgroup ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " of the group ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " is said to be ",
 StyleBox["normal",
  FontSlant->"Italic"],
 " if all left cosets are also right cosets, and conversely, all right cosets \
are also left cosets. That is, ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is normal if ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"G", "/", "H"}], " ", "=", " ", 
    RowBox[{"H", "\\", 
     RowBox[{"G", "."}]}]}], TraditionalForm]]],
 "\n\nWe need a quick way to check whether a subgroup is normal, and the \
following propositions provides us with one.\n\nPROPOSITION 3.3\nA subgroup \
",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " if, and only if, \n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"u", " ", "H", " ", 
     SuperscriptBox["u", 
      RowBox[{"-", "1"}]]}], " ", "=", " ", "H"}], TraditionalForm]]],
 " for all elements ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".  "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365339369768753`*^9, 3.4365339569925003`*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "First of all, suppose ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is normal, and let ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " be an element of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".  Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"u", " ", "H"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", " ", "u", " "}], TraditionalForm]]],
 "both contain the element ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 ".  Since the left and right cosets are the same, we have\n\n                \
                         ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"u", " ", "H"}], " ", "=", " ", 
    RowBox[{"H", " ", "u"}]}], TraditionalForm]]],
 "\n\nMultiplying both sides on the right by ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["u", 
    RowBox[{"-", "1"}]], TraditionalForm]]],
 " gives\n  \n                           ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"u", " ", "H", " ", 
      SuperscriptBox["u", 
       RowBox[{"-", "1"}]]}], " ", "=", " ", 
     RowBox[{
      RowBox[{"H", " ", 
       RowBox[{"u", "\[CenterDot]", 
        SuperscriptBox["u", 
         RowBox[{"-", "1"}]]}]}], " ", "=", " ", "H"}]}]}], 
   TraditionalForm]]],
 ".\n\nNow, suppose that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"u", " ", "H", " ", 
     SuperscriptBox["u", 
      RowBox[{"-", "1"}]]}], " ", "=", " ", "H"}], TraditionalForm]]],
 " for all elements ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".  Then\n\n                      ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", " ", "u"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"u", " ", "H", " ", 
      RowBox[{
       SuperscriptBox["u", 
        RowBox[{"-", "1"}]], "\[CenterDot]", "u"}]}], " ", "=", " ", 
     RowBox[{
      RowBox[{"u", " ", "H", " ", "e"}], " ", "=", " ", 
      RowBox[{"u", " ", "H"}]}]}]}], TraditionalForm]]],
 ".\n\nThus, every left coset is also a right coset, and vice versa."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "PROPOSITION 3.4\nLet ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " be a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is normal if, and only if, \n\n                                      ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"u", " ", "H", " ", 
     SuperscriptBox["u", 
      RowBox[{"-", "1"}]]}], "  ", "\[SubsetEqual]", " ", "H", " "}], 
   TraditionalForm]]],
 "   \n              \nfor all elements ",
 Cell[BoxData[
  FormBox[
   RowBox[{"u", " ", "\[Element]", " ", "G"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365340092893753`*^9, 3.4365340243831253`*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "The \"only if\" part of this statement is obvious from proposition 3.3.  So \
let us suppose that for all ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ",\n\n                                                ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"u", " ", "H", " ", 
     SuperscriptBox["u", 
      RowBox[{"-", "1"}]]}], " ", "\[SubsetEqual]", " ", "H"}], 
   TraditionalForm]]],
 ".\n                                                \nHowever, since",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       SuperscriptBox["u", 
        RowBox[{"-", "1"}]], ")"}], 
      RowBox[{"-", "1"}]], " ", "=", " ", "u"}]}], TraditionalForm]]],
 ", we have \n\n                                   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["u", 
      RowBox[{"-", "1"}]], " ", "H", " ", "u"}], "  ", "=", " ", 
    RowBox[{
     RowBox[{
      SuperscriptBox["u", 
       RowBox[{"-", "1"}]], "H", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        SuperscriptBox["u", 
         RowBox[{"-", "1"}]], ")"}], 
       RowBox[{"-", "1"}]]}], " ", "\[SubsetEqual]", " ", "H"}]}], 
   TraditionalForm]]],
 ".\n                                   \nMultiplying every element in the \
set by ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " on the left gives us  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", " ", "u"}], "  ", "\[SubsetEqual]", " ", 
    RowBox[{"u", " ", "H"}]}], TraditionalForm]]],
 ", and multiplying on the right by ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["u", 
    RowBox[{"-", "1"}]], TraditionalForm]]],
 " gives us  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "  ", "\[SubsetEqual]", " ", 
    RowBox[{"u", " ", "H", " ", 
     SuperscriptBox["u", 
      RowBox[{"-", "1"}]]}]}], TraditionalForm]]],
 ". Since we also have that  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"u", " ", "H", " ", 
     SuperscriptBox["u", 
      RowBox[{"-", "1"}]]}], " ", "\[SubsetEqual]", " ", "H"}], 
   TraditionalForm]]],
 ",  we can conclude that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"u", " ", "H", " ", 
     SuperscriptBox["u", 
      RowBox[{"-", "1"}]]}], " ", "=", " ", "H"}], TraditionalForm]]],
 ".  Then from proposition 3.3, ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is normal."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365340400862503`*^9, 3.4365340402112503`*^9}, {
  3.4365340703206253`*^9, 3.4365340704612503`*^9}}]
}, Open  ]],

Cell[TextData[{
 "\nWe have already seen one example of a normal subgroup, but there are many \
others. For example, if ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " is any group, then the subgroups ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", "e", "}"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " are normal. These normal subgroups are said to be ",
 Cell[BoxData[
  FormBox["trivial", TraditionalForm]],
  FontSlant->"Italic"],
 ".\n\nIf, on the other hand, ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " is commutative, then any subgroup will be a normal subgroup.  \n\nWe \
conclude this section with a simple observation.\n\nPROPOSITION 3.5\nIf ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " with index 2, then ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is a normal subgroup."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365341002268753`*^9, 3.4365341013831253`*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Since ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " with index 2, there are two left cosets, and two right cosets.  One of the \
left cosets is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"e", " ", "H"}], TraditionalForm]]],
 ", which is the set of elements in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ".  The other left coset must then be the set of elements not in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ".  But the same thing is true for the right cosets, so the left and right \
cosets are the same.  Thus, ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is normal."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Quotient Groups", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "When we were experimenting with multiplying cosets together, it seemed that \
if the subgroup ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " was a normal subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", then the products of two cosets gave us another coset. We will now \
examine why this is true.\n\nLEMMA 3.3\nIf ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", then the product of two cosets of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " is a coset of ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 ". In fact, \n\n                     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"a", " ", 
     RowBox[{"N", "\[CenterDot]", "b"}], " ", "N"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"a", "\[CenterDot]", "b"}], ")"}], 
     RowBox[{"N", "."}]}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365341320862503`*^9, 3.4365341331487503`*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We simply observe that \n   \n           ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"a", " ", 
     RowBox[{"N", "\[CenterDot]", "b"}], " ", "N"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"a", "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"N", " ", "b"}], ")"}], "\[CenterDot]", "N"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"a", "\[CenterDot]", 
       RowBox[{"(", 
        RowBox[{"b", " ", "N"}], ")"}], "\[CenterDot]", "N"}], " ", "=", " ", 
      
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"a", "\[CenterDot]", "b"}], ")"}], "\[CenterDot]", 
        RowBox[{"(", 
         RowBox[{"N", "\[CenterDot]", "N"}], ")"}]}], " ", "=", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"a", "\[CenterDot]", "b"}], ")"}], "N"}]}]}]}]}], 
   TraditionalForm]]],
 ".\n\nNote that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"N", " ", "b"}], " ", "=", " ", 
    RowBox[{"b", " ", "N"}]}], TraditionalForm]]],
 " because ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " is a normal subgroup."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "This proposition is very suggestive. Since we can multiply two cosets \
together, can the set of all cosets form another group? This, in fact, is \
exactly what happens. \n\nTHEOREM 3.2:  THE QUOTIENT GROUP THEOREM\nLet ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " be a normal subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ". Then the set of all cosets is a group, which is denoted by ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "N"}], TraditionalForm]]],
 ", called the ",
 StyleBox["quotient group",
  FontSlant->"Italic"],
 " of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " with respect to ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365342342268753`*^9, 3.4365342344143753`*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We simply have to check that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "N"}], TraditionalForm]]],
 " satisfies the four requirements in definition 1.3.  The closure property \
is given by lemma 3.3.  To check associativity:\n\n ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"a", " ", 
      RowBox[{"N", "\[CenterDot]", 
       RowBox[{"(", 
        RowBox[{"b", " ", 
         RowBox[{"N", "\[CenterDot]", "c"}], " ", "N"}], ")"}]}]}], " ", "=", 
     " ", 
     RowBox[{
      RowBox[{"a", " ", 
       RowBox[{"N", "\[CenterDot]", 
        RowBox[{"(", 
         RowBox[{"b", "\[CenterDot]", "c"}], ")"}]}], "N"}], " ", "=", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"a", "\[CenterDot]", 
          RowBox[{"(", 
           RowBox[{"b", "\[CenterDot]", "c"}], ")"}]}], ")"}], "N"}], " ", 
       "=", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"a", "\[CenterDot]", "b"}], ")"}], "\[CenterDot]", "c"}], 
          ")"}], "N"}], " ", "=", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"a", "\[CenterDot]", "b"}], ")"}], 
          RowBox[{"N", "\[CenterDot]", "c"}], " ", "N"}], " ", "=", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"a", " ", 
             RowBox[{"N", "\[CenterDot]", "b"}], " ", "N"}], ")"}], 
           "\[CenterDot]", "c"}], " ", 
          RowBox[{"N", "."}]}]}]}]}]}]}]}], TraditionalForm]]],
 ".\n\nThe identity element is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"e", " ", "N"}], " ", "=", " ", "N"}], TraditionalForm]]],
 ", and we can check that\n\n     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"e", " ", 
      RowBox[{"N", "\[CenterDot]", "a"}], " ", "N"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"e", "\[CenterDot]", "a"}], ")"}], "N"}], " ", "=", " ", 
      RowBox[{"a", " ", "N"}]}]}], ",", "     ", 
    RowBox[{
     RowBox[{"and", "       ", "a", " ", 
      RowBox[{"N", "\[CenterDot]", "e"}], " ", "N"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"a", "\[CenterDot]", "e"}], ")"}], "N"}], " ", "=", " ", 
      RowBox[{"a", " ", "N"}]}]}]}], TraditionalForm]]],
 ".\n\nFinally, the inverse of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", " ", "N"}], TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["a", 
     RowBox[{"-", "1"}]], "N"}], TraditionalForm]]],
 ", since\n    \n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"a", " ", 
      RowBox[{"N", "\[CenterDot]", 
       SuperscriptBox["a", 
        RowBox[{"-", "1"}]]}], "N"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"a", "\[CenterDot]", 
         SuperscriptBox["a", 
          RowBox[{"-", "1"}]]}], ")"}], "N"}], " ", "=", " ", 
      RowBox[{
       RowBox[{"e", " ", "N"}], " ", "=", " ", "N"}]}]}], ",", "   ", 
    RowBox[{
     RowBox[{"and", "   ", 
      SuperscriptBox["a", 
       RowBox[{"-", "1"}]], 
      RowBox[{"N", "\[CenterDot]", "a"}], " ", "N"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["a", 
          RowBox[{"-", "1"}]], "\[CenterDot]", "a"}], ")"}], "N"}], " ", "=", 
      " ", 
      RowBox[{
       RowBox[{"e", " ", "N"}], " ", "=", " ", "N"}]}]}]}], 
   TraditionalForm]]],
 ".\n   \nThus, the set of all cosets forms a group."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365343451175003`*^9, 3.4365343574925003`*^9}}]
}, Open  ]],

Cell[TextData[{
 "Let us look at some examples.  One of the easiest groups to consider is the \
group of integers \[DoubleStruckCapitalZ], under addition. A subgroup of \
\[DoubleStruckCapitalZ] would consist of all multiples of ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 ", for some non-negative ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 ". (",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", "=", "0"}], TraditionalForm]]],
 "  and  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", "=", "1"}], TraditionalForm]]],
 "  gives us the two trivial subgroups.) Since \[DoubleStruckCapitalZ] is \
commutative, these subgroups are normal. What would the cosets look like? \
Each coset would consist of all numbers equivalent modulo ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 ". So there would be ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " cosets of ",
 Cell[BoxData[
  FormBox["k\[DoubleStruckCapitalZ]", TraditionalForm]]],
 " (except when ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", "=", "0"}], TraditionalForm]]],
 "). Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalZ]", "/", "k"}], " ", 
    "\[DoubleStruckCapitalZ]"}], TraditionalForm]]],
 " is essentially the same group as ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "k"], TraditionalForm]]],
 ".  \n\nIn the case of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "k"], TraditionalForm]]],
 ", we used modulo arithmetic as the group operator. In essence, the notation\
\n\n                       ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "\[Congruent]", " ", 
    RowBox[{"y", "  ", 
     RowBox[{"(", 
      RowBox[{"Mod", " ", "k"}], ")"}]}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 PageBreakAbove->True,
 CellChangeTimes->{{3.4365344100550003`*^9, 3.4365344125393753`*^9}}],

Cell[TextData[{
 "means that ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " belong in the same coset of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalZ]", "/", "k"}], " ", 
    "\[DoubleStruckCapitalZ]"}], TraditionalForm]]],
 ".  \n\nWe can extend this notation to any normal subgroup. We say that \"",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is equivalent ",
 Cell[BoxData[
  FormBox[
   RowBox[{"Mod", " ", "N"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 ",\" or\n\n                        ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "\[Congruent]", " ", 
    RowBox[{"y", "  ", 
     RowBox[{"(", 
      RowBox[{"Mod", " ", "N"}], ")"}]}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365344161175003`*^9, 3.4365344282268753`*^9}}],

Cell[TextData[{
 "to mean that ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " belong in the same coset of ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 ". It is easy to see that   \n\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "\[Congruent]", " ", 
    RowBox[{"y", " ", 
     RowBox[{"(", 
      RowBox[{"Mod", " ", "N"}], ")"}]}]}], TraditionalForm]]],
 " if, and only if,",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"x", "\[CenterDot]", 
      SuperscriptBox["y", 
       RowBox[{"-", "1"}]]}], "\[Element]", 
     RowBox[{"N", "."}]}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365344304612503`*^9, 3.4365345090706253`*^9}}],

Cell[TextData[{
 "The partitioning of the cosets makes it obvious that equivalence ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"Mod", " ", "N"}], ")"}], TraditionalForm]]],
 " satisfies the following three properties:\n\n1)  (Reflexive) Every element \
",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is equivalent to itself.\n2)  (Symmetric) If ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is equivalent to ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " is equivalent \n     to ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ".\n3)  (Transitive) If ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is equivalent to ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " in turn is \n     equivalent to ",
 Cell[BoxData[
  FormBox["z", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", Cell[""]}], TraditionalForm]]],
 "is equivalent to ",
 Cell[BoxData[
  FormBox["z", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365347101487503`*^9, 3.4365347920081253`*^9}, {
  3.44148559359375*^9, 3.4414856325*^9}}],

Cell[TextData[{
 "DEFINITION 3.4:\nAny relationship which satisfies these three properties is \
called an ",
 StyleBox["equivalence relationship",
  FontSlant->"Italic"],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365348019300003`*^9, 3.4365348127737503`*^9}}],

Cell["\<\
Let's look at another example. Consider the octahedronal group:\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365348019300003`*^9, 3.4365348147737503`*^9}}],

Cell[CellGroupData[{

Cell["\<\
InitGroup[e]; Define[a^2,e]; Define[b^3,e]; Define[c^4,e]
Define[1/a,a]; Define[1/b,b^2]; Define[1/c,c^3]
Define[b.a,a.b.b]; Define[c.a,a.b.c];Define[c.b,a.c.c]
G = Group[{a,b,c}]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4365376911331253`*^9, 3.4365377268206253`*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", "a", ",", "b", ",", "c", ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`b, $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`b, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`c, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4365377288050003`*^9, 3.4425889586646376`*^9}]
}, Open  ]],

Cell["We found one normal subgroup to this group, namely", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["M = {e, c.c, a.b.b.c, a.b.b.c.c.c}", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", 
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4365377335393753`*^9, 3.4425889618521376`*^9}]
}, Open  ]],

Cell["\<\
The cosets, or equivalence classes, with respect to this subgroup are:\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Q = LftCoset[G, M]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.436526629125*^9},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`b, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`c, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", 
     InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[
          
          Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4365377377737503`*^9, 3.4425889637271376`*^9}]
}, Open  ]],

Cell["We can use the MultTable command on the quotient group:", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["MultTable[Q]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.6, 0.4, 0.8}, {0, 1, 0}, {1, 0, 0}, {1, 1, 0}, {0.6, 0.4, 
      0.8}, {0, 1, 1}, {1, 0, 1}}, {{0, 1, 0}, {0.6, 0.4, 0.8}, {0, 1, 1}, {1,
       0, 1}, {0, 1, 0}, {1, 0, 0}, {1, 1, 0}}, {{1, 0, 0}, {1, 1, 0}, {1, 0, 
      1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}}, {{0, 1, 1}, {1, 
      0, 1}, {1, 1, 0}, {1, 0, 0}, {0, 1, 1}, {0.6, 0.4, 0.8}, {0, 1, 0}}, {{
      1, 0, 1}, {0, 1, 1}, {0.6, 0.4, 0.8}, {0, 1, 0}, {1, 0, 1}, {1, 1, 0}, {
      1, 0, 0}}, {{1, 1, 0}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 1, 
      0}, {1, 0, 1}, {0, 1, 1}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 1}, {0, 1, 
      1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}}}], {InsetBox[
     TagBox[
      StyleBox["\<\"{a,a\[CenterDot]c\[CenterDot]c,b\[CenterDot]b\[CenterDot]\
c,b\[CenterDot]b\[CenterDot]c\[CenterDot]c\[CenterDot]c}\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 5.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"{b,a\[CenterDot]b\[CenterDot]c,b\[CenterDot]c\[CenterDot]\
c,a\[CenterDot]b\[CenterDot]c\[CenterDot]c\[CenterDot]c}\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 4.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"{c,a\[CenterDot]b\[CenterDot]b,c\[CenterDot]c\[CenterDot]\
c,a\[CenterDot]b\[CenterDot]b\[CenterDot]c\[CenterDot]c}\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 3.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"{e,c\[CenterDot]c,a\[CenterDot]b\[CenterDot]b\[CenterDot]\
c,a\[CenterDot]b\[CenterDot]b\[CenterDot]c\[CenterDot]c\[CenterDot]c}\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 2.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"{a\[CenterDot]b,b\[CenterDot]c,a\[CenterDot]b\[CenterDot]\
c\[CenterDot]c,b\[CenterDot]c\[CenterDot]c\[CenterDot]c}\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 1.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"{a\[CenterDot]c,b\[CenterDot]b,a\[CenterDot]c\[CenterDot]\
c\[CenterDot]c,b\[CenterDot]b\[CenterDot]c\[CenterDot]c}\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 0.5}, {1, 0}]}, 
   LineBox[{{1, 0}, {1, 6}, {7, 6}}]},
  AspectRatio->Automatic,
  ImageSize->{284.62499999999955`, Automatic},
  PlotRange->All]], "Output",
 CellChangeTimes->{3.4365377647737503`*^9, 3.4425889665083876`*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "Notice that since the names of the elements are too long to enter them into \
each square, Mathematica uses a color code for the elements. Nonetheless, we \
can determine much information from this table.\n\nThe first thing we can \
observe from this table is that this group is not commutative. For example,\n\
\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a", ",", 
      RowBox[{"a", ".", "c", ".", "c"}], ",", 
      RowBox[{"b", ".", "b", ".", "c"}], ",", 
      RowBox[{"b", ".", "b", ".", "c", ".", "c", ".", "c"}]}], "}"}], " ", 
    ".", " ", 
    RowBox[{"{", 
     RowBox[{"b", ",", 
      RowBox[{"a", ".", "b", ".", "c"}], ",", 
      RowBox[{"b", ".", "c", ".", "c"}], ",", 
      RowBox[{"a", ".", "b", ".", "c", ".", "c", ".", "c"}]}], "}"}]}], 
   TraditionalForm]]],
 "\n\ndoes not give the same thing as \n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{"b", ",", 
      RowBox[{"a", ".", "b", ".", "c"}], ",", 
      RowBox[{"b", ".", "c", ".", "c"}], ",", 
      RowBox[{"a", ".", "b", ".", "c", ".", "c", ".", "c"}]}], "}"}], " ", 
    ".", " ", 
    RowBox[{"{", 
     RowBox[{"a", ",", 
      RowBox[{"a", ".", "c", ".", "c"}], ",", 
      RowBox[{"b", ".", "b", ".", "c"}], ",", 
      RowBox[{"b", ".", "b", ".", "c", ".", "c", ".", "c"}]}], "}"}], "."}], 
   TraditionalForm]]],
 "\n\nWe have already seen a non-commutative group of order 6, namely ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 ". In fact, there is a copy of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 " sitting inside of the group ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 ", which could be seen by the command"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["H = {e, a, b, a.b, b.b, a.b.b}", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4365378786331253`*^9, 3.4365378798362503`*^9}},
 AspectRatioFixed->True,
 FontFamily->"Courier New",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", "a", ",", "b", ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`b],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4365378807581253`*^9, 3.4425889720708876`*^9}]
}, Open  ]],

Cell[TextData[{
 "We can compare the multiplication table of this subgroup with that of the \
quotient group ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 ":"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["MultTable[Q]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.6, 0.4, 0.8}, {0, 1, 0}, {1, 0, 0}, {1, 1, 0}, {0.6, 0.4, 
      0.8}, {0, 1, 1}, {1, 0, 1}}, {{0, 1, 0}, {0.6, 0.4, 0.8}, {0, 1, 1}, {1,
       0, 1}, {0, 1, 0}, {1, 0, 0}, {1, 1, 0}}, {{1, 0, 0}, {1, 1, 0}, {1, 0, 
      1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}}, {{0, 1, 1}, {1, 
      0, 1}, {1, 1, 0}, {1, 0, 0}, {0, 1, 1}, {0.6, 0.4, 0.8}, {0, 1, 0}}, {{
      1, 0, 1}, {0, 1, 1}, {0.6, 0.4, 0.8}, {0, 1, 0}, {1, 0, 1}, {1, 1, 0}, {
      1, 0, 0}}, {{1, 1, 0}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 1, 
      0}, {1, 0, 1}, {0, 1, 1}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 1}, {0, 1, 
      1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}}}], {InsetBox[
     TagBox[
      StyleBox["\<\"{a,a\[CenterDot]c\[CenterDot]c,b\[CenterDot]b\[CenterDot]\
c,b\[CenterDot]b\[CenterDot]c\[CenterDot]c\[CenterDot]c}\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 5.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"{b,a\[CenterDot]b\[CenterDot]c,b\[CenterDot]c\[CenterDot]\
c,a\[CenterDot]b\[CenterDot]c\[CenterDot]c\[CenterDot]c}\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 4.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"{c,a\[CenterDot]b\[CenterDot]b,c\[CenterDot]c\[CenterDot]\
c,a\[CenterDot]b\[CenterDot]b\[CenterDot]c\[CenterDot]c}\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 3.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"{e,c\[CenterDot]c,a\[CenterDot]b\[CenterDot]b\[CenterDot]\
c,a\[CenterDot]b\[CenterDot]b\[CenterDot]c\[CenterDot]c\[CenterDot]c}\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 2.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"{a\[CenterDot]b,b\[CenterDot]c,a\[CenterDot]b\[CenterDot]\
c\[CenterDot]c,b\[CenterDot]c\[CenterDot]c\[CenterDot]c}\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 1.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"{a\[CenterDot]c,b\[CenterDot]b,a\[CenterDot]c\[CenterDot]\
c\[CenterDot]c,b\[CenterDot]b\[CenterDot]c\[CenterDot]c}\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 0.5}, {1, 0}]}, 
   LineBox[{{1, 0}, {1, 6}, {7, 6}}]},
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.4425889745083876`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["MultTable[{e, a, b, a.b, b.b, a.b.b}]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.6, 0.4, 0.8}, {0.6, 0.4, 0.8}, {0, 1, 1}, {1, 0, 1}, {0, 1, 
      0}, {1, 0, 0}, {1, 1, 0}}, {{0, 1, 0}, {0, 1, 0}, {1, 0, 0}, {1, 1, 
      0}, {0.6, 0.4, 0.8}, {0, 1, 1}, {1, 0, 1}}, {{1, 0, 0}, {1, 0, 0}, {0, 
      1, 0}, {0.6, 0.4, 0.8}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}}, {{0, 1, 1}, {
      0, 1, 1}, {0.6, 0.4, 0.8}, {0, 1, 0}, {1, 0, 1}, {1, 1, 0}, {1, 0, 
      0}}, {{1, 0, 1}, {1, 0, 1}, {1, 1, 0}, {1, 0, 0}, {0, 1, 1}, {0.6, 0.4, 
      0.8}, {0, 1, 0}}, {{1, 1, 0}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 
      0}, {0, 1, 0}, {0.6, 0.4, 0.8}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 1}, {0, 
      1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}}}], {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {1.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {2.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {3.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {4.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {5.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {6.5, 6.5}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 5.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 4.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 3.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 2.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 1.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 0.5}]}, {{InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 5.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 4.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 3.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 2.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 1.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 0.5}]}}, 
   LineBox[{{1, 0}, {1, 6}, {7, 6}}]}]], "Output",
 CellChangeTimes->{3.4425889764771376`*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell["\<\
The color patterns are not the same, but this doesn't mean that these two \
groups are not equivalent. There might be some way to rearrange the elements \
in the last command so that the color patterns in the two tables match.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "EXPERIMENT:\nCan you rearrange the elements ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"e", ",", " ", "a", ",", " ", "b", ",", " ", 
     RowBox[{"a", "\[CenterDot]", "b"}], ",", " ", 
     RowBox[{"b", "\[CenterDot]", "b"}], ",", " ", 
     RowBox[{"a", "\[CenterDot]", "b", "\[CenterDot]", "b"}]}], "}"}], 
   TraditionalForm]]],
 " in the last command so that the color patterns in the two tables match? \
Those who enjoy logic puzzles should find this an easy excercise. (There is \
more than one solution.)"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Problems"
}], "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365379799456253`*^9, 3.4365379834612503`*^9}}],

Cell["", "Input",
 PageWidth->Infinity,
 FontFamily->"System",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[1, 0, 0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "  3.1 ) This exercise is required in order to do problems \n    3.2 or 3.3. \
Using ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "'s ",
 StyleBox["NextPrime",
  FontWeight->"Bold"],
 " command, \n    find two large prime numbers ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["q", TraditionalForm]]],
 ", at least 80 digits\n    each. This is done by the two ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " commands"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365379907893753`*^9, 3.4365380037893753`*^9}, {
  3.4365381768206253`*^9, 3.4365381786800003`*^9}}],

Cell[TextData[{
 "p = NextPrime[    ",
 StyleBox["large number goes here",
  FontSlant->"Italic"],
 "     ]"
}], "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier New",
 FontSize->9,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "q = NextPrime[    ",
 StyleBox["another large number goes here",
  FontSlant->"Italic"],
 "     ]"
}], "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier New",
 FontSize->9,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "   We will use the value ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", "=", "10007"}], TraditionalForm]]],
 ". Varify that this number\n   is coprime to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"p", "-", "1"}], ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"q", "-", "1"}], ")"}], TraditionalForm]]],
 " by executing the following:"
}], "Text",
 CellChangeTimes->{{3.4365381919612503`*^9, 3.4365381935550003`*^9}}],

Cell["GCD[(p-1)(q-1), 10007]", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "   If this command yields 10007 instead of 1, go back and \n   find new \
values for ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["q", TraditionalForm]]],
 ".  Once the GCD is 1, compute \n   ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", 
    RowBox[{"p", "\[CenterDot]", "q"}]}], TraditionalForm]]],
 ", and save this on a thumb drive. To do this, \n   place your thumb drive \
in the computer, (say it becomes \n   the E: drive) and enter:"
}], "Text",
 CellChangeTimes->{{3.398170613453125*^9, 3.398170686703125*^9}, {
  3.4365382068675003`*^9, 3.4365382378206253`*^9}, {3.4414858096875*^9, 
  3.44148586046875*^9}}],

Cell["n = p q", "Input",
 PageWidth->Infinity],

Cell["Save[\"E:/nfile\",n]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.3981706891875*^9, 3.398170689609375*^9}, {
  3.4365382703987503`*^9, 3.4365382792737503`*^9}}],

Cell["\<\
  Note: If the thumb drive is some other drive, such as the F: 
  drive, you will have to replace the E: with F: in the last 
  statement, and also the statements below. You can verify 
  that the number was saved on the thumb drive by entering 
  the command:\
\>", "Text",
 CellChangeTimes->{{3.39817069228125*^9, 3.398170768078125*^9}, {
  3.398171409234375*^9, 3.398171431359375*^9}, {3.4365382563831253`*^9, 
  3.4365382628675003`*^9}, {3.4365383086487503`*^9, 3.4365383328362503`*^9}}],\


Cell["!!E:/nfile", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.39817075784375*^9, 3.39817075815625*^9}, {
  3.4365383374456253`*^9, 3.4365383394925003`*^9}}],

Cell[TextData[{
 "  This deplays the contents of the file.\n  Next, find the secret number ",
 Cell[BoxData[
  FormBox["s", TraditionalForm]]],
 " which decyphers a message:"
}], "Text",
 CellChangeTimes->{3.398170775453125*^9}],

Cell["s = PowerMod[10007, -1, (p-1)(q-1)]", "Input"],

Cell["\<\
  You will want to save this number for future reference. 
  With your thumb drive still in the computer, enter:\
\>", "Text",
 CellChangeTimes->{{3.398170810890625*^9, 3.39817084525*^9}}],

Cell["Save[\"E:/secret\",s]", "Input",
 CellChangeTimes->{{3.398170800359375*^9, 3.398170800875*^9}, {
  3.4365383640081253`*^9, 3.4365383661175003`*^9}}],

Cell[TextData[{
 "  This number will be needed for future assignments. Don't\n  lose it!  You \
can verify that the number ",
 Cell[BoxData[
  FormBox["s", TraditionalForm]]],
 "    \n  is saved on the thumb drive by entering the command:"
}], "Text",
 CellChangeTimes->{{3.39817085365625*^9, 3.39817086084375*^9}}],

Cell["!!E:/secret", "Input",
 CellChangeTimes->{{3.39817086328125*^9, 3.398170863625*^9}, {
  3.3981709753125*^9, 3.39817097953125*^9}, {3.4365383761175003`*^9, 
  3.4365383776018753`*^9}}],

Cell["\<\
  Finally, e-mail the \"nfile\" file as an attachment to the 
  professor.  Alternatively, you can cut and paste the 
  contents of \"nfile\" into the body of the message.  
  Do not send the contents of the secret file.\
\>", "Text",
 CellChangeTimes->{{3.39817085365625*^9, 3.39817086084375*^9}, {
   3.39817099284375*^9, 3.39817107228125*^9}, 3.398172269390625*^9, {
   3.4365383945237503`*^9, 3.4365384411643753`*^9}, {3.441486005*^9, 
   3.441486013125*^9}}],

Cell[TextData[{
 "\n3.2 ) Using the values of ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["s", TraditionalForm]]],
 " from problem 3.1, send\n   an \"electronic check\" to your favorite \
professor for\n   $100.00. This check will be in the form of a huge \n   \
number, ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["           ", "Input",
 PageWidth->Infinity],

Cell["\<\
   Once this number is found, insert your thumb drive and enter:\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.3981723725625*^9, 3.398172389328125*^9}}],

Cell["Save[\"E:/check\",x]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.398170910515625*^9, 3.398170911046875*^9}, {
  3.4365419894612503`*^9, 3.4365419915706253`*^9}}],

Cell["\<\
   You can verify that the check was send to the diskette
   with the command:\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["!!E:check.m", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.398171452640625*^9, 3.3981714533125*^9}}],

Cell["\<\
   E-mail the file \"check\" as a file attachment, or cut and paste
   the contents of the file into the body of the letter.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.39817148790625*^9, 3.39817154596875*^9}, {
  3.4365420016175003`*^9, 3.4365420087893753`*^9}}],

Cell["\<\

3.3 ) After doing problem 3.1, you will receive a response with
    an attachment file \"message\".  Save this to your thumb 
    drive, and enter:\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.398171566296875*^9, 3.3981716461875*^9}, {
  3.4365420185081253`*^9, 3.4365420305393753`*^9}}],

Cell["<<E:/message", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.398171550421875*^9, 3.3981715506875*^9}, {
  3.4365420342581253`*^9, 3.4365420387737503`*^9}}],

Cell["<<E:/nfile", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.398171552453125*^9, 3.398171552671875*^9}, {
  3.4365420398050003`*^9, 3.4365420413518753`*^9}}],

Cell[TextData[{
 "    The first command sets ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " to the encrypted message, \n    while the second command reads in your \
value of ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Now\n    load your secret decryption\n    number by entering:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.398171672875*^9, 3.398171697546875*^9}}],

Cell["<<E:/secret", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.3981716995*^9, 3.39817169984375*^9}, {
  3.4365420461175003`*^9, 3.4365420473206253`*^9}}],

Cell[TextData[{
 "    Using this value of ",
 Cell[BoxData[
  FormBox["s", TraditionalForm]]],
 ", decode the message and hand in\n    (on paper) what it says."
}], "Text"],

Cell["     ", "Input",
 PageWidth->Infinity],

Cell["\<\
   
3.4 ) B. L. User tried creating his encryption number
    with the two primes\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
p = NextPrime[
715870273457197548734156715678567821637415615197371557525256736492867395847560\
92]\
\>", "Input",
 PageWidth->Infinity,
 FontFamily->"Courier New",
 FontSize->9,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell["q = NextPrime[p + 1]", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "    When he publicized the product ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", 
    RowBox[{"p", "\[CenterDot]", "q"}]}], TraditionalForm]]],
 ", along with the\n    value ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", " ", "=", " ", "6367"}], TraditionalForm]]],
 ", he received a message from a friend:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
y = 309272252199306433540387847641451588319943220486905800\\
  59761407250735465231068482494915312824566404543856784721\\
  07616521242043590910817888839981759972041752306977\
\>", "Input",
 PageWidth->Infinity],

Cell["   What did this message say?", "Text"],

Cell["               ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "3.5 ) Show that there is a group ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 " which is generated by \n   two elements ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 ", for which\n\n          ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["a", "4"], "=", " ", "e"}], ",", "  ", 
    RowBox[{
     SuperscriptBox["b", "2"], " ", "=", " ", 
     SuperscriptBox["a", "2"]}], ",", "   ", 
    RowBox[{
     RowBox[{"b", "\[CenterDot]", "a"}], " ", "=", " ", 
     RowBox[{
      SuperscriptBox["a", "3"], "\[CenterDot]", "b"}]}], ",", "  ", 
    RowBox[{
     SuperscriptBox["a", "2"], "\[NotEqual]", " ", "e"}]}], 
   TraditionalForm]]],
 ".\n\n   This can be entered into ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " with the command:"
}], "Text"],

Cell["\<\
InitGroup[e];
Define[a^4, e]
Define[b^2, a^2]
Define[b.a, a.a.a.b]
Q = Group[{a,b}]\
\>", "Input"],

Cell["\<\
   Find all subgroups of this group, and show that all 
   subgroups are normal, even though the group is non-
   abelian. (Write down the list of left cosets and 
   right cosets for each subgroup found.)\
\>", "Text"],

Cell["         ", "Input"],

Cell[TextData[{
 "3.6 ) Define G = ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "105", "*"], TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text"],

Cell["              ", "Input",
 CellChangeTimes->{{3.4365421315550003`*^9, 3.4365421326018753`*^9}}],

Cell[TextData[{
 "    How many elements does this group have? Consider the \n    subgroup ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " generated by the element 11. A circle graph\n    demonstrating the cosets \
",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "H"}], TraditionalForm]]],
 " can be obtained by the \n    command"
}], "Text"],

Cell["CircleGraph[G, Mult[11]]", "Input"],

Cell[TextData[{
 "    By looking at the circle graph, determine the cosets \n    of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " with respect to ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ". What is the order of the \n    element ",
 Cell[BoxData[
  FormBox[
   RowBox[{"2", "\[CenterDot]", "H"}], TraditionalForm]]],
 " in the quotient group ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "H"}], TraditionalForm]]],
 "?"
}], "Text",
 CellChangeTimes->{{3.4365421275393753`*^9, 3.4365421283362503`*^9}}],

Cell["              ", "Input",
 CellChangeTimes->{{3.4365421315550003`*^9, 3.4365421326018753`*^9}}],

Cell[TextData[{
 "\n3.7 ) Use ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", along with a bit of trial and \n    error, to find a subgroup of order 12 \
of the \n    octahedral group. Show that this subgroup is a\n    normal \
subgroup. The following reloads the \n    octahedronal group:"
}], "Text",
 CellChangeTimes->{{3.4365421444612503`*^9, 3.4365421446018753`*^9}}],

Cell["\<\
InitGroup[e]; Define[a^2, e]; Define[b^3, e]; Define[c^4, e]
Define[1/a, a]; Define[1/b, b^2]; Define[1/c, c^3]
Define[b.a, a.b.b]; Define[c.a, a.b.c]; Define[c.b, a.c.c]
G = Group[{a, b, c}]\
\>", "Input",
 CellChangeTimes->{{3.4365421514300003`*^9, 3.4365421757268753`*^9}}],

Cell["          ", "Input"]
}, Open  ]]
},
AutoGeneratedPackage->None,
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{600, 658},
WindowMargins->{{Automatic, 177}, {1, Automatic}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
Magnification->1.5,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 320, 9, 222, "Special2",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[913, 34, 286, 8, 29, "Name",
 Evaluatable->False],
Cell[1202, 44, 618, 15, 70, "Name",
 Evaluatable->False]
}, Closed]],
Cell[1835, 62, 278, 12, 205, "Title",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[2138, 78, 104, 3, 32, "Special2",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[2267, 85, 174, 4, 43, "Input",
 InitializationCell->True],
Cell[2444, 91, 168, 2, 32, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2661, 99, 94, 2, 105, "Section",
 Evaluatable->False],
Cell[2758, 103, 792, 17, 286, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[3575, 124, 129, 5, 66, "Input"],
Cell[3707, 131, 6794, 174, 518, "Output"]
}, Open  ]],
Cell[10516, 308, 1188, 35, 262, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[11729, 347, 74, 2, 43, "Input"],
Cell[11806, 351, 147, 3, 42, "Output"]
}, Open  ]],
Cell[11968, 357, 254, 6, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[12247, 367, 107, 2, 43, "Input"],
Cell[12357, 371, 6696, 170, 518, "Output"]
}, Open  ]],
Cell[19068, 544, 895, 35, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[19988, 583, 74, 2, 43, "Input"],
Cell[20065, 587, 117, 3, 42, "Output"]
}, Open  ]],
Cell[20197, 593, 1096, 31, 360, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[21318, 628, 77, 2, 43, "Input"],
Cell[21398, 632, 237, 6, 68, "Output"]
}, Open  ]],
Cell[21650, 641, 881, 26, 262, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[22556, 671, 94, 2, 43, "Input"],
Cell[22653, 675, 4065, 102, 429, "Output"]
}, Open  ]],
Cell[26733, 780, 104, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[26862, 786, 95, 2, 43, "Input"],
Cell[26960, 790, 4055, 102, 429, "Output"]
}, Open  ]],
Cell[31030, 895, 1185, 45, 164, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[32240, 944, 81, 2, 43, "Input"],
Cell[32324, 948, 170, 4, 42, "Output"]
}, Open  ]],
Cell[32509, 955, 519, 13, 164, "Text",
 Evaluatable->False],
Cell[33031, 970, 245, 7, 115, "Text",
 Evaluatable->False],
Cell[33279, 979, 434, 12, 115, "Text",
 Evaluatable->False],
Cell[33716, 993, 832, 30, 115, "Text",
 Evaluatable->False],
Cell[34551, 1025, 693, 24, 139, "Text",
 Evaluatable->False],
Cell[35247, 1051, 217, 10, 41, "Text",
 Evaluatable->False],
Cell[35467, 1063, 559, 13, 213, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[36051, 1080, 71, 2, 43, "Input"],
Cell[36125, 1084, 196, 4, 42, "Output"]
}, Open  ]],
Cell[36336, 1091, 448, 15, 115, "Text",
 Evaluatable->False,
 PageBreakAbove->True],
Cell[CellGroupData[{
Cell[36809, 1110, 71, 2, 43, "Input"],
Cell[36883, 1114, 148, 3, 42, "Output"]
}, Open  ]],
Cell[37046, 1120, 1771, 60, 507, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[38842, 1184, 168, 4, 43, "Input"],
Cell[39013, 1190, 373, 11, 68, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39423, 1206, 191, 4, 43, "Input"],
Cell[39617, 1212, 370, 11, 68, "Output"]
}, Open  ]],
Cell[40002, 1226, 778, 21, 188, "Text",
 Evaluatable->False],
Cell[40783, 1249, 557, 21, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[41365, 1274, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[41453, 1278, 1932, 63, 311, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[43400, 1344, 379, 10, 66, "Text",
 Evaluatable->False],
Cell[43782, 1356, 1151, 37, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[44958, 1397, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[45046, 1401, 4934, 163, 613, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[49995, 1567, 187, 5, 66, "Text",
 Evaluatable->False],
Cell[50185, 1574, 815, 30, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[51025, 1608, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[51113, 1612, 2301, 75, 326, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[53429, 1690, 670, 23, 164, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[54124, 1717, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[54212, 1721, 459, 15, 55, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[54686, 1739, 591, 23, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[55302, 1766, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[55390, 1770, 917, 34, 83, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[56322, 1807, 195, 6, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[56542, 1817, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[56630, 1821, 1112, 41, 96, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[57757, 1865, 814, 27, 166, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[58596, 1896, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[58684, 1900, 855, 33, 85, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[59554, 1936, 694, 24, 117, "Text",
 Evaluatable->False],
Cell[60251, 1962, 331, 7, 115, "Text",
 Evaluatable->False],
Cell[60585, 1971, 912, 35, 139, "Text",
 Evaluatable->False],
Cell[61500, 2008, 537, 18, 66, "Text",
 Evaluatable->False]
}, Open  ]],
Cell[CellGroupData[{
Cell[62074, 2031, 102, 2, 105, "Section",
 Evaluatable->False],
Cell[62179, 2035, 1073, 29, 314, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[63277, 2068, 76, 2, 43, "Input"],
Cell[63356, 2072, 73, 1, 42, "Output"]
}, Open  ]],
Cell[63444, 2076, 487, 12, 213, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[63956, 2092, 177, 6, 88, "Input"],
Cell[64136, 2100, 56688, 1049, 479, 13829, 345, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[120839, 3152, 757, 16, 237, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[121621, 3172, 161, 5, 66, "Input"],
Cell[121785, 3179, 51843, 969, 479, 15751, 376, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[173643, 4151, 1526, 37, 464, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[175194, 4192, 168, 5, 66, "Input"],
Cell[175365, 4199, 62980, 1178, 479, 24045, 538, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[238360, 5380, 1612, 41, 416, "Text",
 Evaluatable->False],
Cell[239975, 5423, 1063, 37, 213, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[241063, 5464, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[241151, 5468, 4500, 171, 419, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[245666, 5642, 485, 11, 167, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[246176, 5657, 190, 5, 66, "Input"],
Cell[246369, 5664, 90034, 1678, 464, 27675, 654, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[336418, 7345, 283, 6, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[336726, 7355, 197, 5, 66, "Input"],
Cell[336926, 7362, 105814, 1978, 464, 42890, 945, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[442755, 9343, 385, 10, 115, "Text",
 Evaluatable->False],
Cell[443143, 9355, 946, 33, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[444114, 9392, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[444202, 9396, 4043, 147, 398, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[448260, 9546, 388, 11, 92, "Text",
 Evaluatable->False],
Cell[448651, 9559, 622, 24, 262, "Text",
 Evaluatable->False,
 PageBreakAbove->True],
Cell[449276, 9585, 379, 13, 262, "Text",
 Evaluatable->False],
Cell[449658, 9600, 547, 11, 262, "Text",
 Evaluatable->False],
Cell[450208, 9613, 7416, 211, 2062, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[457649, 9828, 286, 11, 56, "Input"],
Cell[457938, 9841, 179, 3, 93, "Output"]
}, Open  ]],
Cell[458132, 9847, 155, 7, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[458312, 9858, 286, 11, 56, "Input"],
Cell[458601, 9871, 179, 3, 93, "Output"]
}, Open  ]],
Cell[458795, 9877, 272, 8, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[459092, 9889, 71, 2, 43, "Input"],
Cell[459166, 9893, 261, 4, 143, "Output"]
}, Open  ]],
Cell[459442, 9900, 763, 25, 164, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[460230, 9929, 83, 2, 43, "Input"],
Cell[460316, 9933, 99, 1, 42, "Output"]
}, Open  ]],
Cell[460430, 9937, 309, 12, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[460764, 9953, 81, 2, 43, "Input"],
Cell[460848, 9957, 96, 1, 42, "Output"]
}, Open  ]],
Cell[460959, 9961, 1014, 29, 433, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[461998, 9994, 176, 3, 43, "Input"],
Cell[462177, 9999, 128, 1, 42, "Output"]
}, Open  ]],
Cell[462320, 10003, 129, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[462474, 10009, 152, 3, 43, "Input"],
Cell[462629, 10014, 120, 1, 42, "Output"]
}, Open  ]],
Cell[462764, 10018, 936, 31, 190, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[463725, 10053, 206, 4, 43, "Input"],
Cell[463934, 10059, 287, 5, 143, "Output"]
}, Open  ]],
Cell[464236, 10067, 241, 6, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[464502, 10077, 216, 5, 88, "Input"],
Cell[464721, 10084, 260, 4, 143, "Output"]
}, Open  ]],
Cell[464996, 10091, 514, 17, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[465535, 10112, 95, 2, 43, "Input"],
Cell[465633, 10116, 291, 5, 143, "Output"]
}, Open  ]],
Cell[465939, 10124, 800, 30, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[466764, 10158, 83, 2, 43, "Input"],
Cell[466850, 10162, 173, 3, 93, "Output"]
}, Open  ]],
Cell[467038, 10168, 90, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[467153, 10174, 82, 2, 43, "Input"],
Cell[467238, 10178, 140, 1, 42, "Output"]
}, Open  ]],
Cell[467393, 10182, 1287, 42, 292, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[468705, 10228, 144, 5, 66, "Input"],
Cell[468852, 10235, 174, 3, 93, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[469063, 10243, 79, 2, 43, "Input"],
Cell[469145, 10247, 236, 4, 143, "Output"]
}, Open  ]],
Cell[469396, 10254, 245, 6, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[469666, 10264, 79, 2, 43, "Input"],
Cell[469748, 10268, 174, 3, 93, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[469959, 10276, 82, 2, 43, "Input"],
Cell[470044, 10280, 131, 2, 68, "Output"]
}, Open  ]],
Cell[470190, 10285, 490, 12, 164, "Text",
 Evaluatable->False]
}, Open  ]],
Cell[CellGroupData[{
Cell[470717, 10302, 89, 2, 105, "Section",
 Evaluatable->False],
Cell[470809, 10306, 1313, 44, 213, "Text",
 Evaluatable->False],
Cell[472125, 10352, 900, 29, 139, "Text",
 Evaluatable->False],
Cell[473028, 10383, 2066, 68, 482, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[475119, 10455, 322, 8, 111, "Input"],
Cell[475444, 10465, 7027, 137, 218, "Output"]
}, Open  ]],
Cell[482486, 10605, 175, 5, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[482686, 10614, 148, 3, 43, "Input"],
Cell[482837, 10619, 605, 12, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[483479, 10636, 150, 3, 43, "Input"],
Cell[483632, 10641, 1635, 31, 68, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[485304, 10677, 207, 4, 43, "Input"],
Cell[485514, 10683, 1636, 31, 68, "Output"]
}, Open  ]],
Cell[487165, 10717, 168, 5, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[487358, 10726, 137, 3, 43, "Input"],
Cell[487498, 10731, 4866, 93, 168, "Output"]
}, Open  ]],
Cell[492379, 10827, 119, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[492523, 10833, 73, 2, 43, "Input"],
Cell[492599, 10837, 124, 2, 42, "Output"]
}, Open  ]],
Cell[492738, 10842, 1072, 38, 188, "Text",
 Evaluatable->False],
Cell[493813, 10882, 899, 32, 115, "Text",
 Evaluatable->False],
Cell[494715, 10916, 622, 23, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[495362, 10943, 78, 2, 43, "Input"],
Cell[495443, 10947, 583, 12, 42, "Output"]
}, Open  ]],
Cell[496041, 10962, 105, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[496171, 10968, 118, 3, 43, "Input"],
Cell[496292, 10973, 7469, 155, 243, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[503798, 11133, 119, 3, 43, "Input"],
Cell[503920, 11138, 7469, 155, 243, "Output"]
}, Open  ]],
Cell[511404, 11296, 198, 5, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[511627, 11305, 166, 3, 43, "Input"],
Cell[511796, 11310, 1231, 26, 68, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[513064, 11341, 166, 3, 43, "Input"],
Cell[513233, 11346, 1222, 24, 68, "Output"]
}, Open  ]],
Cell[514470, 11373, 125, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[514620, 11379, 67, 2, 43, "Input"],
Cell[514690, 11383, 4836, 96, 168, "Output"]
}, Open  ]],
Cell[519541, 11482, 105, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[519671, 11488, 73, 2, 43, "Input"],
Cell[519747, 11492, 97, 1, 42, "Output"]
}, Open  ]],
Cell[519859, 11496, 221, 5, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[520105, 11505, 164, 3, 43, "Input"],
Cell[520272, 11510, 948, 19, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[521257, 11534, 164, 3, 43, "Input"],
Cell[521424, 11539, 918, 18, 42, "Output"]
}, Open  ]],
Cell[522357, 11560, 94, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[522476, 11566, 67, 2, 43, "Input"],
Cell[522546, 11570, 4827, 94, 168, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[527410, 11669, 73, 2, 43, "Input"],
Cell[527486, 11673, 97, 1, 42, "Output"]
}, Open  ]],
Cell[527598, 11677, 218, 5, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[527841, 11686, 137, 3, 43, "Input"],
Cell[527981, 11691, 1326, 27, 68, "Output"]
}, Open  ]],
Cell[529322, 11721, 222, 5, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[529569, 11730, 148, 3, 43, "Input"],
Cell[529720, 11735, 1326, 27, 68, "Output"]
}, Open  ]],
Cell[531061, 11765, 655, 19, 188, "Text",
 Evaluatable->False],
Cell[531719, 11786, 381, 12, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[532125, 11802, 88, 2, 43, "Input"],
Cell[532216, 11806, 1587, 30, 68, "Output"]
}, Open  ]],
Cell[533818, 11839, 241, 7, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[534084, 11850, 119, 3, 43, "Input"],
Cell[534206, 11855, 7442, 154, 243, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[541685, 12014, 117, 3, 43, "Input"],
Cell[541805, 12019, 7442, 154, 243, "Output"]
}, Open  ]],
Cell[549262, 12176, 620, 12, 237, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[549907, 12192, 166, 3, 43, "Input"],
Cell[550076, 12197, 1180, 25, 68, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[551293, 12227, 166, 3, 43, "Input"],
Cell[551462, 12232, 1180, 25, 68, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[552679, 12262, 166, 3, 43, "Input"],
Cell[552848, 12267, 1180, 25, 68, "Output"]
}, Open  ]],
Cell[554043, 12295, 107, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[554175, 12301, 137, 3, 43, "Input"],
Cell[554315, 12306, 1171, 23, 68, "Output"]
}, Open  ]],
Cell[555501, 12332, 257, 8, 66, "Text",
 Evaluatable->False],
Cell[555761, 12342, 939, 37, 90, "Text",
 Evaluatable->False],
Cell[556703, 12381, 1486, 50, 362, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[558214, 12435, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[558302, 12439, 2155, 76, 341, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[560472, 12518, 769, 26, 166, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[561266, 12548, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[561354, 12552, 2627, 88, 324, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[563996, 12643, 1072, 33, 360, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[565093, 12680, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[565181, 12684, 774, 25, 116, "SmallText",
 Evaluatable->False]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[566004, 12715, 88, 2, 105, "Section",
 Evaluatable->False],
Cell[566095, 12719, 1092, 34, 262, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[567212, 12757, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[567300, 12761, 1152, 38, 116, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[568467, 12802, 852, 26, 213, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[569344, 12832, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[569432, 12836, 3742, 119, 389, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[573189, 12958, 1865, 58, 335, "Text",
 Evaluatable->False,
 PageBreakAbove->True],
Cell[575057, 13018, 956, 33, 164, "Text",
 Evaluatable->False],
Cell[576016, 13053, 814, 29, 117, "Text",
 Evaluatable->False],
Cell[576833, 13084, 1277, 46, 213, "Text",
 Evaluatable->False],
Cell[578113, 13132, 311, 9, 90, "Text",
 Evaluatable->False],
Cell[578427, 13143, 211, 5, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[578663, 13152, 321, 8, 111, "Input"],
Cell[578987, 13162, 6984, 136, 218, "Output"]
}, Open  ]],
Cell[585986, 13301, 120, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[586131, 13307, 98, 2, 43, "Input"],
Cell[586232, 13311, 1587, 30, 68, "Output"]
}, Open  ]],
Cell[587834, 13344, 148, 4, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[588007, 13352, 121, 3, 43, "Input"],
Cell[588131, 13357, 7442, 154, 243, "Output"]
}, Open  ]],
Cell[595588, 13514, 125, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[595738, 13520, 76, 2, 43, "Input"],
Cell[595817, 13524, 7028, 122, 185, 2347, 44, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[602860, 13649, 1822, 51, 424, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[604707, 13704, 281, 8, 43, "Input"],
Cell[604991, 13714, 731, 14, 42, "Output"]
}, Open  ]],
Cell[605737, 13731, 232, 8, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[605994, 13743, 51, 1, 43, "Input"],
Cell[606048, 13746, 2344, 44, 197, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[608429, 13795, 76, 1, 43, "Input"],
Cell[608508, 13798, 12871, 296, 462, 7331, 203, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[621394, 14097, 304, 6, 115, "Text",
 Evaluatable->False],
Cell[621701, 14105, 611, 15, 139, "Text",
 Evaluatable->False]
}, Open  ]],
Cell[CellGroupData[{
Cell[622349, 14125, 216, 7, 105, "Section",
 Evaluatable->False],
Cell[622568, 14134, 156, 6, 40, "Input"],
Cell[622727, 14142, 679, 22, 115, "Text",
 Evaluatable->False],
Cell[623409, 14166, 284, 12, 39, "Input"],
Cell[623696, 14180, 292, 12, 39, "Input"],
Cell[623991, 14194, 494, 17, 66, "Text"],
Cell[624488, 14213, 61, 1, 43, "Input"],
Cell[624552, 14216, 694, 18, 139, "Text"],
Cell[625249, 14236, 46, 1, 43, "Input"],
Cell[625298, 14239, 176, 3, 43, "Input"],
Cell[625477, 14244, 501, 9, 139, "Text"],
Cell[625983, 14256, 166, 3, 43, "Input"],
Cell[626152, 14261, 228, 6, 66, "Text"],
Cell[626383, 14269, 52, 0, 43, "Input"],
Cell[626438, 14271, 198, 4, 66, "Text"],
Cell[626639, 14277, 154, 2, 43, "Input"],
Cell[626796, 14281, 315, 7, 90, "Text"],
Cell[627114, 14290, 189, 3, 43, "Input"],
Cell[627306, 14295, 473, 9, 115, "Text"],
Cell[627782, 14306, 439, 15, 139, "Text",
 Evaluatable->False],
Cell[628224, 14323, 50, 1, 43, "Input"],
Cell[628277, 14326, 206, 5, 41, "Text",
 Evaluatable->False],
Cell[628486, 14333, 178, 3, 43, "Input"],
Cell[628667, 14338, 156, 5, 66, "Text",
 Evaluatable->False],
Cell[628826, 14345, 114, 2, 43, "Input"],
Cell[628943, 14349, 319, 7, 66, "Text",
 Evaluatable->False],
Cell[629265, 14358, 343, 9, 115, "Text",
 Evaluatable->False],
Cell[629611, 14369, 168, 3, 43, "Input"],
Cell[629782, 14374, 168, 3, 43, "Input"],
Cell[629953, 14379, 431, 12, 115, "Text",
 Evaluatable->False],
Cell[630387, 14393, 163, 3, 43, "Input"],
Cell[630553, 14398, 172, 5, 66, "Text"],
Cell[630728, 14405, 44, 1, 43, "Input"],
Cell[630775, 14408, 159, 6, 90, "Text",
 Evaluatable->False],
Cell[630937, 14416, 261, 10, 56, "Input"],
Cell[631201, 14428, 59, 1, 43, "Input"],
Cell[631263, 14431, 403, 13, 66, "Text",
 Evaluatable->False],
Cell[631669, 14446, 221, 5, 88, "Input"],
Cell[631893, 14453, 45, 0, 41, "Text"],
Cell[631941, 14455, 54, 1, 43, "Input"],
Cell[631998, 14458, 877, 30, 166, "Text"],
Cell[632878, 14490, 108, 6, 133, "Input"],
Cell[632989, 14498, 229, 5, 115, "Text"],
Cell[633221, 14505, 26, 0, 43, "Input"],
Cell[633250, 14507, 197, 9, 44, "Text"],
Cell[633450, 14518, 101, 1, 43, "Input"],
Cell[633554, 14521, 351, 10, 115, "Text"],
Cell[633908, 14533, 41, 0, 43, "Input"],
Cell[633952, 14535, 528, 17, 90, "Text"],
Cell[634483, 14554, 101, 1, 43, "Input"],
Cell[634587, 14557, 380, 8, 164, "Text"],
Cell[634970, 14567, 286, 6, 111, "Input"],
Cell[635259, 14575, 27, 0, 43, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
