(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    601069,      17362]
NotebookOptionsPosition[    573647,      16463]
NotebookOutlinePosition[    574359,      16490]
CellTagsIndexPosition[    574316,      16487]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Abstract Algebra: An Interactive Approach", "Special2",
 Evaluatable->False,
 CellChangeTimes->{{3.436546079390625*^9, 3.436546092671875*^9}},
 TextAlignment->Center,
 FontFamily->"Arial",
 FontSize->36,
 FontWeight->"Bold",
 FontSlant->"Italic",
 FontColor->RGBColor[1, 0, 1],
 Background->RGBColor[0.500008, 1, 1]],

Cell[CellGroupData[{

Cell["\[Copyright]2009   William Paulsen", "Name",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436546074921875*^9, 3.436546075890625*^9}},
 FontFamily->"Geneva",
 FontSize->10,
 FontSlant->"Italic",
 FontColor->RGBColor[0, 0, 1],
 Background->GrayLevel[1]],

Cell["\<\
All rights reserved:  No part of these materials may be reproduced, either \
electronically, mechanically, or by any other means or in any form, without \
the written permission from the author. All software is provided \"as is\" \
without warranty of any kind, either expressed or implied, including, but not \
limited to, the implied warranties of merchantability and fitness for a \
particular purpose.\
\>", "Name",
 Editable->False,
 Evaluatable->False,
 CellHorizontalScrolling->False,
 FontFamily->"Geneva",
 FontSize->10,
 FontSlant->"Italic",
 FontColor->RGBColor[0, 0, 1],
 Background->GrayLevel[1]]
}, Closed]],

Cell["\<\
Chapter 4
Mappings Between Groups\
\>", "Title",
 CellFrame->True,
 Evaluatable->False,
 CellHorizontalScrolling->False,
 TextAlignment->Center,
 FontFamily->"New York",
 FontSize->24,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[CellGroupData[{

Cell["Initialization", "Special2",
 Evaluatable->False,
 TextAlignment->Center,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["<<c:\\math\\group.m", "Input",
 PageWidth->Infinity,
 InitializationCell->True,
 CellChangeTimes->{{3.436546096515625*^9, 3.4365460989375*^9}},
 AspectRatioFixed->True],

Cell[BoxData["\<\"Initialization Done\"\>"], "Print",
 CellChangeTimes->{3.43654610175*^9, 3.436613446*^9, 3.44150113025*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Isomorphisms                                                ", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We have now seen two examples of groups of order 6, namely, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 " and the quotient group ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "M"}], TraditionalForm]]],
 " just studied. Are these really two different groups? Technically, yes, \
since the names for their elements are totally different. However, there is a \
correlation between these two groups. \nThe group ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 " could be written simply as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"e", ",", " ", "a", ",", " ", "b", ",", " ", 
     RowBox[{"a", "\[CenterDot]", "b"}], ",", " ", 
     SuperscriptBox["b", "2"], ",", " ", 
     RowBox[{"a", "\[CenterDot]", 
      SuperscriptBox["b", "2"]}]}], "}"}], TraditionalForm]]],
 ", whereas the group ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "M"}], TraditionalForm]]],
 " was written\n\n ",
 Cell[BoxData[
  FormBox[
   RowBox[{"                ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", " ", 
         RowBox[{"a", "\[CenterDot]", 
          SuperscriptBox["c", "2"]}], ",", " ", 
         RowBox[{
          SuperscriptBox["b", "2"], "\[CenterDot]", "c"}], ",", " ", 
         RowBox[{
          SuperscriptBox["b", "2"], "\[CenterDot]", 
          SuperscriptBox["c", "3"]}]}], "}"}], ",", "  ", "\n", "\t", 
       RowBox[{"{", 
        RowBox[{"b", ",", " ", 
         RowBox[{"a", "\[CenterDot]", "b", "\[CenterDot]", "c"}], ",", " ", 
         RowBox[{"b", "\[CenterDot]", 
          SuperscriptBox["c", "2"]}], ",", " ", 
         RowBox[{"a", "\[CenterDot]", "b", "\[CenterDot]", 
          SuperscriptBox["c", "3"]}]}], "}"}], ",", " ", "\n", "\t", 
       RowBox[{"{", 
        RowBox[{"c", ",", " ", 
         RowBox[{"a", "\[CenterDot]", 
          SuperscriptBox["b", "2"]}], ",", " ", 
         SuperscriptBox["c", "3"], ",", " ", 
         RowBox[{"a", "\[CenterDot]", 
          SuperscriptBox["b", "2"], "\[CenterDot]", 
          SuperscriptBox["c", "2"]}]}], "}"}], ",", " ", "\n", "\t", 
       RowBox[{"{", 
        RowBox[{"e", ",", " ", 
         SuperscriptBox["c", "2"], ",", " ", 
         RowBox[{"a", "\[CenterDot]", 
          SuperscriptBox["b", "2"], "\[CenterDot]", "c"}], ",", " ", 
         RowBox[{"a", "\[CenterDot]", 
          SuperscriptBox["b", "2"], "\[CenterDot]", 
          SuperscriptBox["c", "3"]}]}], "}"}], ",", "\n", "\t", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"a", "\[CenterDot]", "b"}], ",", " ", 
         RowBox[{"b", "\[CenterDot]", "c"}], ",", " ", 
         RowBox[{"a", "\[CenterDot]", "b", "\[CenterDot]", 
          SuperscriptBox["c", "2"]}], ",", " ", 
         RowBox[{"b", "\[CenterDot]", 
          SuperscriptBox["c", "3"]}]}], "}"}], ",", "\n", "\t", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"a", "\[CenterDot]", "c"}], ",", " ", 
         SuperscriptBox["b", "2"], ",", " ", 
         RowBox[{"a", "\[CenterDot]", 
          SuperscriptBox["c", "3"]}], ",", " ", 
         RowBox[{
          SuperscriptBox["b", "2."], 
          SuperscriptBox["c", "2"]}]}], "}"}]}], "}"}], "."}]}], 
   TraditionalForm]]],
 "\n\nIn the last experiment, you were asked to rearrange the elements of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 " so that the multiplication tables for these two groups had the same color \
pattern. With a little fiddling, one might have come up with a correlation \
like the following:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436546106671875*^9, 3.436546121359375*^9}}],

Cell[TextData[{
 " ",
 Cell[BoxData[{
  RowBox[{
   FormBox[
    RowBox[{"              ", 
     RowBox[{"e", "  ", "\[LongLeftRightArrow]", " ", 
      RowBox[{"{", 
       RowBox[{"e", ",", " ", 
        SuperscriptBox["c", "2"], ",", " ", 
        RowBox[{"a", "\[CenterDot]", 
         SuperscriptBox["b", "2"], "\[CenterDot]", "c"}], ",", " ", 
        RowBox[{"a", "\[CenterDot]", 
         SuperscriptBox["b", "2"], "\[CenterDot]", 
         SuperscriptBox["c", "3"]}]}], "}"}]}]}],
    TraditionalForm], "       "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"              ", 
     RowBox[{"a", "  ", "\[LongLeftRightArrow]", " ", 
      RowBox[{"{", 
       RowBox[{"a", ",", " ", 
        RowBox[{"a", "\[CenterDot]", 
         SuperscriptBox["c", "2"]}], ",", " ", 
        RowBox[{
         SuperscriptBox["b", "2"], "\[CenterDot]", "c"}], ",", " ", 
        RowBox[{
         SuperscriptBox["b", "2"], "\[CenterDot]", 
         SuperscriptBox["c", "3"]}]}], "}"}]}]}],
    TraditionalForm], "                       "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t            ", 
     RowBox[{"b", "  ", "\[LongLeftRightArrow]", " ", 
      RowBox[{"{", 
       RowBox[{"b", ",", " ", 
        RowBox[{"a", "\[CenterDot]", "b", "\[CenterDot]", "c"}], ",", " ", 
        RowBox[{"b", "\[CenterDot]", 
         SuperscriptBox["c", "2"]}], ",", " ", 
        RowBox[{"a", "\[CenterDot]", "b", "\[CenterDot]", 
         SuperscriptBox["c", "3"]}]}], "}"}]}]}],
    TraditionalForm], "   "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t       ", 
     RowBox[{"a", "\[CenterDot]", 
      RowBox[{"b", " ", "\[LongLeftRightArrow]", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"a", "\[CenterDot]", "b"}], ",", " ", 
         RowBox[{"b", "\[CenterDot]", "c"}], ",", " ", 
         RowBox[{"a", "\[CenterDot]", "b", "\[CenterDot]", 
          SuperscriptBox["c", "2"]}], ",", " ", 
         RowBox[{"b", "\[CenterDot]", 
          SuperscriptBox["c", "3"]}]}], "}"}]}]}]}],
    TraditionalForm], "           "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t \t        ", 
     RowBox[{
      SuperscriptBox["b", "2"], " ", "\[LongLeftRightArrow]", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"a", "\[CenterDot]", "c"}], ",", " ", 
        SuperscriptBox["b", "2"], ",", " ", 
        RowBox[{"a", "\[CenterDot]", 
         SuperscriptBox["c", "3"]}], ",", " ", 
        RowBox[{
         SuperscriptBox["b", "2"], ".", 
         SuperscriptBox["c", "2"]}]}], "}"}]}]}],
    TraditionalForm], "     "}], "\n", 
  RowBox[{"\t\t  ", 
   RowBox[{"a", "\[CenterDot]", 
    RowBox[{
     SuperscriptBox["b", "2"], " ", "\[LongLeftRightArrow]", " ", 
     RowBox[{"{", 
      RowBox[{"c", ",", " ", 
       RowBox[{"a", "\[CenterDot]", 
        SuperscriptBox["b", "2"]}], ",", " ", 
       SuperscriptBox["c", "3"], ",", " ", 
       RowBox[{"a", "\[CenterDot]", 
        SuperscriptBox["b", "2"], "\[CenterDot]", 
        SuperscriptBox["c", "2"]}]}], "}"}]}]}]}]}]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Thus, by using an ordering of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 " such as \n",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"a", ",", " ", "b", ",", " ", 
     RowBox[{"a", "\[CenterDot]", "b", "\[CenterDot]", "b"}], ",", " ", "e", 
     ",", " ", 
     RowBox[{"a", ".", "b"}], ",", " ", 
     RowBox[{"a", "\[CenterDot]", "c"}]}], "}"}], TraditionalForm]]],
 ", the multiplication tables for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "M"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 " have the exact same color pattern.\n\nWhat does that mean? Suppose we \
define a ",
 StyleBox["function",
  FontSlant->"Italic"],
 " from ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "M"}], TraditionalForm]]],
 ". We are used to plugging real numbers into a function, and having a real \
number come out. But there is no reason why we cannot have a function which \
is evaluated at an element of a group!  We define the function ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " as follows: "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43654614015625*^9, 3.436546143796875*^9}}],

Cell[TextData[{
 " ",
 Cell[BoxData[{
  RowBox[{
   FormBox[
    RowBox[{"              ", 
     RowBox[{
      RowBox[{"\[Florin]", "(", "e", ")"}], "  ", "=", " ", 
      RowBox[{"{", 
       RowBox[{"e", ",", " ", 
        SuperscriptBox["c", "2"], ",", " ", 
        RowBox[{"a", "\[CenterDot]", 
         SuperscriptBox["b", "2"], "\[CenterDot]", "c"}], ",", " ", 
        RowBox[{"a", "\[CenterDot]", 
         SuperscriptBox["b", "2"], "\[CenterDot]", 
         SuperscriptBox["c", "3"]}]}], "}"}]}]}],
    TraditionalForm], "       "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"              ", 
     RowBox[{
      RowBox[{"\[Florin]", "(", "a", ")"}], "  ", "=", " ", 
      RowBox[{"{", 
       RowBox[{"a", ",", " ", 
        RowBox[{"a", "\[CenterDot]", 
         SuperscriptBox["c", "2"]}], ",", " ", 
        RowBox[{
         SuperscriptBox["b", "2"], "\[CenterDot]", "c"}], ",", " ", 
        RowBox[{
         SuperscriptBox["b", "2"], "\[CenterDot]", 
         SuperscriptBox["c", "3"]}]}], "}"}]}]}],
    TraditionalForm], "                       "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t            ", 
     RowBox[{
      RowBox[{"\[Florin]", "(", "b", ")"}], "  ", "=", " ", 
      RowBox[{"{", 
       RowBox[{"b", ",", " ", 
        RowBox[{"a", "\[CenterDot]", "b", "\[CenterDot]", "c"}], ",", " ", 
        RowBox[{"b", "\[CenterDot]", 
         SuperscriptBox["c", "2"]}], ",", " ", 
        RowBox[{"a", "\[CenterDot]", "b", "\[CenterDot]", 
         SuperscriptBox["c", "3"]}]}], "}"}]}]}],
    TraditionalForm], "   "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t       ", 
     RowBox[{
      RowBox[{"\[Florin]", "(", 
       RowBox[{"a", "\[CenterDot]", "b"}], ")"}], " ", "=", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"a", "\[CenterDot]", "b"}], ",", " ", 
        RowBox[{"b", "\[CenterDot]", "c"}], ",", " ", 
        RowBox[{"a", "\[CenterDot]", "b", "\[CenterDot]", 
         SuperscriptBox["c", "2"]}], ",", " ", 
        RowBox[{"b", "\[CenterDot]", 
         SuperscriptBox["c", "3"]}]}], "}"}]}]}],
    TraditionalForm], "           "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t\t        ", 
     RowBox[{
      RowBox[{"\[Florin]", "(", 
       SuperscriptBox["b", "2"], ")"}], "  ", "=", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"a", "\[CenterDot]", "c"}], ",", " ", 
        SuperscriptBox["b", "2"], ",", " ", 
        RowBox[{"a", "\[CenterDot]", 
         SuperscriptBox["c", "3"]}], ",", " ", 
        RowBox[{
         SuperscriptBox["b", "2"], ".", 
         SuperscriptBox["c", "2"]}]}], "}"}]}]}],
    TraditionalForm], "     "}], "\n", 
  RowBox[{"\t\t   ", 
   RowBox[{
    RowBox[{"\[Florin]", "(", 
     RowBox[{"a", "\[CenterDot]", 
      SuperscriptBox["b", "2"]}], ")"}], " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{"c", ",", " ", 
      RowBox[{"a", "\[CenterDot]", 
       SuperscriptBox["b", "2"]}], ",", " ", 
      SuperscriptBox["c", "3"], ",", " ", 
      RowBox[{"a", "\[CenterDot]", 
       SuperscriptBox["b", "2"], "\[CenterDot]", 
       SuperscriptBox["c", "2"]}]}], "}"}]}]}]}]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 FontFamily->"Courier New",
 FontSize->12,
 FontWeight->"Plain",
 FontSlant->"Plain",
 FontTracking->"Plain",
 FontVariations->{"Outline"->False,
 "Shadow"->False,
 "Underline"->False},
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "Then we have ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", 
     RowBox[{"x", "\[CenterDot]", "y"}], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Florin]", "(", "x", ")"}], "\[CenterDot]", 
     RowBox[{"\[Florin]", "(", "y", ")"}]}]}], TraditionalForm]]],
 ".  \n\nWe can also notice two other things about the function ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 ". Note that two different elements of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 "  produce two different elements of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "M"}], TraditionalForm]]],
 ".  We say that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " is ",
 StyleBox["one-to-one",
  FontSlant->"Italic"],
 ", or ",
 StyleBox["injective",
  FontSlant->"Italic"],
 ". Another thing to notice is that every element of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "M"}], TraditionalForm]]],
 " appears as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " for some element ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ".  We say that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " is ",
 StyleBox["onto",
  FontSlant->"Italic"],
 ", or ",
 StyleBox["surjective",
  FontSlant->"Italic"],
 ". If a function, such as this one, is both injective and surjective, we say \
that it is ",
 StyleBox["bijective",
  FontSlant->"Italic"],
 ". \n\nThis function allows us to see that the two groups ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "M"}], TraditionalForm]]],
 " are really the same group in disguise. The function indicates how to \
\"relabel\" the elements so that one group becomes the other group.\n\n\
DEFINITION:\nLet ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["G", "1"], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["G", "2"], TraditionalForm]]],
 " be two groups.  An ",
 StyleBox["isomorphism",
  FontSlant->"Italic"],
 " from ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["G", "1"], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["G", "2"], TraditionalForm]]],
 " is a one-to-one function sending elements of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["G", "1"], TraditionalForm]]],
 " to elements of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["G", "2"], TraditionalForm]]],
 " such that   \n\n                          ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      RowBox[{"x", "\[CenterDot]", "y"}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Florin]", "(", "x", ")"}], "\[CenterDot]", 
       RowBox[{"f", "(", "y", ")"}]}], "   ", "for", " ", "all", "  ", 
      "x"}]}], ",", " ", 
    RowBox[{"y", " ", "\[Element]", " ", 
     SubscriptBox["G", "1"]}]}], TraditionalForm]]],
 ".\n\nIf there exists an isomorphism from ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["G", "1"], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["G", "2"], TraditionalForm]]],
 " which is also onto, then we say that ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["G", "1"], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["G", "2"], TraditionalForm]]],
 " are ",
 StyleBox["isomorphic",
  FontSlant->"Italic"],
 ", denoted by  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["G", "1"], " ", 
    StyleBox["\[TildeTilde]",
     FontSize->16], " ", 
    SubscriptBox["G", "2"]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436546162171875*^9, 3.436546198671875*^9}, {
  3.436546229109375*^9, 3.4365462873125*^9}}],

Cell[TextData[{
 "Because of the function we defined above, it is clear that ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 " is isomorphic to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", 
    RowBox[{"M", "."}]}], TraditionalForm]]],
 "  We now have a way of saying that the two groups have essentially the same \
multiplication table, as indicated by the color patterns.\n\nOne of the most \
important yet extremely hard problems in group theory is to find all of the \
groups of order ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Of course, there are really an infinite number of different groups if we \
can relabel the elements. But the concept of isomorphism allows us to say \
that ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "M"}], TraditionalForm]]],
 " are really the same group. So we may ask how many ",
 StyleBox["non-isomorphic",
  FontSlant->"Italic"],
 " groups there are of order ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Even though this is still unsolved in general, we do know of an upper \
bound for the number of groups.\n\nPROPOSITION 4.1\nThere are at most ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["n", 
    RowBox[{"(", 
     SuperscriptBox["n", "2"], ")"}]], TraditionalForm]]],
 " non-isomorphic groups of order ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436546292828125*^9, 3.4365463000625*^9}, {
  3.4365463721875*^9, 3.436546372328125*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "If two groups have the same multiplication table, they are isomorphic, so a \
group is completely determined by its multiplication table.  Notice that each \
element of this table must be one of ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " elements, and there are ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["n", "2"], TraditionalForm]]],
 " entries in the table.  So there are ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["n", 
    RowBox[{"(", 
     SuperscriptBox["n", "2"], ")"}]], TraditionalForm]]],
 "   ways of creating such a table. "
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436546312921875*^9, 3.436546355890625*^9}, 
   3.44149909765625*^9}]
}, Open  ]],

Cell[TextData[{
 "Of course, not very many of these tables will actually form a group. ",
 "Even though this proposition gives us an upper bound, it is too big to be \
practical. The following proposition will be helpful for many values of ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ".\n\nPROPOSITION 4.2\nFor a given positive integer ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", every cyclic group of order ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is isomorphic to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "n"], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436546375203125*^9, 3.43654637534375*^9}, 
   3.44149909509375*^9}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " be a group of order ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox["g", TraditionalForm]]],
 " be a generator of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".  Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["g", "n"], " ", "=", " ", "e"}], TraditionalForm]]],
 ",     and      \n\n                    ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", " ", 
      RowBox[{
       RowBox[{"e", "=", 
        SuperscriptBox["g", "0"]}], ",", " ", 
       SuperscriptBox["g", "1"], ",", " ", 
       SuperscriptBox["g", "2"], ",", " ", 
       SuperscriptBox["g", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
       SuperscriptBox["g", 
        RowBox[{"n", "-", "1"}]]}], "}"}], "."}]}], TraditionalForm]]],
 "\n\nDefine  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", ":", " ", 
    RowBox[{
     SubscriptBox["Z", 
      RowBox[{"n", " "}]], " ", "\[RightArrow]", " ", "G"}]}], 
   TraditionalForm]]],
 "  by \n\n                       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["g", 
      RowBox[{"x", " "}]], "  ", 
     RowBox[{"(", 
      RowBox[{"0", " ", "\[LessEqual]", " ", "x", " ", "\[LessEqual]", " ", 
       RowBox[{"n", "-", "1"}]}], ")"}]}]}], TraditionalForm]]],
 ".\n\nThat is, ",
 Cell[BoxData[
  FormBox["f", TraditionalForm]]],
 " will map the elements of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "n"], TraditionalForm]]],
 " to elements of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".   Clearly ",
 Cell[BoxData[
  FormBox["f", TraditionalForm]]],
 " is one-to-one and onto, and we would like to show that it is an \
isomorphism.  Suppose ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " both satisfy\n\n                                   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"0", " ", "\[LessEqual]", " ", "x"}], ",", 
    RowBox[{"y", " ", "\[LessEqual]", 
     RowBox[{"n", "-", "1"}]}]}], TraditionalForm]]],
 ".\n                     \nWe let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"z", " ", "=", " ", 
    RowBox[{"x", " ", "+", " ", 
     RowBox[{"y", "   ", 
      RowBox[{"(", 
       RowBox[{"Mod", " ", "n"}], ")"}]}]}]}], TraditionalForm]]],
 ".  Then we can find an ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"x", " ", "+", " ", "y"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"m", " ", "n"}], " ", "+", " ", "z"}]}]}], TraditionalForm]]],
 ". Now, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", 
     RowBox[{"x", " ", "+", " ", "y"}], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Florin]", "(", "z", ")"}], " ", "=", " ", 
     SuperscriptBox["g", "z"]}]}], TraditionalForm]]],
 " by the definition of \[Florin].  Thus,\n\n          ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", 
     RowBox[{"x", "+", "y"}], ")"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["g", "z"], " ", "=", " ", 
     RowBox[{
      SuperscriptBox["g", 
       RowBox[{"(", 
        RowBox[{"x", " ", "+", " ", "y", " ", "-", " ", 
         RowBox[{"m", " ", "n"}]}], ")"}]], " ", "=", " ", 
      RowBox[{
       RowBox[{
        SuperscriptBox["g", "x"], "\[CenterDot]", 
        SuperscriptBox["g", "y"], "\[CenterDot]", 
        SuperscriptBox[
         RowBox[{"(", 
          SuperscriptBox["g", "n"], ")"}], 
         RowBox[{"-", "m"}]]}], "=", " ", 
       RowBox[{
        RowBox[{
         SuperscriptBox["g", "x"], "\[CenterDot]", 
         SuperscriptBox["g", "y"]}], "=", " ", 
        RowBox[{
         RowBox[{"\[Florin]", "(", "x", ")"}], "\[CenterDot]", 
         RowBox[{
          RowBox[{"\[Florin]", "(", "y", ")"}], "."}]}]}]}]}]}]}], 
   TraditionalForm]]],
 "\n\nSince ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is an isomorphism of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "n"], TraditionalForm]]],
 " onto ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", we have  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", " ", 
    StyleBox["\[TildeTilde]",
     FontSize->16], " ", 
    SubscriptBox["Z", "n"]}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436546388796875*^9, 3.436546617265625*^9}}]
}, Open  ]],

Cell[TextData[{
 "How does this proposition help us determine all of the groups of order ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "? If ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " is ",
 StyleBox["prime",
  FontSlant->"Italic"],
 ", then corollary 3.3 tells us that the groups must be cyclic. Then this \
proposition would tell us that the group must be isomorphic to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "p"], TraditionalForm]]],
 ". So in fact, if ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " is prime, there is only one non-isomorphic group of order ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 ".\n\nLet us see if we can find all isomorphic groups of order up to 8. The \
following lemma will help us out."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436546683703125*^9, 3.436546686109375*^9}, {
  3.44149926425*^9, 3.44149928690625*^9}}],

Cell[TextData[{
 "LEMMA 4.1\nSuppose a group ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " whose order is greater then 2 has all non-identity elements being of order \
2. Then ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " has a subgroup isomorphic to ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "8", "*"], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436546719578125*^9, 3.436546720015625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Since the order of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " is greater than 2, there are two distinct elements ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " besides the identity element ",
 Cell[BoxData[
  FormBox["e", TraditionalForm]]],
 ".  Then we have ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["a", "2"], "=", " ", 
    RowBox[{
     SuperscriptBox["b", "2"], "=", " ", "e"}]}], TraditionalForm]]],
 ".  Consider  the product ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "\[CenterDot]", "b"}], TraditionalForm]]],
 ".  It can be neither ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " nor ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " since this would imply the other was the identity.  On the other hand, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"a", "\[CenterDot]", "b"}], " ", "=", " ", "e"}], 
   TraditionalForm]]],
 " implies\n\n                    ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", " ", "=", " ", 
    RowBox[{
     RowBox[{"a", "\[CenterDot]", "e"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"a", "\[CenterDot]", 
       RowBox[{"(", 
        RowBox[{"b", "\[CenterDot]", "b"}], ")"}]}], " ", "=", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"a", "\[CenterDot]", "b"}], ")"}], "\[CenterDot]", "b"}], 
       " ", "=", " ", 
       RowBox[{
        RowBox[{"e", "\[CenterDot]", "b"}], " ", "=", " ", "b"}]}]}]}]}], 
   TraditionalForm]]],
 ".\n\nSo ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "\[CenterDot]", "b"}], TraditionalForm]]],
 " is not the identity either.  So there must be a fourth element in ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", which we will call ",
 Cell[BoxData[
  FormBox["c", TraditionalForm]]],
 ", such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"a", "\[CenterDot]", "b"}], " ", "=", " ", "c"}], 
   TraditionalForm]]],
 ".  Since all elements of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " are of order 2, we have ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["c", "2"], " ", "=", " ", "e"}], TraditionalForm]]],
 ".\n\nFinally, note that  \n\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"b", "\[CenterDot]", "a"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
     "e", "\[CenterDot]", "b", "\[CenterDot]", "a", "\[CenterDot]", "e"}], 
     " ", "=", " ", 
     RowBox[{
      RowBox[{
      "a", "\[CenterDot]", "a", "\[CenterDot]", "b", "\[CenterDot]", "a", 
       "\[CenterDot]", "b", "\[CenterDot]", "b"}], " ", "=", " ", 
      RowBox[{
       RowBox[{"a", "\[CenterDot]", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"a", "\[CenterDot]", "b"}], ")"}], "2"], "\[CenterDot]", 
        "b"}], " ", "=", " ", 
       RowBox[{
        RowBox[{"a", "\[CenterDot]", 
         SuperscriptBox["c", "2"], "\[CenterDot]", "b"}], " ", "=", " ", 
        RowBox[{
         RowBox[{"a", "\[CenterDot]", "e", "\[CenterDot]", "b"}], " ", "=", 
         " ", 
         RowBox[{
          RowBox[{"a", "\[CenterDot]", "b"}], " ", "=", " ", 
          "c"}]}]}]}]}]}]}], TraditionalForm]]],
 ".\n\nWith this we can quickly find the remaining products involving ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["c", TraditionalForm]]],
 ".\n\n   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"c", "\[CenterDot]", "a"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"b", "\[CenterDot]", "a", "\[CenterDot]", "a"}], " ", "=", " ", 
     "b"}]}], TraditionalForm]]],
 ",  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"c", "\[CenterDot]", "b"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"a", "\[CenterDot]", "b", "\[CenterDot]", "b"}], " ", "=", " ", 
     "a"}]}], TraditionalForm]]],
 ",  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"a", "\[CenterDot]", "c"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"a", "\[CenterDot]", "a", "\[CenterDot]", "b"}], " ", "=", " ", 
     "b"}]}], TraditionalForm]]],
 ",  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"b", "\[CenterDot]", "c"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"b", "\[CenterDot]", "b", "\[CenterDot]", "a"}], " ", "=", " ", 
     "a"}]}], TraditionalForm]]],
 ".\n\nHence, the set ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{"e", ",", " ", "a", ",", " ", "b", ",", " ", "c"}], "}"}]}], 
   TraditionalForm]]],
 " is closed under multiplication, contains the identity, and also contains \
the inverses of every element in the set.  Hence, ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".  Looking at the multiplication table for ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ":"
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "\n                                              ",
 Cell[BoxData[
  FormBox[GridBox[{
     {" ", "|", "e", "a", "b", "c"},
     {"-", "+", "-", "-", "-", "-"},
     {"e", "|", "e", "a", "b", "c"},
     {"a", "|", "a", "e", "c", "b"},
     {"b", "|", "b", "c", "e", "a"},
     {"c", "|", "c", "b", "a", "e"}
    }], TraditionalForm]]]
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "\nWe see that this is isomorphic to ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "8", "*"], TraditionalForm]]],
 " using the mapping\n\n                                    ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Florin]", "(", "e", ")"}], " ", "=", " ", "1"}], ",", "\n", 
    RowBox[{
     RowBox[{"\[Florin]", "(", "a", ")"}], " ", "=", " ", "3"}], ",", "\n", 
    RowBox[{
     RowBox[{"\[Florin]", "(", "b", ")"}], " ", "=", " ", "5"}], ",", "\n", 
    RowBox[{
     RowBox[{"\[Florin]", "(", "c", ")"}], " ", "=", " ", "7."}]}], 
   TraditionalForm]]]
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "The group ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "8", "*"], TraditionalForm]]],
 " is also called the ",
 StyleBox["Klein's 4-group",
  FontSlant->"Italic"],
 ". We are now ready to find all groups of order less than 8."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43654683084375*^9, 3.436546834265625*^9}}],

Cell[TextData[{
 "\n",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", "1"}], TraditionalForm]]],
 ":  The one element must be the identity, so \n            we have the \
trivial group, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", "e", "}"}], TraditionalForm]]],
 ".\n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", "2"}], TraditionalForm]]],
 ":  Since 2 is prime, the only group is ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 ".\n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", "3"}], TraditionalForm]]],
 ":  Since 3 is prime, the only group is ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 ".\n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", "4"}], TraditionalForm]]],
 ":  Every element must be of order 1, 2, or \n            4.  If there is an \
element of order 4, \n            the group is cyclic. On the other hand,\n   \
         if all of non-identity elements are of\n            order 2, then \
lemma 4.1 states that \n            there is a subgroup isomorphic to \n      \
      ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "8", "*"], TraditionalForm]]],
 ". But this must be the group itself. \n            Thus, there are two \
possible groups: \n            ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "4"], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "8", "*"], TraditionalForm]]],
 ".\n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", "5"}], TraditionalForm]]],
 ":  Since 5 is prime, the only group is ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "5"], TraditionalForm]]],
 ".\n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", "6"}], TraditionalForm]]],
 ":  Every element must be of order 1, 2, 3 or\n            6. If there is an \
element of order 6, \n            the group is cyclic. If all non-identity\n  \
          elements are of order 2, then lemma 4.1 \n            states that \
there is a subgroup \n            isomorphic to ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "8", "*"], TraditionalForm]]],
 ". But this is impossible, \n            since 4 does not divide 6. Thus, \
there\n            is an element of order 3, say ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ". Then \n            ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{"e", ",", " ", "a", ",", " ", 
      SuperscriptBox["a", "2"]}], "}"}]}], TraditionalForm]]],
 " is a subgroup with index 2,\n            and so by proposition 3.5, ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is normal. \n            If ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " is any element not in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", \n            then the two cosets are \n            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"e", ",", "a", ",", 
         SuperscriptBox["a", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", 
         RowBox[{"a", "\[CenterDot]", "b"}], ",", 
         RowBox[{
          SuperscriptBox["a", "2"], "\[CenterDot]", "b"}]}], "}"}]}], "}"}], 
     "."}], " "}], TraditionalForm]]],
 "\n            Thus, the group can be expressed by"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436546933875*^9, 3.436546941734375*^9}}],

Cell[CellGroupData[{

Cell["\<\
InitGroup[e];
Define[a^3, e]
G = {e,a,b,a.a,a.b,a.a.b}\
\>", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", "a", ",", "b", ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(a\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`a],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(a\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`a], $CellContext`b],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{{3.4425892354771376`*^9, 3.4425892637583876`*^9}}]
}, Open  ]],

Cell["\<\
            However, this is not enough to define 
            the whole group, as we can see in the
            black holes in the multiplication table.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["MultTable[G]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.4425892426802626`*^9},
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.6, 0.4, 0.8}, {0.6, 0.4, 0.8}, {0, 0, 0}, {0, 0, 0}, {0, 0, 
      0}, {0, 0, 0}, {0, 0, 0}}, {{0, 1, 0}, {0, 1, 0}, {0, 0, 0}, {0, 0, 
     0}, {0, 0, 0}, {0, 0, 0}, {0, 0, 
     0}}, {{1, 0, 0}, {1, 0, 0}, {1, 1, 0}, {0.6, 0.4, 0.8}, {1, 0, 1}, {0, 1,
       1}, {0, 1, 0}}, {{0, 1, 1}, {0, 1, 1}, {0, 0, 0}, {0, 0, 0}, {0, 0, 
     0}, {0, 0, 0}, {0, 0, 
     0}}, {{1, 0, 1}, {1, 0, 1}, {1, 0, 0}, {0, 1, 0}, {1, 1, 0}, {0.6, 0.4, 
      0.8}, {0, 1, 1}}, {{1, 1, 0}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 
      0}, {0, 1, 0}, {0.6, 0.4, 0.8}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 1}, {0, 
      1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}}}], {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {1.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {2.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {3.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {4.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {5.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {6.5, 6.5}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 5.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 4.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 3.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 2.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 1.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 0.5}]}, {{InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 5.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 4.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 3.5}], 
     InsetBox["\<\" \"\>", {2.5, 3.5}], InsetBox["\<\" \"\>", {3.5, 3.5}], 
     InsetBox["\<\" \"\>", {4.5, 3.5}], InsetBox["\<\" \"\>", {5.5, 3.5}], 
     InsetBox["\<\" \"\>", {6.5, 3.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 2.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 1.5}], 
     InsetBox["\<\" \"\>", {2.5, 1.5}], InsetBox["\<\" \"\>", {3.5, 1.5}], 
     InsetBox["\<\" \"\>", {4.5, 1.5}], InsetBox["\<\" \"\>", {5.5, 1.5}], 
     InsetBox["\<\" \"\>", {6.5, 1.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 0.5}], 
     InsetBox["\<\" \"\>", {2.5, 0.5}], InsetBox["\<\" \"\>", {3.5, 0.5}], 
     InsetBox["\<\" \"\>", {4.5, 0.5}], InsetBox["\<\" \"\>", {5.5, 0.5}], 
     InsetBox["\<\" \"\>", {6.5, 0.5}]}}, 
   LineBox[{{1, 0}, {1, 6}, {7, 6}}]}]], "Output",
 CellChangeTimes->{{3.4425892435865126`*^9, 3.4425892654302626`*^9}},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "            How many ways can we complete this table?\n            Because \
the quotient group is ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["b", "2"], TraditionalForm]]],
 " must \n            be in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ". Yet if ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["b", "2"], TraditionalForm]]],
 " is a or ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["a", "2"], TraditionalForm]]],
 ", then we \n            find ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " has order 6, which we have \n            already considered. So we may \
suppose \n            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SuperscriptBox["b", "2"],
     TraditionalForm], " ", "=", " ", "e"}], TraditionalForm]]],
 ". If we add this definition, we get"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
Define[b^2, e]
MultTable[G]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.4425892529458876`*^9},
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.6, 0.4, 0.8}, {0.6, 0.4, 0.8}, {0, 0, 0}, {1, 0, 0}, {0, 0, 
      0}, {0, 0, 0}, {0, 0, 0}}, {{0, 1, 0}, {0, 1, 0}, {0, 0, 0}, {1, 0, 
     1}, {0, 0, 0}, {0, 0, 0}, {0, 0, 
     0}}, {{1, 0, 0}, {1, 0, 0}, {1, 1, 0}, {0.6, 0.4, 0.8}, {1, 0, 1}, {0, 1,
       1}, {0, 1, 0}}, {{0, 1, 1}, {0, 1, 1}, {0, 0, 0}, {1, 1, 0}, {0, 0, 
     0}, {0, 0, 0}, {0, 0, 
     0}}, {{1, 0, 1}, {1, 0, 1}, {1, 0, 0}, {0, 1, 0}, {1, 1, 0}, {0.6, 0.4, 
      0.8}, {0, 1, 1}}, {{1, 1, 0}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 
      0}, {0, 1, 0}, {0.6, 0.4, 0.8}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 1}, {0, 
      1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}}}], {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {1.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {2.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {3.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {4.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {5.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {6.5, 6.5}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 5.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 4.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 3.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 2.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 1.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 0.5}]}, {{InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 5.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 4.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 3.5}], 
     InsetBox["\<\" \"\>", {2.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 3.5}], 
     InsetBox["\<\" \"\>", {4.5, 3.5}], InsetBox["\<\" \"\>", {5.5, 3.5}], 
     InsetBox["\<\" \"\>", {6.5, 3.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 2.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 1.5}], 
     InsetBox["\<\" \"\>", {2.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 1.5}], 
     InsetBox["\<\" \"\>", {4.5, 1.5}], InsetBox["\<\" \"\>", {5.5, 1.5}], 
     InsetBox["\<\" \"\>", {6.5, 1.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 0.5}], 
     InsetBox["\<\" \"\>", {2.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 0.5}], 
     InsetBox["\<\" \"\>", {4.5, 0.5}], InsetBox["\<\" \"\>", {5.5, 0.5}], 
     InsetBox["\<\" \"\>", {6.5, 0.5}]}}, 
   LineBox[{{1, 0}, {1, 6}, {7, 6}}]}]], "Output",
 CellChangeTimes->{{3.4425892535865126`*^9, 3.4425892680708876`*^9}},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "            Now the rest of the multiplication table \n            of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " can be determined by finding ",
 Cell[BoxData[
  FormBox[
   RowBox[{"b", "\[CenterDot]", "a"}], TraditionalForm]]],
 ". \n            Again, because of the quotient group, \n            ",
 Cell[BoxData[
  FormBox[
   RowBox[{"b", "\[CenterDot]", "a"}], TraditionalForm]]],
 " is not in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ". Obviously ",
 Cell[BoxData[
  FormBox[
   RowBox[{"b", "\[CenterDot]", "a"}], TraditionalForm]]],
 " is not ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 ", \n            since ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " cannot appear twice in the\n            same row. If ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"b", "\[CenterDot]", "a"}], " ", "=", " ", 
    RowBox[{"a", "\[CenterDot]", "b"}]}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"b", "\[CenterDot]", "a"}], TraditionalForm]]],
 " will \n            have order 6, which we have covered. So \n            \
the only possibility left is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"b", "\[CenterDot]", "a"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["a", "2"], "\[CenterDot]", "b"}]}], TraditionalForm]]],
 ". \n            If we add this final definition, we get \n            the \
following multiplication table:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
Define[b.a, (a^2).b ]
MultTable[G]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.4425892708208876`*^9},
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.6, 0.4, 0.8}, {0.6, 0.4, 0.8}, {0, 1, 0}, {1, 0, 0}, {0, 1, 
      1}, {1, 0, 1}, {1, 1, 0}}, {{0, 1, 0}, {0, 1, 0}, {0, 1, 1}, {1, 0, 
      1}, {0.6, 0.4, 0.8}, {1, 1, 0}, {1, 0, 0}}, {{1, 0, 0}, {1, 0, 0}, {1, 
      1, 0}, {0.6, 0.4, 0.8}, {1, 0, 1}, {0, 1, 1}, {0, 1, 0}}, {{0, 1, 1}, {
      0, 1, 1}, {0.6, 0.4, 0.8}, {1, 1, 0}, {0, 1, 0}, {1, 0, 0}, {1, 0, 
      1}}, {{1, 0, 1}, {1, 0, 1}, {1, 0, 0}, {0, 1, 0}, {1, 1, 0}, {0.6, 0.4, 
      0.8}, {0, 1, 1}}, {{1, 1, 0}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 
      0}, {0, 1, 0}, {0.6, 0.4, 0.8}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 1}, {0, 
      1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}}}], {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {1.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {2.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {3.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {4.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {5.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {6.5, 6.5}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 5.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 4.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 3.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 2.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 1.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 0.5}]}, {{InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 5.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 4.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 3.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 2.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 1.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 0.5}]}}, 
   LineBox[{{1, 0}, {1, 6}, {7, 6}}]}]], "Output",
 CellChangeTimes->{3.4425892713990126`*^9}]
}, Open  ]],

Cell[TextData[{
 "            We can now see the multiplication table\n            using ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CheckGroup[G]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData["\<\"This set of elements is a group.\"\>"], "Print",
 CellChangeTimes->{3.4425892742896376`*^9}]
}, Open  ]],

Cell[TextData[{
 "            Which group is this? We already know of \n            a \
non-cyclic group of order 6, namely ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 ".\n            Thus, the two possible groups of order 6\n            are ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "6"], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 ".\n\n ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", "7"}], TraditionalForm]]],
 ":  Since 7 is prime, the only group is ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "7"], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "\n ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", "8"}], TraditionalForm]]],
 ":  Every element must be of order 1, 2, 4, \n             or 8. If there is \
an element of order 8,\n             the group is cyclic. Suppose that all \n \
            non-identity elements are of order 2. By \n             lemma \
4.1, there is a subgroup ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 "  \n             isomorphic to ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "8", "*"], TraditionalForm]]],
 ". But the index of \n             ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is 2, so ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is a normal subgroup. Thus,\n             if ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]]],
 " is any element not in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", then the \n             cosets of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " can be expressed as \n             ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"e", ",", "a", ",", "b", ",", 
       RowBox[{"a", "\[CenterDot]", "b"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", 
       RowBox[{"a", "\[CenterDot]", "d"}], ",", 
       RowBox[{"b", "\[CenterDot]", "d"}], ",", 
       RowBox[{"a", "\[CenterDot]", "b", "\[CenterDot]", "d"}]}], "}"}]}], 
    "}"}], TraditionalForm]]],
 ". \n             Since ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "\[CenterDot]", "d"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"b", "\[CenterDot]", "d"}], TraditionalForm]]],
 " all are of order\n            2, we have\n      \n    ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"d", "\[CenterDot]", "a"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
     "a", "\[CenterDot]", "a", "\[CenterDot]", "d", "\[CenterDot]", "a", 
      "\[CenterDot]", "d", "\[CenterDot]", "d"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"a", "\[CenterDot]", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"a", "\[CenterDot]", "d"}], ")"}], "2"], "\[CenterDot]", 
       "d"}], " ", "=", " ", 
      RowBox[{"a", "\[CenterDot]", "d"}]}]}]}], TraditionalForm]]],
 ",    \n    ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"d", "\[CenterDot]", "b"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
     "b", "\[CenterDot]", "b", "\[CenterDot]", "d", "\[CenterDot]", "b", 
      "\[CenterDot]", "d", "\[CenterDot]", "d"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"b", "\[CenterDot]", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"b", "\[CenterDot]", "d"}], ")"}], "2"], "\[CenterDot]", 
       "d"}], " ", "=", " ", 
      RowBox[{"b", "\[CenterDot]", "d"}]}]}]}], TraditionalForm]]],
 ".\n\n             Using ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", the only possible \n             group would be"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43654708353125*^9, 3.436547085640625*^9}}],

Cell[CellGroupData[{

Cell["\<\
InitGroup[e];
Define[a^2,e]
Define[b^2,e]
Define[d^2,e]
Define[b.a, a.b ]
Define[d.a, a.d ]
Define[d.b, b.d ]
G = Group[{a,b,d}]
MultTable[G]\
\>", "Input",
 PageWidth->Infinity,
 PageBreakAbove->True,
 CellChangeTimes->{3.4425892915552626`*^9},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", "a", ",", "b", ",", "d", ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(d\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`d],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(d\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`d],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(d\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`d],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{{3.4425892828365126`*^9, 3.4425892958833876`*^9}}],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.7, 0.8, 0.7}, {0.7, 0.8, 0.7}, {1, 0.6, 0}, {0.6, 0.4, 
      0.8}, {0, 1, 0}, {1, 0, 0}, {0, 1, 1}, {1, 0, 1}, {1, 1, 0}}, {{
      1, 0.6, 0}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {1, 0, 0}, {0, 1, 1}, {0.6, 
      0.4, 0.8}, {0, 1, 0}, {1, 1, 0}, {1, 0, 1}}, {{0.6, 0.4, 0.8}, {0.6, 
      0.4, 0.8}, {1, 0, 0}, {0.7, 0.8, 0.7}, {1, 0, 1}, {1, 0.6, 0}, {1, 1, 
      0}, {0, 1, 0}, {0, 1, 1}}, {{0, 1, 0}, {0, 1, 0}, {0, 1, 1}, {1, 0, 
      1}, {0.7, 0.8, 0.7}, {1, 1, 0}, {1, 0.6, 0}, {0.6, 0.4, 0.8}, {1, 0, 
      0}}, {{1, 0, 0}, {1, 0, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {1, 1, 0}, {
      0.7, 0.8, 0.7}, {1, 0, 1}, {0, 1, 1}, {0, 1, 0}}, {{0, 1, 1}, {0, 1, 
      1}, {0, 1, 0}, {1, 1, 0}, {1, 0.6, 0}, {1, 0, 1}, {0.7, 0.8, 0.7}, {1, 
      0, 0}, {0.6, 0.4, 0.8}}, {{1, 0, 1}, {1, 0, 1}, {1, 1, 0}, {0, 1, 0}, {
      0.6, 0.4, 0.8}, {0, 1, 1}, {1, 0, 0}, {0.7, 0.8, 0.7}, {1, 0.6, 0}}, {{
      1, 1, 0}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 
      0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 0.7}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 
      1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7,
       0.8, 0.7}}}], {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {1.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {2.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {3.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"d\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {4.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {5.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]d\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {6.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\[CenterDot]d\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {7.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\[CenterDot]d\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {8.5, 8.5}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 7.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 5.5}], InsetBox[
     TagBox[
      StyleBox["\<\"d\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 4.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 3.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]d\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 2.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\[CenterDot]d\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 1.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\[CenterDot]d\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 0.5}]}, {{InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 7.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 6.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 5.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 4.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 3.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 2.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 1.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"d\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 0.5}]}}, 
   LineBox[{{1, 0}, {1, 8}, {9, 8}}]}]], "Output",
 CellChangeTimes->{{3.4425892828365126`*^9, 3.4425892959927626`*^9}}]
}, Open  ]],

Cell[TextData[{
 "            We can have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " verify that this\n            is a group."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CheckGroup[G]", "Input",
 PageWidth->Infinity,
 PageBreakAbove->True,
 AspectRatioFixed->True],

Cell[BoxData["\<\"This set of elements is a group.\"\>"], "Print",
 CellChangeTimes->{3.4425892854458876`*^9}]
}, Open  ]],

Cell[TextData[{
 "           We can easily check that every non-\n           identity element \
has order 2. Thus, \n           there is exactly one such group, which \n     \
      is commutative. What group is this? \n           Consider the group     \
    \n           ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SubsuperscriptBox["Z", "24", "*"],
     TraditionalForm], "=", 
    RowBox[{"{", 
     RowBox[{
     "1", ",", "5", ",", "7", ",", "11", ",", "13", ",", "17", ",", "19", ",",
       "23"}], "}"}]}], TraditionalForm]]],
 ": "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
DefMultMod[24]
MultTable[{1,5,7,13,11,17,19,23}]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.4425892934927626`*^9}],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.7, 0.8, 0.7}, {0.7, 0.8, 0.7}, {1, 0.6, 0}, {0.6, 0.4, 
      0.8}, {0, 1, 0}, {1, 0, 0}, {0, 1, 1}, {1, 0, 1}, {1, 1, 0}}, {{
      1, 0.6, 0}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {1, 0, 0}, {0, 1, 1}, {0.6, 
      0.4, 0.8}, {0, 1, 0}, {1, 1, 0}, {1, 0, 1}}, {{0.6, 0.4, 0.8}, {0.6, 
      0.4, 0.8}, {1, 0, 0}, {0.7, 0.8, 0.7}, {1, 0, 1}, {1, 0.6, 0}, {1, 1, 
      0}, {0, 1, 0}, {0, 1, 1}}, {{0, 1, 0}, {0, 1, 0}, {0, 1, 1}, {1, 0, 
      1}, {0.7, 0.8, 0.7}, {1, 1, 0}, {1, 0.6, 0}, {0.6, 0.4, 0.8}, {1, 0, 
      0}}, {{1, 0, 0}, {1, 0, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {1, 1, 0}, {
      0.7, 0.8, 0.7}, {1, 0, 1}, {0, 1, 1}, {0, 1, 0}}, {{0, 1, 1}, {0, 1, 
      1}, {0, 1, 0}, {1, 1, 0}, {1, 0.6, 0}, {1, 0, 1}, {0.7, 0.8, 0.7}, {1, 
      0, 0}, {0.6, 0.4, 0.8}}, {{1, 0, 1}, {1, 0, 1}, {1, 1, 0}, {0, 1, 0}, {
      0.6, 0.4, 0.8}, {0, 1, 1}, {1, 0, 0}, {0.7, 0.8, 0.7}, {1, 0.6, 0}}, {{
      1, 1, 0}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 
      0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 0.7}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 
      1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7,
       0.8, 0.7}}}], {InsetBox[
     TagBox[
      StyleBox["\<\"1\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {1.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"5\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {2.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"7\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {3.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"13\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {4.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"11\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {5.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"17\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {6.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"19\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {7.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"23\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {8.5, 8.5}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"1\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 7.5}], InsetBox[
     TagBox[
      StyleBox["\<\"5\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"7\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 5.5}], InsetBox[
     TagBox[
      StyleBox["\<\"13\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 4.5}], InsetBox[
     TagBox[
      StyleBox["\<\"11\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 3.5}], InsetBox[
     TagBox[
      StyleBox["\<\"17\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 2.5}], InsetBox[
     TagBox[
      StyleBox["\<\"19\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 1.5}], InsetBox[
     TagBox[
      StyleBox["\<\"23\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 0.5}]}, {{InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"5\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"13\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"11\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"17\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"19\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"23\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 7.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"5\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"11\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"17\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"13\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"23\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"19\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 6.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"7\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"11\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"19\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"5\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"23\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"13\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"17\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 5.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"13\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"17\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"19\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"23\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"5\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"11\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 4.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"11\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"5\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"23\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"19\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"17\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"13\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 3.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"17\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"13\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"23\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"5\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"19\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"11\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 2.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"19\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"23\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"13\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"17\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"11\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"5\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 1.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"23\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"19\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"17\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"11\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"13\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"5\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 0.5}]}}, 
   LineBox[{{1, 0}, {1, 8}, {9, 8}}]}]], "Output",
 CellChangeTimes->{3.4425892990865126`*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "           By arranging the elements in this way,\n           The color \
pattens of the two groups are \n           the same, indicating that they are \
\n           isomorphic. \n         \n           The other possibility is \
that we have an \n           element of order 4, call this ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ". Then\n           ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{"e", ",", " ", "a", ",", " ", 
      SuperscriptBox["a", "2"], ",", " ", 
      SuperscriptBox["a", "3"]}], "}"}]}], TraditionalForm]]],
 " is a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", \n           and since the index of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is 2, \n           proposition 3.5 tells us that ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is \n           normal. Let ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " be an element not in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ". \n           Then the cosets of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " with\n           respect to ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " are \n           ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"e", ",", "a", ",", 
       SuperscriptBox["a", "2"], ",", 
       SuperscriptBox["a", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", 
       RowBox[{"a", "\[CenterDot]", "b"}], ",", 
       RowBox[{
        SuperscriptBox["a", "2"], "\[CenterDot]", "b"}], ",", 
       RowBox[{
        SuperscriptBox["a", "3"], "\[CenterDot]", "b"}]}], "}"}]}], "}"}], 
   TraditionalForm]]],
 ".\n           The multiplication table for so looks \n           like the \
following:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43654715646875*^9, 3.43654715796875*^9}}],

Cell[CellGroupData[{

Cell["\<\
InitGroup[e];
Define[a^4,e]
G = {e,a,a.a,a.a.a,b,a.b,a.a.b,a.a.a.b};
MultTable[G]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.4425893043677626`*^9}],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.7, 0.8, 0.7}, {0.7, 0.8, 0.7}, {0, 0, 0}, {0, 0, 0}, {0, 0, 
      0}, {0, 0, 0}, {0, 0, 0}, {0, 0, 0}, {0, 0, 0}}, {{1, 0.6, 0}, {
      1, 0.6, 0}, {0, 0, 0}, {0, 0, 0}, {0, 0, 0}, {0, 0, 0}, {0, 0, 0}, {0, 
      0, 0}, {0, 0, 0}}, {{0.6, 0.4, 0.8}, {0.6, 0.4, 0.8}, {0, 0, 0}, {0, 0, 
      0}, {0, 0, 0}, {0, 0, 0}, {0, 0, 0}, {0, 0, 0}, {0, 0, 0}}, {{0, 1, 
     0}, {0, 1, 0}, {0, 0, 0}, {0, 0, 0}, {0, 0, 0}, {0, 0, 0}, {0, 0, 0}, {0,
      0, 0}, {0, 0, 
     0}}, {{1, 0, 0}, {1, 0, 0}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {0.7, 0.8, 
      0.7}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}}, {{0, 1, 1}, {0, 1, 1}, {
      1, 0, 0}, {1, 1, 0}, {1, 0, 1}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 
      0}, {0.6, 0.4, 0.8}}, {{1, 0, 1}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {1, 
      1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}}, {{1, 
      1, 0}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4,
       0.8}, {1, 0.6, 0}, {0.7, 0.8, 0.7}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 
      1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7,
       0.8, 0.7}}}], {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {1.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {2.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {3.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {4.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {5.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {6.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {7.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {8.5, 8.5}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 7.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 5.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 4.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 3.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 2.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 1.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 0.5}]}, {{InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 7.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 6.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 5.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 4.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 3.5}], 
     InsetBox["\<\" \"\>", {2.5, 3.5}], InsetBox["\<\" \"\>", {3.5, 3.5}], 
     InsetBox["\<\" \"\>", {4.5, 3.5}], InsetBox["\<\" \"\>", {5.5, 3.5}], 
     InsetBox["\<\" \"\>", {6.5, 3.5}], InsetBox["\<\" \"\>", {7.5, 3.5}], 
     InsetBox["\<\" \"\>", {8.5, 3.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 2.5}], 
     InsetBox["\<\" \"\>", {2.5, 2.5}], InsetBox["\<\" \"\>", {3.5, 2.5}], 
     InsetBox["\<\" \"\>", {4.5, 2.5}], InsetBox["\<\" \"\>", {5.5, 2.5}], 
     InsetBox["\<\" \"\>", {6.5, 2.5}], InsetBox["\<\" \"\>", {7.5, 2.5}], 
     InsetBox["\<\" \"\>", {8.5, 2.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 1.5}], 
     InsetBox["\<\" \"\>", {2.5, 1.5}], InsetBox["\<\" \"\>", {3.5, 1.5}], 
     InsetBox["\<\" \"\>", {4.5, 1.5}], InsetBox["\<\" \"\>", {5.5, 1.5}], 
     InsetBox["\<\" \"\>", {6.5, 1.5}], InsetBox["\<\" \"\>", {7.5, 1.5}], 
     InsetBox["\<\" \"\>", {8.5, 1.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 0.5}], 
     InsetBox["\<\" \"\>", {2.5, 0.5}], InsetBox["\<\" \"\>", {3.5, 0.5}], 
     InsetBox["\<\" \"\>", {4.5, 0.5}], InsetBox["\<\" \"\>", {5.5, 0.5}], 
     InsetBox["\<\" \"\>", {6.5, 0.5}], InsetBox["\<\" \"\>", {7.5, 0.5}], 
     InsetBox["\<\" \"\>", {8.5, 0.5}]}}, 
   LineBox[{{1, 0}, {1, 8}, {9, 8}}]}]], "Output",
 CellChangeTimes->{3.4425893053365126`*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "           Note that ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["b", "2"], TraditionalForm]]],
 " must be in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SuperscriptBox["b", "2"],
     TraditionalForm], " ", "=", " ", "a"}], TraditionalForm]]],
 " or \n           ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["b", "2"], " ", "=", " ", 
    SuperscriptBox["a", "3"]}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " would have order 8, which \n           would indicate a cyclic group. So \
we can \n           assume that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SuperscriptBox["b", "2"],
     TraditionalForm], " ", "=", " ", "e"}], TraditionalForm]]],
 " or ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SuperscriptBox["b", "2"],
     TraditionalForm], " ", "=", " ", 
    FormBox[
     SuperscriptBox["a", "2"],
     TraditionalForm]}], TraditionalForm]]],
 ". Note also \n           that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"b", "\[CenterDot]", "a"}], TraditionalForm]]],
 " cannot be in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", and if ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"b", "\[CenterDot]", "a"}], " ", "=", " ", "b"}], 
   TraditionalForm]]],
 ",\n           then we would have the contradition\n           ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", " ", "=", " ", "e"}], TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"b", "\[CenterDot]", "a"}], TraditionalForm]]],
 " is either ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "\[CenterDot]", "b"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["a", "2"], "\[CenterDot]", "b"}], TraditionalForm]]],
 ", \n           or ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["a", "3"], "\[CenterDot]", "b"}], TraditionalForm]]],
 ". Hence, we have 6 possible \n           groups. We will let ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " do the \n           dirty work in verifying which are groups.\n           \
If ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["b", "2"], " ", "=", " ", "e"}], TraditionalForm]]],
 "  and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"b", "\[CenterDot]", "a"}], " ", "=", " ", 
    RowBox[{"a", "\[CenterDot]", "b"}]}], TraditionalForm]]],
 ", we have"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
InitGroup[e];
Define[a^4,e]
Define[b^2,e]
Define[b.a,a.b]
G = {e,a,a.a,a.a.a,b,a.b,a.a.b,a.a.a.b};
MultTable[G]
CheckGroup[G]  \
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.4425893096021376`*^9}],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.7, 0.8, 0.7}, {0.7, 0.8, 0.7}, {0, 1, 0}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {1, 0, 0}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}}, {{1, 0.6, 0}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}, {0.6, 0.4, 0.8}, {0, 1, 1}, {1, 
      0, 0}, {1, 1, 0}, {1, 0, 1}}, {{0.6, 0.4, 0.8}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 
      0}, {1, 1, 0}}, {{0, 1, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {
      0.7, 0.8, 0.7}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}}, {{1, 0, 
      0}, {1, 0, 0}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {0.7, 0.8, 0.7}, {0, 1, 
      0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}}, {{0, 1, 1}, {0, 1, 1}, {1, 0, 0}, {1,
       1, 0}, {1, 0, 1}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}, {0.6, 0.4, 
      0.8}}, {{1, 0, 1}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {1, 1, 0}, {0.6, 
      0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}}, {{1, 1, 0}, {1, 1, 
      0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 1}, {0, 1, 
      1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 
      0.7}}}], {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {1.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {2.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {3.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {4.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {5.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {6.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {7.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {8.5, 8.5}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 7.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 5.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 4.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 3.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 2.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 1.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 0.5}]}, {{InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 7.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 6.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 5.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 4.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 3.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 2.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 1.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 0.5}]}}, 
   LineBox[{{1, 0}, {1, 8}, {9, 8}}]}]], "Output",
 CellChangeTimes->{3.4425893106490126`*^9}],

Cell[BoxData["\<\"This set of elements is a group.\"\>"], "Print",
 CellChangeTimes->{3.4425893107115126`*^9}]
}, Open  ]],

Cell[TextData[{
 "           ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " verified that this is a\n           commutative group. Compare this to the \
\n           group ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "15", "*"], TraditionalForm]]],
 ":"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
DefMultMod[15]
MultTable[{1,2,4,8,14,13,11,7}]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.4425893169615126`*^9}],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.7, 0.8, 0.7}, {0.7, 0.8, 0.7}, {0, 1, 0}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {1, 0, 0}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}}, {{1, 0.6, 0}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}, {0.6, 0.4, 0.8}, {0, 1, 1}, {1, 
      0, 0}, {1, 1, 0}, {1, 0, 1}}, {{0.6, 0.4, 0.8}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 
      0}, {1, 1, 0}}, {{0, 1, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {
      0.7, 0.8, 0.7}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}}, {{1, 0, 
      0}, {1, 0, 0}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {0.7, 0.8, 0.7}, {0, 1, 
      0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}}, {{0, 1, 1}, {0, 1, 1}, {1, 0, 0}, {1,
       1, 0}, {1, 0, 1}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}, {0.6, 0.4, 
      0.8}}, {{1, 0, 1}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {1, 1, 0}, {0.6, 
      0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}}, {{1, 1, 0}, {1, 1, 
      0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 1}, {0, 1, 
      1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 
      0.7}}}], {InsetBox[
     TagBox[
      StyleBox["\<\"1\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {1.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {2.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {3.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"8\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {4.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"14\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {5.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"13\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {6.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"11\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {7.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"7\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {8.5, 8.5}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"1\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 7.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 5.5}], InsetBox[
     TagBox[
      StyleBox["\<\"8\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 4.5}], InsetBox[
     TagBox[
      StyleBox["\<\"14\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 3.5}], InsetBox[
     TagBox[
      StyleBox["\<\"13\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 2.5}], InsetBox[
     TagBox[
      StyleBox["\<\"11\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 1.5}], InsetBox[
     TagBox[
      StyleBox["\<\"7\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 0.5}]}, {{InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"4\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"8\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"14\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"13\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"11\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 7.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"4\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"8\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"13\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"11\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"14\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 6.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"4\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"8\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"11\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"14\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"13\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 5.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"8\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"4\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"14\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"13\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"11\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 4.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"14\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"13\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"11\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"4\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"8\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 3.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"13\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"11\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"14\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"4\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"8\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 2.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"11\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"14\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"13\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"4\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"8\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 1.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"7\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"14\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"13\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"11\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"8\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"4\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 0.5}]}}, 
   LineBox[{{1, 0}, {1, 8}, {9, 8}}]}]], "Output",
 CellChangeTimes->{3.4425893178833876`*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "           By arranging the elements of ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "15", "*"], TraditionalForm]]],
 " in this \n           way, we see by the color patterns that \n           \
these are isomorphically the same group. \n\n           Next we consider ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["b", "2"], "=", " ", "e"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"b", "\[CenterDot]", "a"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["a", "2"], "\[CenterDot]", "b"}]}], TraditionalForm]]],
 ":"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
InitGroup[e];
Define[a^4,e]
Define[b^2,e]
Define[b.a,a.a.b]
G = {e,a,a.a,a.a.a,b,a.b,a.a.b,a.a.a.b};
MultTable[G]
CheckGroup[G]  \
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.4425893210708876`*^9}],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.7, 0.8, 0.7}, {0.7, 0.8, 0.7}, {0.6, 0.4, 0.8}, {0.7, 0.8, 
      0.7}, {0.6, 0.4, 0.8}, {1, 0, 0}, {1, 0, 1}, {1, 0, 0}, {1, 0, 1}}, {{
      1, 0.6, 0}, {1, 0.6, 0}, {0, 1, 0}, {1, 0.6, 0}, {0, 1, 0}, {0, 1, 1}, {
      1, 1, 0}, {0, 1, 1}, {1, 1, 0}}, {{0.6, 0.4, 0.8}, {0.6, 0.4, 0.8}, {
      0.7, 0.8, 0.7}, {0.6, 0.4, 0.8}, {0.7, 0.8, 0.7}, {1, 0, 1}, {1, 0, 
      0}, {1, 0, 1}, {1, 0, 0}}, {{0, 1, 0}, {0, 1, 0}, {1, 0.6, 0}, {0, 1, 
      0}, {1, 0.6, 0}, {1, 1, 0}, {0, 1, 1}, {1, 1, 0}, {0, 1, 1}}, {{1, 0, 
      0}, {1, 0, 0}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {0.7, 0.8, 0.7}, {0, 1, 
      0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}}, {{0, 1, 1}, {0, 1, 1}, {1, 0, 0}, {1,
       1, 0}, {1, 0, 1}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}, {0.6, 0.4, 
      0.8}}, {{1, 0, 1}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {1, 1, 0}, {0.6, 
      0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}}, {{1, 1, 0}, {1, 1, 
      0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 1}, {0, 1, 
      1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 
      0.7}}}], {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {1.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {2.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {3.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {4.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {5.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {6.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {7.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {8.5, 8.5}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 7.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 5.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 4.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 3.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 2.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 1.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 0.5}]}, {{InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 7.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 6.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 5.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 4.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 3.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 2.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 1.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 0.5}]}}, 
   LineBox[{{1, 0}, {1, 8}, {9, 8}}]}]], "Output",
 CellChangeTimes->{3.4425893226646376`*^9}],

Cell[BoxData["\<\"The Latin square property does not hold for this \
set.\"\>"], "Print",
 CellChangeTimes->{3.4425893226958876`*^9}]
}, Open  ]],

Cell[TextData[{
 "           Although a multiplication table was\n           produced, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " found that this \n           table did not form a Latin square. Thus, \n   \
        this is not a group.\n\n           Let us try ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["b", "2"], " ", "=", " ", "e"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"b", "\[CenterDot]", "a"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["a", "3"], "\[CenterDot]", "b"}]}], TraditionalForm]]],
 ":"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
InitGroup[e];
Define[a^4,e]
Define[b^2,e]
Define[b.a,a.a.a.b]
G = {e,a,a.a,a.a.a,b,a.b,a.a.b,a.a.a.b};
MultTable[G]
CheckGroup[G]  \
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.4425893313677626`*^9}],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.7, 0.8, 0.7}, {0.7, 0.8, 0.7}, {1, 0.6, 0}, {0.6, 0.4, 
      0.8}, {0, 1, 0}, {1, 0, 0}, {0, 1, 1}, {1, 0, 1}, {1, 1, 0}}, {{
      1, 0.6, 0}, {1, 0.6, 0}, {0.6, 0.4, 0.8}, {0, 1, 0}, {0.7, 0.8, 0.7}, {
      0, 1, 1}, {1, 0, 1}, {1, 1, 0}, {1, 0, 0}}, {{0.6, 0.4, 0.8}, {0.6, 0.4,
       0.8}, {0, 1, 0}, {0.7, 0.8, 0.7}, {1, 0.6, 0}, {1, 0, 1}, {1, 1, 0}, {
      1, 0, 0}, {0, 1, 1}}, {{0, 1, 0}, {0, 1, 0}, {0.7, 0.8, 0.7}, {
      1, 0.6, 0}, {0.6, 0.4, 0.8}, {1, 1, 0}, {1, 0, 0}, {0, 1, 1}, {1, 0, 
      1}}, {{1, 0, 0}, {1, 0, 0}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {0.7, 0.8, 
      0.7}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}}, {{0, 1, 1}, {0, 1, 1}, {
      1, 0, 0}, {1, 1, 0}, {1, 0, 1}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 
      0}, {0.6, 0.4, 0.8}}, {{1, 0, 1}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {1, 
      1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}}, {{1, 
      1, 0}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4,
       0.8}, {1, 0.6, 0}, {0.7, 0.8, 0.7}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 
      1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7,
       0.8, 0.7}}}], {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {1.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {2.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {3.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {4.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {5.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {6.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {7.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {8.5, 8.5}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 7.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 5.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 4.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 3.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 2.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 1.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 0.5}]}, {{InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 7.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 6.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 5.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 4.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 3.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 2.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 1.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 0.5}]}}, 
   LineBox[{{1, 0}, {1, 8}, {9, 8}}]}]], "Output",
 CellChangeTimes->{3.4425893324615126`*^9}],

Cell[BoxData["\<\"This set of elements is a group.\"\>"], "Print",
 CellChangeTimes->{3.4425893325396376`*^9}]
}, Open  ]],

Cell[TextData[{
 "           This is the first non-commutative group \n           of order 8 \
that we have seen. This group\n           appears when we consider the \
symmetries \n           of a square, as in problem 1.6. The element \"a\" \n  \
         corresponds to rotating the square ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["90", "\[EmptySmallCircle]"], TraditionalForm]]],
 " clockwise,\n           while the element \"b\" corresponds to \n           \
flipping the square over. For this \n           reason, we call this group \
the \n           ",
 StyleBox["dihedral group of order 4",
  FontSlant->"Italic"],
 ", or ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "4"], TraditionalForm]]],
 ".  \n\n           Let us consider ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["b", "2"], " ", "=", " ", 
    SuperscriptBox["a", "2"]}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"b", "\[CenterDot]", "a"}], " ", "=", " ", 
    RowBox[{"a", "\[CenterDot]", "b"}]}], TraditionalForm]]],
 ":"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436547239171875*^9, 3.436547254609375*^9}}],

Cell[CellGroupData[{

Cell["\<\
InitGroup[e];
Define[a^4,e]
Define[b^2,a^2]
Define[b.a,a.b]
G = {e,a,a.a,a.a.a,b,a.b,a.a.b,a.a.a.b};
MultTable[G]
CheckGroup[G]  \
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.4425893365083876`*^9}],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.7, 0.8, 0.7}, {0.7, 0.8, 0.7}, {0, 1, 0}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {1, 1, 0}}, {{1, 0.6, 0}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 1, 0}, {1, 
      0, 1}, {0, 1, 1}, {1, 0, 0}}, {{0.6, 0.4, 0.8}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}, {1, 0, 0}, {1, 1, 0}, {1, 0, 
      1}, {0, 1, 1}}, {{0, 1, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {
      0.7, 0.8, 0.7}, {0, 1, 1}, {1, 0, 0}, {1, 1, 0}, {1, 0, 1}}, {{1, 0, 
      0}, {1, 0, 0}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {0.7, 0.8, 0.7}, {0, 1, 
      0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}}, {{0, 1, 1}, {0, 1, 1}, {1, 0, 0}, {1,
       1, 0}, {1, 0, 1}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}, {0.6, 0.4, 
      0.8}}, {{1, 0, 1}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {1, 1, 0}, {0.6, 
      0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}}, {{1, 1, 0}, {1, 1, 
      0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 1}, {0, 1, 
      1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 
      0.7}}}], {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {1.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {2.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {3.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {4.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {5.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {6.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {7.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {8.5, 8.5}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 7.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 5.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 4.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 3.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 2.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 1.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 0.5}]}, {{InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 7.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 6.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 5.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 4.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 3.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 2.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 1.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 0.5}]}}, 
   LineBox[{{1, 0}, {1, 8}, {9, 8}}]}]], "Output",
 CellChangeTimes->{3.4425893371646376`*^9}],

Cell[BoxData["\<\"This set of elements is a group.\"\>"], "Print",
 CellChangeTimes->{3.4425893372271376`*^9}]
}, Open  ]],

Cell[TextData[{
 "           This is a commutative group, but is it a \n           different \
group then ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "15", "*"], TraditionalForm]]],
 ", which we have \n           seen before? Compare the multiplication \n     \
      table to the following:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
DefMultMod[15]
MultTable[{1,2,4,8,7,14,13,11}]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.4425893425552626`*^9}],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.7, 0.8, 0.7}, {0.7, 0.8, 0.7}, {0, 1, 0}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {1, 1, 0}}, {{1, 0.6, 0}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 1, 0}, {1, 
      0, 1}, {0, 1, 1}, {1, 0, 0}}, {{0.6, 0.4, 0.8}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}, {1, 0, 0}, {1, 1, 0}, {1, 0, 
      1}, {0, 1, 1}}, {{0, 1, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {
      0.7, 0.8, 0.7}, {0, 1, 1}, {1, 0, 0}, {1, 1, 0}, {1, 0, 1}}, {{1, 0, 
      0}, {1, 0, 0}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {0.7, 0.8, 0.7}, {0, 1, 
      0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}}, {{0, 1, 1}, {0, 1, 1}, {1, 0, 0}, {1,
       1, 0}, {1, 0, 1}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}, {0.6, 0.4, 
      0.8}}, {{1, 0, 1}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {1, 1, 0}, {0.6, 
      0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}}, {{1, 1, 0}, {1, 1, 
      0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 1}, {0, 1, 
      1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 
      0.7}}}], {InsetBox[
     TagBox[
      StyleBox["\<\"1\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {1.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {2.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {3.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"8\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {4.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"7\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {5.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"14\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {6.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"13\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {7.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"11\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {8.5, 8.5}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"1\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 7.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 5.5}], InsetBox[
     TagBox[
      StyleBox["\<\"8\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 4.5}], InsetBox[
     TagBox[
      StyleBox["\<\"7\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 3.5}], InsetBox[
     TagBox[
      StyleBox["\<\"14\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 2.5}], InsetBox[
     TagBox[
      StyleBox["\<\"13\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 1.5}], InsetBox[
     TagBox[
      StyleBox["\<\"11\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 0.5}]}, {{InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"4\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"8\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"14\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"13\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"11\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 7.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"4\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"8\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"14\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"13\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"11\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 6.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"4\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"8\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"13\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"11\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"14\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 5.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"8\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"4\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"11\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"14\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"13\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 4.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"7\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"14\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"13\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"11\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"4\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"8\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 3.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"14\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"13\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"11\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"8\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"4\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 2.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"13\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"11\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"14\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"4\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"8\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 1.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"11\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"14\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"13\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"4\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"8\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 0.5}]}}, 
   LineBox[{{1, 0}, {1, 8}, {9, 8}}]}]], "Output",
 CellChangeTimes->{3.4425893433365126`*^9}]
}, Open  ]],

Cell[TextData[{
 "           With the colors arranged this way, we \n           see that in \
fact we found the same group\n           twice. \n\n           Next, we will \
try ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["b", "2"], " ", "=", " ", 
    SuperscriptBox["a", "2"]}], TraditionalForm]]],
 ",  and\n           ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"b", "\[CenterDot]", "a"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["a", "2"], "\[CenterDot]", "b"}]}], TraditionalForm]]],
 ":"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
InitGroup[e];
Define[a^4,e]
Define[b^2,a^2]
Define[b.a,a.a.b]
G = {e,a,a.a,a.a.a,b,a.b,a.a.b,a.a.a.b};
MultTable[G]
CheckGroup[G]  \
\>", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.7, 0.8, 0.7}, {0.7, 0.8, 0.7}, {0.6, 0.4, 0.8}, {0.7, 0.8, 
      0.7}, {0.6, 0.4, 0.8}, {1, 0, 1}, {1, 0, 0}, {1, 0, 1}, {1, 0, 0}}, {{
      1, 0.6, 0}, {1, 0.6, 0}, {0, 1, 0}, {1, 0.6, 0}, {0, 1, 0}, {1, 1, 0}, {
      0, 1, 1}, {1, 1, 0}, {0, 1, 1}}, {{0.6, 0.4, 0.8}, {0.6, 0.4, 0.8}, {
      0.7, 0.8, 0.7}, {0.6, 0.4, 0.8}, {0.7, 0.8, 0.7}, {1, 0, 0}, {1, 0, 
      1}, {1, 0, 0}, {1, 0, 1}}, {{0, 1, 0}, {0, 1, 0}, {1, 0.6, 0}, {0, 1, 
      0}, {1, 0.6, 0}, {0, 1, 1}, {1, 1, 0}, {0, 1, 1}, {1, 1, 0}}, {{1, 0, 
      0}, {1, 0, 0}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {0.7, 0.8, 0.7}, {0, 1, 
      0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}}, {{0, 1, 1}, {0, 1, 1}, {1, 0, 0}, {1,
       1, 0}, {1, 0, 1}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}, {0.6, 0.4, 
      0.8}}, {{1, 0, 1}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {1, 1, 0}, {0.6, 
      0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}}, {{1, 1, 0}, {1, 1, 
      0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 1}, {0, 1, 
      1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 
      0.7}}}], {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {1.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {2.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {3.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {4.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {5.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {6.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {7.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {8.5, 8.5}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 7.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 5.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 4.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 3.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 2.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 1.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 0.5}]}, {{InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 7.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 6.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 5.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 4.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 3.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 2.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 1.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 0.5}]}}, 
   LineBox[{{1, 0}, {1, 8}, {9, 8}}]}]], "Output",
 CellChangeTimes->{3.4425893493521376`*^9}],

Cell[BoxData["\<\"The Latin square property does not hold for this \
set.\"\>"], "Print",
 CellChangeTimes->{3.4425893493833876`*^9}]
}, Open  ]],

Cell[TextData[{
 "           This is not a group! Thus, there is one \n           last \
combination to try: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["b", "2"], " ", "=", " ", 
    SuperscriptBox["a", "2"]}], TraditionalForm]]],
 " and\n           ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"b", "\[CenterDot]", "a"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["a", "3"], "\[CenterDot]", 
     RowBox[{"b", "."}]}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
InitGroup[e];
Define[a^4,e]
Define[b^2,a^2]
Define[b.a,a.a.a.b]
G = {e,a,a.a,a.a.a,b,a.b,a.a.b,a.a.a.b};
MultTable[G]
CheckGroup[G]  \
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.4425893520708876`*^9}],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.7, 0.8, 0.7}, {0.7, 0.8, 0.7}, {1, 0.6, 0}, {0.6, 0.4, 
      0.8}, {0, 1, 0}, {1, 0, 1}, {1, 1, 0}, {1, 0, 0}, {0, 1, 1}}, {{
      1, 0.6, 0}, {1, 0.6, 0}, {0.6, 0.4, 0.8}, {0, 1, 0}, {0.7, 0.8, 0.7}, {
      1, 1, 0}, {1, 0, 0}, {0, 1, 1}, {1, 0, 1}}, {{0.6, 0.4, 0.8}, {0.6, 0.4,
       0.8}, {0, 1, 0}, {0.7, 0.8, 0.7}, {1, 0.6, 0}, {1, 0, 0}, {0, 1, 1}, {
      1, 0, 1}, {1, 1, 0}}, {{0, 1, 0}, {0, 1, 0}, {0.7, 0.8, 0.7}, {
      1, 0.6, 0}, {0.6, 0.4, 0.8}, {0, 1, 1}, {1, 0, 1}, {1, 1, 0}, {1, 0, 
      0}}, {{1, 0, 0}, {1, 0, 0}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {0.7, 0.8, 
      0.7}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}}, {{0, 1, 1}, {0, 1, 1}, {
      1, 0, 0}, {1, 1, 0}, {1, 0, 1}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 
      0}, {0.6, 0.4, 0.8}}, {{1, 0, 1}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {1, 
      1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}}, {{1, 
      1, 0}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4,
       0.8}, {1, 0.6, 0}, {0.7, 0.8, 0.7}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 
      1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7,
       0.8, 0.7}}}], {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {1.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {2.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {3.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {4.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {5.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {6.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {7.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {8.5, 8.5}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 7.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 5.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 4.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 3.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 2.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 1.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 0.5}]}, {{InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 7.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 6.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 5.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 4.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 3.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 2.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 1.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 0.5}]}}, 
   LineBox[{{1, 0}, {1, 8}, {9, 8}}]}]], "Output",
 CellChangeTimes->{3.4425893526021376`*^9}],

Cell[BoxData["\<\"This set of elements is a group.\"\>"], "Print",
 CellChangeTimes->{3.4425893526802626`*^9}]
}, Open  ]],

Cell[TextData[{
 "           ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " verifies that this is a non-\n           commutative group. But is it \
different \n           than ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "4"], TraditionalForm]]],
 " which we have already found? Note \n           that in this group, ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["a", "2"], TraditionalForm]]],
 " is the only \n           element of order 2, while there were 5 \n         \
  elements of order 2 in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "4"], TraditionalForm]]],
 ". Thus, this\n           is a new group.\n\n           This non-commutative \
group is called the \n           ",
 StyleBox["quaternion",
  FontSlant->"Italic"],
 " group, ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 ". Although we used\n           ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " as the generators, the group is \n           typically described by the \
elements \n           {1, -1, i, j, k, -i, -j, -k}. The \n           number 1 \
is used for the identity, and \n          the following gives a \
multiplication \n           table for ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 ":"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436547288734375*^9, 3.4365472888125*^9}}],

Cell[TextData[{
 "           Table of Quaternion group, ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 "\n\n       |  1 |  i |  j |  k | -1 | -i | -j | -k |\n   \
----|----|----|----|----|----|----|----|----|\n     1 |  1 |  i |  j |  k | \
-1 | -i | -j | -k |\n     i |  i | -1 |  k | -j | -i |  1 | -k |  j |\n     j \
|  j | -k | -1 |  i | -j |  k |  1 | -i |\n     k |  k |  j | -i | -1 | -k | \
-j |  i |  1 |     \n    -1 | -1 | -i | -j | -k |  1 |  i |  j |  k |\n    -i \
| -i |  1 | -k |  j |  i | -1 |  k | -j |\n    -j | -j |  k |  1 | -i |  j | \
-k | -1 |  i |\n    -k | -k | -j |  i |  1 |  k |  j | -i | -1 |\n     "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43654729559375*^9, 3.436547295765625*^9}},
 FontFamily->"Courier New",
 FontSize->12,
 FontWeight->"Plain",
 FontSlant->"Plain",
 FontTracking->"Plain",
 FontVariations->{"Outline"->False,
 "Shadow"->False,
 "Underline"->False},
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "           Notice the strange resemblance between \n           this group, \
and taking the cross product \n           of two unit vectors in three \
dimensions.\n         \n           All groups of order 8 have now been \n     \
      considered. We found 5 possible groups: \n           ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "8"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "24", "*"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "15", "*"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "4"], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "EXPERIMENT:\n\nUsing ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", find all groups of order 9, and display the multiplication tables. (Hint: \
By corollary 3.1.4, the order of an element must be 1, 3, or 9. Thus, if the \
group is non-cyclic, all elements besides the identity have order 3.)"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["     ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "As one can imagine, the analysis becomes even more complicated as we \
consider larger ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Here is a table of the number of non-isomorphic groups of order ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", when ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is not prime:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "     | Groups of         | Groups of         | Groups of\n   ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " | order ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "         ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " | order ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "         ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " | order ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "\n   --|-----------      --|-----------      --|-----------  \n   4 |  2    \
         39 |   2            72 |  50 \n   6 |  2             40 |  14        \
    74 |   2 \n   8 |  5             42 |   6            75 |   3 \n   9 |  2 \
            44 |   4            76 |   4 \n  10 |  2             45 |   2     \
       77 |   1 \n  12 |  5             46 |   2            78 |   6 \n  14 | \
 2             48 |  52            80 |  52 \n  15 |  1             49 |   2  \
          81 |  15 \n  16 | 14             50 |   5            82 |   2 \n  \
18 |  5             51 |   1            84 |  15 \n  20 |  5             52 | \
  5            85 |   1 \n  21 |  2             54 |  15            86 |   2 \
\n  22 |  2             55 |   2            87 |   1 \n  24 | 15             \
56 |  13            88 |  12 \n  25 |  2             57 |   2            90 | \
 10 \n  26 |  2             58 |   2            91 |   1 \n  27 |  5          \
   60 |  13            92 |   4 \n  28 |  4             62 |   2            \
93 |   2 \n  30 |  4             63 |   4            94 |   2 \n  32 | 51     \
        64 | 267            95 |   1 \n  33 |  1             65 |   1         \
   96 | 230 \n  34 |  2             66 |   4            98 |   5 \n  35 |  1  \
           68 |   5            99 |   2 \n  36 | 14             69 |   1      \
     100 |  16 \n  38 |  2             70 |   4           102 |   4 \n"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 PageBreakAbove->True,
 CellChangeTimes->{3.4425893639302626`*^9},
 FontFamily->"Courier New",
 FontSize->10,
 FontWeight->"Bold",
 FontSlant->"Plain",
 FontTracking->"Plain",
 FontVariations->{"Outline"->False,
 "Shadow"->False,
 "Underline"->False},
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Homomorphisms            ", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "In the last section we considered the possibility of functions which were \
defined on elements of a group, rather than on a set of numbers. With such \
functions, we could show that two groups were essentially the same. That is, \
when ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " is a one-to-one and onto function from ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 ", and if\n\n              ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", 
     RowBox[{"x", "\[CenterDot]", "y"}], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Florin]", "(", "x", ")"}], "\[CenterDot]", 
     RowBox[{"\[Florin]", "(", "y", ")"}]}], " "}], TraditionalForm]]],
 "\n\nfor all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", then the two groups ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 " were essentially the same, or ",
 StyleBox["isomorphic",
  FontSlant->"Italic"],
 ". \n\nIn this section we want to consider functions between two groups that \
are not necessarily one-to-one or onto. However, we still want to have the \
property that \n\n                   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", 
     RowBox[{"x", "\[CenterDot]", "y"}], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Florin]", "(", "x", ")"}], "\[CenterDot]", 
     RowBox[{"\[Florin]", "(", "y", ")"}]}], " "}], TraditionalForm]]],
 "\n\nfor all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ". Such functions are fundamental to the theory of groups, so we will give \
such functions a name. \n\nDEFINITION 4.2:\nLet ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 " be two groups. A function \n\n                       ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", ":", " ", 
    RowBox[{"G", " ", "\[RightArrow]", " ", "M"}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436547402578125*^9, 3.436547404296875*^9}}],

Cell[TextData[{
 "mapping elements of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " to elements of ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 " is called a ",
 StyleBox["homomorphism",
  FontSlant->"Italic"],
 " if it satisfies\n\n                ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      RowBox[{"x", "\[CenterDot]", "y"}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Florin]", "(", "x", ")"}], "\[CenterDot]", 
       RowBox[{"\[Florin]", "(", "y", ")"}]}], "   ", "for", " ", "all", "   ",
       "x"}]}], ",", " ", 
    RowBox[{"y", " ", "\[Element]", " ", "G"}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43654741190625*^9, 3.436547442234375*^9}}],

Cell[TextData[{
 "The group ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " is called the ",
 StyleBox["domain",
  FontSlant->"Italic"],
 " of the homomorphism, and the group ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 " is called the ",
 StyleBox["target",
  FontSlant->"Italic"],
 " of the homomorphism. Note that a homomorphism need not be either \
one-to-one or onto.\n\nOf course, all isomorphisms are also homomorphisms. \
But we can have many other examples of homomorphisms, as the following \
examples show. \n\nExample 4.1: \nLet ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " be any group, and let ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 " be a group with identity ",
 Cell[BoxData[
  FormBox["e", TraditionalForm]]],
 ".  If we let\n              \n               ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"e", "    ", "for", " ", "all", "   ", "x"}], "\[Element]", 
     "G"}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4365474644375*^9, 3.436547517203125*^9}}],

Cell[TextData[{
 "then ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " will obviously be a homomorphism, since \n\n             ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", 
     RowBox[{"x", "\[CenterDot]", "y"}], ")"}], " ", "=", " ", 
    RowBox[{"e", " ", "=", " ", 
     RowBox[{
      RowBox[{"e", "\[CenterDot]", "e"}], " ", "=", " ", 
      RowBox[{
       RowBox[{"\[Florin]", "(", "x", ")"}], "\[CenterDot]", 
       RowBox[{"\[Florin]", "(", "y", ")"}]}]}]}]}], TraditionalForm]]],
 ".\n\nThis is called the ",
 StyleBox["trivial homomorphism",
  FontSlant->"Italic"],
 ".\n\nExample 4.2:\nLet ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[DoubleStruckCapitalR]", "*"], "=", " ", 
    RowBox[{"\[DoubleStruckCapitalR]", "-", 
     RowBox[{"{", "0", "}"}]}]}], TraditionalForm]]],
 " be the group of non-zero real numbers, and let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "x", ")"}], " ", "=", " ", 
    SuperscriptBox["x", "2"]}], TraditionalForm]]],
 ". This forms a homomorphism \n                        ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", ":", " ", 
    RowBox[{
     SuperscriptBox["\[DoubleStruckCapitalR]", 
      RowBox[{"*", " "}]], "\[RightArrow]", " ", 
     SuperscriptBox["\[DoubleStruckCapitalR]", "*"]}]}], TraditionalForm]]],
 ",\n                     \nso this gives an example of a homomorphism which \
maps a group onto itself. Note that this homomorphism is neither one-to-one \
nor onto since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      RowBox[{"-", "2"}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"\[Florin]", "(", "2", ")"}], " ", "=", " ", "4"}]}], ","}], 
   TraditionalForm]]],
 " yet there is no real number such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"-", "1"}]}], TraditionalForm]]],
 ".\n\nExample 4.3:\nWe can generalize example 4.2 as follows: let ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " be any commutative group, and let ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " be any integer. We can define  ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"\[Florin]", "(", "x", ")"}], " ", "=", " ", 
     FormBox[
      SuperscriptBox["x", "n"],
      TraditionalForm]}]}], TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " is a homomorphism from ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " to itself, since\n\n         ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", 
     RowBox[{"x", "\[CenterDot]", "y"}], ")"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"x", "\[CenterDot]", "y"}], ")"}], "n"], " ", "=", "  ", 
     RowBox[{
      RowBox[{
       SuperscriptBox["x", "n"], "\[CenterDot]", 
       SuperscriptBox["y", "n"]}], "=", " ", 
      RowBox[{
       RowBox[{"\[Florin]", "(", "x", ")"}], "\[CenterDot]", 
       RowBox[{
        RowBox[{"\[Florin]", "(", "y", ")"}], "."}]}]}]}]}], 
   TraditionalForm]]],
 "\n\n   We can prove a few properties that must be true of all \
homomorphisms.\n\nPROPOSITION 4.3\nLet ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"\[Florin]", ":", " ", 
     RowBox[{"G", " ", "\[RightArrow]", " ", "M"}]}]}], TraditionalForm]]],
 "  be a homomorphism. Let ",
 Cell[BoxData[
  FormBox["e", TraditionalForm]]],
 " denote the identity of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".  Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "e", ")"}], TraditionalForm]]],
 " is the identity element of ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43654753275*^9, 3.43654753303125*^9}, {
   3.4365476470625*^9, 3.43654765459375*^9}, 3.4365477110625*^9}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"e", "\[CenterDot]", "e"}], " ", "=", " ", "e"}], 
   TraditionalForm]]],
 " in the group ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", we have\n\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "e", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      RowBox[{"e", "\[CenterDot]", "e"}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"\[Florin]", "(", "e", ")"}], "\[CenterDot]", 
      RowBox[{
       RowBox[{"\[Florin]", "(", "e", ")"}], "."}]}]}]}], TraditionalForm]]],
 "\n\nMultiplying both sides by ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    RowBox[{"[", 
     RowBox[{"\[Florin]", "(", "e", ")"}], "]"}], 
    RowBox[{"-", "1"}]], TraditionalForm]]],
 " gives us that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "e", ")"}], TraditionalForm]]],
 " is the identity element of ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "PROPOSITION 4.4\nIf ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", ":", " ", 
    RowBox[{"G", " ", "\[RightArrow]", " ", "M"}]}], TraditionalForm]]],
 " is a homomorphism, then ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      SuperscriptBox["a", 
       RowBox[{"-", "1"}]], ")"}], " ", "=", " ", 
     SuperscriptBox[
      RowBox[{"[", 
       RowBox[{"\[Florin]", "(", "a", ")"}], "]"}], 
      RowBox[{"-", "1"}]]}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436547973546875*^9, 3.436547993953125*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We merely need to show that  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Florin]", "(", "a", ")"}], " ", "\[CenterDot]", " ", 
     RowBox[{"\[Florin]", "(", 
      SuperscriptBox["a", 
       RowBox[{"-", "1"}]], ")"}]}], " "}], TraditionalForm]]],
 "is the identity element of ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 ".  If ",
 Cell[BoxData[
  FormBox["e", TraditionalForm]]],
 " represents the identity element of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", then\n\n                               ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Florin]", "(", "a", ")"}], " ", "\[CenterDot]", " ", 
     RowBox[{"\[Florin]", "(", 
      SuperscriptBox["a", 
       RowBox[{"-", "1"}]], ")"}]}], " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      RowBox[{"a", "\[CenterDot]", 
       SuperscriptBox["a", 
        RowBox[{"-", "1"}]]}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"\[Florin]", "(", "e", ")"}], "."}]}]}], TraditionalForm]]],
 "\n\nBy proposition 4.3 this is the identity element of ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 ".  So\n\n                                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", 
     SuperscriptBox["a", 
      RowBox[{"-", "1"}]], ")"}], " ", "=", " ", 
    SuperscriptBox[
     RowBox[{"[", 
      RowBox[{"\[Florin]", "(", "a", ")"}], "]"}], 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.436548013765625*^9}]
}, Open  ]],

Cell[TextData[{
 "Let us now look at how to define homomorphisms using ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". To begin we need to define two groups simultaneously. This can be done in \
",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " by letting the identity element be the same for both groups, and using \
different letters used for the generators. Let us first load the octahedral \
group with the following command:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436548061*^9, 3.436548061140625*^9}}],

Cell[CellGroupData[{

Cell["\<\
InitGroup[e]; 
Define[a^2,e]; Define[b^3,e]; Define[c^4,e]
Define[b.a,a.b.b]; Define[c.a,a.b.c]; Define[c.b,a.c.c]
Define[1/a,a]; Define[1/b,b^2]; Define[1/c,c^3]
Oct = Group[{a,b,c}]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.436548034359375*^9, 3.436548058390625*^9}},
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", "a", ",", "b", ",", "c", ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`b, $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`b, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`c, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4425893777896376`*^9, 3.4425896568052626`*^9}]
}, Open  ]],

Cell[TextData[{
 "Next let us define the quaternion group ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 " which we discovered in the last section. We will use the letters ",
 Cell[BoxData[
  FormBox["i", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["j", TraditionalForm]]],
 " for the generators of this group."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436548069046875*^9, 3.436548069140625*^9}}],

Cell[CellGroupData[{

Cell["\<\
Define[i^4,e]; Define[j^2,i^2]
Define[j.i,i.i.i.j]; 
Define[1/i,i^3]; Define[1/j,i.i.j]
Q = Group[{i,j}]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.436548084078125*^9, 3.436548110171875*^9}},
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", "i", ",", "j", ",", 
   InterpretationBox["\<\"\\!\\(i\\) \[CenterDot] \\!\\(i\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`i, $CellContext`i],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(i\\) \[CenterDot] \\!\\(j\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`i, $CellContext`j],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(i\\\\) \\\\[CenterDot] \
\\\\!\\\\(i\\\\)\\\"\\) \[CenterDot] \\!\\(i\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`i, $CellContext`i], $CellContext`i],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(i\\\\) \\\\[CenterDot] \
\\\\!\\\\(i\\\\)\\\"\\) \[CenterDot] \\!\\(j\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`i, $CellContext`i], $CellContext`j],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(i\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(i\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(i\\\\)\\\"\\) \[CenterDot] \\!\\(j\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`i, $CellContext`i], $CellContext`i], $CellContext`j],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4425893799146376`*^9, 3.4425896611021376`*^9}]
}, Open  ]],

Cell[TextData[{
 "Notice that we did not perform a ",
 StyleBox["InitGroup",
  FontWeight->"Bold"],
 " in defining the second group, since this command would have cleared the \
first group. We now have both groups defined simultaneously, one group using \
the generators ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["c", TraditionalForm]]],
 ", and the other using ",
 Cell[BoxData[
  FormBox["i", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["j", TraditionalForm]]],
 ". Note that expressions such as"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["c.i", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(i\\)\"\>",
  StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`i],
  Editable->False]], "Output",
 CellChangeTimes->{3.4425893823052626`*^9}]
}, Open  ]],

Cell[TextData[{
 "are totally meaningless since we cannot multiply elements from two \
different groups.  \n\nWe now wish to define a homomorphism from ",
 StyleBox["Q",
  FontWeight->"Bold"],
 " to ",
 StyleBox["Oct",
  FontWeight->"Bold"],
 ". We can use the command"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["Homomorph[F]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "to tell ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " that the function ",
 StyleBox["F",
  FontWeight->"Bold"],
 " will be a homomorphism. Notice that we have yet to tell which groups are \
the domain and target of ",
 StyleBox["F",
  FontWeight->"Bold"],
 ". ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can interpret these groups as we continue to define the homomorphism.\n\n\
What happens if we try to evaluate ",
 StyleBox["F",
  FontWeight->"Bold"],
 " at an element of ",
 StyleBox["Q",
  FontWeight->"Bold"],
 ", before making any other definitions?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["F[i.i.i.j]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(F[i]\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(F[i]\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(F[i]\\\\)\\\"\\) \[CenterDot] \\!\\(F[j]\\)\"\>",
  StringForm["`` \[CenterDot] ``", 
   Dot[
    Dot[
     $CellContext`F[$CellContext`i], 
     $CellContext`F[$CellContext`i]], 
    $CellContext`F[$CellContext`i]], 
   $CellContext`F[$CellContext`j]],
  Editable->False]], "Output",
 CellChangeTimes->{
  3.4425893875240126`*^9, {3.4425896442271376`*^9, 3.4425896657115126`*^9}}]
}, Open  ]],

Cell[TextData[{
 "Apparently ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " knows the rules for homomorphisms and can simplify this expression without \
knowing the homomorphism. As a result, we need only define the homomorphism \
on the \n",
 StyleBox["generators",
  FontSlant->"Italic"],
 " of ",
 StyleBox["Q",
  FontWeight->"Bold"],
 ". Suppose we have the homomorphism given by the following mapping:\n\n      \
  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"                       ", 
    RowBox[{
     RowBox[{"e", "  ", "\[RightArrow]", "  ", "e"}], ",", "  ", "\n", 
     "                       ", 
     RowBox[{"i", "  ", "\[RightArrow]", "  ", 
      SuperscriptBox["c", "2"]}], ",", "        ", "\n", 
     "                     ", 
     RowBox[{
      SuperscriptBox["i", "2"], "  ", "\[RightArrow]", "  ", "e"}], ",", 
     "           ", "\n", "                     ", 
     RowBox[{
      SuperscriptBox["i", "3"], "  ", "\[RightArrow]", "  ", 
      SuperscriptBox["c", "2"]}], ",", "     ", "\n", 
     "                       ", 
     RowBox[{"j", "  ", "\[RightArrow]", " ", 
      RowBox[{"a", "\[CenterDot]", 
       SuperscriptBox["b", "2"], "\[CenterDot]", "c"}]}], ",", "            ",
      "\n", "                 ", 
     RowBox[{
      RowBox[{"i", "\[CenterDot]", "j"}], "  ", "\[RightArrow]", "  ", 
      RowBox[{"a", "\[CenterDot]", 
       SuperscriptBox["b", "2"], "\[CenterDot]", 
       SuperscriptBox["c", "3"]}]}], ",", "      ", "\n", "               ", 
     RowBox[{
      RowBox[{
       SuperscriptBox["i", "2"], "\[CenterDot]", "j"}], "  ", "\[RightArrow]",
       "  ", 
      RowBox[{"a", "\[CenterDot]", 
       SuperscriptBox["b", "2"], "\[CenterDot]", "c"}]}], ",", 
     "             ", "\n", "               ", 
     RowBox[{
      RowBox[{
       SuperscriptBox["i", "3"], "\[CenterDot]", "j"}], "  ", "\[RightArrow]",
       "  ", 
      RowBox[{"a", "\[CenterDot]", 
       SuperscriptBox["b", "2"], "\[CenterDot]", 
       SuperscriptBox["c", "3."]}]}]}]}], TraditionalForm]]],
 "\n\nWe have only to define ",
 StyleBox["F[i]",
  FontWeight->"Bold"],
 " and ",
 StyleBox["F[j]",
  FontWeight->"Bold"],
 " to define the homomorphism.  "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["Define[F[i], c.c]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell["Define[F[j], a.b.b.c]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell["\<\
We can now verify that the homomorphism is defined by showing that\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["F[i.i.i.j]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\\\
\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
  StringForm["`` \[CenterDot] ``", 
   Dot[
    Dot[
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
  Editable->False]], "Output",
 CellChangeTimes->{3.4425893952427626`*^9, 3.4425896717583876`*^9}]
}, Open  ]],

Cell[TextData[{
 "gives ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "\[CenterDot]", 
    SuperscriptBox["b", "2"], "\[CenterDot]", 
    SuperscriptBox["c", "3"]}], TraditionalForm]]],
 " as expected.  \n\nEXPERIMENT:\n\nCan ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " correctly determine"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["F[e]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData["e"], "Output",
 CellChangeTimes->{3.4425893997583876`*^9}]
}, Open  ]],

Cell[TextData[{
 "even though we never defined ",
 StyleBox["F[e]",
  FontWeight->"Bold"],
 " explicitly? How do you think ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " was able to determine this? At what point in the definition of the \
homomorphism did ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " determine the value of ",
 StyleBox["F[e]",
  FontWeight->"Bold"],
 "?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["   ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "We can have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " check to see if this function really is a homomorphism. The ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " command is given by\n\nCheckHomo[F, D]\n\nHere F is the function to check, \
and D is the domain of the function. In this example the domain of the \
homomorphism is ",
 StyleBox["Q",
  FontWeight->"Bold"],
 ", so we will use the following to double check that ",
 StyleBox["F",
  FontWeight->"Bold"],
 " is a homomorphism:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CheckHomo[F,Q]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.4425894038833876`*^9}]
}, Open  ]],

Cell[TextData[{
 "Since this gave us a value of \"True,\" the function ",
 StyleBox["F",
  FontWeight->"Bold"],
 " must be a homomorphism. \n\nTo have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " draw a picture of this homomorphism, we can execute the command"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["GraphHomo[F,Q]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], LineBox[{{0, 0}, {0, 1}}]}, 
   {RGBColor[0, 1, 1], LineBox[{{1, 0}, {1, 1}}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0, 0.14285714285714285`}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0, 0.2857142857142857}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0, 0.42857142857142855`}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0, 0.5714285714285714}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0, 0.7142857142857142}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0, 0.8571428571428571}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0, 1.}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.1, 1.}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.1, 0.8571428571428571}, {1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"j\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.1, 0.7142857142857142}, {1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"i\[CenterDot]i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.1, 0.5714285714285714}, {1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"i\[CenterDot]j\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.1, 0.42857142857142855`}, {1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.1, 0.2857142857142857}, {1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"i\[CenterDot]i\[CenterDot]j\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.1, 0.14285714285714285`}, {1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\[CenterDot]j\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.1, 0}, {1, 0}]}, {{InsetBox[
      TagBox[
       StyleBox["\<\"\[FilledSmallCircle]\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1, 0}], InsetBox[
      TagBox[
       StyleBox["\<\"\[FilledSmallCircle]\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1, 0.3333333333333333}], InsetBox[
      TagBox[
       StyleBox["\<\"\[FilledSmallCircle]\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1, 0.6666666666666666}], InsetBox[
      TagBox[
       StyleBox["\<\"\[FilledSmallCircle]\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1, 1.}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.1, 1.}, {-1, 0}], InsetBox[
      TagBox[
       StyleBox["\<\"c\[CenterDot]c\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.1, 0.6666666666666666}, {-1, 0}], 
     InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\[CenterDot]c\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.1, 0.3333333333333333}, {-1, 0}], 
     InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\[CenterDot]c\[CenterDot]c\
\[CenterDot]c\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.1, 0}, {-1, 0}]}}, {
    {RGBColor[1, 0, 0], LineBox[{{0., 1.}, {0.9, 1.}}], 
     PolygonBox[{{1., 1.}, {0.9, 1.05}, {0.9, 0.95}}]}, 
    {RGBColor[0, 1, 0], 
     LineBox[{{0., 0.8571428571428571}, {0.9017661433577525, 
      0.6853778774556661}}], 
     PolygonBox[{{1., 0.6666666666666666}, {0.9111217487522523, 
      0.7344948057767899}, {0.8924105379632528, 0.6362609491345425}}]}, 
    {RGBColor[0.6, 0.4, 0.8], 
     LineBox[{{0., 0.7142857142857142}, {0.9065512265071032, 
      0.3689328660925321}}], 
     PolygonBox[{{1., 0.3333333333333333}, {0.9243509928867025, 
      0.4156572528389805}, {0.8887514601275037, 0.3222084793460837}}]}, 
    {RGBColor[1, 0, 0], 
     LineBox[{{0., 0.5714285714285714}, {0.9080854969981942, 
      0.9606080701420833}}], 
     PolygonBox[{{1., 1.}, {0.8883895320692358, 1.0065653216429862`}, {
      0.9277814619271526, 0.9146508186411804}}]}, 
    {RGBColor[1, 0.6, 0], 
     LineBox[{{0., 0.42857142857142855`}, {0.9080854969981942, 
      0.03939192985791677}}], 
     PolygonBox[{{1., 0.}, {0.9277814619271526, 0.08534918135881966}, {
      0.8883895320692358, -0.00656532164298613}}]}, 
    {RGBColor[0, 1, 0], 
     LineBox[{{0., 0.2857142857142857}, {0.9065512265071032, 
      0.6310671339074678}}], 
     PolygonBox[{{1., 0.6666666666666666}, {0.8887514601275037, 
      0.6777915206539162}, {0.9243509928867025, 0.5843427471610194}}]}, 
    {RGBColor[0.6, 0.4, 0.8], 
     LineBox[{{0., 0.14285714285714285`}, {0.9017661433577525, 
      0.3146221225443338}}], 
     PolygonBox[{{1., 0.3333333333333333}, {0.8924105379632528, 
      0.36373905086545755`}, {0.9111217487522523, 0.26550519422321006`}}]}, 
    {RGBColor[1, 0.6, 0], LineBox[{{0., 0.}, {0.9, 0.}}], 
     PolygonBox[{{1., 0.}, {0.9, 0.05}, {0.9, -0.05}}]}}},
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.4425894060240126`*^9}]
}, Open  ]],

Cell[TextData[{
 "which requires the same arguements as the CheckHomo command. Notice that \
only four of the elements of the octahedronal group are displayed: those four \
elements relevant to the homomorphism. \n\nEXPERIMENT:\nSee if you can define \
a homomorphism ",
 StyleBox["G",
  FontWeight->"Bold"],
 " from the octahedronal group ",
 StyleBox["Oct",
  FontWeight->"Bold"],
 " to ",
 StyleBox["Q",
  FontWeight->"Bold"],
 ", for which\n\n",
 Cell[BoxData[{
  RowBox[{
   FormBox[
    RowBox[{"                    ", 
     RowBox[{
      RowBox[{
       RowBox[{"G", "(", "a", ")"}], " ", "=", " ", 
       SuperscriptBox["i", "2"]}], ",", "    ", "\n", "                    ", 
      
      RowBox[{
       RowBox[{"G", "(", "b", ")"}], " ", "=", " ", "e"}], ",", "     ", 
      "and"}]}],
    TraditionalForm], " "}], "\n", 
  RowBox[{"\t\t               ", 
   RowBox[{
    RowBox[{"G", "(", "c", ")"}], " ", "=", " ", 
    SuperscriptBox["i", "2."]}]}]}]],
 "\n\nUse ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to enter in this mapping, and use the CheckHomo command to verify that \
this produces a homomorphism. Then use the GraphHomo command to see a picture \
of this homomorphism. You may need to expand the picture to see it clearly."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[" ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "It is even possible to define a homomorphism using a quotient group for \
either the domain or the target group. For example, suppose we define ",
 StyleBox["K",
  FontWeight->"Bold"],
 " to be the normal subgroup ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"e", ",", " ", 
     SuperscriptBox["i", "2"]}], "}"}], TraditionalForm]]],
 " of ",
 StyleBox["Q",
  FontWeight->"Bold"],
 ":"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["K = {e, i^2}", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", 
   InterpretationBox["\<\"\\!\\(i\\) \[CenterDot] \\!\\(i\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`i, $CellContext`i],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4425894108677626`*^9}]
}, Open  ]],

Cell[TextData[{
 "The quotient group ",
 Cell[BoxData[
  FormBox[
   RowBox[{"Q", "/", "K"}], TraditionalForm]]],
 " is given by"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["M = LftCoset[Q,K]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.4425894159927626`*^9},
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"e", ",", 
     InterpretationBox["\<\"\\!\\(i\\) \[CenterDot] \\!\\(i\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`i, $CellContext`i],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(i\\\\) \\\\[CenterDot] \
\\\\!\\\\(i\\\\)\\\"\\) \[CenterDot] \\!\\(i\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`i, $CellContext`i], $CellContext`i],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(i\\\\) \\\\[CenterDot] \
\\\\!\\\\(i\\\\)\\\"\\) \[CenterDot] \\!\\(j\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`i, $CellContext`i], $CellContext`j],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(i\\) \[CenterDot] \\!\\(j\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`i, $CellContext`j],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(i\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(i\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(i\\\\)\\\"\\) \[CenterDot] \\!\\(j\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`i, $CellContext`i], $CellContext`i], $CellContext`j],
      
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.4425894135552626`*^9, 3.4425894164771376`*^9}}]
}, Open  ]],

Cell[TextData[{
 "Let us define the following homomorphism from ",
 Cell[BoxData[
  FormBox[
   RowBox[{"Q", "/", "K"}], TraditionalForm]]],
 " to ",
 StyleBox["Oct",
  FontWeight->"Bold"],
 " in ",
 StyleBox["Mathematica.\n\n        ",
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox[
   RowBox[{"              ", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"e", ",", " ", 
        SuperscriptBox["i", "2"]}], "}"}], "  ", "\[RightArrow]", "  ", "e"}],
      ",", "\n", "              ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"i", ",", " ", 
        SuperscriptBox["i", "3"]}], "}"}], "  ", "\[RightArrow]", "  ", 
      SuperscriptBox["c", "2"]}], ",", "      ", "\n", "         ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"j", ",", " ", 
        RowBox[{
         SuperscriptBox["i", "2"], "\[CenterDot]", "j"}]}], "}"}], " ", 
      "\[RightArrow]", "  ", 
      RowBox[{"a", "\[CenterDot]", 
       SuperscriptBox["b", "2"], "\[CenterDot]", "c"}]}], ",", "  ", "\n", 
     "  ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"i", "\[CenterDot]", "j"}], ",", " ", 
        RowBox[{
         SuperscriptBox["i", "3"], "\[CenterDot]", "j"}]}], "}"}], "  ", 
      "\[RightArrow]", "  ", 
      RowBox[{"a", "\[CenterDot]", 
       SuperscriptBox["b", "2"], "\[CenterDot]", 
       SuperscriptBox["c", "3."]}]}]}]}], TraditionalForm]]],
 "\n\n",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " will be able to determine that the identity element maps to the identity \
element, but the other three elements must be entered into ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
Homomorph[H]
Define[H[{i, i.i.i}], c.c]
Define[H[{j, i.i.j}], a.b.b.c]
Define[H[{i.j, i.i.i.j}], a.b.b.c.c.c]\
\>", "Input",
 PageWidth->Infinity,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell["We can check that this is a homomorphism.", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CheckHomo[H,M]", "Input",
 PageWidth->Infinity,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.4425894690865126`*^9}]
}, Open  ]],

Cell[TextData[{
 "EXPERIMENT:\n\nHow is the homomorphism ",
 StyleBox["H",
  FontWeight->"Bold"],
 " related to the homomorphism ",
 StyleBox["F",
  FontWeight->"Bold"],
 "?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["   ", "Input",
 PageWidth->Infinity,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "We can not only apply a homomorphism ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " to an element in a group, but also to a ",
 StyleBox["set",
  FontSlant->"Italic"],
 " of elements. We do this by applying the homomorphism to each element in \
the set and consider the set of all possible results. For example, consider \
the set of real numbers ",
 Cell[BoxData[
  FormBox[
   RowBox[{"S", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "2"}], ",", " ", 
      RowBox[{"-", "1"}], ",", " ", "1", ",", " ", "2", ",", " ", "3", ",", 
      " ", "4"}], "}"}]}], TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " be the homomorphism in example 2 above, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "x", ")"}], " ", "=", " ", 
    SuperscriptBox["x", "2."]}], TraditionalForm]]],
 " Then\n\n                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"\[Florin]", "(", "S", ")"}], " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{"1", ",", "4", ",", "9", ",", "16"}], "}"}]}]}], 
   TraditionalForm]]],
 ".\n\nThe set ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "S", ")"}], TraditionalForm]]],
 " is smaller than the set ",
 Cell[BoxData[
  FormBox["S", TraditionalForm]]],
 ", since the homomorphism mapped two elements to both 1 and 4. "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "To apply the homomorphism to a set of elements in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", we must enclose the set inside an additional pair of curly braces to let \
",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " know that we are considering a ",
 StyleBox["set",
  FontSlant->"Italic"],
 ", rather than a ",
 StyleBox["coset",
  FontSlant->"Italic"],
 ". For example, the set"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["S = {i,i.j,i.i.i,i.i.i.j}", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"i", ",", 
   InterpretationBox["\<\"\\!\\(i\\) \[CenterDot] \\!\\(j\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`i, $CellContext`j],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(i\\\\) \\\\[CenterDot] \
\\\\!\\\\(i\\\\)\\\"\\) \[CenterDot] \\!\\(i\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`i, $CellContext`i], $CellContext`i],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(i\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(i\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(i\\\\)\\\"\\) \[CenterDot] \\!\\(j\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`i, $CellContext`i], $CellContext`i], $CellContext`j],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4425894733677626`*^9}]
}, Open  ]],

Cell[TextData[{
 "is a subset of ",
 StyleBox["Q",
  FontWeight->"Bold"],
 ", so we can consider applying ",
 StyleBox["F",
  FontWeight->"Bold"],
 " to this set. If we enter the command"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["F[S]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 RowBox[{"F", "[", 
  RowBox[{"{", 
   RowBox[{"i", ",", 
    InterpretationBox["\<\"\\!\\(i\\) \[CenterDot] \\!\\(j\\)\"\>",
     StringForm["`` \[CenterDot] ``", $CellContext`i, $CellContext`j],
     Editable->False], ",", 
    InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(i\\\\) \\\\[CenterDot] \\\\!\\\
\\(i\\\\)\\\"\\) \[CenterDot] \\!\\(i\\)\"\>",
     StringForm["`` \[CenterDot] ``", 
      Dot[$CellContext`i, $CellContext`i], $CellContext`i],
     Editable->False], ",", 
    InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(i\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(i\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(i\\\\)\\\"\\) \[CenterDot] \\!\\(j\\)\"\>",
     StringForm["`` \[CenterDot] ``", 
      Dot[
       Dot[$CellContext`i, $CellContext`i], $CellContext`i], $CellContext`j],
     Editable->False]}], "}"}], "]"}]], "Output",
 CellChangeTimes->{3.4425894757271376`*^9}]
}, Open  ]],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " will not simplify this. Why not?  When a set is enclosed in a single set \
of curly braces, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " views this as a possible coset of a subgroup, as the homomorphism ",
 StyleBox["H",
  FontWeight->"Bold"],
 ". In order to apply the homomorphism ",
 StyleBox["F",
  FontWeight->"Bold"],
 " to the set ",
 Cell[BoxData[
  FormBox["S", TraditionalForm]]],
 ", we enclose the set in an extra pair of curly braces."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["F[{S}]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4425894836021376`*^9}]
}, Open  ]],

Cell[TextData[{
 "What happens if we take a homomorphism of a sub",
 StyleBox["group",
  FontSlant->"Italic"],
 "?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["F[{{e,i,i^2,i^3}}]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", 
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4425894864302626`*^9}]
}, Open  ]],

Cell[TextData[{
 "Notice the extra pair of curly braces used here. This turns out to be a \
subgroup of ",
 StyleBox["Oct",
  FontWeight->"Bold"],
 ". It is not hard to prove that this will be the case in general.\n\n\
PROPOSITION 4.5\nIf ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", ":", " ", 
    RowBox[{"G", " ", "\[RightArrow]", " ", "M"}]}], TraditionalForm]]],
 " is a homomorphism and ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "H", ")"}], TraditionalForm]]],
 " is a subgroup of ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.43661159725*^9}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We want to show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "H", ")"}], TraditionalForm]]],
 " is a subgroup using proposition 2.2.  If ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " are elements in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "H", ")"}], TraditionalForm]]],
 ", there must be elements ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " such that \n\n                            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "x", ")"}], " ", "=", " ", "u"}], 
   TraditionalForm]]],
 ", and  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "y", ")"}], " ", "=", " ", "v"}], 
   TraditionalForm]]],
 ".\n\nThen ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[CenterDot]", 
    SuperscriptBox["y", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", and so \n\n                       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", 
     RowBox[{"x", "\[CenterDot]", 
      SuperscriptBox["y", 
       RowBox[{"-", "1"}]]}], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Florin]", "(", "x", ")"}], "\[CenterDot]", 
      RowBox[{"\[Florin]", "(", 
       SuperscriptBox["y", 
        RowBox[{"-", "1"}]], ")"}]}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Florin]", "(", "x", ")"}], "\[CenterDot]", 
       SuperscriptBox[
        RowBox[{"[", 
         RowBox[{"\[Florin]", "(", "y", ")"}], "]"}], 
        RowBox[{"-", "1"}]]}], "=", " ", 
      RowBox[{"u", "\[CenterDot]", 
       SuperscriptBox["v", 
        RowBox[{"-", "1"}]]}]}]}]}], TraditionalForm]]],
 "\n\nis in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "H", ")"}], TraditionalForm]]],
 ".  So by proposition 2.2, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "H", ")"}], TraditionalForm]]],
 " is a subgroup of ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436611628265625*^9, 3.436611629328125*^9}, {
  3.436611664578125*^9, 3.43661166603125*^9}}]
}, Open  ]],

Cell[TextData[{
 "One obvious subgroup that we could choose would be the entire domain. For \
example, we could find ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "Q", "]"}], TraditionalForm]]],
 " with the command"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["F[{Q}]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", 
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4425894929146376`*^9}]
}, Open  ]],

Cell[TextData[{
 "This gives a list all possible elements that are produced by the function \
",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43661176096875*^9, 3.436611774*^9}, 3.436611808*^9}],

Cell[TextData[{
 "DEFINITION 4.3:\nIf ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", ":", "G"}], " ", "\[Rule]", "M"}], 
   TraditionalForm]]],
 " is a homomorphism, then the group ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "G", ")"}], TraditionalForm]]],
 " is called the ",
 StyleBox["range",
  FontSlant->"Italic"],
 ", or ",
 StyleBox["image",
  FontSlant->"Italic"],
 " of the homomorphism ",
 Cell[BoxData[
  FormBox["f", TraditionalForm]]],
 ".  We denot this set by\n                           Im(\[Florin]).\n"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436611691015625*^9, 3.436611692078125*^9}, {
  3.436611731640625*^9, 3.43661173209375*^9}, {3.43661179075*^9, 
  3.436611934046875*^9}}],

Cell[TextData[{
 "Since the domain will be a group, by proposition 4.5 the image will always \
be a subgroup of the target group. \n\nWe can also consider taking the \
inverse homomorphism ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Florin]", 
    RowBox[{"-", "1"}]], TraditionalForm]]],
 " of an element or a set of elements. Because homomorphisms are not always \
one-to-one, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Florin]", 
     RowBox[{"-", "1"}]], "(", "x", ")"}], TraditionalForm]]],
 " may not represent a single element. Thus, we will define ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Florin]", 
     RowBox[{"-", "1"}]], "(", "x", ")"}], TraditionalForm]]],
 " to be the ",
 StyleBox["set",
  FontSlant->"Italic"],
 " of numbers such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "y", ")"}], " ", "=", " ", "x"}], 
   TraditionalForm]]],
 ". Likewise, we define \n\n              ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Florin]", 
      RowBox[{"-", "1"}]], "(", "X", ")"}], " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{"y", "  ", "|", "  ", 
      RowBox[{
       RowBox[{"\[Florin]", "(", "y", ")"}], " ", "\[Element]", " ", "X"}]}], 
     "}"}]}], TraditionalForm]]],
 ".\n              \nWe can take the inverse homomorphism in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " with the command\n\nHomoInverse[\[Florin], x, D]\n\nwhere ",
 Cell[BoxData[
  FormBox["D", TraditionalForm]]],
 " is the domain of ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is the element or set to take the inverse function. Thus, "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43661176096875*^9, 3.436611774*^9}, {3.436611808*^9, 
  3.43661181153125*^9}, {3.43661191821875*^9, 3.436612000390625*^9}}],

Cell[CellGroupData[{

Cell["HomoInverse[F,c.c,Q]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"i", ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(i\\\\) \\\\[CenterDot] \
\\\\!\\\\(i\\\\)\\\"\\) \[CenterDot] \\!\\(i\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`i, $CellContext`i], $CellContext`i],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4425895003208876`*^9}]
}, Open  ]],

Cell[TextData[{
 "finds ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["F", 
     RowBox[{"-", "1"}]], "(", 
    SuperscriptBox["c", "2"], ")"}], TraditionalForm]]],
 ". We can find the inverse of a set as well."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["HomoInverse[F,{a,b,a.b.b.c},Q]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"j", ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(i\\\\) \\\\[CenterDot] \
\\\\!\\\\(i\\\\)\\\"\\) \[CenterDot] \\!\\(j\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`i, $CellContext`i], $CellContext`j],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4425895021490126`*^9}]
}, Open  ]],

Cell[TextData[{
 "Note that the definition is valid even if not all of the elements in the \
set are in the image of ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 ". \n\nThere is one inverse image that is very important:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["HomoInverse[F,e,Q]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", 
   InterpretationBox["\<\"\\!\\(i\\) \[CenterDot] \\!\\(i\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`i, $CellContext`i],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4425895045396376`*^9}]
}, Open  ]],

Cell[TextData[{
 "DEFINITION 4.4:\nIf ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is a homomorphism from ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["e", TraditionalForm]]],
 " is the identity element of ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 ", then we define the ",
 StyleBox["kernel",
  FontSlant->"Italic"],
 " of ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " to be the set \n\n                   ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"Ker", "(", "\[Florin]", ")"}], " ", "=", " ", 
     RowBox[{
      SuperscriptBox["\[Florin]", 
       RowBox[{"-", "1"}]], "(", "e", ")"}]}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436611691015625*^9, 3.436611692078125*^9}, {
   3.436611731640625*^9, 3.43661173209375*^9}, 3.43661179075*^9, {
   3.436612064734375*^9, 3.43661206559375*^9}}],

Cell[TextData[{
 "Although this definition seems like corny terminology, it in fact is very \
descriptive term, for the kernel of the homomorphism in essence defines the \
entire function. The ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " command"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436611691015625*^9, 3.436611692078125*^9}, {
  3.436611731640625*^9, 3.43661173209375*^9}, {3.43661179075*^9, 
  3.436611794828125*^9}}],

Cell[CellGroupData[{

Cell["Kernel[F,Q]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", 
   InterpretationBox["\<\"\\!\\(i\\) \[CenterDot] \\!\\(i\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`i, $CellContext`i],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4425895071646376`*^9, 3.4425896893208876`*^9}]
}, Open  ]],

Cell[TextData[{
 "can be used to find the kernel of a homomorphism directly.\n\nEXPERIMENT:\n\
Find the image and the kernel of the homomorphisms ",
 StyleBox["G",
  FontWeight->"Bold"],
 " and ",
 StyleBox["H",
  FontWeight->"Bold"],
 " which were previously defined. Recall that the domain of ",
 StyleBox["G",
  FontWeight->"Bold"],
 " is ",
 StyleBox["Oct",
  FontWeight->"Bold"],
 ", while the domain of ",
 StyleBox["H",
  FontWeight->"Bold"],
 " is ",
 StyleBox["M",
  FontWeight->"Bold"],
 ". What do you observe about the kernel of these homomorphisms?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["   ", "Input",
 PageWidth->Infinity,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "Let us observe one important property of the kernel.\n\nPROPOSITION 4.6\nIf \
",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is a homomorphism from ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 ", then the kernel of ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is a normal subgroup of the domain ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.4366120790625*^9}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "First we need to show that the kernel of ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".  If ",
 Cell[BoxData[
  FormBox["e", TraditionalForm]]],
 " is the identity element of ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 ", and if ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " are two elements of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"Ker", "(", "\[Florin]", ")"}], TraditionalForm]]],
 ", then\n\n                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      RowBox[{"a", "\[CenterDot]", 
       SuperscriptBox["b", 
        RowBox[{"-", "1"}]]}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Florin]", "(", "a", ")"}], " ", "\[CenterDot]", " ", 
       SuperscriptBox[
        RowBox[{"\[Florin]", "(", "b", ")"}], 
        RowBox[{"-", "1"}]]}], "=", " ", 
      RowBox[{
       RowBox[{"e", " ", "\[CenterDot]", " ", 
        SuperscriptBox["e", 
         RowBox[{"-", "1"}]]}], " ", "=", " ", "e"}]}]}], ","}], 
   TraditionalForm]]],
 "\n                         \nso ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "\[CenterDot]", 
    SuperscriptBox["b", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 " is also in the kernel of ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 ".  Thus, by proposition 2.2, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"Ker", "(", "\[Florin]", ")"}], TraditionalForm]]],
 " is a subgroup.  \n\nNow let us show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"Ker", "(", "\[Florin]", ")"}], TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".  Let ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " be an element in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"Ker", "(", "\[Florin]", ")"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["g", TraditionalForm]]],
 " be any element in ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ". Then by proposition 3.4, since\n            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      RowBox[{"g", "\[CenterDot]", "a", "\[CenterDot]", 
       SuperscriptBox["g", 
        RowBox[{"-", "1"}]]}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Florin]", "(", "g", ")"}], " ", "\[CenterDot]", " ", 
       RowBox[{"\[Florin]", "(", "a", ")"}], " ", "\[CenterDot]", " ", 
       RowBox[{"\[Florin]", "(", 
        SuperscriptBox["g", 
         RowBox[{"-", "1"}]], ")"}]}], " ", "=", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Florin]", "(", "g", ")"}], " ", "\[CenterDot]", " ", "e", 
        " ", "\[CenterDot]", " ", 
        SuperscriptBox[
         RowBox[{"\[Florin]", "(", "g", ")"}], 
         RowBox[{"-", "1"}]]}], "=", " ", "e"}]}]}], ","}], 
   TraditionalForm]]],
 "\n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "\[CenterDot]", "a", "\[CenterDot]", 
    SuperscriptBox["g", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"Ker", "(", "\[Florin]", ")"}], TraditionalForm]]],
 ", and so ",
 Cell[BoxData[
  FormBox[
   RowBox[{"Ker", "(", "\[Florin]", ")"}], TraditionalForm]]],
 " is a normal subgroup."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43661209646875*^9, 3.43661213196875*^9}}]
}, Open  ]],

Cell[TextData[{
 "EXPERIMENT:\n\nFind the inverse image of ",
 StyleBox["F",
  FontWeight->"Bold"],
 " for different elements of the octahedral group. For example, one inverse \
image is"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436612147328125*^9, 3.436612147453125*^9}}],

Cell[CellGroupData[{

Cell["HomoInverse[F,c.c,Q]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"i", ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(i\\\\) \\\\[CenterDot] \
\\\\!\\\\(i\\\\)\\\"\\) \[CenterDot] \\!\\(i\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`i, $CellContext`i], $CellContext`i],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4425895121646376`*^9}]
}, Open  ]],

Cell["Is there a pattern in the inverse images?", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["      ", "Input",
 PageWidth->Infinity,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "PROPOSITION 4.7\nLet ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " be a homomorphism from the group ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " to the group ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 ".  Suppose that ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " is in the image of ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 ", and that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "x", ")"}], " ", "=", " ", "y"}], 
   TraditionalForm]]],
 ".  Then\n\n              ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Florin]", 
      RowBox[{"-", "1"}]], "(", "y", ")"}], " ", "=", " ", 
    RowBox[{"x", "\[CenterDot]", 
     RowBox[{
      RowBox[{"Ker", "(", "\[Florin]", ")"}], "."}]}]}], TraditionalForm]]],
 "           "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43661216925*^9, 3.436612182171875*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "First let us consider an element   ",
 Cell[BoxData[
  FormBox[
   RowBox[{"z", " ", "\[Epsilon]", " ", 
    RowBox[{"x", "\[CenterDot]", 
     RowBox[{"Ker", "(", "\[Florin]", ")"}]}]}], TraditionalForm]]],
 ". Then  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"z", " ", "=", " ", 
    RowBox[{"x", "\[CenterDot]", "k"}]}], TraditionalForm]]],
 "  for some element ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " in the kernel of ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 ".  Therefore,\n\n                       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "z", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      RowBox[{"x", "\[CenterDot]", "k"}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Florin]", "(", "x", ")"}], "\[CenterDot]", 
       RowBox[{"\[Florin]", "(", "k", ")"}]}], " ", "=", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Florin]", "(", "x", ")"}], " ", "\[CenterDot]", "e"}], " ",
        "=", " ", 
       RowBox[{"f", "(", "x", ")"}]}]}]}]}], TraditionalForm]]],
 "\n \nsince ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"Ker", "(", "\[Florin]", ")"}], TraditionalForm]]],
 ".  Here, ",
 Cell[BoxData[
  FormBox["e", TraditionalForm]]],
 " is the identity element of ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 ".  But ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "x", ")"}], " ", "=", " ", "y"}], 
   TraditionalForm]]],
 ", and so  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"z", " ", "\[Epsilon]", " ", 
    RowBox[{
     SuperscriptBox["\[Florin]", 
      RowBox[{"-", "1"}]], "(", "y", ")"}]}], TraditionalForm]]],
 ". Thus we have proved that \n\n                                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Florin]", 
       RowBox[{"-", "1"}]], "(", "y", ")"}], " ", "\[SubsetEqual]", "  ", 
     RowBox[{"x", "\[CenterDot]", 
      RowBox[{"Ker", "(", "\[Florin]", ")"}]}]}]}], TraditionalForm]]],
 ".\n                                  \nTo prove the inclusion the other \
way, note that if   ",
 Cell[BoxData[
  FormBox[
   RowBox[{"z", " ", "\[Epsilon]", " ", 
    RowBox[{
     SuperscriptBox["\[Florin]", 
      RowBox[{"-", "1"}]], "(", "y", ")"}]}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "z", ")"}], " ", "=", " ", "y"}], 
   TraditionalForm]]],
 ", and so we have\n\n          ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      RowBox[{
       SuperscriptBox["x", 
        RowBox[{"-", "1"}]], "\[CenterDot]", "z"}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"\[Florin]", "(", "x", ")"}], 
        RowBox[{"-", "1"}]], "\[CenterDot]", 
       RowBox[{"\[Florin]", "(", "z", ")"}]}], " ", "=", " ", 
      RowBox[{
       RowBox[{
        SuperscriptBox["y", 
         RowBox[{"-", "1"}]], "\[CenterDot]", "y"}], " ", "=", " ", 
       RowBox[{"e", "."}]}]}]}]}], TraditionalForm]]],
 "\n\nThus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", 
     RowBox[{"-", "1"}]], "\[CenterDot]", "z"}], TraditionalForm]]],
 " is in the kernel of ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 ", and since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"z", " ", "=", " ", 
    RowBox[{
     RowBox[{"x", "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["x", 
         RowBox[{"-", "1"}]], "\[CenterDot]", "z"}], ")"}]}], " ", 
     "\[Element]", " ", 
     RowBox[{"x", "\[CenterDot]", 
      RowBox[{"Ker", "(", "\[Florin]", ")"}]}]}]}], TraditionalForm]]],
 ", we have   \n\n                                ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"x", "\[CenterDot]", 
      RowBox[{"Ker", "(", "\[Florin]", ")"}]}], "\[SubsetEqual]", " ", 
     RowBox[{
      SuperscriptBox["f", 
       RowBox[{"-", "1"}]], "(", "y", ")"}]}]}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436612195578125*^9, 3.436612297609375*^9}, {
  3.4366123330625*^9, 3.436612333921875*^9}, {3.436612372515625*^9, 
  3.436612396765625*^9}}]
}, Open  ]],

Cell[TextData[{
 "COROLLARY 4.1\nLet ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", ":", " ", 
    RowBox[{"G", " ", "\[RightArrow]", " ", "M"}]}], TraditionalForm]]],
 " be a homomorphism. Then ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is an injection (one-to-one) if, and only if, the kernel of ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is the identity element of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".  "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.4366124049375*^9}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "If ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is an injection, it is clear that the kernel would just be the identity \
element.  Suppose that the kernel is just the identity.  Then proposition 4.7 \
states that if ",
 Cell[BoxData[
  FormBox["h", TraditionalForm]]],
 " is in the image of ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Florin]", 
     RowBox[{"-", "1"}]], "(", "h", ")"}], TraditionalForm]]],
 " consists of exactly one element.  Therefore, ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is one-to-one."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436612428*^9, 3.4366124290625*^9}}]
}, Open  ]],

Cell[TextData[{
 "We now can begin to see the importance of the kernel of the homomorphism. \
If the homomorphism is an isomorphism then the kernel is just the identity. \
The larger the kernel of the homomorphism, the further it is from being an \
isomorphism. For example, the homomorphism ",
 StyleBox["H",
  FontWeight->"Bold"],
 " is in fact an isomorphism, since "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Kernel[H,M]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"e", ",", 
    InterpretationBox["\<\"\\!\\(i\\) \[CenterDot] \\!\\(i\\)\"\>",
     StringForm["`` \[CenterDot] ``", $CellContext`i, $CellContext`i],
     Editable->False]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.4425895197740126`*^9}]
}, Open  ]],

Cell[TextData[{
 "yields just the identity element.  On the other hand, the kernel of the \
homomorphism ",
 StyleBox["G",
  FontWeight->"Bold"],
 " done in the experiment is large, so this is not an isomorphism."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.4425897111021376`*^9, {3.4425897886490126`*^9, 3.4425898392115126`*^9}}],

Cell[TextData[{
 "We noticed that whenever we have a homomorphism ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", ":", " ", 
    RowBox[{"G", " ", "\[RightArrow]", " ", "M"}]}], TraditionalForm]]],
 ", if we take the image of a subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", ","}], TraditionalForm]]],
 " we get a subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"M", "."}], TraditionalForm]]],
 " What if we take the inverse image of a subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"M", "?"}], TraditionalForm]]],
 " Will we get a subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "?"}], TraditionalForm]]],
 " The next corollary says that we do, and in some cases we can even know \
more.\n\nCOROLLARY 4.2\nLet ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", ":", " ", 
    RowBox[{"G", " ", "\[RightArrow]", " ", "M"}]}], TraditionalForm]]],
 " be a homomorphism. Let ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " be a subgroup of ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Florin]", 
     RowBox[{"-", "1"}]], "(", "H", ")"}], TraditionalForm]]],
 " is a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ". Furthermore, if ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Florin]", 
     RowBox[{"-", "1"}]], "(", "H", ")"}], TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43661245390625*^9, 3.436612454046875*^9}, 
   3.4425897206333876`*^9}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " be in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Florin]", 
     RowBox[{"-", "1"}]], "(", "H", ")"}], TraditionalForm]]],
 ". Then since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      RowBox[{"x", "\[CenterDot]", 
       SuperscriptBox["y", 
        RowBox[{"-", "1"}]]}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"\[Florin]", "(", "x", ")"}], "\[CenterDot]", 
      SuperscriptBox[
       RowBox[{"\[Florin]", "(", "y", ")"}], 
       RowBox[{"-", "1"}]]}]}], ",", " "}], TraditionalForm]]],
 "which is in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", we have that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[CenterDot]", 
    SuperscriptBox["y", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 "is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Florin]", 
     RowBox[{"-", "1"}]], "(", "H", ")"}], TraditionalForm]]],
 ". Thus, by proposition 2.2, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Florin]", 
     RowBox[{"-", "1"}]], "(", "H", ")"}], TraditionalForm]]],
 " is a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".\n\nNow suppose that ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 ". Then if ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Florin]", 
     RowBox[{"-", "1"}]], "(", "H", ")"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", 
     RowBox[{"x", "\[CenterDot]", "y", "\[CenterDot]", 
      SuperscriptBox["x", 
       RowBox[{"-", "1"}]]}], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Florin]", "(", "x", ")"}], "\[CenterDot]", 
     RowBox[{"\[Florin]", "(", "y", ")"}], "\[CenterDot]", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"\[Florin]", "(", "x", ")"}], 
       RowBox[{"-", "1"}]], "."}]}]}], TraditionalForm]]],
 " Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "y", ")"}], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", which is normal in ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 ", we have that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "x", ")"}], "\[CenterDot]", 
    RowBox[{"\[Florin]", "(", "y", ")"}], "\[CenterDot]", 
    SuperscriptBox[
     RowBox[{"\[Florin]", "(", "x", ")"}], 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[CenterDot]", "y", "\[CenterDot]", 
    SuperscriptBox["x", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Florin]", 
     RowBox[{"-", "1"}]], "(", "H", ")"}], TraditionalForm]]],
 ", and so by proposition 3.4, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Florin]", 
     RowBox[{"-", "1"}]], "(", "H", ")"}], TraditionalForm]]],
 " is normal in ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4366124920625*^9, 3.43661258675*^9}},
 FontWeight->"Plain",
 FontSlant->"Plain",
 FontTracking->"Plain",
 FontVariations->{"Outline"->False,
 "Shadow"->False,
 "Underline"->False},
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["The Three Isomorphism Theorems", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "In the last section we saw that whenever ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " is in the image of ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Florin]", 
     RowBox[{"-", "1"}]], "(", "y", ")"}], TraditionalForm]]],
 " is a coset of the kernel. This indicates that there is a mapping from ",
 Cell[BoxData[
  FormBox[
   RowBox[{"Im", "(", "\[Florin]", ")"}], TraditionalForm]]],
 " to the quotient group ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", 
    RowBox[{"Ker", "(", "\[Florin]", ")"}]}], TraditionalForm]]],
 ". A natural question to ask is whether this mapping is again a \
homomorphism. The next proof shows that this mapping is, in fact, an \
isomorphism.  \n\nTHEOREM 4.1:  THE FIRST ISOMORPHISM THEOREM\nLet ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", ":", 
    RowBox[{"G", " ", "\[RightArrow]", " ", "M"}]}], TraditionalForm]]],
 " be a homomorphism with ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"Ker", "(", "\[Florin]", ")"}], " ", "=", " ", "K"}], 
   TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"Im", "(", "\[Florin]", ")"}], " ", "=", " ", 
    RowBox[{"I", "."}]}], TraditionalForm]]],
 " Then there is a natural isomorphism \n          \n                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", ":", " ", 
    RowBox[{"I", " ", "\[RightArrow]", " ", 
     RowBox[{"G", "/", "K"}]}]}], TraditionalForm]]],
 "\n              \nwhich is surjective. Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"I", " ", 
    StyleBox["\[TildeTilde]",
     FontSize->16], " ", 
    RowBox[{"G", "/", "K"}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436612729234375*^9, 3.436612739203125*^9}, {
  3.4366127778125*^9, 3.4366127791875*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "It should be noted that this theorem states more than just   ",
 Cell[BoxData[
  FormBox[
   RowBox[{"I", " ", 
    StyleBox["\[TildeTilde]",
     FontSize->16], " ", 
    RowBox[{"G", "/", "K"}]}], TraditionalForm]]],
 ", but that there is a natural isomorphism between these two groups. This \
isomorphism is given by\n\n                                                ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "h", ")"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["\[Florin]", 
      RowBox[{"-", "1"}]], "(", "h", ")"}]}], TraditionalForm]]],
 ".\n\nProposition 4.7 states that whenever ",
 Cell[BoxData[
  FormBox["h", TraditionalForm]]],
 " is in the image of ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Florin]", 
     RowBox[{"-", "1"}]], "(", "h", ")"}], TraditionalForm]]],
 " is a member of the quotient group ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", 
    RowBox[{"Ker", "(", "\[Florin]", ")"}]}], TraditionalForm]]],
 ".  Thus,  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", ":", " ", 
    RowBox[{
     StyleBox["I",
      FontSlant->"Italic"], 
     StyleBox[" ",
      FontSlant->"Italic"], "\[RightArrow]", " ", 
     RowBox[{"G", "/", "K"}]}]}], TraditionalForm]]],
 "  is properly defined.  \n\nLet us show that the mapping ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " is one-to-one.  Suppose ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"\[Phi]", "(", "y", ")"}]}], TraditionalForm]]],
 " for two different elements of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"I", "."}], TraditionalForm]]],
 "  Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", 
     RowBox[{"\[Phi]", "(", "x", ")"}], ")"}], " ", "=", " ", 
    RowBox[{"\[Florin]", "(", 
     RowBox[{"\[Phi]", "(", "y", ")"}], ")"}]}], TraditionalForm]]],
 ".  But ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", 
     RowBox[{"\[Phi]", "(", "x", ")"}], ")"}], " ", "=", " ", 
    RowBox[{"\[Florin]", "(", 
     RowBox[{
      SuperscriptBox["\[Florin]", 
       RowBox[{"-", "1"}]], "(", "x", ")"}], ")"}], " "}], 
   TraditionalForm]]],
 "is the set containing just the element ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ", and also ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", 
    RowBox[{"\[Phi]", "(", "y", ")"}], ")"}], TraditionalForm]]],
 " is the set containing just the element ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 ".  Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "=", " ", "y"}], TraditionalForm]]],
 ", and we have shown that \[Phi] is one-to-one.\n\nNow let us show that \
\[Phi] is onto.  If  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "K"}], TraditionalForm]]],
 "  is an element of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"G", "/", "K"}], ","}], TraditionalForm]]],
 " then  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "x", ")"}], " ", "\[Epsilon]", " ", "I"}], 
   TraditionalForm]]],
 ". Thus,\n\n                             ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", " ", "\[Epsilon]", " ", 
     RowBox[{
      SuperscriptBox["\[Florin]", 
       RowBox[{"-", "1"}]], "(", 
      RowBox[{"\[Florin]", "(", "x", ")"}], ")"}]}], "=", " ", 
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      RowBox[{"\[Florin]", "(", "x", ")"}], ")"}], " ", "\[Epsilon]", " ", 
     RowBox[{"G", "/", "K"}]}]}], TraditionalForm]]],
 ".  \n                             \nSo we have that ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is an element of both cosets ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "K", " "}], TraditionalForm]]],
 "and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", 
    RowBox[{"\[Florin]", "(", "x", ")"}], ")"}], TraditionalForm]]],
 ".  Since two different cosets have no elements in common, we must have ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", 
     RowBox[{"\[Florin]", "(", "x", ")"}], ")"}], " ", "=", " ", 
    RowBox[{"x", " ", 
     RowBox[{"K", "."}]}]}], TraditionalForm]]],
 "  We have therefore that any coset in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "K"}], TraditionalForm]]],
 " is mapped by \[Phi] from an element in ",
 Cell[BoxData[
  FormBox["I", TraditionalForm]]],
 ",  so \[Phi] is surjective.\n\nFinally, we want to show that \[Phi] is a \
homomorphism.  That is, we wish to show that\n\n                       ",
 Cell[BoxData[
  FormBox[
   RowBox[{"  ", 
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox["\[Florin]", 
        RowBox[{"-", "1"}]], "(", "v", ")"}], " ", "\[CenterDot]", " ", 
      RowBox[{
       SuperscriptBox["\[Florin]", 
        RowBox[{"-", "1"}]], "(", "w", ")"}]}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SuperscriptBox["\[Florin]", 
        RowBox[{"-", "1"}]], "(", 
       RowBox[{"v", "\[CenterDot]", "w"}], ")"}], "."}]}]}], 
   TraditionalForm]]],
 "\n                       \nLet   ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "\[Epsilon]", " ", 
    RowBox[{
     SuperscriptBox["\[Florin]", 
      RowBox[{"-", "1"}]], "(", "v", ")"}], " "}], TraditionalForm]]],
 " and  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", " ", "\[Epsilon]", " ", 
    RowBox[{
     SuperscriptBox["\[Florin]", 
      RowBox[{"-", "1"}]], "(", "w", ")"}]}], TraditionalForm]]],
 ".  Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "x", ")"}], " ", "=", " ", "v"}], 
   TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "y", ")"}], " ", "=", " ", "w"}], 
   TraditionalForm]]],
 ", so we have\n\n                         ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", 
     RowBox[{"x", "\[CenterDot]", "y"}], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Florin]", "(", "x", ")"}], "\[CenterDot]", 
      RowBox[{"\[Florin]", "(", "y", ")"}]}], " ", "=", " ", 
     RowBox[{"v", "\[CenterDot]", 
      RowBox[{"w", "."}]}]}]}], TraditionalForm]]],
 "\nHence,\n                              ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"x", "\[CenterDot]", "y"}], 
     FormBox[
      RowBox[{" ", 
       RowBox[{"\[Epsilon]", " ", 
        RowBox[{
         SuperscriptBox["\[Florin]", 
          RowBox[{"-", "1"}]], "(", 
         RowBox[{"v", "\[CenterDot]", "w"}], ")"}]}]}],
      TraditionalForm]}]}], TraditionalForm]]],
 ".\n                              \nSince ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Florin]", 
       RowBox[{"-", "1"}]], "(", "v", ")"}], " ", "\[CenterDot]", " ", 
     RowBox[{
      SuperscriptBox["\[Florin]", 
       RowBox[{"-", "1"}]], "(", "w", ")"}]}], " "}], TraditionalForm]]],
 "and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SuperscriptBox["\[Florin]", 
      RowBox[{"-", "1"}]],
     TraditionalForm], "(", 
    RowBox[{"v", "\[CenterDot]", "w"}], ")"}], TraditionalForm]]],
 " are two cosets in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "K"}], TraditionalForm]]],
 ", and both contain the element ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[CenterDot]", "y"}], TraditionalForm]]],
 ", they must be the same coset.  So we have that\n\n                         \
           ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Phi]", "(", "v", ")"}], "\[CenterDot]", 
     RowBox[{"\[Phi]", "(", "w", ")"}]}], " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      RowBox[{"v", "\[CenterDot]", "w"}], ")"}], "."}], " "}], 
   TraditionalForm]]],
 "            "
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.4366127905*^9}]
}, Open  ]],

Cell[TextData[{
 "This theorem says that whenever we have a homomorphism ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " from ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 " with an image ",
 Cell[BoxData[
  FormBox["I", TraditionalForm]]],
 ", then we get a natural isomorphism \[Phi] from ",
 Cell[BoxData[
  FormBox["I", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", 
    RowBox[{
     RowBox[{"Ker", "(", "\[Florin]", ")"}], "."}]}], TraditionalForm]]],
 " We can picture this situation by drawing a diagram:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "                          \[Florin]\n                     ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["\[LongRightArrow]",
     FontSize->36], " "}], TraditionalForm]]],
 Cell[BoxData[
  FormBox["I", TraditionalForm]]],
 "\n                          ",
 StyleBox["\[LowerLeftArrow]",
  FontSize->36],
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 "\n                    ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", 
    RowBox[{"Ker", "(", "\[Florin]", ")"}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 FontFamily->"Courier New",
 FontSize->12,
 FontWeight->"Plain",
 FontSlant->"Plain",
 FontTracking->"Plain",
 FontVariations->{"Outline"->False,
 "Shadow"->False,
 "Underline"->False},
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "This diagram shows that we can apply the homomorphism ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " and then the isomorphism \[Phi] to get a homomorphism from ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", 
    RowBox[{
     RowBox[{"Ker", "(", "\[Florin]", ")"}], "."}]}], TraditionalForm]]],
 " This mapping would be \n\n                ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", 
     RowBox[{"\[Florin]", "(", "x", ")"}], ")"}], ":", " ", 
    RowBox[{"G", " ", "\[RightArrow]", " ", 
     RowBox[{"G", "/", 
      RowBox[{"Ker", "(", "\[Florin]", ")"}]}]}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "What does this homomorphism do?  Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      RowBox[{"\[Florin]", "(", "x", ")"}], ")"}], " ", "=", " ", 
     RowBox[{
      SuperscriptBox["\[Florin]", 
       RowBox[{"-", "1"}]], "(", 
      RowBox[{"\[Florin]", "(", "x", ")"}], ")"}]}], ","}], 
   TraditionalForm]]],
 " we have that \n\n                       ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "\[Epsilon]", "  ", 
    RowBox[{"\[Phi]", "(", 
     RowBox[{"\[Florin]", "(", "x", ")"}], ")"}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Thus, this homomorphism sends every element of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " to the coset in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"M", "/", 
    RowBox[{"Ker", "(", "\[Florin]", ")"}]}], TraditionalForm]]],
 " which contains that element.\n\nIt seems that we should be able to go \
directly from the group ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " to the group ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", 
    RowBox[{"Ker", "(", "\[Florin]", ")"}]}], TraditionalForm]]],
 " without involving the homomorphism ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 ". The next proposition shows how this can be done.\n\nPROPOSITION 4.8\nLet \
",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " be a group, and ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " be a normal subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "."}], TraditionalForm]]],
 " Then there is a natural isomorphism \n\n                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["i", 
     RowBox[{"N", " "}]], ":", " ", 
    RowBox[{"N", "\[RightArrow]", 
     RowBox[{"G", "/", "N"}]}]}], TraditionalForm]]],
 "  \n                 \ngiven by ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     FormBox[
      SubscriptBox["i", "N"],
      TraditionalForm], "(", "a", ")"}], " ", "=", " ", 
    RowBox[{"a", " ", "N"}]}], TraditionalForm]]],
 ".  This homomorphism is surjective, and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"Ker", "(", 
     SubscriptBox["i", "N"], ")"}], " ", "=", " ", "N"}], TraditionalForm]]],
 ".           "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.43661291465625*^9}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "To show that ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "N"], TraditionalForm]]],
 " is a homomorphism, we note that if ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " are elements of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", then\n      \n                     ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      SubscriptBox["i", "N"], "(", 
      RowBox[{"a", "\[CenterDot]", "b"}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"a", "\[CenterDot]", "b", "\[CenterDot]", "N"}], " ", "=", " ", 
      
      RowBox[{
       RowBox[{
       "a", "\[CenterDot]", "N", "\[CenterDot]", "b", "\[CenterDot]", "N"}], 
       " ", "=", " ", 
       RowBox[{
        RowBox[{
         SubscriptBox["i", "N"], "(", "a", ")"}], "\[CenterDot]", 
        RowBox[{
         RowBox[{
          SubscriptBox["i", "N"], "(", "b", ")"}], "."}]}]}]}]}]}], 
   TraditionalForm]]],
 "\n\nAlso, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "N"], TraditionalForm]]],
 " is clearly surjective.  To find the kernel of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "N"], TraditionalForm]]],
 " , we note that the identity element of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "N"}], TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"e", " ", "N"}], " ", "=", " ", "N"}], TraditionalForm]]],
 ", and so ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is in the kernel if, and only  if,\n\n                         ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["i", "N"], "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"N", " ", "\[DoubleLongLeftRightArrow]", " ", "x"}], 
      "\[CenterDot]", "N"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"N", " ", "\[DoubleLongLeftRightArrow]", " ", "x"}], " ", 
      "\[Epsilon]", " ", "N"}]}]}], TraditionalForm]]],
 ".\n                         \nTherefore, the kernel of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "N"], TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "We call the homomorphism ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "N"], TraditionalForm]]],
 " the ",
 StyleBox["canonical homomorphism associated with",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 ". \n\nFrom proposition 4.8, every normal subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " appears as a kernel of a homomorphism, namely the canonical homomorphism.  \
\n\nWe can now finish the diagram that we drew after the first isomorphism \
theorem.  We now can go directly from the group ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " to the quotient group ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", 
    RowBox[{"Ker", "(", "\[Florin]", ")"}]}], TraditionalForm]]],
 " using a canonical homomorphism:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4366131065*^9, 3.436613108109375*^9}}],

Cell[TextData[{
 "                          \[Florin]\n                     ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["\[LongRightArrow]",
     FontSize->36], " "}], TraditionalForm]]],
 Cell[BoxData[
  FormBox["I", TraditionalForm]]],
 "\n                     ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "N"], TraditionalForm]]],
 StyleBox["\[LowerRightArrow]",
  FontSize->36],
 "  ",
 StyleBox["\[LowerLeftArrow]",
  FontSize->36],
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 "\n                      ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", 
    RowBox[{"Ker", "(", "\[Florin]", ")"}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4366131251875*^9, 3.436613129078125*^9}, {
  3.436613184*^9, 3.43661318746875*^9}},
 FontFamily->"Courier New",
 FontSize->12,
 FontWeight->"Plain",
 FontSlant->"Plain",
 FontTracking->"Plain",
 FontVariations->{"Outline"->False,
 "Shadow"->False,
 "Underline"->False},
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "Notice that we now have two ways of getting from ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"G", "/", 
     RowBox[{"Ker", "(", "\[Florin]", ")"}]}], ","}], TraditionalForm]]],
 " one route though the canonical homomorphism, and the other route through \
",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 ". Yet we have drawn this diagram to indicate that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", 
     RowBox[{"\[Florin]", "(", "x", ")"}], ")"}], " ", "=", " ", 
    RowBox[{"i", "(", "x", ")"}]}], TraditionalForm]]],
 " for all elements in ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ". Thus, the two routes from ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", 
    RowBox[{"Ker", "(", "\[Florin]", ")"}]}], TraditionalForm]]],
 " produce the same function. We express this fact by saying that the ",
 StyleBox["diagram is commutative",
  FontSlant->"Italic"],
 ". In other words, for a commuting diagram, the functions defined by two \
paths with the same beginning and ending points produce the same composition \
function. In this diagram there are arrows going in both directions for the \
function ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " to indicate that this is a isomorphism. We will later be able to visualize \
many theorems about homomorphisms by means of commuting diagrams. \n\nLet us \
consider an example of a group with more than one normal subgroup, which \
would produce more than one canonical homomorphism. We can use the octahedral \
group, which can be reloaded by the following command:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43661331865625*^9, 3.43661331875*^9}}],

Cell[CellGroupData[{

Cell["\<\
InitGroup[e];
Define[a^2,e]; Define[b^3,e]; Define[c^4,e]
Define[b.a,a.b.b]; Define[c.a,a.b.c]; Define[c.b,a.c.c]
Define[1/a,a]; Define[1/b,b^2]; Define[1/c,c^3]
G = Group[{a,b,c}]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.436613308375*^9, 3.436613334703125*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", "a", ",", "b", ",", "c", ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`b, $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`b, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`c, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.43661344621875*^9, 3.4415011304375*^9, 
  3.4425933614771376`*^9}]
}, Open  ]],

Cell["\<\
In searching for properties of quotient groups, we found one normal subgroup \
of order 4:\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["n = Group[{a.b.b.c,c.c}]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", 
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.436613463390625*^9, 3.441501146078125*^9, 
  3.4425933638208876`*^9}]
}, Open  ]],

Cell["\<\
Let us see if we can find another normal subgroup of the octahedral group. \
Consider the subgroup\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436613347296875*^9, 3.43661334740625*^9}}],

Cell[CellGroupData[{

Cell["H = Group[{b,c.c}]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", "b", ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`b, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.43661346775*^9, 3.441501149640625*^9, 
  3.4425933656958876`*^9}]
}, Open  ]],

Cell["\<\
This is a fairly large subgroup, but not the entire group. Let us find the \
order of this subgroup:\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Length[H]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData["12"], "Output",
 CellChangeTimes->{3.43661347490625*^9, 3.4425933681177626`*^9}]
}, Open  ]],

Cell[TextData[{
 "Therefore this group is half the size of the original octahedral group. By \
proposition 3.5, ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " must be a normal subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".\n\nSince we have two normal subgroups, we have two quotient groups. Here \
is the quotient group ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", 
    RowBox[{"H", ":"}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436613363*^9, 3.436613363109375*^9}}],

Cell[CellGroupData[{

Cell["Q1 = RtCoset[G,H]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.4366134295625*^9},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", "c", ",", 
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`c, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`b, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "b", ",", 
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[
          
          Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.436613483*^9, 3.4425933702583876`*^9}]
}, Open  ]],

Cell[TextData[{
 "Here is the quotient group ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", 
    RowBox[{"N", ":"}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Q2 = RtCoset[G,n]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.436613438453125*^9},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`b, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`c, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", 
     InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[
          
          Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.436613488265625*^9, 3.4425933723833876`*^9}]
}, Open  ]],

Cell[TextData[{
 "At this point there doesn't seem to be much connection between these. But \
notice that ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " is also a subgroup of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ".  Is this a normal subgroup? To find out let us determine the left and \
right cosets of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " with respect to ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["LftCoset[H,n]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.436613533890625*^9, 3.436613544203125*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"b", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", 
     InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[
          
          Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.436613535859375*^9, 3.436613545671875*^9}, 
   3.4425933750865126`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["RtCoset[H,n]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.436613547703125*^9, 3.436613547953125*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"b", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", 
     InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[
          
          Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4366135485625*^9, 3.4425933771333876`*^9}]
}, Open  ]],

Cell[TextData[{
 "Since these two are the same, ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " must be a normal coset of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ". This is not too hard to see. In fact, we can prove this in general:\n\n\
LEMMA 4.2\nLet ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " be a normal subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", and suppose that ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " which contains ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.43661357625*^9}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Since ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " is a group, and is contained in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " is a subgroup of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ".  For any ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", we have that\n \n                                ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"x", "\[CenterDot]", "N", "\[CenterDot]", 
      SuperscriptBox["x", 
       RowBox[{"-", "1"}]]}], " ", "=", " ", "N", " "}]}], 
   TraditionalForm]]],
 "\n\nsince ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is also in ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".  Therefore, by proposition 3.4, ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.436613593875*^9, {3.441500302359375*^9, 3.441500304265625*^9}}]
}, Open  ]],

Cell["\<\
From this proposition we now have a third quotient group to consider:\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Q3 = LftCoset[H,n]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.43661360271875*^9},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"b", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", 
     InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[
          
          Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.43661360609375*^9, 3.4425933802271376`*^9}]
}, Open  ]],

Cell[TextData[{
 "Notice that every coset in ",
 StyleBox["Q3",
  FontWeight->"Bold"],
 " is also a coset in ",
 StyleBox["Q2",
  FontWeight->"Bold"],
 ". In other words, the quotient group ",
 StyleBox["Q3",
  FontWeight->"Bold"],
 " is a subgroup of ",
 StyleBox["Q2",
  FontWeight->"Bold"],
 ". Is this a normal subgroup? In the case we are looking at, ",
 StyleBox["Q2",
  FontWeight->"Bold"],
 " is of order 6 and ",
 StyleBox["Q3",
  FontWeight->"Bold"],
 " is of order 3, proposition 3.5 states that ",
 StyleBox["Q3",
  FontWeight->"Bold"],
 " must be a normal subgroup of ",
 StyleBox["Q2",
  FontWeight->"Bold"],
 ". So this means that we can consider a ",
 StyleBox["fourth",
  FontSlant->"Italic"],
 " quotient group--a quotient group of the quotient group!"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43661363475*^9, 3.43661363621875*^9}, {
  3.441500590453125*^9, 3.44150060496875*^9}}],

Cell[CellGroupData[{

Cell["Q4 = RtCoset[Q2,Q3]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.436613673671875*^9, 3.436613675078125*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", 
       InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
        StringForm["`` \[CenterDot] ``", 
         Dot[$CellContext`a, $CellContext`c], $CellContext`c],
        Editable->False], ",", 
       InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
        StringForm["`` \[CenterDot] ``", 
         Dot[$CellContext`b, $CellContext`b], $CellContext`c],
        Editable->False], ",", 
       InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\
\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\
\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
        StringForm["`` \[CenterDot] ``", 
         Dot[
          Dot[
           
           Dot[$CellContext`b, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
        Editable->False]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", 
       InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
        StringForm["`` \[CenterDot] ``", 
         Dot[$CellContext`a, $CellContext`b], $CellContext`b],
        Editable->False], ",", 
       InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
        StringForm["`` \[CenterDot] ``", 
         Dot[$CellContext`c, $CellContext`c], $CellContext`c],
        Editable->False], ",", 
       InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\
\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\
\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
        StringForm["`` \[CenterDot] ``", 
         Dot[
          Dot[
           
           Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c],
        Editable->False]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
        StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
        Editable->False], ",", 
       InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
        StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
        Editable->False], ",", 
       InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\
\\\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
        StringForm["`` \[CenterDot] ``", 
         Dot[
          
          Dot[$CellContext`a, $CellContext`b], $CellContext`c], \
$CellContext`c],
        Editable->False], ",", 
       InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\
\\\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
        StringForm["`` \[CenterDot] ``", 
         Dot[
          
          Dot[$CellContext`b, $CellContext`c], $CellContext`c], \
$CellContext`c],
        Editable->False]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", 
       InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
        StringForm["`` \[CenterDot] ``", 
         Dot[$CellContext`a, $CellContext`b], $CellContext`c],
        Editable->False], ",", 
       InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
        StringForm["`` \[CenterDot] ``", 
         Dot[$CellContext`b, $CellContext`c], $CellContext`c],
        Editable->False], ",", 
       InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\
\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\
\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
        StringForm["`` \[CenterDot] ``", 
         Dot[
          Dot[
           
           Dot[$CellContext`a, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
        Editable->False]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", 
       InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
        StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
        Editable->False], ",", 
       InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\
\\\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
        StringForm["`` \[CenterDot] ``", 
         Dot[
          
          Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c],
        Editable->False], ",", 
       InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\
\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
\"\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
        StringForm["`` \[CenterDot] ``", 
         Dot[
          Dot[
           Dot[
            
            Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
        Editable->False]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
        StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
        Editable->False], ",", 
       InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
        StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
        Editable->False], ",", 
       InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\
\\\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
        StringForm["`` \[CenterDot] ``", 
         Dot[
          
          Dot[$CellContext`a, $CellContext`c], $CellContext`c], \
$CellContext`c],
        Editable->False], ",", 
       InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\
\\\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
        StringForm["`` \[CenterDot] ``", 
         Dot[
          
          Dot[$CellContext`b, $CellContext`b], $CellContext`c], \
$CellContext`c],
        Editable->False]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.436613677875*^9, 3.4425933825865126`*^9}]
}, Open  ]],

Cell[TextData[{
 "Before we try to interpret this mess, let us first see why ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "/", "N"}], TraditionalForm]]],
 " will be a normal subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "N"}], TraditionalForm]]],
 " in general."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43661363475*^9, 3.43661363621875*^9}, {
  3.441500590453125*^9, 3.44150060496875*^9}, {3.441500687015625*^9, 
  3.441500739109375*^9}}],

Cell[TextData[{
 "\nLEMMA 4.3\nIf ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " are normal subgroups of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", and if ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " is a subgroup of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "/", "N"}], TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "N"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436613695640625*^9, 3.43661369575*^9}, 3.44150063725*^9}
  ],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "From lemma 4.2, ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ".  A typical element of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "N"}], TraditionalForm]]],
 " is\n \n                                       ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "\[CenterDot]", "N"}], TraditionalForm]]],
 ",\n\nwhere ",
 Cell[BoxData[
  FormBox["g", TraditionalForm]]],
 " is an element of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".  A typical element of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "/", "N"}], TraditionalForm]]],
 " is\n\n                                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "\[CenterDot]", "N"}], TraditionalForm]]],
 ",\n\nwhere ",
 Cell[BoxData[
  FormBox["h", TraditionalForm]]],
 " is an element of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ".  Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "/", "N"}], TraditionalForm]]],
 " is contained in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "N"}], TraditionalForm]]],
 ", and so ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "/", "N"}], TraditionalForm]]],
 " is a subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "N"}], TraditionalForm]]],
 ".\n\nTo show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "/", "N"}], TraditionalForm]]],
 " is in fact a normal subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "N"}], TraditionalForm]]],
 ", we will use proposition 3.4.  That is, we will see if\n\n                 \
           ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"g", "\[CenterDot]", "N"}], ")"}], "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"h", "\[CenterDot]", "N"}], ")"}], "\[CenterDot]", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"g", "\[CenterDot]", "N"}], ")"}], 
      RowBox[{"-", "1"}]]}]}], TraditionalForm]]],
 "\n\nwill always be in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "/", "N"}], TraditionalForm]]],
 ".  But this simplifies to",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"g", "\[CenterDot]", "h", "\[CenterDot]", 
       SuperscriptBox["g", 
        RowBox[{"-", "1"}]]}], ")"}], "\[CenterDot]", "N"}]}], 
   TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "\[CenterDot]", "h", "\[CenterDot]", 
    SuperscriptBox["g", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " since ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".  Therefore, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"g", "\[CenterDot]", "h", "\[CenterDot]", 
      SuperscriptBox["g", 
       RowBox[{"-", "1"}]]}], ")"}], "N"}], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "/", "N"}], TraditionalForm]]],
 ", and hence ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "/", "N"}], TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "N"}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436613711109375*^9, 3.436613711828125*^9}, {
  3.43661375903125*^9, 3.43661376021875*^9}}]
}, Open  ]],

Cell[TextData[{
 "Let us compare the quotient group ",
 StyleBox["Q4",
  FontWeight->"Bold"],
 " with our first group ",
 StyleBox["Q1",
  FontWeight->"Bold"],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Q1", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", "c", ",", 
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`c, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`b, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "b", ",", 
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[
          
          Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4425933864615126`*^9}]
}, Open  ]],

Cell[TextData[{
 "We notice that both of these have two main elements, so both of these must \
be isomorphic to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 ". But consider the first elements of these groups:   "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Q4[[ 1 ]]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`b, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`c, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4425933886333876`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Q1[[ 1 ]] ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"a", ",", "c", ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`b, $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`c, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c], \
$CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4425933904927626`*^9}]
}, Open  ]],

Cell[TextData[{
 "Notice that if we remove all of the interior curly braces from the element \
in ",
 StyleBox["Q4",
  FontWeight->"Bold"],
 ", we get the element from ",
 StyleBox["Q1",
  FontWeight->"Bold"],
 " after rearranging the terms. The same thing is true with the other element \
of ",
 StyleBox["Q4",
  FontWeight->"Bold"],
 ". Thus we see that not only are ",
 StyleBox["Q4",
  FontWeight->"Bold"],
 " and ",
 StyleBox["Q1",
  FontWeight->"Bold"],
 " isomorphic, but there is a natural mapping from ",
 StyleBox["Q4",
  FontWeight->"Bold"],
 " to ",
 StyleBox["Q1",
  FontWeight->"Bold"],
 " which strips away the inside curly braces.\n\nThis natural mapping seems \
to indicate that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"G", "/", "N"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"H", "/", "N"}], ")"}]}], TraditionalForm]]],
 " is isomorphic to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "H"}], TraditionalForm]]],
 ". In order to prove this we merely have to describe this mapping in terms \
of the canonical homomorphisms. That is, we need a mapping that will \
essentially remove the inside curly braces from an element in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"G", "/", "N"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"H", "/", "N"}], ")"}]}], TraditionalForm]]],
 ". We will use the canonical homomorphisms as building blocks."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436613695640625*^9, 3.43661369575*^9}, 
   3.44150063725*^9, {3.44150076971875*^9, 3.441500787734375*^9}}],

Cell[TextData[{
 "The first canonical homomorphism we consider is from ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "N"}], TraditionalForm]]],
 ". Let us use our example to illustrate, calling this homomorphism ",
 StyleBox["R",
  FontWeight->"Bold"],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.44150079128125*^9, 3.4415007928125*^9}}],

Cell["Homomorph[R]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[TextData[{
 "We now can tell ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " where the three generators ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["c", TraditionalForm]]],
 " will be sent."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["Define[R[a], a.n]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell["Define[R[b], b.n]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell["Define[R[c], c.n]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[TextData[{
 "It's fairly obvious that this will be a homomorphism, but we could have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " check it using the following command. However this will take some time, \
for ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 " has 24 elements."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CheckHomo[R,G]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.4425934071490126`*^9}]
}, Open  ]],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can now evaluate this homomorphism on the elements of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["R[a.b]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4425934104615126`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["R[b.c.c]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"b", ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`b, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c], \
$CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4425934129302626`*^9}]
}, Open  ]],

Cell[TextData[{
 "We see that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["R",
     FontWeight->"Bold"], "[", "x", "]"}], TraditionalForm]]],
 " gives the coset of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "N"}], TraditionalForm]]],
 " which contains the element ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ".\n\nNext we can consider a homomorphism from ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "N"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"G", "/", "N"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"H", "/", "N"}], ")"}]}], TraditionalForm]]],
 ". Let us call this homomorphism ",
 StyleBox["F",
  FontWeight->"Bold"],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["Homomorph[F]  ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[TextData[{
 "Next we tell ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " what ",
 StyleBox["F",
  FontWeight->"Bold"],
 " does to the elements of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "N"}], TraditionalForm]]],
 ". In this case, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "N"}], TraditionalForm]]],
 " is not expressed by generators the way ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " was, so we need to tell ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " where all of the non-identity elements go."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["Define[F[a.n], a.Q3]  ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell["Define[F[b.n], b.Q3]  ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell["Define[F[c.n], c.Q3]  ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell["Define[F[a.b.n], a.b.Q3]  ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell["Define[F[a.c.n], a.c.Q3]  ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[TextData[{
 "It's time to test this homomorphism. First, let us verify that this is a \
homomorphism. Recall that the domain is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["Q2",
     FontWeight->"Bold"], " ", "=", " ", 
    RowBox[{"G", "/", "N"}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CheckHomo[F,Q2]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.4425934283677626`*^9}]
}, Open  ]],

Cell["Now let's see what this homomorphism does:", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["b.b.n  ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4425934305552626`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["F[b.b.n]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"b", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", 
     InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[
          
          Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4425934327740126`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["b.c.n", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4425934346333876`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["F[b.c.n]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`b, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`c, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4425934360552626`*^9}]
}, Open  ]],

Cell[TextData[{
 "We see that ",
 StyleBox["F",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox[
   RowBox[{"[", "y", "]"}], TraditionalForm]]],
 " gives the coset of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"G", "/", "N"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"H", "/", "N"}], ")"}]}], TraditionalForm]]],
 " which contains the coset ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 ".\n\nWe can now experiment with combining these two homomorphisms:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["F[R[c.c]]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"b", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", 
     InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[
          
          Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4425934387583876`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["F[R[a.c]]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"b", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", 
     InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[
          
          Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4425934407583876`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["F[R[b.b.c]]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`b, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`c, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4425934423833876`*^9}]
}, Open  ]],

Cell[TextData[{
 "Apparently ",
 StyleBox["F",
  FontWeight->"Bold"],
 "[",
 StyleBox["R",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox[
   RowBox[{"[", "x", "]"}], TraditionalForm]]],
 "] gives the coset of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"G", "/", "N"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"H", "/", "N"}], ")"}]}], TraditionalForm]]],
 " for which contains the element ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " within.  \n\nHow can we use this to find a mapping which removes the \
inside curly braces? We can consider the ",
 StyleBox["inverse",
  FontSlant->"Italic"],
 " of this combination, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox[
     StyleBox["R",
      FontWeight->"Bold"], 
     RowBox[{"-", "1"}]], "(", 
    RowBox[{
     SuperscriptBox[
      StyleBox["F",
       FontWeight->"Bold"], 
      RowBox[{"-", "1"}]], "(", "y", ")"}], ")"}], TraditionalForm]]],
 ". This would give a list of all elements of G which are embedded in the \
coset ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 ". Let us check this:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["b.b.c.Q3", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`b, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`c, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4425934468833876`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["HomoInverse[F, b.b.c.Q3, Q2]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`b, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`c, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4425934488365126`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["HomoInverse[R,HomoInverse[F, b.b.c.Q3, Q2],G]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"a", ",", "c", ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`b, $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`c, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c], \
$CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4425934511490126`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["a.b.c.Q3", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"b", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", 
     InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[
          
          Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
      
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4425934555708876`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["HomoInverse[R,HomoInverse[F, a.b.c.Q3, Q2],G]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"b", ",", "e", ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`b, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4425934575396376`*^9}]
}, Open  ]],

Cell[TextData[{
 "Therefore, we have a mapping, namely ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox[
      StyleBox["R",
       FontWeight->"Bold"], 
      RowBox[{"-", "1"}]], "(", 
     RowBox[{
      SuperscriptBox[
       StyleBox["F",
        FontWeight->"Bold"], 
       RowBox[{"-", "1"}]], "(", "y", ")"}], ")"}], ","}], 
   TraditionalForm]]],
 " that removes the inside curly braces. Let us use this to show that ",
 StyleBox["Q4",
  FontWeight->"Bold"],
 " and ",
 StyleBox["Q1",
  FontWeight->"Bold"],
 " will always be isomorphic.\n\nTHEOREM 4.2:  THE SECOND ISOMORPHISM THEOREM\
\nLet ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " be normal subgroups of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " be a subgroup of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ". Then\n\n          ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"G", "/", "N"}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{"H", "/", "N"}], ")"}]}], " ", 
    StyleBox["\[TildeTilde]",
     FontSize->16], " ", 
    RowBox[{"G", "/", "H"}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4366138505625*^9, 3.43661385196875*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We will use the example to guide us in finding a mapping from ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"G", "/", "N"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"H", "/", "N"}], ")"}]}], TraditionalForm]]],
 " to a set of elements in ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".  We have a canonical mapping from ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "N"}], TraditionalForm]]],
 ", and  another canonical mapping from",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"G", "/", "N"}]}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"G", "/", "N"}], ")"}], "/", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"H", "/", "N"}], ")"}], "."}]}], TraditionalForm]]],
 "  Let us call these mappings \[Phi] and \n",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 ", respectively.  Thus, we have the following diagram:"
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "                          ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 "\n                     G ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["\[LongRightArrow]",
     FontSize->36], " "}], TraditionalForm]]],
 Cell[BoxData[
  FormBox["I", TraditionalForm]]],
 "\n                              ",
 StyleBox["\[DownArrow]",
  FontSize->36],
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 "\n                           ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"G", "/", "N"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"H", "/", "N"}], ")"}]}], TraditionalForm]]]
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 FontFamily->"Courier New",
 FontSize->12],

Cell[TextData[{
 "For an element ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", the composition homomorphism ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", 
    RowBox[{"\[Phi]", "(", "x", ")"}], ")"}], TraditionalForm]]],
 " gives the element of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"G", "/", "N"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"H", "/", "N"}], ")"}]}], TraditionalForm]]],
 " which contains ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " somewhere inside of it.  Since ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " are both surjective, the composition ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", 
    RowBox[{"\[Phi]", "(", "x", ")"}], ")"}], TraditionalForm]]],
 " is surjective.  Thus, the inverse of this homomorphism, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Phi]", 
     RowBox[{"-", "1"}]], "(", 
    RowBox[{
     SuperscriptBox["\[Florin]", 
      RowBox[{"-", "1"}]], "(", "y", ")"}], ")"}], TraditionalForm]]],
 " gives a list of elements of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " which are somewhere inside of the element ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 ".  This inverse is the mapping which removes the interior curly braces.  We \
only need to check that this is in fact a coset of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "H"}], TraditionalForm]]],
 ".  Let us determine the kernel of the composition  homomorphism ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", 
    RowBox[{"\[Phi]", "(", "x", ")"}], ")"}], TraditionalForm]]],
 ".\n\nNote that ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " if is in ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["e", TraditionalForm]]],
 " is the identity element of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"G", "/", "N"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"H", "/", "N"}], ")"}]}], TraditionalForm]]],
 ", then \n\n                         ",
 Cell[BoxData[{
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"x", " ", "\[Element]", "   ", 
      RowBox[{
       RowBox[{"Ker", "(", "\[Florin]\[EmptySmallCircle]\[Phi]", ")"}], " ", 
       "\[DoubleLongLeftRightArrow]", " ", 
       RowBox[{"\[Florin]", 
        RowBox[{"(", 
         RowBox[{"\[Phi]", 
          RowBox[{"(", "x", ")"}]}], ")"}]}]}]}], " ", "=", " ", "e"}], 
    "                    "}], TraditionalForm], "\n", 
  FormBox[
   RowBox[{"\t                       ", 
    RowBox[{
     RowBox[{
      RowBox[{"\[DoubleLongLeftRightArrow]", " ", 
       RowBox[{"\[Phi]", 
        RowBox[{"(", "x", ")"}]}]}], " ", "\[Epsilon]", " ", 
      RowBox[{"Ker", 
       RowBox[{"(", "\[Florin]", ")"}]}]}], " ", "=", " ", 
     RowBox[{"H", "/", "N"}]}], "   "}], TraditionalForm], "\n", 
  FormBox[
   RowBox[{"\t\t                   ", 
    RowBox[{
     FormBox[
      RowBox[{
       RowBox[{
        RowBox[{"\[DoubleLongLeftRightArrow]", " ", "x"}], " ", "\[Epsilon]", 
        " ", 
        RowBox[{
         SuperscriptBox["\[Phi]", 
          RowBox[{"-", "1"}]], "(", 
         RowBox[{"H", "/", "N"}], ")"}]}], " ", "=", " ", "H"}],
      TraditionalForm], "."}]}], TraditionalForm]}]],
 "\n                         \nTherefore, the kernel of the composition ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", 
    RowBox[{"\[Phi]", "(", "x", ")"}], ")"}], TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", and so from the first isomorphism theorem (4.1), \n\n                     \
                   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"G", "/", "N"}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{"H", "/", "N"}], ")"}]}], " ", 
    StyleBox["\[TildeTilde]",
     FontSize->16], " ", 
    RowBox[{"G", "/", "H"}]}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43661398340625*^9, 3.436613984671875*^9}, {
  3.436614047265625*^9, 3.436614047265625*^9}, {3.436614094390625*^9, 
  3.436614094515625*^9}, {3.4425934652427626`*^9, 3.4425934652427626`*^9}}]
}, Open  ]],

Cell["\<\
We can describe the second isomorphism theorem visually by completing the \
diagram in the proof.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "                          ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 "\n                     ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["\[LongRightArrow]",
     FontSize->36], " "}], TraditionalForm]]],
 Cell[BoxData[
  FormBox["I", TraditionalForm]]],
 "\n                  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "H"], TraditionalForm]]],
 StyleBox["\[DownArrow]",
  FontSize->36],
 "      ",
 StyleBox["\[DownArrow]",
  FontSize->36],
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 "\n                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"G", "/", "H"}], " "}], TraditionalForm]]],
 " ",
 StyleBox["\[LeftRightArrow]",
  FontSize->36],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"G", "/", "N"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"H", "/", "N"}], ")"}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 FontFamily->"Courier New",
 FontSize->12,
 FontWeight->"Plain",
 FontSlant->"Plain",
 FontTracking->"Plain",
 FontVariations->{"Outline"->False,
 "Shadow"->False,
 "Underline"->False},
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "Since ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is the kernel of the composition homomorphism \n                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "\[Phi]", ")"}], ":", " ", 
    RowBox[{"G", " ", "\[RightArrow]", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"G", "/", "N"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"H", "/", "N"}], ")"}]}]}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436614111953125*^9, 3.436614113953125*^9}}],

Cell["\<\
we have by the first isomorphism theorem that this diagram commutes.

Recall that in the section on normal subgroups, we asked whether the product \
of two subgroups would be a subgroup.  In fact we took the two subgroups of \
the octahedronal group\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["H = Group[{c}] ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", "c", ",", 
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`c, $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4366141698125*^9, 3.44150119609375*^9, 
  3.4425934747115126`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["K = Group[{b.c}] ", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.436614160640625*^9, 3.43661416109375*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.43661417159375*^9, 3.441501198546875*^9, 
  3.4425934763052626`*^9}]
}, Open  ]],

Cell["and multiplied them together to get", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["H.K ", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.43661416490625*^9, 3.43661416540625*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"c", ",", "e", ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`c, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.436614173203125*^9, 3.441501200859375*^9, 
  3.4425934782115126`*^9}]
}, Open  ]],

Cell[TextData[{
 "This could not be a subgroup, for their are 16 elements here, and 16 is not \
a divisor of 24. So we concluded that the product of two subgroups will not \
always give a subgroup.  \n\nSince that time we discovered that some \
subgroups have the additional property of being normal. These subgroups had \
quotient groups associated with them, which allowed us to prove additional \
propositions regarding normal subgroups. So we could ask whether the product \
of two normal subgroups would give a subgroup, or whether even a normal \
subgroup times a regular subgroup would give a subgroup.  \n\nNotice that \
neither of the groups ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " or ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " that we tried multiplying together were normal. Let us try multiplying a \
normal subgroup with another subgroup. We will use the normal group "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4366141791875*^9, 3.4366141791875*^9}}],

Cell[CellGroupData[{

Cell["M = Group[{a.b.b.c, c.c}]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.4366141905625*^9},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", 
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.436614191609375*^9, 3.44150120571875*^9, 
  3.4425934811958876`*^9}]
}, Open  ]],

Cell["Let's multiply two subgroups together.", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["H.M", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.4366141964375*^9},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"c", ",", "e", ",", 
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`c, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.436614197640625*^9, 3.441501210375*^9, 
  3.4425934832583876`*^9}]
}, Open  ]],

Cell[TextData[{
 "This gives a set of order 8, which is a divisor of 24. So it is possible \
that this set is a subgroup. How can we check? We can use the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " command ",
 StyleBox["CheckGroup.",
  FontWeight->"Bold"],
 " "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CheckGroup[H.M]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.43661420478125*^9},
 AspectRatioFixed->True],

Cell[BoxData["\<\"This set of elements is a group.\"\>"], "Print",
 CellChangeTimes->{3.43661420646875*^9, 3.4425934855083876`*^9}]
}, Open  ]],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " tells us that this set is indeed a group, so it is a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".  \n\nThis encourages us to try multiplying the groups in the other order. \
Let us see if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"M", "\[CenterDot]", "H"}], TraditionalForm]]],
 " forms a subgroup:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436614213609375*^9, 3.436614213609375*^9}}],

Cell[CellGroupData[{

Cell["M.H", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.43661421634375*^9},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"c", ",", "e", ",", 
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`c, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.43661421759375*^9, 3.4425934876177626`*^9}]
}, Open  ]],

Cell[TextData[{
 "Is this a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 "?  Yes, in fact it is the same subgroup as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "M"}], TraditionalForm]]],
 ". In this case, it apparently didn't matter which order we multiplied.\n\n\
EXPERIMENT:\nIs the product ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "\[CenterDot]", "M"}], TraditionalForm]]],
 " a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 "? What about the product ",
 Cell[BoxData[
  FormBox[
   RowBox[{"M", "\[CenterDot]", "K"}], TraditionalForm]]],
 "? Is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "\[CenterDot]", "M"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"M", "\[CenterDot]", "K"}], TraditionalForm]]],
 " the same, as in the case for ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 "?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436614221734375*^9, 3.43661425828125*^9}}],

Cell["  ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[TextData[{
 "From this experiment, there seems to be a connection between whether ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "N"}], TraditionalForm]]],
 " is a subgroup, and whether ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", "\[CenterDot]", "N"}], " ", "=", " ", 
    RowBox[{"N", "\[CenterDot]", 
     RowBox[{"H", "."}]}]}], TraditionalForm]]],
 " It is not hard to prove this connection.\n\nLEMMA 4.4\nSuppose ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " are two subgroups of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".  Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "K"}], TraditionalForm]]],
 " is a group if, and only if, \n\n               ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", "\[CenterDot]", "K"}], " ", "=", " ", 
    RowBox[{"K", "\[CenterDot]", 
     RowBox[{"H", "."}]}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4366142715625*^9, 3.436614303515625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let us first suppose that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "K"}], TraditionalForm]]],
 " is a subgroup.  Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", " ", "\[Epsilon]", " ", "H"}], TraditionalForm]]],
 "  and  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", " ", "\[Epsilon]", " ", "K"}], TraditionalForm]]],
 ".\n\nWe wish to show that the element ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "\[CenterDot]", "k"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "K"}], TraditionalForm]]],
 " is also in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "\[CenterDot]", "H"}], TraditionalForm]]],
 ".  Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "K"}], TraditionalForm]]],
 " is a subgroup, ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"h", "\[CenterDot]", "k"}], ")"}], 
    RowBox[{"-", "1"}]], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "K"}], TraditionalForm]]],
 ".  Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"h", "\[CenterDot]", "k"}], ")"}], 
     RowBox[{"-", "1"}]], " ", "=", " ", 
    RowBox[{"x", "\[CenterDot]", "y"}]}], TraditionalForm]]],
 " for some ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "\[Epsilon]", " ", "H"}], TraditionalForm]]],
 "  and  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", " ", "\[Epsilon]", " ", "K"}], TraditionalForm]]],
 ". But then, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"h", "\[CenterDot]", "k"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"x", "\[CenterDot]", "y"}], ")"}], 
      RowBox[{"-", "1"}]], " ", "=", " ", 
     RowBox[{
      SuperscriptBox["y", 
       RowBox[{"-", "1"}]], "\[CenterDot]", 
      SuperscriptBox["x", 
       RowBox[{"-", "1"}]]}]}]}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["y", 
     RowBox[{"-", "1"}]], "\[CenterDot]", 
    SuperscriptBox["x", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "\[CenterDot]", "H"}], TraditionalForm]]],
 ".  Thus,\n\n                                       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", "\[CenterDot]", "K"}], " ", "\[SubsetEqual]", " ", 
    RowBox[{"K", "\[CenterDot]", "H"}]}], TraditionalForm]]],
 ".\n                                       \nBy a similar argument, the \
inverse of any element in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "\[CenterDot]", "H"}], TraditionalForm]]],
 " must be in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "K"}], TraditionalForm]]],
 ", and so  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"K", "\[CenterDot]", "H"}], " ", "\[SubsetEqual]", " ", 
    RowBox[{"H", "\[CenterDot]", "K"}]}], TraditionalForm]]],
 ". Therefore, we have ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", "\[CenterDot]", "K"}], " ", "=", " ", 
    RowBox[{"K", "\[CenterDot]", "H"}]}], TraditionalForm]]],
 ".\n\nNow, let us suppose that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", "\[CenterDot]", "K"}], " ", "=", " ", 
    RowBox[{"K", "\[CenterDot]", "H"}]}], TraditionalForm]]],
 ".  We want to show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "K"}], TraditionalForm]]],
 " is a subgroup. Let\n\n                                             ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", ",", 
    RowBox[{"x", " ", "\[Epsilon]", " ", "H", " "}]}], TraditionalForm]]],
 "  and  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", ",", 
    RowBox[{"y", " ", "\[Epsilon]", " ", "K"}]}], TraditionalForm]]],
 " \n \nso both ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "\[CenterDot]", "k"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[CenterDot]", "y"}], TraditionalForm]]],
 " are elements of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "K"}], TraditionalForm]]],
 ". By proposition 2.2, it is enough to show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"h", "\[CenterDot]", "k"}], ")"}], "\[CenterDot]", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"x", "\[CenterDot]", "y"}], ")"}], 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "K"}], TraditionalForm]]],
 ". But ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"k", "\[CenterDot]", 
      SuperscriptBox["y", 
       RowBox[{"-", "1"}]]}], ")"}], "\[CenterDot]", 
    SuperscriptBox["x", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"K", "\[CenterDot]", "H"}], " ", "=", " ", 
    RowBox[{"H", "\[CenterDot]", "K"}]}], TraditionalForm]]],
 ", and so there must be two elements\n\n                         ",
 Cell[BoxData[
  FormBox[
   RowBox[{"u", " ", "\[Epsilon]", " ", "H", " "}], TraditionalForm]]],
 "  and  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", " ", "\[Epsilon]", " ", "K"}], TraditionalForm]]],
 "\n                         \nsuch that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"k", "\[CenterDot]", 
       SuperscriptBox["y", 
        RowBox[{"-", "1"}]]}], ")"}], "\[CenterDot]", 
     SuperscriptBox["x", 
      RowBox[{"-", "1"}]]}], " ", "=", " ", 
    RowBox[{"u", "\[CenterDot]", "v"}]}], TraditionalForm]]],
 ".  Then we have\n\n                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"h", "\[CenterDot]", "k"}], ")"}], "\[CenterDot]", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"x", "\[CenterDot]", "y"}], ")"}], 
       RowBox[{"-", "1"}]]}], " ", "=", " ", 
     RowBox[{
      RowBox[{"h", "\[CenterDot]", "k", "\[CenterDot]", 
       SuperscriptBox["y", 
        RowBox[{"-", "1"}]], "\[CenterDot]", 
       SuperscriptBox["x", 
        RowBox[{"-", "1"}]]}], " ", "=", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"h", "\[CenterDot]", "u"}], ")"}], "\[CenterDot]", "v", 
       " "}]}]}]}], TraditionalForm]]],
 "\n\nwhich is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "K"}], TraditionalForm]]],
 ".  Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "K"}], TraditionalForm]]],
 " is a subgroup if, and only if, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", "\[CenterDot]", "K"}], " ", "=", " ", 
    RowBox[{"K", "\[CenterDot]", "H"}]}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43661549553125*^9, 3.436615525265625*^9}, {
  3.436616034625*^9, 3.43661613621875*^9}}]
}, Open  ]],

Cell[TextData[{
 "We are now in a position to show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "K"}], TraditionalForm]]],
 " is a subgroup if one of the subgroups ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " or ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " was normal.\n\nLEMMA 4.5\nIf ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "N"}], TraditionalForm]]],
 " is a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.436616151953125*^9}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "If  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", " ", "\[Epsilon]", " ", "H", " "}], TraditionalForm]]],
 " and  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "\[Epsilon]", " ", "N"}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "\[CenterDot]", "n", "\[CenterDot]", 
    SuperscriptBox["h", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 ", since ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " is normal.  Then\n\n                                   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"h", "\[CenterDot]", "n"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"h", "\[CenterDot]", "n", "\[CenterDot]", 
       SuperscriptBox["h", 
        RowBox[{"-", "1"}]]}], ")"}], "\[CenterDot]", "h"}]}], 
   TraditionalForm]]],
 "\n\nis in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"N", "\[CenterDot]", "H"}], TraditionalForm]]],
 ".  Thus,  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", "\[CenterDot]", "N"}], " ", "\[SubsetEqual]", " ", 
    RowBox[{"N", "\[CenterDot]", "H"}]}], TraditionalForm]]],
 ".\n\nBy a similar argument  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"N", "\[CenterDot]", "H"}], " ", "\[SubsetEqual]", " ", 
    RowBox[{"H", "\[CenterDot]", "N"}]}], TraditionalForm]]],
 ", so ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", "\[CenterDot]", "N"}], "=", " ", 
    RowBox[{"N", "\[CenterDot]", "H"}]}], TraditionalForm]]],
 ".  Therefore, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "N"}], TraditionalForm]]],
 " is a group by lemma 4.4. "
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.43661617640625*^9}]
}, Open  ]],

Cell[TextData[{
 "Given two subgroups of a group ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", there is another way of forming a new subgroup. Proposition 2.3 in the \
section on subgroups tells us that the intersection of two subgroups will \
again be a subgroup. Recall that the intersection of  the groups ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is given in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " by"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4366161925*^9, 3.436616192609375*^9}}],

Cell[CellGroupData[{

Cell["Intersection[H, M]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.44150107209375*^9, 3.44150108078125*^9}, {
  3.441501255609375*^9, 3.4415012560625*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", 
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.441501256625*^9, 3.4425934943052626`*^9}]
}, Open  ]],

Cell[TextData[{
 "which is a group of order 2.  \n\nIn this case since ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is abelian, the intersection of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ". However, whenever ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is normal, the intersection will always be a normal subgroup.\n\nLEMMA 4.6\
\nIf ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", " ", "\[Intersection]", " ", "N"}], TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43661620996875*^9, 3.43661621140625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Given elements  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", " ", "\[Epsilon]", " ", "H", " "}], TraditionalForm]]],
 " and  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", " ", "\[Epsilon]", " ", "H"}], " ", "\[Intersection]", " ", 
    "N"}], TraditionalForm]]],
 ", we note that since ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " which is a normal subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "\[CenterDot]", "x", "\[CenterDot]", 
    SuperscriptBox["h", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 ".  Also, ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", so ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "\[CenterDot]", "x", "\[CenterDot]", 
    SuperscriptBox["h", 
     RowBox[{
      RowBox[{"-", "1"}], " "}]]}], TraditionalForm]]],
 "is in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ".  Thus, \n\n                                     ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "\[CenterDot]", "x", "\[CenterDot]", 
    SuperscriptBox["h", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{"   ", 
    RowBox[{"\[Element]", "    ", 
     RowBox[{"H", " ", "\[Intersection]", " ", "N"}]}]}], TraditionalForm]]],
 ",\n                                     \nand so by proposition 3.4, the \
intersection is a normal subgroup of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436616239875*^9, 3.43661626884375*^9}}]
}, Open  ]],

Cell["\<\
Because we have a normal subgroup, we can consider the quotient group \
generated by this group.  We can let\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["J = Intersection[H, M]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.441501347921875*^9, 3.44150135065625*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", 
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.441501351265625*^9, 3.4425934976802626`*^9}]
}, Open  ]],

Cell["be the intersection. Then the quotient group is given by", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["LftCoset[H, J]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.441501357203125*^9, 3.44150136265625*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"c", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`c, $CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", 
     InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.44150135834375*^9, 3.44150136315625*^9}, 
   3.4425935000865126`*^9}]
}, Open  ]],

Cell[TextData[{
 "We also know that ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " and so by lemma 4.2, ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "M"}], TraditionalForm]]],
 ". We can find the quotient group of ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 " for comparison."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436616558875*^9, 3.436616560625*^9}, {
  3.44150140334375*^9, 3.441501412171875*^9}}],

Cell[CellGroupData[{

Cell["LftCoset[H.M, M]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4415014181875*^9, 3.441501425765625*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"c", ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`c, $CellContext`c], $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\
\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", 
     InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
      
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\
\\\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[
         Dot[
          
          Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.44150142325*^9, 3.44150142615625*^9}, 
   3.4425935028052626`*^9}]
}, Open  ]],

Cell[TextData[{
 "What do we observe about these two quotient groups? They both have 2 \
elements, so they are obviously isomorphic.  But there is another connection \
which helps to explain why they would be isomorphic. Notice that each coset \
in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", 
    RowBox[{"M", "/", "M"}]}], TraditionalForm]]],
 " contains one of the cosets from ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "/", "J"}], TraditionalForm]]],
 ". In fact if we threw out all elements in a coset of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", 
    RowBox[{"M", "/", "M"}]}], TraditionalForm]]],
 " which were not an element of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", we would get a coset of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "/", "J"}], TraditionalForm]]],
 ". Thus, if we could come up with a mapping which \"filters out\" the \
elements which are not in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", we would have a possible homomorphism between ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", 
    RowBox[{"M", "/", "M"}]}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "/", "J"}], TraditionalForm]]],
 ". Let's see if we can construct such a mapping.\n\nWe will begin by \
defining a homomorphism from ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " into ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ". It will be defined simply by\n\n             ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"i", ":", 
     RowBox[{"H", " ", "\[RightArrow]", "H"}]}], ",", "  ", 
    RowBox[{
     RowBox[{"i", "(", "h", ")"}], " ", "=", " ", "h"}]}], 
   TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.441501466953125*^9, 3.441501502125*^9}}],

Cell[TextData[{
 "This is called the ",
 StyleBox["identity homomorphism",
  FontSlant->"Italic"],
 " on ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " for the obvious reason. How will this help us create a filter? Let us \
define the homomorphism in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to find out. "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["Homomorph[i]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[TextData[{
 "Because ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " uses ",
 Cell[BoxData[
  FormBox["c", TraditionalForm]]],
 " as the generator we only have to define ",
 Cell[BoxData[
  FormBox[
   RowBox[{"i", "[", "c", "]"}], TraditionalForm]]],
 ":"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["Define[i[c], c]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can quickly check that this is a homomorphism:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CheckHomo[i, H]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.441501521828125*^9, 3.4425935095865126`*^9}]
}, Open  ]],

Cell[TextData[{
 "Note that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"i", "[", "h", "]"}], TraditionalForm]]],
 " will not be defined on the elements of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " which are not in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ". However, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["i", 
     RowBox[{"-", "1"}]], "(", "S", ")"}], TraditionalForm]]],
 " will be defined on all subsets of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ". For example, if we consider the subset"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["S = {a, a.b, c, a.c, a.b.c.c, c.c.c, e}", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"a", ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
    Editable->False], ",", "c", ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`c, $CellContext`c], $CellContext`c],
    Editable->False], ",", "e"}], "}"}]], "Output",
 CellChangeTimes->{3.4415015246875*^9, 3.4425935117740126`*^9}]
}, Open  ]],

Cell[TextData[{
 "Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["i", 
     RowBox[{"-", "1"}]], "(", "S", ")"}], TraditionalForm]]],
 " is"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["HomoInverse[i, S, H]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"c", ",", "e", ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`c, $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.441501526921875*^9, 3.4425935138365126`*^9}]
}, Open  ]],

Cell[TextData[{
 "The inverse apparently filters out the elements of ",
 Cell[BoxData[
  FormBox["S", TraditionalForm]]],
 " which are not in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ". This is almost what we want, but we want a filter for a single ",
 StyleBox["coset",
  FontSlant->"Italic"],
 ", so the trick is to first take the inverse of the canonical isomorphism ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " from ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "M"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"H", "\[CenterDot]", "M"}], ")"}], "/", "M"}], 
   TraditionalForm]]],
 ". Let us quickly define this, using ",
 StyleBox["F",
  FontWeight->"Bold"],
 " for the homomorphism name."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.441501540453125*^9, 3.441501543359375*^9}}],

Cell["Homomorph[F]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[TextData[{
 "The set ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "K"}], TraditionalForm]]],
 " is generated by the elements ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "\[CenterDot]", "b", "\[CenterDot]", "b"}], 
   TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["c", TraditionalForm]]],
 ". In this case we only need 2 definitions to define the entire \
homomorphism."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["Define[F[c], c.M]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.441501551140625*^9, 3.44150155309375*^9}},
 AspectRatioFixed->True],

Cell["Define[F[a.b.b], a.b.b.M]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.441501556*^9},
 AspectRatioFixed->True],

Cell[TextData[{
 "Does this define the homomorphism? We will let ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " verify that this does:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CheckHomo[F, H.M]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.441501567953125*^9},
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.44150156915625*^9, 3.44150185896875*^9, 
  3.4425935231646376`*^9}]
}, Open  ]],

Cell[TextData[{
 "We can now try out our filter to see if it works. We pick an element in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"H", "\[CenterDot]", "M"}], ")"}], "/", "M"}], 
   TraditionalForm]]],
 ":"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.44150157325*^9, 3.441501575046875*^9}}],

Cell[CellGroupData[{

Cell["c.M", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.441501578109375*^9},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"c", ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`c, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c], \
$CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.441501579328125*^9, 3.4415018615*^9, 
  3.4425935254458876`*^9}]
}, Open  ]],

Cell[TextData[{
 "Next, we find ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["i", 
     RowBox[{"-", "1"}]], "(", 
    RowBox[{
     SuperscriptBox["F", 
      RowBox[{"-", "1"}]], "(", "x", ")"}], ")"}], TraditionalForm]]],
 " for this element."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["HomoInverse[F, c.M, H.M]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.441501586453125*^9, 3.4415015879375*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"c", ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`c, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c], \
$CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.441501589734375*^9, 3.4415018638125*^9, 
  3.4425935274927626`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["HomoInverse[i, HomoInverse[F, c.M, H.M], H]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4415015944375*^9, 3.441501598609375*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"c", ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`c, $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.441501602265625*^9, 3.441501866125*^9, 
  3.4425935296958876`*^9}]
}, Open  ]],

Cell[TextData[{
 "Therefore, this combination of inverse homomorphisms can be used for our \
filter. This gives us the guidelines for showing that, in general, \n\n       \
      ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", "/", 
     RowBox[{"(", 
      RowBox[{"H", "\[Intersection]", "N"}], ")"}]}], " ", 
    StyleBox["\[TildeTilde]",
     FontSize->16], " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"H", "\[CenterDot]", "N"}], ")"}], "/", "N"}]}], 
   TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.441501628859375*^9, 3.441501650859375*^9}}],

Cell[TextData[{
 "\nTHEOREM 4.3:  THE THIRD ISOMORPHISM THEOREM\nSuppose that ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", and that ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ". Then\n\n             ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", "/", 
     RowBox[{"(", 
      RowBox[{"H", "\[Intersection]", "N"}], ")"}]}], " ", 
    StyleBox["\[TildeTilde]",
     FontSize->16], " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"H", "\[CenterDot]", "N"}], ")"}], "/", "N"}]}], 
   TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4366166236875*^9, 3.436616625421875*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "By lemma 4.5, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "N"}], TraditionalForm]]],
 " is a subgroup, and by lemma 4.2, ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "N"}], TraditionalForm]]],
 ". Also, by lemma 4.6,  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", " ", "\[Intersection]", " ", "N"}], TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", and so both of the quotient groups are defined.  \n\nWe will use the two \
homomorphisms which we discovered were useful for creating a filter, that is,\
\n\n                            ",
 Cell[BoxData[
  FormBox[
   RowBox[{"i", ":", " ", 
    RowBox[{"H", " ", "\[RightArrow]", " ", 
     RowBox[{"H", "\[CenterDot]", "N"}]}]}], TraditionalForm]]],
 "\n                           ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", ":", " ", 
    RowBox[{
     RowBox[{"H", "\[CenterDot]", "N"}], " ", "\[RightArrow]", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"H", "\[CenterDot]", "N"}], ")"}], "/", "N"}]}]}], 
   TraditionalForm]]],
 "\n                           \nwhere ",
 Cell[BoxData[
  FormBox["i", TraditionalForm]]],
 " is the identity mapping ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"i", "(", "h", ")"}], " ", "=", " ", "h"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is the canonical homomorphism. This gives us the following diagram:"
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436616636140625*^9, 3.436616655796875*^9}}],

Cell[TextData[{
 "                          ",
 Cell[BoxData[
  FormBox["i", TraditionalForm]]],
 "\n                     ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["\[LongRightArrow]",
     FontSize->36], " "}], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "N"}], TraditionalForm]]],
 "\n                              ",
 StyleBox["\[DownArrow]",
  FontSize->36],
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 "\n                             ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"H", "\[CenterDot]", "N"}], ")"}], "/", "N"}], 
   TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 FontFamily->"Courier New",
 FontSize->12,
 FontWeight->"Plain",
 FontSlant->"Plain",
 FontTracking->"Plain",
 FontVariations->{"Outline"->False,
 "Shadow"->False,
 "Underline"->False},
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "We can now consider the combination of the two,\n\n                         \
 ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", 
     RowBox[{"i", "(", "x", ")"}], ")"}], ":", " ", 
    RowBox[{"H", " ", "\[RightArrow]", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"H", "\[CenterDot]", "N"}], ")"}], "/", "N"}]}]}], 
   TraditionalForm]]],
 ".\n                          \nWe want to find the kernel of this composite \
homomorphism for then we can use the first isomorphism theorem (4.1).  If we \
let ",
 Cell[BoxData[
  FormBox["e", TraditionalForm]]],
 " denote the identity element of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"H", "\[CenterDot]", "N"}], ")"}], "/", "N"}], 
   TraditionalForm]]],
 ", then\n\n            ",
 Cell[BoxData[
  FormBox[
   RowBox[{"            ", 
    RowBox[{
     RowBox[{
      RowBox[{"h", " ", "\[Epsilon]", " ", 
       RowBox[{
        RowBox[{"Ker", "(", 
         RowBox[{"\[Florin]", "\[CenterDot]", " ", "i"}], ")"}], "  ", 
        "\[DoubleLongLeftRightArrow]", "  ", 
        RowBox[{"\[Florin]", "(", 
         RowBox[{"i", "(", "h", ")"}], ")"}]}]}], " ", "=", "  ", "e"}], 
     "      ", "\n", "\t\t      ", 
     RowBox[{
      RowBox[{
       RowBox[{"\[DoubleLongLeftRightArrow]", " ", 
        RowBox[{"i", "(", "h", ")"}]}], " ", "\[Element]", " ", 
       RowBox[{"Ker", "(", "\[Florin]", ")"}]}], "=", " ", "N"}], 
     "                      ", "\[IndentingNewLine]", 
     "                                    ", 
     RowBox[{
      RowBox[{"\[DoubleLongLeftRightArrow]", " ", "h"}], " ", "\[Element]", 
      " ", 
      RowBox[{"N", "  ", "and", "  ", "h"}], " ", "\[Element]", "H"}], 
     "                  ", "\[IndentingNewLine]", 
     "                                    ", 
     RowBox[{
      RowBox[{"\[DoubleLongLeftRightArrow]", " ", "h"}], " ", "\[Element]", 
      RowBox[{"H", "\[Intersection]", 
       RowBox[{"N", "."}]}]}]}]}], TraditionalForm]]],
 "\n\nSo by the first isomorphism theorem (4.1), we have\n\n                  \
          ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"H", "\[CenterDot]", "N"}], ")"}], "/", "N"}], " ", 
    StyleBox["\[TildeTilde]",
     FontSize->16], " ", 
    RowBox[{"H", "/", 
     RowBox[{"(", 
      RowBox[{"H", "\[Intersection]", "N"}], ")"}]}]}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436616713734375*^9, 3.436616713859375*^9}, {
  3.436616746171875*^9, 3.4366168174375*^9}}]
}, Open  ]],

Cell[TextData[{
 "We can describe the third isomorphism theorem (4.3) pictorially by \
completing the diagram in the proof. We can let ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " denote the canonical homomorphism from ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " to the quotient group. Then the first isomorphism theorem (4.1) states \
that the following diagram commutes:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43661682415625*^9, 3.436616830609375*^9}}],

Cell[TextData[{
 "                          ",
 Cell[BoxData[
  FormBox["i", TraditionalForm]]],
 "\n                     ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["\[LongRightArrow]",
     FontSize->36], " "}], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "N"}], TraditionalForm]]],
 "\n                    ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 StyleBox["\[DownArrow]",
  FontSize->36],
 "      ",
 StyleBox["\[DownArrow]",
  FontSize->36],
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 "\n              ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", "/", 
     RowBox[{"(", 
      RowBox[{"H", "\[Intersection]", "N"}], ")"}]}], " "}], 
   TraditionalForm]]],
 " ",
 StyleBox["\[LeftRightArrow]",
  FontSize->36],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"H", "\[CenterDot]", "N"}], ")"}], "/", "N"}], 
   TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 FontFamily->"Courier New",
 FontSize->12,
 FontWeight->"Plain",
 FontSlant->"Plain",
 FontTracking->"Plain",
 FontVariations->{"Outline"->False,
 "Shadow"->False,
 "Underline"->False},
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "With this diagram, it is easy to find the number of elements in the product \
of two finite groups ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "N"}], TraditionalForm]]],
 ". Since \n           \n            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", 
     RowBox[{"H", "/", 
      RowBox[{"(", 
       RowBox[{"H", "\[Intersection]", "N"}], ")"}]}], "|"}], " ", "=", " ", 
    RowBox[{"|", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"H", "\[CenterDot]", "N"}], ")"}], "/", "N"}], "|"}]}], 
   TraditionalForm]]],
 "\n               \nwe have   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", "H", "|", 
     RowBox[{"/", 
      RowBox[{"|", 
       RowBox[{"H", "\[Intersection]", "N"}], "|"}]}]}], " ", "=", " ", 
    RowBox[{"|", 
     RowBox[{"H", "\[CenterDot]", "N"}], "|", 
     RowBox[{"/", 
      RowBox[{"|", "N", "|"}]}]}]}], TraditionalForm]]],
 ".\n\nThus, \n                   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", 
     RowBox[{"H", "\[CenterDot]", "N"}], "|"}], " ", "=", " ", 
    StyleBox[
     FractionBox[
      RowBox[{"|", "H", "|", " ", "|", "N", "|"}], 
      RowBox[{"|", 
       RowBox[{"H", "\[Intersection]", "N"}], "|"}]],
     FontSize->18]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436616859828125*^9, 3.436616859828125*^9}}],

Cell[TextData[{
 "In the example above ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 " had 4 elements with 2 elements in common. Thus, the size of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "M"}], TraditionalForm]]],
 " was ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"4", "\[CenterDot]", 
     RowBox[{"4", "/", "2"}]}], " ", "=", " ", "8"}], TraditionalForm]]],
 " elements. The only problem with this argument is that we had to assume \
that one of the two groups was a normal subgroup of a larger group. Let us \
conclude this chapter by showing that the number of elements in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "K"}], TraditionalForm]]],
 " is given by the above formula even if we do not make that assumption. \n\n\
PROPOSITION 4.9\nLet ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be two subgroups of a finite group ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ". Then the number of elements in the product ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "K"}], TraditionalForm]]],
 " is given by\n \n            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", 
     RowBox[{"H", "\[CenterDot]", "K"}], "|"}], " ", "=", " ", 
    StyleBox[
     FractionBox[
      RowBox[{"|", "H", "|", " ", "|", "K", "|"}], 
      RowBox[{"|", 
       RowBox[{"H", "\[Intersection]", "K"}], "|"}]],
     FontSize->18]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436616880109375*^9, 3.436616895328125*^9}, 
   3.43661694171875*^9}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Even though ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "K"}], TraditionalForm]]],
 " is not a group, it still makes sense to consider the set of left cosets ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"H", "\[CenterDot]", "K"}], ")"}], "/", "K"}], 
   TraditionalForm]]],
 ".  A typical left coset belonging to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"H", "\[CenterDot]", "K"}], ")"}], "/", "K"}], 
   TraditionalForm]]],
 " would be ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "\[CenterDot]", "k", "\[CenterDot]", "K"}], 
   TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox["h", TraditionalForm]]],
 " is an element of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " is an element of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "."}], TraditionalForm]]],
 "  By lemma 3.1, all cosets contain ",
 Cell[BoxData[
  FormBox[
   RowBox[{"|", "K", "|"}], TraditionalForm]]],
 " elements, and by lemma 3.2 two cosets would intersect if, and only if, \
they are equal.  Thus the elements of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "K"}], TraditionalForm]]],
 " are distributed into non-overlapping cosets, each having ",
 Cell[BoxData[
  FormBox[
   RowBox[{"|", "K", "|"}], TraditionalForm]]],
 " elements.  Thus, the number of cosets in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"H", "\[CenterDot]", "K"}], ")"}], "/", "K"}], 
   TraditionalForm]]],
 " is \n \n                                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"H", "\[CenterDot]", "K"}], ")"}], "/", "K"}], "|"}], " ", "=",
     
    StyleBox[" ",
     FontSize->9], 
    StyleBox[
     FractionBox[
      RowBox[{"|", 
       RowBox[{"H", "\[CenterDot]", "K"}], "|"}], 
      RowBox[{"|", "K", "|"}]],
     FontSize->16]}], TraditionalForm]]],
 ".\nLikewise, we have\n \n                                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", 
     RowBox[{"H", "/", 
      RowBox[{"(", 
       RowBox[{"H", "\[Intersection]", "K"}], ")"}]}], "|"}], " ", "=", " ", 
    StyleBox[
     FractionBox[
      RowBox[{"|", "H", "|"}], 
      RowBox[{"|", 
       RowBox[{"H", "\[Intersection]", "K"}], "|"}]],
     FontSize->16]}], TraditionalForm]]],
 ".\n                                  \nThus, if we can show that   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", 
     RowBox[{"H", "/", 
      RowBox[{"(", 
       RowBox[{"H", "\[Intersection]", "K"}], ")"}]}], "|"}], " ", "=", " ", 
    RowBox[{"|", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"H", "\[CenterDot]", "K"}], ")"}], "/", "K"}], "|"}]}], 
   TraditionalForm]]],
 ", we will have proven the proposition.  Let us define a mapping (not a \
homomorphism)  which will relate the elements of these two sets.  Let\n \n    \
                         ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", ":", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"H", "\[CenterDot]", "K"}], ")"}], "/", "K"}], " ", 
     "\[RightArrow]", " ", 
     RowBox[{"H", "/", 
      RowBox[{"(", 
       RowBox[{"H", "\[Intersection]", "K"}], ")"}]}]}]}], 
   TraditionalForm]]],
 "\nbe defined by \n                                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", 
     RowBox[{"h", "\[CenterDot]", "K"}], ")"}], " ", "=", " ", 
    RowBox[{"h", "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"H", "\[Intersection]", "K"}], ")"}]}]}], TraditionalForm]]],
 ".\n                                  \nTo see that this is well defined, \
note that if ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"h", "\[CenterDot]", "K"}], " ", "=", 
    RowBox[{"x", "\[CenterDot]", "K"}]}], TraditionalForm]]],
 " for two elements ",
 Cell[BoxData[
  FormBox["h", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["h", 
      RowBox[{"-", "1"}]], "\[CenterDot]", "x", "\[CenterDot]", "K"}], " ", 
    "=", " ", "K"}], TraditionalForm]]],
 ", so ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["h", 
     RowBox[{"-", "1"}]], "\[CenterDot]", "x"}], TraditionalForm]]],
 " must be in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ".  Since ",
 Cell[BoxData[
  FormBox["h", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " are also in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ",",
 Cell[BoxData[
  FormBox[
   RowBox[{"   ", 
    RowBox[{
     SuperscriptBox["h", 
      RowBox[{"-", "1"}]], "\[CenterDot]", "x"}]}], TraditionalForm]]],
 " is in the intersection, and so\n \n                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"H", "\[Intersection]", "K"}], ")"}]}], " ", "=", " ", 
    RowBox[{
     RowBox[{"h", "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["h", 
         RowBox[{"-", "1"}]], "\[CenterDot]", "x"}], ")"}], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"H", "\[Intersection]", "K"}], ")"}]}], " ", "=", "  ", 
     RowBox[{"h", "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"H", "\[Intersection]", "K"}], ")"}]}]}]}], 
   TraditionalForm]]],
 ".\n                 \nOn the other hand, if  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"h", "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"X", "\[Intersection]", "K"}], ")"}]}], " ", "=", " ", 
    RowBox[{"x", "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"X", "\[Intersection]", "K"}], ")"}]}]}], TraditionalForm]]],
 ",  then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["h", 
     RowBox[{"-", "1"}]], "\[CenterDot]", "x"}], TraditionalForm]]],
 " would have to be in the intersection of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ".  So then, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"h", "\[CenterDot]", "K"}], " ", "=", " ", 
    RowBox[{"x", "\[CenterDot]", "K"}]}], TraditionalForm]]],
 ".  Hence the mapping is one-to-one.  It is clear that the mapping is also \
surjective.  Hence, ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " is a bijection, and the proposition is proved."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436616966265625*^9, 3.4366169755*^9}, {
  3.436617042265625*^9, 3.436617042265625*^9}, {3.43661707425*^9, 
  3.43661709928125*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Problems"
}], "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436617280546875*^9, 3.436617283078125*^9}}],

Cell["    ", "Input",
 PageWidth->Infinity,
 Evaluatable->False,
 FontFamily->"System",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->RGBColor[1, 0, 0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "4.1 ) Prove that there are exactly two non-\n    isomorphic groups of order \
10. Find these \n    two groups, and have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " produce \n    the multiplication tables.\n    (Hint: Follow the logic for \
",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "=", "6"}], TraditionalForm]]],
 ".)"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.436617287890625*^9}],

Cell["       ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "For problems 4.2 through 4.4:  Each of the following groups is of order 8.  \
Which of the known 5 groups, \n                  (",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "8"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "24", "*"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "15", "*"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "4"], TraditionalForm]]],
 ", or Q),\nis each of these isomorphic to?  First have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " display a table of the new group, and then rearrange the elements of one \
of the 5 known groups so that the color patten in the two tables are \
identical."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436617332765625*^9, 3.4366174769375*^9}}],

Cell[TextData[{
 "4.2 )  ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "16", "*"], TraditionalForm]]],
 " "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436617332765625*^9, 3.4366174815625*^9}, {
  3.436617535046875*^9, 3.436617545765625*^9}}],

Cell["         ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "4.3 )  ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "20", "*"], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.43661748796875*^9, {3.436617537078125*^9, 3.436617541421875*^9}}],

Cell["       ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "4.4 )  ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "30", "*"], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.436617496640625*^9, {3.43661754840625*^9, 3.436617550921875*^9}}],

Cell["        ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "\n4.5 ) Define Terry's group in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " with \n   the command"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436617509484375*^9, 3.4366175116875*^9}, {
  3.43661756021875*^9, 3.436617560875*^9}}],

Cell["InitTerry", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "   and then define the group ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 " using \"Stay\" \n   as the identity element."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436617525453125*^9, 3.4366175295*^9}, {
  3.43661756303125*^9, 3.43661756453125*^9}}],

Cell["\<\
Define[a^2, Stay]
Define[b^3, Stay]
Define[1/a, a]
Define[1/b, b^2]
Define[b.a, a.b.b]
S3 = Group[{a, b}]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "   Now define an isomorphism ",
 StyleBox["F",
  FontWeight->"Bold"],
 " from ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 " to \n   Terry's group. Use ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "'s CheckHomo \n   command to verify that your function is a \n   \
homomorphism. Finally, find the kernal of\n   ",
 StyleBox["F",
  FontWeight->"Bold"],
 " to prove that ",
 StyleBox["F",
  FontWeight->"Bold"],
 " is an isomorphism."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["   ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "\n4.6 ) Use ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to find all of the \n    homomorphisms from ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 " to itself. Label \n    these homomorphisms F1, F2, F3, etc. How \n    many \
of these are isomorphisms? \n    The following loads the group ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 " into    \n    ",
 StyleBox["Mathematica.",
  FontSlant->"Italic"]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43661759271875*^9, 3.43661759678125*^9}, {
  3.436617632546875*^9, 3.43661767175*^9}}],

Cell["\<\
InitGroup[e];
Define[a^2, Stay]
Define[b^3, Stay]
Define[1/a, a]
Define[1/b, b^2]
Define[b.a, a.b.b]
S3 = Group[{a, b}]\
\>", "Input",
 PageWidth->Infinity,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell["    ", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4366176835*^9, 3.436617684484375*^9}},
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]]
}, Open  ]]
},
AutoGeneratedPackage->None,
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{697, 668},
WindowMargins->{{86, Automatic}, {Automatic, 0}},
DockedCells->(FrontEndExecute[{
   FrontEnd`NotebookApply[
    FrontEnd`InputNotebook[], #, Placeholder]}]& ),
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
Magnification->1.5,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 322, 9, 285, "Special2",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[915, 34, 288, 8, 29, "Name",
 Evaluatable->False],
Cell[1206, 44, 619, 15, 70, "Name",
 Evaluatable->False]
}, Closed]],
Cell[1840, 62, 268, 12, 142, "Title",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[2133, 78, 104, 3, 32, "Special2",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[2262, 85, 174, 4, 43, "Input",
 InitializationCell->True],
Cell[2439, 91, 125, 1, 32, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2613, 98, 133, 2, 143, "Section",
 Evaluatable->False],
Cell[2749, 102, 3718, 95, 595, "Text",
 Evaluatable->False],
Cell[6470, 199, 3068, 85, 350, "Text",
 Evaluatable->False],
Cell[9541, 286, 1381, 44, 311, "Text",
 Evaluatable->False],
Cell[10925, 332, 3414, 101, 355, "Text",
 Evaluatable->False],
Cell[14342, 435, 3866, 139, 678, "Text",
 Evaluatable->False],
Cell[18211, 576, 1630, 47, 518, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[19866, 627, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[19954, 631, 739, 21, 136, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[20708, 655, 740, 21, 237, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[21473, 680, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[21561, 684, 4589, 157, 561, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[26165, 844, 944, 27, 241, "Text",
 Evaluatable->False],
Cell[27112, 873, 493, 16, 118, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[27630, 893, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[27718, 897, 4987, 167, 582, "SmallText",
 Evaluatable->False],
Cell[32708, 1066, 422, 13, 140, "SmallText",
 Evaluatable->False],
Cell[33133, 1081, 685, 20, 161, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[33833, 1104, 385, 12, 69, "Text",
 Evaluatable->False],
Cell[34221, 1118, 3491, 106, 871, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[37737, 1228, 126, 6, 88, "Input"],
Cell[37866, 1236, 733, 14, 42, "Output"]
}, Open  ]],
Cell[38614, 1253, 231, 6, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[38870, 1263, 120, 3, 43, "Input"],
Cell[38993, 1268, 10780, 235, 384, 5849, 153, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[49788, 1506, 970, 35, 194, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[50783, 1545, 143, 6, 66, "Input"],
Cell[50929, 1553, 11453, 253, 384, 6144, 165, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[62397, 1809, 1508, 47, 264, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[63930, 1860, 150, 6, 66, "Input"],
Cell[64083, 1868, 7375, 204, 384, "Output"]
}, Open  ]],
Cell[71473, 2075, 211, 7, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[71709, 2086, 77, 2, 43, "Input"],
Cell[71789, 2090, 110, 1, 32, "Print"]
}, Open  ]],
Cell[71914, 2094, 716, 25, 164, "Text",
 Evaluatable->False],
Cell[72633, 2121, 3094, 94, 489, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[75752, 2219, 280, 14, 223, "Input",
 PageBreakAbove->True],
Cell[76035, 2235, 908, 17, 68, "Output"],
Cell[76946, 2254, 12248, 339, 384, "Output"]
}, Open  ]],
Cell[89209, 2596, 205, 7, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[89439, 2607, 100, 3, 43, "Input",
 PageBreakAbove->True],
Cell[89542, 2612, 110, 1, 32, "Print"]
}, Open  ]],
Cell[89667, 2616, 622, 18, 167, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[90314, 2638, 139, 5, 66, "Input"],
Cell[90456, 2645, 20420, 485, 384, 11578, 338, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[110891, 3133, 1941, 58, 421, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[112857, 3195, 172, 7, 111, "Input"],
Cell[113032, 3204, 19427, 403, 367, 9727, 242, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[132474, 3610, 2524, 95, 298, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[135023, 3709, 218, 10, 178, "Input"],
Cell[135244, 3721, 12742, 339, 367, "Output"],
Cell[147989, 4062, 110, 1, 32, "Print"]
}, Open  ]],
Cell[148114, 4066, 337, 12, 93, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[148476, 4082, 137, 5, 66, "Input"],
Cell[148616, 4089, 19582, 471, 384, 11558, 338, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[168213, 4563, 664, 21, 144, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[168902, 4588, 220, 10, 178, "Input"],
Cell[169125, 4600, 12742, 339, 367, "Output"],
Cell[181870, 4941, 133, 2, 58, "Print"]
}, Open  ]],
Cell[182018, 4946, 650, 20, 166, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[182693, 4970, 222, 10, 178, "Input"],
Cell[182918, 4982, 12742, 339, 367, "Output"],
Cell[195663, 5323, 110, 1, 32, "Print"]
}, Open  ]],
Cell[195788, 5327, 1190, 33, 337, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[197003, 5364, 220, 10, 178, "Input"],
Cell[197226, 5376, 12742, 339, 559, "Output"],
Cell[209971, 5717, 110, 1, 32, "Print"]
}, Open  ]],
Cell[210096, 5721, 369, 10, 118, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[210490, 5735, 137, 5, 66, "Input"],
Cell[210630, 5742, 11602, 339, 559, "Output"]
}, Open  ]],
Cell[222247, 6084, 593, 19, 168, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[222865, 6107, 178, 9, 178, "Input"],
Cell[223046, 6118, 12742, 339, 559, "Output"],
Cell[235791, 6459, 133, 2, 58, "Print"]
}, Open  ]],
Cell[235939, 6464, 538, 18, 94, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[236502, 6486, 224, 10, 178, "Input"],
Cell[236729, 6498, 12742, 339, 559, "Output"],
Cell[249474, 6839, 110, 1, 32, "Print"]
}, Open  ]],
Cell[249599, 6843, 1410, 41, 411, "Text",
 Evaluatable->False],
Cell[251012, 6886, 1008, 24, 335, "Text",
 Evaluatable->False],
Cell[252023, 6912, 776, 26, 191, "Text",
 Evaluatable->False],
Cell[252802, 6940, 386, 9, 164, "Text",
 Evaluatable->False],
Cell[253191, 6951, 44, 1, 43, "Input"],
Cell[253238, 6954, 424, 14, 90, "Text",
 Evaluatable->False],
Cell[253665, 6970, 2248, 51, 641, "Text",
 Evaluatable->False,
 PageBreakAbove->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[255950, 7026, 98, 2, 105, "Section",
 Evaluatable->False],
Cell[256051, 7030, 2438, 76, 580, "Text",
 Evaluatable->False],
Cell[258492, 7108, 822, 27, 115, "Text",
 Evaluatable->False],
Cell[259317, 7137, 1171, 37, 286, "Text",
 Evaluatable->False],
Cell[260491, 7176, 4000, 124, 680, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[264516, 7304, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[264604, 7308, 1078, 39, 121, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[265697, 7350, 652, 22, 72, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[266374, 7376, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[266462, 7380, 1617, 53, 211, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[268094, 7436, 569, 14, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[268688, 7454, 434, 14, 133, "Input"],
Cell[269125, 7470, 6984, 136, 193, "Output"]
}, Open  ]],
Cell[276124, 7609, 461, 14, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[276610, 7627, 355, 13, 111, "Input"],
Cell[276968, 7642, 1353, 26, 68, "Output"]
}, Open  ]],
Cell[278336, 7671, 679, 24, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[279040, 7699, 180, 7, 43, "Input"],
Cell[279223, 7708, 221, 4, 42, "Output"]
}, Open  ]],
Cell[279459, 7715, 335, 11, 139, "Text",
 Evaluatable->False],
Cell[279797, 7728, 189, 7, 43, "Input"],
Cell[279989, 7737, 662, 24, 188, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[280676, 7765, 187, 7, 43, "Input"],
Cell[280866, 7774, 574, 13, 42, "Output"]
}, Open  ]],
Cell[281455, 7790, 2264, 62, 420, "Text",
 Evaluatable->False],
Cell[283722, 7854, 194, 7, 43, "Input"],
Cell[283919, 7863, 198, 7, 43, "Input"],
Cell[284120, 7872, 144, 4, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[284289, 7880, 187, 7, 43, "Input"],
Cell[284479, 7889, 991, 18, 42, "Output"]
}, Open  ]],
Cell[285485, 7910, 366, 13, 141, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[285876, 7927, 181, 7, 43, "Input"],
Cell[286060, 7936, 72, 1, 42, "Output"]
}, Open  ]],
Cell[286147, 7940, 456, 17, 90, "Text",
 Evaluatable->False],
Cell[286606, 7959, 180, 7, 43, "Input"],
Cell[286789, 7968, 590, 18, 213, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[287404, 7990, 191, 7, 43, "Input"],
Cell[287598, 7999, 75, 1, 42, "Output"]
}, Open  ]],
Cell[287688, 8003, 336, 10, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[288049, 8017, 191, 7, 43, "Input"],
Cell[288243, 8026, 5858, 145, 389, "Output"]
}, Open  ]],
Cell[294116, 8174, 1330, 39, 409, "Text",
 Evaluatable->False],
Cell[295449, 8215, 178, 7, 43, "Input"],
Cell[295630, 8224, 483, 17, 96, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[296138, 8245, 51, 1, 43, "Input"],
Cell[296192, 8248, 272, 6, 42, "Output"]
}, Open  ]],
Cell[296479, 8257, 195, 8, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[296699, 8269, 213, 7, 43, "Input"],
Cell[296915, 8278, 1556, 35, 68, "Output"]
}, Open  ]],
Cell[298486, 8316, 1717, 54, 309, "Text",
 Evaluatable->False],
Cell[300206, 8372, 269, 11, 111, "Input"],
Cell[300478, 8385, 111, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[300614, 8391, 166, 6, 43, "Input"],
Cell[300783, 8399, 75, 1, 42, "Output"]
}, Open  ]],
Cell[300873, 8403, 240, 10, 90, "Text",
 Evaluatable->False],
Cell[301116, 8415, 155, 6, 43, "Input"],
Cell[301274, 8423, 1498, 47, 264, "Text",
 Evaluatable->False],
Cell[302775, 8472, 484, 17, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[303284, 8493, 202, 7, 43, "Input"],
Cell[303489, 8502, 894, 18, 42, "Output"]
}, Open  ]],
Cell[304398, 8523, 253, 10, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[304676, 8537, 181, 7, 43, "Input"],
Cell[304860, 8546, 935, 19, 42, "Output"]
}, Open  ]],
Cell[305810, 8568, 592, 19, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[306427, 8591, 183, 7, 43, "Input"],
Cell[306613, 8600, 1181, 23, 42, "Output"]
}, Open  ]],
Cell[307809, 8626, 181, 7, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[308015, 8637, 195, 7, 43, "Input"],
Cell[308213, 8646, 272, 6, 42, "Output"]
}, Open  ]],
Cell[308500, 8655, 808, 28, 164, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[309333, 8687, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[309421, 8691, 2379, 85, 235, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[311815, 8779, 285, 9, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[312125, 8792, 183, 7, 43, "Input"],
Cell[312311, 8801, 1563, 30, 42, "Output"]
}, Open  ]],
Cell[313889, 8834, 293, 9, 41, "Text",
 Evaluatable->False],
Cell[314185, 8845, 770, 26, 139, "Text",
 Evaluatable->False],
Cell[314958, 8873, 1944, 59, 415, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[316927, 8936, 197, 7, 43, "Input"],
Cell[317127, 8945, 357, 8, 42, "Output"]
}, Open  ]],
Cell[317499, 8956, 291, 11, 47, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[317815, 8971, 207, 7, 43, "Input"],
Cell[318025, 8980, 357, 8, 42, "Output"]
}, Open  ]],
Cell[318397, 8991, 303, 8, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[318725, 9003, 195, 7, 43, "Input"],
Cell[318923, 9012, 272, 6, 42, "Output"]
}, Open  ]],
Cell[319210, 9021, 1047, 37, 141, "Text",
 Evaluatable->False],
Cell[320260, 9060, 481, 12, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[320766, 9076, 50, 1, 43, "Input"],
Cell[320819, 9079, 296, 6, 42, "Output"]
}, Open  ]],
Cell[321130, 9088, 628, 23, 164, "Text",
 Evaluatable->False],
Cell[321761, 9113, 155, 6, 43, "Input"],
Cell[321919, 9121, 580, 21, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[322524, 9146, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[322612, 9150, 3499, 118, 292, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[326126, 9271, 319, 9, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[326470, 9284, 59, 1, 43, "Input"],
Cell[326532, 9287, 357, 8, 42, "Output"]
}, Open  ]],
Cell[326904, 9298, 111, 2, 41, "Text",
 Evaluatable->False],
Cell[327018, 9302, 158, 6, 43, "Input"],
Cell[327179, 9310, 996, 36, 141, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[328200, 9350, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[328288, 9354, 4349, 143, 425, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[332652, 9500, 581, 19, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[333258, 9523, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[333346, 9527, 792, 25, 101, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[334153, 9555, 436, 10, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[334614, 9569, 50, 1, 43, "Input"],
Cell[334667, 9572, 299, 7, 42, "Output"]
}, Open  ]],
Cell[334981, 9582, 376, 10, 90, "Text",
 Evaluatable->False],
Cell[335360, 9594, 1794, 63, 266, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[337179, 9661, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[337267, 9665, 3760, 142, 199, "SmallText",
 Evaluatable->False]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[341076, 9813, 103, 2, 105, "Section",
 Evaluatable->False],
Cell[341182, 9817, 1907, 59, 337, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[343114, 9880, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[343202, 9884, 7887, 262, 777, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[351104, 10149, 692, 25, 90, "Text",
 Evaluatable->False],
Cell[351799, 10176, 884, 34, 164, "Text",
 Evaluatable->False],
Cell[352686, 10212, 778, 25, 139, "Text",
 Evaluatable->False],
Cell[353467, 10239, 658, 22, 117, "Text",
 Evaluatable->False],
Cell[354128, 10263, 1739, 59, 386, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[355892, 10326, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[355980, 10330, 2248, 79, 229, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[358243, 10412, 931, 28, 237, "Text",
 Evaluatable->False],
Cell[359177, 10442, 1116, 42, 164, "Text",
 Evaluatable->False],
Cell[360296, 10486, 1922, 52, 384, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[362243, 10542, 315, 9, 133, "Input"],
Cell[362561, 10553, 7004, 137, 193, "Output"]
}, Open  ]],
Cell[369580, 10693, 168, 5, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[369773, 10702, 88, 2, 43, "Input"],
Cell[369864, 10706, 1610, 31, 42, "Output"]
}, Open  ]],
Cell[371489, 10740, 241, 6, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[371755, 10750, 82, 2, 43, "Input"],
Cell[371840, 10754, 3763, 73, 93, "Output"]
}, Open  ]],
Cell[375618, 10830, 178, 5, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[375821, 10839, 73, 2, 43, "Input"],
Cell[375897, 10843, 94, 1, 42, "Output"]
}, Open  ]],
Cell[376006, 10847, 572, 17, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[376603, 10868, 121, 3, 43, "Input"],
Cell[376727, 10873, 7278, 146, 193, "Output"]
}, Open  ]],
Cell[384020, 11022, 206, 8, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[384251, 11034, 123, 3, 43, "Input"],
Cell[384377, 11039, 7440, 154, 168, "Output"]
}, Open  ]],
Cell[391832, 11196, 524, 18, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[392381, 11218, 143, 3, 43, "Input"],
Cell[392527, 11223, 4009, 83, 93, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[396573, 11311, 142, 3, 43, "Input"],
Cell[396718, 11316, 3979, 82, 93, "Output"]
}, Open  ]],
Cell[400712, 11401, 876, 33, 164, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[401613, 11438, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[401701, 11442, 1162, 45, 142, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[402878, 11490, 147, 4, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[403050, 11498, 123, 3, 43, "Input"],
Cell[403176, 11503, 3980, 82, 93, "Output"]
}, Open  ]],
Cell[407171, 11588, 945, 33, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[408141, 11625, 149, 3, 43, "Input"],
Cell[408293, 11630, 7785, 166, 193, "Output"]
}, Open  ]],
Cell[416093, 11799, 502, 15, 66, "Text",
 Evaluatable->False],
Cell[416598, 11816, 707, 29, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[417330, 11849, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[417418, 11853, 3396, 127, 430, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[420829, 11983, 230, 10, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[421084, 11997, 66, 2, 43, "Input"],
Cell[421153, 12001, 7262, 146, 193, "Output"]
}, Open  ]],
Cell[428430, 12150, 310, 9, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[428765, 12163, 73, 2, 43, "Input"],
Cell[428841, 12167, 3556, 75, 93, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[432434, 12247, 74, 2, 43, "Input"],
Cell[432511, 12251, 3337, 67, 118, "Output"]
}, Open  ]],
Cell[435863, 12321, 1621, 52, 311, "Text",
 Evaluatable->False],
Cell[437487, 12375, 450, 15, 66, "Text",
 Evaluatable->False],
Cell[437940, 12392, 76, 2, 43, "Input"],
Cell[438019, 12396, 370, 16, 66, "Text",
 Evaluatable->False],
Cell[438392, 12414, 81, 2, 43, "Input"],
Cell[438476, 12418, 81, 2, 43, "Input"],
Cell[438560, 12422, 81, 2, 43, "Input"],
Cell[438644, 12426, 362, 11, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[439031, 12441, 191, 7, 43, "Input"],
Cell[439225, 12450, 75, 1, 42, "Output"]
}, Open  ]],
Cell[439315, 12454, 245, 9, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[439585, 12467, 70, 2, 43, "Input"],
Cell[439658, 12471, 1171, 23, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[440866, 12499, 72, 2, 43, "Input"],
Cell[440941, 12503, 1180, 25, 42, "Output"]
}, Open  ]],
Cell[442136, 12531, 790, 32, 115, "Text",
 Evaluatable->False],
Cell[442929, 12565, 78, 2, 43, "Input"],
Cell[443010, 12569, 617, 24, 90, "Text",
 Evaluatable->False],
Cell[443630, 12595, 86, 2, 43, "Input"],
Cell[443719, 12599, 86, 2, 43, "Input"],
Cell[443808, 12603, 86, 2, 43, "Input"],
Cell[443897, 12607, 90, 2, 43, "Input"],
Cell[443990, 12611, 90, 2, 43, "Input"],
Cell[444083, 12615, 356, 12, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[444464, 12631, 192, 7, 43, "Input"],
Cell[444659, 12640, 75, 1, 42, "Output"]
}, Open  ]],
Cell[444749, 12644, 112, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[444886, 12650, 71, 2, 43, "Input"],
Cell[444960, 12654, 1171, 23, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[446168, 12682, 72, 2, 43, "Input"],
Cell[446243, 12686, 3959, 82, 93, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[450239, 12773, 69, 2, 43, "Input"],
Cell[450311, 12777, 1171, 23, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[451519, 12805, 72, 2, 43, "Input"],
Cell[451594, 12809, 3556, 75, 93, "Output"]
}, Open  ]],
Cell[455165, 12887, 562, 21, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[455752, 12912, 73, 2, 43, "Input"],
Cell[455828, 12916, 3959, 82, 93, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[459824, 13003, 73, 2, 43, "Input"],
Cell[459900, 13007, 3959, 82, 93, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[463896, 13094, 75, 2, 43, "Input"],
Cell[463974, 13098, 3556, 75, 93, "Output"]
}, Open  ]],
Cell[467545, 13176, 1182, 45, 194, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[468752, 13225, 72, 2, 43, "Input"],
Cell[468827, 13229, 3556, 75, 93, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[472420, 13309, 92, 2, 43, "Input"],
Cell[472515, 13313, 3556, 75, 93, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[476108, 13393, 109, 2, 43, "Input"],
Cell[476220, 13397, 3337, 67, 118, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[479594, 13469, 72, 2, 43, "Input"],
Cell[479669, 13473, 3959, 82, 93, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[483665, 13560, 109, 2, 43, "Input"],
Cell[483777, 13564, 3720, 72, 93, "Output"]
}, Open  ]],
Cell[487512, 13639, 1402, 54, 243, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[488939, 13697, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[489027, 13701, 1088, 39, 96, "SmallText",
 Evaluatable->False],
Cell[490118, 13742, 761, 29, 161, "SmallText",
 Evaluatable->False],
Cell[490882, 13773, 4357, 140, 398, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[495254, 13916, 175, 5, 66, "Text",
 Evaluatable->False],
Cell[495432, 13923, 1266, 54, 203, "Text",
 Evaluatable->False],
Cell[496701, 13979, 584, 18, 66, "Text",
 Evaluatable->False],
Cell[497288, 13999, 327, 8, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[497640, 14011, 79, 2, 43, "Input"],
Cell[497722, 14015, 576, 12, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[498335, 14032, 146, 3, 43, "Input"],
Cell[498484, 14037, 1609, 31, 42, "Output"]
}, Open  ]],
Cell[500108, 14071, 105, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[500238, 14077, 132, 3, 43, "Input"],
Cell[500373, 14082, 4841, 93, 143, "Output"]
}, Open  ]],
Cell[505229, 14178, 1038, 20, 360, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[506292, 14202, 129, 3, 43, "Input"],
Cell[506424, 14207, 1609, 31, 42, "Output"]
}, Open  ]],
Cell[508048, 14241, 108, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[508181, 14247, 107, 3, 43, "Input"],
Cell[508291, 14252, 2690, 53, 68, "Output"]
}, Open  ]],
Cell[510996, 14308, 339, 11, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[511360, 14323, 120, 3, 43, "Input"],
Cell[511483, 14328, 131, 1, 32, "Print"]
}, Open  ]],
Cell[511629, 14332, 521, 15, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[512175, 14351, 108, 3, 43, "Input"],
Cell[512286, 14356, 2667, 52, 68, "Output"]
}, Open  ]],
Cell[514968, 14411, 1015, 35, 164, "Text",
 Evaluatable->False],
Cell[515986, 14448, 66, 2, 43, "Input"],
Cell[516055, 14452, 1097, 35, 237, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[517177, 14491, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[517265, 14495, 6806, 234, 584, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[524086, 14732, 878, 34, 164, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[524989, 14770, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[525077, 14774, 1768, 62, 194, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[526860, 14839, 633, 19, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[527518, 14862, 193, 4, 43, "Input"],
Cell[527714, 14868, 291, 6, 42, "Output"]
}, Open  ]],
Cell[528020, 14877, 1102, 40, 237, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[529147, 14921, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[529235, 14925, 1781, 64, 147, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[531031, 14992, 186, 5, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[531242, 15001, 151, 3, 43, "Input"],
Cell[531396, 15006, 294, 6, 42, "Output"]
}, Open  ]],
Cell[531705, 15015, 126, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[531856, 15021, 143, 3, 43, "Input"],
Cell[532002, 15026, 672, 16, 42, "Output"]
}, Open  ]],
Cell[532689, 15045, 645, 22, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[533359, 15071, 144, 3, 43, "Input"],
Cell[533506, 15076, 2845, 59, 68, "Output"]
}, Open  ]],
Cell[536366, 15138, 1849, 58, 360, "Text",
 Evaluatable->False],
Cell[538218, 15198, 395, 14, 90, "Text",
 Evaluatable->False],
Cell[538616, 15214, 76, 2, 43, "Input"],
Cell[538695, 15218, 335, 14, 41, "Text",
 Evaluatable->False],
Cell[539033, 15234, 79, 2, 43, "Input"],
Cell[539115, 15238, 181, 6, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[539321, 15248, 192, 7, 43, "Input"],
Cell[539516, 15257, 97, 1, 42, "Output"]
}, Open  ]],
Cell[539628, 15261, 619, 23, 92, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[540272, 15288, 103, 2, 43, "Input"],
Cell[540378, 15292, 1099, 21, 42, "Output"]
}, Open  ]],
Cell[541492, 15316, 224, 10, 43, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[541741, 15330, 84, 2, 43, "Input"],
Cell[541828, 15334, 389, 8, 42, "Output"]
}, Open  ]],
Cell[542232, 15345, 930, 31, 115, "Text",
 Evaluatable->False],
Cell[543165, 15378, 76, 2, 43, "Input"],
Cell[543244, 15382, 466, 17, 66, "Text",
 Evaluatable->False],
Cell[543713, 15401, 146, 3, 43, "Input"],
Cell[543862, 15406, 125, 3, 43, "Input"],
Cell[543990, 15411, 209, 7, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[544224, 15422, 236, 8, 43, "Input"],
Cell[544463, 15432, 120, 2, 42, "Output"]
}, Open  ]],
Cell[544598, 15437, 365, 12, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[544988, 15453, 109, 3, 43, "Input"],
Cell[545100, 15458, 1222, 26, 42, "Output"]
}, Open  ]],
Cell[546337, 15487, 327, 13, 47, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[546689, 15504, 152, 3, 43, "Input"],
Cell[546844, 15509, 1225, 26, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[548106, 15540, 171, 3, 43, "Input"],
Cell[548280, 15545, 401, 9, 42, "Output"]
}, Open  ]],
Cell[548696, 15557, 633, 20, 115, "Text",
 Evaluatable->False],
Cell[549332, 15579, 827, 30, 164, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[550184, 15613, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[550272, 15617, 1700, 52, 260, "SmallText",
 Evaluatable->False],
Cell[551975, 15671, 1002, 40, 164, "Text",
 Evaluatable->False],
Cell[552980, 15713, 2607, 74, 341, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[555602, 15790, 532, 13, 115, "Text",
 Evaluatable->False],
Cell[556137, 15805, 1311, 56, 203, "Text",
 Evaluatable->False],
Cell[557451, 15863, 1416, 47, 260, "Text",
 Evaluatable->False],
Cell[558870, 15912, 1718, 54, 334, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[560613, 15970, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[560701, 15974, 6741, 231, 696, "SmallText",
 Evaluatable->False]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[567491, 16211, 212, 7, 105, "Section",
 Evaluatable->False],
Cell[567706, 16220, 181, 7, 43, "Input",
 Evaluatable->False],
Cell[567890, 16229, 459, 14, 139, "Text",
 Evaluatable->False],
Cell[568352, 16245, 184, 7, 43, "Input"],
Cell[568539, 16254, 882, 27, 167, "Text",
 Evaluatable->False],
Cell[569424, 16283, 295, 10, 44, "Text",
 Evaluatable->False],
Cell[569722, 16295, 186, 7, 43, "Input"],
Cell[569911, 16304, 272, 10, 44, "Text",
 Evaluatable->False],
Cell[570186, 16316, 184, 7, 43, "Input"],
Cell[570373, 16325, 272, 10, 44, "Text",
 Evaluatable->False],
Cell[570648, 16337, 185, 7, 43, "Input"],
Cell[570836, 16346, 302, 9, 90, "Text",
 Evaluatable->False],
Cell[571141, 16357, 48, 1, 43, "Input"],
Cell[571192, 16360, 345, 10, 66, "Text",
 Evaluatable->False],
Cell[571540, 16372, 152, 8, 156, "Input"],
Cell[571695, 16382, 556, 21, 139, "Text",
 Evaluatable->False],
Cell[572254, 16405, 180, 7, 43, "Input"],
Cell[572437, 16414, 667, 20, 188, "Text",
 Evaluatable->False],
Cell[573107, 16436, 279, 14, 178, "Input"],
Cell[573389, 16452, 242, 8, 43, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
