(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    591931,      14963]
NotebookOptionsPosition[    568411,      14190]
NotebookOutlinePosition[    569242,      14221]
CellTagsIndexPosition[    569199,      14218]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Abstract Algebra: An Interactive Approach", "Special2",
 Evaluatable->False,
 CellChangeTimes->{{3.436622813390625*^9, 3.43662282634375*^9}},
 TextAlignment->Center,
 FontFamily->"Arial",
 FontSize->36,
 FontWeight->"Bold",
 FontSlant->"Italic",
 FontColor->RGBColor[1, 0, 1],
 Background->RGBColor[0.500008, 1, 1]],

Cell[CellGroupData[{

Cell["\[Copyright]2009   William Paulsen", "Name",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43662283*^9, 3.436622830484375*^9}},
 FontFamily->"Geneva",
 FontSize->10,
 FontSlant->"Italic",
 FontColor->RGBColor[0, 0, 1],
 Background->GrayLevel[1]],

Cell["\<\
All rights reserved:  No part of these materials may be reproduced, either \
electronically, mechanically, or by any other means or in any form, without \
the written permission from the author. All software is provided \"as is\" \
without warranty of any kind, either expressed or implied, including, but not \
limited to, the implied warranties of merchantability and fitness for a \
particular purpose.\
\>", "Name",
 Editable->False,
 Evaluatable->False,
 CellHorizontalScrolling->False,
 FontFamily->"Geneva",
 FontSize->10,
 FontSlant->"Italic",
 FontColor->RGBColor[0, 0, 1],
 Background->GrayLevel[1]]
}, Closed]],

Cell["\<\
Chapter 5
Permutation Groups \
\>", "Title",
 CellFrame->True,
 Evaluatable->False,
 CellHorizontalScrolling->False,
 TextAlignment->Center,
 FontFamily->"New York",
 FontSize->24,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[CellGroupData[{

Cell["Initialization", "Special2",
 Evaluatable->False,
 TextAlignment->Center,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["<<c:\\math\\group.m", "Input",
 PageWidth->Infinity,
 InitializationCell->True,
 CellChangeTimes->{{3.422635368984375*^9, 3.422635378921875*^9}, {
  3.4366228355*^9, 3.4366228386875*^9}, {3.436624935796875*^9, 
  3.436624936078125*^9}, {3.436625066578125*^9, 3.43662506825*^9}, {
  3.436625212234375*^9, 3.436625214328125*^9}, {3.43662524790625*^9, 
  3.4366252481875*^9}, {3.436625791046875*^9, 3.436625795390625*^9}, {
  3.442672774977*^9, 3.44267277544575*^9}, {3.442672818117625*^9, 
  3.442672818398875*^9}},
 AspectRatioFixed->True],

Cell[BoxData["\<\"Initialization Done\"\>"], "Print",
 CellChangeTimes->{
  3.422635381359375*^9, 3.422642710421875*^9, 3.423239185625*^9, 
   3.43662284575*^9, 3.4366249371875*^9, 3.436625068890625*^9, 
   3.436625215078125*^9, 3.43662524928125*^9, {3.436625798765625*^9, 
   3.436625818484375*^9}, 3.4409622385625*^9, 3.4426726654145*^9, 
   3.44267277607075*^9, 3.442672964602*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Symmetric Groups", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "In this chapter we will explore one class of finite groups that has \
important applications. These groups are called the ",
 StyleBox["permutation groups",
  FontSlant->"Italic"],
 ", or ",
 StyleBox["symmetric groups",
  FontSlant->"Italic"],
 ". We have already seen ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 ", the permutation group on 3 objects.\n\nRecall that we used 3 different \
colored books to illustrate this group. We can easily generalize this to \
consider the group of all permutations of ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " objects. For example, with 4 books the beginning position would be:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["InitBooks[4]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{{
    {RGBColor[0, 1, 1], 
     PolygonBox[{{0, 0}, {0.16, -0.34}, {0.382, -0.618}, {0.66, -0.84}, {
       1, -1}, {1.421, -1.079}, {2, -1}, {2, -0.875}, {2.25, -0.75}, {5.333, 
       2.333}, {5.333, 9.333}, {5.167, 9.417}, {3.5, 7.75}, {3.5, 10.25}, {
       3.333, 10.333}, {0.25, 7.25}, {0.125, 7}, {0, 7}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{4.5, 8.75}, {2, 6.25}, {2, 6}, {1.421, 5.921}, {1, 6}, {
       0.66, 6.16}, {0.382, 6.382}, {0.271, 6.521}, {3.167, 9.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{0, 0}, {0.16, -0.34}, {0.382, -0.618}, {0.66, -0.84}, {
       1, -1}, {1.421, -1.079}, {2, -1}, {2, 6}, {1.421, 5.921}, {1, 6}, {
       0.66, 6.16}, {0.382, 6.382}, {0.16, 6.66}, {0, 7}, {0, 0}}], 
     LineBox[{{3.167, 9.417}, {4.5, 8.75}}], 
     LineBox[{{2.25, 6.25}, {2.25, -0.75}, {5.333, 2.333}, {5.333, 9.333}, {
       2.25, 6.25}, {2, 6.125}}], LineBox[{{0, 7}, {0.25, 7}, {3.5, 10.25}}], 
     LineBox[{{2, 6}, {2, 6.25}, {5.167, 9.417}, {5.333, 9.333}}], 
     LineBox[{{0.25, 6.547}, {0.25, 7}}], 
     LineBox[{{0.125, 7}, {0.25, 7.25}, {3.333, 10.333}, {3.5, 10.25}, {3.5, 
       9.25}}]}}, {
    {RGBColor[1, 0, 0], 
     PolygonBox[{{2, -1}, {2.16, -1.34}, {2.382, -1.6179999999999999`}, {
       2.66, -1.8399999999999999`}, {3, -2}, {
       3.4210000000000003`, -2.0789999999999997`}, {4, -2}, {4, -1.875}, {
       4.25, -1.75}, {7.333, 1.3330000000000002`}, {7.333, 8.333}, {7.167, 
       8.417}, {5.5, 6.75}, {5.5, 9.25}, {5.333, 9.333}, {2.25, 6.25}, {
       2.125, 6}, {2, 6}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{6.5, 7.75}, {4, 5.25}, {4, 5}, {3.4210000000000003`, 
       4.921}, {3, 5}, {2.66, 5.16}, {2.382, 5.382}, {2.271, 5.521}, {5.167, 
       8.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{2, -1}, {2.16, -1.34}, {2.382, -1.6179999999999999`}, {
       2.66, -1.8399999999999999`}, {3, -2}, {
       3.4210000000000003`, -2.0789999999999997`}, {4, -2}, {4, 5}, {
       3.4210000000000003`, 4.921}, {3, 5}, {2.66, 5.16}, {2.382, 5.382}, {
       2.16, 5.66}, {2, 6}, {2, -1}}], LineBox[{{5.167, 8.417}, {6.5, 7.75}}],
      LineBox[{{4.25, 5.25}, {4.25, -1.75}, {7.333, 1.3330000000000002`}, {
       7.333, 8.333}, {4.25, 5.25}, {4, 5.125}}], 
     LineBox[{{2, 6}, {2.25, 6}, {5.5, 9.25}}], 
     LineBox[{{4, 5}, {4, 5.25}, {7.167, 8.417}, {7.333, 8.333}}], 
     LineBox[{{2.25, 5.547}, {2.25, 6}}], 
     LineBox[{{2.125, 6}, {2.25, 6.25}, {5.333, 9.333}, {5.5, 9.25}, {5.5, 
       8.25}}]}}, {
    {RGBColor[0, 1, 0], 
     PolygonBox[{{4, -2}, {4.16, -2.34}, {4.382, -2.618}, {4.66, -2.84}, {
       5, -3}, {5.421, -3.0789999999999997`}, {6, -3}, {6, -2.875}, {
       6.25, -2.75}, {9.333, 0.3330000000000002}, {9.333, 7.333}, {9.167, 
       7.417}, {7.5, 5.75}, {7.5, 8.25}, {7.333, 8.333}, {4.25, 5.25}, {
       4.125, 5}, {4, 5}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{8.5, 6.75}, {6, 4.25}, {6, 4}, {5.421, 
       3.9210000000000003`}, {5, 4}, {4.66, 4.16}, {4.382, 4.382}, {4.271, 
       4.521}, {7.167, 7.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{4, -2}, {4.16, -2.34}, {4.382, -2.618}, {4.66, -2.84}, {
       5, -3}, {5.421, -3.0789999999999997`}, {6, -3}, {6, 4}, {5.421, 
       3.9210000000000003`}, {5, 4}, {4.66, 4.16}, {4.382, 4.382}, {4.16, 
       4.66}, {4, 5}, {4, -2}}], LineBox[{{7.167, 7.417}, {8.5, 6.75}}], 
     LineBox[{{6.25, 4.25}, {6.25, -2.75}, {9.333, 0.3330000000000002}, {
       9.333, 7.333}, {6.25, 4.25}, {6, 4.125}}], 
     LineBox[{{4, 5}, {4.25, 5}, {7.5, 8.25}}], 
     LineBox[{{6, 4}, {6, 4.25}, {9.167, 7.417}, {9.333, 7.333}}], 
     LineBox[{{4.25, 4.547}, {4.25, 5}}], 
     LineBox[{{4.125, 5}, {4.25, 5.25}, {7.333, 8.333}, {7.5, 8.25}, {7.5, 
       7.25}}]}}, {
    {RGBColor[0.6, 0.4, 0.8], 
     PolygonBox[{{6, -3}, {6.16, -3.34}, {6.382, -3.618}, {6.66, -3.84}, {
       7, -4}, {7.421, -4.079}, {8, -4}, {8, -3.875}, {8.25, -3.75}, {
       11.333, -0.6669999999999998}, {11.333, 6.333}, {11.167, 6.417}, {9.5, 
       4.75}, {9.5, 7.25}, {9.333, 7.333}, {6.25, 4.25}, {6.125, 4}, {6, 
       4}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{10.5, 5.75}, {8, 3.25}, {8, 3}, {7.421, 
       2.9210000000000003`}, {7, 3}, {6.66, 3.16}, {6.382, 
       3.3819999999999997`}, {6.271, 3.521}, {9.167, 6.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{6, -3}, {6.16, -3.34}, {6.382, -3.618}, {6.66, -3.84}, {
       7, -4}, {7.421, -4.079}, {8, -4}, {8, 3}, {7.421, 
       2.9210000000000003`}, {7, 3}, {6.66, 3.16}, {6.382, 
       3.3819999999999997`}, {6.16, 3.66}, {6, 4}, {6, -3}}], 
     LineBox[{{9.167, 6.417}, {10.5, 5.75}}], 
     LineBox[{{8.25, 3.25}, {8.25, -3.75}, {11.333, -0.6669999999999998}, {
       11.333, 6.333}, {8.25, 3.25}, {8, 3.125}}], 
     LineBox[{{6, 4}, {6.25, 4}, {9.5, 7.25}}], 
     LineBox[{{8, 3}, {8, 3.25}, {11.167, 6.417}, {11.333, 6.333}}], 
     LineBox[{{6.25, 3.5469999999999997`}, {6.25, 4}}], 
     LineBox[{{6.125, 4}, {6.25, 4.25}, {9.333, 7.333}, {9.5, 7.25}, {9.5, 
       6.25}}]}}},
  AspectRatio->Automatic,
  ImageSize->{124.54088449566565`, Automatic}]], "Print",
 CellChangeTimes->{3.4226353904375*^9, 3.4366228550625*^9, 
  3.442672669336375*^9, 3.442672779461375*^9}]
}, Open  ]],

Cell["\<\
We have seen several ways of rearranging the books. We can swap the first two \
books with the command\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["MoveBooks[First]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{{
    {RGBColor[1, 0, 0], 
     PolygonBox[{{0, 0}, {0.16, -0.34}, {0.382, -0.618}, {0.66, -0.84}, {
       1, -1}, {1.421, -1.079}, {2, -1}, {2, -0.875}, {2.25, -0.75}, {5.333, 
       2.333}, {5.333, 9.333}, {5.167, 9.417}, {3.5, 7.75}, {3.5, 10.25}, {
       3.333, 10.333}, {0.25, 7.25}, {0.125, 7}, {0, 7}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{4.5, 8.75}, {2, 6.25}, {2, 6}, {1.421, 5.921}, {1, 6}, {
       0.66, 6.16}, {0.382, 6.382}, {0.271, 6.521}, {3.167, 9.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{0, 0}, {0.16, -0.34}, {0.382, -0.618}, {0.66, -0.84}, {
       1, -1}, {1.421, -1.079}, {2, -1}, {2, 6}, {1.421, 5.921}, {1, 6}, {
       0.66, 6.16}, {0.382, 6.382}, {0.16, 6.66}, {0, 7}, {0, 0}}], 
     LineBox[{{3.167, 9.417}, {4.5, 8.75}}], 
     LineBox[{{2.25, 6.25}, {2.25, -0.75}, {5.333, 2.333}, {5.333, 9.333}, {
       2.25, 6.25}, {2, 6.125}}], LineBox[{{0, 7}, {0.25, 7}, {3.5, 10.25}}], 
     LineBox[{{2, 6}, {2, 6.25}, {5.167, 9.417}, {5.333, 9.333}}], 
     LineBox[{{0.25, 6.547}, {0.25, 7}}], 
     LineBox[{{0.125, 7}, {0.25, 7.25}, {3.333, 10.333}, {3.5, 10.25}, {3.5, 
       9.25}}]}}, {
    {RGBColor[0, 1, 1], 
     PolygonBox[{{2, -1}, {2.16, -1.34}, {2.382, -1.6179999999999999`}, {
       2.66, -1.8399999999999999`}, {3, -2}, {
       3.4210000000000003`, -2.0789999999999997`}, {4, -2}, {4, -1.875}, {
       4.25, -1.75}, {7.333, 1.3330000000000002`}, {7.333, 8.333}, {7.167, 
       8.417}, {5.5, 6.75}, {5.5, 9.25}, {5.333, 9.333}, {2.25, 6.25}, {
       2.125, 6}, {2, 6}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{6.5, 7.75}, {4, 5.25}, {4, 5}, {3.4210000000000003`, 
       4.921}, {3, 5}, {2.66, 5.16}, {2.382, 5.382}, {2.271, 5.521}, {5.167, 
       8.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{2, -1}, {2.16, -1.34}, {2.382, -1.6179999999999999`}, {
       2.66, -1.8399999999999999`}, {3, -2}, {
       3.4210000000000003`, -2.0789999999999997`}, {4, -2}, {4, 5}, {
       3.4210000000000003`, 4.921}, {3, 5}, {2.66, 5.16}, {2.382, 5.382}, {
       2.16, 5.66}, {2, 6}, {2, -1}}], LineBox[{{5.167, 8.417}, {6.5, 7.75}}],
      LineBox[{{4.25, 5.25}, {4.25, -1.75}, {7.333, 1.3330000000000002`}, {
       7.333, 8.333}, {4.25, 5.25}, {4, 5.125}}], 
     LineBox[{{2, 6}, {2.25, 6}, {5.5, 9.25}}], 
     LineBox[{{4, 5}, {4, 5.25}, {7.167, 8.417}, {7.333, 8.333}}], 
     LineBox[{{2.25, 5.547}, {2.25, 6}}], 
     LineBox[{{2.125, 6}, {2.25, 6.25}, {5.333, 9.333}, {5.5, 9.25}, {5.5, 
       8.25}}]}}, {
    {RGBColor[0, 1, 0], 
     PolygonBox[{{4, -2}, {4.16, -2.34}, {4.382, -2.618}, {4.66, -2.84}, {
       5, -3}, {5.421, -3.0789999999999997`}, {6, -3}, {6, -2.875}, {
       6.25, -2.75}, {9.333, 0.3330000000000002}, {9.333, 7.333}, {9.167, 
       7.417}, {7.5, 5.75}, {7.5, 8.25}, {7.333, 8.333}, {4.25, 5.25}, {
       4.125, 5}, {4, 5}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{8.5, 6.75}, {6, 4.25}, {6, 4}, {5.421, 
       3.9210000000000003`}, {5, 4}, {4.66, 4.16}, {4.382, 4.382}, {4.271, 
       4.521}, {7.167, 7.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{4, -2}, {4.16, -2.34}, {4.382, -2.618}, {4.66, -2.84}, {
       5, -3}, {5.421, -3.0789999999999997`}, {6, -3}, {6, 4}, {5.421, 
       3.9210000000000003`}, {5, 4}, {4.66, 4.16}, {4.382, 4.382}, {4.16, 
       4.66}, {4, 5}, {4, -2}}], LineBox[{{7.167, 7.417}, {8.5, 6.75}}], 
     LineBox[{{6.25, 4.25}, {6.25, -2.75}, {9.333, 0.3330000000000002}, {
       9.333, 7.333}, {6.25, 4.25}, {6, 4.125}}], 
     LineBox[{{4, 5}, {4.25, 5}, {7.5, 8.25}}], 
     LineBox[{{6, 4}, {6, 4.25}, {9.167, 7.417}, {9.333, 7.333}}], 
     LineBox[{{4.25, 4.547}, {4.25, 5}}], 
     LineBox[{{4.125, 5}, {4.25, 5.25}, {7.333, 8.333}, {7.5, 8.25}, {7.5, 
       7.25}}]}}, {
    {RGBColor[0.6, 0.4, 0.8], 
     PolygonBox[{{6, -3}, {6.16, -3.34}, {6.382, -3.618}, {6.66, -3.84}, {
       7, -4}, {7.421, -4.079}, {8, -4}, {8, -3.875}, {8.25, -3.75}, {
       11.333, -0.6669999999999998}, {11.333, 6.333}, {11.167, 6.417}, {9.5, 
       4.75}, {9.5, 7.25}, {9.333, 7.333}, {6.25, 4.25}, {6.125, 4}, {6, 
       4}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{10.5, 5.75}, {8, 3.25}, {8, 3}, {7.421, 
       2.9210000000000003`}, {7, 3}, {6.66, 3.16}, {6.382, 
       3.3819999999999997`}, {6.271, 3.521}, {9.167, 6.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{6, -3}, {6.16, -3.34}, {6.382, -3.618}, {6.66, -3.84}, {
       7, -4}, {7.421, -4.079}, {8, -4}, {8, 3}, {7.421, 
       2.9210000000000003`}, {7, 3}, {6.66, 3.16}, {6.382, 
       3.3819999999999997`}, {6.16, 3.66}, {6, 4}, {6, -3}}], 
     LineBox[{{9.167, 6.417}, {10.5, 5.75}}], 
     LineBox[{{8.25, 3.25}, {8.25, -3.75}, {11.333, -0.6669999999999998}, {
       11.333, 6.333}, {8.25, 3.25}, {8, 3.125}}], 
     LineBox[{{6, 4}, {6.25, 4}, {9.5, 7.25}}], 
     LineBox[{{8, 3}, {8, 3.25}, {11.167, 6.417}, {11.333, 6.333}}], 
     LineBox[{{6.25, 3.5469999999999997`}, {6.25, 4}}], 
     LineBox[{{6.125, 4}, {6.25, 4.25}, {9.333, 7.333}, {9.5, 7.25}, {9.5, 
       6.25}}]}}},
  AspectRatio->Automatic,
  ImageSize->{118.54088449566578`, Automatic}]], "Print",
 CellChangeTimes->{3.42263540978125*^9, 3.44267267244575*^9, 
  3.442672781930125*^9}]
}, Open  ]],

Cell["We can also swap the last two books:", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["MoveBooks[Last]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{{
    {RGBColor[1, 0, 0], 
     PolygonBox[{{0, 0}, {0.16, -0.34}, {0.382, -0.618}, {0.66, -0.84}, {
       1, -1}, {1.421, -1.079}, {2, -1}, {2, -0.875}, {2.25, -0.75}, {5.333, 
       2.333}, {5.333, 9.333}, {5.167, 9.417}, {3.5, 7.75}, {3.5, 10.25}, {
       3.333, 10.333}, {0.25, 7.25}, {0.125, 7}, {0, 7}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{4.5, 8.75}, {2, 6.25}, {2, 6}, {1.421, 5.921}, {1, 6}, {
       0.66, 6.16}, {0.382, 6.382}, {0.271, 6.521}, {3.167, 9.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{0, 0}, {0.16, -0.34}, {0.382, -0.618}, {0.66, -0.84}, {
       1, -1}, {1.421, -1.079}, {2, -1}, {2, 6}, {1.421, 5.921}, {1, 6}, {
       0.66, 6.16}, {0.382, 6.382}, {0.16, 6.66}, {0, 7}, {0, 0}}], 
     LineBox[{{3.167, 9.417}, {4.5, 8.75}}], 
     LineBox[{{2.25, 6.25}, {2.25, -0.75}, {5.333, 2.333}, {5.333, 9.333}, {
       2.25, 6.25}, {2, 6.125}}], LineBox[{{0, 7}, {0.25, 7}, {3.5, 10.25}}], 
     LineBox[{{2, 6}, {2, 6.25}, {5.167, 9.417}, {5.333, 9.333}}], 
     LineBox[{{0.25, 6.547}, {0.25, 7}}], 
     LineBox[{{0.125, 7}, {0.25, 7.25}, {3.333, 10.333}, {3.5, 10.25}, {3.5, 
       9.25}}]}}, {
    {RGBColor[0, 1, 1], 
     PolygonBox[{{2, -1}, {2.16, -1.34}, {2.382, -1.6179999999999999`}, {
       2.66, -1.8399999999999999`}, {3, -2}, {
       3.4210000000000003`, -2.0789999999999997`}, {4, -2}, {4, -1.875}, {
       4.25, -1.75}, {7.333, 1.3330000000000002`}, {7.333, 8.333}, {7.167, 
       8.417}, {5.5, 6.75}, {5.5, 9.25}, {5.333, 9.333}, {2.25, 6.25}, {
       2.125, 6}, {2, 6}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{6.5, 7.75}, {4, 5.25}, {4, 5}, {3.4210000000000003`, 
       4.921}, {3, 5}, {2.66, 5.16}, {2.382, 5.382}, {2.271, 5.521}, {5.167, 
       8.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{2, -1}, {2.16, -1.34}, {2.382, -1.6179999999999999`}, {
       2.66, -1.8399999999999999`}, {3, -2}, {
       3.4210000000000003`, -2.0789999999999997`}, {4, -2}, {4, 5}, {
       3.4210000000000003`, 4.921}, {3, 5}, {2.66, 5.16}, {2.382, 5.382}, {
       2.16, 5.66}, {2, 6}, {2, -1}}], LineBox[{{5.167, 8.417}, {6.5, 7.75}}],
      LineBox[{{4.25, 5.25}, {4.25, -1.75}, {7.333, 1.3330000000000002`}, {
       7.333, 8.333}, {4.25, 5.25}, {4, 5.125}}], 
     LineBox[{{2, 6}, {2.25, 6}, {5.5, 9.25}}], 
     LineBox[{{4, 5}, {4, 5.25}, {7.167, 8.417}, {7.333, 8.333}}], 
     LineBox[{{2.25, 5.547}, {2.25, 6}}], 
     LineBox[{{2.125, 6}, {2.25, 6.25}, {5.333, 9.333}, {5.5, 9.25}, {5.5, 
       8.25}}]}}, {
    {RGBColor[0.6, 0.4, 0.8], 
     PolygonBox[{{4, -2}, {4.16, -2.34}, {4.382, -2.618}, {4.66, -2.84}, {
       5, -3}, {5.421, -3.0789999999999997`}, {6, -3}, {6, -2.875}, {
       6.25, -2.75}, {9.333, 0.3330000000000002}, {9.333, 7.333}, {9.167, 
       7.417}, {7.5, 5.75}, {7.5, 8.25}, {7.333, 8.333}, {4.25, 5.25}, {
       4.125, 5}, {4, 5}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{8.5, 6.75}, {6, 4.25}, {6, 4}, {5.421, 
       3.9210000000000003`}, {5, 4}, {4.66, 4.16}, {4.382, 4.382}, {4.271, 
       4.521}, {7.167, 7.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{4, -2}, {4.16, -2.34}, {4.382, -2.618}, {4.66, -2.84}, {
       5, -3}, {5.421, -3.0789999999999997`}, {6, -3}, {6, 4}, {5.421, 
       3.9210000000000003`}, {5, 4}, {4.66, 4.16}, {4.382, 4.382}, {4.16, 
       4.66}, {4, 5}, {4, -2}}], LineBox[{{7.167, 7.417}, {8.5, 6.75}}], 
     LineBox[{{6.25, 4.25}, {6.25, -2.75}, {9.333, 0.3330000000000002}, {
       9.333, 7.333}, {6.25, 4.25}, {6, 4.125}}], 
     LineBox[{{4, 5}, {4.25, 5}, {7.5, 8.25}}], 
     LineBox[{{6, 4}, {6, 4.25}, {9.167, 7.417}, {9.333, 7.333}}], 
     LineBox[{{4.25, 4.547}, {4.25, 5}}], 
     LineBox[{{4.125, 5}, {4.25, 5.25}, {7.333, 8.333}, {7.5, 8.25}, {7.5, 
       7.25}}]}}, {
    {RGBColor[0, 1, 0], 
     PolygonBox[{{6, -3}, {6.16, -3.34}, {6.382, -3.618}, {6.66, -3.84}, {
       7, -4}, {7.421, -4.079}, {8, -4}, {8, -3.875}, {8.25, -3.75}, {
       11.333, -0.6669999999999998}, {11.333, 6.333}, {11.167, 6.417}, {9.5, 
       4.75}, {9.5, 7.25}, {9.333, 7.333}, {6.25, 4.25}, {6.125, 4}, {6, 
       4}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{10.5, 5.75}, {8, 3.25}, {8, 3}, {7.421, 
       2.9210000000000003`}, {7, 3}, {6.66, 3.16}, {6.382, 
       3.3819999999999997`}, {6.271, 3.521}, {9.167, 6.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{6, -3}, {6.16, -3.34}, {6.382, -3.618}, {6.66, -3.84}, {
       7, -4}, {7.421, -4.079}, {8, -4}, {8, 3}, {7.421, 
       2.9210000000000003`}, {7, 3}, {6.66, 3.16}, {6.382, 
       3.3819999999999997`}, {6.16, 3.66}, {6, 4}, {6, -3}}], 
     LineBox[{{9.167, 6.417}, {10.5, 5.75}}], 
     LineBox[{{8.25, 3.25}, {8.25, -3.75}, {11.333, -0.6669999999999998}, {
       11.333, 6.333}, {8.25, 3.25}, {8, 3.125}}], 
     LineBox[{{6, 4}, {6.25, 4}, {9.5, 7.25}}], 
     LineBox[{{8, 3}, {8, 3.25}, {11.167, 6.417}, {11.333, 6.333}}], 
     LineBox[{{6.25, 3.5469999999999997`}, {6.25, 4}}], 
     LineBox[{{6.125, 4}, {6.25, 4.25}, {9.333, 7.333}, {9.5, 7.25}, {9.5, 
       6.25}}]}}},
  AspectRatio->Automatic,
  ImageSize->{161.20755116233227`, Automatic}]], "Print",
 CellChangeTimes->{3.4226354191875*^9, 3.442672674492625*^9, 
  3.442672783227*^9}]
}, Open  ]],

Cell["\<\
We can move the first book to the end, sliding the other books to the left.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["MoveBooks[Left]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{{
    {RGBColor[0, 1, 1], 
     PolygonBox[{{0, 0}, {0.16, -0.34}, {0.382, -0.618}, {0.66, -0.84}, {
       1, -1}, {1.421, -1.079}, {2, -1}, {2, -0.875}, {2.25, -0.75}, {5.333, 
       2.333}, {5.333, 9.333}, {5.167, 9.417}, {3.5, 7.75}, {3.5, 10.25}, {
       3.333, 10.333}, {0.25, 7.25}, {0.125, 7}, {0, 7}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{4.5, 8.75}, {2, 6.25}, {2, 6}, {1.421, 5.921}, {1, 6}, {
       0.66, 6.16}, {0.382, 6.382}, {0.271, 6.521}, {3.167, 9.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{0, 0}, {0.16, -0.34}, {0.382, -0.618}, {0.66, -0.84}, {
       1, -1}, {1.421, -1.079}, {2, -1}, {2, 6}, {1.421, 5.921}, {1, 6}, {
       0.66, 6.16}, {0.382, 6.382}, {0.16, 6.66}, {0, 7}, {0, 0}}], 
     LineBox[{{3.167, 9.417}, {4.5, 8.75}}], 
     LineBox[{{2.25, 6.25}, {2.25, -0.75}, {5.333, 2.333}, {5.333, 9.333}, {
       2.25, 6.25}, {2, 6.125}}], LineBox[{{0, 7}, {0.25, 7}, {3.5, 10.25}}], 
     LineBox[{{2, 6}, {2, 6.25}, {5.167, 9.417}, {5.333, 9.333}}], 
     LineBox[{{0.25, 6.547}, {0.25, 7}}], 
     LineBox[{{0.125, 7}, {0.25, 7.25}, {3.333, 10.333}, {3.5, 10.25}, {3.5, 
       9.25}}]}}, {
    {RGBColor[0.6, 0.4, 0.8], 
     PolygonBox[{{2, -1}, {2.16, -1.34}, {2.382, -1.6179999999999999`}, {
       2.66, -1.8399999999999999`}, {3, -2}, {
       3.4210000000000003`, -2.0789999999999997`}, {4, -2}, {4, -1.875}, {
       4.25, -1.75}, {7.333, 1.3330000000000002`}, {7.333, 8.333}, {7.167, 
       8.417}, {5.5, 6.75}, {5.5, 9.25}, {5.333, 9.333}, {2.25, 6.25}, {
       2.125, 6}, {2, 6}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{6.5, 7.75}, {4, 5.25}, {4, 5}, {3.4210000000000003`, 
       4.921}, {3, 5}, {2.66, 5.16}, {2.382, 5.382}, {2.271, 5.521}, {5.167, 
       8.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{2, -1}, {2.16, -1.34}, {2.382, -1.6179999999999999`}, {
       2.66, -1.8399999999999999`}, {3, -2}, {
       3.4210000000000003`, -2.0789999999999997`}, {4, -2}, {4, 5}, {
       3.4210000000000003`, 4.921}, {3, 5}, {2.66, 5.16}, {2.382, 5.382}, {
       2.16, 5.66}, {2, 6}, {2, -1}}], LineBox[{{5.167, 8.417}, {6.5, 7.75}}],
      LineBox[{{4.25, 5.25}, {4.25, -1.75}, {7.333, 1.3330000000000002`}, {
       7.333, 8.333}, {4.25, 5.25}, {4, 5.125}}], 
     LineBox[{{2, 6}, {2.25, 6}, {5.5, 9.25}}], 
     LineBox[{{4, 5}, {4, 5.25}, {7.167, 8.417}, {7.333, 8.333}}], 
     LineBox[{{2.25, 5.547}, {2.25, 6}}], 
     LineBox[{{2.125, 6}, {2.25, 6.25}, {5.333, 9.333}, {5.5, 9.25}, {5.5, 
       8.25}}]}}, {
    {RGBColor[0, 1, 0], 
     PolygonBox[{{4, -2}, {4.16, -2.34}, {4.382, -2.618}, {4.66, -2.84}, {
       5, -3}, {5.421, -3.0789999999999997`}, {6, -3}, {6, -2.875}, {
       6.25, -2.75}, {9.333, 0.3330000000000002}, {9.333, 7.333}, {9.167, 
       7.417}, {7.5, 5.75}, {7.5, 8.25}, {7.333, 8.333}, {4.25, 5.25}, {
       4.125, 5}, {4, 5}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{8.5, 6.75}, {6, 4.25}, {6, 4}, {5.421, 
       3.9210000000000003`}, {5, 4}, {4.66, 4.16}, {4.382, 4.382}, {4.271, 
       4.521}, {7.167, 7.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{4, -2}, {4.16, -2.34}, {4.382, -2.618}, {4.66, -2.84}, {
       5, -3}, {5.421, -3.0789999999999997`}, {6, -3}, {6, 4}, {5.421, 
       3.9210000000000003`}, {5, 4}, {4.66, 4.16}, {4.382, 4.382}, {4.16, 
       4.66}, {4, 5}, {4, -2}}], LineBox[{{7.167, 7.417}, {8.5, 6.75}}], 
     LineBox[{{6.25, 4.25}, {6.25, -2.75}, {9.333, 0.3330000000000002}, {
       9.333, 7.333}, {6.25, 4.25}, {6, 4.125}}], 
     LineBox[{{4, 5}, {4.25, 5}, {7.5, 8.25}}], 
     LineBox[{{6, 4}, {6, 4.25}, {9.167, 7.417}, {9.333, 7.333}}], 
     LineBox[{{4.25, 4.547}, {4.25, 5}}], 
     LineBox[{{4.125, 5}, {4.25, 5.25}, {7.333, 8.333}, {7.5, 8.25}, {7.5, 
       7.25}}]}}, {
    {RGBColor[1, 0, 0], 
     PolygonBox[{{6, -3}, {6.16, -3.34}, {6.382, -3.618}, {6.66, -3.84}, {
       7, -4}, {7.421, -4.079}, {8, -4}, {8, -3.875}, {8.25, -3.75}, {
       11.333, -0.6669999999999998}, {11.333, 6.333}, {11.167, 6.417}, {9.5, 
       4.75}, {9.5, 7.25}, {9.333, 7.333}, {6.25, 4.25}, {6.125, 4}, {6, 
       4}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{10.5, 5.75}, {8, 3.25}, {8, 3}, {7.421, 
       2.9210000000000003`}, {7, 3}, {6.66, 3.16}, {6.382, 
       3.3819999999999997`}, {6.271, 3.521}, {9.167, 6.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{6, -3}, {6.16, -3.34}, {6.382, -3.618}, {6.66, -3.84}, {
       7, -4}, {7.421, -4.079}, {8, -4}, {8, 3}, {7.421, 
       2.9210000000000003`}, {7, 3}, {6.66, 3.16}, {6.382, 
       3.3819999999999997`}, {6.16, 3.66}, {6, 4}, {6, -3}}], 
     LineBox[{{9.167, 6.417}, {10.5, 5.75}}], 
     LineBox[{{8.25, 3.25}, {8.25, -3.75}, {11.333, -0.6669999999999998}, {
       11.333, 6.333}, {8.25, 3.25}, {8, 3.125}}], 
     LineBox[{{6, 4}, {6.25, 4}, {9.5, 7.25}}], 
     LineBox[{{8, 3}, {8, 3.25}, {11.167, 6.417}, {11.333, 6.333}}], 
     LineBox[{{6.25, 3.5469999999999997`}, {6.25, 4}}], 
     LineBox[{{6.125, 4}, {6.25, 4.25}, {9.333, 7.333}, {9.5, 7.25}, {9.5, 
       6.25}}]}}},
  AspectRatio->Automatic]], "Print",
 CellChangeTimes->{3.422635427484375*^9, 3.44267267700825*^9, 
  3.4426727844145*^9}]
}, Open  ]],

Cell["\<\
The opposite of the proceedure is to move the last book to the beginning.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["MoveBooks[Right]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{{
    {RGBColor[1, 0, 0], 
     PolygonBox[{{0, 0}, {0.16, -0.34}, {0.382, -0.618}, {0.66, -0.84}, {
       1, -1}, {1.421, -1.079}, {2, -1}, {2, -0.875}, {2.25, -0.75}, {5.333, 
       2.333}, {5.333, 9.333}, {5.167, 9.417}, {3.5, 7.75}, {3.5, 10.25}, {
       3.333, 10.333}, {0.25, 7.25}, {0.125, 7}, {0, 7}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{4.5, 8.75}, {2, 6.25}, {2, 6}, {1.421, 5.921}, {1, 6}, {
       0.66, 6.16}, {0.382, 6.382}, {0.271, 6.521}, {3.167, 9.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{0, 0}, {0.16, -0.34}, {0.382, -0.618}, {0.66, -0.84}, {
       1, -1}, {1.421, -1.079}, {2, -1}, {2, 6}, {1.421, 5.921}, {1, 6}, {
       0.66, 6.16}, {0.382, 6.382}, {0.16, 6.66}, {0, 7}, {0, 0}}], 
     LineBox[{{3.167, 9.417}, {4.5, 8.75}}], 
     LineBox[{{2.25, 6.25}, {2.25, -0.75}, {5.333, 2.333}, {5.333, 9.333}, {
       2.25, 6.25}, {2, 6.125}}], LineBox[{{0, 7}, {0.25, 7}, {3.5, 10.25}}], 
     LineBox[{{2, 6}, {2, 6.25}, {5.167, 9.417}, {5.333, 9.333}}], 
     LineBox[{{0.25, 6.547}, {0.25, 7}}], 
     LineBox[{{0.125, 7}, {0.25, 7.25}, {3.333, 10.333}, {3.5, 10.25}, {3.5, 
       9.25}}]}}, {
    {RGBColor[0, 1, 1], 
     PolygonBox[{{2, -1}, {2.16, -1.34}, {2.382, -1.6179999999999999`}, {
       2.66, -1.8399999999999999`}, {3, -2}, {
       3.4210000000000003`, -2.0789999999999997`}, {4, -2}, {4, -1.875}, {
       4.25, -1.75}, {7.333, 1.3330000000000002`}, {7.333, 8.333}, {7.167, 
       8.417}, {5.5, 6.75}, {5.5, 9.25}, {5.333, 9.333}, {2.25, 6.25}, {
       2.125, 6}, {2, 6}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{6.5, 7.75}, {4, 5.25}, {4, 5}, {3.4210000000000003`, 
       4.921}, {3, 5}, {2.66, 5.16}, {2.382, 5.382}, {2.271, 5.521}, {5.167, 
       8.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{2, -1}, {2.16, -1.34}, {2.382, -1.6179999999999999`}, {
       2.66, -1.8399999999999999`}, {3, -2}, {
       3.4210000000000003`, -2.0789999999999997`}, {4, -2}, {4, 5}, {
       3.4210000000000003`, 4.921}, {3, 5}, {2.66, 5.16}, {2.382, 5.382}, {
       2.16, 5.66}, {2, 6}, {2, -1}}], LineBox[{{5.167, 8.417}, {6.5, 7.75}}],
      LineBox[{{4.25, 5.25}, {4.25, -1.75}, {7.333, 1.3330000000000002`}, {
       7.333, 8.333}, {4.25, 5.25}, {4, 5.125}}], 
     LineBox[{{2, 6}, {2.25, 6}, {5.5, 9.25}}], 
     LineBox[{{4, 5}, {4, 5.25}, {7.167, 8.417}, {7.333, 8.333}}], 
     LineBox[{{2.25, 5.547}, {2.25, 6}}], 
     LineBox[{{2.125, 6}, {2.25, 6.25}, {5.333, 9.333}, {5.5, 9.25}, {5.5, 
       8.25}}]}}, {
    {RGBColor[0.6, 0.4, 0.8], 
     PolygonBox[{{4, -2}, {4.16, -2.34}, {4.382, -2.618}, {4.66, -2.84}, {
       5, -3}, {5.421, -3.0789999999999997`}, {6, -3}, {6, -2.875}, {
       6.25, -2.75}, {9.333, 0.3330000000000002}, {9.333, 7.333}, {9.167, 
       7.417}, {7.5, 5.75}, {7.5, 8.25}, {7.333, 8.333}, {4.25, 5.25}, {
       4.125, 5}, {4, 5}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{8.5, 6.75}, {6, 4.25}, {6, 4}, {5.421, 
       3.9210000000000003`}, {5, 4}, {4.66, 4.16}, {4.382, 4.382}, {4.271, 
       4.521}, {7.167, 7.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{4, -2}, {4.16, -2.34}, {4.382, -2.618}, {4.66, -2.84}, {
       5, -3}, {5.421, -3.0789999999999997`}, {6, -3}, {6, 4}, {5.421, 
       3.9210000000000003`}, {5, 4}, {4.66, 4.16}, {4.382, 4.382}, {4.16, 
       4.66}, {4, 5}, {4, -2}}], LineBox[{{7.167, 7.417}, {8.5, 6.75}}], 
     LineBox[{{6.25, 4.25}, {6.25, -2.75}, {9.333, 0.3330000000000002}, {
       9.333, 7.333}, {6.25, 4.25}, {6, 4.125}}], 
     LineBox[{{4, 5}, {4.25, 5}, {7.5, 8.25}}], 
     LineBox[{{6, 4}, {6, 4.25}, {9.167, 7.417}, {9.333, 7.333}}], 
     LineBox[{{4.25, 4.547}, {4.25, 5}}], 
     LineBox[{{4.125, 5}, {4.25, 5.25}, {7.333, 8.333}, {7.5, 8.25}, {7.5, 
       7.25}}]}}, {
    {RGBColor[0, 1, 0], 
     PolygonBox[{{6, -3}, {6.16, -3.34}, {6.382, -3.618}, {6.66, -3.84}, {
       7, -4}, {7.421, -4.079}, {8, -4}, {8, -3.875}, {8.25, -3.75}, {
       11.333, -0.6669999999999998}, {11.333, 6.333}, {11.167, 6.417}, {9.5, 
       4.75}, {9.5, 7.25}, {9.333, 7.333}, {6.25, 4.25}, {6.125, 4}, {6, 
       4}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{10.5, 5.75}, {8, 3.25}, {8, 3}, {7.421, 
       2.9210000000000003`}, {7, 3}, {6.66, 3.16}, {6.382, 
       3.3819999999999997`}, {6.271, 3.521}, {9.167, 6.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{6, -3}, {6.16, -3.34}, {6.382, -3.618}, {6.66, -3.84}, {
       7, -4}, {7.421, -4.079}, {8, -4}, {8, 3}, {7.421, 
       2.9210000000000003`}, {7, 3}, {6.66, 3.16}, {6.382, 
       3.3819999999999997`}, {6.16, 3.66}, {6, 4}, {6, -3}}], 
     LineBox[{{9.167, 6.417}, {10.5, 5.75}}], 
     LineBox[{{8.25, 3.25}, {8.25, -3.75}, {11.333, -0.6669999999999998}, {
       11.333, 6.333}, {8.25, 3.25}, {8, 3.125}}], 
     LineBox[{{6, 4}, {6.25, 4}, {9.5, 7.25}}], 
     LineBox[{{8, 3}, {8, 3.25}, {11.167, 6.417}, {11.333, 6.333}}], 
     LineBox[{{6.25, 3.5469999999999997`}, {6.25, 4}}], 
     LineBox[{{6.125, 4}, {6.25, 4.25}, {9.333, 7.333}, {9.5, 7.25}, {9.5, 
       6.25}}]}}},
  AspectRatio->Automatic,
  ImageSize->{178.5408844956657, Automatic}]], "Print",
 CellChangeTimes->{3.4226354325*^9, 3.44267268082075*^9, 3.442672785711375*^9}
  ]
}, Open  ]],

Cell["We can also reverse the order of the books.", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["MoveBooks[Rev]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{{
    {RGBColor[0, 1, 0], 
     PolygonBox[{{0, 0}, {0.16, -0.34}, {0.382, -0.618}, {0.66, -0.84}, {
       1, -1}, {1.421, -1.079}, {2, -1}, {2, -0.875}, {2.25, -0.75}, {5.333, 
       2.333}, {5.333, 9.333}, {5.167, 9.417}, {3.5, 7.75}, {3.5, 10.25}, {
       3.333, 10.333}, {0.25, 7.25}, {0.125, 7}, {0, 7}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{4.5, 8.75}, {2, 6.25}, {2, 6}, {1.421, 5.921}, {1, 6}, {
       0.66, 6.16}, {0.382, 6.382}, {0.271, 6.521}, {3.167, 9.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{0, 0}, {0.16, -0.34}, {0.382, -0.618}, {0.66, -0.84}, {
       1, -1}, {1.421, -1.079}, {2, -1}, {2, 6}, {1.421, 5.921}, {1, 6}, {
       0.66, 6.16}, {0.382, 6.382}, {0.16, 6.66}, {0, 7}, {0, 0}}], 
     LineBox[{{3.167, 9.417}, {4.5, 8.75}}], 
     LineBox[{{2.25, 6.25}, {2.25, -0.75}, {5.333, 2.333}, {5.333, 9.333}, {
       2.25, 6.25}, {2, 6.125}}], LineBox[{{0, 7}, {0.25, 7}, {3.5, 10.25}}], 
     LineBox[{{2, 6}, {2, 6.25}, {5.167, 9.417}, {5.333, 9.333}}], 
     LineBox[{{0.25, 6.547}, {0.25, 7}}], 
     LineBox[{{0.125, 7}, {0.25, 7.25}, {3.333, 10.333}, {3.5, 10.25}, {3.5, 
       9.25}}]}}, {
    {RGBColor[0.6, 0.4, 0.8], 
     PolygonBox[{{2, -1}, {2.16, -1.34}, {2.382, -1.6179999999999999`}, {
       2.66, -1.8399999999999999`}, {3, -2}, {
       3.4210000000000003`, -2.0789999999999997`}, {4, -2}, {4, -1.875}, {
       4.25, -1.75}, {7.333, 1.3330000000000002`}, {7.333, 8.333}, {7.167, 
       8.417}, {5.5, 6.75}, {5.5, 9.25}, {5.333, 9.333}, {2.25, 6.25}, {
       2.125, 6}, {2, 6}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{6.5, 7.75}, {4, 5.25}, {4, 5}, {3.4210000000000003`, 
       4.921}, {3, 5}, {2.66, 5.16}, {2.382, 5.382}, {2.271, 5.521}, {5.167, 
       8.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{2, -1}, {2.16, -1.34}, {2.382, -1.6179999999999999`}, {
       2.66, -1.8399999999999999`}, {3, -2}, {
       3.4210000000000003`, -2.0789999999999997`}, {4, -2}, {4, 5}, {
       3.4210000000000003`, 4.921}, {3, 5}, {2.66, 5.16}, {2.382, 5.382}, {
       2.16, 5.66}, {2, 6}, {2, -1}}], LineBox[{{5.167, 8.417}, {6.5, 7.75}}],
      LineBox[{{4.25, 5.25}, {4.25, -1.75}, {7.333, 1.3330000000000002`}, {
       7.333, 8.333}, {4.25, 5.25}, {4, 5.125}}], 
     LineBox[{{2, 6}, {2.25, 6}, {5.5, 9.25}}], 
     LineBox[{{4, 5}, {4, 5.25}, {7.167, 8.417}, {7.333, 8.333}}], 
     LineBox[{{2.25, 5.547}, {2.25, 6}}], 
     LineBox[{{2.125, 6}, {2.25, 6.25}, {5.333, 9.333}, {5.5, 9.25}, {5.5, 
       8.25}}]}}, {
    {RGBColor[0, 1, 1], 
     PolygonBox[{{4, -2}, {4.16, -2.34}, {4.382, -2.618}, {4.66, -2.84}, {
       5, -3}, {5.421, -3.0789999999999997`}, {6, -3}, {6, -2.875}, {
       6.25, -2.75}, {9.333, 0.3330000000000002}, {9.333, 7.333}, {9.167, 
       7.417}, {7.5, 5.75}, {7.5, 8.25}, {7.333, 8.333}, {4.25, 5.25}, {
       4.125, 5}, {4, 5}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{8.5, 6.75}, {6, 4.25}, {6, 4}, {5.421, 
       3.9210000000000003`}, {5, 4}, {4.66, 4.16}, {4.382, 4.382}, {4.271, 
       4.521}, {7.167, 7.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{4, -2}, {4.16, -2.34}, {4.382, -2.618}, {4.66, -2.84}, {
       5, -3}, {5.421, -3.0789999999999997`}, {6, -3}, {6, 4}, {5.421, 
       3.9210000000000003`}, {5, 4}, {4.66, 4.16}, {4.382, 4.382}, {4.16, 
       4.66}, {4, 5}, {4, -2}}], LineBox[{{7.167, 7.417}, {8.5, 6.75}}], 
     LineBox[{{6.25, 4.25}, {6.25, -2.75}, {9.333, 0.3330000000000002}, {
       9.333, 7.333}, {6.25, 4.25}, {6, 4.125}}], 
     LineBox[{{4, 5}, {4.25, 5}, {7.5, 8.25}}], 
     LineBox[{{6, 4}, {6, 4.25}, {9.167, 7.417}, {9.333, 7.333}}], 
     LineBox[{{4.25, 4.547}, {4.25, 5}}], 
     LineBox[{{4.125, 5}, {4.25, 5.25}, {7.333, 8.333}, {7.5, 8.25}, {7.5, 
       7.25}}]}}, {
    {RGBColor[1, 0, 0], 
     PolygonBox[{{6, -3}, {6.16, -3.34}, {6.382, -3.618}, {6.66, -3.84}, {
       7, -4}, {7.421, -4.079}, {8, -4}, {8, -3.875}, {8.25, -3.75}, {
       11.333, -0.6669999999999998}, {11.333, 6.333}, {11.167, 6.417}, {9.5, 
       4.75}, {9.5, 7.25}, {9.333, 7.333}, {6.25, 4.25}, {6.125, 4}, {6, 
       4}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{10.5, 5.75}, {8, 3.25}, {8, 3}, {7.421, 
       2.9210000000000003`}, {7, 3}, {6.66, 3.16}, {6.382, 
       3.3819999999999997`}, {6.271, 3.521}, {9.167, 6.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{6, -3}, {6.16, -3.34}, {6.382, -3.618}, {6.66, -3.84}, {
       7, -4}, {7.421, -4.079}, {8, -4}, {8, 3}, {7.421, 
       2.9210000000000003`}, {7, 3}, {6.66, 3.16}, {6.382, 
       3.3819999999999997`}, {6.16, 3.66}, {6, 4}, {6, -3}}], 
     LineBox[{{9.167, 6.417}, {10.5, 5.75}}], 
     LineBox[{{8.25, 3.25}, {8.25, -3.75}, {11.333, -0.6669999999999998}, {
       11.333, 6.333}, {8.25, 3.25}, {8, 3.125}}], 
     LineBox[{{6, 4}, {6.25, 4}, {9.5, 7.25}}], 
     LineBox[{{8, 3}, {8, 3.25}, {11.167, 6.417}, {11.333, 6.333}}], 
     LineBox[{{6.25, 3.5469999999999997`}, {6.25, 4}}], 
     LineBox[{{6.125, 4}, {6.25, 4.25}, {9.333, 7.333}, {9.5, 7.25}, {9.5, 
       6.25}}]}}},
  AspectRatio->Automatic,
  ImageSize->{161.20755116233244`, Automatic}]], "Print",
 CellChangeTimes->{3.422635438640625*^9, 3.44267268219575*^9, 
  3.4426727867895*^9}]
}, Open  ]],

Cell["Finally, we can leave the books alone.", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["MoveBooks[Stay]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.44267278807075*^9, 3.442672789586375*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{{
    {RGBColor[0, 1, 0], 
     PolygonBox[{{0, 0}, {0.16, -0.34}, {0.382, -0.618}, {0.66, -0.84}, {
       1, -1}, {1.421, -1.079}, {2, -1}, {2, -0.875}, {2.25, -0.75}, {5.333, 
       2.333}, {5.333, 9.333}, {5.167, 9.417}, {3.5, 7.75}, {3.5, 10.25}, {
       3.333, 10.333}, {0.25, 7.25}, {0.125, 7}, {0, 7}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{4.5, 8.75}, {2, 6.25}, {2, 6}, {1.421, 5.921}, {1, 6}, {
       0.66, 6.16}, {0.382, 6.382}, {0.271, 6.521}, {3.167, 9.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{0, 0}, {0.16, -0.34}, {0.382, -0.618}, {0.66, -0.84}, {
       1, -1}, {1.421, -1.079}, {2, -1}, {2, 6}, {1.421, 5.921}, {1, 6}, {
       0.66, 6.16}, {0.382, 6.382}, {0.16, 6.66}, {0, 7}, {0, 0}}], 
     LineBox[{{3.167, 9.417}, {4.5, 8.75}}], 
     LineBox[{{2.25, 6.25}, {2.25, -0.75}, {5.333, 2.333}, {5.333, 9.333}, {
       2.25, 6.25}, {2, 6.125}}], LineBox[{{0, 7}, {0.25, 7}, {3.5, 10.25}}], 
     LineBox[{{2, 6}, {2, 6.25}, {5.167, 9.417}, {5.333, 9.333}}], 
     LineBox[{{0.25, 6.547}, {0.25, 7}}], 
     LineBox[{{0.125, 7}, {0.25, 7.25}, {3.333, 10.333}, {3.5, 10.25}, {3.5, 
       9.25}}]}}, {
    {RGBColor[0.6, 0.4, 0.8], 
     PolygonBox[{{2, -1}, {2.16, -1.34}, {2.382, -1.6179999999999999`}, {
       2.66, -1.8399999999999999`}, {3, -2}, {
       3.4210000000000003`, -2.0789999999999997`}, {4, -2}, {4, -1.875}, {
       4.25, -1.75}, {7.333, 1.3330000000000002`}, {7.333, 8.333}, {7.167, 
       8.417}, {5.5, 6.75}, {5.5, 9.25}, {5.333, 9.333}, {2.25, 6.25}, {
       2.125, 6}, {2, 6}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{6.5, 7.75}, {4, 5.25}, {4, 5}, {3.4210000000000003`, 
       4.921}, {3, 5}, {2.66, 5.16}, {2.382, 5.382}, {2.271, 5.521}, {5.167, 
       8.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{2, -1}, {2.16, -1.34}, {2.382, -1.6179999999999999`}, {
       2.66, -1.8399999999999999`}, {3, -2}, {
       3.4210000000000003`, -2.0789999999999997`}, {4, -2}, {4, 5}, {
       3.4210000000000003`, 4.921}, {3, 5}, {2.66, 5.16}, {2.382, 5.382}, {
       2.16, 5.66}, {2, 6}, {2, -1}}], LineBox[{{5.167, 8.417}, {6.5, 7.75}}],
      LineBox[{{4.25, 5.25}, {4.25, -1.75}, {7.333, 1.3330000000000002`}, {
       7.333, 8.333}, {4.25, 5.25}, {4, 5.125}}], 
     LineBox[{{2, 6}, {2.25, 6}, {5.5, 9.25}}], 
     LineBox[{{4, 5}, {4, 5.25}, {7.167, 8.417}, {7.333, 8.333}}], 
     LineBox[{{2.25, 5.547}, {2.25, 6}}], 
     LineBox[{{2.125, 6}, {2.25, 6.25}, {5.333, 9.333}, {5.5, 9.25}, {5.5, 
       8.25}}]}}, {
    {RGBColor[0, 1, 1], 
     PolygonBox[{{4, -2}, {4.16, -2.34}, {4.382, -2.618}, {4.66, -2.84}, {
       5, -3}, {5.421, -3.0789999999999997`}, {6, -3}, {6, -2.875}, {
       6.25, -2.75}, {9.333, 0.3330000000000002}, {9.333, 7.333}, {9.167, 
       7.417}, {7.5, 5.75}, {7.5, 8.25}, {7.333, 8.333}, {4.25, 5.25}, {
       4.125, 5}, {4, 5}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{8.5, 6.75}, {6, 4.25}, {6, 4}, {5.421, 
       3.9210000000000003`}, {5, 4}, {4.66, 4.16}, {4.382, 4.382}, {4.271, 
       4.521}, {7.167, 7.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{4, -2}, {4.16, -2.34}, {4.382, -2.618}, {4.66, -2.84}, {
       5, -3}, {5.421, -3.0789999999999997`}, {6, -3}, {6, 4}, {5.421, 
       3.9210000000000003`}, {5, 4}, {4.66, 4.16}, {4.382, 4.382}, {4.16, 
       4.66}, {4, 5}, {4, -2}}], LineBox[{{7.167, 7.417}, {8.5, 6.75}}], 
     LineBox[{{6.25, 4.25}, {6.25, -2.75}, {9.333, 0.3330000000000002}, {
       9.333, 7.333}, {6.25, 4.25}, {6, 4.125}}], 
     LineBox[{{4, 5}, {4.25, 5}, {7.5, 8.25}}], 
     LineBox[{{6, 4}, {6, 4.25}, {9.167, 7.417}, {9.333, 7.333}}], 
     LineBox[{{4.25, 4.547}, {4.25, 5}}], 
     LineBox[{{4.125, 5}, {4.25, 5.25}, {7.333, 8.333}, {7.5, 8.25}, {7.5, 
       7.25}}]}}, {
    {RGBColor[1, 0, 0], 
     PolygonBox[{{6, -3}, {6.16, -3.34}, {6.382, -3.618}, {6.66, -3.84}, {
       7, -4}, {7.421, -4.079}, {8, -4}, {8, -3.875}, {8.25, -3.75}, {
       11.333, -0.6669999999999998}, {11.333, 6.333}, {11.167, 6.417}, {9.5, 
       4.75}, {9.5, 7.25}, {9.333, 7.333}, {6.25, 4.25}, {6.125, 4}, {6, 
       4}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{10.5, 5.75}, {8, 3.25}, {8, 3}, {7.421, 
       2.9210000000000003`}, {7, 3}, {6.66, 3.16}, {6.382, 
       3.3819999999999997`}, {6.271, 3.521}, {9.167, 6.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{6, -3}, {6.16, -3.34}, {6.382, -3.618}, {6.66, -3.84}, {
       7, -4}, {7.421, -4.079}, {8, -4}, {8, 3}, {7.421, 
       2.9210000000000003`}, {7, 3}, {6.66, 3.16}, {6.382, 
       3.3819999999999997`}, {6.16, 3.66}, {6, 4}, {6, -3}}], 
     LineBox[{{9.167, 6.417}, {10.5, 5.75}}], 
     LineBox[{{8.25, 3.25}, {8.25, -3.75}, {11.333, -0.6669999999999998}, {
       11.333, 6.333}, {8.25, 3.25}, {8, 3.125}}], 
     LineBox[{{6, 4}, {6.25, 4}, {9.5, 7.25}}], 
     LineBox[{{8, 3}, {8, 3.25}, {11.167, 6.417}, {11.333, 6.333}}], 
     LineBox[{{6.25, 3.5469999999999997`}, {6.25, 4}}], 
     LineBox[{{6.125, 4}, {6.25, 4.25}, {9.333, 7.333}, {9.5, 7.25}, {9.5, 
       6.25}}]}}},
  AspectRatio->Automatic,
  ImageSize->{153.20755116233224`, Automatic}]], "Print",
 CellChangeTimes->{3.42263544440625*^9, 3.442672683586375*^9, 
  3.442672791727*^9}]
}, Open  ]],

Cell["\<\
For three books, any permutation can be obtained by just one of these 6 \
commands. But it is apparent that with four books, there are even more ways \
to rearrange the books. One possible operation would be to move the left-most \
book two positions to the right. This can be accomplished by the sequence\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["MoveBooks[Left . Last]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{{
    {RGBColor[0.6, 0.4, 0.8], 
     PolygonBox[{{0, 0}, {0.16, -0.34}, {0.382, -0.618}, {0.66, -0.84}, {
       1, -1}, {1.421, -1.079}, {2, -1}, {2, -0.875}, {2.25, -0.75}, {5.333, 
       2.333}, {5.333, 9.333}, {5.167, 9.417}, {3.5, 7.75}, {3.5, 10.25}, {
       3.333, 10.333}, {0.25, 7.25}, {0.125, 7}, {0, 7}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{4.5, 8.75}, {2, 6.25}, {2, 6}, {1.421, 5.921}, {1, 6}, {
       0.66, 6.16}, {0.382, 6.382}, {0.271, 6.521}, {3.167, 9.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{0, 0}, {0.16, -0.34}, {0.382, -0.618}, {0.66, -0.84}, {
       1, -1}, {1.421, -1.079}, {2, -1}, {2, 6}, {1.421, 5.921}, {1, 6}, {
       0.66, 6.16}, {0.382, 6.382}, {0.16, 6.66}, {0, 7}, {0, 0}}], 
     LineBox[{{3.167, 9.417}, {4.5, 8.75}}], 
     LineBox[{{2.25, 6.25}, {2.25, -0.75}, {5.333, 2.333}, {5.333, 9.333}, {
       2.25, 6.25}, {2, 6.125}}], LineBox[{{0, 7}, {0.25, 7}, {3.5, 10.25}}], 
     LineBox[{{2, 6}, {2, 6.25}, {5.167, 9.417}, {5.333, 9.333}}], 
     LineBox[{{0.25, 6.547}, {0.25, 7}}], 
     LineBox[{{0.125, 7}, {0.25, 7.25}, {3.333, 10.333}, {3.5, 10.25}, {3.5, 
       9.25}}]}}, {
    {RGBColor[0, 1, 1], 
     PolygonBox[{{2, -1}, {2.16, -1.34}, {2.382, -1.6179999999999999`}, {
       2.66, -1.8399999999999999`}, {3, -2}, {
       3.4210000000000003`, -2.0789999999999997`}, {4, -2}, {4, -1.875}, {
       4.25, -1.75}, {7.333, 1.3330000000000002`}, {7.333, 8.333}, {7.167, 
       8.417}, {5.5, 6.75}, {5.5, 9.25}, {5.333, 9.333}, {2.25, 6.25}, {
       2.125, 6}, {2, 6}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{6.5, 7.75}, {4, 5.25}, {4, 5}, {3.4210000000000003`, 
       4.921}, {3, 5}, {2.66, 5.16}, {2.382, 5.382}, {2.271, 5.521}, {5.167, 
       8.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{2, -1}, {2.16, -1.34}, {2.382, -1.6179999999999999`}, {
       2.66, -1.8399999999999999`}, {3, -2}, {
       3.4210000000000003`, -2.0789999999999997`}, {4, -2}, {4, 5}, {
       3.4210000000000003`, 4.921}, {3, 5}, {2.66, 5.16}, {2.382, 5.382}, {
       2.16, 5.66}, {2, 6}, {2, -1}}], LineBox[{{5.167, 8.417}, {6.5, 7.75}}],
      LineBox[{{4.25, 5.25}, {4.25, -1.75}, {7.333, 1.3330000000000002`}, {
       7.333, 8.333}, {4.25, 5.25}, {4, 5.125}}], 
     LineBox[{{2, 6}, {2.25, 6}, {5.5, 9.25}}], 
     LineBox[{{4, 5}, {4, 5.25}, {7.167, 8.417}, {7.333, 8.333}}], 
     LineBox[{{2.25, 5.547}, {2.25, 6}}], 
     LineBox[{{2.125, 6}, {2.25, 6.25}, {5.333, 9.333}, {5.5, 9.25}, {5.5, 
       8.25}}]}}, {
    {RGBColor[1, 0, 0], 
     PolygonBox[{{4, -2}, {4.16, -2.34}, {4.382, -2.618}, {4.66, -2.84}, {
       5, -3}, {5.421, -3.0789999999999997`}, {6, -3}, {6, -2.875}, {
       6.25, -2.75}, {9.333, 0.3330000000000002}, {9.333, 7.333}, {9.167, 
       7.417}, {7.5, 5.75}, {7.5, 8.25}, {7.333, 8.333}, {4.25, 5.25}, {
       4.125, 5}, {4, 5}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{8.5, 6.75}, {6, 4.25}, {6, 4}, {5.421, 
       3.9210000000000003`}, {5, 4}, {4.66, 4.16}, {4.382, 4.382}, {4.271, 
       4.521}, {7.167, 7.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{4, -2}, {4.16, -2.34}, {4.382, -2.618}, {4.66, -2.84}, {
       5, -3}, {5.421, -3.0789999999999997`}, {6, -3}, {6, 4}, {5.421, 
       3.9210000000000003`}, {5, 4}, {4.66, 4.16}, {4.382, 4.382}, {4.16, 
       4.66}, {4, 5}, {4, -2}}], LineBox[{{7.167, 7.417}, {8.5, 6.75}}], 
     LineBox[{{6.25, 4.25}, {6.25, -2.75}, {9.333, 0.3330000000000002}, {
       9.333, 7.333}, {6.25, 4.25}, {6, 4.125}}], 
     LineBox[{{4, 5}, {4.25, 5}, {7.5, 8.25}}], 
     LineBox[{{6, 4}, {6, 4.25}, {9.167, 7.417}, {9.333, 7.333}}], 
     LineBox[{{4.25, 4.547}, {4.25, 5}}], 
     LineBox[{{4.125, 5}, {4.25, 5.25}, {7.333, 8.333}, {7.5, 8.25}, {7.5, 
       7.25}}]}}, {
    {RGBColor[0, 1, 0], 
     PolygonBox[{{6, -3}, {6.16, -3.34}, {6.382, -3.618}, {6.66, -3.84}, {
       7, -4}, {7.421, -4.079}, {8, -4}, {8, -3.875}, {8.25, -3.75}, {
       11.333, -0.6669999999999998}, {11.333, 6.333}, {11.167, 6.417}, {9.5, 
       4.75}, {9.5, 7.25}, {9.333, 7.333}, {6.25, 4.25}, {6.125, 4}, {6, 
       4}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{10.5, 5.75}, {8, 3.25}, {8, 3}, {7.421, 
       2.9210000000000003`}, {7, 3}, {6.66, 3.16}, {6.382, 
       3.3819999999999997`}, {6.271, 3.521}, {9.167, 6.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{6, -3}, {6.16, -3.34}, {6.382, -3.618}, {6.66, -3.84}, {
       7, -4}, {7.421, -4.079}, {8, -4}, {8, 3}, {7.421, 
       2.9210000000000003`}, {7, 3}, {6.66, 3.16}, {6.382, 
       3.3819999999999997`}, {6.16, 3.66}, {6, 4}, {6, -3}}], 
     LineBox[{{9.167, 6.417}, {10.5, 5.75}}], 
     LineBox[{{8.25, 3.25}, {8.25, -3.75}, {11.333, -0.6669999999999998}, {
       11.333, 6.333}, {8.25, 3.25}, {8, 3.125}}], 
     LineBox[{{6, 4}, {6.25, 4}, {9.5, 7.25}}], 
     LineBox[{{8, 3}, {8, 3.25}, {11.167, 6.417}, {11.333, 6.333}}], 
     LineBox[{{6.25, 3.5469999999999997`}, {6.25, 4}}], 
     LineBox[{{6.125, 4}, {6.25, 4.25}, {9.333, 7.333}, {9.5, 7.25}, {9.5, 
       6.25}}]}}},
  AspectRatio->Automatic]], "Print",
 CellChangeTimes->{3.42263546178125*^9, 3.44267268513325*^9, 
  3.442672793430125*^9}],

Cell[BoxData[
 GraphicsBox[{{
    {RGBColor[0.6, 0.4, 0.8], 
     PolygonBox[{{0, 0}, {0.16, -0.34}, {0.382, -0.618}, {0.66, -0.84}, {
       1, -1}, {1.421, -1.079}, {2, -1}, {2, -0.875}, {2.25, -0.75}, {5.333, 
       2.333}, {5.333, 9.333}, {5.167, 9.417}, {3.5, 7.75}, {3.5, 10.25}, {
       3.333, 10.333}, {0.25, 7.25}, {0.125, 7}, {0, 7}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{4.5, 8.75}, {2, 6.25}, {2, 6}, {1.421, 5.921}, {1, 6}, {
       0.66, 6.16}, {0.382, 6.382}, {0.271, 6.521}, {3.167, 9.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{0, 0}, {0.16, -0.34}, {0.382, -0.618}, {0.66, -0.84}, {
       1, -1}, {1.421, -1.079}, {2, -1}, {2, 6}, {1.421, 5.921}, {1, 6}, {
       0.66, 6.16}, {0.382, 6.382}, {0.16, 6.66}, {0, 7}, {0, 0}}], 
     LineBox[{{3.167, 9.417}, {4.5, 8.75}}], 
     LineBox[{{2.25, 6.25}, {2.25, -0.75}, {5.333, 2.333}, {5.333, 9.333}, {
       2.25, 6.25}, {2, 6.125}}], LineBox[{{0, 7}, {0.25, 7}, {3.5, 10.25}}], 
     LineBox[{{2, 6}, {2, 6.25}, {5.167, 9.417}, {5.333, 9.333}}], 
     LineBox[{{0.25, 6.547}, {0.25, 7}}], 
     LineBox[{{0.125, 7}, {0.25, 7.25}, {3.333, 10.333}, {3.5, 10.25}, {3.5, 
       9.25}}]}}, {
    {RGBColor[0, 1, 1], 
     PolygonBox[{{2, -1}, {2.16, -1.34}, {2.382, -1.6179999999999999`}, {
       2.66, -1.8399999999999999`}, {3, -2}, {
       3.4210000000000003`, -2.0789999999999997`}, {4, -2}, {4, -1.875}, {
       4.25, -1.75}, {7.333, 1.3330000000000002`}, {7.333, 8.333}, {7.167, 
       8.417}, {5.5, 6.75}, {5.5, 9.25}, {5.333, 9.333}, {2.25, 6.25}, {
       2.125, 6}, {2, 6}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{6.5, 7.75}, {4, 5.25}, {4, 5}, {3.4210000000000003`, 
       4.921}, {3, 5}, {2.66, 5.16}, {2.382, 5.382}, {2.271, 5.521}, {5.167, 
       8.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{2, -1}, {2.16, -1.34}, {2.382, -1.6179999999999999`}, {
       2.66, -1.8399999999999999`}, {3, -2}, {
       3.4210000000000003`, -2.0789999999999997`}, {4, -2}, {4, 5}, {
       3.4210000000000003`, 4.921}, {3, 5}, {2.66, 5.16}, {2.382, 5.382}, {
       2.16, 5.66}, {2, 6}, {2, -1}}], LineBox[{{5.167, 8.417}, {6.5, 7.75}}],
      LineBox[{{4.25, 5.25}, {4.25, -1.75}, {7.333, 1.3330000000000002`}, {
       7.333, 8.333}, {4.25, 5.25}, {4, 5.125}}], 
     LineBox[{{2, 6}, {2.25, 6}, {5.5, 9.25}}], 
     LineBox[{{4, 5}, {4, 5.25}, {7.167, 8.417}, {7.333, 8.333}}], 
     LineBox[{{2.25, 5.547}, {2.25, 6}}], 
     LineBox[{{2.125, 6}, {2.25, 6.25}, {5.333, 9.333}, {5.5, 9.25}, {5.5, 
       8.25}}]}}, {
    {RGBColor[0, 1, 0], 
     PolygonBox[{{4, -2}, {4.16, -2.34}, {4.382, -2.618}, {4.66, -2.84}, {
       5, -3}, {5.421, -3.0789999999999997`}, {6, -3}, {6, -2.875}, {
       6.25, -2.75}, {9.333, 0.3330000000000002}, {9.333, 7.333}, {9.167, 
       7.417}, {7.5, 5.75}, {7.5, 8.25}, {7.333, 8.333}, {4.25, 5.25}, {
       4.125, 5}, {4, 5}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{8.5, 6.75}, {6, 4.25}, {6, 4}, {5.421, 
       3.9210000000000003`}, {5, 4}, {4.66, 4.16}, {4.382, 4.382}, {4.271, 
       4.521}, {7.167, 7.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{4, -2}, {4.16, -2.34}, {4.382, -2.618}, {4.66, -2.84}, {
       5, -3}, {5.421, -3.0789999999999997`}, {6, -3}, {6, 4}, {5.421, 
       3.9210000000000003`}, {5, 4}, {4.66, 4.16}, {4.382, 4.382}, {4.16, 
       4.66}, {4, 5}, {4, -2}}], LineBox[{{7.167, 7.417}, {8.5, 6.75}}], 
     LineBox[{{6.25, 4.25}, {6.25, -2.75}, {9.333, 0.3330000000000002}, {
       9.333, 7.333}, {6.25, 4.25}, {6, 4.125}}], 
     LineBox[{{4, 5}, {4.25, 5}, {7.5, 8.25}}], 
     LineBox[{{6, 4}, {6, 4.25}, {9.167, 7.417}, {9.333, 7.333}}], 
     LineBox[{{4.25, 4.547}, {4.25, 5}}], 
     LineBox[{{4.125, 5}, {4.25, 5.25}, {7.333, 8.333}, {7.5, 8.25}, {7.5, 
       7.25}}]}}, {
    {RGBColor[1, 0, 0], 
     PolygonBox[{{6, -3}, {6.16, -3.34}, {6.382, -3.618}, {6.66, -3.84}, {
       7, -4}, {7.421, -4.079}, {8, -4}, {8, -3.875}, {8.25, -3.75}, {
       11.333, -0.6669999999999998}, {11.333, 6.333}, {11.167, 6.417}, {9.5, 
       4.75}, {9.5, 7.25}, {9.333, 7.333}, {6.25, 4.25}, {6.125, 4}, {6, 
       4}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{10.5, 5.75}, {8, 3.25}, {8, 3}, {7.421, 
       2.9210000000000003`}, {7, 3}, {6.66, 3.16}, {6.382, 
       3.3819999999999997`}, {6.271, 3.521}, {9.167, 6.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{6, -3}, {6.16, -3.34}, {6.382, -3.618}, {6.66, -3.84}, {
       7, -4}, {7.421, -4.079}, {8, -4}, {8, 3}, {7.421, 
       2.9210000000000003`}, {7, 3}, {6.66, 3.16}, {6.382, 
       3.3819999999999997`}, {6.16, 3.66}, {6, 4}, {6, -3}}], 
     LineBox[{{9.167, 6.417}, {10.5, 5.75}}], 
     LineBox[{{8.25, 3.25}, {8.25, -3.75}, {11.333, -0.6669999999999998}, {
       11.333, 6.333}, {8.25, 3.25}, {8, 3.125}}], 
     LineBox[{{6, 4}, {6.25, 4}, {9.5, 7.25}}], 
     LineBox[{{8, 3}, {8, 3.25}, {11.167, 6.417}, {11.333, 6.333}}], 
     LineBox[{{6.25, 3.5469999999999997`}, {6.25, 4}}], 
     LineBox[{{6.125, 4}, {6.25, 4.25}, {9.333, 7.333}, {9.5, 7.25}, {9.5, 
       6.25}}]}}},
  AspectRatio->Automatic]], "Print",
 CellChangeTimes->{3.42263546178125*^9, 3.44267268513325*^9, 
  3.442672793461375*^9}]
}, Open  ]],

Cell["\<\
EXPERIMENT:
Using just the 6 commands mentioned above, put the books back into their \
original positions. (Blue, Red, Green, Purple) Try doing this using the \
fewest number of commands.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["       ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell["\<\
This experment shows that it can be somewhat tricky to represent any \
permutation order using only a few commands. The more books there are, the \
more of a puzzle this can be. Let us introduce a notation for a permutation \
of books that explicitly states where each book ends up.

One natural way to do this is to notice exactly where each of the books end \
up, in reference to their initial positions.  For example, if we put the \
books in their original order, \
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.42263558378125*^9, 3.42263563965625*^9}}],

Cell[CellGroupData[{

Cell["InitBooks[4]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{{
    {RGBColor[0, 1, 1], 
     PolygonBox[{{0, 0}, {0.16, -0.34}, {0.382, -0.618}, {0.66, -0.84}, {
       1, -1}, {1.421, -1.079}, {2, -1}, {2, -0.875}, {2.25, -0.75}, {5.333, 
       2.333}, {5.333, 9.333}, {5.167, 9.417}, {3.5, 7.75}, {3.5, 10.25}, {
       3.333, 10.333}, {0.25, 7.25}, {0.125, 7}, {0, 7}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{4.5, 8.75}, {2, 6.25}, {2, 6}, {1.421, 5.921}, {1, 6}, {
       0.66, 6.16}, {0.382, 6.382}, {0.271, 6.521}, {3.167, 9.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{0, 0}, {0.16, -0.34}, {0.382, -0.618}, {0.66, -0.84}, {
       1, -1}, {1.421, -1.079}, {2, -1}, {2, 6}, {1.421, 5.921}, {1, 6}, {
       0.66, 6.16}, {0.382, 6.382}, {0.16, 6.66}, {0, 7}, {0, 0}}], 
     LineBox[{{3.167, 9.417}, {4.5, 8.75}}], 
     LineBox[{{2.25, 6.25}, {2.25, -0.75}, {5.333, 2.333}, {5.333, 9.333}, {
       2.25, 6.25}, {2, 6.125}}], LineBox[{{0, 7}, {0.25, 7}, {3.5, 10.25}}], 
     LineBox[{{2, 6}, {2, 6.25}, {5.167, 9.417}, {5.333, 9.333}}], 
     LineBox[{{0.25, 6.547}, {0.25, 7}}], 
     LineBox[{{0.125, 7}, {0.25, 7.25}, {3.333, 10.333}, {3.5, 10.25}, {3.5, 
       9.25}}]}}, {
    {RGBColor[1, 0, 0], 
     PolygonBox[{{2, -1}, {2.16, -1.34}, {2.382, -1.6179999999999999`}, {
       2.66, -1.8399999999999999`}, {3, -2}, {
       3.4210000000000003`, -2.0789999999999997`}, {4, -2}, {4, -1.875}, {
       4.25, -1.75}, {7.333, 1.3330000000000002`}, {7.333, 8.333}, {7.167, 
       8.417}, {5.5, 6.75}, {5.5, 9.25}, {5.333, 9.333}, {2.25, 6.25}, {
       2.125, 6}, {2, 6}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{6.5, 7.75}, {4, 5.25}, {4, 5}, {3.4210000000000003`, 
       4.921}, {3, 5}, {2.66, 5.16}, {2.382, 5.382}, {2.271, 5.521}, {5.167, 
       8.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{2, -1}, {2.16, -1.34}, {2.382, -1.6179999999999999`}, {
       2.66, -1.8399999999999999`}, {3, -2}, {
       3.4210000000000003`, -2.0789999999999997`}, {4, -2}, {4, 5}, {
       3.4210000000000003`, 4.921}, {3, 5}, {2.66, 5.16}, {2.382, 5.382}, {
       2.16, 5.66}, {2, 6}, {2, -1}}], LineBox[{{5.167, 8.417}, {6.5, 7.75}}],
      LineBox[{{4.25, 5.25}, {4.25, -1.75}, {7.333, 1.3330000000000002`}, {
       7.333, 8.333}, {4.25, 5.25}, {4, 5.125}}], 
     LineBox[{{2, 6}, {2.25, 6}, {5.5, 9.25}}], 
     LineBox[{{4, 5}, {4, 5.25}, {7.167, 8.417}, {7.333, 8.333}}], 
     LineBox[{{2.25, 5.547}, {2.25, 6}}], 
     LineBox[{{2.125, 6}, {2.25, 6.25}, {5.333, 9.333}, {5.5, 9.25}, {5.5, 
       8.25}}]}}, {
    {RGBColor[0, 1, 0], 
     PolygonBox[{{4, -2}, {4.16, -2.34}, {4.382, -2.618}, {4.66, -2.84}, {
       5, -3}, {5.421, -3.0789999999999997`}, {6, -3}, {6, -2.875}, {
       6.25, -2.75}, {9.333, 0.3330000000000002}, {9.333, 7.333}, {9.167, 
       7.417}, {7.5, 5.75}, {7.5, 8.25}, {7.333, 8.333}, {4.25, 5.25}, {
       4.125, 5}, {4, 5}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{8.5, 6.75}, {6, 4.25}, {6, 4}, {5.421, 
       3.9210000000000003`}, {5, 4}, {4.66, 4.16}, {4.382, 4.382}, {4.271, 
       4.521}, {7.167, 7.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{4, -2}, {4.16, -2.34}, {4.382, -2.618}, {4.66, -2.84}, {
       5, -3}, {5.421, -3.0789999999999997`}, {6, -3}, {6, 4}, {5.421, 
       3.9210000000000003`}, {5, 4}, {4.66, 4.16}, {4.382, 4.382}, {4.16, 
       4.66}, {4, 5}, {4, -2}}], LineBox[{{7.167, 7.417}, {8.5, 6.75}}], 
     LineBox[{{6.25, 4.25}, {6.25, -2.75}, {9.333, 0.3330000000000002}, {
       9.333, 7.333}, {6.25, 4.25}, {6, 4.125}}], 
     LineBox[{{4, 5}, {4.25, 5}, {7.5, 8.25}}], 
     LineBox[{{6, 4}, {6, 4.25}, {9.167, 7.417}, {9.333, 7.333}}], 
     LineBox[{{4.25, 4.547}, {4.25, 5}}], 
     LineBox[{{4.125, 5}, {4.25, 5.25}, {7.333, 8.333}, {7.5, 8.25}, {7.5, 
       7.25}}]}}, {
    {RGBColor[0.6, 0.4, 0.8], 
     PolygonBox[{{6, -3}, {6.16, -3.34}, {6.382, -3.618}, {6.66, -3.84}, {
       7, -4}, {7.421, -4.079}, {8, -4}, {8, -3.875}, {8.25, -3.75}, {
       11.333, -0.6669999999999998}, {11.333, 6.333}, {11.167, 6.417}, {9.5, 
       4.75}, {9.5, 7.25}, {9.333, 7.333}, {6.25, 4.25}, {6.125, 4}, {6, 
       4}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{10.5, 5.75}, {8, 3.25}, {8, 3}, {7.421, 
       2.9210000000000003`}, {7, 3}, {6.66, 3.16}, {6.382, 
       3.3819999999999997`}, {6.271, 3.521}, {9.167, 6.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{6, -3}, {6.16, -3.34}, {6.382, -3.618}, {6.66, -3.84}, {
       7, -4}, {7.421, -4.079}, {8, -4}, {8, 3}, {7.421, 
       2.9210000000000003`}, {7, 3}, {6.66, 3.16}, {6.382, 
       3.3819999999999997`}, {6.16, 3.66}, {6, 4}, {6, -3}}], 
     LineBox[{{9.167, 6.417}, {10.5, 5.75}}], 
     LineBox[{{8.25, 3.25}, {8.25, -3.75}, {11.333, -0.6669999999999998}, {
       11.333, 6.333}, {8.25, 3.25}, {8, 3.125}}], 
     LineBox[{{6, 4}, {6.25, 4}, {9.5, 7.25}}], 
     LineBox[{{8, 3}, {8, 3.25}, {11.167, 6.417}, {11.333, 6.333}}], 
     LineBox[{{6.25, 3.5469999999999997`}, {6.25, 4}}], 
     LineBox[{{6.125, 4}, {6.25, 4.25}, {9.333, 7.333}, {9.5, 7.25}, {9.5, 
       6.25}}]}}},
  AspectRatio->Automatic,
  ImageSize->{165.87421782899892`, Automatic}]], "Print",
 CellChangeTimes->{3.422635490421875*^9, 3.442672687367625*^9, 
  3.44267279532075*^9}]
}, Open  ]],

Cell["and then shift the books to the left,", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4226356461875*^9, 3.42263566315625*^9}}],

Cell[CellGroupData[{

Cell["MoveBooks[Left]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{{
    {RGBColor[1, 0, 0], 
     PolygonBox[{{0, 0}, {0.16, -0.34}, {0.382, -0.618}, {0.66, -0.84}, {
       1, -1}, {1.421, -1.079}, {2, -1}, {2, -0.875}, {2.25, -0.75}, {5.333, 
       2.333}, {5.333, 9.333}, {5.167, 9.417}, {3.5, 7.75}, {3.5, 10.25}, {
       3.333, 10.333}, {0.25, 7.25}, {0.125, 7}, {0, 7}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{4.5, 8.75}, {2, 6.25}, {2, 6}, {1.421, 5.921}, {1, 6}, {
       0.66, 6.16}, {0.382, 6.382}, {0.271, 6.521}, {3.167, 9.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{0, 0}, {0.16, -0.34}, {0.382, -0.618}, {0.66, -0.84}, {
       1, -1}, {1.421, -1.079}, {2, -1}, {2, 6}, {1.421, 5.921}, {1, 6}, {
       0.66, 6.16}, {0.382, 6.382}, {0.16, 6.66}, {0, 7}, {0, 0}}], 
     LineBox[{{3.167, 9.417}, {4.5, 8.75}}], 
     LineBox[{{2.25, 6.25}, {2.25, -0.75}, {5.333, 2.333}, {5.333, 9.333}, {
       2.25, 6.25}, {2, 6.125}}], LineBox[{{0, 7}, {0.25, 7}, {3.5, 10.25}}], 
     LineBox[{{2, 6}, {2, 6.25}, {5.167, 9.417}, {5.333, 9.333}}], 
     LineBox[{{0.25, 6.547}, {0.25, 7}}], 
     LineBox[{{0.125, 7}, {0.25, 7.25}, {3.333, 10.333}, {3.5, 10.25}, {3.5, 
       9.25}}]}}, {
    {RGBColor[0, 1, 0], 
     PolygonBox[{{2, -1}, {2.16, -1.34}, {2.382, -1.6179999999999999`}, {
       2.66, -1.8399999999999999`}, {3, -2}, {
       3.4210000000000003`, -2.0789999999999997`}, {4, -2}, {4, -1.875}, {
       4.25, -1.75}, {7.333, 1.3330000000000002`}, {7.333, 8.333}, {7.167, 
       8.417}, {5.5, 6.75}, {5.5, 9.25}, {5.333, 9.333}, {2.25, 6.25}, {
       2.125, 6}, {2, 6}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{6.5, 7.75}, {4, 5.25}, {4, 5}, {3.4210000000000003`, 
       4.921}, {3, 5}, {2.66, 5.16}, {2.382, 5.382}, {2.271, 5.521}, {5.167, 
       8.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{2, -1}, {2.16, -1.34}, {2.382, -1.6179999999999999`}, {
       2.66, -1.8399999999999999`}, {3, -2}, {
       3.4210000000000003`, -2.0789999999999997`}, {4, -2}, {4, 5}, {
       3.4210000000000003`, 4.921}, {3, 5}, {2.66, 5.16}, {2.382, 5.382}, {
       2.16, 5.66}, {2, 6}, {2, -1}}], LineBox[{{5.167, 8.417}, {6.5, 7.75}}],
      LineBox[{{4.25, 5.25}, {4.25, -1.75}, {7.333, 1.3330000000000002`}, {
       7.333, 8.333}, {4.25, 5.25}, {4, 5.125}}], 
     LineBox[{{2, 6}, {2.25, 6}, {5.5, 9.25}}], 
     LineBox[{{4, 5}, {4, 5.25}, {7.167, 8.417}, {7.333, 8.333}}], 
     LineBox[{{2.25, 5.547}, {2.25, 6}}], 
     LineBox[{{2.125, 6}, {2.25, 6.25}, {5.333, 9.333}, {5.5, 9.25}, {5.5, 
       8.25}}]}}, {
    {RGBColor[0.6, 0.4, 0.8], 
     PolygonBox[{{4, -2}, {4.16, -2.34}, {4.382, -2.618}, {4.66, -2.84}, {
       5, -3}, {5.421, -3.0789999999999997`}, {6, -3}, {6, -2.875}, {
       6.25, -2.75}, {9.333, 0.3330000000000002}, {9.333, 7.333}, {9.167, 
       7.417}, {7.5, 5.75}, {7.5, 8.25}, {7.333, 8.333}, {4.25, 5.25}, {
       4.125, 5}, {4, 5}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{8.5, 6.75}, {6, 4.25}, {6, 4}, {5.421, 
       3.9210000000000003`}, {5, 4}, {4.66, 4.16}, {4.382, 4.382}, {4.271, 
       4.521}, {7.167, 7.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{4, -2}, {4.16, -2.34}, {4.382, -2.618}, {4.66, -2.84}, {
       5, -3}, {5.421, -3.0789999999999997`}, {6, -3}, {6, 4}, {5.421, 
       3.9210000000000003`}, {5, 4}, {4.66, 4.16}, {4.382, 4.382}, {4.16, 
       4.66}, {4, 5}, {4, -2}}], LineBox[{{7.167, 7.417}, {8.5, 6.75}}], 
     LineBox[{{6.25, 4.25}, {6.25, -2.75}, {9.333, 0.3330000000000002}, {
       9.333, 7.333}, {6.25, 4.25}, {6, 4.125}}], 
     LineBox[{{4, 5}, {4.25, 5}, {7.5, 8.25}}], 
     LineBox[{{6, 4}, {6, 4.25}, {9.167, 7.417}, {9.333, 7.333}}], 
     LineBox[{{4.25, 4.547}, {4.25, 5}}], 
     LineBox[{{4.125, 5}, {4.25, 5.25}, {7.333, 8.333}, {7.5, 8.25}, {7.5, 
       7.25}}]}}, {
    {RGBColor[0, 1, 1], 
     PolygonBox[{{6, -3}, {6.16, -3.34}, {6.382, -3.618}, {6.66, -3.84}, {
       7, -4}, {7.421, -4.079}, {8, -4}, {8, -3.875}, {8.25, -3.75}, {
       11.333, -0.6669999999999998}, {11.333, 6.333}, {11.167, 6.417}, {9.5, 
       4.75}, {9.5, 7.25}, {9.333, 7.333}, {6.25, 4.25}, {6.125, 4}, {6, 
       4}}]}, 
    {RGBColor[1, 1, 1], 
     PolygonBox[{{10.5, 5.75}, {8, 3.25}, {8, 3}, {7.421, 
       2.9210000000000003`}, {7, 3}, {6.66, 3.16}, {6.382, 
       3.3819999999999997`}, {6.271, 3.521}, {9.167, 6.417}}]}, 
    {RGBColor[0, 0, 0], 
     LineBox[{{6, -3}, {6.16, -3.34}, {6.382, -3.618}, {6.66, -3.84}, {
       7, -4}, {7.421, -4.079}, {8, -4}, {8, 3}, {7.421, 
       2.9210000000000003`}, {7, 3}, {6.66, 3.16}, {6.382, 
       3.3819999999999997`}, {6.16, 3.66}, {6, 4}, {6, -3}}], 
     LineBox[{{9.167, 6.417}, {10.5, 5.75}}], 
     LineBox[{{8.25, 3.25}, {8.25, -3.75}, {11.333, -0.6669999999999998}, {
       11.333, 6.333}, {8.25, 3.25}, {8, 3.125}}], 
     LineBox[{{6, 4}, {6.25, 4}, {9.5, 7.25}}], 
     LineBox[{{8, 3}, {8, 3.25}, {11.167, 6.417}, {11.333, 6.333}}], 
     LineBox[{{6.25, 3.5469999999999997`}, {6.25, 4}}], 
     LineBox[{{6.125, 4}, {6.25, 4.25}, {9.333, 7.333}, {9.5, 7.25}, {9.5, 
       6.25}}]}}},
  AspectRatio->Automatic,
  ImageSize->{145.2075511623325, Automatic}]], "Print",
 CellChangeTimes->{3.422635499875*^9, 3.44267268863325*^9, 
  3.44267279675825*^9}]
}, Open  ]],

Cell[TextData[{
 "we find that the 1st book (blue) ended up in the 4th position, the 2nd book \
(red) ended up in the 1st position, the 3rd book (green) ended in the 2nd \
position, and the 4th book (purple) ended in the 3rd position\nThe \
permutation is represented by comparing the ending position to the starting \
position. We write the ending position below the starting position, as \
follows.\n\n                      ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["(",
     FontSize->14], GridBox[{
      {"1", "2", "3", "4"},
      {"4", "1", "2", "3"}
     }], 
    StyleBox[")",
     FontSize->14]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422635672640625*^9, 3.42263580678125*^9}}],

Cell[TextData[{
 "We can now multiply the permutations by first performing one action, and \
then the other. For example, doing the opperation Left, followed by Last, \
leaves us with the books in the order\n\n                       2 3 1 4 \n    \
                   \nmeaning that the 1st book has moved to the 3rd position, \
the 2rd book moved to the 1st position, the 3rd bood moved to the 2nd \
position, and the 4th book stayed in the 4th position, giving the permutation\
\n\n                                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["(",
     FontSize->14], GridBox[{
      {"1", "2", "3", "4"},
      {"3", "1", "2", "4"}
     }], 
    StyleBox[")",
     FontSize->14]}], TraditionalForm]]],
 ".\nWe write the Left\[CenterDot]Last as a product of two permutations\n\n   \
     ",
 Cell[BoxData[
  FormBox[
   RowBox[{"   ", 
    RowBox[{
     FormBox[
      RowBox[{
       StyleBox["(",
        FontSize->14], GridBox[{
         {"1", "2", "3", "4"},
         {"4", "1", "2", "3"}
        }], 
       StyleBox[")",
        FontSize->14]}],
      TraditionalForm], "\[CenterDot]", 
     FormBox[
      RowBox[{
       RowBox[{
        StyleBox["(",
         FontSize->14], GridBox[{
          {"1", "2", "3", "4"},
          {"1", "2", "4", "3"}
         }], 
        StyleBox[")",
         FontSize->14]}], " ", "=", " ", 
       RowBox[{
        StyleBox["(",
         FontSize->14], GridBox[{
          {"1", "2", "3", "4"},
          {"3", "1", "2", "4"}
         }], 
        StyleBox[")",
         FontSize->14]}]}],
      TraditionalForm]}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4226360763125*^9, 3.422636279359375*^9}, {
  3.422636385640625*^9, 3.422636410359375*^9}}],

Cell[TextData[{
 "If we did these operations in the other order, we would get\n\n         ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     FormBox[
      RowBox[{
       StyleBox["(",
        FontSize->14], GridBox[{
         {"1", "2", "3", "4"},
         {"1", "2", "4", "3"}
        }], 
       StyleBox[")",
        FontSize->14]}],
      TraditionalForm], "\[CenterDot]", 
     FormBox[
      RowBox[{
       RowBox[{
        StyleBox["(",
         FontSize->14], GridBox[{
          {"1", "2", "3", "4"},
          {"4", "1", "2", "3"}
         }], 
        StyleBox[")",
         FontSize->14]}], " ", "=", " ", 
       RowBox[{
        StyleBox["(",
         FontSize->14], GridBox[{
          {"1", "2", "3", "4"},
          {"4", "1", "3", "2"}
         }], 
        StyleBox[")",
         FontSize->14]}]}],
      TraditionalForm]}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.42263631240625*^9, 3.422636338421875*^9}, 
   3.422636419546875*^9}],

Cell[TextData[{
 "Obviously, Left \[CenterDot] Last does not equal Last \[CenterDot] Left.\n\n\
We can also view a permutation as a ",
 StyleBox["function",
  FontSlant->"Italic"],
 " whose domain is a subset of the integers. Consider the functions ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "x", ")"}], TraditionalForm]]],
 " given by the table\n\n          ",
 Cell[BoxData[{
  RowBox[{
   FormBox[
    RowBox[{"             ", 
     RowBox[{
      RowBox[{"\[Florin]", "(", "1", ")"}], " ", "=", " ", 
      RowBox[{
       RowBox[{"2", "        ", 
        RowBox[{"\[Phi]", "(", "1", ")"}]}], " ", "=", " ", "2"}]}]}],
    TraditionalForm], "                  "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t    ", 
     RowBox[{
      RowBox[{"\[Florin]", "(", "2", ")"}], " ", "=", " ", 
      RowBox[{
       RowBox[{"3", "        ", 
        RowBox[{"\[Phi]", "(", "2", ")"}]}], " ", "=", " ", "3"}]}]}],
    TraditionalForm], "                 "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t    ", 
     RowBox[{
      RowBox[{"\[Florin]", "(", "3", ")"}], " ", "=", " ", 
      RowBox[{
       RowBox[{"1", "        ", 
        RowBox[{"\[Phi]", "(", "3", ")"}]}], " ", "=", " ", "4"}]}]}],
    TraditionalForm], "                 "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t    ", 
     RowBox[{
      RowBox[{"\[Florin]", "(", "4", ")"}], " ", "=", " ", 
      RowBox[{
       RowBox[{"4", "        ", 
        RowBox[{"\[Phi]", "(", "4", ")"}]}], " ", "=", " ", "1."}]}]}],
    TraditionalForm], " "}]}]],
 "\nWe could denote these two functions by the same type of notation, as \
follows:\n\n      ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     StyleBox["(",
      FontSize->14], GridBox[{
       {"1", "2", "3", "4"},
       {"2", "3", "1", "4"}
      }], 
     StyleBox[")",
      FontSize->14]}]}], TraditionalForm]]],
 ",  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     StyleBox["(",
      FontSize->14], GridBox[{
       {"1", "2", "3", "4"},
       {"2", "3", "4", "1"}
      }], 
     StyleBox[")",
      FontSize->14]}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422636432453125*^9, 3.42263644178125*^9}}],

Cell[TextData[{
 "Notice that each column shows the value of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " or ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "x", ")"}], TraditionalForm]]],
 " directly beneath ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ". Since the range and domain of these functions are the same, we can \
consider the composition of the two functions. Let us consider applying the \
function ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " first, and then ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 ":\n\n                   ",
 Cell[BoxData[{
  RowBox[{
   FormBox[
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      RowBox[{"\[Florin]", "(", "1", ")"}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"\[Phi]", "(", "2", ")"}], " ", "=", " ", "3"}]}],
    TraditionalForm], "                     "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      RowBox[{"\[Florin]", "(", "2", ")"}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"\[Phi]", "(", "3", ")"}], " ", "=", " ", "4"}]}],
    TraditionalForm], "                     "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      RowBox[{"\[Florin]", "(", "3", ")"}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"\[Phi]", "(", "1", ")"}], " ", "=", " ", "2"}]}],
    TraditionalForm], "                     "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      RowBox[{"\[Florin]", "(", "4", ")"}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"\[Phi]", "(", "4", ")"}], " ", "=", " ", "1"}]}],
    TraditionalForm], " "}]}]],
 "\n\nSo the composition function of doing ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " first, and then ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 ", can be written as\n \n                          ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["(",
     FontSize->14], GridBox[{
      {"1", "2", "3", "4"},
      {"3", "4", "2", "1"}
     }], 
    StyleBox[")",
     FontSize->14]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422636506671875*^9, 3.422636535078125*^9}}],

Cell[TextData[{
 "However, this is actually ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"\[Phi]", 
     RowBox[{"(", 
      RowBox[{"f", 
       RowBox[{"(", "x", ")"}]}], ")"}]}]}], TraditionalForm]]],
 ", not ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", 
    RowBox[{"\[Phi]", 
     RowBox[{"(", "x", ")"}]}], ")"}], TraditionalForm]]],
 ", since in functional notation we work from the inside out.  We can also \
write this as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"\[Phi]", "\[CenterDot]", "\[Florin]"}], ")"}], 
   TraditionalForm]]],
 ", so we have that \n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", 
     RowBox[{"\[Florin]", "(", "x", ")"}], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Phi]", "\[CenterDot]", "\[Florin]"}], ")"}], 
     RowBox[{
      RowBox[{"(", "x", ")"}], "."}]}]}], TraditionalForm]]],
 "\n\nThere is something curious here. When we view permutations as \
functions, we write the product of the functions in the reverse order.  This \
is because functions are computed from right to left, whereas permutations \
products are computed in the natural order of left to right. \n\nEXPERIMENT: \
\nConsider the following product:\n                   \n                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["(",
     FontSize->14], GridBox[{
      {"1", "2", "3", "4", "5"},
      {"4", "3", "5", "1", "2"}
     }], 
    StyleBox[")",
     FontSize->14]}], TraditionalForm]]],
 "\[CenterDot]",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["(",
     FontSize->14], GridBox[{
      {"1", "2", "3", "4", "5"},
      {"5", "4", "1", "2", "3"}
     }], 
    StyleBox[")",
     FontSize->14]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.42263654365625*^9, 3.4226366458125*^9}, {
  3.42263689759375*^9, 3.4226369208125*^9}, {3.42263702953125*^9, 
  3.422637099046875*^9}, {3.4226371383125*^9, 3.422637364625*^9}}],

Cell["\<\
First work this product by viewing the permutations as two ways to rearrange \
5 books. (For example, the first permutation moves the 1st book to the 4th \
position, and the second permutation moves the 4th book to the 2nd position.) \
If you work the rearrangements from left to right, what is the resulting \
rearrangement of the books? Now work this product by viewing the permutations \
as functions.  Do you get the same answer? Which of the two methods was \
easier? If you work the problem viewing the permutations as functions, and \
worked from left to right, would you get the right answer?\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.42263672059375*^9, 3.42263672240625*^9}, {
  3.42263677225*^9, 3.422636801546875*^9}, {3.42263683771875*^9, 
  3.4226368511875*^9}, {3.42263693271875*^9, 3.422636954875*^9}}],

Cell["  ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can easily work with permutations. The top line of the permutation is only \
for convenience since the bottom line contains all of the information about \
the permutation. Thus, we can write these permutations like this:\n\n       \
",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"P", "[", 
     RowBox[{"4", ",", "3", ",", "5", ",", "1", ",", "5"}], "]"}], " ", 
    "\[CenterDot]", " ", 
    RowBox[{"P", "[", 
     RowBox[{"5", ",", "4", ",", "1", ",", "2", ",", "3"}], "]"}]}], 
   TraditionalForm]]],
 ".\n\nIn general, a permutation in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 " can be written\n\n               ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{
     SubscriptBox["x", "1"], ",", 
     SubscriptBox["x", "2"], ",", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", ",", 
     SubscriptBox["x", "n"]}], "]"}], TraditionalForm]]],
 ".\n\nNote that  the numbers ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["x", "1"], ",", 
    SubscriptBox["x", "2"], ",", 
    SubscriptBox["x", "3"], ",", "\[Ellipsis]", " ", ",", 
    SubscriptBox["x", "n"]}], TraditionalForm]]],
 " must all be \ndifferent and must consist of the numbers from 1 to ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ".  This permutation corresponds to the function\n\n                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{"                                         ", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Florin]", "(", "1", ")"}], " ", "=", " ", 
      FormBox[
       SubscriptBox["x", "1"],
       TraditionalForm]}], "                           ", "\n", "\t\t   ", 
     RowBox[{
      RowBox[{"\[Florin]", "(", "2", ")"}], " ", "=", " ", 
      FormBox[
       SubscriptBox["x", "2"],
       TraditionalForm]}], "                          ", "\n", "\t\t   ", 
     RowBox[{
      RowBox[{"\[Florin]", "(", "3", ")"}], " ", "=", " ", 
      FormBox[
       SubscriptBox["x", "3"],
       TraditionalForm]}], "                        ", "\[IndentingNewLine]", 
     "                                         ", 
     "\[Ellipsis]\[Ellipsis]\[Ellipsis]\[Ellipsis]", 
     "                          ", "\n", "\t\t   ", 
     RowBox[{
      RowBox[{"\[Florin]", "(", "n", ")"}], " ", "=", " ", 
      RowBox[{
       FormBox[
        SubscriptBox["x", "n"],
        TraditionalForm], "."}]}]}]}], TraditionalForm]]],
 "\n                          \nThis notation is a little more difficult \
since one must count four numbers to determine ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "4", ")"}], TraditionalForm]]],
 ". Yet ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " prefers this notation for its conciseness. Let's try using ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to check the above product: "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422637387171875*^9, 3.422637403890625*^9}}],

Cell[CellGroupData[{

Cell["P[4,3,5,1,2] . P[5,4,1,2,3] ", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.422637439765625*^9, 3.42263744578125*^9}, {
  3.442672703023875*^9, 3.442672704102*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"P", "[", 
  RowBox[{"2", ",", "1", ",", "3", ",", "5", ",", "4"}], "]"}]], "Output",
 CellChangeTimes->{3.422636879328125*^9, 3.42263744715625*^9, 3.436625868*^9, 
  3.44267270513325*^9, 3.44267273975825*^9, 3.442672804117625*^9, 
  3.442673153711375*^9}]
}, Open  ]],

Cell["\<\
Is this the answer you got? We do not have to define this group the way we \
have been defining the other groups in these notebooks. The symmetric group \
is pre-loaded in the initialization. Let us determine the product of these \
two permutations multiplied in the other order: \
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["P[5,4,1,2,3] . P[4,3,5,1,2] ", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.422637462265625*^9, 3.422637466953125*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"P", "[", 
  RowBox[{"2", ",", "1", ",", "4", ",", "3"}], "]"}]], "Output",
 CellChangeTimes->{3.422637468796875*^9, 3.4366258728125*^9, 
  3.442672744648875*^9, 3.442672805555125*^9, 3.44267315669575*^9}]
}, Open  ]],

Cell[TextData[{
 "What happened to the 5?  Since the composition function maps 5 to itself, \
",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can safety drop the 5, treating this as a permutation on 4 elements \
instead.  To save space ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " displays only up to the last number which is out of position. All of the \
necessary information is still in the permutation.\n\nSince a permutation is \
a function from the integers 1, 2, ... a onto themselves, we can use the \
circle graphs that we have used before to visualize these permutations. For \
example, to draw a picture of the permutation ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"5", ",", "4", ",", "1", ",", "2", ",", "3"}], "]"}], 
   TraditionalForm]]],
 ", use the command:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CircleGraph[{1,2,3,4,5},P[4,3,5,1,2]]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.422637564265625*^9, 3.422637566875*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9510565162951535, 0.30901699437494745`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5877852522924732, -0.8090169943749473}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5877852522924734, -0.8090169943749472}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9510565162951536, 0.30901699437494723`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"1\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], {}, {InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0461621679246689`, 0.3399186938124422}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6465637775217207, -0.8899186938124422}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6465637775217208, -0.889918693812442}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"5\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.046162167924669, 0.339918693812442}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], 
      LineBox[{{0., 1.}, {-0.5568835528549786, -0.7139113427454319}}], 
      PolygonBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.509330727040221, -0.7293621924641792}, {-0.6044363786697363, \
-0.6984604930266844}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.030901699437494757`, 0.9048943483704847}}], 
      PolygonBox[{{0., 1.}, {-0.07845452525225244, 0.920345198089232}, {
       0.016651126377262918`, 0.8894434986517372}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.618686951729968, -0.713911342745432}}], 
      PolygonBox[{{0.5877852522924732, -0.8090169943749473}, {
       0.6662397775447256, -0.7293621924641793}, {
       0.5711341259152103, -0.6984604930266847}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{
       0.5877852522924732, -0.8090169943749473}, {-0.8701548168576589, 
       0.2502384691456999}}], 
      PolygonBox[{{-0.9510565162951536, 
       0.30901699437494723`}, {-0.8995440794722825, 
       0.20978761942695257`}, {-0.8407655542430352, 0.2906893188644473}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.9510565162951536, 0.30901699437494723`}, {
       0.8510565162951536, 0.30901699437494745`}}], 
      PolygonBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.8510565162951536, 0.35901699437494744`}, {0.8510565162951536, 
       0.2590169943749474}}]}}}},
  AspectRatio->Automatic,
  ImageSize->{192.66666666666623`, Automatic},
  PlotRange->All]], "Output",
 CellChangeTimes->{3.4226374856875*^9, 3.4226375684375*^9, 
  3.43662325928125*^9, 3.442673158492625*^9}]
}, Open  ]],

Cell[TextData[{
 "Notice that this forms one triangle in green, which maps 2 to 3, 3 to 5, \
and then 5 back to 2. There is also a green \"double arrow\" that maps 1 to 4 \
and back to 1. So this circle graph reveals some additional structure to the \
permutation which we will study later.  For now, let us study the geometrical \
significance of multiplying two permutations together.\n\nWe can graph two or \
more permutations simutaneously by adding the additional permutations to the \
",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " command."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.42263757665625*^9, 3.42263760584375*^9}}],

Cell[CellGroupData[{

Cell["CircleGraph[{1,2,3,4,5},P[4,3,5,1,2],P[5,4,1,2,3]] ", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.422637615828125*^9, 3.422637620375*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9510565162951535, 0.30901699437494745`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5877852522924732, -0.8090169943749473}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5877852522924734, -0.8090169943749472}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9510565162951536, 0.30901699437494723`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"1\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], {}, {InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0461621679246689`, 0.3399186938124422}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6465637775217207, -0.8899186938124422}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6465637775217208, -0.889918693812442}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"5\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.046162167924669, 0.339918693812442}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], 
      LineBox[{{0., 1.}, {-0.5568835528549786, -0.7139113427454319}}], 
      PolygonBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.509330727040221, -0.7293621924641792}, {-0.6044363786697363, \
-0.6984604930266844}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.618686951729968, -0.713911342745432}}], 
      PolygonBox[{{0.5877852522924732, -0.8090169943749473}, {
       0.6662397775447256, -0.7293621924641793}, {
       0.5711341259152103, -0.6984604930266847}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{
       0.5877852522924732, -0.8090169943749473}, {-0.8701548168576589, 
       0.2502384691456999}}], 
      PolygonBox[{{-0.9510565162951536, 
       0.30901699437494723`}, {-0.8995440794722825, 
       0.20978761942695257`}, {-0.8407655542430352, 0.2906893188644473}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.030901699437494757`, 0.9048943483704847}}], 
      PolygonBox[{{0., 1.}, {-0.07845452525225244, 0.920345198089232}, {
       0.016651126377262918`, 0.8894434986517372}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.9510565162951536, 0.30901699437494723`}, {
       0.8510565162951536, 0.30901699437494745`}}], 
      PolygonBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.8510565162951536, 0.35901699437494744`}, {0.8510565162951536, 
       0.2590169943749474}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{0., 1.}, {-0.8701548168576589, 0.36779551960419454`}}], 
      PolygonBox[{{-0.9510565162951536, 
       0.30901699437494723`}, {-0.8407655542430352, 
       0.3273446698854472}, {-0.8995440794722825, 0.4082463693229419}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.9510565162951535, 
       0.30901699437494745`}, {-0.5068835528549787, -0.7502384691456999}}], 
      PolygonBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.47749429024035495`, -0.7906893188644473}, {-0.5362728154696023, \
-0.7097876194269526}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.5877852522924732, -0.8090169943749473}, {
       0.03090169943749475, 0.9048943483704847}}], 
      PolygonBox[{{0., 1.}, {-0.01665112637726293, 0.8894434986517372}, {
       0.07845452525225244, 0.920345198089232}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.5877852522924734, -0.8090169943749472}, {
       0.8701548168576587, 0.25023846914570014`}}], 
      PolygonBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.8407655542430351, 0.29068931886444754`}, {0.8995440794722824, 
       0.2097876194269528}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.9510565162951536, 0.30901699437494723`}, {
       0.5068835528549784, -0.7502384691457}}], 
      PolygonBox[{{0.5877852522924732, -0.8090169943749473}, {
       0.5362728154696021, -0.7097876194269527}, {
       0.47749429024035484`, -0.7906893188644474}}]}}}},
  AspectRatio->Automatic,
  ImageSize->{295.33333333333127`, Automatic},
  PlotRange->All]], "Output",
 CellChangeTimes->{3.422637621859375*^9, 3.43662326290625*^9, 
  3.44267316588325*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "Here, the red arrows represent the permutation ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "3", ",", "5", ",", "1", ",", "2"}], "]"}], 
   TraditionalForm]]],
 ", while the green arrows represent ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"5", ",", "4", ",", "1", ",", "2", ",", "3"}], "]"}], 
   TraditionalForm]]],
 ". One red arrow is almost covered up by a green arrow, but the head is \
still visible. \n\nEXPERIMENT:\nOn the above circle graph, imagine what would \
happen if for each of the numbers ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5"}], "}"}], 
   TraditionalForm]]],
 ", one first traveled through a red arrow, and then traveled through a green \
arrow. Does this form a permutation on the set ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5"}], "}"}], 
   TraditionalForm]]],
 "? If so, which permutation is it? Is it the same permutation\nas ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"P", "[", 
      RowBox[{"4", ",", "3", ",", "5", ",", "1", ",", "2"}], "]"}], 
     "\[CenterDot]", 
     RowBox[{"P", "[", 
      RowBox[{"5", ",", "4", ",", "1", ",", "2", ",", "3"}], "]"}], " "}]}], 
   TraditionalForm]]],
 "?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422637822890625*^9, 3.42263784175*^9}, {
  3.42263794446875*^9, 3.42263796940625*^9}}],

Cell["     ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "The following command maps ",
 StyleBox["three",
  FontSlant->"Italic"],
 " permutations simutaniously:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
CircleGraph[{1,2,3,4,5},P[4,3,5,1,2],P[5,4,1,2,3],
                                     P[2,1,3,5,4]] \
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.42263809275*^9, 3.42263812434375*^9}, {
  3.422638169265625*^9, 3.422638170046875*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9510565162951535, 0.30901699437494745`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5877852522924732, -0.8090169943749473}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5877852522924734, -0.8090169943749472}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9510565162951536, 0.30901699437494723`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"1\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], {}, {InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0461621679246689`, 0.3399186938124422}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6465637775217207, -0.8899186938124422}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6465637775217208, -0.889918693812442}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"5\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.046162167924669, 0.339918693812442}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], 
      LineBox[{{0., 1.}, {-0.5568835528549786, -0.7139113427454319}}], 
      PolygonBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.509330727040221, -0.7293621924641792}, {-0.6044363786697363, \
-0.6984604930266844}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.618686951729968, -0.713911342745432}}], 
      PolygonBox[{{0.5877852522924732, -0.8090169943749473}, {
       0.6662397775447256, -0.7293621924641793}, {
       0.5711341259152103, -0.6984604930266847}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{
       0.5877852522924732, -0.8090169943749473}, {-0.8701548168576589, 
       0.2502384691456999}}], 
      PolygonBox[{{-0.9510565162951536, 
       0.30901699437494723`}, {-0.8995440794722825, 
       0.20978761942695257`}, {-0.8407655542430352, 0.2906893188644473}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.030901699437494757`, 0.9048943483704847}}], 
      PolygonBox[{{0., 1.}, {-0.07845452525225244, 0.920345198089232}, {
       0.016651126377262918`, 0.8894434986517372}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.9510565162951536, 0.30901699437494723`}, {
       0.8510565162951536, 0.30901699437494745`}}], 
      PolygonBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.8510565162951536, 0.35901699437494744`}, {0.8510565162951536, 
       0.2590169943749474}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{0., 1.}, {-0.8701548168576589, 0.36779551960419454`}}], 
      PolygonBox[{{-0.9510565162951536, 
       0.30901699437494723`}, {-0.8407655542430352, 
       0.3273446698854472}, {-0.8995440794722825, 0.4082463693229419}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.9510565162951535, 
       0.30901699437494745`}, {-0.5068835528549787, -0.7502384691456999}}], 
      PolygonBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.47749429024035495`, -0.7906893188644473}, {-0.5362728154696023, \
-0.7097876194269526}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.5877852522924732, -0.8090169943749473}, {
       0.03090169943749475, 0.9048943483704847}}], 
      PolygonBox[{{0., 1.}, {-0.01665112637726293, 0.8894434986517372}, {
       0.07845452525225244, 0.920345198089232}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.5877852522924734, -0.8090169943749472}, {
       0.8701548168576587, 0.25023846914570014`}}], 
      PolygonBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.8407655542430351, 0.29068931886444754`}, {0.8995440794722824, 
       0.2097876194269528}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.9510565162951536, 0.30901699437494723`}, {
       0.5068835528549784, -0.7502384691457}}], 
      PolygonBox[{{0.5877852522924732, -0.8090169943749473}, {
       0.5362728154696021, -0.7097876194269527}, {
       0.47749429024035484`, -0.7906893188644474}}]}}, {
     {RGBColor[0.6, 0.4, 0.8], 
      LineBox[{{0., 1.}, {0.8701548168576588, 0.36779551960419476`}}], 
      PolygonBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.8995440794722824, 0.4082463693229421}, {0.8407655542430351, 
       0.3273446698854474}}]}, 
     {RGBColor[0.6, 0.4, 0.8], 
      LineBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.08090169943749474, 0.9412214747707527}}], 
      PolygonBox[{{0., 1.}, {0.051512436822871085`, 0.9007706250520053}, {
       0.11029096205211839`, 0.9816723244895}}]}, 
     {RGBColor[0.6, 0.4, 0.8], 
      LineBox[{{0.6034286987964963, -0.7102481603154336}, {
       0.6019137074190141, -0.6712307949363341}, {
       0.5855493470954031, -0.6358350648096786}, {
       0.5569428727514937, -0.6093337511514606}, {
       0.5203033112410056, -0.5958358797518968}, {
       0.4812859458619061, -0.597350871129379}, {
       0.4459317784290284, -0.61371523145299}, {
       0.41938890207703267`, -0.6423217057968994}, {
       0.4058910306774688, -0.6789612673073875}, {
       0.407406022054951, -0.717978632686487}, {
       0.423770382378562, -0.7533743628131424}, {
       0.45237685672247147`, -0.7798756764713604}, {
       0.4890164182329595, -0.7933735478709243}, {
       0.5877852522924732, -0.8090169943749473}}], 
      PolygonBox[{{0.5877852522924732, -0.8090169943749473}, {
       0.6528131158262532, -0.718069883567445}, {
       0.5540442817667395, -0.702426437063422}}]}, 
     {RGBColor[0.6, 0.4, 0.8], 
      LineBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.9201548168576589, 0.2139113427454319}}], 
      PolygonBox[{{-0.9510565162951536, 
       0.30901699437494723`}, {-0.9677076426724166, 
       0.1984604930266845}, {-0.8726019910429013, 0.22936219246417924`}}]}, 
     {RGBColor[0.6, 0.4, 0.8], 
      LineBox[{{-0.9510565162951536, 
       0.30901699437494723`}, {-0.6186869517299681, -0.7139113427454319}}], 
      PolygonBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.5711341259152104, -0.6984604930266844}, {-0.6662397775447257, \
-0.7293621924641792}}]}}}},
  AspectRatio->Automatic,
  ImageSize->{227.99999999999977`, Automatic},
  PlotRange->All]], "Output",
 CellChangeTimes->{{3.422638103453125*^9, 3.422638128890625*^9}, 
   3.422638171625*^9, 3.4426731691645*^9}]
}, Open  ]],

Cell[TextData[{
 "This circle graph answers the questions raised in the last experiment. In \
this graph, if one travels a red arrow, and immediately travel through a \
green arrow, one ends up exactly in the same place as if one traveled just a \
purple arrow. Thus, this \"arrow composition\" results in the permutation ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "1", ",", "3", ",", "5", ",", "4"}], "]"}], 
   TraditionalForm]]],
 ", which is the product of  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "3", ",", "5", ",", "1", ",", "2"}], "]"}], 
   TraditionalForm]]],
 " and  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"5", ",", "4", ",", "1", ",", "2", ",", "3"}], "]"}], 
   TraditionalForm]]],
 ". \n\n",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can help us to find the inverse of a permutation. The inverse of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "3", ",", "5", ",", "1", ",", "2"}], "]"}], 
   TraditionalForm]]],
 " would be:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422638254671875*^9, 3.422638258828125*^9}, {
  3.422638316859375*^9, 3.42263839234375*^9}, {3.422638463421875*^9, 
  3.422638465234375*^9}}],

Cell[CellGroupData[{

Cell["P[4,3,5,1,2]^(-1)", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.42263845746875*^9, 3.422638459328125*^9}, {
  3.442673171602*^9, 3.442673172977*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"P", "[", 
  RowBox[{"4", ",", "5", ",", "2", ",", "1", ",", "3"}], "]"}]], "Output",
 CellChangeTimes->{3.42263843490625*^9, 3.422638468875*^9, 
  3.442673174930125*^9}]
}, Open  ]],

Cell["We can make a circle graph of this new permutation.", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CircleGraph[{1,2,3,4,5},P[4,3,5,1,2]^(-1)]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.42263847325*^9, 3.422638476296875*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9510565162951535, 0.30901699437494745`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5877852522924732, -0.8090169943749473}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5877852522924734, -0.8090169943749472}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9510565162951536, 0.30901699437494723`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"1\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], {}, {InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0461621679246689`, 0.3399186938124422}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6465637775217207, -0.8899186938124422}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6465637775217208, -0.889918693812442}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"5\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.046162167924669, 0.339918693812442}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], 
      LineBox[{{0., 1.}, {-0.5568835528549786, -0.7139113427454319}}], 
      PolygonBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.509330727040221, -0.7293621924641792}, {-0.6044363786697363, \
-0.6984604930266844}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.030901699437494757`, 0.9048943483704847}}], 
      PolygonBox[{{0., 1.}, {-0.07845452525225244, 0.920345198089232}, {
       0.016651126377262918`, 0.8894434986517372}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{0.9510565162951535, 
       0.30901699437494745`}, {-0.8510565162951537, 0.30901699437494723`}}], 
      PolygonBox[{{-0.9510565162951536, 
       0.30901699437494723`}, {-0.8510565162951537, 
       0.25901699437494724`}, {-0.8510565162951537, 0.3590169943749473}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.9510565162951536, 0.30901699437494723`}, {
       0.5068835528549784, -0.7502384691457}}], 
      PolygonBox[{{0.5877852522924732, -0.8090169943749473}, {
       0.5362728154696021, -0.7097876194269527}, {
       0.47749429024035484`, -0.7906893188644474}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.5877852522924732, -0.8090169943749473}, {0.9201548168576588,
        0.2139113427454321}}], 
      PolygonBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.8726019910429011, 0.22936219246417944`}, {0.9677076426724165, 
       0.19846049302668473`}}]}}}},
  AspectRatio->Automatic,
  ImageSize->{222.66666666666578`, Automatic},
  PlotRange->All]], "Output",
 CellChangeTimes->{3.422638439890625*^9, 3.42263847696875*^9, 
  3.442673176961375*^9}]
}, Open  ]],

Cell["\<\
How does this circle graph compare to the circle graph of the original \
permutation?\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CircleGraph[{1,2,3,4,5},P[4,3,5,1,2]]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.42263848503125*^9, 3.422638486765625*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9510565162951535, 0.30901699437494745`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5877852522924732, -0.8090169943749473}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5877852522924734, -0.8090169943749472}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9510565162951536, 0.30901699437494723`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"1\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], {}, {InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0461621679246689`, 0.3399186938124422}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6465637775217207, -0.8899186938124422}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6465637775217208, -0.889918693812442}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"5\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.046162167924669, 0.339918693812442}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], 
      LineBox[{{0., 1.}, {-0.5568835528549786, -0.7139113427454319}}], 
      PolygonBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.509330727040221, -0.7293621924641792}, {-0.6044363786697363, \
-0.6984604930266844}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.030901699437494757`, 0.9048943483704847}}], 
      PolygonBox[{{0., 1.}, {-0.07845452525225244, 0.920345198089232}, {
       0.016651126377262918`, 0.8894434986517372}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.618686951729968, -0.713911342745432}}], 
      PolygonBox[{{0.5877852522924732, -0.8090169943749473}, {
       0.6662397775447256, -0.7293621924641793}, {
       0.5711341259152103, -0.6984604930266847}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{
       0.5877852522924732, -0.8090169943749473}, {-0.8701548168576589, 
       0.2502384691456999}}], 
      PolygonBox[{{-0.9510565162951536, 
       0.30901699437494723`}, {-0.8995440794722825, 
       0.20978761942695257`}, {-0.8407655542430352, 0.2906893188644473}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.9510565162951536, 0.30901699437494723`}, {
       0.8510565162951536, 0.30901699437494745`}}], 
      PolygonBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.8510565162951536, 0.35901699437494744`}, {0.8510565162951536, 
       0.2590169943749474}}]}}}},
  AspectRatio->Automatic,
  ImageSize->{175.99999999999955`, Automatic},
  PlotRange->All]], "Output",
 CellChangeTimes->{3.4226384876875*^9, 3.442673179180125*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "It is easy to see that the graphs are the same, except that the arrows are \
all going in the opposite direction. (Of course, when the direction is \
reversed on the red \"double arrow,\" it remains a double arrow.) Thus, we \
see that\n\n            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{
      StyleBox["(",
       FontSize->14], GridBox[{
        {"1", "2", "3", "4", "5"},
        {"4", "3", "5", "1", "2"}
       }], 
      StyleBox[")",
       FontSize->14]}], 
     RowBox[{"-", "1"}]], " ", "=", " ", 
    RowBox[{
     StyleBox["(",
      FontSize->14], GridBox[{
       {"1", "2", "3", "4", "5"},
       {"4", "5", "2", "1", "3"}
      }], 
     StyleBox[")",
      FontSize->14]}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4226384991875*^9, 3.4226385535*^9}}],

Cell[TextData[{
 "We can check this using ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to see if the product of the two really is the identity:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["P[4,3,5,1,2] . P[4,5,2,1,3]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.422638569109375*^9, 3.422638578640625*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"P", "[", "]"}]], "Output",
 CellChangeTimes->{3.42263857975*^9}]
}, Open  ]],

Cell[TextData[{
 "We noted before that ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " displays only up to the last number not in position.  The identity element \
has all of its numbers in position, so ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " does not display any of them! Therefore, \n\n                      ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", " ", "]"}], TraditionalForm]]],
 "\n\nrepresents the identity element of this group.\n\nBecause we can think \
of a permutation as a function of positive integers, we can evaluate a \
permutation at a given number. For example, the permutation\n\n               \
        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["(",
     FontSize->14], GridBox[{
      {"1", "2", "3", "4", "5"},
      {"4", "3", "5", "1", "2"}
     }], 
    StyleBox[")",
     FontSize->14]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422638600265625*^9, 3.422638605203125*^9}}],

Cell[TextData[{
 "evaluated at 2 gives us 3. Since the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " notation for a function of ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is ",
 StyleBox["F[x]",
  FontWeight->"Bold"],
 ", the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " command for evaluation this permutation at 2 is "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422638608640625*^9, 3.422638608953125*^9}}],

Cell[CellGroupData[{

Cell["P[4,3,5,1,2][2]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.422638612421875*^9, 3.42263861834375*^9}},
 AspectRatioFixed->True],

Cell[BoxData["3"], "Output",
 CellChangeTimes->{3.4226386204375*^9, 3.4366234006875*^9, 
  3.442673182398875*^9}]
}, Open  ]],

Cell["We can evaluate this permutation at 7 as well.", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["P[4,3,5,1,2][7]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.42263862303125*^9, 3.422638629390625*^9}},
 AspectRatioFixed->True],

Cell[BoxData["7"], "Output",
 CellChangeTimes->{3.42263862996875*^9, 3.436623406234375*^9, 
  3.442673184211375*^9}]
}, Open  ]],

Cell[TextData[{
 "Since this permutation does not mention the number 7, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " assumes that it is fixed."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.436623793203125*^9}],

Cell["\<\
In spite of the simplicity of the notations for a permutation, we will find \
that there is yet another notation that is even more concise.  We will study \
this in the next section.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.436623793203125*^9, {3.4366239965*^9, 3.436624042015625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Cycles", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Throughout this chapter, we have been using the circle graphs to represent \
a permutation in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 ". For example, the permutation ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"5", ",", "4", ",", "1", ",", "2", ",", "3"}], "]"}], 
   TraditionalForm]]],
 " could be diagramed by the following graph:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CircleGraph[{1,2,3,4,5},P[4,3,5,1,2]]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.422644111375*^9, 3.422644113359375*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9510565162951535, 0.30901699437494745`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5877852522924732, -0.8090169943749473}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5877852522924734, -0.8090169943749472}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9510565162951536, 0.30901699437494723`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"1\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], {}, {InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0461621679246689`, 0.3399186938124422}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6465637775217207, -0.8899186938124422}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6465637775217208, -0.889918693812442}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"5\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.046162167924669, 0.339918693812442}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], 
      LineBox[{{0., 1.}, {-0.5568835528549786, -0.7139113427454319}}], 
      PolygonBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.509330727040221, -0.7293621924641792}, {-0.6044363786697363, \
-0.6984604930266844}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.030901699437494757`, 0.9048943483704847}}], 
      PolygonBox[{{0., 1.}, {-0.07845452525225244, 0.920345198089232}, {
       0.016651126377262918`, 0.8894434986517372}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.618686951729968, -0.713911342745432}}], 
      PolygonBox[{{0.5877852522924732, -0.8090169943749473}, {
       0.6662397775447256, -0.7293621924641793}, {
       0.5711341259152103, -0.6984604930266847}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{
       0.5877852522924732, -0.8090169943749473}, {-0.8701548168576589, 
       0.2502384691456999}}], 
      PolygonBox[{{-0.9510565162951536, 
       0.30901699437494723`}, {-0.8995440794722825, 
       0.20978761942695257`}, {-0.8407655542430352, 0.2906893188644473}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.9510565162951536, 0.30901699437494723`}, {
       0.8510565162951536, 0.30901699437494745`}}], 
      PolygonBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.8510565162951536, 0.35901699437494744`}, {0.8510565162951536, 
       0.2590169943749474}}]}}}},
  AspectRatio->Automatic,
  ImageSize->{173.3333333333329, Automatic},
  PlotRange->All]], "Output",
 CellChangeTimes->{3.42264411484375*^9, 3.442673186992625*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "We can immediately see from this graph the green triangle connecting 2, 3, \
and 5, while a green \"double arrow\" connecting 1 and 4. In this section we \
will consider the significance of the two different colors of arrows.\n\nWe \
begin by noticing that some of the permutations have circle graphs that are \
all in one color. Consider the graph of the permutation ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "5", ",", "2", ",", "3", ",", "1"}], "]"}], 
   TraditionalForm]]],
 ":"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4226441221875*^9, 3.4226441250625*^9}, {
  3.422644351796875*^9, 3.422644358*^9}}],

Cell[CellGroupData[{

Cell["CircleGraph[{1,2,3,4,5},P[4,5,2,3,1]]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9510565162951535, 0.30901699437494745`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5877852522924732, -0.8090169943749473}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5877852522924734, -0.8090169943749472}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9510565162951536, 0.30901699437494723`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"1\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], {}, {InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0461621679246689`, 0.3399186938124422}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6465637775217207, -0.8899186938124422}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6465637775217208, -0.889918693812442}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"5\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.046162167924669, 0.339918693812442}, {1, 0}]}, {
    {RGBColor[1, 0, 0], 
     LineBox[{{0., 1.}, {-0.5568835528549786, -0.7139113427454319}}], 
     PolygonBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.509330727040221, -0.7293621924641792}, {-0.6044363786697363, \
-0.6984604930266844}}]}, 
    {RGBColor[1, 0, 0], 
     LineBox[{{-0.5877852522924734, -0.8090169943749472}, {
      0.48778525229247327`, -0.8090169943749473}}], 
     PolygonBox[{{0.5877852522924732, -0.8090169943749473}, {
      0.48778525229247327`, -0.7590169943749473}, {
      0.48778525229247327`, -0.8590169943749473}}]}, 
    {RGBColor[1, 0, 0], 
     LineBox[{{0.5877852522924732, -0.8090169943749473}, {0.9201548168576588, 
      0.2139113427454321}}], 
     PolygonBox[{{0.9510565162951535, 0.30901699437494745`}, {
      0.8726019910429011, 0.22936219246417944`}, {0.9677076426724165, 
      0.19846049302668473`}}]}, 
    {RGBColor[1, 0, 0], 
     LineBox[{{0.9510565162951535, 
      0.30901699437494745`}, {-0.8510565162951537, 0.30901699437494723`}}], 
     PolygonBox[{{-0.9510565162951536, 
      0.30901699437494723`}, {-0.8510565162951537, 
      0.25901699437494724`}, {-0.8510565162951537, 0.3590169943749473}}]}, 
    {RGBColor[1, 0, 0], 
     LineBox[{{-0.9510565162951536, 
      0.30901699437494723`}, {-0.08090169943749474, 0.9412214747707527}}], 
     PolygonBox[{{0., 1.}, {-0.11029096205211839`, 
      0.9816723244895}, {-0.05151243682287108, 0.9007706250520053}}]}}},
  AspectRatio->Automatic,
  ImageSize->{157.99999999999955`, Automatic},
  PlotRange->All]], "Output",
 CellChangeTimes->{3.422644366984375*^9, 3.442673188961375*^9}]
}, Open  ]],

Cell[TextData[{
 "This circle graph consists entirely of red arrows. These arrows indicate \
that the permutation can be expressed by a single chain\n\n             ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"1", " ", "\[RightArrow]", " ", 
     RowBox[{"4", " ", "\[RightArrow]", " ", 
      RowBox[{"3", " ", "\[RightArrow]", " ", 
       RowBox[{"2", " ", "\[RightArrow]", " ", 
        RowBox[{"5", " ", "\[RightArrow]", " ", "1"}]}]}]}]}]}], 
   TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "This can be read, \"1 goes to 4 which goes to 3 which goes to 2 which goes \
to 5 which goes back to 1.\" Any permutation which can be expressed as a \
chain like this one is called a ",
 StyleBox["cycle",
  FontSlant->"Italic"],
 ".\n\nHere is another example of a circle graph of a permutation."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CircleGraph[{1,2,3,4,5,6},P[2,4,1,6,5,3]]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8660254037844386, 0.5000000000000001}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.8660254037844387, -0.4999999999999998}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.2246467991473532`*^-16, -1.}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.8660254037844384, -0.5000000000000004}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.866025403784439, 0.49999999999999933`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"1\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], InsetBox[
    TagBox[
     StyleBox["\<\"4\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, -1.1}, {0, 1}], {InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9526279441628825, 0.5500000000000002}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9526279441628827, -0.5499999999999998}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"5\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9526279441628823, -0.5500000000000005}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"6\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.952627944162883, 0.5499999999999993}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], LineBox[{{0., 1.}, {0.7794228634059948, 0.55}}], 
      PolygonBox[{{0.8660254037844386, 0.5000000000000001}, {
       0.8044228634059947, 0.5933012701892221}, {0.7544228634059947, 
       0.5066987298107781}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.8660254037844386, 0.5000000000000001}, {
       0.05000000000000012, -0.9133974596215562}}], 
      PolygonBox[{{1.2246467991473532`*^-16, -1.}, {
       0.09330127018922206, -0.9383974596215561}, {
       0.006698729810778177, -0.8883974596215561}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{1.2246467991473532`*^-16, -1.}, {-0.816025403784439, 
       0.4133974596215555}}], 
      PolygonBox[{{-0.866025403784439, 
       0.49999999999999933`}, {-0.8593266739736609, 
       0.3883974596215555}, {-0.7727241335952171, 0.4383974596215555}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.866025403784439, 0.49999999999999933`}, {
       0.7794228634059948, -0.44999999999999984`}}], 
      PolygonBox[{{0.8660254037844387, -0.4999999999999998}, {
       0.8044228634059948, -0.40669872981077787`}, {
       0.7544228634059948, -0.49330127018922176`}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.8660254037844387, -0.4999999999999998}, {
       0.05000000000000002, 0.9133974596215562}}], 
      PolygonBox[{{0., 1.}, {0.006698729810778079, 0.8883974596215561}, {
       0.09330127018922195, 0.9383974596215562}}]}}, 
    {RGBColor[0, 1, 0], 
     LineBox[{{-0.7694328211555316, -0.5258819045102525}, \
{-0.730470837265881, -0.5284536376578821}, {-0.6935584672153905, \
-0.5158787842887309}, {-0.6642121397235962, -0.4901991607956898}, \
{-0.6469583340163727, -0.4551712263915977}, {-0.6443866008687431, \
-0.4162092425019472}, {-0.6570226914814639, -0.3792968724514567}, \
{-0.6826410777309353, -0.34995054495966227`}, {-0.7176690121350275, \
-0.3326967392524388}, {-0.756630996024678, -0.3301250061048092}, \
{-0.7935433660751685, -0.3426998594739603}, {-0.822889693566963, \
-0.36837948296700146`}, {-0.8401434992741863, -0.4034074173710936}, \
{-0.8660254037844384, -0.5000000000000004}}], 
     PolygonBox[{{-0.8660254037844384, -0.5000000000000004}, \
{-0.7823737734106575, -0.5741781958247059}, {-0.7564918689004055, \
-0.47758561319579906`}}]}}},
  AspectRatio->Automatic,
  ImageSize->{196., Automatic},
  PlotRange->All]], "Output",
 CellChangeTimes->{3.422644382125*^9, 3.442673193148875*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "In this graph, there is a green loop mapping 5 to itself, but all of the ",
 StyleBox["straight",
  FontSlant->"Italic"],
 " arrows are the same color--red. We can still represent this permutation by \
a single chain:\n\n               ",
 Cell[BoxData[
  FormBox[
   RowBox[{"1", " ", "\[RightArrow]", " ", 
    RowBox[{"2", " ", "\[RightArrow]", " ", 
     RowBox[{"4", " ", "\[RightArrow]", " ", 
      RowBox[{"6", " ", "\[RightArrow]", " ", 
       RowBox[{"3", " ", "\[RightArrow]", " ", "1"}]}]}]}]}], 
   TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422644395765625*^9, 3.42264439815625*^9}}],

Cell[TextData[{
 "This chain states where each number goes except for the number 5. However, \
if we stipulate that all numbers which are not mentioned in the chain map to \
themselves, we have expressed the permutation ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "4", ",", "1", ",", "6", ",", "5", ",", "3"}], "]"}], 
   TraditionalForm]]],
 " as a single chain, and hence this is also a cycle. "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436624194671875*^9, 3.436624197078125*^9}}],

Cell[TextData[{
 "\nDEFININTION 5.1:\nAny permutation which can be expressed as a single \
chain is called a ",
 StyleBox["cycle",
  FontSlant->"Italic"],
 ". A cycle which moves exactly ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " of the numbers is called an ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 "-",
 StyleBox["cycle",
  FontSlant->"Italic"],
 ".\n\nWhenever a permutation can be expressed as an ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 "-cycle, it is easier to read the chain then the permutation. For example, \
to find where 4 is mapped to in the permutation ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "4", ",", "1", ",", "6", ",", "5", ",", "3"}], "]"}], 
   TraditionalForm]]],
 ", one must count 4 numbers from the left, whereas in the notation\n\n       \
        ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"1", " ", "\[RightArrow]", " ", 
     RowBox[{"2", " ", "\[RightArrow]", " ", 
      RowBox[{"4", " ", "\[RightArrow]", " ", 
       RowBox[{"6", " ", "\[RightArrow]", " ", 
        RowBox[{"3", " ", "\[RightArrow]", " ", "1"}]}]}]}]}]}], 
   TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436624194671875*^9, 3.436624239390625*^9}}],

Cell[TextData[{
 "one only has to spot the 4 and see that it maps to 6. We can further \
simplify the chains by using a more compact notation:\n\n                     \
  (1 2 4 6 3)\n\nHere, each number is mapped to the next number in the chain. \
The last number always maps back to the first number. This notation is called \
the ",
 StyleBox["cycle notation",
  FontSlant->"Italic"],
 " of the permutation.\n\nIn general, the ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 "-cycle (",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "1"], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "2"], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "3"], TraditionalForm]]],
 " \[Ellipsis] ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", 
    RowBox[{"r", " "}]], TraditionalForm]]],
 ") represents the permutation which maps ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "1"], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "2"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "2"], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "3"], TraditionalForm]]],
 ", etc., and finally ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "r"], TraditionalForm]]],
 " back to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "1"], TraditionalForm]]],
 ".  Notice that  \n       \n     (",
 Cell[BoxData[
  FormBox[
   RowBox[{"  ", 
    SubscriptBox["i", "1"]}], TraditionalForm]]],
 "  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "2"], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "3"], TraditionalForm]]],
 " \[Ellipsis] ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", 
    RowBox[{"r", "  "}]], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SuperscriptBox[")", 
    RowBox[{"-", "1"}]], TraditionalForm]]],
 " = ( ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "r"], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", 
    RowBox[{"r", "-", "1"}]], TraditionalForm]]],
 " \[Ellipsis]  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "3"], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "2"], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "1"], TraditionalForm]]],
 " ).\n\nso the inverse of an ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 "-cycle will always be an ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 "-cycle. However, the product of two cycles may not always give a cycle, but \
a permutation. The identity element can be written as the ",
 Cell[BoxData[
  FormBox["0", TraditionalForm]]],
 "-cycle ( ).  \n\nA 1-cycle is really an oxymoron (a contradiction in \
terms), for there can be no one-to-one mapping that moves one element only, \
and leaves the others fixed. We say that an ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 "-cycle is a ",
 StyleBox["nontrivial",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 "-",
 StyleBox["cycle",
  FontSlant->"Italic"],
 " if  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", ">", "1"}], TraditionalForm]]],
 ".\n\nBecause the cycle notation is in general easier to use then standard \
permutation notation, we would like to find a way to write any permutation in \
terms of cycles. If we look back at the first circle graph of a permutation,"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.42264444575*^9, 3.42264446259375*^9}, {
  3.436624319984375*^9, 3.436624326296875*^9}}],

Cell[CellGroupData[{

Cell["CircleGraph[{1,2,3,4,5},P[4,3,5,1,2]]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.422644492421875*^9},
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9510565162951535, 0.30901699437494745`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5877852522924732, -0.8090169943749473}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5877852522924734, -0.8090169943749472}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9510565162951536, 0.30901699437494723`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"1\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], {}, {InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0461621679246689`, 0.3399186938124422}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6465637775217207, -0.8899186938124422}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6465637775217208, -0.889918693812442}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"5\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.046162167924669, 0.339918693812442}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], 
      LineBox[{{0., 1.}, {-0.5568835528549786, -0.7139113427454319}}], 
      PolygonBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.509330727040221, -0.7293621924641792}, {-0.6044363786697363, \
-0.6984604930266844}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.030901699437494757`, 0.9048943483704847}}], 
      PolygonBox[{{0., 1.}, {-0.07845452525225244, 0.920345198089232}, {
       0.016651126377262918`, 0.8894434986517372}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.618686951729968, -0.713911342745432}}], 
      PolygonBox[{{0.5877852522924732, -0.8090169943749473}, {
       0.6662397775447256, -0.7293621924641793}, {
       0.5711341259152103, -0.6984604930266847}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{
       0.5877852522924732, -0.8090169943749473}, {-0.8701548168576589, 
       0.2502384691456999}}], 
      PolygonBox[{{-0.9510565162951536, 
       0.30901699437494723`}, {-0.8995440794722825, 
       0.20978761942695257`}, {-0.8407655542430352, 0.2906893188644473}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.9510565162951536, 0.30901699437494723`}, {
       0.8510565162951536, 0.30901699437494745`}}], 
      PolygonBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.8510565162951536, 0.35901699437494744`}, {0.8510565162951536, 
       0.2590169943749474}}]}}}},
  AspectRatio->Automatic,
  ImageSize->{185.9999999999999, Automatic},
  PlotRange->All]], "Output",
 CellChangeTimes->{{3.4226444753125*^9, 3.422644493875*^9}, 
   3.442673198617625*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\
eJzlXWuMVdd1Psy9dx6YjMcGzIBtGBuwBzwmgxmb8ZPBTsw4Ng1+NBm3dgRx
7Ax+BOpHQhLbg3FqDB2JtFZF5VgliZTiH1GRLKUkPywsRepUqhQcJRVy8gMT
qR1Z/jGkj5DISnf3tx5773VnXSBSpf7ovczcOeees95r7bXWPnuzeduz448+
te3Z7Y9s69v09Lad49sfeabvzh1Px1O1OVU1Z1H86eur8HeoKv0V4r/Qi184
84f9/RJ91HpmQhg5xj9VG/2ujR0OYfcE/1Qd9JvONV+HewkKfiYY7Ffpo713
mi/deSCEvbtCODYSwsm+ENpwcVWb6eFT+Kna6Hft8NhsrDjXdF0X7lW00738
3YGdIezayyj7TsavmIzqGfqYN3g8hC1HGLSCPNvti/m2Vkzg1qnhEI5sYZCQ
zfBUCIyt2kEfXf0nQhg/yFeB5uOD9g6S4dV8Le4uCQT0M50hHB1l7GBA4FZP
0Ecn6Nx6iC8HHyf6Qzg4zmCgmLV8WeeZEEaPMougAJSACoXK0KovZmsA0ENb
IW/wWtXwN+iFNKobGSquAyKFCgJACPgFYQyuGsZHG0z1GjYLwMF1oAJwgQvX
b6SvO4ACl4APIIfAcQkZ2lVMYvX2229X4+PjgFoR7Hju+eefr956663qgw8+
qG5oxt1PJxqQMQADN2gAouou/g66AD3KByRWraDv6gQcr9dff716991324QO
4MIp4L2+GedK5he8QadgBjqFfMDMZv4aygEZUDNQQ5wwm1UMJ0IfagZ8Jd8J
IAAGoAAOJEB2f3Y/aBhGgR/8jXMqw9OnTxNLkZ1qXTOKPpYJUCjtkBvkVz3I
34FIEIvv8Em2sVKA4wWZ4eg6Bj6Ij3n44jIGgBsUOD5Jww/zd5AKCFbg5NBX
NlGO17oCePwKioBCCEjipkCoFCeE22YjhBUQwr7C3JoQrpWvwOTU1JSYiSJc
wkABRBECOJBUj/G1sGlFBlFeLiDee++9hCsCb0IHg4PhQwQZXW9GB3AG3eMZ
HawAfg+fXywAgW5yctJ4EixC4ysjFh3WiFVczkeK/xLGAXyQK/AAHwerOoIE
AgQkAZEvxOl2wXX48OGESwxlnUCHHlW0bQnXQgYK7wQe4APep/kmNXigl0sb
1alTpwjP5s2bk8WLtw6J1PEVZCukEKb5/B2sBlKDg0LCz+XTEDbiE/S3sDBO
GAV+mpCADnUKRdLOUY9uK2nEJ45xvsGgMTpBtZCnDG7zELTAL4YmUjfOngXW
PKESpOAFy5b4cn3hQjjNYo+vRmF7CrJOvzub5dZMDvNaV8qrbzOIhii/vPuC
InLAwnEkxn9DEYRxubyULqWJz/HveA4K0oEeCpLspEZxqlfuaS8oUTPU4A77
U+rqTXLDa8hSh0vVk0hCs2NHh2BbOTVFIw+u2N3yus5k/fqjGsC1UZltghn2
rEKIFAhd6wuXbSaqoFNUWe/pqfJrYnJyj3Mpa6fRU5XXMtIEGsRY0FbP5VAj
QsYrBRQfZW9vVf3qV00oPRIlho1Wo9WJ+F4T3ymuaeDKuDpIoUoDXqXfifve
1lpov/1tVb3xRiZpj5hycWlnfB+I76Px/Xh8n4zvvvhOXGy0WEo7EOY7OynP
p5/du+MZqFRRyfX98T0V3zvjG6+98R05zejeifcIqg2O47CMGoODGRWhCxMT
1ct8/dbBbw4er47HsXZQr28/Uh0hNISq/YO5P1kbTsLZRiymv4/K7xZsoo0t
WzKWqo1+1wibauhFtu44YsxENx47NHZmrPPu++9mmXSAkFC8/3VJ6ANy8qsN
pUg7MBYgeFe/sHFx13dWraoaDmaOWkjIp+K4NRhBHvbi6pm237VVdSCvaqeW
hr63NoeTiHSCt7o1D0kYKCg8i5ccDmNjifk6k7AzHDiQSPhaCvl7Y3o3HMed
kxrvonhPKNeKPgbXvji8zmCIFbzVLXw5QjGd5rGQzk2F4eGEXiSwNRw6lNB/
JYXK6Rg+RyKMXdFX6FwceI8m9A0mAlL66ithRtm8mSm4ie/AGXxDshEoM6Gn
J1HQ7lDwXMYWB5T+OLAci46kAj2QKGjPFDz+12EGAzVyDEYtpQpRgG8oKxAK
esP0dKKgkynYEo4cSRRwRoGk5kxMfcejBY3CFrv4dpxKRHRkIpCXYMQBETea
UIczSNWprhBWhsPUVLMiToT+/r1h167BcPx49WzWOaDHdP+gjpQgqMkOOmO9
2AlniYweArG4Etke0i/kLsNmaMAZUESVpfA1Hg4ebHbLX4fu7p+FgYH+cOJE
9WW5LlICikBZxVlFZyxfekufBDW/XBFWPPzd8F2IseGgXV8OojWcwlc0Xs9l
94UscMnxMDgIH+kLJ09+IXzrW/8R5s0TM6EgERW8BVoBJiEIf4KQWO71RAvc
GjMn0i9EB8tSU5hmnRFBUjpen2nFV1QOiOBHwrFjIKIcsz4K9fot4cc/Liyn
hvgB2yWs3ckIZpQKvRfKAnUyIiVjSSSZNDLZEcnoYj73k7B27ZEQQyqO/ozP
xcx4ArEDTiypMDk0tMTiydwDHrEoucO67Deggsq++eJ9UQXwXjrakcECFVBK
MVJD3CCvLVABBUyRCq91BhUCNHkGjhbwud+HtrY14ac/paOn+ByEB6FCuNXi
bIvQPIdta0kUdaWwkCJGmw50JIL5l7B69d+FB7m0fcJ6PgwLelviyHBuClMU
YAiblEz00Yb6ZJEjuccdx77ckdzcZCPckMERF7ta82J8SQFeUHWGM2cgvatC
LO+2Ox67NI8vFNxDNm8D7+OMij9q2rqhIxH+L8OKFW+ERx6ho8d8d1yW1H8S
IxUdzcvDEw0MOFrD2NYk/yHrI6GK8J8PL7/8YVjABvKo42fSI4A1kokUqKAg
qp1wdC2jujb7lMbI6lI5F2ZmIMNl4f33qy84PrXckeE8B55FZai4zJHhNsen
VjoC/JgjpQFGNeBoUowL0fTfwmJW3lbHp7gbWcMxWUqBysDjbp58WCqWZgH+
d5gzB5/V53yf6lcnmbjQEc9qxrHaEaq0Zk6FpUv/KjzFweGh5PrHk0+tzn4G
luio24FnURkqBBXQAB0d/WmSyAEoiSQ14Eiu2xHPKka1yhHqFY7kHsw+hXEr
XrsTUrw2Sa7HAcSMyodFL2YLI4Ax0NFn+RyiDsjH2Kg+D6MAi3TU44iHDUbt
xgiVu6c1mDZMnI4+k/x+FwIdeZJ0t2DalOni6EIHnkUFZsE0HQkqOCucliT3
QPYacABH1eEG6Om44AocgTM64i6pNpw1hyq+qiEMIRzR0X0pQB6G6ZEnDTkC
vMgR4EqDCoMWjbcFKiPALdmTkDUg3YNtSAaFkYlkWjAG2aErQ+oXbBJR0D9G
Y7fQZA2DBmSIQaT6tPUp5Cqa0MKPyccKxhDKEdILnahqkGdAhtR/EePHcJjq
ns2OT92YDRPWUqICN4BHeZBFBY7AGR0JKozuGOXp6G7fp252ZCjYMMJTERmS
C6knQVvQWhGyakhbIEM6+pTjXbc6MpRkLk1M4OhKgwr8UkqYI7CV4ajjXbcl
Do6C2RIVdIHGHFmGoLrSCScS2pBiItWkozsd7xpJqjkDIVIJMt+Bx3FOwx2o
gH1SWijDJJJpJNV09EnHu27nc3ABMsqCK3CTCgyLysQMyTNQSKCgoKPbfe+6
w5HhfCds8FihQwYIwVQTiVfi6Q/Dpk2ov+loo+Ndn3RkuCAFSA6EOFpmUDlZ
m5XhSHLQvcm7NiWDG0tNDk9dgmpZ5gqUkCNL6P5N6Or6bHjzTTpi20aHfBrC
gjGCm9GsRWAssRmQFpshhHPqd8KGDbdmhUjZfVT9DLhQ8eFTJWeg8BCuaYrB
LSXCp8IPfvC70M7N+ZuySYAVsATW7mktPAPSYjOEyGAETMBIRxJcoR94MLnV
H/E5Uyh6jHGOp6meoWIoSW44A0tZskR52BpsrpScgWIRGNwy2sEIYAx0dH0O
s6AbP/j7Xr5Uq/CW7HB2rEmyIURGO1N2r0vhmMZbcqb7W0sO8DDhSlHHojLB
XlDBZ+G7dHRddiYoiZzpAUeGUl2a8ehSg8oEe0GVuhs4GvSdSdIoUysuSALI
45FguzQRRzxTQBp2ZLjGcSv2VFtlC2OI2jT+4miJQWUqVkFl2hQDvltxumur
bMJGpbRlBzktPUJR4DBV9jWOMz3UWnKIrTRPVbCzxPlKGpumP7HKcauHW0vO
kL64QEVsSiJiuhJX+870uURfLg0XOipYbNgxirvJkdxVjjNJZWpq6wWOYQmq
xY45CmOmP7HScabP53Optl7oeEyvQWX8TPrfpra+0nemR1rL0IQCwdbrBCQZ
j0x/4orsTCnve6y1DA08iwqWQk8+hYzK9CeWZWdCMqvN6i+qRU3wFL3tfS0q
cJDZbXBEdnl2IRCN7Fw7Sqao9mxukWHCmLwkpaYdcVl2IQQfZEXSi7NFteet
gkr7X2XitSHLKxXVS7Iz0eRSdCbI7slmeZmM6xKDw+hEsivTjujNLpSmkb7E
5zThKyVnVFOiItVIpmiaEIuyk6RJop2J7lxKL3BUY3kxqhlx5FX0j9OEkLS5
TSntqUZQXeKoRpJ404uYb72GYvQzNhqVYjMaWmhQGd8VVKaUvsj3muday9BE
GIvNlBaCzbQjehxP+kq6dycdF6hMXWFRmTJQShPTjuh2PGlXMttcShfRGzop
US3M6sJTiHT0CUeG83xPkglMU0ovSL6cx54FBpvpswg20464wPGp55Nqcikt
qEyfxaIyvWypuUwp3eV41wutZWga2RaVaYoIKtOOyPNQ2bvkuRAUMjqTp65h
mjYWlRkcBZXpRbQ73vVSCkC5lJ6fBJ0Hb4vKNKrudARYy95VTqDuyRQ0l9IY
+ZBFONhgnulZY8Fm2hFt2btS8/cbyYZnldIGHqPXrwwVnO93mFI6UAzIkymv
tJafEZJFY8YPFkMDWf+XZr7zl+XkSbU3xYMjOF+CN2OGBW+MRErvf5rasf43
/e930UzJviycVC3PdwzWgjVRTvoHGC9/Pvzv13w0fVm9+otkiLksvtiJaBas
mf5ju203MyDxjPYY9icHzn2Ei5P2qZPkYDBR5xNZpGnigx8xRIW835FM0VpK
4dAiMANR0UYqpztkxte0F/YnCeRqWLABllqcnHPtd6Nj++LoprcgKjfVsKAC
U+kBQovKUDGSrCvbf0ez5EwNfLEjnrMg4MRw1hSizCCb9oInuYtaYxPjNrnJ
bSnM5SlEGWNMXexJTlCZ3OksqG7NzpKmEGW60PQW9qUolAvgc6MyI+fNGURy
IEkJTG9hfwKbS2FviseiMoHrJseTeloL0JTCPU4QOwuqYd+nRDamt+DJ8NzY
TIK83vEp7xEIT4Y0d0Vp+/zWCKTZg7QveZIMdqaxILyYUrgVAhP0h7InlZMc
kkOa3sK+ZK+5AD4vJtYlPeWpjd7WUjJlb3cLBCYzk06bmdCQat80EfY7UupO
9+bM7Cz2NZiFkCY0vAn6fdkymqeUz9eU8/MUeUJDCm3TQRCuvMn4s6Ayo+C1
2WvKCY1ijj41EfarQiaEHTMqnyW0DaQYlKcxrjhPyX3snKHN5GPXZK9J0xgy
Y2V6CZ7kNNqWOdlZRqJ+33+WZ8ml8nh/ttJUCgu28x33rnY8SZpwpqsgMjSl
8LlRQX7UV8LRVY5PCXrTX9ifwOY6+AKHdIvKULHC8alV5ynAc6MydfByx6fE
Wkx/wROgPGVl6mCb3Znx8Arfp8QNTHm8P8k/18HFI2ppyLbYTMjqc7xL+vSm
vyCoTB3clYSSQ6pFZb5a5niXhEXTX9iXjTXVwV0O6RaVKSZlvZO2YtW71p6n
DCUfNPWuxWaUmSd28ryGjF2mv+DJsNMxNkG10PGuxdk4ynkNeaDUVMj7MlWp
FBZsJh+32EyolMHWzHBI6mJaDEW1l0rhjuScOZTbqtu0u6RXaGY4ZNLFtBhE
hqYczm2H3JGzqMzMnyzyap7ruOk8ZdjugLTYTCmazTPPdcjsgWkxeBWzoDJl
sUXl1KR2rkMKA9Ni2J/MO1fR8vi086Ss9gWN0fRYB9O5jg18qXnoYV8Onami
bjimbbEZO2zPQSo1MoteU3I6KVXNUxCeXOuObZZNUMobxYBRCeBZc2pz1n33
u/08hZyfyc5Jrm2+mrDNUmoAc5Cn3jF6EwtFRyq5prTkzOMSXm1ZS5zlUUfI
EDc0DQDmpwuCCMUD+ArOuCw1z1pW6zUHukVsaKoldzqiSGnEjr//4a5wlzqu
doqcxke7Kd9DXq9gZ3SML9dSRB5sxvrr7tCdkhVpezk9kHYj7cDOC/iLSt/t
TEt+bpu9lBI888IPKmtIerhpU5LvS9k86TlNCKJuAfeMjo1OV9MVVjYR4LsJ
sJIhkclZekmrt44PfDQQ8gKUWqp88CNNUtMx4aZyJ8wxyLqIRBm+ETyyGOxY
dawaiW9GG9H/In4tlIkOsHwYyzLbMlG6Rl6zUrPMTIjfgqcYVXOdTHyqngvi
TQthgn53KPH6TkxEUeqKufFqvDoY3+kFGiRBSWv5aR2Z0K0rTvEzRzicK5/8
0q0FcA7KA4eAdOrUKQVcLt2TJa7lMjVlFPEmWYswajpAEym+jjSZd/tMNROV
uLvSJZi98Q37qQkf5YrRjlb8zoHaiMs5RplgD6xJ3Cah6FpwBTZ7EaRVJtPZ
AO1wLygGiiWXlOezTAvK45VXlTVKXpMpems5JWWitZx6rlywCwHAtzggJzvA
V7ALsOyxxzJtB1qsrIQq34nvbw/9fOibO8KOe6mtVvv9xJ62v504tY2OXuRz
PxsIA4kb8U1w88P4fi2+XS66HC4arKRoWKW6pFohGLp+vr0lAw0s/9xdvu/8
xzur+5jS6Ym/6T0x8WZ/Sf0/D4WhZuqxzvOG+Ia9udTPdajvmE2urrNWcr3V
0aUNb5HoX/aSXmxpMkQmLU8tzNPA01Xm5bl2axbl7hJqWbOXmNsl4/L4t+nb
vdDSi2tHeqd6E5kePGmKUNAxtpDJxFd4wUmVTG+YuLxYey1Pw5nW3wt2SNA3
Bi3Kpz5ovWRfHtFPG25kvxOK6mY1eNR1V9OwWu5Q8EY8vuT0aeSvDzhaZzrr
SqfSp+u4myHeUazjvqiwTbVZobNDDko7jOFCesWmuhThma6j6BipHQmrMG1n
5pQ9RvdWYMp1lpQIBYHQa9RpuauNylbkbYooEZVps/05nzPFm1Kg24sAnVCg
+x3ohjp4leO5Elw8d58eUxL0pmmZZ13z85WXOCGrrUTfSKZSphBSQpnqSvRg
OpeC0lR1JUod3ttKmdfSTirF5UZtnnBlMbzJgtVdS0cod83IAdmgB4cqDElz
TZNBODV9TZk9Nw/uS7eWYGlgU/Q6HoBVQV9vzb0RYCHo1Kfb4yiku7BgvGTf
DNVrucMMXqCwiRJvz4hiVxGduvGEY3qjux3h9Dg4NJiVm8+IaTQK4WS18e9y
vPPWDAlJpoe62xHYRRKzdO+JMgriGOcl2i9zOL/P0cuEw/lSA8Kj1PRFX3Qo
FRB9rakwjboXHCqWGRCGCgFhmpgvOFQICJlRMB0JAWGak1934k+fAWGKSY+R
rzvXWRBm9ZGAMJ3Er2VZpFVPshZF5itMHBcQprXFe/zYOC4gljtRSB6rN20/
eejL9CzskiKjLAFh2nm7HOULiBWOmO51GPmyc91yA8Is2REQpvf2XKY2LRWS
RV/y/LCZYJO80bR7BISZOBMQVzlfCQjTKHvGQWWX7xkCBYRpdj3tMCyLDa92
xPRph5GnnesEhCz4NK05AWF6TvKYKKwXiiXlX21AGMMlENTT2OmYvyw2XeUI
R1aumL7PDkfYAoKMllp7QrRp3cgWAKY3J4tpr3H43pyIfsrhdrW50XArCxFN
5+QJh29ZAj3g8C0gTP/icYdvAZEW88qugLYfsN3hW1Z6r3H45sWNtswedyRw
rQFhtoG4xyFfnlw320/Igv2P5yije58oFeaxjEezEBG5qIstOwwMZiEiJhKB
0i8wZYCAMJm5gJCpIxNWBYQpzORpfxNWZUuF6xxJ8/aQtmj6fNJXuWcdnbjL
IXqbA1ZuHHKIkWapqTS2OszJDhoys2TGAgFhMldZKWIWg9u933AqTS8ICJPa
P+woWnYnuSGbB0CQcqS5ZVL1h6y3EAjZc2V9pkI3ElUQhpE/4XNgFqgIhOwj
c2MWJ+0eiyN52M+k0Q9mjaR9O2RzHJlkwu1JWXdkRlLKNeZcJzv+3JyhJ2MW
ECZf/UyOCIla2bnolqzvJCaZwzD55QPWpSiw8L06r6T6Jsfe6DCieb5ojmxI
9pC6LesbPk8hRkCY3PFe5zrZBWtDDi+ggviUhwidZe013dCUwgvfqxhxK0BQ
jBbKTO7Igw1mDcl+YASQi+xFdns2PITAgkabPt5jeSFD5ntVh4aXWx1e7nZ4
4Xt1AsjwIuZi0se7fF7YltUrDC8CxSRemxxe+F75qq68AEHes8omkUwzbe+J
2X1liSFofASzyCPJa71pYSaddgPFdXhGABB5jkYCNfELUjQ1Wu8wxeZQhz3D
XmH24IIhiPrqsPpy01ENkmVOuSHzpduWwt8YgqYuuqMoyU6itcnG5IFV3AmE
uiEpD+SSfNWbN6OUZw9McnlzvlT3G8WlDEFcrK47bOoetTLomRTzxgxId5+F
1BmCuHvaf1Y3hPXWjEtnCJtdQfq0QRuPW2mvWVRYaa9ZLmKqP86a1g2vgYGT
hTpSqifDa68BIvb0kk3GxkJRjK/JKtYNbUEvA5bdShJ8TX50q5dw4gS28zsd
LrxQ91TDPmsJuCw8BUkgTYEzVN1uRccnBb7SAscmbbprHMUeBb7aAgd9oJOh
yrYxDQUORcIPyt2NR8PRo2dCJ8PuYAzTobc3YZCtrKFd+BowKBaBL8N0O6wH
Dtu8jXafg0n24Es2hB/ZwBqqhfWDH6gb/gn+GItkJrO2zyZ6ljmYRCUHQzHl
xsVg2p7bwGD4siK0JTGXO5hkY8VdYe/ehIl5b7kpN2ORLLOjlLHu1azbletK
2tH//P73cQvj4t9b/ut730sY+dGjDkDXfc2h93LHbsGnWbpu617uwI7b0g7s
utew9Oa3bs3M9m/fuDH1zmSft+ad2nX3c7BGO9Qz9if5amDHN+Wm8rhTN5WX
RXPlnAgIENZTIwsXcdKY9p+HLXr7zzPisibFN9QmaqMnuBo6QkFgMLRif0A7
hyR9axAEkNPTRS+7nPPhqmgueAU8OCF4BB7wrPvu4zwoZNJkN8YL9P9LgJR0
IIeUABr84U6cp2SM/5+Eemqd4GdyclI2Kn711ar68MMqv9Bj5DK5G7fof7eg
/x0DhAJ7BRx1a4gVAsN1MA+mUnpYhBjC1zyV/wcF7FWZCAJW3gi5/Uc/KmhZ
PjmpAqnTdR0abvGj/1cD7IIep2WE2os3PV+d2ts+OalUyqqpdPm5ZgLlcpnb
OOeM3F57eYsHKJKnvMqXM5Kz78bNj638wf/Xxv/V3yQI0q4Q/qr4b7mVdfyb
123x4zHkMZP/D068Utgq9Iuu/+zvG6R3zGNgck7tevJ/V0/VnP8BUX6m3w==
\
\>"]]
}, Open  ]],

Cell["\<\
we see that this permutation cannot be expressed as a single chain. However, \
the two different colored arrows suggests the following idea. Suppose we \
considered one permutation which consisted mainly of the green triangle, \
(with 1 and 4 mapping to themselves) and another permutation consisting \
mainly of the red double arrow, with 2, 3, and 5 mapping to themselves. These \
two permutations are given by\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422644504609375*^9, 3.422644532734375*^9}}],

Cell[CellGroupData[{

Cell["CircleGraph[{1,2,3,4,5},P[1,3,5,4,2]]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.422644544453125*^9, 3.42264456159375*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9510565162951535, 0.30901699437494745`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5877852522924732, -0.8090169943749473}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5877852522924734, -0.8090169943749472}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9510565162951536, 0.30901699437494723`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"1\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], {}, {InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0461621679246689`, 0.3399186938124422}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6465637775217207, -0.8899186938124422}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6465637775217208, -0.889918693812442}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"5\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.046162167924669, 0.339918693812442}, {1, 0}]}, {
    {RGBColor[1, 0, 0], 
     LineBox[{{-0.07071067811865475, 
      0.9292893218813453}, {-0.09241885630108176, 
      0.8968331206248827}, {-0.09998489885977781, 
      0.8585786437626906}, {-0.09241885630108176, 
      0.8203241669004984}, {-0.07071067811865475, 
      0.7878679656440357}, {-0.038254476862192216`, 0.7661597874616087}, {0., 
      0.7585937449029128}, {0.038254476862192216`, 0.7661597874616087}, {
      0.07071067811865475, 0.7878679656440357}, {0.09241885630108176, 
      0.8203241669004984}, {0.09998489885977781, 0.8585786437626906}, {
      0.09241885630108176, 0.8968331206248827}, {0.07071067811865475, 
      0.9292893218813453}, {0., 1.}}], 
     PolygonBox[{{0., 1.}, {-0.10606601717798211`, 
      0.9646446609406726}, {-0.035355339059327376`, 0.8939339828220179}}]}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.618686951729968, -0.713911342745432}}], 
      PolygonBox[{{0.5877852522924732, -0.8090169943749473}, {
       0.6662397775447256, -0.7293621924641793}, {
       0.5711341259152103, -0.6984604930266847}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{
       0.5877852522924732, -0.8090169943749473}, {-0.8701548168576589, 
       0.2502384691456999}}], 
      PolygonBox[{{-0.9510565162951536, 
       0.30901699437494723`}, {-0.8995440794722825, 
       0.20978761942695257`}, {-0.8407655542430352, 0.2906893188644473}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.9510565162951536, 0.30901699437494723`}, {
       0.8510565162951536, 0.30901699437494745`}}], 
      PolygonBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.8510565162951536, 0.35901699437494744`}, {0.8510565162951536, 
       0.2590169943749474}}]}}, 
    {RGBColor[0.6, 0.4, 0.8], 
     LineBox[{{-0.4890164182329596, -0.7933735478709242}, \
{-0.4523768567224715, -0.7798756764713602}, {-0.4237703823785621, \
-0.7533743628131423}, {-0.4074060220549511, -0.7179786326864869}, \
{-0.4058910306774689, -0.6789612673073874}, {-0.4193889020770327, \
-0.6423217057968993}, {-0.4459317784290284, -0.6137152314529899}, \
{-0.4812859458619062, -0.5973508711293789}, {-0.5203033112410057, \
-0.5958358797518967}, {-0.5569428727514938, -0.6093337511514605}, \
{-0.5855493470954032, -0.6358350648096784}, {-0.6019137074190142, \
-0.6712307949363339}, {-0.6034286987964964, -0.7102481603154335}, \
{-0.5877852522924734, -0.8090169943749472}}], 
     PolygonBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.4811946949809481, -0.8427579649006811}, {-0.49683814148497113`, \
-0.7439891308411672}}]}}},
  AspectRatio->Automatic,
  ImageSize->{185.99999999999966`, Automatic},
  PlotRange->All]], "Output",
 CellChangeTimes->{3.4226445631875*^9, 3.442673200555125*^9}]
}, Open  ]],

Cell["and ", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CircleGraph[{1,2,3,4,5},P[4,2,3,1,5]]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4226445698125*^9, 3.422644574921875*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9510565162951535, 0.30901699437494745`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5877852522924732, -0.8090169943749473}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5877852522924734, -0.8090169943749472}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9510565162951536, 0.30901699437494723`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"1\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], {}, {InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0461621679246689`, 0.3399186938124422}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6465637775217207, -0.8899186938124422}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6465637775217208, -0.889918693812442}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"5\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.046162167924669, 0.339918693812442}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], 
      LineBox[{{0., 1.}, {-0.5568835528549786, -0.7139113427454319}}], 
      PolygonBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.509330727040221, -0.7293621924641792}, {-0.6044363786697363, \
-0.6984604930266844}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.030901699437494757`, 0.9048943483704847}}], 
      PolygonBox[{{0., 1.}, {-0.07845452525225244, 0.920345198089232}, {
       0.016651126377262918`, 0.8894434986517372}}]}}, 
    {RGBColor[0, 1, 0], 
     LineBox[{{0.8619558638763167, 0.35441604434890217`}, {0.8243799862018817,
       0.3650322309050952}, {0.7856597809738304, 0.3604066815217689}, {
      0.7516156472073815, 0.34138966398241394`}, {0.7274561614835253, 
      0.31071444190402003`}, {0.7168399749273322, 0.273138564229585}, {
      0.7215327741618549, 0.23441835900153368`}, {0.7404825418500134, 
      0.2003742252350848}, {0.7711577639284074, 0.17621473951122854`}, {
      0.8087336416028424, 0.1655985529550355}, {0.8474538468308936, 
      0.17022410233836177`}, {0.8814979805973426, 0.18924111987771672`}, {
      0.9056574663211988, 0.21991634195611065`}, {0.9510565162951535, 
      0.30901699437494745`}}], 
     PolygonBox[{{0.9510565162951535, 0.30901699437494745`}, {
      0.8846553888632941, 0.3989663705583205}, {0.8392563388893394, 
      0.3098657181394837}}]}, 
    {RGBColor[0.6, 0.4, 0.8], 
     LineBox[{{0.6034286987964963, -0.7102481603154336}, {
      0.6019137074190141, -0.6712307949363341}, {
      0.5855493470954031, -0.6358350648096786}, {
      0.5569428727514937, -0.6093337511514606}, {
      0.5203033112410056, -0.5958358797518968}, {
      0.4812859458619061, -0.597350871129379}, {
      0.4459317784290284, -0.61371523145299}, {
      0.41938890207703267`, -0.6423217057968994}, {
      0.4058910306774688, -0.6789612673073875}, {
      0.407406022054951, -0.717978632686487}, {
      0.423770382378562, -0.7533743628131424}, {
      0.45237685672247147`, -0.7798756764713604}, {
      0.4890164182329595, -0.7933735478709243}, {
      0.5877852522924732, -0.8090169943749473}}], 
     PolygonBox[{{0.5877852522924732, -0.8090169943749473}, {
      0.6528131158262532, -0.718069883567445}, {
      0.5540442817667395, -0.702426437063422}}]}, 
    {RGBColor[1, 0.6, 0], 
     LineBox[{{-0.9056574663211989, 
      0.21991634195611046`}, {-0.8814979805973427, 
      0.18924111987771652`}, {-0.8474538468308939, 
      0.1702241023383616}, {-0.8087336416028426, 
      0.16559855295503534`}, {-0.7711577639284075, 
      0.1762147395112284}, {-0.7404825418500136, 
      0.20037422523508464`}, {-0.721532774161855, 
      0.23441835900153352`}, {-0.7168399749273324, 
      0.2731385642295848}, {-0.7274561614835254, 
      0.31071444190401987`}, {-0.7516156472073816, 
      0.34138966398241377`}, {-0.7856597809738306, 
      0.3604066815217687}, {-0.8243799862018818, 
      0.36503223090509496`}, {-0.8619558638763168, 
      0.35441604434890195`}, {-0.9510565162951536, 0.30901699437494723`}}], 
     PolygonBox[{{-0.9510565162951536, 
      0.30901699437494723`}, {-0.9502077925306174, 
      0.19721681696913312`}, {-0.8611071401117806, 0.24261586694308782`}}]}}},
  
  AspectRatio->Automatic,
  ImageSize->{143.33333333333314`, Automatic},
  PlotRange->All]], "Output",
 CellChangeTimes->{3.42264457640625*^9, 3.442673202961375*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "EXPERIMENT:\nIs there a way to multiply the permutations ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "3", ",", "5", ",", "4", ",", "2"}], "]"}], 
   TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "2", ",", "3", ",", "1", ",", "5"}], "]"}], 
   TraditionalForm]]],
 " to produce the original permutation ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "3", ",", "5", ",", "1", ",", "2"}], "]"}], 
   TraditionalForm]]],
 "?  Which order do the permutations need to be multiplied?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.42264479259375*^9, 3.422644818703125*^9}}],

Cell["   ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell["\<\
To help explain why the permutations acted the way that they did in the \
experiment, try graphing both permutations on the same graph:\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CircleGraph[{1,2,3,4,5},P[1,3,5,4,2],P[4,2,3,1,5]]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.422644835484375*^9, 3.4226448444375*^9}},
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9510565162951535, 0.30901699437494745`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5877852522924732, -0.8090169943749473}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5877852522924734, -0.8090169943749472}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9510565162951536, 0.30901699437494723`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"1\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], {}, {InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0461621679246689`, 0.3399186938124422}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6465637775217207, -0.8899186938124422}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6465637775217208, -0.889918693812442}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"5\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.046162167924669, 0.339918693812442}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.07071067811865475, 
       0.9292893218813453}, {-0.09241885630108176, 
       0.8968331206248827}, {-0.09998489885977781, 
       0.8585786437626906}, {-0.09241885630108176, 
       0.8203241669004984}, {-0.07071067811865475, 
       0.7878679656440357}, {-0.038254476862192216`, 0.7661597874616087}, {0.,
        0.7585937449029128}, {0.038254476862192216`, 0.7661597874616087}, {
       0.07071067811865475, 0.7878679656440357}, {0.09241885630108176, 
       0.8203241669004984}, {0.09998489885977781, 0.8585786437626906}, {
       0.09241885630108176, 0.8968331206248827}, {0.07071067811865475, 
       0.9292893218813453}, {0., 1.}}], 
      PolygonBox[{{0., 1.}, {-0.10606601717798211`, 
       0.9646446609406726}, {-0.035355339059327376`, 0.8939339828220179}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.618686951729968, -0.713911342745432}}], 
      PolygonBox[{{0.5877852522924732, -0.8090169943749473}, {
       0.6662397775447256, -0.7293621924641793}, {
       0.5711341259152103, -0.6984604930266847}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{
       0.5877852522924732, -0.8090169943749473}, {-0.8701548168576589, 
       0.2502384691456999}}], 
      PolygonBox[{{-0.9510565162951536, 
       0.30901699437494723`}, {-0.8995440794722825, 
       0.20978761942695257`}, {-0.8407655542430352, 0.2906893188644473}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.4890164182329596, -0.7933735478709242}, \
{-0.4523768567224715, -0.7798756764713602}, {-0.4237703823785621, \
-0.7533743628131423}, {-0.4074060220549511, -0.7179786326864869}, \
{-0.4058910306774689, -0.6789612673073874}, {-0.4193889020770327, \
-0.6423217057968993}, {-0.4459317784290284, -0.6137152314529899}, \
{-0.4812859458619062, -0.5973508711293789}, {-0.5203033112410057, \
-0.5958358797518967}, {-0.5569428727514938, -0.6093337511514605}, \
{-0.5855493470954032, -0.6358350648096784}, {-0.6019137074190142, \
-0.6712307949363339}, {-0.6034286987964964, -0.7102481603154335}, \
{-0.5877852522924734, -0.8090169943749472}}], 
      PolygonBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.4811946949809481, -0.8427579649006811}, {-0.49683814148497113`, \
-0.7439891308411672}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.9510565162951536, 0.30901699437494723`}, {
       0.8510565162951536, 0.30901699437494745`}}], 
      PolygonBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.8510565162951536, 0.35901699437494744`}, {0.8510565162951536, 
       0.2590169943749474}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{0., 1.}, {-0.5568835528549786, -0.7139113427454319}}], 
      PolygonBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.509330727040221, -0.7293621924641792}, {-0.6044363786697363, \
-0.6984604930266844}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.8619558638763167, 0.35441604434890217`}, {
       0.8243799862018817, 0.3650322309050952}, {0.7856597809738304, 
       0.3604066815217689}, {0.7516156472073815, 0.34138966398241394`}, {
       0.7274561614835253, 0.31071444190402003`}, {0.7168399749273322, 
       0.273138564229585}, {0.7215327741618549, 0.23441835900153368`}, {
       0.7404825418500134, 0.2003742252350848}, {0.7711577639284074, 
       0.17621473951122854`}, {0.8087336416028424, 0.1655985529550355}, {
       0.8474538468308936, 0.17022410233836177`}, {0.8814979805973426, 
       0.18924111987771672`}, {0.9056574663211988, 0.21991634195611065`}, {
       0.9510565162951535, 0.30901699437494745`}}], 
      PolygonBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.8846553888632941, 0.3989663705583205}, {0.8392563388893394, 
       0.3098657181394837}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.6034286987964963, -0.7102481603154336}, {
       0.6019137074190141, -0.6712307949363341}, {
       0.5855493470954031, -0.6358350648096786}, {
       0.5569428727514937, -0.6093337511514606}, {
       0.5203033112410056, -0.5958358797518968}, {
       0.4812859458619061, -0.597350871129379}, {
       0.4459317784290284, -0.61371523145299}, {
       0.41938890207703267`, -0.6423217057968994}, {
       0.4058910306774688, -0.6789612673073875}, {
       0.407406022054951, -0.717978632686487}, {
       0.423770382378562, -0.7533743628131424}, {
       0.45237685672247147`, -0.7798756764713604}, {
       0.4890164182329595, -0.7933735478709243}, {
       0.5877852522924732, -0.8090169943749473}}], 
      PolygonBox[{{0.5877852522924732, -0.8090169943749473}, {
       0.6528131158262532, -0.718069883567445}, {
       0.5540442817667395, -0.702426437063422}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.030901699437494757`, 0.9048943483704847}}], 
      PolygonBox[{{0., 1.}, {-0.07845452525225244, 0.920345198089232}, {
       0.016651126377262918`, 0.8894434986517372}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.9056574663211989, 
       0.21991634195611046`}, {-0.8814979805973427, 
       0.18924111987771652`}, {-0.8474538468308939, 
       0.1702241023383616}, {-0.8087336416028426, 
       0.16559855295503534`}, {-0.7711577639284075, 
       0.1762147395112284}, {-0.7404825418500136, 
       0.20037422523508464`}, {-0.721532774161855, 
       0.23441835900153352`}, {-0.7168399749273324, 
       0.2731385642295848}, {-0.7274561614835254, 
       0.31071444190401987`}, {-0.7516156472073816, 
       0.34138966398241377`}, {-0.7856597809738306, 
       0.3604066815217687}, {-0.8243799862018818, 
       0.36503223090509496`}, {-0.8619558638763168, 
       0.35441604434890195`}, {-0.9510565162951536, 0.30901699437494723`}}], 
      PolygonBox[{{-0.9510565162951536, 
       0.30901699437494723`}, {-0.9502077925306174, 
       0.19721681696913312`}, {-0.8611071401117806, 
       0.24261586694308782`}}]}}}},
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.422644846046875*^9, 3.442673204930125*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "One can see the simularity between this graph and the graph of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "3", ",", "5", ",", "1", ",", "2"}], "]"}], 
   TraditionalForm]]],
 ". Let us write the permutations ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "3", ",", "5", ",", "4", ",", "2"}], "]"}], 
   TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "2", ",", "3", ",", "1", ",", "5"}], "]"}], 
   TraditionalForm]]],
 " in cycle notation:\n\n P[1,3,5,4,2] = (2 3 5) ,   P[4,2,3,1,5] = (1 4).\n\n\
Notice that when these two permutations are writen as cycles, there are no \
numbers in common between these two cycles. We give a name to these type of \
cycles.\n\nDEFINITION 5.2\nTwo cycles \n                   (",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "1"], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "2"], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "3"], TraditionalForm]]],
 " \[Ellipsis] ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "r"], TraditionalForm]]],
 ")  and  (",
 Cell[BoxData[
  FormBox[
   SubscriptBox["j", "1"], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["j", "2"], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["j", "3"], TraditionalForm]]],
 " \[Ellipsis] ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["j", "s"], TraditionalForm]]],
 ")\n\nare ",
 StyleBox["disjoint",
  FontSlant->"Italic"],
 " if none of the ",
 Cell[BoxData[
  FormBox["i", TraditionalForm]]],
 "'s are equal to any of the ",
 Cell[BoxData[
  FormBox["j", TraditionalForm]]],
 "'s.\n\nWe saw that (153) and (24) are disjoint. It is fairly clear that two \
disjoint cycles will commute with one another, as demonstrated in the \
experiment.    \n\nCan we express other permutations as a product of cycles? \
Consider the permutation\n\n                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["(",
     FontSize->14], GridBox[{
      {"1", "2", "3", "4", "5", "6", "7", "8"},
      {"4", "6", "1", "8", "2", "5", "7", "3"}
     }], 
    StyleBox[")",
     FontSize->14]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422644856890625*^9, 3.4226449365625*^9}, {
  3.4366243798125*^9, 3.4366243815625*^9}}],

Cell["Here is the circle graph of this permutation:", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CircleGraph[{1,2,3,4,5,6,7,8},P[4,6,1,8,2,5,7,3]]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.442673208680125*^9, 3.442673209742625*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7071067811865475, 0.7071067811865476}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1., 6.123233995736766*^-17}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7071067811865476, -0.7071067811865475}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.2246467991473532`*^-16, -1.}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7071067811865475, -0.7071067811865477}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1., -1.8369701987210297`*^-16}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7071067811865477, 0.7071067811865474}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"1\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], InsetBox[
    TagBox[
     StyleBox["\<\"5\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, -1.1}, {0, 1}], {InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7778174593052023, 0.7778174593052024}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.1, 6.735557395310444*^-17}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7778174593052024, -0.7778174593052023}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"6\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7778174593052023, -0.7778174593052025}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"7\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.1, -2.0206672185931328`*^-16}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"8\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7778174593052025, 0.7778174593052022}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], 
      LineBox[{{0., 1.}, {0.6688384379500386, -0.6147188279354188}}], 
      PolygonBox[{{0.7071067811865476, -0.7071067811865475}, {
       0.715032414575603, -0.5955846563171643}, {
       0.6226444613244743, -0.6338529995536732}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.7071067811865476, -0.7071067811865475}, {-0.636396103067893,
        0.6363961030678926}}], 
      PolygonBox[{{-0.7071067811865477, 
       0.7071067811865474}, {-0.6717514421272203, 
       0.6010407640085652}, {-0.6010407640085655, 0.6717514421272199}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.7071067811865477, 0.7071067811865474}, {0.9076120467488713,
        0.03826834323650902}}], 
      PolygonBox[{{1., 6.123233995736766*^-17}, {0.9267462183671258, 
       0.08446231986207337}, {0.8884778751306168, -0.007925633389055322}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{1., 6.123233995736766*^-17}, {0.07071067811865477, 
       0.9292893218813453}}], 
      PolygonBox[{{0., 1.}, {0.03535533905932738, 0.8939339828220179}, {
       0.10606601717798213`, 0.9646446609406726}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{0.7071067811865475, 
       0.7071067811865476}, {-0.6363961030678927, -0.636396103067893}}], 
      PolygonBox[{{-0.7071067811865475, -0.7071067811865477}, \
{-0.6010407640085653, -0.6717514421272203}, {-0.67175144212722, \
-0.6010407640085655}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.7071067811865475, -0.7071067811865477}, \
{-0.09238795325112857, -0.961731656763491}}], 
      PolygonBox[{{
       1.2246467991473532`*^-16, -1.}, {-0.07325378163287409, \
-0.9155376801379267}, {-0.11152212486938305`, -1.0079256333890554`}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{1.2246467991473532`*^-16, -1.}, {0.6688384379500385, 
       0.6147188279354189}}], 
      PolygonBox[{{0.7071067811865475, 0.7071067811865476}, {
       0.6226444613244742, 0.6338529995536734}, {0.7150324145756028, 
       0.5955846563171644}}]}}, 
    {RGBColor[0.6, 0.4, 0.8], 
     LineBox[{{-0.9292893218813453, -0.07071067811865492}, \
{-0.8968331206248827, -0.09241885630108193}, {-0.8585786437626904, \
-0.09998489885977796}, {-0.8203241669004983, -0.09241885630108192}, \
{-0.7878679656440357, -0.07071067811865489}, {-0.7661597874616087, \
-0.038254476862192355`}, {-0.7586644555810313, -1.3935141023228338`*^-16}, \
{-0.7661597874616087, 0.03825447686219208}, {-0.7878679656440357, 
      0.07071067811865461}, {-0.8203241669004984, 
      0.09241885630108161}, {-0.8585786437626906, 
      0.09998489885977765}, {-0.8968331206248827, 
      0.0924188563010816}, {-0.9292893218813453, 
      0.07071067811865459}, {-1., -1.8369701987210297`*^-16}}], 
     PolygonBox[{{-1., -1.8369701987210297`*^-16}, {-0.9646446609406726, \
-0.1060660171779823}, {-0.8939339828220179, -0.035355339059327535`}}]}}},
  AspectRatio->Automatic,
  ImageSize->{227.3333333333331, Automatic},
  PlotRange->All]], "Output",
 CellChangeTimes->{3.422644958859375*^9, 3.442673210742625*^9}]
}, Open  ]],

Cell[TextData[{
 "We see from the circle graph that this permutation maps 1 into 4, 4 into 8, \
8 into 3, and 3 back into 1. So the cycle ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", "1483", ")"}], TraditionalForm]]],
 " describes part of the permutation. However, we also have 2 mapping to 6, \
which maps to 5, which maps back to 2. So the cycle ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", "265", ")"}], TraditionalForm]]],
 " is also a component of the permutation. Finally, 7 maps to itself, so it \
will not be the part of any cycle. Thus we can describe this permutation as\n\
\n                   (1483)(265).\n\nWe can imitate this process for any \
permutation. As a result, we have the following lemma:\n\nLEMMA 5.1\nLet ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " be an element of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 " which is not the identity. Then ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " can be written as a product of nontrivial disjoint cycles. This \
representation of ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is unique up to the rearrangement of the cycles."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43662439434375*^9, 3.43662439446875*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let us say that ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " fixes the integer ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", "i", " "}], TraditionalForm]]],
 " if ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", "(", "i", ")"}], " ", "=", " ", "i"}], TraditionalForm]]],
 ". We will use induction on the number of integers not left fixed by ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ", denoted by ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 ". Because ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is not the identity, there is at least one integer not fixed by ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ". In fact, ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 " must be at least 2, for the first integer must have somewhere to go.  \n\n\
If ",
 Cell[BoxData[
  FormBox[
   RowBox[{"m", "=", "2"}], TraditionalForm]]],
 ", then only two numbers ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "1"], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "2"], TraditionalForm]]],
 " are moved. Since these are the only two integers not fixed, ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " must be a 2-cycle ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", " ", 
    RowBox[{
     SubscriptBox["i", "1"], "   ", 
     SubscriptBox["i", 
      RowBox[{"2", " "}]]}], ")"}], TraditionalForm]]],
 ".\n\nWe now will assume by induction that the lemma is true whenever the \
number of integers not left fixed by ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is fewer than ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "1"], TraditionalForm]]],
 " be one integer which is not fixed, and let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["i", "2"], " ", "=", " ", 
    RowBox[{"x", "(", "  ", 
     SubscriptBox["i", "1"], " ", ")"}]}], TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "(", " ", 
    SubscriptBox["i", "2"], " ", ")"}], TraditionalForm]]],
 " cannot be ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "2"], TraditionalForm]]],
 " for ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is a bijection, and if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "(", " ", 
    SubscriptBox["i", "2"], " ", ")"}], TraditionalForm]]],
 " is not ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "1"], TraditionalForm]]],
 ", we define ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["i", "3"], " ", "=", " ", 
    RowBox[{"x", "(", " ", 
     SubscriptBox["i", "2"], " ", ")"}]}], TraditionalForm]]],
 ". Likewise, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "(", " ", 
    SubscriptBox["i", "3"], " ", ")"}], TraditionalForm]]],
 " cannot be either ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "2"], TraditionalForm]]],
 " or ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "3"], TraditionalForm]]],
 ", since ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is a bijection. If ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", "3"], TraditionalForm]]],
 " is not ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "1"], TraditionalForm]]],
 ", we define ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["i", "4"], " ", "=", " ", 
    RowBox[{"x", "(", " ", 
     SubscriptBox["i", "3"], " ", ")"}]}], TraditionalForm]]],
 ".\n\nEventually this process must stop, for there are only ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 " elements which are not fixed by ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ". Thus, there must be some value ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", "(", " ", 
     SubscriptBox["i", "k"], " ", ")"}], " ", "=", " ", 
    SubscriptBox["i", "1"]}], TraditionalForm]]],
 ". Define the permutation ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " to be the ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 "-cycle ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     SubscriptBox["i", "1"], "  ", 
     SubscriptBox["i", "2"], "  ", 
     SubscriptBox["i", "3"], "  ", "\[Ellipsis]", " ", 
     SubscriptBox["i", "k"]}], " ", ")"}], TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[CenterDot]", 
    SuperscriptBox["y", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 " fixes all of the integers fixed by ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ", along with ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["i", "1"], ",", " ", 
    SubscriptBox["i", "2"], ",", " ", 
    SubscriptBox["i", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
    SubscriptBox["i", 
     RowBox[{"k", " "}]]}], TraditionalForm]]],
 ". By induction, since there are fewer integers not fixed by ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[CenterDot]", 
    SuperscriptBox["y", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 " then by ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ",   ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[CenterDot]", 
    SuperscriptBox["y", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 " can be expressed by a series of nontrivial disjoint cycles ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "1"], "\[CenterDot]", 
    SubscriptBox["c", "2"], "\[CenterDot]", 
    SubscriptBox["c", "3"], "\[CenterDot]", "\[Ellipsis]", "\[CenterDot]", 
    SubscriptBox["c", "t"]}], TraditionalForm]]],
 " . Moreover, the integers appearing in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "1"], "\[CenterDot]", 
    SubscriptBox["c", "2"], "\[CenterDot]", 
    SubscriptBox["c", "3"], "\[CenterDot]", "\[Ellipsis]", "\[CenterDot]", 
    SubscriptBox["c", "t"]}], TraditionalForm]]],
 " are just those which are not fixed by ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[CenterDot]", 
    SuperscriptBox["y", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "1"], ",", " ", 
    SubscriptBox["c", "2"], ",", " ", 
    SubscriptBox["c", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
    SubscriptBox["c", "t"]}], TraditionalForm]]],
 "  are disjoint from ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 ".  Finally, we have\n\n                             ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "=", " ", 
    RowBox[{"y", "\[CenterDot]", 
     SubscriptBox["c", "1"], "\[CenterDot]", 
     SubscriptBox["c", "2"], "\[CenterDot]", 
     SubscriptBox["c", "3"], "\[CenterDot]", "\[Ellipsis]", "\[CenterDot]", 
     SubscriptBox["c", "t"]}]}], TraditionalForm]]],
 " .\n                             \nTherefore, ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " can be written as a product of disjoint nontrivial cycles. By induction, \
every permutation besides the identity can be written as a product of \
nontrivial disjoint cycles.  \n\nFor the uniqueness, suppose that a \
permutation ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " has two ways of being written is terms of nontrivial disjoint cycles: \n   \
                     \n                       ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"x", " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox["c", "1"], "\[CenterDot]", 
       SubscriptBox["c", "2"], "\[CenterDot]", 
       SubscriptBox["c", "3"], "\[CenterDot]", "\[Ellipsis]", "\[CenterDot]", 
       
       SubscriptBox["c", "r"]}], " ", "=", " ", 
      RowBox[{
       SubscriptBox["d", "1"], "\[CenterDot]", 
       SubscriptBox["d", "2"], "\[CenterDot]", 
       SubscriptBox["d", "3"], "\[CenterDot]", "\[Ellipsis]", "\[CenterDot]", 
       
       SubscriptBox["d", "s"]}]}]}]}], TraditionalForm]]],
 ".\n\nFor any integer ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "1"], TraditionalForm]]],
 " not fixed by ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ", one and only one cycle must contain ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "1"], TraditionalForm]]],
 ". Suppose that cycle is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "j"], " ", "=", " ", 
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["i", "1"], " ", 
      SubscriptBox["i", "2"], " ", 
      SubscriptBox["i", "3"], " ", "\[Ellipsis]", " ", 
      SubscriptBox["i", "q"]}], ")"}]}], TraditionalForm]]],
 ". But by the way we constructed the cycles above, this cycle must also be \
one of the ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["d", "k"], TraditionalForm]]],
 "'s.  Thus, each cycle ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["c", "j"], TraditionalForm]]],
 " is equal to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["d", "k"], TraditionalForm]]],
 " for some ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 ". By symmetry, each ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["d", "k"], TraditionalForm]]],
 "  is equal to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["c", "j"], TraditionalForm]]],
 " for some ",
 Cell[BoxData[
  FormBox["j", TraditionalForm]]],
 ". Thus, the two ways of writing ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in terms of nontrivial disjoint cycles are merely rearrangements of the \
cycles."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.42264547928125*^9, 3.422645483671875*^9}, {
   3.422645515265625*^9, 3.422645525421875*^9}, 3.436624432859375*^9, {
   3.4366245555*^9, 3.43662457284375*^9}}]
}, Open  ]],

Cell[TextData[{
 "Since any permutation can be written succinctly in terms of cycles, we are \
given another way to express any permutation. ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " uses the notation\n\nC[i, j, k, \[Ellipsis] ]\n\nto denote the cycle ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"i", " ", "j", " ", "k", " ", "\[Ellipsis]"}], ")"}], 
   TraditionalForm]]],
 ". ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can multiply two cycles together. For example, to multiply ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", "2345", ")"}], "\[CenterDot]", 
    RowBox[{"(", "124", ")"}]}], TraditionalForm]]],
 ", type"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["C[2,3,4,5] . C[1,2,4]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 InterpretationBox["\<\"\\!\\(C[\\(\\(1, 2, 3\\)\\)]\\) \[CenterDot] \\!\\(C[\
\\(\\(4, 5\\)\\)]\\)\"\>",
  StringForm["`` \[CenterDot] ``", 
   C[1, 2, 3], 
   C[4, 5]],
  Editable->False]], "Output",
 CellChangeTimes->{3.422645621890625*^9, 3.43662466471875*^9, 
  3.4366247120625*^9, 3.436624771421875*^9, 3.4366250165625*^9, 
  3.4366250826875*^9, 3.43662590371875*^9, 3.442673218867625*^9}]
}, Open  ]],

Cell[TextData[{
 "Notice that ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " forms the answer as a product of 2 disjoint cycles. Can we see why this is \
the product?  Remember to work from left to right in multiplying permutations \
or cycles.  \n\nWe can convert back and forth between the permutation \
notation and the cycles. The commands \n\n      PermToCycle[ ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", "\[Ellipsis]\[Ellipsis]\[Ellipsis]", "]"}], 
   TraditionalForm]]],
 " ]   \n\nand\n                        \n      CycleToPerm[ ",
 Cell[BoxData[
  FormBox[
   RowBox[{"C", "[", "\[Ellipsis]\[Ellipsis]\[Ellipsis]", "]"}], 
   TraditionalForm]]],
 " ]\n\ntell ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to switch between the two notations.  Thus, to convert our answer to a \
permutation, we type"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.42264561078125*^9, 3.422645614234375*^9}, {
  3.43662467490625*^9, 3.436624680796875*^9}, {3.43662593275*^9, 
  3.436625936625*^9}}],

Cell[CellGroupData[{

Cell["CycleToPerm[ C[1,3,4] . C[2,5] ]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"P", "[", 
  RowBox[{"3", ",", "5", ",", "4", ",", "1", ",", "2"}], "]"}]], "Output",
 CellChangeTimes->{3.4226456609375*^9, 3.436625945265625*^9, 
  3.44267322275825*^9}]
}, Open  ]],

Cell[TextData[{
 "Likewise, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can use the procedure described in lemma 5.1 to find the cycle \
decomposition of the permutation\n\n                    ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["(",
     FontSize->14], GridBox[{
      {"1", "2", "3", "4", "5", "6", "7", "8"},
      {"4", "6", "1", "8", "2", "5", "7", "3"}
     }], 
    StyleBox[")",
     FontSize->14]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["by the command", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["PermToCycle[ P[4,6,1,8,2,5,7,3] ]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 InterpretationBox["\<\"\\!\\(C[\\(\\(1, 4, 8, 3\\)\\)]\\) \[CenterDot] \
\\!\\(C[\\(\\(2, 6, 5\\)\\)]\\)\"\>",
  StringForm["`` \[CenterDot] ``", 
   C[1, 4, 8, 3], 
   C[2, 6, 5]],
  Editable->False]], "Output",
 CellChangeTimes->{3.422645666625*^9, 3.436625951265625*^9, 
  3.4426732246645*^9}]
}, Open  ]],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " denotes the identity element by ",
 StyleBox["C[ ]",
  FontWeight->"Bold"],
 ", which corresponds to the 0-cycle ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", ")"}], TraditionalForm]]],
 ". \n\nWe may even mix the two notations within an expression:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.436625956515625*^9}],

Cell[CellGroupData[{

Cell["C[1,2,3] . P[3,1,2,5,4] . C[4,5]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"C", "[", "]"}]], "Output",
 CellChangeTimes->{3.422645673375*^9, 3.4366260216875*^9, 3.44267322607075*^9}
  ]
}, Open  ]],

Cell[TextData[{
 "Whenever Mathematica encounters a mixture like this, it puts the answer in \
terms of cycles. In this case the answer is the identity permutation, so \
Mathematica returned  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"C", "[", "]"}], TraditionalForm]]],
 "."
}], "Text",
 CellChangeTimes->{{3.43662645696875*^9, 3.436626462484375*^9}, {
  3.436626494859375*^9, 3.436626497640625*^9}}],

Cell[TextData[{
 "Let us use ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "'s Group command to see the symmetric group ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 ".  We need to find a set of generators for this group, so let us try ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "1"}], "]"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "3", ",", "1"}], "]"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "3", ",", "2", ",", "1"}], "]"}], TraditionalForm]]],
 ".  The last permutation reverses the order of the 4 books."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.436623793203125*^9, 3.436626031953125*^9}],

Cell[CellGroupData[{

Cell["S4 = Group[ { P[2,1], P[2,3,1], P[4,3,2,1] } ]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "3", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "1", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "3", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "2", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "2", ",", "4", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "1", ",", "4", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "4", ",", "2", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "1", ",", "2", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "4", ",", "1", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "2", ",", "1", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "3", ",", "4", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "1", ",", "4", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "4", ",", "3", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "1", ",", "3", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "4", ",", "1", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "3", ",", "1", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "3", ",", "4", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "2", ",", "4", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "4", ",", "3", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "2", ",", "3", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "4", ",", "2", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "3", ",", "2", ",", "1"}], "]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.422638653375*^9, 3.44267322882075*^9}]
}, Open  ]],

Cell[TextData[{
 "This is guaranteed to be a subgroup of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 ", but we have yet to show that our list of elements generates the entire \
group. We can find the size of this subgroup either by counting, or by using \
",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ":"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Length[S4]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData["24"], "Output",
 CellChangeTimes->{3.422638658046875*^9, 3.442673231023875*^9}]
}, Open  ]],

Cell[TextData[{
 "Are these all of the elements in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 "?  Or are there still others?         \n                               \nIn \
general, the number of elements in the group ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 " is easy to compute. The first number in the list can be any one of the ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " numbers. The second number in the list can be any number except the first \
number. The third number in turn must be one of the ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"n", "-", "2"}], ")"}], TraditionalForm]]],
 " remaining numbers, and so on. Thus, we can count the number of elements in \
",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 " to be:\n\n            ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"n", "!"}], " ", "=", " ", 
     RowBox[{"n", "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"n", "-", "1"}], ")"}], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"n", "-", "2"}], ")"}], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"n", "-", "3"}], ")"}], "\[CenterDot]", "\[Ellipsis]", " ", 
      "\[CenterDot]", " ", "2", "\[CenterDot]", "1"}]}]}], 
   TraditionalForm]]],
 "\n\nThe number ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "!"}], TraditionalForm]]],
 " is read \"",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " factorial,\" and represents the product of the first ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " numbers. Here is a short table of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "!"}], TraditionalForm]]],
 ":\n                 ",
 Cell[BoxData[{
  RowBox[{
   FormBox[
    RowBox[{"                           ", 
     RowBox[{
      RowBox[{"1", "!"}], " ", "=", " ", "1"}]}],
    TraditionalForm], "                            "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t\t\t ", 
     RowBox[{
      RowBox[{"2", "!"}], " ", "=", " ", "2"}]}],
    TraditionalForm], "                           "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t\t\t ", 
     RowBox[{
      RowBox[{"3", "!"}], " ", "=", " ", "6"}]}],
    TraditionalForm], "                            "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t\t\t ", 
     RowBox[{
      RowBox[{"4", "!"}], " ", "=", " ", "24"}]}],
    TraditionalForm], "                             "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t   \t       ", 
     RowBox[{
      RowBox[{"5", "!"}], " ", "=", " ", "120"}]}],
    TraditionalForm], "                            "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t\t\t ", 
     RowBox[{
      RowBox[{"6", "!"}], " ", "=", " ", "720"}]}],
    TraditionalForm], "                           "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t\t\t ", 
     RowBox[{
      RowBox[{"7", "!"}], " ", "=", " ", "5040"}]}],
    TraditionalForm], "                          "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t\t\t ", 
     RowBox[{
      RowBox[{"8", "!"}], " ", "=", " ", "40320"}]}],
    TraditionalForm], "                           "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t\t\t ", 
     RowBox[{
      RowBox[{"9", "!"}], " ", "=", " ", "362880"}]}],
    TraditionalForm], "                         "}], "\n", 
  RowBox[{"\t                ", 
   RowBox[{
    RowBox[{"10", "!"}], " ", "=", " ", "3628800"}]}]}]],
 "\n\nFrom this table we see that 4! = 24, so the three elements ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "1"}], "]"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "3", ",", "1"}], "]"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "3", ",", "2", ",", "1"}], "]"}], TraditionalForm]]],
 " must generate all of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 ". One can see that the size of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 " grows very quickly. ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "1"], TraditionalForm]]],
 " has only one element, so it is the trivial group. ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "2"], TraditionalForm]]],
 " has two elements, so this must be isomorphic to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 ".  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 " we have already seen, and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 " we have seen has 24 elements. We've seen another group with 24 elements: \
the octahedral group. Could this be isomorphic to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 "?\n\nLet us try to find an isomorphism. We discovered that there is a copy \
of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 " inside of the octahedral group, generated by the elements ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 ". Let us begin there. In ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 ", the element ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " represented the permutation ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "1"}], "]"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " represented ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "3", ",", "1"}], "]"}], TraditionalForm]]],
 ". Let us load the octahedral group and construct a possible isomorphism."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422638677171875*^9, 3.42263868371875*^9}, {
  3.436626071953125*^9, 3.4366260800625*^9}, {3.436626112890625*^9, 
  3.436626127828125*^9}}],

Cell[CellGroupData[{

Cell["\<\
InitGroup[e];
Define[a^2,e]; Define[b^3,e]; Define[c^4,e]
Define[b.a,a.b.b]; Define[c.a,a.b.c]; Define[c.b,a.c.c]
Define[1/a,a]; Define[1/b,b^2]; Define[1/c,c^3]
G = Group[{a,b,c}]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4366261333125*^9, 3.436626148171875*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", "a", ",", "b", ",", "c", ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(c\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`c, $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`b, $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`b, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(c\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`c, $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`a, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(b\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`b, $CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`c], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\
\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[$CellContext`b, $CellContext`b], $CellContext`c], $CellContext`c], \
$CellContext`c],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.42263901746875*^9, 3.43662623259375*^9, 
  3.442673234398875*^9}]
}, Open  ]],

Cell[TextData[{
 "Let us try to create a homomorphism ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " from this group\nto ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 ". The command"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["Homomorph[F]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[TextData[{
 "defines ",
 StyleBox["F",
  FontWeight->"Bold"],
 " to be a homomorphism. We can tell ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " where the elements ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " are mapped to:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["Define[ F[a], P[2,1] ]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell["Define[ F[b], P[2,3,1] ]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[TextData[{
 "This should be consistent, since\n\n      ",
 Cell[BoxData[{
  RowBox[{
   FormBox[
    RowBox[{"                      ", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"\[Florin]", "(", "a", ")"}], "2"], "=", " ", 
       RowBox[{"\[Florin]", "(", "e", ")"}]}], ",", "                  ", 
      "\n", "                      ", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"\[Florin]", "(", "b", ")"}], "3"], "=", " ", 
       RowBox[{"\[Florin]", "(", "e", ")"}]}], ",", "                  ", 
      "and"}]}],
    TraditionalForm], "       "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t\t    ", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Florin]", "(", "b", ")"}], "\[CenterDot]", 
       RowBox[{"\[Florin]", "(", "a", ")"}]}], " ", "=", " ", 
      RowBox[{
       RowBox[{"\[Florin]", "(", "a", ")"}], "\[CenterDot]", 
       RowBox[{"\[Florin]", "(", "b", ")"}], "\[CenterDot]", 
       RowBox[{
        RowBox[{"\[Florin]", "(", "b", ")"}], "."}]}]}]}],
    TraditionalForm], " "}]}]],
 "\n\nThe way to have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " check that ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is so far defined consistently is to find whether ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is a homomorphism on the ",
 StyleBox["subgroup",
  FontSlant->"Italic"],
 " containing ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 ". If we let"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422639035625*^9, 3.422639036328125*^9}}],

Cell[CellGroupData[{

Cell["H = Group[{a,b}]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", "a", ",", "b", ",", 
   InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`a, $CellContext`b], $CellContext`b],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{
  3.42263909971875*^9, {3.436626228921875*^9, 3.436626243546875*^9}, 
   3.442673239992625*^9}]
}, Open  ]],

Cell[TextData[{
 "then ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can check that ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is a homomorphism on ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " with the command"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CheckHomo[F,H]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.422639101984375*^9, 3.436626245953125*^9, 
  3.44267324157075*^9}]
}, Open  ]],

Cell[TextData[{
 "We now need to determine a value for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "c", ")"}], TraditionalForm]]],
 " that makes an isomorphism. Note that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "c", ")"}], TraditionalForm]]],
 " cannot be the permutation ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "3", ",", "2", ",", "1"}], "]"}], TraditionalForm]]],
 ", for this permutation is of order 2, while ",
 Cell[BoxData[
  FormBox["c", TraditionalForm]]],
 " is an element of order 4. We want to find all elements of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 " which are of order 4 so we will be able to choose one for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "c", ")"}], TraditionalForm]]],
 ".\n\nFinding all of the elements of a given order is not hard using ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". This is because ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can raise all of the elements to a given power in one step. For example, \
here again is a list of the elements in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 ":\n"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["S4 = Group[ { P[2,1], P[2,3,1], P[4,3,2,1] } ]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "3", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "1", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "3", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "2", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "2", ",", "4", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "1", ",", "4", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "4", ",", "2", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "1", ",", "2", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "4", ",", "1", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "2", ",", "1", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "3", ",", "4", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "1", ",", "4", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "4", ",", "3", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "1", ",", "3", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "4", ",", "1", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "3", ",", "1", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "3", ",", "4", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "2", ",", "4", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "4", ",", "3", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "2", ",", "3", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "4", ",", "2", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "3", ",", "2", ",", "1"}], "]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.422639119734375*^9, 3.442673243211375*^9}]
}, Open  ]],

Cell["Here is every element squared:", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["S4^2", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "3", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "1", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "3", ",", "4", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "4", ",", "1", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "3", ",", "2", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "2", ",", "4", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "4", ",", "2", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "3", ",", "2", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "4", ",", "3", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "1", ",", "4", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "4", ",", "1", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "2", ",", "1", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "1", ",", "3", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "1", ",", "4", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", "]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.422639123109375*^9, 3.44267324532075*^9}]
}, Open  ]],

Cell[TextData[{
 "Note that many of the elements, when squared, yield the identity element. \
In fact, elements 1, 2, 3, 6, 7, 8, 15, 17, 22, and 24 (counting from the \
left) have ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["a", "2"], "=", " ", 
    RowBox[{"P", "[", " ", "]"}]}], TraditionalForm]]],
 ". The first element is the identity, but the others must be elements of \
order 2. Thus there are 9 elements of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 " that are of order 2.                       \n\nWe can use the same method \
to find the elements of order 4. Let us raise all elements to the fourth \
power:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["S4^4", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "1", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "3", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "4", ",", "2", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "2", ",", "1", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "3", ",", "4", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "1", ",", "3", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "2", ",", "4", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "4", ",", "3", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", "]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.422639135734375*^9, 3.442673247430125*^9}]
}, Open  ]],

Cell["\<\
So elements 1, 2, 3, 6, 7, 8, 10, 11, 14, 15, 17, 18, 19, 22, 23, and 24 have \
the fourth power equaling the identity. Many of these are of order 2, as we \
have seen before. But the square of elements 10, 11, 14, 18, 19 and 23 are \
not the identity. Therefore, we have 6 elements of order 4.  Comparing this \
with the original group\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["S4", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "3", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "1", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "3", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "2", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "2", ",", "4", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "1", ",", "4", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "4", ",", "2", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "1", ",", "2", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "4", ",", "1", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "2", ",", "1", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "3", ",", "4", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "1", ",", "4", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "4", ",", "3", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "1", ",", "3", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "4", ",", "1", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "3", ",", "1", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "3", ",", "4", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "2", ",", "4", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "4", ",", "3", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "2", ",", "3", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "4", ",", "2", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "3", ",", "2", ",", "1"}], "]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.422639144859375*^9, 3.442673249398875*^9}]
}, Open  ]],

Cell[TextData[{
 "tells us the six elements:\n         \n               ",
 Cell[BoxData[{
  RowBox[{
   FormBox[
    RowBox[{"                      ", 
     RowBox[{"P", "[", 
      RowBox[{"4", ",", "1", ",", "2", ",", "3"}], "]"}]}],
    TraditionalForm], "               "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t\t    ", 
     RowBox[{"P", "[", 
      RowBox[{"2", ",", "4", ",", "1", ",", "3"}], "]"}]}],
    TraditionalForm], "                   "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t\t    ", 
     RowBox[{"P", "[", 
      RowBox[{"3", ",", "1", ",", "4", ",", "2"}], "]"}]}],
    TraditionalForm], "                  "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t\t    ", 
     RowBox[{"P", "[", 
      RowBox[{"4", ",", "3", ",", "1", ",", "2"}], "]"}]}],
    TraditionalForm], "                    "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t\t    ", 
     RowBox[{"P", "[", 
      RowBox[{"2", ",", "3", ",", "4", ",", "1"}], "]"}]}],
    TraditionalForm], "                   "}], "\n", 
  RowBox[{"\t\t    ", 
   RowBox[{
    RowBox[{"P", "[", 
     RowBox[{"3", ",", "4", ",", "2", ",", "1"}], "]"}], "."}]}]}]],
 "\n\nIf the octahedronal group is isomorphic to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 ", then the element ",
 Cell[BoxData[
  FormBox["c", TraditionalForm]]],
 " must map to one of these 6 elements. But which one? Let us try the first \
permutation, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"P", "[", 
     RowBox[{"4", ",", "1", ",", "2", ",", "3"}], "]"}], "."}], 
   TraditionalForm]]],
 " The entire homomorphism would be defined by the commands"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422639148140625*^9, 3.422639154578125*^9}}],

Cell[CellGroupData[{

Cell["\<\
Homomorph[F]
Define[ F[a], P[2,1] ]
Define[ F[b], P[2,3,1] ]
Define[ F[c], P[4,1,2,3] ]
CheckHomo[F,G]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.422639214796875*^9, 3.42263928025*^9}, {
  3.42263932784375*^9, 3.422639375609375*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"f[\"\>", "\[InvisibleSpace]", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False], "\[InvisibleSpace]", "\<\"] . f[\"\>", 
   "\[InvisibleSpace]", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(\\\\\\\
\\\\\\\\\"\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(a\\\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\) \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\(b\\\\\\\\\\\
\\\\\\\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\) \\\\\
\\\\\\\\\\\\[CenterDot] \
\\\\\\\\\\\\\\\\!\\\\\\\\\\\\\\\\(b\\\\\\\\\\\\\\\\)\\\\\\\\\\\\\\\"\\\\\\\\) \
\\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(c\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(c\\\\)\\\"\\) \[CenterDot] \\!\\(c\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], \
$CellContext`c], $CellContext`c], $CellContext`c],
    Editable->False], "\[InvisibleSpace]", "\<\"] is not equal to f[\"\>", 
   "\[InvisibleSpace]", "e", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm["f[", 
   Dot[
    Dot[
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c], "] . f[", 
   Dot[
    Dot[
     Dot[
      Dot[
       Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`c], \
$CellContext`c], $CellContext`c], "] is not equal to f[", $CellContext`e, 
   "]"],
  Editable->False]], "Print",
 CellChangeTimes->{3.4226393761875*^9, 3.436626305890625*^9, 
  3.4426732521645*^9}],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{
  3.42263917*^9, {3.422639219921875*^9, 3.422639282*^9}, {3.422639330875*^9, 
   3.4226393761875*^9}, 3.4366263059375*^9, 3.442673252180125*^9}]
}, Open  ]],

Cell[TextData[{
 "Unfortunately, this does not produce a homomorphism, since ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " found that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", 
     RowBox[{"a", "\[CenterDot]", 
      SuperscriptBox["b", "2"], "\[CenterDot]", 
      SuperscriptBox["c", "3"]}], ")"}], "\[CenterDot]", 
    RowBox[{"\[Florin]", "(", 
     RowBox[{"a", "\[CenterDot]", 
      SuperscriptBox["b", "2"], "\[CenterDot]", 
      SuperscriptBox["c", "3"]}], ")"}], " "}], TraditionalForm]]],
 "does not equal ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "e", ")"}], TraditionalForm]]],
 ". But perhaps by defining ",
 StyleBox["F[c]",
  FontWeight->"Bold"],
 " to be one of the other 6 elements of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 " which is of order 4, we can produce a homomorphism.\n\nEXPERIMENT:\n\nBy \
changing ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "1", ",", "2", ",", "3"}], "]"}], TraditionalForm]]],
 " with one of the other elements of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 " which is of order 4:\n\n              ",
 Cell[BoxData[{
  RowBox[{
   FormBox[
    RowBox[{"                       ", 
     RowBox[{"P", "[", 
      RowBox[{"2", ",", "4", ",", "1", ",", "3"}], "]"}]}],
    TraditionalForm], "                    "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t\t     ", 
     RowBox[{"P", "[", 
      RowBox[{"3", ",", "1", ",", "4", ",", "2"}], "]"}]}],
    TraditionalForm], "                 "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t\t     ", 
     RowBox[{"P", "[", 
      RowBox[{"4", ",", "3", ",", "1", ",", "2"}], "]"}]}],
    TraditionalForm], "              "}], "\n", 
  RowBox[{
   FormBox[
    RowBox[{"\t\t     ", 
     RowBox[{"P", "[", 
      RowBox[{"2", ",", "3", ",", "4", ",", "1"}], "]"}]}],
    TraditionalForm], "                   "}], "\n", 
  RowBox[{"\t\t     ", 
   RowBox[{
    RowBox[{"P", "[", 
     RowBox[{"3", ",", "4", ",", "2", ",", "1"}], "]"}], ","}]}]}]],
 "\n\nsee if you can find one which creates a homomorphism."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422639189640625*^9, 3.4226392035625*^9}}],

Cell["  ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Once we have found a homomorphism, we want to see that ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is an isomorphism by showing that the kernel of ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is just the identity. "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Kernel[F, G]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", "e", "}"}]], "Output",
 CellChangeTimes->{3.42263935978125*^9}]
}, Open  ]],

Cell[TextData[{
 "Since the kernel is the identity element, ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is an isomorphism. \n\nFinally, we can check that the image of ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 ". The image is generated by the command                 "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["F[{G}]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "3", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "3", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "1", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "2", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "2", ",", "4", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "3", ",", "4", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "4", ",", "2", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "4", ",", "3", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "1", ",", "4", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "3", ",", "4", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "4", ",", "1", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "4", ",", "3", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "1", ",", "4", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "2", ",", "4", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "4", ",", "1", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "4", ",", "2", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "1", ",", "2", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "1", ",", "3", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "2", ",", "1", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "2", ",", "3", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "3", ",", "1", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "3", ",", "2", ",", "1"}], "]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.42263936290625*^9}]
}, Open  ]],

Cell[TextData[{
 "Since there are 24 elements here, all of which are in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 ", this must be ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 ". Therefore, we have shown that ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 " is isomorphic to the octahedral group. So we immediately see a \
relationship between one of the groups we have been working with and the \
permutation groups. In the next section, we will see an application of the \
permutation groups that will apply to ",
 StyleBox["any",
  FontSlant->"Italic"],
 " finite group."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436623532875*^9, 3.436623532984375*^9}}],

Cell[TextData[{
 "We can evaluate a cycle or a product of cycles at a given number, just as \
we did for permutations. For example, to determine where the cycle ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", "1483", ")"}], TraditionalForm]]],
 " sends the number 3, type"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.436626515484375*^9}],

Cell[CellGroupData[{

Cell["C[1,4,8,3][3]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{3.422645723578125*^9, 3.442673276461375*^9}]
}, Open  ]],

Cell["\<\
This evaluates the cycle at 3, giving the value 1. We can also form a circle \
graph of a cycle as we would a permutation:\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CircleGraph[{1,2,3,4,5,6,7,8},C[1,4,8,3]]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.442673277930125*^9, 3.44267327900825*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7071067811865475, 0.7071067811865476}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1., 6.123233995736766*^-17}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7071067811865476, -0.7071067811865475}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.2246467991473532`*^-16, -1.}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7071067811865475, -0.7071067811865477}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1., -1.8369701987210297`*^-16}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7071067811865477, 0.7071067811865474}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"1\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], InsetBox[
    TagBox[
     StyleBox["\<\"5\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, -1.1}, {0, 1}], {InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7778174593052023, 0.7778174593052024}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.1, 6.735557395310444*^-17}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7778174593052024, -0.7778174593052023}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"6\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7778174593052023, -0.7778174593052025}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"7\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.1, -2.0206672185931328`*^-16}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"8\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7778174593052025, 0.7778174593052022}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], 
      LineBox[{{0., 1.}, {0.6688384379500386, -0.6147188279354188}}], 
      PolygonBox[{{0.7071067811865476, -0.7071067811865475}, {
       0.715032414575603, -0.5955846563171643}, {
       0.6226444613244743, -0.6338529995536732}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.7071067811865476, -0.7071067811865475}, {-0.636396103067893,
        0.6363961030678926}}], 
      PolygonBox[{{-0.7071067811865477, 
       0.7071067811865474}, {-0.6717514421272203, 
       0.6010407640085652}, {-0.6010407640085655, 0.6717514421272199}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.7071067811865477, 0.7071067811865474}, {0.9076120467488713,
        0.03826834323650902}}], 
      PolygonBox[{{1., 6.123233995736766*^-17}, {0.9267462183671258, 
       0.08446231986207337}, {0.8884778751306168, -0.007925633389055322}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{1., 6.123233995736766*^-17}, {0.07071067811865477, 
       0.9292893218813453}}], 
      PolygonBox[{{0., 1.}, {0.03535533905932738, 0.8939339828220179}, {
       0.10606601717798213`, 0.9646446609406726}}]}}, 
    {RGBColor[0, 1, 0], 
     LineBox[{{0.6071067811865475, 0.7071067811865476}, {0.5688067811865475, 
      0.6995067811865475}, {0.5364067811865475, 0.6778067811865476}, {
      0.5147067811865476, 0.6454067811865476}, {0.5071067811865475, 
      0.6071067811865476}, {0.5147067811865476, 0.5688067811865476}, {
      0.5364567811865475, 0.5364067811865476}, {0.5688067811865475, 
      0.5147067811865476}, {0.6071067811865475, 0.5071067811865476}, {
      0.6454067811865475, 0.5147067811865476}, {0.6778067811865475, 
      0.5364067811865476}, {0.6995067811865475, 0.5688067811865476}, {
      0.7071067811865475, 0.6071067811865476}, {0.7071067811865475, 
      0.7071067811865476}}], 
     PolygonBox[{{0.7071067811865475, 0.7071067811865476}, {
      0.6071067811865475, 0.7571067811865475}, {0.6071067811865475, 
      0.6571067811865475}}]}, 
    {RGBColor[0.6, 0.4, 0.8], 
     LineBox[{{0.07071067811865486, -0.9292893218813453}, {
      0.09241885630108188, -0.8968331206248827}, {
      0.09998489885977792, -0.8585786437626906}, {
      0.09241885630108186, -0.8203241669004984}, {
      0.07071067811865485, -0.7878679656440357}, {
      0.03825447686219231, -0.7661597874616087}, {
      9.290959971541795*^-17, -0.7585937449029128}, {-0.03825447686219212, \
-0.7661597874616087}, {-0.07071067811865465, -0.7878679656440357}, \
{-0.09241885630108167, -0.8203241669004984}, {-0.0999848988597777, \
-0.8585786437626906}, {-0.09241885630108165, -0.8968331206248827}, \
{-0.07071067811865464, -0.9292893218813453}, {
      1.2246467991473532`*^-16, -1.}}], 
     PolygonBox[{{1.2246467991473532`*^-16, -1.}, {
      0.10606601717798224`, -0.9646446609406726}, {
      0.03535533905932749, -0.8939339828220179}}]}, 
    {RGBColor[1, 0.6, 0], 
     LineBox[{{-0.6071067811865475, -0.7071067811865477}, \
{-0.5688067811865475, -0.6995067811865476}, {-0.5364067811865475, \
-0.6778067811865476}, {-0.5147067811865474, -0.6454067811865476}, \
{-0.5071067811865475, -0.6071067811865476}, {-0.5147067811865474, \
-0.5688067811865476}, {-0.5364567811865475, -0.5364067811865476}, \
{-0.5688067811865475, -0.5147067811865477}, {-0.6071067811865475, \
-0.5071067811865477}, {-0.6454067811865475, -0.5147067811865477}, \
{-0.6778067811865475, -0.5364067811865476}, {-0.6995067811865475, \
-0.5688067811865477}, {-0.7071067811865475, -0.6071067811865477}, \
{-0.7071067811865475, -0.7071067811865477}}], 
     PolygonBox[{{-0.7071067811865475, -0.7071067811865477}, \
{-0.6071067811865475, -0.7571067811865476}, {-0.6071067811865475, \
-0.6571067811865476}}]}, 
    {RGBColor[0.7, 0.8, 0.7], 
     LineBox[{{-0.9292893218813453, -0.07071067811865492}, \
{-0.8968331206248827, -0.09241885630108193}, {-0.8585786437626904, \
-0.09998489885977796}, {-0.8203241669004983, -0.09241885630108192}, \
{-0.7878679656440357, -0.07071067811865489}, {-0.7661597874616087, \
-0.038254476862192355`}, {-0.7586644555810313, -1.3935141023228338`*^-16}, \
{-0.7661597874616087, 0.03825447686219208}, {-0.7878679656440357, 
      0.07071067811865461}, {-0.8203241669004984, 
      0.09241885630108161}, {-0.8585786437626906, 
      0.09998489885977765}, {-0.8968331206248827, 
      0.0924188563010816}, {-0.9292893218813453, 
      0.07071067811865459}, {-1., -1.8369701987210297`*^-16}}], 
     PolygonBox[{{-1., -1.8369701987210297`*^-16}, {-0.9646446609406726, \
-0.1060660171779823}, {-0.8939339828220179, -0.035355339059327535`}}]}}},
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.422645728375*^9, 3.442673279977*^9}]
}, Open  ]],

Cell["This even works for a product of cycles.", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CircleGraph[{1,2,3,4,5,6,7,8},C[1,4,8,3].C[2,6,5]]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7071067811865475, 0.7071067811865476}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1., 6.123233995736766*^-17}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7071067811865476, -0.7071067811865475}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.2246467991473532`*^-16, -1.}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7071067811865475, -0.7071067811865477}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1., -1.8369701987210297`*^-16}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7071067811865477, 0.7071067811865474}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"1\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], InsetBox[
    TagBox[
     StyleBox["\<\"5\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, -1.1}, {0, 1}], {InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7778174593052023, 0.7778174593052024}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.1, 6.735557395310444*^-17}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7778174593052024, -0.7778174593052023}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"6\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7778174593052023, -0.7778174593052025}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"7\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.1, -2.0206672185931328`*^-16}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"8\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7778174593052025, 0.7778174593052022}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], 
      LineBox[{{0., 1.}, {0.6688384379500386, -0.6147188279354188}}], 
      PolygonBox[{{0.7071067811865476, -0.7071067811865475}, {
       0.715032414575603, -0.5955846563171643}, {
       0.6226444613244743, -0.6338529995536732}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.7071067811865476, -0.7071067811865475}, {-0.636396103067893,
        0.6363961030678926}}], 
      PolygonBox[{{-0.7071067811865477, 
       0.7071067811865474}, {-0.6717514421272203, 
       0.6010407640085652}, {-0.6010407640085655, 0.6717514421272199}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.7071067811865477, 0.7071067811865474}, {0.9076120467488713,
        0.03826834323650902}}], 
      PolygonBox[{{1., 6.123233995736766*^-17}, {0.9267462183671258, 
       0.08446231986207337}, {0.8884778751306168, -0.007925633389055322}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{1., 6.123233995736766*^-17}, {0.07071067811865477, 
       0.9292893218813453}}], 
      PolygonBox[{{0., 1.}, {0.03535533905932738, 0.8939339828220179}, {
       0.10606601717798213`, 0.9646446609406726}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{0.7071067811865475, 
       0.7071067811865476}, {-0.6363961030678927, -0.636396103067893}}], 
      PolygonBox[{{-0.7071067811865475, -0.7071067811865477}, \
{-0.6010407640085653, -0.6717514421272203}, {-0.67175144212722, \
-0.6010407640085655}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.7071067811865475, -0.7071067811865477}, \
{-0.09238795325112857, -0.961731656763491}}], 
      PolygonBox[{{
       1.2246467991473532`*^-16, -1.}, {-0.07325378163287409, \
-0.9155376801379267}, {-0.11152212486938305`, -1.0079256333890554`}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{1.2246467991473532`*^-16, -1.}, {0.6688384379500385, 
       0.6147188279354189}}], 
      PolygonBox[{{0.7071067811865475, 0.7071067811865476}, {
       0.6226444613244742, 0.6338529995536734}, {0.7150324145756028, 
       0.5955846563171644}}]}}, 
    {RGBColor[0.6, 0.4, 0.8], 
     LineBox[{{-0.9292893218813453, -0.07071067811865492}, \
{-0.8968331206248827, -0.09241885630108193}, {-0.8585786437626904, \
-0.09998489885977796}, {-0.8203241669004983, -0.09241885630108192}, \
{-0.7878679656440357, -0.07071067811865489}, {-0.7661597874616087, \
-0.038254476862192355`}, {-0.7586644555810313, -1.3935141023228338`*^-16}, \
{-0.7661597874616087, 0.03825447686219208}, {-0.7878679656440357, 
      0.07071067811865461}, {-0.8203241669004984, 
      0.09241885630108161}, {-0.8585786437626906, 
      0.09998489885977765}, {-0.8968331206248827, 
      0.0924188563010816}, {-0.9292893218813453, 
      0.07071067811865459}, {-1., -1.8369701987210297`*^-16}}], 
     PolygonBox[{{-1., -1.8369701987210297`*^-16}, {-0.9646446609406726, \
-0.1060660171779823}, {-0.8939339828220179, -0.035355339059327535`}}]}}},
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.422645737*^9, 3.4426732830395*^9}]
}, Open  ]],

Cell["\<\
However, to evaluate a product of cycles at a given number, we need an extra \
pair of parenthesis:\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["(C[1,4,8,3] . C[2,6,5])[5]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.43662655440625*^9, 3.436626566671875*^9}},
 AspectRatioFixed->True],

Cell[BoxData["2"], "Output",
 CellChangeTimes->{
  3.42264574021875*^9, {3.436626555390625*^9, 3.43662656703125*^9}, 
   3.44267328488325*^9}]
}, Open  ]],

Cell["\<\
The reason for the parenthesis is apparent when we see what happens when we \
leave them out:\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["C[1,4,8,3] . C[2,6,5][5]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.442673286430125*^9, 3.44267328757075*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 InterpretationBox["\<\"\\!\\(C[\\(\\(1, 4, 8, 3\\)\\)]\\) \[CenterDot] \
\\!\\(2\\)\"\>",
  StringForm["`` \[CenterDot] ``", 
   C[1, 4, 8, 3], 2],
  Editable->False]], "Output",
 CellChangeTimes->{3.422645744453125*^9, 3.442673288492625*^9}]
}, Open  ]],

Cell[TextData[{
 "Without the parentheses ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " does the evaluation first, leaving a cycle multiplied by a number!  Since \
this is meaningless, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " would not reduce this any further.\n\nAlthough using cycles to denote \
permutations is more succinct in most cases and more readable, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " works much faster using the standard permutation notation. Thus, for large \
operations that could take time, such as checking that a function is a \
homomorphism, it will be much faster using the \n",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", "\[Ellipsis]\[Ellipsis]\[Ellipsis]", "]"}], 
   TraditionalForm]]],
 " notation.\n\nWe mentioned that there are no permutations that move just \
one element, but the permutations which move exactly 2 elements will be \
important. We will give these 2-cycles a special name:\n\nDEFINITION 5.3\nA \
",
 StyleBox["transposition",
  FontSlant->"Italic"],
 " is a 2-cycle ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     SubscriptBox["i", "1"], " ", 
     SubscriptBox["i", "2"]}], ")"}], TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["i", "1"], "\[NotEqual]", 
    SubscriptBox["i", "2"]}], TraditionalForm]]],
 ".\n\nWe can find the number of transpositions in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 " as follows: ",
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    RowBox[{"i", " "}], "1"], TraditionalForm]]],
 " can be any of the ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " integers, and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "2"], TraditionalForm]]],
 "  can be any of the ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"n", "-", "1"}], ")"}], TraditionalForm]]],
 " integers left over. Thus, there are ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"n", "(", 
     RowBox[{"n", "-", "1"}], ")"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["n", "2"], "-", "n", " "}]}], TraditionalForm]]],
 " ways of forming an ordered pair ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     SubscriptBox["i", "1"], ",", " ", 
     SubscriptBox["i", "2"]}], ")"}], TraditionalForm]]],
 " with ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "1"], TraditionalForm]]],
 " unequal to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["i", "2"], TraditionalForm]]],
 ". However, the transposition ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     SubscriptBox["i", "1"], " ", 
     SubscriptBox["i", "2"]}], ")"}], TraditionalForm]]],
 " is the same as the transposition ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     SubscriptBox["i", "2"], " ", 
     SubscriptBox["i", "1"]}], ")"}], TraditionalForm]]],
 ". Thus, by counting ordered pairs, we have counted each transposition \
twice. Therefore, to find the number of transpositions, we divide that count \
by 2 to get\n                             ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["n", "2"], " ", "-", " ", "n"}], ")"}], " ", "/", " ", 
    "2."}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436626653359375*^9, 3.436626741671875*^9}, 
   3.442580518453125*^9}],

Cell[TextData[{
 "\nLEMMA 5.2\nFor ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", ">", " ", "1"}], TraditionalForm]]],
 ", the set of transpositions in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 " generates ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 ".        "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436626653359375*^9, 3.436626741671875*^9}, 
   3.442580518453125*^9}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We need to show that every element of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 " can be written as a product of transpositions.The identity element can be \
written as ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", "12", ")"}], 
    RowBox[{"(", "12", ")"}]}], TraditionalForm]]],
 ", so we let ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " be a permutation which is not the identity.  By lemma 5.1, we can express \
",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " as a product of nontrivial disjoint cycles:\n\n     ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"x", " ", "=", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["i", "1"], " ", 
        SubscriptBox["i", "2"], " ", 
        SubscriptBox["i", "3"], " ", "\[Ellipsis]", " ", 
        SubscriptBox["i", "r"]}], ")"}], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["j", "1"], " ", 
        SubscriptBox["j", "2"], " ", "\[Ellipsis]", " ", 
        SubscriptBox["j", "s"]}], ")"}], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["k", "1"], " ", 
        SubscriptBox["k", "2"], " ", "\[Ellipsis]", " ", 
        SubscriptBox["k", "t"]}], ")"}], "\[CenterDot]", " ", 
      "\[Ellipsis]\[Ellipsis]"}]}]}], TraditionalForm]]],
 "\n        \nNow, consider the product of transpositions\n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["i", 
       RowBox[{"r", "-", "1"}]], " ", 
      SubscriptBox["i", "r"]}], ")"}], "\[CenterDot]", 
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["i", 
       RowBox[{"r", "-", "2"}]], " ", 
      SubscriptBox["i", 
       RowBox[{"r", "-", "1"}]]}], ")"}], " ", "\[CenterDot]", "\[Ellipsis]", 
    "\[CenterDot]", 
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["i", "2"], " ", 
      SubscriptBox["i", "3"]}], ")"}], " ", "\[CenterDot]", 
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["i", "1"], 
      SubscriptBox["i", "2"]}], ")"}], "\[CenterDot]", " ", 
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["j", 
       RowBox[{"s", "-", "1"}]], " ", 
      SubscriptBox["j", "s"]}], ")"}], "\[CenterDot]", "\[Ellipsis]", 
    "\[CenterDot]", 
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["j", "1"], " ", 
      SubscriptBox["j", "2"]}], ")"}], " ", "\[CenterDot]", " ", 
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["k", 
       RowBox[{"t", "-", "1"}]], " ", 
      SubscriptBox["k", "t"]}], ")"}], "\[CenterDot]", "\[Ellipsis]", 
    "\[CenterDot]", 
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["k", "1"], "  ", 
      SubscriptBox["k", "2"]}], ")"}], " ", "\[CenterDot]", " ", 
    RowBox[{"\[Ellipsis]\[Ellipsis]", " ", "."}]}], TraditionalForm]]],
 "\n\nNote that this product is equal to ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ". (Recall that we are working from left to right.)  Therefore, we have \
expressed every element of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 " as a product of transpositions.  "
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4226458421875*^9, 3.422645997359375*^9}, {
  3.436626761515625*^9, 3.436626761671875*^9}, {3.4415379033233747`*^9, 
  3.4415379114171247`*^9}}]
}, Open  ]],

Cell["\<\
Of course, a particular permutation can be expressed as a product of \
transpositions in more than one way.  But an important property of the \
symmetric groups is that the number of transpositions used to represent a \
given permutation will always have the same parity, that is, even or odd.  To \
show this, we will first prove the following lemma.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436626653359375*^9, 3.436626741671875*^9}, {
  3.442580518453125*^9, 3.44258055678125*^9}, {3.4425872773208876`*^9, 
  3.4425874603990126`*^9}}],

Cell[TextData[{
 "LEMMA 5.3\nThe product of an odd number of transpositions in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 " cannot equal the identity element.       "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436626653359375*^9, 3.436626741671875*^9}, {
   3.442580518453125*^9, 3.44258055678125*^9}, 3.4425872773208876`*^9}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Since ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "2"], TraditionalForm]]],
 " only contains one transposition, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"1", "  ", "2"}], ")"}], TraditionalForm]]],
 ", raising this to an odd power will not be the identity element, so the \
lemma is true for the case ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "=", "2"}], TraditionalForm]]],
 ".  So by induction we can assume that the lemma is true for ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", 
    RowBox[{"n", "-", "1"}]], TraditionalForm]]],
 ".  Suppose that there is an odd number of transpositions producing the \
identity in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 ".  Then we can find such a product that uses the fewest number of \
transpositions.  At least one transposition will involve moving ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", since the lemma is true for ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", 
    RowBox[{"n", "-", "1"}]], TraditionalForm]]],
 ".  Suppose that the ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 "-th transposition is the first one which moves ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ".  For all possibilities that use the same number of transpositions, we can \
find one in which ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 " is as large as possible.  If only the last transposition moves ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", then the product would not be the identity, so there is at least one \
transposition beyond the ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 "-th.  But then the ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 "-th and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"m", "+", "1"}], ")"}], TraditionalForm]]],
 "-th transpositions are one of the 4 possibilities\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"n", " ", "x"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"n", " ", "x"}], ")"}], " "}], TraditionalForm]]],
 ",  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"n", " ", "x"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"n", " ", "y"}], ")"}]}], TraditionalForm]]],
 ",   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"n", " ", "x"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"x", " ", "y"}], ")"}]}], TraditionalForm]]],
 ",    or    ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"n", " ", "x"}], ")"}], 
    RowBox[{"(", 
     RowBox[{"y", " ", "z"}], ")"}]}], TraditionalForm]]],
 "\nfor some ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["z", TraditionalForm]]],
 ".  In the first case, the two transpositions cancel, so we can form a \
product using a fewer number of transpositions.  In the other 3 cases, we can \
replase the pair with another pair,\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"n", " ", "x"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"n", " ", "y"}], ")"}]}], "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"x", " ", "y"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"n", " ", "x"}], ")"}]}]}], TraditionalForm]]],
 ";   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"n", " ", "x"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"x", " ", "y"}], ")"}]}], "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"x", " ", "y"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"n", " ", "y"}], ")"}]}]}], TraditionalForm]]],
 ";   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"n", " ", "x"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"y", " ", "z"}], ")"}]}], "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"y", " ", "z"}], ")"}], 
     RowBox[{"(", 
      RowBox[{"n", " ", "x"}], ")"}]}]}], TraditionalForm]]],
 ";\nfor which ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 " is larger.  In all cases, we violate minimality, so there is no odd \
product of transpositions in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 " equaling the identity."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4226458421875*^9, 3.422645997359375*^9}, {
  3.436626761515625*^9, 3.436626761671875*^9}, {3.4415379033233747`*^9, 
  3.4415379114171247`*^9}, {3.44258056396875*^9, 3.442580987359375*^9}, {
  3.4425812433125*^9, 3.442581459453125*^9}}]
}, Open  ]],

Cell["We can use this lemma to prove the following theorem.", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43662687040625*^9, 3.4366268716875*^9}, {
  3.43662709584375*^9, 3.43662709996875*^9}, {3.4415379432608747`*^9, 
  3.4415379661046247`*^9}, {3.4425814691875*^9, 3.442581470984375*^9}, {
  3.442581506109375*^9, 3.44258156115625*^9}, {3.4425875198833876`*^9, 
  3.4425875553677626`*^9}}],

Cell[TextData[{
 "THEOREM 5.1:  THE SIGNATURE THEOREM \nFor the symmetric group ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 ", define the function\n\n                        ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Sigma]", " ", ":", " ", 
    RowBox[{
     SubscriptBox["S", 
      RowBox[{"n", " "}]], " ", "\[RightArrow]", " ", 
     "\[DoubleStruckCapitalZ]"}]}], TraditionalForm]]],
 "\nby\n                         ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Sigma]", "(", "x", ")"}], " ", "=", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"-", "1"}], ")"}], 
     RowBox[{"N", "(", "x", ")"}]]}], TraditionalForm]]],
 ",\n                       \nwhere ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"N", "(", "x", ")"}], Cell[""]}], TraditionalForm]]],
 "is the minimum number of transpositions needed to express ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " as a product of transpositions.                       \nThen this \
function, called the ",
 StyleBox["signature function",
  FontSlant->"Italic"],
 ", is a homomorphism from ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 " to the integers ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "1"}], "}"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43662687040625*^9, 3.4366268716875*^9}, {
  3.43662709584375*^9, 3.43662709996875*^9}, {3.4415379432608747`*^9, 
  3.4415379661046247`*^9}, {3.4425814691875*^9, 3.442581470984375*^9}, {
  3.442581506109375*^9, 3.44258156115625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "By lemma 5.2, every element of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 " can be written as a product of transpositions, so ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Sigma]", "(", "x", ")"}], TraditionalForm]]],
 " is well defined.  Obviously this maps ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "1"}], "}"}], TraditionalForm]]],
 ", so we only need to establish that this is a homomorphism.  Suppose that \
",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Sigma]", "(", 
     RowBox[{"x", "\[CenterDot]", "y"}], ")"}], "\[NotEqual]", 
    RowBox[{
     RowBox[{"\[Sigma]", "(", "x", ")"}], "\[CenterDot]", 
     RowBox[{"\[Sigma]", "(", "y", ")"}]}]}], TraditionalForm]]],
 ".  Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"N", "(", 
     RowBox[{"x", "\[CenterDot]", "y"}], ")"}], "-", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"N", "(", "x", ")"}], "+", 
      RowBox[{"N", "(", "y", ")"}]}], ")"}]}], TraditionalForm]]],
 " would be an odd number.  Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"N", "(", 
     SuperscriptBox["x", 
      RowBox[{"-", "1"}]], ")"}], "=", 
    RowBox[{"N", "(", "x", ")"}]}], TraditionalForm]]],
 ", we would also have ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"N", "(", 
     RowBox[{"x", "\[CenterDot]", "y"}], ")"}], "+", 
    RowBox[{"N", "(", 
     SuperscriptBox["y", 
      RowBox[{"-", "1"}]], ")"}], "+", 
    RowBox[{"N", "(", 
     SuperscriptBox["x", 
      RowBox[{"-", "1"}]], ")"}]}], TraditionalForm]]],
 " being an odd number.  But then we would have 3 sets of transpositions, \
totaling an odd number, which when strung together produce ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", "\[CenterDot]", "y", "\[CenterDot]", 
     SuperscriptBox["y", 
      RowBox[{"-", "1"}]], "\[CenterDot]", 
     SuperscriptBox["x", 
      RowBox[{"-", "1"}]]}], "=", " ", 
    RowBox[{"(", "  ", ")"}]}], TraditionalForm]]],
 ".  This contradicts lemma 5.3, so in fact ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Sigma]", "(", 
     RowBox[{"x", "\[CenterDot]", "y"}], ")"}], "=", 
    RowBox[{
     RowBox[{"\[Sigma]", "(", "x", ")"}], "\[CenterDot]", 
     RowBox[{"\[Sigma]", "(", "y", ")"}]}]}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4226461268125*^9, 3.422646129703125*^9}, {
   3.42264618790625*^9, 3.422646191421875*^9}, {3.42264628565625*^9, 
   3.422646330125*^9}, {3.436627137625*^9, 3.436627289484375*^9}, {
   3.436627348703125*^9, 3.4366273883125*^9}, {3.436627446796875*^9, 
   3.436627520234375*^9}, {3.436627560546875*^9, 3.436627608484375*^9}, {
   3.442581586296875*^9, 3.442581669796875*^9}, {3.44258171325*^9, 
   3.4425818735*^9}, {3.442582111328125*^9, 3.442582140359375*^9}, {
   3.442582179171875*^9, 3.442582293921875*^9}, {3.4425823395*^9, 
   3.44258234396875*^9}, 3.442582433859375*^9}]
}, Open  ]],

Cell[TextData[{
 "The signature function is the most important homomorphism defined on the \
symmetric groups. It is not surprising, therefore, that ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " has the signature function built in. For a permutation ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", 
    FormBox[
     RowBox[{"[", 
      RowBox[{
       SubscriptBox["i", "1"], ",", " ", 
       SubscriptBox["i", "2"], ",", " ", 
       SubscriptBox["i", "3"], ",", " ", "\[Ellipsis]"}], " ", "]"}],
     TraditionalForm]}], TraditionalForm]]],
 " we can find the signature of the permutation using the command:\n\n\
Signature[ P[",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["i", "1"], ",", " ", 
    SubscriptBox["i", "2"], ",", " ", 
    SubscriptBox["i", "3"], ",", " ", "\[Ellipsis]", " "}], 
   TraditionalForm]]],
 "] ]\n\nThus, if we consider the permutation ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"5", ",", "3", ",", "4", ",", "1", ",", "2"}], "]"}], 
   TraditionalForm]]],
 ", we find the signature by the command "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43662768928125*^9, 3.436627690578125*^9}, 
   3.442673316492625*^9}],

Cell[CellGroupData[{

Cell["Signature[ P[4,3,5,1,2] ]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.42273379803125*^9, 3.42273380275*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"-", "1"}]], "Output",
 CellChangeTimes->{3.44267331832075*^9}]
}, Open  ]],

Cell[TextData[{
 "Try this out with several permutations. You will notice that the signature \
will always be ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[PlusMinus]", "1"}], TraditionalForm]]],
 ".\n\nThe signature of an ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 "-cycle will be ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", "1"}], TraditionalForm]]],
 " if ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " is even, and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"+", "1"}], TraditionalForm]]],
 " if ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " is odd. Unfortunately, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " will not compute the signature of a cycle directly. One must first convert \
the cycle or product of cycles into a permutation using the command ",
 StyleBox["CycleToPerm",
  FontWeight->"Bold"],
 ", and then compute the signature. Thus, the signature of the product of \
cycles\n\n                            (1 4 2 7)(6 7 3)\n\nis given by"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4226464141875*^9, 3.422646417*^9}}],

Cell[CellGroupData[{

Cell["Signature[ CycleToPerm[ C[1,4,2,7] . C[6,7,3]  ] ]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"-", "1"}]], "Output",
 CellChangeTimes->{3.442673322492625*^9}]
}, Open  ]],

Cell[TextData[{
 "The fact that this function is a homomorphism has some important \
ramifications.\n\nDEFINITION 5.4\nA permutation is an ",
 StyleBox["alternating permutation",
  FontSlant->"Italic"],
 " or an ",
 StyleBox["even permutation",
  FontSlant->"Italic"],
 " if the signature of the permutation is 1. A permutation is an ",
 StyleBox["odd permutation",
  FontSlant->"Italic"],
 " if it is not even, that is, if the signature is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", "1"}], TraditionalForm]]],
 ". The set of all alternating permutations of order ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is written ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["A", "n"], TraditionalForm]]],
 ".\n\n\nCOROLLARY 5.1\nThe set of all alternating permutations ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["A", "n"], TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", ">", " ", "1"}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["S", "n"], " ", "/", " ", 
    SubscriptBox["A", 
     RowBox[{"n", " "}]]}], TraditionalForm]]],
 "is isomorphic to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436627723625*^9, 3.436627724484375*^9}, {3.43662776*^9, 
  3.436627771390625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Clearly ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["A", "n"], TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 ", since ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["A", "n"], TraditionalForm]]],
 " is the kernel of the signature homomorphism.  Also if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", ">", " ", "1"}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 " contains at least one transposition whose signature would be ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", "1"}], TraditionalForm]]],
 ". Thus, the image of the homomorphism is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "1"}], "}"}], TraditionalForm]]],
 ". This group is isomorphic to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 ". Then by the first isomorphism theorem (4.1), ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["S", 
     RowBox[{"n", " "}]], "/", " ", 
    SubscriptBox["A", "n"]}], TraditionalForm]]],
 " is isomorphic to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 " ."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43662779028125*^9, 3.43662788315625*^9}}]
}, Open  ]],

Cell[TextData[{
 "Finally, we can ask which permutations generate the \ngroup ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["A", "n"], TraditionalForm]]],
 ".  Since the set of 2-cycles generated ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 ", it is not too surprising that ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["A", "n"], TraditionalForm]]],
 " can also be generated by cycles.        \n\nPROPOSITION 5.1\nFor ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", ">", " ", "2"}], TraditionalForm]]],
 ", the alternating group ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["A", "n"], TraditionalForm]]],
 " is generated by the set of 3-cycles."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4366279025*^9, 3.4366279035625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Since every 3-cycle is a product of 2 transpositions, every 3-cycle is in \
",
 Cell[BoxData[
  FormBox[
   SubscriptBox["A", "n"], TraditionalForm]]],
 ". Thus, it is sufficient to show that every element in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["A", "n"], TraditionalForm]]],
 " can be expressed in terms of 3-cycles.  We have already seen that any \
element can be expressed as a product of an even number of transpositions. \
Suppose we group these in pairs as follows:\n\n         ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "=", " ", 
    RowBox[{
     RowBox[{"[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["i", "1"], " ", 
         SubscriptBox["j", "1"]}], ")"}], "\[CenterDot]", 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["k", "1"], " ", 
         SubscriptBox["l", "1"]}], ")"}]}], "]"}], "\[CenterDot]", 
     RowBox[{"[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["i", "2"], " ", 
         SubscriptBox["j", "2"]}], ")"}], "\[CenterDot]", 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["k", "2"], " ", 
         SubscriptBox["l", "2"]}], ")"}]}], "]"}], "\[CenterDot]", " ", 
     "\[Ellipsis]", " ", "\[CenterDot]", 
     RowBox[{
      RowBox[{"[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          SubscriptBox["i", "n"], " ", 
          SubscriptBox["j", "n"]}], ")"}], "\[CenterDot]", 
        RowBox[{"(", 
         RowBox[{
          SubscriptBox["k", "n"], " ", 
          SubscriptBox["l", "n"]}], ")"}]}], "]"}], "."}]}]}], 
   TraditionalForm]]],
 " \n\nIf we could convert each pair of transpositions into 3-cycles, we \
would have the permutation ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " expressed as a product of 3-cycles. There are three cases to consider:\n\n \
  Case 1: The integers",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SubscriptBox["i", "m"], ",", " ", 
     SubscriptBox["j", "m"], ",", " ", 
     SubscriptBox["k", "m"], ",", " ", 
     SubscriptBox["l", "m"]}]}], TraditionalForm]]],
 " are all distinct. In this case,\n              \n             ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["i", "m"], " ", 
        SubscriptBox["j", "m"]}], ")"}], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["k", "m"], " ", 
        SubscriptBox["l", "m"]}], ")"}]}], " ", "=", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["i", "m"], " ", 
        SubscriptBox["j", "m"], " ", 
        SubscriptBox["l", "m"]}], ")"}], "\[CenterDot]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["i", "m"], " ", 
         SubscriptBox["k", "m"], " ", 
         SubscriptBox["l", "m"]}], ")"}], "."}]}]}]}], TraditionalForm]]],
 "\n\n   Case 2: Three of the four integers ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["i", "m"], ",", " ", 
    SubscriptBox["j", "m"], ",", " ", 
    SubscriptBox["k", "m"], ",", " ", 
    SubscriptBox["l", 
     RowBox[{"m", " "}]]}], TraditionalForm]]],
 "are distinct.  The four combinations which would produce this situation are\
\n         ",
 Cell[BoxData[
  FormBox[
   RowBox[{"  ", 
    RowBox[{
     RowBox[{
      SubscriptBox["i", "m"], " ", "=", " ", 
      SubscriptBox["k", "m"]}], ",", " ", 
     RowBox[{
      SubscriptBox["i", "m"], " ", "=", " ", 
      SubscriptBox["l", "m"]}], ",", " ", 
     RowBox[{
      SubscriptBox["j", "m"], " ", "=", " ", 
      SubscriptBox["k", "m"]}], ",", " ", 
     RowBox[{
      RowBox[{"or", " ", 
       SubscriptBox["j", "m"]}], " ", "=", " ", 
      RowBox[{
       SubscriptBox["l", "m"], "."}]}]}]}], TraditionalForm]]],
 "  \n  However, these four possibilities are essentially the same, so we \
only have to check one of these four combinations: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["i", "m"], " ", "=", " ", 
    SubscriptBox["k", "m"]}], TraditionalForm]]],
 ". Then we have\n\n                   ",
 Cell[BoxData[
  FormBox[
   RowBox[{"  ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["i", "m"], " ", 
        SubscriptBox["j", "m"]}], ")"}], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["i", "m"], " ", 
        SubscriptBox["l", "m"]}], ")"}]}], " ", "=", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["i", "m"], " ", 
        SubscriptBox["j", "m"], " ", 
        SubscriptBox["l", "m"]}], ")"}], "."}]}]}], TraditionalForm]]],
 "\n   \n   Case 3: Only two of the four integers ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["i", "m"], ",", " ", 
    SubscriptBox["j", "m"], ",", " ", 
    SubscriptBox["k", "m"], ",", " "}], TraditionalForm]]],
 "and",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    SubscriptBox[
     RowBox[{"l", " "}], "m"]}], TraditionalForm]]],
 " are distinct. Then we must either have",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SubscriptBox["i", "m"], "=", " ", 
     SubscriptBox["k", "m"]}]}], TraditionalForm]]],
 "  and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["j", "m"], " ", "=", " ", 
    SubscriptBox["l", "m"]}], TraditionalForm]]],
 ", or ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["i", "m"], " ", "=", " ", 
    SubscriptBox["l", "m"]}], TraditionalForm]]],
 " and",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SubscriptBox["j", "m"], " ", "=", " ", 
     SubscriptBox["k", "m"]}]}], TraditionalForm]]],
 ".  In either case, we have\n\n                          ",
 Cell[BoxData[
  FormBox[
   RowBox[{"  ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["i", "m"], " ", 
        SubscriptBox["j", "m"]}], " ", ")"}], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["k", "m"], "  ", 
        SubscriptBox["l", "m"]}], " ", ")"}]}], " ", "=", " ", 
     RowBox[{
      RowBox[{"(", " ", ")"}], " ", "=", " ", 
      RowBox[{
       RowBox[{"(", "123", ")"}], 
       RowBox[{
        RowBox[{"(", "132", ")"}], "."}]}]}]}]}], TraditionalForm]]],
 "\n   \nIn all three cases, we were able to express a pair of transpositions \
in terms of a product of one or two 3-cycles.  Therefore, the permutation ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " can be written as a product of 3-cycles."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422646490640625*^9, 3.422646501*^9}, {3.422646566625*^9,
   3.422646572765625*^9}, {3.436628002515625*^9, 3.4366280604375*^9}}]
}, Open  ]],

Cell[TextData[{
 "Let us use this proposition to find the elements of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["A", "4"], TraditionalForm]]],
 ". We know that this is generated by 3-cycles, and has ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"24", "/", "2"}], " ", "=", " ", "12"}], TraditionalForm]]],
 " elements. Let us see if two cycles are enough to give us twelve elements."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Group[{C[1,2,3],C[1,2,4]}]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.44267332782075*^9, 3.4426733287895*^9}},
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"C", "[", "]"}], ",", 
   RowBox[{"C", "[", 
    RowBox[{"1", ",", "2", ",", "3"}], "]"}], ",", 
   RowBox[{"C", "[", 
    RowBox[{"1", ",", "2", ",", "4"}], "]"}], ",", 
   RowBox[{"C", "[", 
    RowBox[{"1", ",", "3", ",", "2"}], "]"}], ",", 
   RowBox[{"C", "[", 
    RowBox[{"1", ",", "3", ",", "4"}], "]"}], ",", 
   RowBox[{"C", "[", 
    RowBox[{"1", ",", "4", ",", "2"}], "]"}], ",", 
   RowBox[{"C", "[", 
    RowBox[{"1", ",", "4", ",", "3"}], "]"}], ",", 
   RowBox[{"C", "[", 
    RowBox[{"2", ",", "3", ",", "4"}], "]"}], ",", 
   RowBox[{"C", "[", 
    RowBox[{"2", ",", "4", ",", "3"}], "]"}], ",", 
   InterpretationBox["\<\"\\!\\(C[\\(\\(1, 2\\)\\)]\\) \[CenterDot] \
\\!\\(C[\\(\\(3, 4\\)\\)]\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     C[1, 2], 
     C[3, 4]],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(C[\\(\\(1, 3\\)\\)]\\) \[CenterDot] \
\\!\\(C[\\(\\(2, 4\\)\\)]\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     C[1, 3], 
     C[2, 4]],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(C[\\(\\(1, 4\\)\\)]\\) \[CenterDot] \
\\!\\(C[\\(\\(2, 3\\)\\)]\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     C[1, 4], 
     C[2, 3]],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4226466176875*^9, 3.442673329852*^9}]
}, Open  ]],

Cell[TextData[{
 "Since this gives us 12 elements, this is ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["A", "4"], TraditionalForm]]],
 ". Eight of the twelve elements are 3-cycles. Do you recognize the other 4 \
elements?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[CellGroupData[{

Cell["Cayley's Theorem", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "In the last section, we used the circle graph to illustrate a given \
permutation. The circle graphs produced had the property that every point on \
the circle had exactly one arrow which points to it. In Chapter 3 we \
mentioned that such a graph was ",
 StyleBox["one-to-one",
  FontSlant->"Italic"],
 " and ",
 StyleBox["onto",
  FontSlant->"Italic"],
 ". Where else have we seen circle graphs with this property?\n\nAlthough we \
have seen circle graphs that are one-to-one and onto in several places, many \
of them were in Chapter 3 when we were working with cosets. To illustrate, \
the following command loads the quaternionic group ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 " discovered in the last chapter:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422642717234375*^9, 3.422642718171875*^9}}],

Cell[CellGroupData[{

Cell["\<\
InitGroup[e];
Define[i^4, e]
Define[j^2, i^2]
Define[j.i, i.i.i.j ]
Q = Group[{i,j}]\
\>", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", "i", ",", "j", ",", 
   InterpretationBox["\<\"\\!\\(i\\) \[CenterDot] \\!\\(i\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`i, $CellContext`i],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(i\\) \[CenterDot] \\!\\(j\\)\"\>",
    StringForm["`` \[CenterDot] ``", $CellContext`i, $CellContext`j],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(i\\\\) \\\\[CenterDot] \
\\\\!\\\\(i\\\\)\\\"\\) \[CenterDot] \\!\\(i\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`i, $CellContext`i], $CellContext`i],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(i\\\\) \\\\[CenterDot] \
\\\\!\\\\(i\\\\)\\\"\\) \[CenterDot] \\!\\(j\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[$CellContext`i, $CellContext`i], $CellContext`j],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(i\\\\\
\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(i\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(i\\\\)\\\"\\) \[CenterDot] \\!\\(j\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[$CellContext`i, $CellContext`i], $CellContext`i], $CellContext`j],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.422639415796875*^9, 3.442673333086375*^9}]
}, Open  ]],

Cell[TextData[{
 "Recall the multiplication table for ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 " is given by:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["MultTable[Q]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.422639418890625*^9, 3.422639420765625*^9}},
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.7, 0.8, 0.7}, {0.7, 0.8, 0.7}, {1, 0.6, 0}, {1, 0, 1}, {0, 
      1, 0}, {1, 1, 0}, {0, 1, 1}, {0.6, 0.4, 0.8}, {1, 0, 0}}, {{
      1, 0.6, 0}, {1, 0.6, 0}, {0, 1, 0}, {1, 1, 0}, {0, 1, 1}, {0.6, 0.4, 
      0.8}, {0.7, 0.8, 0.7}, {1, 0, 0}, {1, 0, 1}}, {{0.6, 0.4, 0.8}, {0.6, 
      0.4, 0.8}, {1, 1, 0}, {0.7, 0.8, 0.7}, {1, 0, 1}, {0, 1, 1}, {1, 0, 
      0}, {0, 1, 0}, {1, 0.6, 0}}, {{0, 1, 0}, {0, 1, 0}, {0, 1, 1}, {0.6, 
      0.4, 0.8}, {0.7, 0.8, 0.7}, {1, 0, 0}, {1, 0.6, 0}, {1, 0, 1}, {1, 1, 
      0}}, {{1, 0, 0}, {1, 0, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {1, 1, 0}, {
      0.7, 0.8, 0.7}, {1, 0, 1}, {0, 1, 1}, {0, 1, 0}}, {{0, 1, 1}, {0, 1, 
      1}, {0.7, 0.8, 0.7}, {1, 0, 0}, {1, 0.6, 0}, {1, 0, 1}, {0, 1, 0}, {1, 
      1, 0}, {0.6, 0.4, 0.8}}, {{1, 0, 1}, {1, 0, 1}, {1, 0, 0}, {0, 1, 0}, {
      0.6, 0.4, 0.8}, {1, 0.6, 0}, {1, 1, 0}, {0.7, 0.8, 0.7}, {0, 1, 1}}, {{
      1, 1, 0}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 
      0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 0.7}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 
      1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7,
       0.8, 0.7}}}], {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {1.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {2.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"j\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {3.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"i\[CenterDot]i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {4.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"i\[CenterDot]j\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {5.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {6.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"i\[CenterDot]i\[CenterDot]j\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {7.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\[CenterDot]j\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {8.5, 8.5}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 7.5}], InsetBox[
     TagBox[
      StyleBox["\<\"i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"j\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 5.5}], InsetBox[
     TagBox[
      StyleBox["\<\"i\[CenterDot]i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 4.5}], InsetBox[
     TagBox[
      StyleBox["\<\"i\[CenterDot]j\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 3.5}], InsetBox[
     TagBox[
      StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 2.5}], InsetBox[
     TagBox[
      StyleBox["\<\"i\[CenterDot]i\[CenterDot]j\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 1.5}], InsetBox[
     TagBox[
      StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\[CenterDot]j\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 0.5}]}, {{InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\[CenterDot]j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\[CenterDot]j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 7.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\[CenterDot]j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\[CenterDot]j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 6.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\[CenterDot]j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\[CenterDot]j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 5.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\[CenterDot]j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\[CenterDot]j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 4.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\[CenterDot]j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\[CenterDot]j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 3.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\[CenterDot]j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\[CenterDot]j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 2.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\[CenterDot]j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\[CenterDot]j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 1.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\[CenterDot]j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\[CenterDot]j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"j\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\[CenterDot]i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 0.5}]}}, 
   LineBox[{{1, 0}, {1, 8}, {9, 8}}]},
  ImageSize->{315.33333333333263`, Automatic}]], "Output",
 CellChangeTimes->{3.42263942153125*^9, 3.442673335227*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "We can know look at the circle graph of ",
 StyleBox["RightMult[x]",
  FontWeight->"Bold"],
 " and ",
 StyleBox["LeftMult[x]",
  FontWeight->"Bold"],
 " for different elements ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.42263979246875*^9, 3.422639813984375*^9}}],

Cell[CellGroupData[{

Cell["CircleGraph[Q,RightMult[i]]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.422639821578125*^9, 3.422639822078125*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7071067811865475, 0.7071067811865476}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1., 6.123233995736766*^-17}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7071067811865476, -0.7071067811865475}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.2246467991473532`*^-16, -1.}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7071067811865475, -0.7071067811865477}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1., -1.8369701987210297`*^-16}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7071067811865477, 0.7071067811865474}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"e\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], InsetBox[
    TagBox[
     StyleBox["\<\"i\[CenterDot]j\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, -1.1}, {0, 1}], {InsetBox[
     TagBox[
      StyleBox["\<\"i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7778174593052023, 0.7778174593052024}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"j\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.1, 6.735557395310444*^-17}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"i\[CenterDot]i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7778174593052024, -0.7778174593052023}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7778174593052023, -0.7778174593052025}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"i\[CenterDot]i\[CenterDot]j\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.1, -2.0206672185931328`*^-16}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\[CenterDot]j\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7778174593052025, 0.7778174593052022}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], 
      LineBox[{{0., 1.}, {0.6147188279354188, 0.7453751244230565}}], 
      PolygonBox[{{0.7071067811865475, 0.7071067811865476}, {
       0.6338529995536732, 0.7915691010486209}, {0.5955846563171643, 
       0.6991811477974922}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.7071067811865475, 0.7071067811865476}, {
       0.7071067811865476, -0.6071067811865475}}], 
      PolygonBox[{{0.7071067811865476, -0.7071067811865475}, {
       0.7571067811865476, -0.6071067811865475}, {
       0.6571067811865475, -0.6071067811865475}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{
       0.7071067811865476, -0.7071067811865475}, {-0.6071067811865475, \
-0.7071067811865477}}], 
      PolygonBox[{{-0.7071067811865475, -0.7071067811865477}, \
{-0.6071067811865475, -0.7571067811865476}, {-0.6071067811865475, \
-0.6571067811865476}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.7071067811865475, -0.7071067811865477}, \
{-0.03826834323650897, 0.9076120467488713}}], 
      PolygonBox[{{0., 1.}, {-0.08446231986207331, 0.9267462183671258}, {
       0.00792563338905537, 0.8884778751306168}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{1., 6.123233995736766*^-17}, {
       0.07071067811865488, -0.9292893218813453}}], 
      PolygonBox[{{1.2246467991473532`*^-16, -1.}, {
       0.10606601717798225`, -0.9646446609406726}, {
       0.035355339059327494`, -0.8939339828220179}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{
       1.2246467991473532`*^-16, -1.}, {-0.9292893218813453, \
-0.0707106781186549}}], 
      PolygonBox[{{-1., -1.8369701987210297`*^-16}, {-0.9646446609406726, \
-0.1060660171779823}, {-0.8939339828220179, -0.03535533905932753}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-1., -1.8369701987210297`*^-16}, {-0.7453751244230566, 
       0.6147188279354187}}], 
      PolygonBox[{{-0.7071067811865477, 
       0.7071067811865474}, {-0.791569101048621, 
       0.6338529995536731}, {-0.6991811477974923, 0.5955846563171642}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.7071067811865477, 0.7071067811865474}, {0.9076120467488713,
        0.03826834323650902}}], 
      PolygonBox[{{1., 6.123233995736766*^-17}, {0.9267462183671258, 
       0.08446231986207337}, {
       0.8884778751306168, -0.007925633389055322}}]}}}},
  AspectRatio->Automatic,
  ImageSize->{202.66666666666646`, Automatic},
  PlotRange->All]], "Output",
 CellChangeTimes->{3.422639527046875*^9, 3.42263982340625*^9, 
  3.44267333738325*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["CircleGraph[Q,LeftMult[i]]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.422639830203125*^9, 3.422639831125*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7071067811865475, 0.7071067811865476}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1., 6.123233995736766*^-17}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7071067811865476, -0.7071067811865475}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.2246467991473532`*^-16, -1.}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7071067811865475, -0.7071067811865477}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1., -1.8369701987210297`*^-16}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7071067811865477, 0.7071067811865474}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"e\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], InsetBox[
    TagBox[
     StyleBox["\<\"i\[CenterDot]j\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, -1.1}, {0, 1}], {InsetBox[
     TagBox[
      StyleBox["\<\"i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7778174593052023, 0.7778174593052024}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"j\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.1, 6.735557395310444*^-17}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"i\[CenterDot]i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7778174593052024, -0.7778174593052023}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7778174593052023, -0.7778174593052025}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"i\[CenterDot]i\[CenterDot]j\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.1, -2.0206672185931328`*^-16}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"i\[CenterDot]i\[CenterDot]i\[CenterDot]j\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7778174593052025, 0.7778174593052022}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], 
      LineBox[{{0., 1.}, {0.6147188279354188, 0.7453751244230565}}], 
      PolygonBox[{{0.7071067811865475, 0.7071067811865476}, {
       0.6338529995536732, 0.7915691010486209}, {0.5955846563171643, 
       0.6991811477974922}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.7071067811865475, 0.7071067811865476}, {
       0.7071067811865476, -0.6071067811865475}}], 
      PolygonBox[{{0.7071067811865476, -0.7071067811865475}, {
       0.7571067811865476, -0.6071067811865475}, {
       0.6571067811865475, -0.6071067811865475}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{
       0.7071067811865476, -0.7071067811865475}, {-0.6071067811865475, \
-0.7071067811865477}}], 
      PolygonBox[{{-0.7071067811865475, -0.7071067811865477}, \
{-0.6071067811865475, -0.7571067811865476}, {-0.6071067811865475, \
-0.6571067811865476}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.7071067811865475, -0.7071067811865477}, \
{-0.03826834323650897, 0.9076120467488713}}], 
      PolygonBox[{{0., 1.}, {-0.08446231986207331, 0.9267462183671258}, {
       0.00792563338905537, 0.8884778751306168}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{1., 6.123233995736766*^-17}, {-0.614718827935419, 
       0.6688384379500384}}], 
      PolygonBox[{{-0.7071067811865477, 
       0.7071067811865474}, {-0.6338529995536735, 
       0.622644461324474}, {-0.5955846563171645, 0.7150324145756027}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.7071067811865477, 0.7071067811865474}, {-0.961731656763491,
        0.09238795325112852}}], 
      PolygonBox[{{-1., -1.8369701987210297`*^-16}, {-0.9155376801379267, 
       0.07325378163287403}, {-1.0079256333890554`, 0.111522124869383}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-1., -1.8369701987210297`*^-16}, {-0.07071067811865464, \
-0.9292893218813453}}], 
      PolygonBox[{{
       1.2246467991473532`*^-16, -1.}, {-0.03535533905932728, \
-0.8939339828220179}, {-0.10606601717798202`, -0.9646446609406727}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{1.2246467991473532`*^-16, -1.}, {
       0.9292893218813453, -0.07071067811865471}}], 
      PolygonBox[{{1., 6.123233995736766*^-17}, {
       0.8939339828220179, -0.03535533905932732}, {
       0.9646446609406726, -0.10606601717798207`}}]}}}},
  AspectRatio->Automatic,
  ImageSize->{188., Automatic},
  PlotRange->All]], "Output",
 CellChangeTimes->{3.42263953290625*^9, 3.422639831984375*^9, 
  3.44267333944575*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "Look carefully. These two circle graphs are not the same, even though they \
are very similar. Notice that these circle graphs are one-to-one and onto, \
just as the graphs of a permutation. Could we view these circle graphs as \
permutations in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "8"], TraditionalForm]]],
 "? Suppose we numbered the elements of the group, starting at the top and \
working clockwise. That is, we would assign\n\n                   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"                   ", "1", ")"}], "   ", "e"}], 
                    "                           ", "\n", "\t", "2"}], ")"}], "   ",
                     "i"}], "                           ", "\n", "\t", "3"}], 
                    ")"}], "   ", "j"}], "                          ", "\n", 
                  "                   ", "4"}], ")"}], "   ", 
                RowBox[{"i", "\[CenterDot]", "i"}]}], 
               "                           ", "\n", "\t", "5"}], ")"}], "   ",
              
             RowBox[{"i", "\[CenterDot]", "j"}]}], 
            "                           ", "\n", "\t", "6"}], ")"}], "   ", 
          RowBox[{"i", "\[CenterDot]", "i", "\[CenterDot]", "i"}]}], 
         "                           ", "\n", "\t", "7"}], ")"}], "   ", 
       RowBox[{"i", "\[CenterDot]", "i", "\[CenterDot]", "j"}]}], 
      "                           ", "\n", "\t", "8"}], ")"}], "   ", 
    RowBox[{
    "i", "\[CenterDot]", "i", "\[CenterDot]", "i", "\[CenterDot]", "j"}]}], 
   TraditionalForm]]],
 "\n\nWe can then create graphs of permutations that simulate the two graphs \
we see above."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422639600375*^9, 3.4226396034375*^9}}],

Cell[CellGroupData[{

Cell["CircleGraph[{1,2,3,4,5,6,7,8},P[2,4,5,6,7,1,8,3]]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7071067811865475, 0.7071067811865476}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1., 6.123233995736766*^-17}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7071067811865476, -0.7071067811865475}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.2246467991473532`*^-16, -1.}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7071067811865475, -0.7071067811865477}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1., -1.8369701987210297`*^-16}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7071067811865477, 0.7071067811865474}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"1\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], InsetBox[
    TagBox[
     StyleBox["\<\"5\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, -1.1}, {0, 1}], {InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7778174593052023, 0.7778174593052024}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.1, 6.735557395310444*^-17}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7778174593052024, -0.7778174593052023}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"6\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7778174593052023, -0.7778174593052025}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"7\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.1, -2.0206672185931328`*^-16}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"8\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7778174593052025, 0.7778174593052022}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], 
      LineBox[{{0., 1.}, {0.6147188279354188, 0.7453751244230565}}], 
      PolygonBox[{{0.7071067811865475, 0.7071067811865476}, {
       0.6338529995536732, 0.7915691010486209}, {0.5955846563171643, 
       0.6991811477974922}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.7071067811865475, 0.7071067811865476}, {
       0.7071067811865476, -0.6071067811865475}}], 
      PolygonBox[{{0.7071067811865476, -0.7071067811865475}, {
       0.7571067811865476, -0.6071067811865475}, {
       0.6571067811865475, -0.6071067811865475}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{
       0.7071067811865476, -0.7071067811865475}, {-0.6071067811865475, \
-0.7071067811865477}}], 
      PolygonBox[{{-0.7071067811865475, -0.7071067811865477}, \
{-0.6071067811865475, -0.7571067811865476}, {-0.6071067811865475, \
-0.6571067811865476}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.7071067811865475, -0.7071067811865477}, \
{-0.03826834323650897, 0.9076120467488713}}], 
      PolygonBox[{{0., 1.}, {-0.08446231986207331, 0.9267462183671258}, {
       0.00792563338905537, 0.8884778751306168}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{1., 6.123233995736766*^-17}, {
       0.07071067811865488, -0.9292893218813453}}], 
      PolygonBox[{{1.2246467991473532`*^-16, -1.}, {
       0.10606601717798225`, -0.9646446609406726}, {
       0.035355339059327494`, -0.8939339828220179}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{
       1.2246467991473532`*^-16, -1.}, {-0.9292893218813453, \
-0.0707106781186549}}], 
      PolygonBox[{{-1., -1.8369701987210297`*^-16}, {-0.9646446609406726, \
-0.1060660171779823}, {-0.8939339828220179, -0.03535533905932753}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-1., -1.8369701987210297`*^-16}, {-0.7453751244230566, 
       0.6147188279354187}}], 
      PolygonBox[{{-0.7071067811865477, 
       0.7071067811865474}, {-0.791569101048621, 
       0.6338529995536731}, {-0.6991811477974923, 0.5955846563171642}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.7071067811865477, 0.7071067811865474}, {0.9076120467488713,
        0.03826834323650902}}], 
      PolygonBox[{{1., 6.123233995736766*^-17}, {0.9267462183671258, 
       0.08446231986207337}, {
       0.8884778751306168, -0.007925633389055322}}]}}}},
  AspectRatio->Automatic,
  ImageSize->{149.3333333333324, Automatic},
  PlotRange->All]], "Output",
 CellChangeTimes->{3.422639631078125*^9, 3.442673342102*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["CircleGraph[{1,2,3,4,5,6,7,8},P[2,4,8,6,3,1,5,7]]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7071067811865475, 0.7071067811865476}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1., 6.123233995736766*^-17}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7071067811865476, -0.7071067811865475}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.2246467991473532`*^-16, -1.}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7071067811865475, -0.7071067811865477}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1., -1.8369701987210297`*^-16}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7071067811865477, 0.7071067811865474}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"1\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], InsetBox[
    TagBox[
     StyleBox["\<\"5\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, -1.1}, {0, 1}], {InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7778174593052023, 0.7778174593052024}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.1, 6.735557395310444*^-17}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7778174593052024, -0.7778174593052023}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"6\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7778174593052023, -0.7778174593052025}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"7\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.1, -2.0206672185931328`*^-16}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"8\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7778174593052025, 0.7778174593052022}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], 
      LineBox[{{0., 1.}, {0.6147188279354188, 0.7453751244230565}}], 
      PolygonBox[{{0.7071067811865475, 0.7071067811865476}, {
       0.6338529995536732, 0.7915691010486209}, {0.5955846563171643, 
       0.6991811477974922}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.7071067811865475, 0.7071067811865476}, {
       0.7071067811865476, -0.6071067811865475}}], 
      PolygonBox[{{0.7071067811865476, -0.7071067811865475}, {
       0.7571067811865476, -0.6071067811865475}, {
       0.6571067811865475, -0.6071067811865475}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{
       0.7071067811865476, -0.7071067811865475}, {-0.6071067811865475, \
-0.7071067811865477}}], 
      PolygonBox[{{-0.7071067811865475, -0.7071067811865477}, \
{-0.6071067811865475, -0.7571067811865476}, {-0.6071067811865475, \
-0.6571067811865476}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.7071067811865475, -0.7071067811865477}, \
{-0.03826834323650897, 0.9076120467488713}}], 
      PolygonBox[{{0., 1.}, {-0.08446231986207331, 0.9267462183671258}, {
       0.00792563338905537, 0.8884778751306168}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{1., 6.123233995736766*^-17}, {-0.614718827935419, 
       0.6688384379500384}}], 
      PolygonBox[{{-0.7071067811865477, 
       0.7071067811865474}, {-0.6338529995536735, 
       0.622644461324474}, {-0.5955846563171645, 0.7150324145756027}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.7071067811865477, 0.7071067811865474}, {-0.961731656763491,
        0.09238795325112852}}], 
      PolygonBox[{{-1., -1.8369701987210297`*^-16}, {-0.9155376801379267, 
       0.07325378163287403}, {-1.0079256333890554`, 0.111522124869383}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-1., -1.8369701987210297`*^-16}, {-0.07071067811865464, \
-0.9292893218813453}}], 
      PolygonBox[{{
       1.2246467991473532`*^-16, -1.}, {-0.03535533905932728, \
-0.8939339828220179}, {-0.10606601717798202`, -0.9646446609406727}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{1.2246467991473532`*^-16, -1.}, {
       0.9292893218813453, -0.07071067811865471}}], 
      PolygonBox[{{1., 6.123233995736766*^-17}, {
       0.8939339828220179, -0.03535533905932732}, {
       0.9646446609406726, -0.10606601717798207`}}]}}}},
  AspectRatio->Automatic,
  ImageSize->{155.33333333333272`, Automatic},
  PlotRange->All]], "Output",
 CellChangeTimes->{3.422639619578125*^9, 3.44267334375825*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "\nEXPERIMENT:\nReplace the \"",
 Cell[BoxData[
  FormBox["i", TraditionalForm]]],
 "\" in the two circle graphs on ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 " with other elements of ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 ", such as ",
 Cell[BoxData[
  FormBox["j", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"i", "\[CenterDot]", "i"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"i", "\[CenterDot]", "j"}], TraditionalForm]]],
 ". Can you find the permutations in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "8"], TraditionalForm]]],
 " which produce the same circle graphs? Remember that there will be two \
permutations for each element of ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 ": one that simulates ",
 StyleBox["RightMult[x]",
  FontWeight->"Bold"],
 ", and one that simulates ",
 StyleBox["LeftMult[x]",
  FontWeight->"Bold"],
 ". Are there any elements for which the graphs for ",
 StyleBox["RightMult[x]",
  FontWeight->"Bold"],
 " and ",
 StyleBox["LeftMult[x]",
  FontWeight->"Bold"],
 " are the same?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422639863859375*^9, 3.422639884625*^9}}],

Cell["   ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "We see from this experiment that we each element of ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 " will correspond to two elements of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "8"], TraditionalForm]]],
 ", one that simulates ",
 StyleBox["RightMult[x]",
  FontWeight->"Bold"],
 ", which we will call ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "x", ")"}], TraditionalForm]]],
 ", and one that simulates ",
 StyleBox["LeftMult[x]",
  FontWeight->"Bold"],
 ", called ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 ". Here is a table of these permutations:\n"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.42263989490625*^9, 3.42263990990625*^9}}],

Cell[TextData[{
 "                           \n                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "x", ")"}], TraditionalForm]]],
 "                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 "                              \n      ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 "  |    ",
 StyleBox["RightMult[x]",
  FontWeight->"Bold"],
 "    |     ",
 StyleBox["LeftMult[x]",
  FontWeight->"Bold"],
 "\n     ----|--------------------|--------------------\n      ",
 Cell[BoxData[
  FormBox["e", TraditionalForm]]],
 "  |        P[]         |        P[]\n      ",
 Cell[BoxData[
  FormBox["i", TraditionalForm]]],
 "  | P[2,4,5,6,7,1,8,3] | P[2,4,8,6,3,1,5,7]\n      ",
 Cell[BoxData[
  FormBox["j", TraditionalForm]]],
 "  | P[3,8,4,7,2,5,1,6] | P[3,5,4,7,6,8,1,2]\n     ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["i", "2"], TraditionalForm]]],
 "  | P[4,6,7,1,8,2,3,5] | P[4,6,7,1,8,2,3,5]\n    ",
 Cell[BoxData[
  FormBox[
   RowBox[{"i", "\[CenterDot]", "j"}], TraditionalForm]]],
 " | P[5,3,6,8,4,7,2,1] | P[5,7,2,8,4,3,6,1]\n     ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["i", "3"], TraditionalForm]]],
 "  | P[6,1,8,2,3,4,5,7] | P[6,1,5,2,7,4,8,3]\n   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["i", "2"], "\[CenterDot]", "j"}], " "}], 
   TraditionalForm]]],
 " | P[7,5,1,3,6,8,4,2] | P[7,8,1,3,2,5,4,6]\n   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["i", "3"], "\[CenterDot]", "j"}], " "}], 
   TraditionalForm]]],
 " | P[8,7,2,5,1,3,6,4] | P[8,3,6,5,1,7,2,4]"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422639923375*^9, 3.4226401233125*^9}, {
  3.422640186375*^9, 3.42264018675*^9}},
 FontFamily->"Courier New"],

Cell[TextData[{
 "By labling the permutations by ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "x", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 ", we emphisize that these two functions map elements of ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 " to elements of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "8"], TraditionalForm]]],
 ". So here's the natural question: Are either of these homomorphisms?\n"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "EXPERIMENT:\n\nSee if ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", 
     RowBox[{"i", "\[CenterDot]", "j"}], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Phi]", "(", "i", ")"}], "\[CenterDot]", 
     RowBox[{"\[Phi]", "(", "j", ")"}]}]}], TraditionalForm]]],
 ". Could this be a homomorphism? Now check whether ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", 
     RowBox[{"i", "\[CenterDot]", "j"}], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Florin]", "(", "i", ")"}], "\[CenterDot]", 
     RowBox[{"\[Florin]", "(", "j", ")"}]}]}], TraditionalForm]]],
 ". Use the space below to work the problem."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Although we can immediately rule out one of the two functions as being a \
homomorphism, there is a possibility of the other being a homomorphism. Let \
us use ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "'s CheckHomo command to see if this is so. First we define the mapping ",
 StyleBox["F",
  FontWeight->"Bold"],
 ", and define where ",
 StyleBox["F",
  FontWeight->"Bold"],
 " maps ",
 Cell[BoxData[
  FormBox["i", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["j", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
Homomorph[F]
Define[F[i], P[2,4,8,6,3,1,5,7] ]
Define[F[j], P[3,5,4,7,6,8,1,2] ]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.422640322875*^9, 3.422640338421875*^9}},
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "We can have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " check whether this is a homomorphism:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CheckHomo[F,Q]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.422640343359375*^9, 3.442673351430125*^9}]
}, Open  ]],

Cell[TextData[{
 "So apparently, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " is a homomorphism from ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "8"], TraditionalForm]]],
 ". In fact, it is clear that this is one-to-one, so \n",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " is an isomorphism from ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 " onto a subgroup of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "8"], TraditionalForm]]],
 ". Will ",
 StyleBox["LeftMult",
  FontWeight->"Bold"],
 " produce an isomorphism for any group? The answer is yes, and the proof \
reveals an important property of permutation groups. You should be able to \
use the ",
 StyleBox["LeftMult",
  FontWeight->"Bold"],
 " function to prove the following theorem:\n"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422640378515625*^9, 3.42264038690625*^9}}],

Cell[TextData[{
 "THEOREM 5.2:  CAYLEY'S THEOREM\nEvery finite group of order ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is isomorphic to a subgroup of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43662832740625*^9, 3.436628327515625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " be a group of order ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". For each ",
 Cell[BoxData[
  FormBox["g", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", define the mapping\n\n                                     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["p", "g"], ":", " ", 
    RowBox[{"G", "\[RightArrow]", " ", "G"}]}], TraditionalForm]]],
 "\n                                    \nby   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["p", "g"], "(", "v", ")"}], " ", "=", " ", 
    RowBox[{"v", "\[CenterDot]", "g"}]}], TraditionalForm]]],
 ".  For a given ",
 Cell[BoxData[
  FormBox["g", TraditionalForm]]],
 ", if   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["p", "g"], "(", "v", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["p", "g"], "(", "w", ")"}]}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"v", "\[CenterDot]", "g"}], "=", " ", 
    RowBox[{"w", "\[CenterDot]", "g"}]}], TraditionalForm]]],
 ", so ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", " ", "=", " ", 
    FormBox["w",
     TraditionalForm]}], TraditionalForm]]],
 ".  Hence, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["p", "g"], TraditionalForm]]],
 "  is a one-to-one mapping.  Also,\n                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["p", "g"], "(", 
     RowBox[{"v", "\[CenterDot]", 
      SuperscriptBox["g", 
       RowBox[{"-", "1"}]]}], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"v", "\[CenterDot]", 
      SuperscriptBox["g", 
       RowBox[{"-", "1"}]], "\[CenterDot]", "g"}], " ", "=", " ", "v"}]}], 
   TraditionalForm]]],
 ".\n                  \nSo every element of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " is mapped to by an element of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".  Thus, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["p", "g"], TraditionalForm]]],
 " is also an onto mapping, and hence is a permutation of the elements of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".\n\nWe now can consider the mapping ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " from ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " to the symmetric group ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", 
    RowBox[{"|", "G", "|"}]], TraditionalForm]]],
 " on the elements of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", given by\n\n                                                     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "g", ")"}], " ", "=", " ", 
    SubscriptBox["p", "g"]}], TraditionalForm]]],
 ".\n                                                     \nNow, consider two \
elements ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "x", ")"}], " "}], TraditionalForm]]],
 "and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "y", ")"}], TraditionalForm]]],
 ".  The product of these is the mapping\n\n                   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"v", " ", "\[RightArrow]", " ", 
     RowBox[{
      SubscriptBox["p", "y"], "(", 
      RowBox[{
       SubscriptBox["p", "x"], "(", "v", ")"}], ")"}]}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["p", "y"], "(", 
      RowBox[{"v", "\[CenterDot]", "x"}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"v", "\[CenterDot]", "x"}], ")"}], "\[CenterDot]", "y"}], " ",
       "=", " ", 
      RowBox[{"v", "\[CenterDot]", 
       RowBox[{"(", 
        RowBox[{"x", "\[CenterDot]", "y"}], ")"}]}]}]}]}], 
   TraditionalForm]]],
 ".\n                   \nSince this is the same as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", 
    RowBox[{"x", "\[CenterDot]", "y"}], ")"}], TraditionalForm]]],
 ",  ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " is a homomorphism.  \n\nThe element ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " will be in the kernel of the homomorphism ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " only if ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["p", "x"], "(", "v", ")"}], TraditionalForm]]],
 " is the identity permutation.  This means that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", " ", "\[InvisibleComma]", 
    RowBox[{
     RowBox[{"\[CenterDot]", " ", "x"}], "=", " ", "v"}]}], 
   TraditionalForm]]],
 " for all elements ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".  Thus, the kernel consists just of the identity element of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", and hence ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " is an isomorphism.  Therefore, ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " is isomorphic to a subgroup of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", 
    RowBox[{"|", "G", "|"}]], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.42264074190625*^9, 3.42264081909375*^9}, {
  3.422641206078125*^9, 3.42264130990625*^9}, {3.436628367296875*^9, 
  3.4366283896875*^9}, {3.436628425375*^9, 3.43662846728125*^9}}]
}, Open  ]],

Cell[TextData[{
 "Although this theorem shows that all finite groups can be considered as a \
subgroup of a symmetric group, the theorem can also apply to infinite groups \
as well. Of course we then must consider ",
 StyleBox["infinite",
  FontSlant->"Italic"],
 " symmetric groups, whose elements would be permutations on an infinite \
collection of objects. We might have a difficult time expressing some of the \
permutations! For example, if we had a library of an infinite number of \
books, we could not begin to express how one could rearrange the books. Some \
of the permutations could be expressed as one-to-one and onto functions. \
However, most of the permutations in an infinite symmetric group are not \
expressable using a finite number of words or symbols. Problems 5.27 through \
5.29 reveal some of the unusual properties of infinite symmetric groups. \
Fortunately, we will mainly work with finite symmetric groups."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422641359265625*^9, 3.422641360234375*^9}, {
  3.436628636296875*^9, 3.436628658140625*^9}}],

Cell[TextData[{
 "Although Cayley's theorem (5.2) shows that any finite group ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " is a subgroup of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is the size of the group ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", we often can find a smaller symmetric group that contains an isomorphic \
copy of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".  Here is another example to illustrate.  Consider the group ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "4"], TraditionalForm]]],
 ", introduced in the last chapter, for which ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["a", "2"], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["b", "4"], "=", " ", "e"}]}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"b", "\[CenterDot]", "a"}], " ", "=", " ", 
    RowBox[{"a", "\[CenterDot]", 
     SuperscriptBox["b", "3"]}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4232392151875*^9, 3.423239241875*^9}, {
  3.436628677859375*^9, 3.43662867796875*^9}, {3.436629241359375*^9, 
  3.43662924159375*^9}, {3.440962565859375*^9, 3.440962580703125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"InitGroup", "[", "e", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Define", "[", 
   RowBox[{
    RowBox[{"a", "^", "2"}], ",", " ", "e"}], "]"}], ";", " ", 
  RowBox[{"Define", "[", 
   RowBox[{
    RowBox[{"b", "^", "4"}], ",", " ", "e"}], "]"}], ";", 
  RowBox[{"Define", "[", 
   RowBox[{
    RowBox[{"b", ".", "a"}], ",", " ", 
    RowBox[{"a", ".", "b", ".", "b", ".", "b"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"D4", " ", "=", " ", 
   RowBox[{"Group", "[", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.4232392024375*^9, 3.423239203328125*^9}, {
  3.42323929578125*^9, 3.423239302453125*^9}, {3.436628693796875*^9, 
  3.4366286941875*^9}, {3.436628824734375*^9, 3.436628825203125*^9}, {
  3.436628891921875*^9, 3.436628903140625*^9}, {3.44096222334375*^9, 
  3.44096225703125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MultTable", "[", "D4", "]"}]], "Input",
 CellChangeTimes->{{3.423239209046875*^9, 3.423239209515625*^9}, {
  3.440962290234375*^9, 3.4409622906875*^9}}],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.7, 0.8, 0.7}, {0.7, 0.8, 0.7}, {0, 1, 1}, {1, 0, 1}, {0, 1, 
      0}, {1, 0, 0}, {1, 0.6, 0}, {0.6, 0.4, 0.8}, {1, 1, 0}}, {{1, 0.6, 0}, {
      1, 0.6, 0}, {1, 0, 0}, {1, 1, 0}, {0.6, 0.4, 0.8}, {0, 1, 1}, {0.7, 0.8,
       0.7}, {0, 1, 0}, {1, 0, 1}}, {{0.6, 0.4, 0.8}, {0.6, 0.4, 0.8}, {0, 1, 
      0}, {0.7, 0.8, 0.7}, {1, 0.6, 0}, {1, 0, 1}, {1, 1, 0}, {1, 0, 0}, {0, 
      1, 1}}, {{0, 1, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 
      0.7}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}}, {{1, 0, 0}, {1, 0, 
      0}, {1, 0.6, 0}, {0.6, 0.4, 0.8}, {1, 1, 0}, {0.7, 0.8, 0.7}, {0, 1, 
      1}, {1, 0, 1}, {0, 1, 0}}, {{0, 1, 1}, {0, 1, 1}, {0.7, 0.8, 0.7}, {0, 
      1, 0}, {1, 0, 1}, {1, 0.6, 0}, {1, 0, 0}, {1, 1, 0}, {0.6, 0.4, 
      0.8}}, {{1, 0, 1}, {1, 0, 1}, {1, 1, 0}, {1, 0, 0}, {0, 1, 1}, {0.6, 
      0.4, 0.8}, {0, 1, 0}, {0.7, 0.8, 0.7}, {1, 0.6, 0}}, {{1, 1, 0}, {1, 1, 
      0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 1}, {0, 1, 
      1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 
      0.7}}}], {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {1.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {2.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {3.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {4.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {5.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {6.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\[CenterDot]b\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {7.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {8.5, 8.5}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 7.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 5.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 4.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 3.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 2.5}], InsetBox[
     TagBox[
      StyleBox["\<\"b\[CenterDot]b\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 1.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\[CenterDot]b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 0.5}]}, {{InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 7.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 6.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 5.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 4.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 3.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 2.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 1.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"b\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\[CenterDot]b\[CenterDot]b\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"e\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 0.5}]}}, 
   LineBox[{{1, 0}, {1, 8}, {9, 8}}]}]], "Output",
 CellChangeTimes->{
  3.42264137765625*^9, 3.42264274190625*^9, 3.42323930728125*^9, {
   3.440962283109375*^9, 3.4409622924375*^9}, 3.4426733652895*^9}]
}, Open  ]],

Cell[TextData[{
 "Let us consider a ",
 StyleBox["non-normal",
  FontSlant->"Italic"],
 " subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["D", "4"], ":"}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"H", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{"e", ",", " ", "a"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.423239312859375*^9, 3.423239313234375*^9}, {
  3.440962300421875*^9, 3.440962300703125*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"e", ",", "a"}], "}"}]], "Output",
 CellChangeTimes->{3.422641391671875*^9, 3.42264274671875*^9, 
  3.423239313921875*^9, 3.436628804265625*^9, 3.440962304625*^9, 
  3.442673368055125*^9}]
}, Open  ]],

Cell[TextData[{
 "We saw in Cayley's theorem (5.2) that ",
 StyleBox["LeftMult",
  FontWeight->"Bold"],
 " applied to the elements of  the group derived a homomorphism.  What if we \
applied ",
 StyleBox["LeftMult",
  FontWeight->"Bold"],
 " to the ",
 StyleBox["cosets",
  FontSlant->"Italic"],
 " of the group?  Recall that ",
 StyleBox["LeftMult[x]",
  FontWeight->"Bold"],
 StyleBox[" can be thought as a function ",
  FontVariations->{"CompatibilityType"->0}],
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["p", "x"], "(", "v", ")"}], " ", "=", " ", 
    RowBox[{"v", "\[CenterDot]", "x"}]}], TraditionalForm]]],
 ", that is, it multiplies the argument of the function to the left of ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ".\nIf we apply this function to a right coset of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", we have ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["p", "x"], "(", 
     RowBox[{"H", "\[CenterDot]", "g"}], ")"}], " ", "=", " ", 
    RowBox[{"H", "\[CenterDot]", "g", "\[CenterDot]", "x"}]}], 
   TraditionalForm]]],
 ", which yields another right coset.\n(Left cosets won't work here, since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["p", "x"], "(", 
     RowBox[{"g", "\[CenterDot]", "H"}], ")"}], " ", "=", " ", 
    RowBox[{"g", "\[CenterDot]", "H", "\[CenterDot]", "x"}]}], 
   TraditionalForm]]],
 ", which is neither a left nor right coset.)  Let us first create a list of \
right cosets."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4226414018125*^9, 3.4226415425*^9}, {
  3.436628757171875*^9, 3.436628757296875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"R", " ", "=", " ", 
  RowBox[{"RtCoset", "[", 
   RowBox[{"D4", ",", "H"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.422641545109375*^9, 3.422641545609375*^9}, {
  3.42323950453125*^9, 3.423239505140625*^9}, {3.43662878884375*^9, 
  3.436628789125*^9}, {3.436628820171875*^9, 3.436628820625*^9}, {
  3.436629032625*^9, 3.436629033125*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"b", ",", 
     InterpretationBox["\<\"\\!\\(a\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`a, $CellContext`b],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(b\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", $CellContext`b, $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(a\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`a, $CellContext`b], $CellContext`b],
      Editable->False]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(b\\\\) \\\\[CenterDot] \
\\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[$CellContext`b, $CellContext`b], $CellContext`b],
      Editable->False], ",", 
     InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(a\\\
\\\\\\) \\\\\\\\[CenterDot] \\\\\\\\!\\\\\\\\(b\\\\\\\\)\\\\\\\"\\\\) \
\\\\[CenterDot] \\\\!\\\\(b\\\\)\\\"\\) \[CenterDot] \\!\\(b\\)\"\>",
      StringForm["`` \[CenterDot] ``", 
       Dot[
        Dot[$CellContext`a, $CellContext`b], $CellContext`b], $CellContext`b],
      
      Editable->False]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.422641548203125*^9, 3.4226427689375*^9, 
  3.42323950715625*^9, 3.436628790171875*^9, 3.436629042859375*^9, 
  3.44096231471875*^9, 3.442673370336375*^9}]
}, Open  ]],

Cell[TextData[{
 "What happens if we multiply each of the cosets by a fixed element of the \
group, say ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 "?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CircleGraph", "[", 
  RowBox[{"R", ",", 
   RowBox[{"LeftMult", "[", "a", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.42264155609375*^9, 3.422641556765625*^9}, {
  3.43662904*^9, 3.436629040484375*^9}}],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1., 6.123233995736766*^-17}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.2246467991473532`*^-16, -1.}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1., -1.8369701987210297`*^-16}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"{b,a\[CenterDot]b}\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], InsetBox[
    TagBox[
     StyleBox["\<\"{b\[CenterDot]b,a\[CenterDot]b\[CenterDot]b}\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, -1.1}, {0, 1}], InsetBox[
    TagBox[
     StyleBox["\<\"{e,a}\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {1.1, 6.735557395310444*^-17}, {-1, 0}],
    InsetBox[
    TagBox[
     StyleBox["\<\"{b\[CenterDot]b\[CenterDot]b,a\[CenterDot]b\[CenterDot]b\
\[CenterDot]b}\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 
      18]& ], {-1.1, -2.0206672185931328`*^-16}, {1, 0}], {{
     {RGBColor[1, 0, 0], 
      LineBox[{{0., 1.}, {-0.9292893218813453, 0.07071067811865459}}], 
      PolygonBox[{{-1., -1.8369701987210297`*^-16}, {-0.8939339828220179, 
       0.035355339059327216`}, {-0.9646446609406727, 
       0.10606601717798196`}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-1., -1.8369701987210297`*^-16}, {-0.07071067811865475, 
       0.9292893218813453}}], 
      PolygonBox[{{0., 1.}, {-0.10606601717798214`, 
       0.9646446609406726}, {-0.03535533905932736, 0.8939339828220179}}]}}, 
    {RGBColor[0, 1, 0], 
     LineBox[{{0.9292893218813453, 0.07071067811865481}, {0.8968331206248827, 
      0.09241885630108182}, {0.8585786437626906, 0.09998489885977785}, {
      0.8203241669004984, 0.0924188563010818}, {0.7878679656440357, 
      0.0707106781186548}, {0.7661597874616087, 0.038254476862192265`}, {
      0.7586644555810313, 4.645047007742779*^-17}, {
      0.7661597874616087, -0.03825447686219217}, {
      0.7878679656440357, -0.07071067811865471}, {
      0.8203241669004984, -0.09241885630108172}, {
      0.8585786437626906, -0.09998489885977777}, {
      0.8968331206248827, -0.09241885630108171}, {
      0.9292893218813453, -0.0707106781186547}, {1., 
      6.123233995736766*^-17}}], 
     PolygonBox[{{1., 6.123233995736766*^-17}, {0.9646446609406726, 
      0.10606601717798217`}, {0.8939339828220179, 0.03535533905932743}}]}, 
    {RGBColor[0.6, 0.4, 0.8], 
     LineBox[{{0.07071067811865486, -0.9292893218813453}, {
      0.09241885630108188, -0.8968331206248827}, {
      0.09998489885977792, -0.8585786437626906}, {
      0.09241885630108186, -0.8203241669004984}, {
      0.07071067811865485, -0.7878679656440357}, {
      0.03825447686219231, -0.7661597874616087}, {
      9.290959971541795*^-17, -0.7585937449029128}, {-0.03825447686219212, \
-0.7661597874616087}, {-0.07071067811865465, -0.7878679656440357}, \
{-0.09241885630108167, -0.8203241669004984}, {-0.0999848988597777, \
-0.8585786437626906}, {-0.09241885630108165, -0.8968331206248827}, \
{-0.07071067811865464, -0.9292893218813453}, {
      1.2246467991473532`*^-16, -1.}}], 
     PolygonBox[{{1.2246467991473532`*^-16, -1.}, {
      0.10606601717798224`, -0.9646446609406726}, {
      0.03535533905932749, -0.8939339828220179}}]}}},
  AspectRatio->Automatic,
  ImageSize->{271.9999999999983, Automatic},
  PlotRange->All]], "Output",
 CellChangeTimes->{3.4226415580625*^9, 3.422642772328125*^9, 
  3.42323952265625*^9, 3.43662904946875*^9, 3.44096235425*^9, 
  3.44267337232075*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "We see that each coset is mapped to another coset.  Once again, we have a \
one-to-one and onto mapping, which we can treat as a permutation.  Let us \
first number the right cosets of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ".\n\n               1)  {b,a\[CenterDot]b}\n               2)  {e, a}\n     \
          3)  {b\[CenterDot]b, a\[CenterDot]b\[CenterDot]b}\n               \
4)  {b\[CenterDot]b\[CenterDot]b, a\[CenterDot]b\[CenterDot]b\[CenterDot]b}"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422642091046875*^9, 3.42264212478125*^9}, {
  3.423240500828125*^9, 3.423240540203125*^9}, {3.44096241959375*^9, 
  3.440962447234375*^9}}],

Cell[TextData[{
 "Then the circle graph shows that left multiplication by ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " is equivalent to the permutation ",
 StyleBox["P[4,2,3,1]",
  FontWeight->"Bold"],
 ".  \nIf we try this with the element ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " instead,"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.42264214696875*^9, 3.422642151234375*^9}, {
  3.42273367784375*^9, 3.422733678953125*^9}, {3.423240564921875*^9, 
  3.423240566359375*^9}, {3.4409626179375*^9, 3.4409626218125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CircleGraph", "[", 
  RowBox[{"R", ",", 
   RowBox[{"LeftMult", "[", "b", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.422641589359375*^9, 3.422641594265625*^9}, {
  3.42264232540625*^9, 3.422642325953125*^9}, {3.422642780609375*^9, 
  3.422642780734375*^9}, {3.422643168625*^9, 3.42264316909375*^9}, {
  3.422643297640625*^9, 3.422643297796875*^9}, {3.43662915446875*^9, 
  3.436629154828125*^9}}],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1., 6.123233995736766*^-17}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.2246467991473532`*^-16, -1.}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1., -1.8369701987210297`*^-16}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"{b,a\[CenterDot]b}\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], InsetBox[
    TagBox[
     StyleBox["\<\"{b\[CenterDot]b,a\[CenterDot]b\[CenterDot]b}\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, -1.1}, {0, 1}], InsetBox[
    TagBox[
     StyleBox["\<\"{e,a}\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {1.1, 6.735557395310444*^-17}, {-1, 0}],
    InsetBox[
    TagBox[
     StyleBox["\<\"{b\[CenterDot]b\[CenterDot]b,a\[CenterDot]b\[CenterDot]b\
\[CenterDot]b}\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 
      18]& ], {-1.1, -2.0206672185931328`*^-16}, {1, 0}], {
    {RGBColor[1, 0, 0], LineBox[{{0., 1.}, {1.1634144591899854`*^-16, -0.9}}],
      PolygonBox[{{1.2246467991473532`*^-16, -1.}, {
      0.05000000000000012, -0.9}, {-0.049999999999999885`, -0.9}}]}, 
    {RGBColor[1, 0, 0], 
     LineBox[{{
      1.2246467991473532`*^-16, -1.}, {-0.9292893218813453, \
-0.0707106781186549}}], 
     PolygonBox[{{-1., -1.8369701987210297`*^-16}, {-0.9646446609406726, \
-0.1060660171779823}, {-0.8939339828220179, -0.03535533905932753}}]}, 
    {RGBColor[1, 0, 0], 
     LineBox[{{-1., -1.8369701987210297`*^-16}, {0.9, 
      4.898587196589413*^-17}}], 
     PolygonBox[{{1., 6.123233995736766*^-17}, {0.9, 0.05000000000000005}, {
      0.9, -0.049999999999999954`}}]}, 
    {RGBColor[1, 0, 0], 
     LineBox[{{1., 6.123233995736766*^-17}, {0.07071067811865477, 
      0.9292893218813453}}], 
     PolygonBox[{{0., 1.}, {0.03535533905932738, 0.8939339828220179}, {
      0.10606601717798213`, 0.9646446609406726}}]}}},
  AspectRatio->Automatic,
  ImageSize->{231.33333333333334`, Automatic},
  PlotRange->All]], "Output",
 CellChangeTimes->{3.422641595375*^9, 3.42264278184375*^9, 
  3.42264317059375*^9, 3.42264329871875*^9, 3.423240593078125*^9, 
  3.436629156015625*^9, 3.4409624593125*^9, 3.442673376352*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "the circle graph shows that right multiplication by ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " is equivalent to the permutation ",
 StyleBox["P[3,1,4,2]",
  FontWeight->"Bold"],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.42264216159375*^9, 3.422642171234375*^9}, {
  3.423240573453125*^9, 3.423240575578125*^9}, {3.440962637140625*^9, 
  3.440962647125*^9}}],

Cell[TextData[{
 "EXPERIMENT:\n\nTry replacing the elements ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " with other elements of the group.  Do the circle graphs produce \
permutations?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Since we have a permutation for each element of the group, the natural \
question is whether we have a homomorphism between the group ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "4"], TraditionalForm]]],
 " and the permutation group.  ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can check for us."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
Homomorph[F]
Define[F[a], P[4,2,3,1] ]
Define[F[b], P[3,1,4,2] ]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.42264220871875*^9, 3.42264222709375*^9}, {
  3.42264331371875*^9, 3.422643315625*^9}, {3.423240616328125*^9, 
  3.42324062896875*^9}, {3.44096271465625*^9, 3.4409627234375*^9}},
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[CellGroupData[{

Cell["CheckHomo[F,D4]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.423240674265625*^9, 3.423240674765625*^9}, {
  3.436629218625*^9, 3.43662921903125*^9}},
 AspectRatioFixed->True],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.422643323390625*^9, 3.42324063925*^9, 
  3.423240675921875*^9, 3.436629220078125*^9, 3.4409627276875*^9, 
  3.442673381086375*^9}]
}, Open  ]],

Cell["\<\
So we indeed have a homomorhism, just as in Cayley's theorem.  What is the \
kernel of this homomorphism?\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Kernel", "[", 
  RowBox[{"F", ",", "D4"}], "]"}]], "Input",
 CellChangeTimes->{{3.4232406878125*^9, 3.42324068840625*^9}, {
  3.436629223359375*^9, 3.43662922378125*^9}}],

Cell[BoxData[
 RowBox[{"{", "e", "}"}]], "Output",
 CellChangeTimes->{3.4226433465625*^9, 3.423240688921875*^9, 
  3.436629224515625*^9, 3.440962739625*^9, 3.44267338269575*^9}]
}, Open  ]],

Cell[TextData[{
 "This proves that ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "4"], TraditionalForm]]],
 " is isomorphic to a subgroup of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 ".  Note that this is a much stronger result than Cayley's theorem (5.2), \
which only says that ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "4"], TraditionalForm]]],
 " is isomorphic to a subgroup of the larger group ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "8"], TraditionalForm]]],
 ".  \n\nWe can now see the subgroup of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 " isomorphic to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "4"], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.423240699671875*^9, 3.423240705578125*^9}, {
  3.43662926228125*^9, 3.436629272796875*^9}, {3.440962754890625*^9, 
  3.44096276428125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Group", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"F", "[", "a", "]"}], ",", 
    RowBox[{"F", "[", "b", "]"}]}], "}"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "3", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "1", ",", "4", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "4", ",", "1", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "1", ",", "4", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "4", ",", "1", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "2", ",", "3", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "3", ",", "2", ",", "1"}], "]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.422643361484375*^9, 3.440962772359375*^9, 
  3.4426733842895*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MultTable", "[", "%", "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.7, 0.8, 0.7}, {0.7, 0.8, 0.7}, {1, 0.6, 0}, {0.6, 0.4, 
      0.8}, {0, 1, 0}, {1, 0, 0}, {0, 1, 1}, {1, 0, 1}, {1, 1, 0}}, {{
      1, 0.6, 0}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}, {0.6, 0.4, 0.8}, {
      0, 1, 1}, {1, 0, 0}, {1, 1, 0}, {1, 0, 1}}, {{0.6, 0.4, 0.8}, {0.6, 0.4,
       0.8}, {1, 0, 0}, {0.7, 0.8, 0.7}, {1, 0, 1}, {1, 0.6, 0}, {1, 1, 0}, {
      0, 1, 0}, {0, 1, 1}}, {{0, 1, 0}, {0, 1, 0}, {0, 1, 1}, {1, 0.6, 0}, {1,
       1, 0}, {0.7, 0.8, 0.7}, {1, 0, 1}, {0.6, 0.4, 0.8}, {1, 0, 0}}, {{1, 0,
       0}, {1, 0, 0}, {0.6, 0.4, 0.8}, {1, 0, 1}, {0.7, 0.8, 0.7}, {1, 1, 
      0}, {1, 0.6, 0}, {0, 1, 1}, {0, 1, 0}}, {{0, 1, 1}, {0, 1, 1}, {0, 1, 
      0}, {1, 1, 0}, {1, 0.6, 0}, {1, 0, 1}, {0.7, 0.8, 0.7}, {1, 0, 0}, {0.6,
       0.4, 0.8}}, {{1, 0, 1}, {1, 0, 1}, {1, 1, 0}, {1, 0, 0}, {0, 1, 1}, {
      0.6, 0.4, 0.8}, {0, 1, 0}, {0.7, 0.8, 0.7}, {1, 0.6, 0}}, {{1, 1, 0}, {
      1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 1}, {0, 1, 
      1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 
      0.7}}}], {InsetBox[
     TagBox[
      StyleBox["\<\"P[]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 7.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[1,3,2]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 6.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[2,1,4,3]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 5.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[2,4,1,3]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 4.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[3,1,4,2]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 3.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[3,4,1,2]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 2.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[4,2,3,1]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 1.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[4,3,2,1]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 0.5}, {1, 0}]}, 
   LineBox[{{1, 0}, {1, 8}, {9, 8}}]},
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.42264336484375*^9, 3.4409627766875*^9, 
  3.442673385727*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "The multiplication table reveals a non-abelian group with 5 elements of \
order 2, so this is indeed isomorphic to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["D", "4"], "."}], TraditionalForm]]],
 "  We can generalize this proceedure to produce the following result:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.423240720203125*^9, 3.423240720671875*^9}, {
  3.43662928659375*^9, 3.4366292869375*^9}}],

Cell[TextData[{
 "PROPOSITION 5.2\nLet ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " be a finite group of order ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " a subgroup of order ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 ".  Then there is a homomophism from ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "k"], TraditionalForm]]],
 ", with ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", " ", "=", " ", 
    RowBox[{"n", "/", "m"}]}], TraditionalForm]]],
 ", and whose kernel is a subgroup of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43662929390625*^9, 3.43662929403125*^9}, {
  3.4415432832296247`*^9, 3.4415433047608747`*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 " be the set of right cosets ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\\", "G"}], TraditionalForm]]],
 ".  For each ",
 Cell[BoxData[
  FormBox["g", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", define the mapping\n\n                                    ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["p", "g"], ":", " ", 
    RowBox[{"Q", "\[RightArrow]", " ", "Q"}]}], TraditionalForm]]],
 "\n                                    \nby   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["p", "g"], "(", 
     RowBox[{"H", "\[CenterDot]", "x"}], ")"}], " ", "=", " ", 
    RowBox[{"H", "\[CenterDot]", "x", "\[CenterDot]", "g"}]}], 
   TraditionalForm]]],
 ".  Note that this is well defined, since if  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", "\[CenterDot]", "x"}], " ", "=", " ", 
    RowBox[{"H", "\[CenterDot]", "y"}]}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", "\[CenterDot]", "x", "\[CenterDot]", "g"}], " ", "=", " ", 
    RowBox[{"H", "\[CenterDot]", "y", "\[CenterDot]", "g"}]}], 
   TraditionalForm]]],
 ".\n\nFor a given ",
 Cell[BoxData[
  FormBox["g", TraditionalForm]]],
 ", if   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["p", "g"], "(", 
     RowBox[{"H", "\[CenterDot]", "x"}], ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["p", "g"], "(", 
     RowBox[{"H", "\[CenterDot]", "y"}], ")"}]}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", "\[CenterDot]", "x", "\[CenterDot]", "g"}], "=", " ", 
    RowBox[{"H", "\[CenterDot]", "y", "\[CenterDot]", "g"}]}], 
   TraditionalForm]]],
 ", so ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", "\[CenterDot]", "x"}], " ", "=", " ", 
    RowBox[{"H", "\[CenterDot]", "y"}]}], TraditionalForm]]],
 ".  Hence, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["p", "g"], TraditionalForm]]],
 "  is a one-to-one mapping.  Also,\n                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["p", "g"], "(", 
     RowBox[{"H", "\[CenterDot]", "x", "\[CenterDot]", 
      SuperscriptBox["g", 
       RowBox[{"-", "1"}]]}], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"H", "\[CenterDot]", "x", "\[CenterDot]", 
      SuperscriptBox["g", 
       RowBox[{"-", "1"}]], "\[CenterDot]", "g"}], " ", "=", " ", 
     RowBox[{"H", "\[CenterDot]", "x"}]}]}], TraditionalForm]]],
 ",\n                  \nso every element of ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 " is mapped to by an element of ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 ".  Thus, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["p", "g"], TraditionalForm]]],
 " is also an onto mapping, and hence is a permutation of the elements of ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 ".  \n\nWe now can consider the mapping ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " from ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " to the symmetric group ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", 
    RowBox[{"|", "Q", "|"}]], TraditionalForm]]],
 " on the elements of ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 ", given by\n\n                                                     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "g", ")"}], " ", "=", " ", 
    SubscriptBox["p", "g"]}], TraditionalForm]]],
 ".\n                                                     \nNow, consider two \
elements ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "g", ")"}], " "}], TraditionalForm]]],
 "and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "h", ")"}], TraditionalForm]]],
 ".  The product of these is the mapping\n\n                   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"H", "\[CenterDot]", "x"}], " ", "\[RightArrow]", " ", 
     RowBox[{
      SubscriptBox["p", "h"], "(", 
      RowBox[{
       SubscriptBox["p", "g"], "(", 
       RowBox[{"H", "\[CenterDot]", "x"}], ")"}], ")"}]}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["p", "h"], "(", 
      RowBox[{"H", "\[CenterDot]", "x", "\[CenterDot]", "g"}], ")"}], " ", 
     "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"H", "\[CenterDot]", "x", "\[CenterDot]", "g"}], ")"}], 
       "\[CenterDot]", "h", "\[CenterDot]"}], " ", "=", " ", 
      RowBox[{"H", "\[CenterDot]", "x", "\[CenterDot]", 
       RowBox[{"(", 
        RowBox[{"g", "\[CenterDot]", "h"}], ")"}]}]}]}]}], 
   TraditionalForm]]],
 ".\n                   \nSince this is the same as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", 
    RowBox[{"g", "\[CenterDot]", "h"}], ")"}], TraditionalForm]]],
 ",  ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " is a homomorphism.  \n\nFinally, we must show that the kernel of \[Phi] is \
a subgroup of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ".  \nThe element ",
 Cell[BoxData[
  FormBox["g", TraditionalForm]]],
 " will be in the kernel of the homomorphism ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " only if ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["p", "g"], "(", 
    RowBox[{"H", "\[CenterDot]", "x"}], ")"}], TraditionalForm]]],
 " is the identity permutation.  This means that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", "\[CenterDot]", "x", "\[CenterDot]", "g"}], "=", " ", 
    RowBox[{"H", "\[CenterDot]", "x"}]}], TraditionalForm]]],
 " for all right cosets ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", "\[CenterDot]", "x"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 ".   In particular, the right coset ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", "\[CenterDot]", "e"}], "=", "H"}], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 ", so ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", "\[CenterDot]", "g"}], " ", "=", " ", 
    RowBox[{"H", "."}]}], TraditionalForm]]],
 "  This can only happen if ",
 Cell[BoxData[
  FormBox["g", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ".  Thus, the kernel is a subgroup of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ".  We have found a homomorphism ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " from the group ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " to the group ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["S", 
     RowBox[{"|", "Q", "|"}]], "=", 
    SubscriptBox["S", "k"]}], TraditionalForm]]],
 ", whose kernel is a subgroup of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422643510890625*^9, 3.422643690015625*^9}, {
  3.42264373684375*^9, 3.422643877109375*^9}, {3.42264393*^9, 
  3.4226439326875*^9}, {3.422733702734375*^9, 3.42273372728125*^9}}]
}, Open  ]],

Cell[TextData[{
 "We see one application of this proposition in the case of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "4"], TraditionalForm]]],
 ".  Since ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " was a subgroup of order 2 which was ",
 StyleBox["not",
  FontSlant->"Italic"],
 " normal, the only normal subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " which is contained in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is the trivial subgroup.  Thus, the homomorphism is an isomorphism, and we \
find a copy of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "4"], TraditionalForm]]],
 " inside of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 " instead of having to look in the larger group ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "8"], TraditionalForm]]],
 ".  This idea can be applied whenever we can find a subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " which does not contain any non-trivial normal subgroups of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ".\n\nBut there is another important ramification from this proposition. We \
can prove the existence of a normal subgroup of a group, knowing only the \
order of the group!"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "COROLLARY 5.2\nLet ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " be a finite group, and ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " any subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " contains a subgroup ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 ", which is a normal subgroup of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"|", "G", "|"}], TraditionalForm]]],
 " divides ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"|", "G", "|", 
        RowBox[{"/", 
         RowBox[{"|", "H", "|"}]}]}], ")"}], "!"}], " ", "\[CenterDot]"}], 
    " ", "|", "N", "|", "."}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436629499921875*^9, 3.436629501390625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "By proposition 5.2, there is a homomorphism  ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " from ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "k"], TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", " ", "=", " ", 
    RowBox[{"|", "G", "|", 
     RowBox[{"/", 
      RowBox[{"|", "H", "|"}]}]}]}], TraditionalForm]]],
 ".  Furthermore, the kernel is a subgroup of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ".  If we let ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " be the kernel, and let ",
 Cell[BoxData[
  FormBox["I", TraditionalForm]]],
 " be the image of the homomorphism, we have by the first isomorphism theorem \
(4.1) that\n                                                        ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"G", "/", "N"}], "\[TildeTilde]", " ", "I", " "}]}], 
   TraditionalForm]]],
 ".\n                                    \nIn particular,",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"|", "G", "|", 
      RowBox[{"/", 
       RowBox[{"|", "N", "|"}]}]}], " ", "=", " ", 
     RowBox[{"|", "I", "|"}]}]}], TraditionalForm]]],
 ",  and",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"|", "I", "|"}]}], TraditionalForm]]],
 StyleBox["  is a factor of ",
  FontVariations->{"CompatibilityType"->0}],
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     RowBox[{"|", 
      SubscriptBox["S", "k"], "|"}],
     TraditionalForm], "=", " ", 
    RowBox[{"k", "!"}]}], TraditionalForm]]],
 ".  This means that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"|", "G", "|"}], TraditionalForm]]],
 " is a factor of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"k", "!"}], "\[CenterDot]"}], " ", "|", "N", "|", "."}], 
   TraditionalForm]]]
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43662951696875*^9, 3.436629517109375*^9}, {
  3.436629623*^9, 3.4366296283125*^9}}]
}, Open  ]],

Cell[TextData[{
 "Here is an example of how we can prove the existence of a non-trivial \
normal subgroup, using just the order of the group.  Suppose we have a group \
",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " of order 108.  Suppose that ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " has a subgroup of order 27.  (We will find in chapter 7 that all groups of \
order 108 must have a subgroup of order 27.)  Using ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", "G", "|"}], "=", "108"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", "H", "|"}], "=", "27"}], TraditionalForm]]],
 ", we find that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", Cell[""]}], TraditionalForm]]],
 " must contain a subgroup ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " such that 108 divides ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"108", "/", "27"}], ")"}], "!"}], " ", "\[CenterDot]"}], "|", 
     "N", "|"}], "=", 
    RowBox[{
     RowBox[{"24", "\[CenterDot]"}], "|", "N", "|"}]}], TraditionalForm]]],
 ".  But this means that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"|", "N", "|"}], TraditionalForm]]],
 " must be a multiple of 9.  Since ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " is a subgroup of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", which has order 27, we see that ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " is of order 9 or 27.  Hence, we have proven that ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " contains a normal subgroup of either order 9 or 27.  This will go a long \
way in finding the possible group structures of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ", using only the size of the group ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[CellGroupData[{

Cell["Numbering the Permutations", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We have seen that from Cayley's theorem that any group can be represented \
as the subgroup of a symmetric group. In turn, most of the permutations in \
the symmetric group can be written succinctly as a product of disjoint \
cycles. So naturally, we can express any group in terms of cycles.\n\nFor \
example, we saw using Cayley theorem a copy of the quaternionic group ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 " as a subgroup of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "8"], TraditionalForm]]],
 ". It was generated by the elements\n      ",
 Cell[BoxData[{
  RowBox[{
   FormBox[
    RowBox[{"              ", 
     RowBox[{Cell[TextData[Cell[BoxData[
       FormBox[Cell[TextData[Cell[BoxData[
         FormBox[Cell["\<\
\[Florin](i) = P[2, 4, 8, 6, 3, 1, 5, 7]\
\>"], TraditionalForm]]]]], TraditionalForm]]]]], "  ", "and"}]}],
    TraditionalForm], "    "}], "\[IndentingNewLine]", 
  RowBox[{"   \t  ", Cell[TextData[Cell[BoxData[
    FormBox[Cell[TextData[Cell[BoxData[
      FormBox[Cell["\<\
\[Florin](j) = P[3, 5, 4, 7, 6, 8, 1 ,2]\
\>"], TraditionalForm]]]]], TraditionalForm]]]]]}]}]],
 "\n\nIn fact, the entire group is given by"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.42264677596875*^9, 3.42264690615625*^9}, {
  3.42264693696875*^9, 3.422646954296875*^9}}],

Cell[CellGroupData[{

Cell["Group[ { P[2,4,8,6,3,1,5,7], P[3,5,4,7,6,8,1,2] } ]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.42264696165625*^9, 3.422646985546875*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{
    "2", ",", "4", ",", "8", ",", "6", ",", "3", ",", "1", ",", "5", ",", 
     "7"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{
    "7", ",", "8", ",", "1", ",", "3", ",", "2", ",", "5", ",", "4", ",", 
     "6"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{
    "4", ",", "6", ",", "7", ",", "1", ",", "8", ",", "2", ",", "3", ",", 
     "5"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{
    "8", ",", "3", ",", "6", ",", "5", ",", "1", ",", "7", ",", "2", ",", 
     "4"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{
    "6", ",", "1", ",", "5", ",", "2", ",", "7", ",", "4", ",", "8", ",", 
     "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{
    "3", ",", "5", ",", "4", ",", "7", ",", "6", ",", "8", ",", "1", ",", 
     "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{
    "5", ",", "7", ",", "2", ",", "8", ",", "4", ",", "3", ",", "6", ",", 
     "1"}], "]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.422646987390625*^9, 3.442673393117625*^9}]
}, Open  ]],

Cell["\<\
To compare notation, let us convert these elements to products of cycles. The \
two generators of the group, in cycle notation, are given as\
\>", "Text"],

Cell[CellGroupData[{

Cell["PermToCycle[ P[2,4,8,6,3,1,5,7] ]", "Input",
 CellChangeTimes->{{3.42264699659375*^9, 3.422647001828125*^9}}],

Cell[BoxData[
 InterpretationBox["\<\"\\!\\(C[\\(\\(1, 2, 4, 6\\)\\)]\\) \[CenterDot] \
\\!\\(C[\\(\\(3, 8, 7, 5\\)\\)]\\)\"\>",
  StringForm["`` \[CenterDot] ``", 
   C[1, 2, 4, 6], 
   C[3, 8, 7, 5]],
  Editable->False]], "Output",
 CellChangeTimes->{3.42264701846875*^9, 3.442673394898875*^9}]
}, Open  ]],

Cell["and", "Text"],

Cell[CellGroupData[{

Cell["PermToCycle[ P[3,5,4,7,6,8,1,2] ]", "Input",
 CellChangeTimes->{{3.422647008703125*^9, 3.422647015015625*^9}}],

Cell[BoxData[
 InterpretationBox["\<\"\\!\\(C[\\(\\(1, 3, 4, 7\\)\\)]\\) \[CenterDot] \
\\!\\(C[\\(\\(2, 5, 6, 8\\)\\)]\\)\"\>",
  StringForm["`` \[CenterDot] ``", 
   C[1, 3, 4, 7], 
   C[2, 5, 6, 8]],
  Editable->False]], "Output",
 CellChangeTimes->{3.4226470206875*^9, 3.44267339700825*^9}]
}, Open  ]],

Cell[TextData[{
 "so we can find the group ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 " expressed in terms of cycles:"
}], "Text"],

Cell[CellGroupData[{

Cell["\<\
Group[{C[1,2,4,6] . C[3,8,7,5] , 
       C[1,3,4,7] . C[2,5,6,8]}]\
\>", "Input",
 CellChangeTimes->{{3.422647029984375*^9, 3.42264704209375*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"C", "[", "]"}], ",", 
   InterpretationBox["\<\"\\!\\(C[\\(\\(1, 2, 4, 6\\)\\)]\\) \[CenterDot] \\!\
\\(C[\\(\\(3, 8, 7, 5\\)\\)]\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     C[1, 2, 4, 6], 
     C[3, 8, 7, 5]],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(C[\\(\\(1, 3, 4, 7\\)\\)]\\) \[CenterDot] \\!\
\\(C[\\(\\(2, 5, 6, 8\\)\\)]\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     C[1, 3, 4, 7], 
     C[2, 5, 6, 8]],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(C[\\(\\(1, 5, 4, 8\\)\\)]\\) \[CenterDot] \\!\
\\(C[\\(\\(2, 7, 6, 3\\)\\)]\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     C[1, 5, 4, 8], 
     C[2, 7, 6, 3]],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(C[\\(\\(1, 6, 4, 2\\)\\)]\\) \[CenterDot] \\!\
\\(C[\\(\\(3, 5, 7, 8\\)\\)]\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     C[1, 6, 4, 2], 
     C[3, 5, 7, 8]],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(C[\\(\\(1, 7, 4, 3\\)\\)]\\) \[CenterDot] \\!\
\\(C[\\(\\(2, 8, 6, 5\\)\\)]\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     C[1, 7, 4, 3], 
     C[2, 8, 6, 5]],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(C[\\(\\(1, 8, 4, 5\\)\\)]\\) \[CenterDot] \\!\
\\(C[\\(\\(2, 3, 6, 7\\)\\)]\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     C[1, 8, 4, 5], 
     C[2, 3, 6, 7]],
    Editable->False], ",", 
   InterpretationBox["\<\"\\!\\(\\\"\\\\!\\\\(\\\\\\\"\\\\\\\\!\\\\\\\\(C[\\\\\
\\\\(\\\\\\\\(1, 4\\\\\\\\)\\\\\\\\)]\\\\\\\\) \\\\\\\\[CenterDot] \
\\\\\\\\!\\\\\\\\(C[\\\\\\\\(\\\\\\\\(2, \
6\\\\\\\\)\\\\\\\\)]\\\\\\\\)\\\\\\\"\\\\) \\\\[CenterDot] \
\\\\!\\\\(C[\\\\(\\\\(3, 7\\\\)\\\\)]\\\\)\\\"\\) \[CenterDot] \
\\!\\(C[\\(\\(5, 8\\)\\)]\\)\"\>",
    StringForm["`` \[CenterDot] ``", 
     Dot[
      Dot[
       C[1, 4], 
       C[2, 6]], 
      C[3, 7]], 
     C[5, 8]],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.4226470459375*^9, 3.4426733982895*^9}]
}, Open  ]],

Cell[TextData[{
 "For small groups, using cycles would be a good choice, because the results \
are easy to read. But for larger groups (say over 100 elements, and yes, we \
will be working with groups that large in the next chapter) having ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " write out all of the elements in terms of cycles would be time consuming \
and messy. It would be nice to have a succinct way to describe each \
permutation using some kind of abbreviation.\n\nThe clue for seeing how such \
an abbreviation is possible is to look again at the group ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 ":"
}], "Text",
 CellChangeTimes->{3.422647055609375*^9}],

Cell[CellGroupData[{

Cell["Group[ { P[2,1], P[2,3,1], P[2,3,4,1] } ]", "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "3", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "1", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "3", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "2", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "2", ",", "4", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "1", ",", "4", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "4", ",", "2", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "1", ",", "2", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "4", ",", "1", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "2", ",", "1", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "3", ",", "4", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "1", ",", "4", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "4", ",", "3", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "1", ",", "3", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "4", ",", "1", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "3", ",", "1", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "3", ",", "4", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "2", ",", "4", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "4", ",", "3", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "2", ",", "3", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "4", ",", "2", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "3", ",", "2", ",", "1"}], "]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.422647088515625*^9, 3.442673400180125*^9}]
}, Open  ]],

Cell[TextData[{
 "Notice that ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " sorts the elements, first listing the identity, then the transposition \
which exchanges 1 and 2, then the permutations which change only the first \
three elements, and finally the permutations which move the fourth element. \
But if we look closely we can find even more patterns. For example, the last \
6 elements are the 6 elements which map 4 into 1. Can you see any other \
patterns?  \n\n",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " uses a predefined order to list all of the permutations. As a result, we \
can number the permutations as follows:\n\n                   1st permutation \
= P[]\n                   2nd permutation = P[2,1]\n                   3rd \
permutation = P[1,3,2]\n                   4th permutation = P[3,1,2]\n       \
            5th permutation = P[2,3,1]\n                   6th permutation = \
P[3,2,1]\n                   7th permutation = P[1,2,4,3]\n                   \
     \[Ellipsis]\[Ellipsis]\[Ellipsis]\[Ellipsis]\[Ellipsis]\[Ellipsis]\
\[Ellipsis]\[Ellipsis]\[Ellipsis]\n                  24th permutation = \
P[4,3,2,1]\n\nIn this list the first two elements give the group ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "2"], TraditionalForm]]],
 ", the first 6 give ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 ", and the first 24 elements give ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 ". This pattern can be extended to higher order permutations, so that the \
first ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "!"}], TraditionalForm]]],
 " permutations gives the group ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 ".\n\nThe advantage of sorting the permutations in this way is that ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can quickly find the ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-th permutation without having to find any of the previous permutations.  \
For example, to find out what the 2000th permutation would be on this list, \
type"
}], "Text"],

Cell[CellGroupData[{

Cell["NthPerm[2000]", "Input"],

Cell[BoxData[
 RowBox[{"P", "[", 
  RowBox[{"4", ",", "1", ",", "7", ",", "6", ",", "3", ",", "2", ",", "5"}], 
  "]"}]], "Output",
 CellChangeTimes->{3.422647160703125*^9, 3.436629768578125*^9, 
  3.442673402727*^9}]
}, Open  ]],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can also determine where a given permutation is on the list of \
permutations.  The command\n\nPermToInt[ P[\[Ellipsis]\[Ellipsis]\[Ellipsis]] \
]\n\ndoes the exact opposite of the ",
 StyleBox["NthPerm",
  FontWeight->"Bold"],
 " command--it converts a permutation to a number.  For example,"
}], "Text"],

Cell[CellGroupData[{

Cell["PermToInt[P[4,1,7,6,3,2,5]]", "Input"],

Cell[BoxData["2000"], "Output",
 CellChangeTimes->{3.422647166015625*^9, 3.43662977275*^9, 
  3.442673404336375*^9}]
}, Open  ]],

Cell[TextData[{
 "converts the permutation back to the number 2000.\n\nWe now have found a \
way of abbreviating permutations.  Rather than spelling out where each \
element is mapped, we can give a single number which describes where the \
permutation is on the list of permutations. This will be called the ",
 StyleBox["integer representation",
  FontSlant->"Italic"],
 " of the permutation. Although this representation hides most of the \
information about the permutation, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can quickly recover all of the information needed to do group operations.\n\
\nFor example, suppose we want to multiply the third permutation with the \
21st. We could enter the command"
}], "Text"],

Cell[CellGroupData[{

Cell["NthPerm[3] . NthPerm[21]", "Input"],

Cell[BoxData[
 RowBox[{"P", "[", 
  RowBox[{"2", ",", "3", ",", "4", ",", "1"}], "]"}]], "Output",
 CellChangeTimes->{3.422647177265625*^9, 3.436629780703125*^9, 
  3.442673406836375*^9}]
}, Open  ]],

Cell["We could convert this back to a number as follows:", "Text"],

Cell[CellGroupData[{

Cell["PermToInt[ NthPerm[3] . NthPerm[21] ]", "Input"],

Cell[BoxData["19"], "Output",
 CellChangeTimes->{3.42264718175*^9, 3.436629786703125*^9, 3.442673408227*^9}]
}, Open  ]],

Cell["\<\
So the third permutation times the 21st permutation gives the 19th \
permutation. If we multiplied in the other order, we would have\
\>", "Text",
 CellChangeTimes->{{3.42264718715625*^9, 3.42264718925*^9}}],

Cell[CellGroupData[{

Cell["PermToInt[ NthPerm[21] . NthPerm[3] ]", "Input"],

Cell[BoxData["23"], "Output",
 CellChangeTimes->{3.4226471938125*^9, 3.442673409617625*^9}]
}, Open  ]],

Cell["\<\
So the 21st permutation times the 3rd permutation gives the 23rd permutation.

EXPERIMENT:

Try entering in different numbers in place of 21 and 3, to see what happens. \
\
\>", "Text",
 CellChangeTimes->{{3.422647198125*^9, 3.422647199125*^9}}],

Cell["     ", "Input"],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " provides a shortcut to the previous types of calculations. By entering the \
command"
}], "Text"],

Cell["InitPermMultiplication", "Input"],

Cell["\<\
we can use the dot to multiply numbers as if they were permutations, and \
defines powers accordingly. This command clears any user defined groups, but \
new groups can be defined after this command as long as the identity element \
is \"1\".\
\>", "Text"],

Cell["\<\
We can now do group operations, using the integers to represent the \
permutations.\
\>", "Text"],

Cell[CellGroupData[{

Cell["3 . 21", "Input"],

Cell[BoxData["19"], "Output",
 CellChangeTimes->{3.42264720896875*^9, 3.44267341344575*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["21 . 3", "Input"],

Cell[BoxData["23"], "Output",
 CellChangeTimes->{3.422647210890625*^9, 3.44267341575825*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["23^(-1)", "Input"],

Cell[BoxData["18"], "Output",
 CellChangeTimes->{
  3.422647212765625*^9, {3.436629808546875*^9, 3.4366298143125*^9}, 
   3.442673416555125*^9}]
}, Open  ]],

Cell[TextData[{
 "Notice that we need to leave a space between the number and the dot, to \
distinguish the dot from a decimal point. \n\nThis integer representation of \
the permutations allows us to find other groups within the permutations \
easily. For example, the quaternionic group was generated by the elements\n\n \
       ",
 Cell[BoxData[{
  RowBox[{
   FormBox[
    RowBox[{" ", 
     RowBox[{Cell["P[2, 4, 8, 6, 3, 1, 5, 7]"], "   ", "and"}]}],
    TraditionalForm], "   "}], "\n", 
  RowBox[{" ", 
   RowBox[{"P", "[", 
    RowBox[{
    "3", ",", "5", ",", "4", ",", "7", ",", "6", ",", "8", ",", "1", ",", 
     "2"}], "]"}]}]}]],
 "\n\nConverting these to integer representations"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.422647226953125*^9, 3.4226472569375*^9}}],

Cell[CellGroupData[{

Cell["PermToInt[ P[2,4,8,6,3,1,5,7] ]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.422647266015625*^9, 3.42264727259375*^9}},
 AspectRatioFixed->True],

Cell[BoxData["7159"], "Output",
 CellChangeTimes->{3.42264728590625*^9, 3.44267341882075*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["PermToInt[ P[3,5,4,7,6,8,1,2] ]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.422647277046875*^9, 3.422647281828125*^9}},
 AspectRatioFixed->True],

Cell[BoxData["34587"], "Output",
 CellChangeTimes->{3.422647300203125*^9, 3.442673419805125*^9}]
}, Open  ]],

Cell["\<\
we find that the quaternionic group contains the 7159th and 34587th \
permutations. Thus, the group can be represented by\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4226472913125*^9, 3.422647308328125*^9}}],

Cell[CellGroupData[{

Cell["\<\
InitPermMultiplication
G = Group[{7159, 34587}]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.42264731425*^9, 3.422647323265625*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "7159", ",", "12569", ",", "18499", ",", "23992", ",", "25576", 
   ",", "34587", ",", "37277"}], "}"}]], "Output",
 CellChangeTimes->{3.422647324875*^9, 3.43662982609375*^9, 
  3.442673421555125*^9}]
}, Open  ]],

Cell["\<\
So the entire group can be given on a single line in a way which expresses \
the entire structure of the group. We can see the multiplication table of the \
group\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["MultTable[G]", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.7, 0.8, 0.7}, {0.7, 0.8, 0.7}, {1, 0.6, 0}, {1, 0, 1}, {0, 
      1, 0}, {1, 1, 0}, {0, 1, 1}, {0.6, 0.4, 0.8}, {1, 0, 0}}, {{
      1, 0.6, 0}, {1, 0.6, 0}, {0, 1, 0}, {1, 1, 0}, {0, 1, 1}, {0.6, 0.4, 
      0.8}, {0.7, 0.8, 0.7}, {1, 0, 0}, {1, 0, 1}}, {{0.6, 0.4, 0.8}, {0.6, 
      0.4, 0.8}, {1, 1, 0}, {0.7, 0.8, 0.7}, {1, 0, 1}, {0, 1, 1}, {1, 0, 
      0}, {0, 1, 0}, {1, 0.6, 0}}, {{0, 1, 0}, {0, 1, 0}, {0, 1, 1}, {0.6, 
      0.4, 0.8}, {0.7, 0.8, 0.7}, {1, 0, 0}, {1, 0.6, 0}, {1, 0, 1}, {1, 1, 
      0}}, {{1, 0, 0}, {1, 0, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {1, 1, 0}, {
      0.7, 0.8, 0.7}, {1, 0, 1}, {0, 1, 1}, {0, 1, 0}}, {{0, 1, 1}, {0, 1, 
      1}, {0.7, 0.8, 0.7}, {1, 0, 0}, {1, 0.6, 0}, {1, 0, 1}, {0, 1, 0}, {1, 
      1, 0}, {0.6, 0.4, 0.8}}, {{1, 0, 1}, {1, 0, 1}, {1, 0, 0}, {0, 1, 0}, {
      0.6, 0.4, 0.8}, {1, 0.6, 0}, {1, 1, 0}, {0.7, 0.8, 0.7}, {0, 1, 1}}, {{
      1, 1, 0}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 
      0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 0.7}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 
      1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7,
       0.8, 0.7}}}], {InsetBox[
     TagBox[
      StyleBox["\<\"1\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {1.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"7159\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {2.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"12569\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {3.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"18499\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {4.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"23992\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {5.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"25576\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {6.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"34587\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {7.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"37277\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {8.5, 8.5}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"1\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 7.5}], InsetBox[
     TagBox[
      StyleBox["\<\"7159\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"12569\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 5.5}], InsetBox[
     TagBox[
      StyleBox["\<\"18499\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 4.5}], InsetBox[
     TagBox[
      StyleBox["\<\"23992\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 3.5}], InsetBox[
     TagBox[
      StyleBox["\<\"25576\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 2.5}], InsetBox[
     TagBox[
      StyleBox["\<\"34587\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 1.5}], InsetBox[
     TagBox[
      StyleBox["\<\"37277\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 0.5}]}, {{InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7159\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"12569\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"18499\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"23992\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"25576\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"34587\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"37277\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 7.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"7159\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"18499\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"23992\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"25576\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"34587\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"37277\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"12569\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 6.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"12569\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"37277\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"18499\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"34587\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7159\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"23992\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"25576\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 5.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"18499\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"25576\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"34587\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"37277\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7159\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"12569\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"23992\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 4.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"23992\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"12569\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"25576\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"37277\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"18499\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"34587\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7159\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 3.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"25576\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"37277\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7159\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"12569\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"18499\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"23992\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"34587\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 2.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"34587\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"23992\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"12569\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"25576\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"37277\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"18499\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7159\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 1.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"37277\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"34587\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"7159\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"23992\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"12569\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"25576\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"18499\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 0.5}]}}, 
   LineBox[{{1, 0}, {1, 8}, {9, 8}}]},
  ImageSize->{443.99999999999875`, Automatic}]], "Output",
 CellChangeTimes->{3.422647330046875*^9, 3.43662983525*^9, 
  3.44267342313325*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "and see that the group is isomorphic to ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 ". This integer representation is succint enough to form such a table, and \
has many other advantages over cyclic permutations, especially when we are \
working with large subgroups of the symmetric groups. Not only is it much \
easier to identify two elements as being the same, but also the elements do \
not take up as much room to display. Futhermore, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can actually multiply using the integer representation faster than using \
the cycle notation. Thus, it is worthwhile to introduce the new \
representation."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Problems"
}], "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436629913703125*^9, 3.436629915625*^9}}],

Cell["", "Input",
 PageWidth->Infinity,
 FontFamily->"System",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->RGBColor[1, 0, 0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "5.1 ) Use ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to find a pair of 3-cycles \n     whose product is a 3-cycle. Can there be \
a \n     product of two 4-cycles which yields a 4-cycle?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.436629919109375*^9}],

Cell["      ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True],

Cell[TextData[{
 "5.2 ) Use the proof of Cayley's theorem (5.2), \n    with ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "'s help, to find a subgroup \n    of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "8"], TraditionalForm]]],
 " which is isomorphic to the dihedral \n    group ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "4"], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436629925515625*^9, 3.4366299914375*^9}, 
   3.4366300358125*^9}],

Cell["      ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "5.3 ) Use Cayley's theorem (5.2) to find a subgroup \n     of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "8"], TraditionalForm]]],
 " which is isomorphic to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubsuperscriptBox["Z", "24", "*"], "."}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43662997890625*^9, 3.436629999125*^9}, 
   3.436630033078125*^9}],

Cell["   ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "5.4 ) Find the elements of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["A", "4"], TraditionalForm]]],
 " converted to the \n     integer representation. Is there a pattern as \n   \
  to which positive integers correspond to the \n     even permutations, and \
which correspond to odd? \n     Does the pattern continue to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["A", "5"], TraditionalForm]]],
 "?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.43663003115625*^9}],

Cell["     ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "5.5 ) Use ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to find all elements of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "7"], TraditionalForm]]],
 " \n     whose square is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "5", ",", "1", ",", "7", ",", "6", ",", "2", ",", "4"}],
     "]"}], TraditionalForm]]],
 ".\n     (Hint: Use a \"for\" loop to test all of the elements\n     of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "7"], TraditionalForm]]],
 ":"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.436630040046875*^9, 3.4366300891875*^9}}],

Cell["\<\
For[i = 1, i <= 5040, i++,
   If[ NthPerm[i]^2 == P[3,5,1,7,6,2,4],
    Print[NthPerm[i]]]]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4366301129375*^9, 3.4366301706875*^9}}],

Cell["      ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "   \n5.6 ) Use ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to find all elements of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "6"], TraditionalForm]]],
 " \n     whose cube is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "5", ",", "6", ",", "1", ",", "2", ",", "4"}], "]"}], 
   TraditionalForm]]],
 ". See the hint \n     for problem 5.5."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["      ", "Input",
 PageWidth->Infinity,
 AspectRatioFixed->True,
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]]
}, Open  ]]
},
AutoGeneratedPackage->None,
ScreenStyleEnvironment->"Working",
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{625, 566},
WindowMargins->{{-10, Automatic}, {Automatic, 8}},
DockedCells->(FrontEndExecute[{
   FrontEnd`NotebookApply[
    FrontEnd`InputNotebook[], #, Placeholder]}]& ),
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowSelection->True,
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
Magnification->1.5,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 321, 9, 222, "Special2",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[914, 34, 281, 8, 29, "Name",
 Evaluatable->False],
Cell[1198, 44, 619, 15, 70, "Name",
 Evaluatable->False]
}, Closed]],
Cell[1832, 62, 264, 12, 142, "Title",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[2121, 78, 104, 3, 32, "Special2",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[2250, 85, 544, 10, 43, "Input",
 InitializationCell->True],
Cell[2797, 97, 384, 6, 32, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[3230, 109, 89, 2, 105, "Section",
 Evaluatable->False],
Cell[3322, 113, 748, 20, 262, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[4095, 137, 76, 2, 43, "Input"],
Cell[4174, 141, 5220, 93, 247, "Print"]
}, Open  ]],
Cell[9409, 237, 180, 5, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[9614, 246, 80, 2, 43, "Input"],
Cell[9697, 250, 5200, 93, 236, "Print"]
}, Open  ]],
Cell[14912, 346, 106, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[15043, 352, 79, 2, 43, "Input"],
Cell[15125, 356, 5197, 93, 316, "Print"]
}, Open  ]],
Cell[20337, 452, 153, 4, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[20515, 460, 79, 2, 43, "Input"],
Cell[20597, 464, 5152, 92, 522, "Print"]
}, Open  ]],
Cell[25764, 559, 151, 4, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[25940, 567, 80, 2, 43, "Input"],
Cell[26023, 571, 5194, 93, 349, "Print"]
}, Open  ]],
Cell[31232, 667, 113, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[31370, 673, 78, 2, 43, "Input"],
Cell[31451, 677, 5199, 93, 316, "Print"]
}, Open  ]],
Cell[36665, 773, 108, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[36798, 779, 144, 3, 43, "Input"],
Cell[36945, 784, 5198, 93, 301, "Print"]
}, Open  ]],
Cell[42158, 880, 383, 7, 164, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[42566, 891, 86, 2, 43, "Input"],
Cell[42655, 895, 5153, 92, 522, "Print"],
Cell[47811, 989, 5153, 92, 522, "Print"]
}, Open  ]],
Cell[52979, 1084, 265, 7, 139, "Text",
 Evaluatable->False],
Cell[53247, 1093, 184, 7, 43, "Input"],
Cell[53434, 1102, 610, 12, 286, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[54069, 1118, 76, 2, 43, "Input"],
Cell[54148, 1122, 5201, 93, 325, "Print"]
}, Open  ]],
Cell[59364, 1218, 170, 3, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[59559, 1225, 79, 2, 43, "Input"],
Cell[59641, 1229, 5195, 93, 286, "Print"]
}, Open  ]],
Cell[64851, 1325, 775, 21, 283, "Text",
 Evaluatable->False],
Cell[65629, 1348, 1794, 58, 475, "Text",
 Evaluatable->False],
Cell[67426, 1408, 1043, 40, 136, "Text",
 Evaluatable->False],
Cell[68472, 1450, 2458, 82, 403, "Text",
 Evaluatable->False],
Cell[70933, 1534, 2287, 75, 409, "Text",
 Evaluatable->False],
Cell[73223, 1611, 2015, 65, 425, "Text",
 Evaluatable->False],
Cell[75241, 1678, 875, 14, 311, "Text",
 Evaluatable->False],
Cell[76119, 1694, 41, 1, 43, "Input"],
Cell[76163, 1697, 3013, 84, 681, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[79201, 1785, 203, 4, 43, "Input"],
Cell[79407, 1791, 279, 5, 42, "Output"]
}, Open  ]],
Cell[79701, 1799, 358, 7, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[80084, 1810, 158, 3, 43, "Input"],
Cell[80245, 1815, 228, 4, 42, "Output"]
}, Open  ]],
Cell[80488, 1822, 879, 22, 311, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[81392, 1848, 164, 3, 43, "Input"],
Cell[81559, 1853, 3546, 90, 320, "Output"]
}, Open  ]],
Cell[85120, 1946, 685, 14, 286, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[85830, 1964, 178, 3, 43, "Input"],
Cell[86011, 1969, 25678, 459, 478, 4886, 116, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[111704, 2431, 1517, 44, 335, "Text",
 Evaluatable->False],
Cell[113224, 2477, 44, 1, 43, "Input"],
Cell[113271, 2480, 188, 7, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[113484, 2491, 284, 7, 66, "Input"],
Cell[113771, 2500, 7072, 158, 374, "Output"]
}, Open  ]],
Cell[120858, 2661, 1293, 37, 262, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[122176, 2702, 189, 4, 43, "Input"],
Cell[122368, 2708, 193, 4, 42, "Output"]
}, Open  ]],
Cell[122576, 2715, 121, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[122722, 2721, 168, 3, 43, "Input"],
Cell[122893, 2726, 3523, 89, 366, "Output"]
}, Open  ]],
Cell[126431, 2818, 163, 5, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[126619, 2827, 166, 3, 43, "Input"],
Cell[126788, 2832, 12788, 243, 295, 3440, 88, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[139591, 3078, 892, 29, 211, "Text",
 Evaluatable->False],
Cell[140486, 3109, 220, 7, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[140731, 3120, 157, 3, 43, "Input"],
Cell[140891, 3125, 88, 2, 42, "Output"]
}, Open  ]],
Cell[140994, 3130, 1008, 29, 381, "Text",
 Evaluatable->False],
Cell[142005, 3161, 484, 17, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[142514, 3182, 144, 3, 43, "Input"],
Cell[142661, 3187, 113, 2, 42, "Output"]
}, Open  ]],
Cell[142789, 3192, 116, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[142930, 3198, 144, 3, 43, "Input"],
Cell[143077, 3203, 116, 2, 42, "Output"]
}, Open  ]],
Cell[143208, 3208, 261, 8, 66, "Text",
 Evaluatable->False],
Cell[143472, 3218, 346, 8, 115, "Text",
 Evaluatable->False]
}, Open  ]],
Cell[CellGroupData[{
Cell[143855, 3231, 79, 2, 105, "Section",
 Evaluatable->False],
Cell[143937, 3235, 474, 15, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[144436, 3254, 164, 3, 43, "Input"],
Cell[144603, 3259, 12893, 245, 290, 3438, 88, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[157511, 3507, 702, 16, 237, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[158238, 3527, 101, 2, 43, "Input"],
Cell[158342, 3531, 3478, 88, 267, "Output"]
}, Open  ]],
Cell[161835, 3622, 556, 15, 139, "Text",
 Evaluatable->False],
Cell[162394, 3639, 381, 9, 188, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[162800, 3652, 105, 2, 43, "Input"],
Cell[162908, 3656, 17928, 329, 391, 4519, 108, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[180851, 3988, 686, 18, 139, "Text",
 Evaluatable->False],
Cell[181540, 4008, 558, 13, 164, "Text",
 Evaluatable->False],
Cell[182101, 4023, 1295, 38, 335, "Text",
 Evaluatable->False],
Cell[183399, 4063, 3587, 130, 807, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[187011, 4197, 143, 3, 43, "Input"],
Cell[187157, 4202, 13283, 252, 310, 3438, 88, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[200455, 4457, 556, 10, 213, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[201036, 4471, 166, 3, 43, "Input"],
Cell[201205, 4476, 4625, 107, 310, "Output"]
}, Open  ]],
Cell[205845, 4586, 74, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[205944, 4592, 165, 3, 43, "Input"],
Cell[206112, 4597, 12937, 248, 246, 5211, 120, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[219064, 4848, 735, 23, 139, "Text",
 Evaluatable->False],
Cell[219802, 4873, 67, 2, 43, "Input"],
Cell[219872, 4877, 213, 5, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[220110, 4886, 291, 8, 43, "Input"],
Cell[220404, 4896, 24606, 443, 419, 7798, 166, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[245025, 5342, 2418, 81, 626, "Text",
 Evaluatable->False],
Cell[247446, 5425, 115, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[247586, 5431, 179, 3, 43, "Input"],
Cell[247768, 5436, 5882, 141, 397, "Output"]
}, Open  ]],
Cell[253665, 5580, 1291, 32, 482, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[254981, 5616, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[255069, 5620, 9490, 322, 1046, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[264574, 5945, 737, 23, 237, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[265336, 5972, 85, 2, 43, "Input"],
Cell[265424, 5976, 409, 9, 42, "Output"]
}, Open  ]],
Cell[265848, 5988, 1055, 27, 409, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[266928, 6019, 96, 2, 43, "Input"],
Cell[267027, 6023, 194, 4, 42, "Output"]
}, Open  ]],
Cell[267236, 6030, 522, 18, 160, "Text",
 Evaluatable->False],
Cell[267761, 6050, 84, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[267870, 6056, 97, 2, 43, "Input"],
Cell[267970, 6060, 311, 8, 42, "Output"]
}, Open  ]],
Cell[268296, 6071, 425, 14, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[268746, 6089, 96, 2, 43, "Input"],
Cell[268845, 6093, 133, 3, 42, "Output"]
}, Open  ]],
Cell[268993, 6099, 399, 10, 115, "Text"],
Cell[269395, 6111, 828, 27, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[270248, 6142, 110, 2, 43, "Input"],
Cell[270361, 6146, 2019, 50, 293, "Output"]
}, Open  ]],
Cell[272395, 6199, 411, 13, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[272831, 6216, 74, 2, 43, "Input"],
Cell[272908, 6220, 93, 1, 42, "Output"]
}, Open  ]],
Cell[273016, 6224, 5974, 197, 1096, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[279015, 6425, 316, 9, 133, "Input"],
Cell[279334, 6436, 7003, 137, 268, "Output"]
}, Open  ]],
Cell[286352, 6576, 296, 11, 66, "Text",
 Evaluatable->False],
Cell[286651, 6589, 76, 2, 43, "Input"],
Cell[286730, 6593, 375, 16, 90, "Text",
 Evaluatable->False],
Cell[287108, 6611, 86, 2, 43, "Input"],
Cell[287197, 6615, 88, 2, 43, "Input"],
Cell[287288, 6619, 1663, 53, 317, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[288976, 6676, 80, 2, 43, "Input"],
Cell[289059, 6680, 779, 16, 42, "Output"]
}, Open  ]],
Cell[289853, 6699, 317, 13, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[290195, 6716, 78, 2, 43, "Input"],
Cell[290276, 6720, 119, 2, 42, "Output"]
}, Open  ]],
Cell[290410, 6725, 1278, 39, 311, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[291713, 6768, 110, 2, 43, "Input"],
Cell[291826, 6772, 2023, 50, 293, "Output"]
}, Open  ]],
Cell[293864, 6825, 100, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[293989, 6831, 68, 2, 43, "Input"],
Cell[294060, 6835, 1612, 41, 243, "Output"]
}, Open  ]],
Cell[295687, 6879, 736, 19, 239, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[296448, 6902, 68, 2, 43, "Input"],
Cell[296519, 6906, 1313, 35, 193, "Output"]
}, Open  ]],
Cell[297847, 6944, 414, 8, 188, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[298286, 6956, 66, 2, 43, "Input"],
Cell[298355, 6960, 2023, 50, 293, "Output"]
}, Open  ]],
Cell[300393, 7013, 1792, 56, 383, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[302210, 7073, 259, 9, 133, "Input"],
Cell[302472, 7084, 2591, 55, 83, "Print"],
Cell[305066, 7141, 197, 3, 42, "Output"]
}, Open  ]],
Cell[305278, 7147, 2296, 71, 517, "Text",
 Evaluatable->False],
Cell[307577, 7220, 41, 1, 43, "Input"],
Cell[307621, 7223, 338, 10, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[307984, 7237, 76, 2, 43, "Input"],
Cell[308063, 7241, 91, 2, 42, "Output"]
}, Open  ]],
Cell[308169, 7246, 455, 14, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[308649, 7264, 70, 2, 43, "Input"],
Cell[308722, 7268, 2000, 50, 293, "Output"]
}, Open  ]],
Cell[310737, 7321, 799, 23, 188, "Text",
 Evaluatable->False],
Cell[311539, 7346, 377, 10, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[311941, 7360, 77, 2, 43, "Input"],
Cell[312021, 7364, 92, 1, 42, "Output"]
}, Open  ]],
Cell[312128, 7368, 200, 5, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[312353, 7377, 170, 3, 43, "Input"],
Cell[312526, 7382, 7518, 166, 442, "Output"]
}, Open  ]],
Cell[320059, 7551, 110, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[320194, 7557, 114, 2, 43, "Input"],
Cell[320311, 7561, 5829, 140, 442, "Output"]
}, Open  ]],
Cell[326155, 7704, 177, 5, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[326357, 7713, 155, 3, 43, "Input"],
Cell[326515, 7718, 142, 3, 42, "Output"]
}, Open  ]],
Cell[326672, 7724, 171, 5, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[326868, 7733, 153, 3, 43, "Input"],
Cell[327024, 7738, 257, 6, 42, "Output"]
}, Open  ]],
Cell[327296, 7747, 3390, 110, 809, "Text",
 Evaluatable->False],
Cell[330689, 7859, 490, 18, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[331204, 7881, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[331292, 7885, 3355, 101, 347, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[334662, 7989, 596, 11, 188, "Text",
 Evaluatable->False],
Cell[335261, 8002, 405, 10, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[335691, 8016, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[335779, 8020, 4604, 159, 413, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[340398, 8182, 431, 7, 41, "Text",
 Evaluatable->False],
Cell[340832, 8191, 1662, 51, 290, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[342519, 8246, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[342607, 8250, 3294, 101, 241, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[345916, 8354, 1225, 36, 262, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[347166, 8394, 150, 3, 43, "Input"],
Cell[347319, 8399, 86, 2, 42, "Output"]
}, Open  ]],
Cell[347420, 8404, 1115, 35, 335, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[348560, 8443, 114, 2, 43, "Input"],
Cell[348677, 8447, 87, 2, 42, "Output"]
}, Open  ]],
Cell[348779, 8452, 1481, 50, 337, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[350285, 8506, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[350373, 8510, 1366, 50, 125, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[351754, 8563, 803, 25, 188, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[352582, 8592, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[352670, 8596, 6708, 214, 715, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[359393, 8813, 459, 13, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[359877, 8830, 266, 8, 43, "Input"],
Cell[360146, 8840, 1341, 38, 118, "Output"]
}, Open  ]],
Cell[361502, 8881, 289, 9, 66, "Text",
 Evaluatable->False]
}, Open  ]],
Cell[CellGroupData[{
Cell[361828, 8895, 89, 2, 105, "Section",
 Evaluatable->False],
Cell[361920, 8899, 879, 20, 262, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[362824, 8923, 156, 8, 133, "Input"],
Cell[362983, 8933, 1349, 26, 68, "Output"]
}, Open  ]],
Cell[364347, 8962, 189, 7, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[364561, 8973, 255, 8, 43, "Input"],
Cell[364819, 8983, 20017, 460, 504, 12745, 339, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[384851, 9446, 442, 17, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[385318, 9467, 157, 3, 43, "Input"],
Cell[385478, 9472, 5463, 136, 344, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[390978, 9613, 153, 3, 43, "Input"],
Cell[391134, 9618, 16819, 323, 322, 5352, 133, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[407968, 9944, 2272, 56, 462, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[410265, 10004, 113, 2, 43, "Input"],
Cell[410381, 10008, 5318, 135, 280, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[415736, 10148, 113, 2, 43, "Input"],
Cell[415852, 10152, 15884, 309, 289, 5250, 133, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[431751, 10464, 1253, 45, 237, "Text",
 Evaluatable->False],
Cell[433007, 10511, 42, 1, 43, "Input"],
Cell[433052, 10514, 776, 26, 139, "Text",
 Evaluatable->False],
Cell[433831, 10542, 1815, 59, 541, "Text",
 Evaluatable->False],
Cell[435649, 10603, 577, 19, 115, "Text",
 Evaluatable->False],
Cell[436229, 10624, 746, 22, 139, "Text",
 Evaluatable->False],
Cell[436978, 10648, 597, 21, 139, "Text",
 Evaluatable->False],
Cell[437578, 10671, 328, 12, 88, "Input"],
Cell[437909, 10685, 189, 7, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[438123, 10696, 78, 2, 43, "Input"],
Cell[438204, 10700, 95, 1, 42, "Output"]
}, Open  ]],
Cell[438314, 10704, 1049, 35, 213, "Text",
 Evaluatable->False],
Cell[439366, 10741, 376, 12, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[439767, 10757, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[439855, 10761, 5352, 184, 618, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[445222, 10948, 1118, 19, 360, "Text",
 Evaluatable->False],
Cell[446343, 10969, 1333, 42, 168, "Text",
 Evaluatable->False],
Cell[447679, 11013, 921, 24, 125, "Input"],
Cell[CellGroupData[{
Cell[448625, 11041, 176, 3, 43, "Input"],
Cell[448804, 11046, 12852, 341, 483, "Output"]
}, Open  ]],
Cell[461671, 11390, 262, 11, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[461958, 11405, 226, 5, 43, "Input"],
Cell[462187, 11412, 227, 5, 42, "Output"]
}, Open  ]],
Cell[462429, 11420, 1703, 52, 262, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[464157, 11476, 363, 7, 43, "Input"],
Cell[464523, 11485, 1662, 37, 68, "Output"]
}, Open  ]],
Cell[466200, 11525, 227, 8, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[466452, 11537, 230, 5, 43, "Input"],
Cell[466685, 11544, 11774, 217, 292, 3868, 85, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[478474, 11764, 718, 14, 213, "Text",
 Evaluatable->False],
Cell[479195, 11780, 587, 16, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[479807, 11800, 425, 8, 43, "Input"],
Cell[480235, 11810, 9046, 171, 231, 2566, 63, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[489296, 11984, 439, 13, 66, "Text",
 Evaluatable->False],
Cell[489738, 11999, 322, 11, 115, "Text",
 Evaluatable->False],
Cell[490063, 12012, 398, 12, 115, "Text",
 Evaluatable->False],
Cell[490464, 12026, 449, 14, 88, "Input"],
Cell[CellGroupData[{
Cell[490938, 12044, 190, 4, 43, "Input"],
Cell[491131, 12050, 183, 3, 42, "Output"]
}, Open  ]],
Cell[491329, 12056, 183, 5, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[491537, 12065, 194, 4, 43, "Input"],
Cell[491734, 12071, 177, 3, 42, "Output"]
}, Open  ]],
Cell[491926, 12077, 963, 32, 164, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[492914, 12113, 165, 5, 43, "Input"],
Cell[493082, 12120, 752, 19, 93, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[493871, 12144, 62, 1, 43, "Input"],
Cell[493936, 12147, 6826, 126, 366, 2431, 52, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[500777, 12276, 478, 12, 90, "Text",
 Evaluatable->False],
Cell[501258, 12290, 884, 33, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[502167, 12327, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[502255, 12331, 7073, 236, 749, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[509343, 12570, 1328, 41, 311, "Text",
 Evaluatable->False],
Cell[510674, 12613, 966, 37, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[511665, 12654, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[511753, 12658, 2060, 74, 182, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[513828, 12735, 1942, 65, 311, "Text",
 Evaluatable->False]
}, Open  ]],
Cell[CellGroupData[{
Cell[515807, 12805, 99, 2, 105, "Section",
 Evaluatable->False],
Cell[515909, 12809, 1364, 33, 363, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[517298, 12846, 180, 3, 43, "Input"],
Cell[517481, 12851, 1096, 32, 193, "Output"]
}, Open  ]],
Cell[518592, 12886, 164, 3, 90, "Text"],
Cell[CellGroupData[{
Cell[518781, 12893, 115, 1, 43, "Input"],
Cell[518899, 12896, 296, 7, 42, "Output"]
}, Open  ]],
Cell[519210, 12906, 19, 0, 41, "Text"],
Cell[CellGroupData[{
Cell[519254, 12910, 116, 1, 43, "Input"],
Cell[519373, 12913, 294, 7, 42, "Output"]
}, Open  ]],
Cell[519682, 12923, 141, 5, 41, "Text"],
Cell[CellGroupData[{
Cell[519848, 12932, 156, 4, 66, "Input"],
Cell[520007, 12938, 2004, 54, 193, "Output"]
}, Open  ]],
Cell[522026, 12995, 711, 15, 262, "Text"],
Cell[CellGroupData[{
Cell[522762, 13014, 58, 0, 43, "Input"],
Cell[522823, 13016, 2023, 50, 218, "Output"]
}, Open  ]],
Cell[524861, 13069, 2137, 50, 776, "Text"],
Cell[CellGroupData[{
Cell[527023, 13123, 30, 0, 43, "Input"],
Cell[527056, 13125, 217, 5, 42, "Output"]
}, Open  ]],
Cell[527288, 13133, 373, 9, 188, "Text"],
Cell[CellGroupData[{
Cell[527686, 13146, 44, 0, 43, "Input"],
Cell[527733, 13148, 116, 2, 42, "Output"]
}, Open  ]],
Cell[527864, 13153, 732, 14, 311, "Text"],
Cell[CellGroupData[{
Cell[528621, 13171, 41, 0, 43, "Input"],
Cell[528665, 13173, 187, 4, 42, "Output"]
}, Open  ]],
Cell[528867, 13180, 66, 0, 41, "Text"],
Cell[CellGroupData[{
Cell[528958, 13184, 54, 0, 43, "Input"],
Cell[529015, 13186, 108, 1, 42, "Output"]
}, Open  ]],
Cell[529138, 13190, 217, 4, 66, "Text"],
Cell[CellGroupData[{
Cell[529380, 13198, 54, 0, 43, "Input"],
Cell[529437, 13200, 91, 1, 42, "Output"]
}, Open  ]],
Cell[529543, 13204, 255, 8, 188, "Text"],
Cell[529801, 13214, 22, 0, 43, "Input"],
Cell[529826, 13216, 165, 5, 66, "Text"],
Cell[529994, 13223, 39, 0, 43, "Input"],
Cell[530036, 13225, 266, 5, 115, "Text"],
Cell[530305, 13232, 107, 3, 66, "Text"],
Cell[CellGroupData[{
Cell[530437, 13239, 23, 0, 43, "Input"],
Cell[530463, 13241, 91, 1, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[530591, 13247, 23, 0, 43, "Input"],
Cell[530617, 13249, 92, 1, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[530746, 13255, 24, 0, 43, "Input"],
Cell[530773, 13257, 144, 3, 42, "Output"]
}, Open  ]],
Cell[530932, 13263, 826, 21, 289, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[531783, 13288, 160, 3, 43, "Input"],
Cell[531946, 13293, 93, 1, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[532076, 13299, 161, 3, 43, "Input"],
Cell[532240, 13304, 96, 1, 42, "Output"]
}, Open  ]],
Cell[532351, 13308, 263, 6, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[532639, 13318, 181, 6, 66, "Input"],
Cell[532823, 13326, 252, 6, 68, "Output"]
}, Open  ]],
Cell[533090, 13335, 240, 6, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[533355, 13345, 189, 7, 43, "Input"],
Cell[533547, 13354, 29515, 631, 687, 11845, 339, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[563077, 13988, 747, 16, 237, "Text",
 Evaluatable->False]
}, Open  ]],
Cell[CellGroupData[{
Cell[563861, 14009, 209, 7, 105, "Section",
 Evaluatable->False],
Cell[564073, 14018, 156, 6, 43, "Input"],
Cell[564232, 14026, 325, 9, 90, "Text",
 Evaluatable->False],
Cell[564560, 14037, 70, 2, 43, "Input"],
Cell[564633, 14041, 528, 17, 115, "Text",
 Evaluatable->False],
Cell[565164, 14060, 183, 7, 43, "Input"],
Cell[565350, 14069, 441, 14, 69, "Text",
 Evaluatable->False],
Cell[565794, 14085, 180, 7, 43, "Input"],
Cell[565977, 14094, 528, 15, 139, "Text",
 Evaluatable->False],
Cell[566508, 14111, 182, 7, 43, "Input"],
Cell[566693, 14120, 654, 22, 115, "Text",
 Evaluatable->False],
Cell[567350, 14144, 200, 6, 88, "Input"],
Cell[567553, 14152, 183, 7, 43, "Input"],
Cell[567739, 14161, 470, 17, 115, "Text",
 Evaluatable->False],
Cell[568212, 14180, 183, 7, 43, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
