(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    432619,      14373]
NotebookOptionsPosition[    408902,      13591]
NotebookOutlinePosition[    409568,      13617]
CellTagsIndexPosition[    409525,      13614]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Abstract Algebra: An Interactive Approach", "Special2",
 Evaluatable->False,
 CellChangeTimes->{{3.437911319859375*^9, 3.437911334578125*^9}},
 TextAlignment->Center,
 FontFamily->"Arial",
 FontSize->36,
 FontWeight->"Bold",
 FontSlant->"Italic",
 FontColor->RGBColor[1, 0, 1],
 Background->RGBColor[0.500008, 1, 1]],

Cell[CellGroupData[{

Cell["\[Copyright]2009   William Paulsen", "Name",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379113384375*^9, 3.437911339*^9}},
 FontFamily->"Geneva",
 FontSize->10,
 FontSlant->"Italic",
 FontColor->RGBColor[0, 0, 1],
 Background->GrayLevel[1]],

Cell["\<\
All rights reserved:  These materials can be duplicated or transmitted freely \
for educational use on condition that all copyright statements are retained \
unaltered.  No part of these materials may be sold, by any means or in any \
form, without written permission from the editor.  All software is provided \
\"as is\" without warranty of any kind, either expressed or implied, \
including, but not limited to, the implied warranties of merchantability and \
fitness for a particular purpose.\
\>", "Name",
 Editable->False,
 Evaluatable->False,
 CellHorizontalScrolling->False,
 FontFamily->"Geneva",
 FontSize->10,
 FontSlant->"Italic",
 FontColor->RGBColor[0, 0, 1],
 Background->GrayLevel[1]]
}, Closed]],

Cell["\<\
Chapter 13
Finite Division Rings\
\>", "Title",
 CellFrame->True,
 Evaluatable->False,
 CellHorizontalScrolling->False,
 TextAlignment->Center,
 FontFamily->"New York",
 FontSize->24,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[CellGroupData[{

Cell["Initialization", "Special2",
 Evaluatable->False,
 TextAlignment->Center,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["<<c:\\math\\ring.m", "Input",
 PageWidth->Infinity,
 InitializationCell->True,
 CellChangeTimes->{{3.43791134334375*^9, 3.43791134790625*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetDelayed", "::", "\<\"write\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"Tag \\!\\(Times\\) in \\!\\(\\(\\((x__\\\\ \
y_)\\)\\)[z_]\\) is Protected. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/write\\\", ButtonNote -> \
\\\"SetDelayed::write\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.442758993523875*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetDelayed", "::", "\<\"write\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"Tag \\!\\(Times\\) in \\!\\(MakeBoxes[\\(\\(\\(\\(x_\\\\ \
y_\\)\\), FormatType_\\)\\)]\\) is Protected. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/write\\\", ButtonNote -> \
\\\"SetDelayed::write\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.442758993523875*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetDelayed", "::", "\<\"write\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"Tag \\!\\(Times\\) in \\!\\(StandardForm\\`\\(x_\\\\ y_\\)\
\\) is Protected. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/write\\\", ButtonNote -> \
\\\"SetDelayed::write\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.4427589935395*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"General", "::", "\<\"stop\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"Further output of \\!\\(SetDelayed :: \\\"write\\\"\\) \
will be suppressed during this calculation. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.44275899363325*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"TagSetDelayed", "::", "\<\"tagnf\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"Tag \\!\\(Dot\\) not found in \
\\!\\(1\\/\\(\\(\\(C[a___]\\)\\)\\\\ b_\\)\\). \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/TagSetDelayed/tagnf\\\", ButtonNote -> \
\\\"TagSetDelayed::tagnf\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.442758993727*^9}],

Cell[BoxData["\<\"Initialization Done\"\>"], "Print",
 CellChangeTimes->{
  3.437921240984375*^9, 3.438356753390625*^9, {3.4408643676875*^9, 
   3.440864372734375*^9}, 3.442758993742625*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Entering Finite Fields in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " or GAP"
}], "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4419830256358747`*^9, 3.4419830267608747`*^9}}],

Cell[TextData[{
 "In this section we will experiment with finite fields using ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". Although we have seen how integral domains can be entered into ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", fields have additional properties that allow for shortcuts in this \
process. In fact, we will find that any finite field can be defined in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " with only 3 commands.\n\nWe have already seen several examples of finite \
fields. The first example was the discovery that whenever ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " is prime, the ring ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "p"], TraditionalForm]]],
 " forms a field with p elements. In chapter 3 we found another example of a \
finite field--the \"complex numbers modulo 3.\" This ring was defined in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " with the commands:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
InitDomain[3]
Define[i^2,-1]
K = Ring[{i}]\
\>", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "1", ",", "2", ",", "i", ",", 
   RowBox[{"2", " ", "i"}], ",", 
   RowBox[{"1", "+", "i"}], ",", 
   RowBox[{"2", "+", "i"}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "i"}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "i"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.4427589937895*^9}]
}, Open  ]],

Cell["The multiplication table ", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["MultTable[K]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.8, 0.6, 0.5}, {1, 1, 0}, {0.8, 0.6, 0.5}, {0.6, 0.4, 0.8}, {
      0.7, 0.8, 0.7}, {1, 0.6, 0}, {1, 0, 0}, {0, 1, 1}, {1, 0, 1}, {0, 1, 
      0}}, {{0.7, 0.8, 0.7}, {1, 1, 0}, {0.7, 0.8, 0.7}, {1, 0.6, 0}, {0.6, 
      0.4, 0.8}, {0.8, 0.6, 0.5}, {0, 1, 1}, {0, 1, 0}, {1, 0, 0}, {1, 0, 
      1}}, {{1, 0.6, 0}, {1, 1, 0}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0.8, 0.6, 
      0.5}, {0.6, 0.4, 0.8}, {1, 0, 1}, {1, 0, 0}, {0, 1, 0}, {0, 1, 1}}, {{
      0.6, 0.4, 0.8}, {1, 1, 0}, {0.6, 0.4, 0.8}, {0.8, 0.6, 0.5}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 
      0}}, {{0, 1, 0}, {1, 1, 0}, {0, 1, 0}, {1, 0, 0}, {1, 0, 1}, {0, 1, 
      1}, {0.7, 0.8, 0.7}, {0.6, 0.4, 0.8}, {0.8, 0.6, 0.5}, {1, 0.6, 0}}, {{
      1, 0, 0}, {1, 1, 0}, {1, 0, 0}, {0, 1, 0}, {0, 1, 1}, {1, 0, 1}, {
      1, 0.6, 0}, {0.8, 0.6, 0.5}, {0.6, 0.4, 0.8}, {0.7, 0.8, 0.7}}, {{0, 1, 
      1}, {1, 1, 0}, {0, 1, 1}, {1, 0, 1}, {0, 1, 0}, {1, 0, 0}, {0.8, 0.6, 
      0.5}, {0.7, 0.8, 0.7}, {1, 0.6, 0}, {0.6, 0.4, 0.8}}, {{1, 0, 1}, {1, 1,
       0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}, {0.8, 0.6, 0.5}}, {{1, 1, 0}, {1, 1, 0}, {
     1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 
     0}, {1, 1, 
     0}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {
      0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0.8, 0.6, 0.5}}}], 
   InsetBox[
    TagBox[
     StyleBox["\<\"\[CenterDot]\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0.5, 9.5}], {InsetBox[
     TagBox[
      StyleBox["\<\"0\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {1.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"1\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {2.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {3.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {4.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {5.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"1+i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {6.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2+i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {7.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"1+2i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {8.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2+2i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {9.5, 9.5}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"0\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"1\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 7.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 5.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 4.5}], InsetBox[
     TagBox[
      StyleBox["\<\"1+i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 3.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2+i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 2.5}], InsetBox[
     TagBox[
      StyleBox["\<\"1+2i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 1.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2+2i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 0.5}]}, {{InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 8.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 7.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 6.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 5.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 4.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 3.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 2.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 1.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 0.5}]}}, 
   LineBox[{{1, 0}, {1, 9}, {10, 9}}]}]], "Output",
 CellChangeTimes->{3.44275899838325*^9}]
}, Open  ]],

Cell[TextData[{
 "reveals the fact that this ring is indeed a field of order 9. But this \
multiplication table does not indicate how this field is related to \
polynomials over the field ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 ".\n\nLet us play with polynomials in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "3"], "[", "x", "]"}], TraditionalForm]]],
 " to find a  connection.   \n\nSince ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 " is a subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " which is already entered into ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", we can directly enter polynomials in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "3"], "[", "x", "]"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437911779296875*^9, 3.437911780140625*^9}}],

Cell[CellGroupData[{

Cell["A = (2 x^2 + x + 1).(2 x + 1)", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.43791178075*^9, 3.43791178140625*^9}}],

Cell[BoxData[
 RowBox[{"1", "+", 
  SuperscriptBox["x", "2"], "+", 
  SuperscriptBox["x", "3"]}]], "Output",
 CellChangeTimes->{3.44275900144575*^9}]
}, Open  ]],

Cell[TextData[{
 "To factor polynomials in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 ", we must first define the set of elements in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 ":"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Z3 = {0,1,2}", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "1", ",", "2"}], "}"}]], "Output",
 CellChangeTimes->{3.4427590036645*^9}]
}, Open  ]],

Cell[TextData[{
 "We can now factor the polynomial ",
 Cell[BoxData[
  FormBox["A", TraditionalForm]]],
 " over this field:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Factor[A,Z3]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"2", "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "x"}], "+", 
    SuperscriptBox["x", "2"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.4427590054145*^9}]
}, Open  ]],

Cell[TextData[{
 "This factorization isn't exactly the same as the original product which \
produced ",
 Cell[BoxData[
  FormBox["A", TraditionalForm]]],
 ", but we know from corollary 12.5 that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "3"], "[", "x", "]"}], TraditionalForm]]],
 " is a unique factorization domain. Therefore, these factors must be \
associates of the original factorization. Can you see which pairs of factors \
are associates?\n\nEXPERIMENT:\nBy replacing the polynomial ",
 Cell[BoxData[
  FormBox["A", TraditionalForm]]],
 " in the last command with various second degree polynomials, determine all \
second degree polynomials in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SubscriptBox["Z", "3"],
     TraditionalForm], "[", "x", "]"}], TraditionalForm]]],
 " which are \nirreducible. For simplicity, assume that the coefficient of \
the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["x", "2"], TraditionalForm]]],
 " term is 1, so there will be only 9 polynomials to check. (The polynomials \
beginning with ",
 Cell[BoxData[
  FormBox[
   RowBox[{"2", " ", 
    SuperscriptBox["x", "2"]}], TraditionalForm]]],
 " will, of course, be associates of the polynomials you find.) Is there one \
irreducible polynomial that seems to have a relationship with the \"complex \
numbers modulo three\"?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437911511296875*^9, 3.437911511953125*^9}, {
  3.43791167140625*^9, 3.43791167209375*^9}, {3.43791178209375*^9, 
  3.43791178709375*^9}}],

Cell["   ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "We have hinted that the field of complex numbers modulo 3 are related to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "3"], "[", "x", "]"}], TraditionalForm]]],
 ". How so? Each element of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " can be thought of as evaluating some polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "3"], "[", "x"}], TraditionalForm]]],
 "] at ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "=", " ", 
    RowBox[{"i", "."}]}], TraditionalForm]]],
 " Even though ",
 Cell[BoxData[
  FormBox["i", TraditionalForm]]],
 " is not an element of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 ", we can consider any\npolynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "3"], "[", "x", "]"}], TraditionalForm]]],
 " as being also a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "x", "]"}], TraditionalForm]]],
 ".\n\nThis suggests that we should use the evaluation homomorphism \n\n      \
                ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[Phi]", "i"], ":", 
    RowBox[{
     RowBox[{"K", "[", "x", "]"}], " ", "\[RightArrow]", " ", "K"}]}], 
   TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437911787859375*^9, 3.43791179084375*^9}}],

Cell[TextData[{
 "However, we can restrict this homomorphism to apply only to polynomials in \
",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "3"], "[", "x", "]"}], TraditionalForm]]],
 ". \n\n                         ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubsuperscriptBox["\[Phi]", "i", "\[Prime]"], ":", 
    RowBox[{
     RowBox[{
      SubscriptBox["Z", "3"], "[", "x", "]"}], " ", "\[RightArrow]", " ", 
     "K"}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.437911681921875*^9, {3.43791179146875*^9, 3.437911791953125*^9}}],

Cell[TextData[{
 "The image will still be all of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", " ", 
     RowBox[{"(", "x", ")"}]}], " ", "=", " ", 
    RowBox[{"i", "."}]}], TraditionalForm]]],
 " The kernel of this homomorphism will consist of all polynomials in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "3"], "[", "x", "]"}], TraditionalForm]]],
 " which yield 0 when evaluated at ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "=", " ", 
    RowBox[{"i", "."}]}], TraditionalForm]]],
 " For example, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", "1"}], TraditionalForm]]],
 " is in the kernel, as are all multiples of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", "1"}], TraditionalForm]]],
 ". In fact, if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " is an element of the kernel, then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"GCD", "(", 
    RowBox[{
     RowBox[{"f", "(", "x", ")"}], ",", 
     RowBox[{
      SuperscriptBox["x", "2"], "+", "1"}]}], ")"}], TraditionalForm]]],
 " must be in the kernel, and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", "1"}], TraditionalForm]]],
 " is irreducible in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "3"], "[", "x", "]"}], TraditionalForm]]],
 ", as we found in the experiment. Thus, the kernel must precisely the \
multiples of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", "1"}], TraditionalForm]]],
 ". This ideal can be described as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["x", "2"], "+", "1"}], ")"}], TraditionalForm]]],
 ", the ideal generated by ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", "1"}], TraditionalForm]]],
 ".\n\nBy the first ring isomorphism theorem (10.2), we now have that \n\n    \
               ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", 
    StyleBox["\[TildeTilde]",
     FontSize->16], " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["Z", "3"], "[", "x", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["x", "2"], "+", "1"}], ")"}]}]}], TraditionalForm]]],
 "\n                   \nsince the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is the image of the homomorphism ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Phi]", "i", "\[Prime]"], TraditionalForm]]],
 ".\n\nWe can try a similar process to produce other fields.  Recall that we \
tried to form a field by extending ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "5"], TraditionalForm]]],
 " by an element ",
 Cell[BoxData[
  FormBox["i", TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["i", "2"], " ", "=", " ", 
    RowBox[{"-", "1."}]}], TraditionalForm]]],
 " However, we failed to produce a field, since the ring had zero divisors. \
We succeeded in producing the ring\n\n                       ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", 
    StyleBox["\[TildeTilde]",
     FontSize->16], " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["Z", "5"], "[", "x", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["x", "2"], "+", "1"}], ")"}]}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437911752109375*^9, 3.437911755015625*^9}, {
  3.437911792484375*^9, 3.437911799921875*^9}, {3.43906196715625*^9, 
  3.439061990203125*^9}}],

Cell[TextData[{
 "but ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", "1"}], TraditionalForm]]],
 "  factors in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "5"], TraditionalForm]]],
 ": ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"x", " ", "+", " ", "2"}], ")"}], "\[CenterDot]", 
    RowBox[{"(", 
     RowBox[{"x", " ", "+", " ", "3"}], ")"}]}], TraditionalForm]]],
 ". This factorization apparently causes the zero divisors to appear in the \
quotient ring. Perhaps we should try using a polynomial which is irreducible \
in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "5"], TraditionalForm]]],
 ". We first define ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "5"], TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437911800515625*^9, 3.437911801390625*^9}}],

Cell[CellGroupData[{

Cell["\<\
InitDomain[5]
Z5 = Ring[{1}]\
\>", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "1", ",", "2", ",", "3", ",", "4"}], "}"}]], "Output",
 CellChangeTimes->{3.44275901132075*^9}]
}, Open  ]],

Cell[TextData[{
 "Next, we find a polynomial which is irreducible in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "5"], TraditionalForm]]],
 ". There are several to choose from, but let us try the following:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Factor[x^2 + 2 x + 3, Z5]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.43791180196875*^9, 3.43791180228125*^9}}],

Cell[BoxData[
 RowBox[{"3", "+", 
  RowBox[{"2", " ", "x"}], "+", 
  SuperscriptBox["x", "2"]}]], "Output",
 CellChangeTimes->{3.442759013430125*^9}]
}, Open  ]],

Cell[TextData[{
 "This shows that the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], " ", "+", " ", 
    RowBox[{"2", " ", "x"}], " ", "+", " ", "3"}], TraditionalForm]]],
 " is irreducible in the field ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "5"], TraditionalForm]]],
 ".\n\nEXPERIMENT:                                             \nCan you \
change the 3 in the polynomial to find another number to find a different \
irreducible polynomial?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43791180334375*^9, 3.43791180371875*^9}}],

Cell["   ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Let us see if we can find a field for which ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], " ", "+", " ", 
    RowBox[{"2", " ", "x"}], " ", "+", " ", "3"}], TraditionalForm]]],
 " has a zero. We will denote denote one of the zeros by the letter ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 ". Then it is clear that\n\n                      ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SuperscriptBox["w", "2"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "w"}], " ", "-", " ", "3"}]}]}], 
   TraditionalForm]]],
 ".\n\nLet us define an element ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["w", "2"], " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "w"}], " ", "-", " ", "3"}]}], 
   TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43791180640625*^9, 3.437911806796875*^9}}],

Cell["Define[w^2, -2 w - 3]", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can now determine other powers of ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["w^3", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"1", "+", "w"}]], "Output",
 CellChangeTimes->{3.442759019148875*^9}]
}, Open  ]],

Cell[TextData[{
 "How did ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " compute this? Note that\n\n    ",
 Cell[BoxData[{
  FormBox[
   RowBox[{
    FormBox[
     RowBox[{" ", 
      RowBox[{
       SuperscriptBox["w", "3"], " ", "=", " ", 
       RowBox[{
        RowBox[{"w", "\[CenterDot]", 
         SuperscriptBox["w", "2"]}], " ", "=", " ", 
        RowBox[{
         RowBox[{"w", "\[CenterDot]", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], "w"}], "-", "3"}], ")"}]}], " ", "=", " ", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], 
            SuperscriptBox["w", "2"]}], "-", 
           RowBox[{"3", "w"}]}], " ", "=", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "2"}], "w"}], "-", "3"}], ")"}]}], "-", 
           RowBox[{"3", "w"}]}]}]}]}]}]}],
     TraditionalForm], "         "}], TraditionalForm], "\n", 
  FormBox[
   RowBox[{"\t\t", 
    RowBox[{"=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", "w"}], " ", "+", " ", "6"}], ")"}], "-", 
       RowBox[{"3", "w"}]}], " ", "=", " ", 
      RowBox[{"w", "+", "6."}]}]}]}], TraditionalForm]}]],
 "\n\nThis then simplifies to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"w", "+", "1"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "5"], TraditionalForm]]],
 ". In fact, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can generate the ring containing ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["H = Ring[{w}]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "1", ",", "2", ",", "3", ",", "4", ",", "w", ",", 
   RowBox[{"2", " ", "w"}], ",", 
   RowBox[{"3", " ", "w"}], ",", 
   RowBox[{"4", " ", "w"}], ",", 
   RowBox[{"1", "+", "w"}], ",", 
   RowBox[{"2", "+", "w"}], ",", 
   RowBox[{"3", "+", "w"}], ",", 
   RowBox[{"4", "+", "w"}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "w"}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "w"}]}], ",", 
   RowBox[{"3", "+", 
    RowBox[{"2", " ", "w"}]}], ",", 
   RowBox[{"4", "+", 
    RowBox[{"2", " ", "w"}]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"3", " ", "w"}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"3", " ", "w"}]}], ",", 
   RowBox[{"3", "+", 
    RowBox[{"3", " ", "w"}]}], ",", 
   RowBox[{"4", "+", 
    RowBox[{"3", " ", "w"}]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"4", " ", "w"}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"4", " ", "w"}]}], ",", 
   RowBox[{"3", "+", 
    RowBox[{"4", " ", "w"}]}], ",", 
   RowBox[{"4", "+", 
    RowBox[{"4", " ", "w"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.442759021492625*^9}]
}, Open  ]],

Cell["The length of this ring is ", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Print[Length[H]]", "Input",
 PageWidth->Infinity],

Cell[BoxData["25"], "Print",
 CellChangeTimes->{3.44275902394575*^9}]
}, Open  ]],

Cell["\<\
which is still small enough for us to look at a multiplication table.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["MultTable[H]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.5, 0.8, 0.8}, {1, 1, 0}, {0.5, 0.8, 0.8}, {0, 0.6, 1}, {0.2,
       0.8, 0.7}, {0.5, 0.6, 0.8}, {0.8, 0.6, 0.2}, {1, 0.4, 0.4}, {
      1, 0.8, 0.7}, {1, 0.8, 0.4}, {0, 1, 1}, {0.4, 0.2, 1}, {0.7, 0.8, 
      0.7}, {0.7, 1, 0}, {0.6, 0.4, 0.8}, {0, 1, 0}, {0.2, 0.6, 0.4}, {0.6, 
      0.4, 0.4}, {1, 0.6, 1}, {0.8, 0.2, 0.5}, {1, 0, 1}, {0.8, 0.6, 0.5}, {0,
       0, 1}, {1, 0.6, 0}, {0.6, 0.6, 0.2}, {1, 0, 0}}, {{0.2, 0.6, 0.4}, {1, 
      1, 0}, {0.2, 0.6, 0.4}, {0, 0, 1}, {0.7, 1, 0}, {0.8, 0.2, 0.5}, {1, 0, 
      0}, {1, 0, 1}, {0, 1, 0}, {0, 1, 1}, {0.4, 0.2, 1}, {1, 0.8, 0.7}, {0.2,
       0.8, 0.7}, {0.6, 0.4, 0.8}, {0.5, 0.8, 0.8}, {0.6, 0.4, 0.4}, {
      1, 0.6, 0}, {0.8, 0.6, 0.2}, {1, 0.8, 0.4}, {0.7, 0.8, 0.7}, {
      1, 0.6, 1}, {0.5, 0.6, 0.8}, {0.8, 0.6, 0.5}, {0, 0.6, 1}, {
      1, 0.4, 0.4}, {0.6, 0.6, 0.2}}, {{1, 0.8, 0.4}, {1, 1, 0}, {
      1, 0.8, 0.4}, {1, 0.8, 0.7}, {1, 0.4, 0.4}, {0.8, 0.6, 0.2}, {0.2, 0.6, 
      0.4}, {0, 0, 1}, {0.7, 1, 0}, {0.8, 0.2, 0.5}, {0.7, 0.8, 0.7}, {0.2, 
      0.8, 0.7}, {0.6, 0.6, 0.2}, {1, 0, 1}, {1, 0.6, 1}, {0.6, 0.4, 0.8}, {0,
       1, 1}, {0.5, 0.8, 0.8}, {0.5, 0.6, 0.8}, {1, 0, 0}, {0.8, 0.6, 0.5}, {
      0.6, 0.4, 0.4}, {0, 1, 0}, {0.4, 0.2, 1}, {0, 0.6, 1}, {1, 0.6, 0}}, {{
      0.4, 0.2, 1}, {1, 1, 0}, {0.4, 0.2, 1}, {0.6, 0.4, 0.4}, {1, 0.6, 1}, {
      0.6, 0.6, 0.2}, {0, 0.6, 1}, {0.5, 0.6, 0.8}, {0.5, 0.8, 0.8}, {0.2, 
      0.8, 0.7}, {0.7, 1, 0}, {0.6, 0.4, 0.8}, {1, 0, 1}, {1, 0.8, 0.4}, {0, 
      1, 1}, {0.2, 0.6, 0.4}, {1, 0.8, 0.7}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {
      1, 0.4, 0.4}, {0.8, 0.2, 0.5}, {1, 0, 0}, {0.8, 0.6, 0.2}, {0, 1, 0}, {
      0.8, 0.6, 0.5}, {0, 0, 1}}, {{1, 0.8, 0.7}, {1, 1, 0}, {1, 0.8, 0.7}, {
      0.8, 0.6, 0.2}, {1, 0.8, 0.4}, {1, 0.4, 0.4}, {0, 0, 1}, {0.8, 0.2, 
      0.5}, {0.2, 0.6, 0.4}, {0.7, 1, 0}, {0.6, 0.4, 0.8}, {0.5, 0.8, 0.8}, {
      1, 0.6, 1}, {0, 1, 1}, {0.4, 0.2, 1}, {1, 0.6, 0}, {0, 1, 0}, {
      0, 0.6, 1}, {0.2, 0.8, 0.7}, {1, 0, 1}, {0.7, 0.8, 0.7}, {0.6, 0.6, 
      0.2}, {1, 0, 0}, {0.6, 0.4, 0.4}, {0.5, 0.6, 0.8}, {0.8, 0.6, 0.5}}, {{
      0, 0.6, 1}, {1, 1, 0}, {0, 0.6, 1}, {0.5, 0.6, 0.8}, {0.5, 0.8, 0.8}, {
      0.2, 0.8, 0.7}, {1, 0.4, 0.4}, {1, 0.8, 0.4}, {0.8, 0.6, 0.2}, {
      1, 0.8, 0.7}, {0, 1, 0}, {0.6, 0.4, 0.4}, {0.6, 0.4, 0.8}, {0.2, 0.6, 
      0.4}, {1, 0.6, 0}, {1, 0, 0}, {0, 0, 1}, {0.6, 0.6, 0.2}, {
      0.4, 0.2, 1}, {0.7, 1, 0}, {0, 1, 1}, {0.7, 0.8, 0.7}, {0.8, 0.2, 
      0.5}, {0.8, 0.6, 0.5}, {1, 0.6, 1}, {1, 0, 1}}, {{0.6, 0.4, 0.4}, {1, 1,
       0}, {0.6, 0.4, 0.4}, {0.6, 0.6, 0.2}, {0.4, 0.2, 1}, {1, 0.6, 1}, {0.5,
       0.6, 0.8}, {0.2, 0.8, 0.7}, {0, 0.6, 1}, {0.5, 0.8, 0.8}, {0.2, 0.6, 
      0.4}, {1, 0.6, 0}, {0, 1, 1}, {1, 0.8, 0.7}, {0, 1, 0}, {0, 0, 1}, {0.8,
       0.6, 0.2}, {0.8, 0.6, 0.5}, {0.6, 0.4, 0.8}, {1, 0.8, 0.4}, {
      0.7, 1, 0}, {1, 0, 1}, {1, 0.4, 0.4}, {1, 0, 0}, {0.7, 0.8, 0.7}, {0.8, 
      0.2, 0.5}}, {{0, 0, 1}, {1, 1, 0}, {0, 0, 1}, {0.8, 0.2, 0.5}, {0.2, 
      0.6, 0.4}, {0.7, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {
      0.6, 0.4, 0.4}, {0.8, 0.6, 0.2}, {0.5, 0.8, 0.8}, {1, 0.6, 0}, {
      0, 0.6, 1}, {0.6, 0.6, 0.2}, {0.8, 0.6, 0.5}, {1, 0.4, 0.4}, {
      1, 0.8, 0.7}, {0.6, 0.4, 0.8}, {0.4, 0.2, 1}, {0.2, 0.8, 0.7}, {0.7, 
      0.8, 0.7}, {0.5, 0.6, 0.8}, {1, 0.8, 0.4}, {1, 0.6, 1}}, {{0.7, 1, 0}, {
      1, 1, 0}, {0.7, 1, 0}, {0.2, 0.6, 0.4}, {0.8, 0.2, 0.5}, {0, 0, 1}, {0, 
      1, 0}, {1, 0, 0}, {0, 1, 1}, {1, 0, 1}, {1, 0.6, 1}, {1, 0.8, 0.4}, {
      0.5, 0.6, 0.8}, {0.7, 0.8, 0.7}, {0.2, 0.8, 0.7}, {0.4, 0.2, 1}, {0.6, 
      0.4, 0.8}, {1, 0.8, 0.7}, {1, 0.4, 0.4}, {0.8, 0.6, 0.5}, {0.6, 0.6, 
      0.2}, {0, 0.6, 1}, {1, 0.6, 0}, {0.5, 0.8, 0.8}, {0.8, 0.6, 0.2}, {0.6, 
      0.4, 0.4}}, {{1, 0.6, 1}, {1, 1, 0}, {1, 0.6, 1}, {0.4, 0.2, 1}, {0.6, 
      0.6, 0.2}, {0.6, 0.4, 0.4}, {0.5, 0.8, 0.8}, {0, 0.6, 1}, {0.2, 0.8, 
      0.7}, {0.5, 0.6, 0.8}, {0.8, 0.2, 0.5}, {0.7, 0.8, 0.7}, {1, 0, 0}, {
      1, 0.4, 0.4}, {1, 0, 1}, {0.7, 1, 0}, {1, 0.8, 0.4}, {0.6, 0.4, 0.8}, {
      0.8, 0.6, 0.5}, {0.8, 0.6, 0.2}, {0, 0, 1}, {0, 1, 0}, {1, 0.8, 0.7}, {
      0, 1, 1}, {1, 0.6, 0}, {0.2, 0.6, 0.4}}, {{0.2, 0.8, 0.7}, {1, 1, 0}, {
      0.2, 0.8, 0.7}, {0.5, 0.8, 0.8}, {0.5, 0.6, 0.8}, {0, 0.6, 1}, {
      1, 0.8, 0.7}, {0.8, 0.6, 0.2}, {1, 0.8, 0.4}, {1, 0.4, 0.4}, {1, 0, 
      1}, {1, 0.6, 1}, {0.8, 0.6, 0.5}, {0.8, 0.2, 0.5}, {0.7, 0.8, 0.7}, {0, 
      1, 1}, {0.7, 1, 0}, {0.4, 0.2, 1}, {0.6, 0.6, 0.2}, {0, 0, 1}, {1, 0, 
      0}, {1, 0.6, 0}, {0.2, 0.6, 0.4}, {0.6, 0.4, 0.8}, {0.6, 0.4, 0.4}, {0, 
      1, 0}}, {{1, 0.4, 0.4}, {1, 1, 0}, {1, 0.4, 0.4}, {1, 0.8, 0.4}, {0.8, 
      0.6, 0.2}, {1, 0.8, 0.7}, {0.7, 1, 0}, {0.2, 0.6, 0.4}, {0.8, 0.2, 
      0.5}, {0, 0, 1}, {0.8, 0.6, 0.5}, {0.5, 0.6, 0.8}, {0.6, 0.4, 0.4}, {1, 
      0, 0}, {0.6, 0.6, 0.2}, {0.7, 0.8, 0.7}, {1, 0, 1}, {0.2, 0.8, 0.7}, {
      0, 0.6, 1}, {0, 1, 0}, {1, 0.6, 0}, {0.4, 0.2, 1}, {0, 1, 1}, {
      1, 0.6, 1}, {0.5, 0.8, 0.8}, {0.6, 0.4, 0.8}}, {{0.6, 0.6, 0.2}, {1, 1, 
      0}, {0.6, 0.6, 0.2}, {1, 0.6, 1}, {0.6, 0.4, 0.4}, {0.4, 0.2, 1}, {0.2, 
      0.8, 0.7}, {0.5, 0.8, 0.8}, {0.5, 0.6, 0.8}, {0, 0.6, 1}, {0, 0, 1}, {
      0.8, 0.6, 0.5}, {0, 1, 0}, {0.8, 0.6, 0.2}, {1, 0, 0}, {0.8, 0.2, 
      0.5}, {1, 0.4, 0.4}, {0.7, 0.8, 0.7}, {1, 0.6, 0}, {1, 0.8, 0.7}, {0.2, 
      0.6, 0.4}, {0, 1, 1}, {1, 0.8, 0.4}, {1, 0, 1}, {0.6, 0.4, 0.8}, {
      0.7, 1, 0}}, {{0.8, 0.6, 0.2}, {1, 1, 0}, {0.8, 0.6, 0.2}, {
      1, 0.4, 0.4}, {1, 0.8, 0.7}, {1, 0.8, 0.4}, {0.8, 0.2, 0.5}, {
      0.7, 1, 0}, {0, 0, 1}, {0.2, 0.6, 0.4}, {1, 0.6, 0}, {0, 0.6, 1}, {
      0.4, 0.2, 1}, {0, 1, 0}, {0.6, 0.4, 0.4}, {0.8, 0.6, 0.5}, {1, 0, 0}, {
      0.5, 0.6, 0.8}, {0.5, 0.8, 0.8}, {0, 1, 1}, {0.6, 0.4, 0.8}, {
      1, 0.6, 1}, {1, 0, 1}, {0.6, 0.6, 0.2}, {0.2, 0.8, 0.7}, {0.7, 0.8, 
      0.7}}, {{0.8, 0.2, 0.5}, {1, 1, 0}, {0.8, 0.2, 0.5}, {0.7, 1, 0}, {0, 0,
       1}, {0.2, 0.6, 0.4}, {0, 1, 1}, {0, 1, 0}, {1, 0, 1}, {1, 0, 0}, {0.6, 
      0.6, 0.2}, {1, 0.4, 0.4}, {0, 0.6, 1}, {0.8, 0.6, 0.5}, {0.5, 0.6, 
      0.8}, {1, 0.6, 1}, {0.7, 0.8, 0.7}, {1, 0.8, 0.4}, {0.8, 0.6, 0.2}, {
      1, 0.6, 0}, {0.6, 0.4, 0.4}, {0.5, 0.8, 0.8}, {0.6, 0.4, 0.8}, {0.2, 
      0.8, 0.7}, {1, 0.8, 0.7}, {0.4, 0.2, 1}}, {{0.5, 0.6, 0.8}, {1, 1, 0}, {
      0.5, 0.6, 0.8}, {0.2, 0.8, 0.7}, {0, 0.6, 1}, {0.5, 0.8, 0.8}, {
      1, 0.8, 0.4}, {1, 0.8, 0.7}, {1, 0.4, 0.4}, {0.8, 0.6, 0.2}, {1, 0, 
      0}, {0.6, 0.6, 0.2}, {1, 0.6, 0}, {0, 0, 1}, {0.8, 0.6, 0.5}, {1, 0, 
      1}, {0.8, 0.2, 0.5}, {1, 0.6, 1}, {0.6, 0.4, 0.4}, {0.2, 0.6, 0.4}, {0, 
      1, 0}, {0.6, 0.4, 0.8}, {0.7, 1, 0}, {0.7, 0.8, 0.7}, {0.4, 0.2, 1}, {0,
       1, 1}}, {{0.8, 0.6, 0.5}, {1, 1, 0}, {0.8, 0.6, 0.5}, {0.7, 0.8, 
      0.7}, {1, 0.6, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 1}, {0.4, 0.2, 1}, {0.6, 
      0.6, 0.2}, {0.6, 0.4, 0.4}, {0.8, 0.6, 0.2}, {1, 0, 0}, {0.2, 0.6, 
      0.4}, {0, 0.6, 1}, {0, 0, 1}, {1, 0.4, 0.4}, {0.5, 0.6, 0.8}, {1, 0, 
      1}, {0, 1, 0}, {0.5, 0.8, 0.8}, {1, 0.8, 0.7}, {0.7, 1, 0}, {0.2, 0.8, 
      0.7}, {0.8, 0.2, 0.5}, {0, 1, 1}, {1, 0.8, 0.4}}, {{0.7, 0.8, 0.7}, {1, 
      1, 0}, {0.7, 0.8, 0.7}, {0.6, 0.4, 0.8}, {0.8, 0.6, 0.5}, {1, 0.6, 0}, {
      0.4, 0.2, 1}, {0.6, 0.4, 0.4}, {1, 0.6, 1}, {0.6, 0.6, 0.2}, {
      1, 0.4, 0.4}, {1, 0, 1}, {0, 0, 1}, {0.5, 0.6, 0.8}, {0.8, 0.2, 0.5}, {
      1, 0.8, 0.4}, {0.2, 0.8, 0.7}, {0, 1, 1}, {1, 0, 0}, {0, 0.6, 1}, {0.8, 
      0.6, 0.2}, {0.2, 0.6, 0.4}, {0.5, 0.8, 0.8}, {0.7, 1, 0}, {0, 1, 0}, {
      1, 0.8, 0.7}}, {{1, 0.6, 0}, {1, 1, 0}, {1, 0.6, 0}, {0.8, 0.6, 0.5}, {
      0.6, 0.4, 0.8}, {0.7, 0.8, 0.7}, {0.6, 0.6, 0.2}, {1, 0.6, 1}, {0.6, 
      0.4, 0.4}, {0.4, 0.2, 1}, {1, 0.8, 0.7}, {0, 1, 0}, {0.7, 1, 0}, {0.5, 
      0.8, 0.8}, {0.2, 0.6, 0.4}, {0.8, 0.6, 0.2}, {0, 0.6, 1}, {1, 0, 0}, {0,
       1, 1}, {0.2, 0.8, 0.7}, {1, 0.8, 0.4}, {0.8, 0.2, 0.5}, {0.5, 0.6, 
      0.8}, {0, 0, 1}, {1, 0, 1}, {1, 0.4, 0.4}}, {{0.6, 0.4, 0.8}, {1, 1, 
      0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0.8, 0.6, 0.5}, {
      0.6, 0.4, 0.4}, {0.6, 0.6, 0.2}, {0.4, 0.2, 1}, {1, 0.6, 1}, {
      1, 0.8, 0.4}, {0, 1, 1}, {0.8, 0.2, 0.5}, {0.2, 0.8, 0.7}, {
      0.7, 1, 0}, {1, 0.8, 0.7}, {0.5, 0.8, 0.8}, {0, 1, 0}, {1, 0, 1}, {0.5, 
      0.6, 0.8}, {1, 0.4, 0.4}, {0, 0, 1}, {0, 0.6, 1}, {0.2, 0.6, 0.4}, {1, 
      0, 0}, {0.8, 0.6, 0.2}}, {{0, 1, 0}, {1, 1, 0}, {0, 1, 0}, {1, 0, 0}, {
      0, 1, 1}, {1, 0, 1}, {0.8, 0.6, 0.5}, {0.7, 0.8, 0.7}, {1, 0.6, 0}, {
      0.6, 0.4, 0.8}, {0.5, 0.8, 0.8}, {0.2, 0.6, 0.4}, {1, 0.8, 0.4}, {
      0.4, 0.2, 1}, {1, 0.8, 0.7}, {0, 0.6, 1}, {0.6, 0.4, 0.4}, {0, 0, 1}, {
      0.7, 1, 0}, {1, 0.6, 1}, {0.2, 0.8, 0.7}, {1, 0.4, 0.4}, {0.6, 0.6, 
      0.2}, {0.8, 0.6, 0.2}, {0.8, 0.2, 0.5}, {0.5, 0.6, 0.8}}, {{1, 0, 0}, {
      1, 1, 0}, {1, 0, 0}, {1, 0, 1}, {0, 1, 0}, {0, 1, 1}, {0.7, 0.8, 0.7}, {
      0.6, 0.4, 0.8}, {0.8, 0.6, 0.5}, {1, 0.6, 0}, {0, 0.6, 1}, {0, 0, 1}, {
      1, 0.8, 0.7}, {0.6, 0.4, 0.4}, {0.8, 0.6, 0.2}, {0.5, 0.6, 0.8}, {0.6, 
      0.6, 0.2}, {0.8, 0.2, 0.5}, {0.2, 0.6, 0.4}, {0.4, 0.2, 1}, {0.5, 0.8, 
      0.8}, {1, 0.8, 0.4}, {1, 0.6, 1}, {1, 0.4, 0.4}, {0.7, 1, 0}, {0.2, 0.8,
       0.7}}, {{0, 1, 1}, {1, 1, 0}, {0, 1, 1}, {0, 1, 0}, {1, 0, 1}, {1, 0, 
      0}, {1, 0.6, 0}, {0.8, 0.6, 0.5}, {0.6, 0.4, 0.8}, {0.7, 0.8, 0.7}, {
      0.2, 0.8, 0.7}, {0.7, 1, 0}, {1, 0.4, 0.4}, {1, 0.6, 1}, {
      1, 0.8, 0.4}, {0.5, 0.8, 0.8}, {0.4, 0.2, 1}, {0.2, 0.6, 0.4}, {0.8, 
      0.2, 0.5}, {0.6, 0.6, 0.2}, {0.5, 0.6, 0.8}, {0.8, 0.6, 0.2}, {0.6, 0.4,
       0.4}, {1, 0.8, 0.7}, {0, 0, 1}, {0, 0.6, 1}}, {{1, 0, 1}, {1, 1, 0}, {
      1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}, {0.8, 0.6, 0.5}, {0.5, 0.6, 0.8}, {0.8, 
      0.2, 0.5}, {0.8, 0.6, 0.2}, {0.6, 0.6, 0.2}, {1, 0.4, 0.4}, {0.2, 0.8, 
      0.7}, {1, 0.6, 1}, {0.7, 1, 0}, {0, 0, 1}, {0.6, 0.4, 0.4}, {
      0, 0.6, 1}, {1, 0.8, 0.7}, {0.4, 0.2, 1}, {1, 0.8, 0.4}, {0.2, 0.6, 
      0.4}, {0.5, 0.8, 0.8}}, {{1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1,
      1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 
     0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1,
      1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 
     0}, {1, 1, 0}, {1, 1, 
     0}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {
      0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0.8, 0.6, 0.5}, {0.5, 
      0.6, 0.8}, {0.8, 0.2, 0.5}, {0.8, 0.6, 0.2}, {0.6, 0.6, 0.2}, {
      1, 0.4, 0.4}, {0.2, 0.8, 0.7}, {1, 0.6, 1}, {0.7, 1, 0}, {0, 0, 1}, {
      0.6, 0.4, 0.4}, {0, 0.6, 1}, {1, 0.8, 0.7}, {0.4, 0.2, 1}, {
      1, 0.8, 0.4}, {0.2, 0.6, 0.4}, {0.5, 0.8, 0.8}}}], InsetBox[
    TagBox[
     StyleBox["\<\"\[CenterDot]\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0.5, 25.5}], {InsetBox[
     TagBox[
      StyleBox["\<\"0\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 24.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"1\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 23.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 22.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 21.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"4\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 20.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"w\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 19.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"2w\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 18.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3w\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 17.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"4w\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 16.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"1+w\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 15.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"2+w\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 14.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3+w\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 13.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"4+w\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 12.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"1+2w\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 11.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"2+2w\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 10.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3+2w\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 9.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"4+2w\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 8.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"1+3w\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 7.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"2+3w\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 6.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3+3w\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 5.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"4+3w\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 4.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"1+4w\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 3.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"2+4w\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 2.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"3+4w\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 1.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"4+4w\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 0.5}, {1, 0}]}, 
   LineBox[{{1, 0}, {1, 25}, {26, 25}}]},
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.442759025711375*^9}]
}, Open  ]],

Cell[TextData[{
 "Look carefully. You'll see there are no zero divisors in this ring. So this \
ring is a field. A basis for this ring is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", " ", "w"}], "}"}], TraditionalForm]]],
 ", so we can use the ",
 StyleBox["CheckField",
  FontWeight->"Bold"],
 " command"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CheckField[{1,w}]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Identity element = \"\>", "\[InvisibleSpace]", "1"}],
  SequenceForm["Identity element = ", 1],
  Editable->False]], "Print",
 CellChangeTimes->{3.44275902832075*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"An element is invertable as long as \"\>", "\[InvisibleSpace]",
    
   RowBox[{
    SuperscriptBox[
     RowBox[{"C", "[", "1", "]"}], "2"], "+", 
    RowBox[{"3", " ", 
     RowBox[{"C", "[", "1", "]"}], " ", 
     RowBox[{"C", "[", "2", "]"}]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox[
      RowBox[{"C", "[", "2", "]"}], "2"]}]}], 
   "\[InvisibleSpace]", "\<\" is not zero.\"\>", 
   "\[InvisibleSpace]", "\<\" \"\>"}],
  SequenceForm[
  "An element is invertable as long as ", C[1]^2 + 3 C[1] C[2] + 3 C[2]^2, 
   " is not zero.", " "],
  Editable->False]], "Print",
 CellChangeTimes->{3.442759028336375*^9}],

Cell[BoxData["\<\"This is a field.\"\>"], "Print",
 CellChangeTimes->{3.442759028367625*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The inverse of \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"C", "[", "1", "]"}], "+", 
    RowBox[{"w", " ", 
     RowBox[{"C", "[", "2", "]"}]}]}], 
   "\[InvisibleSpace]", "\<\" is given by \"\>", "\[InvisibleSpace]", 
   FractionBox[
    RowBox[{
     RowBox[{"C", "[", "1", "]"}], "+", 
     RowBox[{"3", " ", 
      RowBox[{"C", "[", "2", "]"}]}], "+", 
     RowBox[{"4", " ", "w", " ", 
      RowBox[{"C", "[", "2", "]"}]}]}], 
    RowBox[{
     SuperscriptBox[
      RowBox[{"C", "[", "1", "]"}], "2"], "+", 
     RowBox[{"3", " ", 
      RowBox[{"C", "[", "1", "]"}], " ", 
      RowBox[{"C", "[", "2", "]"}]}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox[
       RowBox[{"C", "[", "2", "]"}], "2"]}]}]]}],
  SequenceForm[
  "The inverse of ", C[1] + $CellContext`w C[2], 
   " is given by ", (C[1] + 3 C[2] + 4 $CellContext`w C[2])/(C[1]^2 + 
   3 C[1] C[2] + 3 C[2]^2)],
  Editable->False]], "Print",
 CellChangeTimes->{3.44275902838325*^9}]
}, Open  ]],

Cell[TextData[{
 "to verify that this is indeed a field. \n\nHow would we describe this \
field? As in the case of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Z", "3"], "[", "x", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["x", "2"], "+", "1"}], ")"}]}], TraditionalForm]]],
 ", we can consider every element of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " as a polynomial of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "5"], "[", "x", "]"}], TraditionalForm]]],
 " for which ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " was replaced by ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 ". That is, we consider the evaluation homomorphism\n  \n                    \
",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[Phi]", "w"], ":", 
    RowBox[{
     RowBox[{"H", "[", "x", "]"}], " ", "\[RightArrow]", " ", "H"}]}], 
   TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437911808125*^9, 3.437911820328125*^9}}],

Cell[TextData[{
 "However, we can restrict this homomorphism to apply only to polynomials in \
",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "5"], "[", "x", "]"}], TraditionalForm]]],
 ".",
 Cell[BoxData[
  FormBox[" ", TraditionalForm]]],
 "\n\n                       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubsuperscriptBox["\[Phi]", "w", "\[Prime]"], ":", 
    RowBox[{
     RowBox[{
      SubscriptBox["Z", "5"], "[", "x", "]"}], " ", "\[RightArrow]", " ", 
     "H"}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43791182084375*^9, 3.43791185678125*^9}}],

Cell[TextData[{
 "The kernal of this homomorphism is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["x", "2"], "+", " ", 
     RowBox[{"2", " ", "x"}], " ", "+", " ", "3"}], ")"}], 
   TraditionalForm]]],
 ", and the image is certainly all of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ".  So by the first ring isomorphism theorem (10.2), we have\n\n             \
     ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", " ", 
    StyleBox["\[TildeTilde]",
     FontSize->16], " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["Z", "5"], "[", "x", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["x", "2"], "+", " ", 
       RowBox[{"2", "x"}], " ", "+", " ", "3"}], ")"}]}]}], 
   TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43791186396875*^9, 3.4379118655*^9}, {
  3.4390620013125*^9, 3.439062007890625*^9}}],

Cell[TextData[{
 "Thus we have found a way to form fields out of polynomial rings. \n\n\
PROPOSITION 13.1\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a field, and let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " be an irreducible polynomial of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "x", "]"}], TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"K", "[", "x", "]"}], "/", 
    RowBox[{"(", " ", 
     RowBox[{"f", "(", "x", ")"}], " ", ")"}]}], TraditionalForm]]],
 " is a field which contains ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " as a subfield."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43791187490625*^9, 3.437911876171875*^9}, {
  3.43791258365625*^9, 3.437912583765625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Since ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a field, by corollary 12.7 ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "x", "]"}], TraditionalForm]]],
 " is a principle ideal domain. Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " is an irreducible element of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "x", "]"}], TraditionalForm]]],
 ", we have by lemma 12.6 that the quotient ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", " ", "=", " ", 
    RowBox[{
     RowBox[{"K", "[", "x", "]"}], "/", 
     RowBox[{"(", " ", 
      RowBox[{"f", "(", "x", ")"}], " ", ")"}]}]}], TraditionalForm]]],
 " is a field. \n\nFinally, we need to show that the field ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " contains ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " as a subfield. Consider the mapping\n\n                                    \
 ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", ":", " ", 
    RowBox[{"K", " ", "\[RightArrow]", " ", "H"}]}], TraditionalForm]]],
 "\ngiven by\n                                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "y", ")"}], " ", "=", " ", 
    RowBox[{"y", " ", "+", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"f", "(", "x", ")"}], ")"}], "."}]}]}], TraditionalForm]]],
 "\n\nThis is certainly a homomorphism, since it is a restriction of the \
natural homomorphism from ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "x", "]"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"K", "[", "x", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"f", "(", "x", ")"}], ")"}]}], TraditionalForm]]],
 ". The kernel of ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is just ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", "0", "}"}], TraditionalForm]]],
 ", so the image is isomorphic to ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"K", "[", "x", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"f", "(", "x", ")"}], ")"}]}], TraditionalForm]]],
 " contains ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " as a subfield."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437911877109375*^9, 3.437911881984375*^9}, {
  3.4379126085625*^9, 3.4379126174375*^9}}]
}, Open  ]],

Cell[TextData[{
 "DEFINITION 13.1:\nThe field formed in proposition 13.1 is called the ",
 StyleBox["extension field of",
  FontSlant->"Italic"],
 "  ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " ",
 StyleBox["through the irreducible polynomial",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], "."}], TraditionalForm]]],
 "\n                        \nLet us do another example. Suppose we want to \
look for a ",
 StyleBox["third",
  FontSlant->"Italic"],
 " degree polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "3"], "[", "x", "]"}], TraditionalForm]]],
 " that is irreducible."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437911882875*^9, 3.437911883421875*^9}, {
  3.437912644609375*^9, 3.437912650921875*^9}}],

Cell[CellGroupData[{

Cell["\<\
InitDomain[3]
Z3 = Ring[{1}]\
\>", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "1", ",", "2"}], "}"}]], "Output",
 CellChangeTimes->{3.442759042648875*^9}]
}, Open  ]],

Cell["\<\
The only way to find such a polynomial is by trial and error. Let us try the \
following polynomial:\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Factor[x^3 + x^2 + x + 1,Z3]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437911883921875*^9, 3.4379118845*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"1", "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", 
    SuperscriptBox["x", "2"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.442759044992625*^9}]
}, Open  ]],

Cell[TextData[{
 "Unfortunately, this polynomial does reduce in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "3"], "[", "x", "]"}], TraditionalForm]]],
 ". \n\nEXPERIMENT:\nTry changing one or more of the coefficients so that the \
resulting polynomial is irreducible. Leave the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["x", "3"], TraditionalForm]]],
 " term as it is. There is more than one solution."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43791188509375*^9, 3.437911893234375*^9}}],

Cell["  ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Once we have found an irreducible polynomial of degree three, we are ready \
to define a new field. We will let a be one of the zeros of the polynomial, \
and we will solve for ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["a", "3"], TraditionalForm]]],
 ". That is, for the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "+", " ", 
    SuperscriptBox["x", "2"], " ", "+", " ", "x", " ", "+", " ", "1"}], 
   TraditionalForm]]],
 ", we would let\n\n                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SuperscriptBox["a", "3"], " ", "=", " ", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["a", "2"]}], " ", "-", " ", "a", " ", "-", " ", 
      "1."}]}]}], TraditionalForm]]],
 "\n\nEXPERIMENT:\nDetermine what ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["a", "3"], TraditionalForm]]],
 " would be using ",
 StyleBox["your",
  FontSlant->"Italic"],
 " polynomial which you found from the last experiment. Fill in the space \
with the answer, and execute it to produce a multiplication table, and \
verification that your ring is a field."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43791189384375*^9, 3.437911894484375*^9}}],

Cell["\<\
Define[a^3,               ]  
R = Ring[{1,a,a^2}]
MultTable[R]
CheckField[{1,a,a^2}]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Note that since the irreducible polynomial was a cubic, the elements of the \
field sometimes had to be expressed in terms of ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["a", "2"], TraditionalForm]]],
 ". This is why the basis for this ring was ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "a", ",", 
      SuperscriptBox["a", "2"]}], "}"}], "."}], TraditionalForm]]],
 " In general, of the degree of the polynomial is ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]]],
 ", then the basis of the ring will be\n\n               ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", " ", "a", ",", " ", 
      SuperscriptBox["a", "2"], ",", " ", 
      SuperscriptBox["a", "3"], ",", " ", 
      RowBox[{"\[Ellipsis]", " ", 
       SuperscriptBox["a", 
        RowBox[{"d", "-", "1"}]]}]}], "}"}], "."}], TraditionalForm]]],
 "\n\nThus, in the above example there were ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["3", "3"], " ", "=", " ", "27"}], TraditionalForm]]],
 " elements. It is not hard to prove the following generalization."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.414247961039125*^9}],

Cell[TextData[{
 "\nPROPOSITION 13.2\nLet ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " be a prime number, and let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"A", "(", "x", ")"}], TraditionalForm]]],
 " be an irreducible polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "p"], "[", "x", "]"}], TraditionalForm]]],
 " of degree ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]]],
 ". Then the field    \n                                           ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Z", "p"], "[", "x", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"A", "(", "x", ")"}], ")"}], " "}], TraditionalForm]]],
 "\nhas order ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "d"], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.414247961039125*^9, {3.43791189978125*^9, 3.437911901234375*^9}, {
   3.437912708140625*^9, 3.43791270825*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "By the division algorithm theorem (12.1), every element ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SubscriptBox["Z", "p"],
     TraditionalForm], "[", "x", "]"}], TraditionalForm]]],
 " can be written\n\n                            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"q", "(", "x", ")"}], "\[CenterDot]", 
      RowBox[{"A", "(", "x", ")"}]}], " ", "+", " ", 
     RowBox[{"r", "(", "x", ")"}]}]}], TraditionalForm]]],
 "\n\nwhere either ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", "(", "x", ")"}], TraditionalForm]]],
 " is 0, or the degree of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", "(", "x", ")"}], TraditionalForm]]],
 " is less than ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]]],
 ". Thus, the typical element of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ":\n\n                                      ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"f", "(", "x", ")"}], " ", "+", " ", 
     RowBox[{"(", 
      RowBox[{"A", "(", "x", ")"}], ")"}]}], ","}], TraditionalForm]]],
 "\n\ncould be written as ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"r", "(", "x", ")"}], " ", "+", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"A", "(", "x", ")"}], ")"}], "."}]}], TraditionalForm]]],
 " Furthermore, the ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", "(", "x", ")"}], TraditionalForm]]],
 " is uniquely determined from the division algorithm theorem. Thus, there \
are as many elements in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " as there are polynomials in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SubscriptBox["Z", "p"],
     TraditionalForm], "[", "x", "]"}], TraditionalForm]]],
 " with degree less than ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]]],
 ", counting the zero polynomial. All such polynomials can be written\n\n     \
         ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["a", "0"], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "1"], " ", "x"}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "2"], 
      SuperscriptBox["x", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "3"], 
      SubscriptBox["x", 
       RowBox[{"3", " "}]]}], "+", " ", "\[Ellipsis]", " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", 
       RowBox[{"d", "-", "1"}]], " ", 
      SuperscriptBox[
       RowBox[{"x", " "}], 
       RowBox[{"d", "-", "1"}]]}]}], ","}], TraditionalForm]]],
 "\n\nwith each ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["a", "i"], TraditionalForm]]],
 " between 0 and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "-", "1"}], TraditionalForm]]],
 ", inclusively. Since there are ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]]],
 " coefficients, each of which can be ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " different numbers, there are exactly ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "d"], TraditionalForm]]],
 "  possible polynomials of degree less than ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", "K", "|"}], " ", "=", " ", 
    SuperscriptBox["p", "d"]}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437911901875*^9, 3.43791190909375*^9}, {
  3.43791272421875*^9, 3.43791276*^9}}]
}, Open  ]],

Cell[TextData[{
 "\nEXPERIMENT:\nIn the above experiment, you created a field ",
 Cell[BoxData[
  FormBox["R", TraditionalForm]]],
 " for which an irreducible polynomial in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 " now has a zero. Let us verify that this polynomial factors over the new \
field. Replace the polynomial in the command below with your polynomial, and \
execute."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["Factor[x^3 + x^2 + x + 1, R]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.43791191153125*^9, 3.437911911953125*^9}}],

Cell[TextData[{
 "How many zeros does this cubic have over ",
 Cell[BoxData[
  FormBox["R", TraditionalForm]]],
 "?\n\nWhenever a finite field is defined by an extensions through an \
irreducible polynomial, the order of the field will be a power of a prime. We \
would like to show that all finite fields are produced in this way. So \
naturally we begin by showing that all finite fields have an order which is a \
power of a prime number. "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.41424797299225*^9}],

Cell[TextData[{
 "\nPROPOSITION 13.3\nSuppose ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a finite division ring. Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", "K", "|"}], " ", "=", " ", 
    SuperscriptBox["p", "n"]}], TraditionalForm]]],
 " for some prime ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " and some integer ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.41424797299225*^9, {3.437912805765625*^9, 3.437912805890625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let ",
 Cell[BoxData[
  FormBox["q", TraditionalForm]]],
 " be the order of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". From the additive structure of the ring, we see that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"q", "\[CenterDot]", "x"}], " ", "=", " ", "0"}], 
   TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Thus, the characteristic is positive, and by proposition 11.2, the \
characteristic is a prime number, ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 ".\n\nSuppose that ",
 Cell[BoxData[
  FormBox["q", TraditionalForm]]],
 " has a prime factor ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " other than ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 ". Then the additive group of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " must have a subgroup of order ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 ", according to lemma 6.2. Hence",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"r", "\[CenterDot]", "x"}], " ", "=", " ", "0"}]}], 
   TraditionalForm]]],
 " for some element ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". But this contradicts proposition 11.2, since ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " is not divisible by ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 ". Therefore, ",
 Cell[BoxData[
  FormBox["q", TraditionalForm]]],
 " has no prime factors other than ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 ", so ",
 Cell[BoxData[
  FormBox[
   RowBox[{"q", " ", "=", " ", 
    SuperscriptBox["p", "n"]}], TraditionalForm]]],
 " for some integer ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". "
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43791283109375*^9, 3.437912857421875*^9}}]
}, Open  ]],

Cell[TextData[{
 "According to this proposition, it is impossible to find a field of order 6. \
However, it is still possible to find a field of order 4. Let us see if we \
can find one. Since a field of order 4 must have characteristic 2, let us \
begin by loading ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
InitDomain[2]
Z2 = Ring[{1}]\
\>", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.44275909163325*^9}]
}, Open  ]],

Cell[TextData[{
 "Now let us try to find a second degree irreducible polynomial in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Factor[x^2 + 1,Z2]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.4379119126875*^9}],

Cell[BoxData[
 SuperscriptBox[
  RowBox[{"(", 
   RowBox[{"1", "+", "x"}], ")"}], "2"]], "Output",
 CellChangeTimes->{3.442759094523875*^9}]
}, Open  ]],

Cell[TextData[{
 "This polynomial factored, and in fact, has a double root.\n\nEXPERIMENT:\n\
Change the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", "1"}], TraditionalForm]]],
 " in the above statement to find a second degree irreducible polynomial. \
Once this is found, use a define command to define the element ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " to be a root of this polynomial. Find the ring generated by ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ", and display a multiplication table of this ring to verify that it is a \
field."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437911915046875*^9, 3.437911915046875*^9}}],

Cell["  ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "As we see from this example, it is fairly easy to enter finite groups into \
",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", as long as they can be expressed as an extension field of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "p"], TraditionalForm]]],
 " through some irreducible polynomial of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "p"], "[", "x", "]"}], TraditionalForm]]],
 ". In the next section, we will show that all finite fields can be obtained \
in this way. In fact, our goal will be to clasify ",
 StyleBox["all",
  FontSlant->"Italic"],
 " finite fields."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437911915640625*^9, 3.437911915640625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Properties of Finite Fields", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "In the last example we starting looking at examples of finite fields. In \
this section we want to explore the properties that all finite fields have in \
common. In the process, we will discover that there aren't as many finite \
fields as one would expect.\n\nWe begin by observing that if ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is a finite field, that the multiplicative group ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["F", "*"], TraditionalForm]]],
 " must be a finite abelian group. The natural question one would ask is \
\"which abelian group is ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["F", "*"], TraditionalForm]]],
 "?\" If the field is of order ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "n"], TraditionalForm]]],
 ", the group ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["F", "*"], TraditionalForm]]],
 " has order ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["p", "n"], "-", "1"}], TraditionalForm]]],
 ". From the fundemental theroem on abelian groups, the possible groups of \
order ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["p", "n"], "-", "1"}], TraditionalForm]]],
 " is limited. Perhaps by experimenting, we can get a clue as to which \
abelian group of order ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["p", "n"], "-", "1"}], TraditionalForm]]],
 " is produced.\n\nEXPERIMENT:\nReload the field of \"complex numbers modulo \
3\"."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
InitDomain[3]
Define[i^2,-1]
K = Ring[{i}]
MultTable[K]\
\>", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "1", ",", "2", ",", "i", ",", 
   RowBox[{"2", " ", "i"}], ",", 
   RowBox[{"1", "+", "i"}], ",", 
   RowBox[{"2", "+", "i"}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "i"}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "i"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.442759102711375*^9}],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.8, 0.6, 0.5}, {1, 1, 0}, {0.8, 0.6, 0.5}, {0.6, 0.4, 0.8}, {
      0.7, 0.8, 0.7}, {1, 0.6, 0}, {1, 0, 0}, {0, 1, 1}, {1, 0, 1}, {0, 1, 
      0}}, {{0.7, 0.8, 0.7}, {1, 1, 0}, {0.7, 0.8, 0.7}, {1, 0.6, 0}, {0.6, 
      0.4, 0.8}, {0.8, 0.6, 0.5}, {0, 1, 1}, {0, 1, 0}, {1, 0, 0}, {1, 0, 
      1}}, {{1, 0.6, 0}, {1, 1, 0}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0.8, 0.6, 
      0.5}, {0.6, 0.4, 0.8}, {1, 0, 1}, {1, 0, 0}, {0, 1, 0}, {0, 1, 1}}, {{
      0.6, 0.4, 0.8}, {1, 1, 0}, {0.6, 0.4, 0.8}, {0.8, 0.6, 0.5}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 
      0}}, {{0, 1, 0}, {1, 1, 0}, {0, 1, 0}, {1, 0, 0}, {1, 0, 1}, {0, 1, 
      1}, {0.7, 0.8, 0.7}, {0.6, 0.4, 0.8}, {0.8, 0.6, 0.5}, {1, 0.6, 0}}, {{
      1, 0, 0}, {1, 1, 0}, {1, 0, 0}, {0, 1, 0}, {0, 1, 1}, {1, 0, 1}, {
      1, 0.6, 0}, {0.8, 0.6, 0.5}, {0.6, 0.4, 0.8}, {0.7, 0.8, 0.7}}, {{0, 1, 
      1}, {1, 1, 0}, {0, 1, 1}, {1, 0, 1}, {0, 1, 0}, {1, 0, 0}, {0.8, 0.6, 
      0.5}, {0.7, 0.8, 0.7}, {1, 0.6, 0}, {0.6, 0.4, 0.8}}, {{1, 0, 1}, {1, 1,
       0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}, {0.8, 0.6, 0.5}}, {{1, 1, 0}, {1, 1, 0}, {
     1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 
     0}, {1, 1, 
     0}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {
      0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0.8, 0.6, 0.5}}}], 
   InsetBox[
    TagBox[
     StyleBox["\<\"\[CenterDot]\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0.5, 9.5}], {InsetBox[
     TagBox[
      StyleBox["\<\"0\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {1.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"1\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {2.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {3.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {4.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {5.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"1+i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {6.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2+i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {7.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"1+2i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {8.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2+2i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {9.5, 9.5}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"0\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"1\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 7.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 5.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 4.5}], InsetBox[
     TagBox[
      StyleBox["\<\"1+i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 3.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2+i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 2.5}], InsetBox[
     TagBox[
      StyleBox["\<\"1+2i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 1.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2+2i\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 0.5}]}, {{InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 8.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 7.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 6.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 5.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 4.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 3.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 2.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 1.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2i\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 0.5}]}}, 
   LineBox[{{1, 0}, {1, 9}, {10, 9}}]}]], "Output",
 CellChangeTimes->{3.44275910288325*^9}]
}, Open  ]],

Cell[TextData[{
 "Study the multiplication table, and determine which of the three groups\n\n \
            ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "8"], TraditionalForm]]],
 "  ,   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "2"], "\[Times]", " ", 
    SubscriptBox["Z", "4"]}], TraditionalForm]]],
 "  ,  or   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "2"], "\[Times]", " ", 
    SubscriptBox["Z", "2"], "\[Times]", " ", 
    SubscriptBox["Z", "2"]}], TraditionalForm]]],
 "\n\nis formed by ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["K", "*"], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["    ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "We can find the multiplicative group for some of the other finite fields \
that we found in the last section very easily. For example, the field of \
order 4 has a multiplicative group of order 3, so this group must be ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 ". \n\nOn the other hand, the field of order 27 must have a group of order \
26 as its multiplicative group. By the fundemental theorem of abelian groups, \
there is only one such group:  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "26"], TraditionalForm]]],
 ". So in all of the cases we have explored, the multiplicative group of a \
finite field turns out to be cyclic. Let us see if we can prove this using \
the fundemental theorem of abelian groups."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.41424799361725*^9}],

Cell[TextData[{
 "\nPROPOSITION 13.4\nIf ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is a finite field, then the multiplicative group ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["F", "*"], TraditionalForm]]],
 " is a cyclic group."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.41424799361725*^9, {3.437913000984375*^9, 3.437913001515625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   SuperscriptBox["F", "*"], TraditionalForm]]],
 " is abelian, and so by the fundamental theorem of abelian groups (6.2), \n\n\
  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["F", "*"], " ", "\[TildeTilde]", " ", 
    RowBox[{
     SubscriptBox["Z", 
      SubscriptBox["d", "1"]], "\[Times]", "  ", 
     SubscriptBox["Z", 
      SubscriptBox["d", "2"]], " ", "\[Times]", "  ", 
     SubscriptBox[
      RowBox[{"Z", " "}], 
      SubscriptBox["d", "3"]], " ", "\[Times]", "  ", "\[Ellipsis]", " ", 
     "\[Times]", "  ", 
     RowBox[{
      SubscriptBox["Z", 
       SubscriptBox["d", "n"]], "."}]}]}], TraditionalForm]]],
 "\n  \nwhere the ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["d", "i"], TraditionalForm]]],
 "  are all powers of prime numbers. Let ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]]],
 " be the least common multiple of the set",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["d", "1"], ",", " ", 
       SubscriptBox["d", "2"], ",", " ", 
       SubscriptBox["d", "3"], ",", " ", "\[Ellipsis]", " ", ",", " ", 
       SubscriptBox["d", "n"]}], "}"}], "."}]}], TraditionalForm]]],
 " Then for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["F", "*"], TraditionalForm]]],
 ", we have that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "d"], "=", " ", "1"}], TraditionalForm]]],
 ". Thus, the polynomial  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "d"], "-", "  ", "1"}], TraditionalForm]]],
 "  has ",
 Cell[BoxData[
  FormBox[
   RowBox[{"|", 
    SuperscriptBox["F", "*"], "|"}], TraditionalForm]]],
 " solutions. By corollary 12.2, ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]]],
 " must be at least ",
 Cell[BoxData[
  FormBox[
   RowBox[{"|", 
    SuperscriptBox["F", "*"], "|"}], TraditionalForm]]],
 ". But we also have\n\n     ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{"|", 
       SuperscriptBox["F", "*"], "|"}], " ", "=", " ", 
      RowBox[{
       SubscriptBox["d", "1"], "\[CenterDot]", " ", 
       SubscriptBox["d", "2"], "\[CenterDot]", " ", 
       SubscriptBox["d", "3"], "\[CenterDot]", " ", "\[Ellipsis]", " ", 
       "\[CenterDot]", " ", 
       SubscriptBox["d", "n"]}]}], ","}]}], TraditionalForm]]],
 "\n\nso ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]]],
 " is at most ",
 Cell[BoxData[
  FormBox[
   RowBox[{"|", 
    SuperscriptBox["F", "*"], "|", "."}], TraditionalForm]]],
 " Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"d", " ", "=", " ", 
    RowBox[{"|", 
     SuperscriptBox["F", "*"], "|"}]}], TraditionalForm]]],
 ", and so ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["d", "1"], ",", 
    SubscriptBox["d", "2"], ",", " ", 
    SubscriptBox["d", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
    SubscriptBox["d", "n"]}], TraditionalForm]]],
 "  are coprime. Therefore, the group ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["F", "*"], TraditionalForm]]],
 " is cyclic."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.414248021851625*^9, 3.414248030914125*^9}, {
  3.4379119343125*^9, 3.4379119343125*^9}, {3.43791302559375*^9, 
  3.437913048125*^9}}]
}, Open  ]],

Cell["\<\
Now that the multiplicative group is completely understood for a finite \
field, let us turn our attention to the group of automorphisms on the field. \
We have previously seen examples where the group of automorphisms gave us \
insight into the structure of a ring, and finite fields are no exception. We \
begin by proving some basic lemmas in number theory.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.414248058039125*^9}],

Cell[TextData[{
 "\nLEMMA 13.1\nIf ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " is a prime, then  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["n", "p"], " ", "\[Congruent]", " ", 
    RowBox[{"n", " ", 
     RowBox[{"(", 
      RowBox[{"Mod", " ", "p"}], ")"}]}]}], TraditionalForm]]],
 "  for all integers ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.414248058039125*^9, {3.437913077640625*^9, 3.43791307815625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Since ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "p", "*"], TraditionalForm]]],
 " is of order ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "-", "1"}], TraditionalForm]]],
 ", we have by corollary 3.2 that         \n\n                        ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SuperscriptBox["n", 
      RowBox[{" ", 
       RowBox[{"p", "-", "1"}]}]], "=", " ", "1"}]}], TraditionalForm]]],
 "\n\nfor all elements ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "p", "*"], TraditionalForm]]],
 ". (This result is commonly called Fermat's little theorem.) If we multiply \
both sides by ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", \n\n                            ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SuperscriptBox["n", "p"], "=", " ", "n"}]}], TraditionalForm]]],
 ",\n\nwe have a statement that is true for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", "0"}], TraditionalForm]]],
 " as well. Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SuperscriptBox["n", "p"],
     TraditionalForm], " ", "=", " ", "n"}], TraditionalForm]]],
 "  for all ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " in the ring ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "p"], TraditionalForm]]],
 ". This statement, when converted into modular notation, becomes\n\n         \
                            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["n", "p"], " ", "\[Congruent]", " ", 
    RowBox[{"n", "  ", 
     RowBox[{"(", 
      RowBox[{"Mod", " ", "p"}], ")"}]}]}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.414248071789125*^9, 3.414248071789125*^9}, {
  3.437913092359375*^9, 3.437913124515625*^9}}]
}, Open  ]],

Cell[TextData[{
 "The next lemma starts to reveal the automorphism we are looking for. \n\n\
LEMMA 13.2\nIf ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is a field of characteristic ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 ", then for all ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", " ", "\[Element]", "F"}], ","}], TraditionalForm]]],
 " the polynomial \n\n                   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"x", "+", " ", "g"}], ")"}], "p"], "  ", "-", " ", 
     SuperscriptBox["x", "p"], "  ", "-", " ", 
     SuperscriptBox["g", 
      RowBox[{"p", " "}]]}]}], TraditionalForm]]],
 "\n\nis the zero polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379119465*^9, 3.437911948125*^9}, {
  3.437913186234375*^9, 3.437913244796875*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "If ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "=", "0"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      SuperscriptBox["x", "p"], "-", " ", 
      SuperscriptBox["x", "p"]}], " ", "=", " ", "0"}]}], TraditionalForm]]],
 ", so the result is trivial. Let us suppose that ",
 Cell[BoxData[
  FormBox["g", TraditionalForm]]],
 " is non-zero. \n\nNote that the leading term of ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"x", "+", " ", "g"}], ")"}], "p"], TraditionalForm]]],
 "  is ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["x", "p"], TraditionalForm]]],
 ", which we cancel in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 ". Thus,\n",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " has degree at most ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "-", "1"}], TraditionalForm]]],
 ". Yet for every ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ",   ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "\[CenterDot]", "g"}], TraditionalForm]]],
 " is a root. Observe that\n\n      ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", 
     RowBox[{"n", "\[CenterDot]", "g"}], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"n", "\[CenterDot]", "g"}], " ", "+", " ", "g"}], ")"}], 
       "p"], " ", "-", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"n", "\[CenterDot]", "g"}], ")"}], "p"], " ", "-", " ", 
      SuperscriptBox["g", "p"]}], "  ", "=", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"n", "+", "1"}], ")"}], "p"], " ", "-", " ", 
        SuperscriptBox[
         RowBox[{"n", " "}], "p"], " ", "-", " ", "1"}], ")"}], " ", 
      "\[CenterDot]", " ", 
      RowBox[{
       SuperscriptBox["g", "p"], ".", "  "}]}]}]}], TraditionalForm]]],
 "\n     \nBy lemma 13.1, \n\n                     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"n", "+", "1"}], ")"}], "p"], " ", "\[Congruent]", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"n", "+", "1"}], ")"}], "  ", 
     RowBox[{"(", 
      RowBox[{"Mod", " ", "p"}], ")"}]}]}], TraditionalForm]]],
 "   and  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["n", "p"], " ", "\[Congruent]", " ", 
    RowBox[{"n", "  ", 
     RowBox[{"(", 
      RowBox[{"Mod", " ", "p"}], ")"}]}]}], TraditionalForm]]],
 ".\nThus, \n                    ",
 Cell[BoxData[
  FormBox[
   RowBox[{"  ", 
    RowBox[{
     FormBox[
      RowBox[{
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"n", "+", "1"}], ")"}], "p"], " ", "-", " ", 
        SuperscriptBox["n", "p"], " ", "-", " ", "1"}], " ", "\[Congruent]", 
       " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"n", "+", "1"}], ")"}], " ", "-", " ", "n", " ", "-", " ", 
        "1", " "}]}],
      TraditionalForm], "\[Congruent]", " ", 
     RowBox[{"0", "  ", 
      RowBox[{"(", 
       RowBox[{"Mod", " ", "p"}], ")"}]}]}]}], TraditionalForm]]],
 ".\n                    \nSo because ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " has characteristic ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 ", we have ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", 
     RowBox[{"n", "\[CenterDot]", "g"}], ")"}], " ", "=", " ", "0."}], 
   TraditionalForm]]],
 "\nSince ",
 Cell[BoxData[
  FormBox["g", TraditionalForm]]],
 " is non-zero, the values\n\n                        ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"{", " ", 
     RowBox[{"0", ",", " ", "g", ",", " ", 
      RowBox[{"2", "g"}], ",", " ", 
      RowBox[{"3", "g"}], ",", " ", "\[Ellipsis]", " ", ",", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p", "-", "1"}], ")"}], "g"}]}], " ", "}"}]}], 
   TraditionalForm]]],
 "\n\nare all distinct in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " has ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " distinct roots. But corollary 12.2\nshows us that if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " were non-zero, there would be at most ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "-", "1"}], TraditionalForm]]],
 " roots. Thus,   \n",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " must be the zero polynomial."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437911949640625*^9, 3.437911955078125*^9}, {
  3.437913259078125*^9, 3.437913358859375*^9}}]
}, Open  ]],

Cell[TextData[{
 "We are now ready to produce one automorphism on a finite field, which we \
will use to generate all other automorphisms.\n\nTHEOREM 13.1:  THE FROBENIUS \
AUTOMORPHISM THEOREM\nIf ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is a finite field of characteristic ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 ", then the mapping \n\n                     ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", ":", " ", 
    RowBox[{"x", "\[RightArrow]", " ", 
     SuperscriptBox["x", "p"]}]}], TraditionalForm]]],
 "\n                     \nforms an automorphism of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " to itself. Furthermore, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "y", ")"}], "=", " ", "y"}], 
   TraditionalForm]]],
 "\nif, and only if, ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " is in the subfield ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "p"], TraditionalForm]]],
 ". This automorphism is called the ",
 StyleBox["frobenious automorphism on ",
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437913374015625*^9, 3.43791337453125*^9}, {
  3.4419830741202497`*^9, 3.4419830907296247`*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We first need to show that ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is a homomorphism. If ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is a field of characteristic ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 ", then by lemma 13.2 we have that \n\n                      ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"x", " ", "+", " ", "g"}], ")"}], "p"], "  ", "-", " ", 
      SuperscriptBox["x", "p"], "  ", "-", " ", 
      SuperscriptBox["g", "p"]}], "  ", "=", " ", "0"}]}], 
   TraditionalForm]]],
 "\n\nfor all ",
 Cell[BoxData[
  FormBox["g", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Thus, we have the identity\n\n            ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      RowBox[{"x", " ", "+", " ", "y"}], ")"}], " ", "=", " ", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"x", " ", "+", " ", "y"}], ")"}], "p"], "  ", "=", " ", 
      RowBox[{
       RowBox[{
        SuperscriptBox["x", "p"], "  ", "+", " ", 
        SuperscriptBox["y", "p"]}], "  ", "=", " ", 
       RowBox[{
        RowBox[{"\[Florin]", "(", "x", ")"}], " ", "+", " ", 
        RowBox[{
         RowBox[{"\[Florin]", "(", "y", ")"}], "."}]}]}]}]}]}], 
   TraditionalForm]]],
 "\n\nIt is also obvious that \n\n           ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      RowBox[{"x", "\[CenterDot]", "y"}], ")"}], " ", "=", " ", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"x", "\[CenterDot]", "y"}], ")"}], "p"], " ", "=", " ", 
      RowBox[{
       RowBox[{
        SuperscriptBox["x", "p"], "\[CenterDot]", " ", 
        SuperscriptBox["y", "p"]}], " ", "=", " ", 
       RowBox[{
        RowBox[{"\[Florin]", "(", "x", ")"}], " ", "\[CenterDot]", " ", 
        RowBox[{
         RowBox[{"\[Florin]", "(", "y", ")"}], "."}]}]}]}]}]}], 
   TraditionalForm]]],
 "\n\nSo ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is a homomorphism. The kernel of ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is obviously just 0, since ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["x", "p"], TraditionalForm]]],
 " = 0 implies that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "=", " ", "0"}], TraditionalForm]]],
 ", since ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " has no zero divisors. Therefore, the mapping is one-to-one. Since ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is a finite field, we can use the pigeon hole principle to show that the \
mapping is also onto. Therefore, ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is an automorphism.\n\nFinally, we need to show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "y", ")"}], " ", "=", " ", "y"}], 
   TraditionalForm]]],
 " if, and only if, ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " is in the subfield ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "p"], TraditionalForm]]],
 ". Note that this subfield is generated by the multiplicative identity, 1:\n\
\n                     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SubscriptBox["Z", "p"],
     TraditionalForm], " ", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", " ", "1", ",", " ", "2", ",", " ", "3", ",", " ", 
       RowBox[{
        RowBox[{"\[Ellipsis]", " ", "p"}], "-", "1"}]}], " ", "}"}], "."}]}], 
   TraditionalForm]]],
 "\n\nBy lemma 13.1, for any element in this subfield, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["x", "p"], " ", "=", " ", 
     RowBox[{"x", "."}]}]}], TraditionalForm]]],
 " On the other hand by corollary 12.2, the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "p"], "-", " ", "x"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 " cannot have more than ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " roots in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". We have already found ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " solutions, so there cannot be any more. Therefore, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "y", ")"}], " ", "=", " ", "y"}], 
   TraditionalForm]]],
 " if, and only if, ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "p"], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437911964390625*^9, 3.437911999234375*^9}, {
  3.437913397984375*^9, 3.437913408671875*^9}, {3.43791346140625*^9, 
  3.437913469890625*^9}}]
}, Open  ]],

Cell[TextData[{
 "Once we have the one automorphism ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 ", we can find more. For example, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", 
    RowBox[{"\[Florin]", "(", "x", ")"}], ")"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", 
    RowBox[{"\[Florin]", "(", 
     RowBox[{"\[Florin]", "(", "x", ")"}], ")"}], ")"}], TraditionalForm]]],
 " are automorphisms. Of course this eventually will produce the identity \
automorphism, and it is not hard to determine the order of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.4142481132735*^9}],

Cell[TextData[{
 "\nCOROLLARY 13.1\nLet ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be a finite field of order ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "n"], TraditionalForm]]],
 ". Then the Frobenius automorphism is of order ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " in the group of automorphisms. "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.4142481132735*^9, {3.437913488859375*^9, 3.43791348971875*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Note that the multiplicative group ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["F", "*"], TraditionalForm]]],
 ", has order ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["p", "n"], "-", " ", "1"}], TraditionalForm]]],
 ". Thus, by corollary 3.2, for every element ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["F", "*"], TraditionalForm]]],
 ", we have\n\n                        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["p", "n"], "-", "1"}], ")"}]], " ", "=", " ", "1."}], 
   TraditionalForm]]],
 "\n\nMultiplying both sides by ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " gives us ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", 
     SuperscriptBox["p", "n"]], " ", "=", " ", "x"}], TraditionalForm]]],
 "  for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["F", "*"], TraditionalForm]]],
 ", and also ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "=", " ", "0"}], TraditionalForm]]],
 ". Thus, this statement is true for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ".\n\nWe now note that\n                             ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Florin]", "n"], "(", "x", ")"}], " ", "=", 
    RowBox[{
     UnderscriptBox[
      RowBox[{" ", 
       UnderscriptBox[
        RowBox[{" ", 
         RowBox[{"f", "(", 
          RowBox[{"f", "(", 
           RowBox[{"f", "(", 
            RowBox[{
             RowBox[{"\[CenterEllipsis]", "(", 
              RowBox[{"f", "(", "x", ")"}], ")"}], "\[Ellipsis]"}], ")"}], 
           ")"}], ")"}]}], "\[UnderBrace]"]}], 
      RowBox[{"n", " ", "times"}]], " ", "=", " ", 
     RowBox[{
      SuperscriptBox["x", 
       SuperscriptBox["p", "n"]], " ", "=", " ", "x"}]}]}], 
   TraditionalForm]]],
 " \n                             \nfor all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", so ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Florin]", "n"], "(", "x", ")"}], " "}], 
   TraditionalForm]]],
 "yields the identity automorphism.\n\nTo show that the order of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " is not less than ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", suppose that the order was ",
 Cell[BoxData[
  FormBox[
   RowBox[{"d", " ", "<", " ", "n"}], TraditionalForm]]],
 ". Then  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Florin]", "d"], "(", "x", ")"}], " ", "=", " ", 
    SuperscriptBox["x", 
     SuperscriptBox["p", "d"]]}], TraditionalForm]]],
 "     would be ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ". But then the polynomial \n\n                                        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", 
     SuperscriptBox["p", "d"]], " ", "-", " ", "x", " "}], 
   TraditionalForm]]],
 "\n                                        \nwould have ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "n"], TraditionalForm]]],
 " solutions. This contradicts corollary 12.2, since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", ">", " ", "d"}], TraditionalForm]]],
 ". Therefore, the order of the Frobinius automorphism is ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43791201275*^9, 3.4379120154375*^9}, {
  3.437913512359375*^9, 3.437913512796875*^9}, {3.43791356228125*^9, 
  3.437913568703125*^9}}]
}, Open  ]],

Cell[TextData[{
 "One application that these automorphisms on ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " have is that they can be applied to polynomials in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". We first need to show some simple lemma to indicate how to apply the \
Frobenius automorphism to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "x", "]"}], TraditionalForm]]],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.4142482853985*^9, {3.43791201625*^9, 3.43791201625*^9}}],\


Cell[TextData[{
 "\nLEMMA 13.3\nAny isomorphism ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " which maps an integral domain ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " to an integral domain ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 " extends to an isomorphism mapping ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "x", "]"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"M", "[", "x", "]"}], TraditionalForm]]],
 ", with ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"x", "."}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.4142482853985*^9, {3.437912022046875*^9, 3.437912023484375*^9}, 
   3.437913580203125*^9}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Suppose ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " is an isomorphism mapping ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox[
   RowBox[{"w", "(", "x", ")"}], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "x", "]"}], TraditionalForm]]],
 ", with coefficients ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["a", "i"], TraditionalForm]]],
 ", we can define ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", 
    RowBox[{"w", "(", "x", ")"}], ")"}], TraditionalForm]]],
 " by \n\n ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", 
     RowBox[{"w", "(", "x", ")"}], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      RowBox[{
       StyleBox[
        UnderoverscriptBox[
         SubscriptBox[
          StyleBox["\[Sum]",
           FontSize->24], " "], 
         RowBox[{"i", "=", "0"}], "\[Infinity]"],
        FontSize->16], 
       RowBox[{
        SubscriptBox["a", "i"], 
        SuperscriptBox["x", "i"]}]}], ")"}], " ", "=", " "}]}], 
   TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox[
     UnderoverscriptBox[
      SubscriptBox[
       StyleBox["\[Sum]",
        FontSize->24], " "], 
      RowBox[{"i", "=", "0"}], "\[Infinity]"],
     FontSize->16], 
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      SubscriptBox["a", "i"], ")"}], 
     SuperscriptBox["x", "i"]}]}], TraditionalForm]]],
 ".\n\nIf ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", "(", "x", ")"}], TraditionalForm]]],
 " is another polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "x", "]"}], TraditionalForm]]],
 " with coefficients ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["b", "i"], TraditionalForm]]],
 ", then\n\n ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", 
     RowBox[{
      RowBox[{"w", "(", "x", ")"}], "+", 
      RowBox[{"v", "(", "x", ")"}]}], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      RowBox[{
       StyleBox[
        UnderoverscriptBox[
         SubscriptBox[
          StyleBox["\[Sum]",
           FontSize->24], " "], 
         RowBox[{"i", "=", "0"}], "\[Infinity]"],
        FontSize->16], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          SubscriptBox["a", "i"], "+", 
          SubscriptBox["b", "i"]}], ")"}], 
        SuperscriptBox["x", "i"]}]}], ")"}], " ", "=", " "}]}], 
   TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox[
     UnderoverscriptBox[
      SubscriptBox[
       StyleBox["\[Sum]",
        FontSize->24], " "], 
      RowBox[{"i", "=", "0"}], "\[Infinity]"],
     FontSize->16], 
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      RowBox[{
       SubscriptBox["a", "i"], "+", 
       SubscriptBox["b", "i"]}], ")"}], 
     SuperscriptBox["x", "i"]}]}], TraditionalForm]]],
 "\n       = ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox[
     UnderoverscriptBox[
      SubscriptBox[
       StyleBox["\[Sum]",
        FontSize->24], " "], 
      RowBox[{"i", "=", "0"}], "\[Infinity]"],
     FontSize->16], 
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      SubscriptBox["a", "i"], ")"}], 
     SuperscriptBox["x", "i"]}]}], TraditionalForm]]],
 " + ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox[
     UnderoverscriptBox[
      SubscriptBox[
       StyleBox["\[Sum]",
        FontSize->24], " "], 
      RowBox[{"i", "=", "0"}], "\[Infinity]"],
     FontSize->16], 
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      SubscriptBox["b", "i"], ")"}], 
     SuperscriptBox["x", "i"]}]}], TraditionalForm]]],
 " = ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", 
     RowBox[{"w", "(", "x", ")"}], ")"}], " ", "+", " ", 
    RowBox[{"\[Florin]", "(", 
     RowBox[{"v", "(", "x", ")"}], ")"}]}], TraditionalForm]]],
 ".\n       \nLikewise, we have\n\n ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", 
     RowBox[{
      RowBox[{"w", "(", "x", ")"}], "\[CenterDot]", 
      RowBox[{"v", "(", "x", ")"}]}], ")"}], " ", "=", " ", 
    RowBox[{"\[Florin]", "(", 
     RowBox[{
      StyleBox[
       UnderoverscriptBox[
        SubscriptBox[
         StyleBox["\[Sum]",
          FontSize->24], " "], 
        RowBox[{"i", "=", "0"}], "\[Infinity]"],
       FontSize->16], 
      StyleBox[" ",
       FontSize->16], 
      RowBox[{
       StyleBox[
        UnderoverscriptBox[
         SubscriptBox[
          StyleBox["\[Sum]",
           FontSize->24], " "], 
         RowBox[{"j", "=", "0"}], "\[Infinity]"],
        FontSize->16], 
       RowBox[{
        RowBox[{
         SubscriptBox["a", "i"], "\[CenterDot]", 
         SubscriptBox["b", "j"]}], 
        SuperscriptBox["x", 
         RowBox[{"i", "+", "j"}]]}]}]}], ")"}], "  "}], TraditionalForm]]],
 "\n\n       = ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox[
     UnderoverscriptBox[
      SubscriptBox[
       StyleBox["\[Sum]",
        FontSize->24], " "], 
      RowBox[{"i", "=", "0"}], "\[Infinity]"],
     FontSize->16], 
    StyleBox[" ",
     FontSize->16], 
    RowBox[{
     StyleBox[
      UnderoverscriptBox[
       SubscriptBox[
        StyleBox["\[Sum]",
         FontSize->24], " "], 
       RowBox[{"j", "=", "0"}], "\[Infinity]"],
      FontSize->16], 
     RowBox[{
      RowBox[{"\[Florin]", "(", 
       RowBox[{
        SubscriptBox["a", "i"], "\[CenterDot]", 
        SubscriptBox["b", "j"]}], ")"}], 
      SuperscriptBox["x", 
       RowBox[{"i", "+", "j"}]], "  "}]}]}], TraditionalForm]]],
 "= ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox[
     UnderoverscriptBox[
      SubscriptBox[
       StyleBox["\[Sum]",
        FontSize->24], " "], 
      RowBox[{"i", "=", "0"}], "\[Infinity]"],
     FontSize->16], 
    StyleBox[" ",
     FontSize->16], 
    RowBox[{
     StyleBox[
      UnderoverscriptBox[
       SubscriptBox[
        StyleBox["\[Sum]",
         FontSize->24], " "], 
       RowBox[{"j", "=", "0"}], "\[Infinity]"],
      FontSize->16], 
     RowBox[{
      RowBox[{
       RowBox[{"\[Florin]", "(", 
        SubscriptBox["a", "i"], ")"}], "\[CenterDot]", 
       RowBox[{"\[Florin]", "(", 
        SubscriptBox["b", "j"], ")"}]}], 
      SuperscriptBox["x", 
       RowBox[{"i", "+", "j"}]], " "}]}]}], TraditionalForm]]],
 "\n       \n       = ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", 
     RowBox[{"w", "(", "x", ")"}], ")"}], "\[CenterDot]", 
    RowBox[{"\[Florin]", "(", 
     RowBox[{"v", "(", "x", ")"}], ")"}]}], TraditionalForm]]],
 "\n       \nThus, ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " extends to a homomorphism mapping ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "x", "]"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"M", "[", "x", "]"}], TraditionalForm]]],
 ". But the kernel of ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is just the identity element, since ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " preserves the degree of any non-zero polynomial. Thus, ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " extends to an isomorphism from ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "x", "]"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"M", "[", "x", "]"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"x", "."}]}], TraditionalForm]]],
 " "
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912024265625*^9, 3.43791203965625*^9}}]
}, Open  ]],

Cell[TextData[{
 "We can apply lemma 13.3 to the case where ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is an automorphism on ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "x", "]"}], TraditionalForm]]],
 ", such as the Frobenius automorphism.  By extending the Frobenius \
automorphism to a polynomial, we can generate irreducible polynomials in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "p"], "[", "x", "]"}], TraditionalForm]]],
 ". These irreducible polynomials are important, since we can define the \
field in terms of these polynomials."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.41424829755475*^9, {3.437912040234375*^9, 3.43791204075*^9}, {
   3.437913714515625*^9, 3.437913715109375*^9}}],

Cell[TextData[{
 "\nPROPOSITION 13.5                     \nLet ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be a finite field of characteristic ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 ". For any ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", let ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " be the smallest number such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SuperscriptBox["y", 
      SuperscriptBox["p", "n"]],
     TraditionalForm], " ", "=", " ", "y"}], TraditionalForm]]],
 ". Then \n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", "y"}], ")"}], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        RowBox[{"\[Florin]", "(", "y", ")"}]}], ")"}], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        RowBox[{"\[Florin]", "(", 
         RowBox[{"\[Florin]", "(", "y", ")"}], ")"}]}], ")"}], "\[CenterDot]",
       "\[CenterDot]", "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        RowBox[{
         SuperscriptBox["\[Florin]", 
          RowBox[{"n", "-", "1"}]], "(", "y", ")"}]}], ")"}], " "}]}]}], 
   TraditionalForm]]],
 "\n\nis an irreducable polynomial of degree ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "p"], "[", "x", "]"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.41424829755475*^9, {3.437912045953125*^9, 3.437912055171875*^9}, {
   3.437913733765625*^9, 3.437913734328125*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Consider the extension of the Frobienius automorphism onto ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ", as given in lemma 13.3. If we apply this mapping to the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 ", we get\n\n     ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      RowBox[{"g", "(", "x", ")"}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        RowBox[{"\[Florin]", "(", "y", ")"}]}], ")"}], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        RowBox[{"\[Florin]", "(", 
         RowBox[{"\[Florin]", "(", "y", ")"}], ")"}]}], ")"}], "\[CenterDot]",
       
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        RowBox[{"\[Florin]", "(", 
         RowBox[{"\[Florin]", "(", 
          RowBox[{"\[Florin]", "(", "y", ")"}], ")"}], ")"}]}], ")"}], 
      "\[CenterDot]", " ", "\[CenterDot]", "\[CenterDot]", "\[CenterDot]", 
      " ", "\[CenterDot]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"x", " ", "-", " ", 
         RowBox[{
          SuperscriptBox["\[Florin]", "n"], "(", "y", ")"}]}], ")"}], 
       "."}]}]}]}], TraditionalForm]]],
 "\n\nRecall we picked ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " to be the smallest number such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Florin]", "n"], "(", "y", ")"}], " ", "=", " ", "y"}], 
   TraditionalForm]]],
 ". Thus, \n\n    ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      RowBox[{"g", "(", "x", ")"}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        RowBox[{"\[Florin]", "(", "y", ")"}]}], ")"}], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        RowBox[{"\[Florin]", "(", 
         RowBox[{"\[Florin]", "(", "y", ")"}], ")"}]}], ")"}], "\[CenterDot]",
       " ", "\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
      "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        RowBox[{
         SuperscriptBox["\[Florin]", 
          RowBox[{"n", "-", "1"}]], "(", "y", ")"}]}], ")"}], "\[CenterDot]", 
      
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", "y"}], ")"}]}]}], ","}], 
   TraditionalForm]]],
 "\n\nwhich after rearranging the factors gives ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " again.\n\nSince ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " is fixed be the Frobinius automorphism, each coefficient of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " must be fixed by ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 ". But the only elements fixed by ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " are those in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "p"], TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " must have all of its coefficients in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "p"], TraditionalForm]]],
 ", and so is a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "p"], "[", "x", "]"}], TraditionalForm]]],
 ". To show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " is irreducible, suppose that \n\n                          ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"h", "(", "x", ")"}], "\[CenterDot]", 
      RowBox[{"j", "(", "x", ")"}]}]}], ","}], TraditionalForm]]],
 "\n\nwhere both ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "x", ")"}], TraditionalForm]]],
 " and",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"j", "(", "x", ")"}], " "}], TraditionalForm]]],
 "are polynomials in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "p"], "[", "x", "]"}], TraditionalForm]]],
 " of positive degree. Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      RowBox[{"h", "(", "x", ")"}], ")"}], " ", "=", " ", 
     RowBox[{"h", "(", "x", ")"}]}], ","}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      RowBox[{"j", "(", "x", ")"}], ")"}], " ", "=", " ", 
     RowBox[{"j", "(", "x", ")"}]}], ","}], TraditionalForm]]],
 " since the Frobienius automorphism fixes ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " and the elements in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "p"], TraditionalForm]]],
 ". By the unique factorization in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"x", " ", "-", " ", "y"}], ")"}], TraditionalForm]]],
 " has to be a factor of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "x", ")"}], TraditionalForm]]],
 " or ",
 Cell[BoxData[
  FormBox[
   RowBox[{"j", "(", "x", ")"}], TraditionalForm]]],
 ", but not both, since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"x", " ", "-", " ", "y"}], ")"}], TraditionalForm]]],
 " is a factor of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], ","}], TraditionalForm]]],
 " but ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"x", " ", "-", " ", "y"}], ")"}], "2"], TraditionalForm]]],
 " is not. Let us suppose that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "x", ")"}], TraditionalForm]]],
 " has ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"x", " ", "-", " ", "y"}], ")"}], TraditionalForm]]],
 " as a factor. Any factor of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"j", "(", "x", ")"}], TraditionalForm]]],
 " would have to be a factor of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 ", so such a factor would have the form\n\n                           ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"x", " ", "-", " ", 
     RowBox[{
      SuperscriptBox["\[Florin]", "m"], "(", "y", ")"}]}], ")"}], 
   TraditionalForm]]],
 "\n\nfor some ",
 Cell[BoxData[
  FormBox[
   RowBox[{"m", " ", ">", " ", "0"}], TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Florin]", "m"], "(", "y", ")"}], TraditionalForm]]],
 " is a root of",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"j", "(", "x", ")"}]}], TraditionalForm]]],
 ", but ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " is not. But this is impossible, since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Florin]", "m"], "(", 
     RowBox[{"j", "(", "x", ")"}], ")"}], " ", "=", " ", 
    RowBox[{"j", "(", "x", ")"}]}], TraditionalForm]]],
 ", and so ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Florin]", "m"], "(", 
      RowBox[{"j", "(", "y", ")"}], ")"}], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"j", "(", 
      RowBox[{
       SuperscriptBox["\[Florin]", "m"], "(", "y", ")"}], ")"}], " ", "=", 
     " ", "0."}]}], TraditionalForm]]],
 " Therefore, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " is an irreducible polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "p"], "[", "x", "]"}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912062234375*^9, 3.437912084171875*^9}, {
  3.437913756328125*^9, 3.43791381009375*^9}}]
}, Open  ]],

Cell[TextData[{
 "The irreducible polynomial generated by this proposition is important \
enough to warrent a definition.\n\nDEFINITION 13.2:\nThe polynomial produced \
by proposition 13.5 is called the ",
 StyleBox["irreducible polynomial of",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " ",
 StyleBox["over",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "p"], TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "p"], TraditionalForm]]],
 ", this polynomial is simply ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "-", "y"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912088125*^9, 3.437912088125*^9}, {
  3.437913888265625*^9, 3.4379138943125*^9}}],

Cell[TextData[{
 "We can now use proposition 13.5 to show us that every finite field can be \
produced as an extention of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "p"], TraditionalForm]]],
 " over an irreducible polynomial. While we are at it, we will prove a \
statement that is true for all fields, not just finite fields."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.414248308882875*^9, {3.437913904921875*^9, 3.437913905375*^9}, {
   3.4419831666983747`*^9, 3.4419831930108747`*^9}}],

Cell[TextData[{
 "\nPROPOSITION 13.6\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be any field, and ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be a subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Suppose there is an element ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " such that there are no proper subfields of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " containing both ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 ". Suppose that there is a polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "x", "]"}], TraditionalForm]]],
 " with coeffients if ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "y", ")"}], " ", "=", " ", "0"}], 
   TraditionalForm]]],
 ". Suppose further that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " is an irreducible polynomial when treated as a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is isomorphic to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", "x", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"\[Florin]", "(", "x", ")"}], ")"}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.414248308882875*^9, {3.437912094921875*^9, 3.437912096953125*^9}, {
   3.437913913421875*^9, 3.43791391390625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Consider the evaluation homomorphism   \n\n                                 \
       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[Phi]", "y"], ":", " ", 
    RowBox[{
     RowBox[{"K", "[", "x", "]"}], " ", "\[RightArrow]", " ", "K"}]}], 
   TraditionalForm]]],
 "\n                                        \nrestricted on the ring ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ". In other words, we can consider the homomorphism ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Phi]", "y", "\[Prime]"], TraditionalForm]]],
 " as the restriction of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "y"], TraditionalForm]]],
 " on ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ". Let us consider the kernel of this homomorphism. Because ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "y", ")"}], " ", "=", " ", "0"}], 
   TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " is certainly in the kernel of ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Phi]", "y", "\[Prime]"], TraditionalForm]]],
 ". But the kernel cannot be all of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ", since the constant polynomials are not in the kernel. We know that the \
kernel is an ideal, and by corollary 12.7, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 " is a ",
 Cell[BoxData[
  FormBox["PID", TraditionalForm]]],
 ", so the kernel can be written as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"g", "(", "x", ")"}], ")"}], TraditionalForm]]],
 " for some ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ". Yet ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " is in the kernel, so ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " divides ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 ". But ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " is irreducible in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " cannot be a unit, since we have already observed that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"g", "(", "x", ")"}], ")"}], TraditionalForm]]],
 " is not all of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ". Therefore, the kernel of ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Phi]", "y", "\[Prime]"], TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"\[Florin]", "(", "x", ")"}], ")"}], TraditionalForm]]],
 ". \n\nFrom the first ring isomorphism theorem (10.2), the image of ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Phi]", "y", "\[Prime]"], TraditionalForm]]],
 " is isomorphic to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", "x", "]"}], "/", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Florin]", "(", "x", ")"}], ")"}], "."}]}], 
   TraditionalForm]]],
 " We have already mentioned that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 " is a ",
 Cell[BoxData[
  FormBox["PID", TraditionalForm]]],
 ", so by lemma 12.6 the image is a field. But the field must contain ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", since this is the image of the constant polynomials, and also must \
contain ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 ", the image of the polynomial ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ". The only subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " which contains both ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " itself, so ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", "x", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"\[Florin]", "(", "x", ")"}], ")"}]}], TraditionalForm]]],
 " is isomorphic to ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". "
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912097359375*^9, 3.43791210565625*^9}, {
  3.4379139835625*^9, 3.43791401378125*^9}, {3.439062017640625*^9, 
  3.43906202521875*^9}}]
}, Open  ]],

Cell[TextData[{
 "One immediate application of proposition 13.6 is to show us that every \
finite field can be produced as an extention of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "p"], TraditionalForm]]],
 " over an irreducible polynomial. We will use the polynomial derived in \
proposition 13.5.\n                        "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.414248318945375*^9, {3.43791403728125*^9, 3.437914050265625*^9}}],

Cell[TextData[{
 "COROLLARY 13.2\nFor every finite field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " of characteristic ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 ", there is an irreducible polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "p"], "[", "x", "]"}], TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is isomorphic to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Z", "p"], "[", "x", "]"}], "/", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Florin]", "(", "x", ")"}], ")"}], "."}]}], 
   TraditionalForm]]],
 " "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.414248318945375*^9, 3.4142483215235*^9}, {
  3.43791210603125*^9, 3.437912107421875*^9}, {3.43791406453125*^9, 
  3.437914064640625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "If ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a finite field, by proposition 13.4, the multiplicative group of ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["K", "*"], TraditionalForm]]],
 " is cyclic. Thus, there must be an element ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " which generates ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["K", "*"], TraditionalForm]]],
 " as a group. Since ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " must have finite characteristic ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 ", we will let ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be the subfield ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "p"], TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " by the irreducible polynomial of ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "p"], TraditionalForm]]],
 " given by proposition 13.5.\n\nEven though ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " is irreducible in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "p"], "[", "x", "]"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " has ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"x", " ", "-", " ", "y"}], ")"}], TraditionalForm]]],
 " as a factor when viewed as a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "x", "]"}], TraditionalForm]]],
 ". Note that since ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " generates all of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", we see that the conditions for proposition 13.6 are satisfied. Therefore \
",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is isomorphic to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Z", "p"], "[", "x", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"\[Florin]", "(", "x", ")"}], ")"}]}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912107890625*^9, 3.437912110609375*^9}, {
  3.437914088609375*^9, 3.437914118890625*^9}}]
}, Open  ]],

Cell[TextData[{
 "We have already seen one field of order 9, produced by the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", "1"}], TraditionalForm]]],
 ". But there are two other irreducible second degree polynomials in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "3"], "[", "x", "]"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", "x", "+", "2"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", 
    RowBox[{"2", "x"}], "+", "2"}], TraditionalForm]]],
 ". What if we formed fields using these?\n\nEXPERIMENT:\nReload the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Z", "3"], "[", "x", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["x", "2"], "+", "1"}], ")"}]}], TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ":"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912111078125*^9, 3.43791212175*^9}}],

Cell[CellGroupData[{

Cell["\<\
InitDomain[3]
Define[i^2,-1]
K = Ring[{i}]\
\>", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "1", ",", "2", ",", "i", ",", 
   RowBox[{"2", " ", "i"}], ",", 
   RowBox[{"1", "+", "i"}], ",", 
   RowBox[{"2", "+", "i"}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "i"}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "i"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.4427591207895*^9}]
}, Open  ]],

Cell["Do the other two polynomials factor over this field?", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["   ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Try defining ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Z", "3"], "[", "x", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["x", "2"], "+", "x", "+", "2"}], ")"}]}], 
   TraditionalForm]]],
 " at the same time, using ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " as the element which satisfies the equation. Do all three polynomials ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", "1"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", "x", "+", "2"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", 
    RowBox[{"2", "x"}], "+", "2"}], TraditionalForm]]],
 " factor in this field?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912122296875*^9, 3.4379121245625*^9}}],

Cell["   ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "What about the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Z", "3"], "[", "x", "]"}], "/", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["x", "3"], "+", " ", 
       RowBox[{"2", "x"}], " ", "+", " ", "2"}], ")"}], "?"}]}], 
   TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912124796875*^9, 3.4379121255*^9}}],

Cell["   ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "What does this tell us about the fields ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Z", "3"], "[", "x", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["x", "2"], "+", "1"}], ")"}]}], TraditionalForm]]],
 ",  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Z", "3"], "[", "x", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["x", "2"], "+", "x", "+", "2"}], ")"}]}], 
   TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Z", "3"], "[", "x", "]"}], "/", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["x", "2"], "+", 
       RowBox[{"2", "x"}], "+", "2"}], ")"}], "?"}]}], TraditionalForm]]],
 " (Hint: see proposition 13.6.)\n\nFor small fields (such as those of order \
9), we might not expect to have too many fields of the same order. So let us \
consider larger finite fields, to see if the same pattern persists.\n\n\
EXPERIMENT:\nHere are two polynomials which are irreducible in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "3"], "[", "x", "]"}], TraditionalForm]]],
 ":\n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "+", " ", 
    RowBox[{"2", " ", "x"}], " ", "+", " ", "1"}], TraditionalForm]]],
 "\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "+", " ", 
    SuperscriptBox["x", "2"], " ", "+", " ", "x", " ", "+", " ", "2"}], 
   TraditionalForm]]],
 "\n\nDefine the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Z", "3"], "[", "x", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["x", "3"], "+", 
      RowBox[{"2", "x"}], "+", "1"}], ")"}]}], TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", and see if the second polynomial factors in this field.  Likewise, define \
the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Z", "3"], "[", "x", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["x", "3"], "+", 
      SuperscriptBox["x", "2"], "+", "x", "+", "2"}], ")"}]}], 
   TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to determine whether the first polynomial factors over this field. What do \
you obverse? How would you interpret the result?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912126015625*^9, 3.4379121346875*^9}, {
  3.437914184890625*^9, 3.4379141855625*^9}}],

Cell["  ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "\nTo understand the significance of having the generator of one field \
factor completely in another field, let us look at an example where this \
doesn't happen. Consider the fields of characteristic 2, one of order 4, and \
the other of order 8. We will use the polynomials ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", "x", "+", "1"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], "+", "x", "+", "1"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379121425*^9, 3.4379121431875*^9}}],

Cell[CellGroupData[{

Cell["\<\
InitDomain[2]
Define[a^2, -a - 1]   
K = Ring[{a}]
CheckField[{1,a}]\
\>", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "1", ",", "a", ",", 
   RowBox[{"1", "+", "a"}]}], "}"}]], "Output",
 CellChangeTimes->{3.442759128648875*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Identity element = \"\>", "\[InvisibleSpace]", "1"}],
  SequenceForm["Identity element = ", 1],
  Editable->False]], "Print",
 CellChangeTimes->{3.442759128680125*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"An element is invertable as long as \"\>", "\[InvisibleSpace]",
    
   RowBox[{
    SuperscriptBox[
     RowBox[{"C", "[", "1", "]"}], "2"], "+", 
    RowBox[{
     RowBox[{"C", "[", "1", "]"}], " ", 
     RowBox[{"C", "[", "2", "]"}]}], "+", 
    SuperscriptBox[
     RowBox[{"C", "[", "2", "]"}], "2"]}], 
   "\[InvisibleSpace]", "\<\" is not zero.\"\>", 
   "\[InvisibleSpace]", "\<\" \"\>"}],
  SequenceForm[
  "An element is invertable as long as ", C[1]^2 + C[1] C[2] + C[2]^2, 
   " is not zero.", " "],
  Editable->False]], "Print",
 CellChangeTimes->{3.44275912869575*^9}],

Cell[BoxData["\<\"This is a field.\"\>"], "Print",
 CellChangeTimes->{3.442759128711375*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The inverse of \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"C", "[", "1", "]"}], "+", 
    RowBox[{"a", " ", 
     RowBox[{"C", "[", "2", "]"}]}]}], 
   "\[InvisibleSpace]", "\<\" is given by \"\>", "\[InvisibleSpace]", 
   FractionBox[
    RowBox[{
     RowBox[{"C", "[", "1", "]"}], "+", 
     RowBox[{"C", "[", "2", "]"}], "+", 
     RowBox[{"a", " ", 
      RowBox[{"C", "[", "2", "]"}]}]}], 
    RowBox[{
     SuperscriptBox[
      RowBox[{"C", "[", "1", "]"}], "2"], "+", 
     RowBox[{
      RowBox[{"C", "[", "1", "]"}], " ", 
      RowBox[{"C", "[", "2", "]"}]}], "+", 
     SuperscriptBox[
      RowBox[{"C", "[", "2", "]"}], "2"]}]]}],
  SequenceForm[
  "The inverse of ", C[1] + $CellContext`a C[2], 
   " is given by ", (C[1] + C[2] + $CellContext`a C[2])/(C[1]^2 + C[1] C[2] + 
   C[2]^2)],
  Editable->False]], "Print",
 CellChangeTimes->{3.442759128711375*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Define[b^3, -b - 1]
F = Ring[{b}]
CheckField[{1,b,b^2}]\
\>", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "1", ",", "b", ",", 
   SuperscriptBox["b", "2"], ",", 
   RowBox[{"1", "+", "b"}], ",", 
   RowBox[{"1", "+", 
    SuperscriptBox["b", "2"]}], ",", 
   RowBox[{"b", "+", 
    SuperscriptBox["b", "2"]}], ",", 
   RowBox[{"1", "+", "b", "+", 
    SuperscriptBox["b", "2"]}]}], "}"}]], "Output",
 CellChangeTimes->{3.442759132852*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Identity element = \"\>", "\[InvisibleSpace]", "1"}],
  SequenceForm["Identity element = ", 1],
  Editable->False]], "Print",
 CellChangeTimes->{3.44275913288325*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"An element is invertable as long as \"\>", "\[InvisibleSpace]",
    
   RowBox[{
    SuperscriptBox[
     RowBox[{"C", "[", "1", "]"}], "3"], "+", 
    RowBox[{
     RowBox[{"C", "[", "1", "]"}], " ", 
     SuperscriptBox[
      RowBox[{"C", "[", "2", "]"}], "2"]}], "+", 
    SuperscriptBox[
     RowBox[{"C", "[", "2", "]"}], "3"], "+", 
    RowBox[{
     RowBox[{"C", "[", "1", "]"}], " ", 
     RowBox[{"C", "[", "2", "]"}], " ", 
     RowBox[{"C", "[", "3", "]"}]}], "+", 
    RowBox[{
     RowBox[{"C", "[", "1", "]"}], " ", 
     SuperscriptBox[
      RowBox[{"C", "[", "3", "]"}], "2"]}], "+", 
    RowBox[{
     RowBox[{"C", "[", "2", "]"}], " ", 
     SuperscriptBox[
      RowBox[{"C", "[", "3", "]"}], "2"]}], "+", 
    SuperscriptBox[
     RowBox[{"C", "[", "3", "]"}], "3"]}], 
   "\[InvisibleSpace]", "\<\" is not zero.\"\>", 
   "\[InvisibleSpace]", "\<\" \"\>"}],
  SequenceForm[
  "An element is invertable as long as ", C[1]^3 + C[1] C[2]^2 + C[2]^3 + 
   C[1] C[2] C[3] + C[1] C[3]^2 + C[2] C[3]^2 + C[3]^3, " is not zero.", " "],
  
  Editable->False]], "Print",
 CellChangeTimes->{3.442759132898875*^9}],

Cell[BoxData["\<\"This is a field.\"\>"], "Print",
 CellChangeTimes->{3.4427591329145*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The inverse of \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"C", "[", "1", "]"}], "+", 
    RowBox[{"b", " ", 
     RowBox[{"C", "[", "2", "]"}]}], "+", 
    RowBox[{
     SuperscriptBox["b", "2"], " ", 
     RowBox[{"C", "[", "3", "]"}]}]}], 
   "\[InvisibleSpace]", "\<\" is given by \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"C", "[", "1", "]"}], "2"], "+", 
      RowBox[{"b", " ", 
       RowBox[{"C", "[", "1", "]"}], " ", 
       RowBox[{"C", "[", "2", "]"}]}], "+", 
      SuperscriptBox[
       RowBox[{"C", "[", "2", "]"}], "2"], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       SuperscriptBox[
        RowBox[{"C", "[", "2", "]"}], "2"]}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       RowBox[{"C", "[", "1", "]"}], " ", 
       RowBox[{"C", "[", "3", "]"}]}], "+", 
      RowBox[{
       RowBox[{"C", "[", "2", "]"}], " ", 
       RowBox[{"C", "[", "3", "]"}]}], "+", 
      SuperscriptBox[
       RowBox[{"C", "[", "3", "]"}], "2"], "+", 
      RowBox[{"b", " ", 
       SuperscriptBox[
        RowBox[{"C", "[", "3", "]"}], "2"]}], "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", 
       SuperscriptBox[
        RowBox[{"C", "[", "3", "]"}], "2"]}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"C", "[", "1", "]"}], "3"], "+", 
      RowBox[{
       RowBox[{"C", "[", "1", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"C", "[", "2", "]"}], "2"]}], "+", 
      SuperscriptBox[
       RowBox[{"C", "[", "2", "]"}], "3"], "+", 
      RowBox[{
       RowBox[{"C", "[", "1", "]"}], " ", 
       RowBox[{"C", "[", "2", "]"}], " ", 
       RowBox[{"C", "[", "3", "]"}]}], "+", 
      RowBox[{
       RowBox[{"C", "[", "1", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"C", "[", "3", "]"}], "2"]}], "+", 
      RowBox[{
       RowBox[{"C", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"C", "[", "3", "]"}], "2"]}], "+", 
      SuperscriptBox[
       RowBox[{"C", "[", "3", "]"}], "3"]}], ")"}]}]}],
  SequenceForm[
  "The inverse of ", C[1] + $CellContext`b C[2] + $CellContext`b^2 C[3], 
   " is given by ", (C[1]^2 + $CellContext`b C[1] C[2] + 
    C[2]^2 + $CellContext`b^2 C[2]^2 + $CellContext`b^2 C[1] C[3] + C[2] C[3] + 
    C[3]^2 + $CellContext`b C[3]^2 + $CellContext`b^2 C[3]^2)/(C[1]^3 + 
   C[1] C[2]^2 + C[2]^3 + C[1] C[2] C[3] + C[1] C[3]^2 + C[2] C[3]^2 + 
   C[3]^3)],
  Editable->False]], "Print",
 CellChangeTimes->{3.442759132930125*^9}]
}, Open  ]],

Cell[TextData[{
 "Let us see whether ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], "+", "x", "+", "1"}], TraditionalForm]]],
 " factors in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", or whether ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", "x", "+", "1"}], TraditionalForm]]],
 " factors in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912143671875*^9, 3.4379121444375*^9}}],

Cell[CellGroupData[{

Cell["Factor[x^3 + x + 1, K]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437912144875*^9, 3.43791214521875*^9}}],

Cell[BoxData[
 RowBox[{"1", "+", "x", "+", 
  SuperscriptBox["x", "3"]}]], "Output",
 CellChangeTimes->{3.4427591380395*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Factor[x^2 + x + 1, F]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.43791214540625*^9, 3.437912145609375*^9}}],

Cell[BoxData[
 RowBox[{"1", "+", "x", "+", 
  SuperscriptBox["x", "2"]}]], "Output",
 CellChangeTimes->{3.4427591399145*^9}]
}, Open  ]],

Cell[TextData[{
 "Thus, we see that the polynomial which defines ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is irreducible in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and vice versa. Hence, the element ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " cannot be expressed in terms of ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 ", so the fields ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " are totally different. \n\nWhile we have both ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " defined simultaneously, let us see if we can find a field containing both \
",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". The natural choice would be to consider the ring generated by both ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["R = Ring[{a,b}]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "1", ",", "a", ",", 
   RowBox[{"1", "+", "a"}], ",", "b", ",", 
   RowBox[{"a", " ", "b"}], ",", 
   SuperscriptBox["b", "2"], ",", 
   RowBox[{"a", " ", 
    SuperscriptBox["b", "2"]}], ",", 
   RowBox[{"1", "+", "b"}], ",", 
   RowBox[{"a", "+", "b"}], ",", 
   RowBox[{"1", "+", "a", "+", "b"}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"a", " ", "b"}]}], ",", 
   RowBox[{"a", "+", 
    RowBox[{"a", " ", "b"}]}], ",", 
   RowBox[{"1", "+", "a", "+", 
    RowBox[{"a", " ", "b"}]}], ",", 
   RowBox[{"b", "+", 
    RowBox[{"a", " ", "b"}]}], ",", 
   RowBox[{"1", "+", "b", "+", 
    RowBox[{"a", " ", "b"}]}], ",", 
   RowBox[{"a", "+", "b", "+", 
    RowBox[{"a", " ", "b"}]}], ",", 
   RowBox[{"1", "+", "a", "+", "b", "+", 
    RowBox[{"a", " ", "b"}]}], ",", 
   RowBox[{"1", "+", 
    SuperscriptBox["b", "2"]}], ",", 
   RowBox[{"a", "+", 
    SuperscriptBox["b", "2"]}], ",", 
   RowBox[{"1", "+", "a", "+", 
    SuperscriptBox["b", "2"]}], ",", 
   RowBox[{"b", "+", 
    SuperscriptBox["b", "2"]}], ",", 
   RowBox[{"1", "+", "b", "+", 
    SuperscriptBox["b", "2"]}], ",", 
   RowBox[{"a", "+", "b", "+", 
    SuperscriptBox["b", "2"]}], ",", 
   RowBox[{"1", "+", "a", "+", "b", "+", 
    SuperscriptBox["b", "2"]}], ",", 
   RowBox[{
    RowBox[{"a", " ", "b"}], "+", 
    SuperscriptBox["b", "2"]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"a", " ", "b"}], "+", 
    SuperscriptBox["b", "2"]}], ",", 
   RowBox[{"a", "+", 
    RowBox[{"a", " ", "b"}], "+", 
    SuperscriptBox["b", "2"]}], ",", 
   RowBox[{"1", "+", "a", "+", 
    RowBox[{"a", " ", "b"}], "+", 
    SuperscriptBox["b", "2"]}], ",", 
   RowBox[{"b", "+", 
    RowBox[{"a", " ", "b"}], "+", 
    SuperscriptBox["b", "2"]}], ",", 
   RowBox[{"1", "+", "b", "+", 
    RowBox[{"a", " ", "b"}], "+", 
    SuperscriptBox["b", "2"]}], ",", 
   RowBox[{"a", "+", "b", "+", 
    RowBox[{"a", " ", "b"}], "+", 
    SuperscriptBox["b", "2"]}], ",", 
   RowBox[{"1", "+", "a", "+", "b", "+", 
    RowBox[{"a", " ", "b"}], "+", 
    SuperscriptBox["b", "2"]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"a", "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"1", "+", "a", "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"b", "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"1", "+", "b", "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"a", "+", "b", "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"1", "+", "a", "+", "b", "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{
    RowBox[{"a", " ", "b"}], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"a", " ", "b"}], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"a", "+", 
    RowBox[{"a", " ", "b"}], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"1", "+", "a", "+", 
    RowBox[{"a", " ", "b"}], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"b", "+", 
    RowBox[{"a", " ", "b"}], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"1", "+", "b", "+", 
    RowBox[{"a", " ", "b"}], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"a", "+", "b", "+", 
    RowBox[{"a", " ", "b"}], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"1", "+", "a", "+", "b", "+", 
    RowBox[{"a", " ", "b"}], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{
    SuperscriptBox["b", "2"], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"1", "+", 
    SuperscriptBox["b", "2"], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"a", "+", 
    SuperscriptBox["b", "2"], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"1", "+", "a", "+", 
    SuperscriptBox["b", "2"], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"b", "+", 
    SuperscriptBox["b", "2"], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"1", "+", "b", "+", 
    SuperscriptBox["b", "2"], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"a", "+", "b", "+", 
    SuperscriptBox["b", "2"], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"1", "+", "a", "+", "b", "+", 
    SuperscriptBox["b", "2"], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{
    RowBox[{"a", " ", "b"}], "+", 
    SuperscriptBox["b", "2"], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"a", " ", "b"}], "+", 
    SuperscriptBox["b", "2"], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"a", "+", 
    RowBox[{"a", " ", "b"}], "+", 
    SuperscriptBox["b", "2"], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"1", "+", "a", "+", 
    RowBox[{"a", " ", "b"}], "+", 
    SuperscriptBox["b", "2"], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"b", "+", 
    RowBox[{"a", " ", "b"}], "+", 
    SuperscriptBox["b", "2"], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"1", "+", "b", "+", 
    RowBox[{"a", " ", "b"}], "+", 
    SuperscriptBox["b", "2"], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"a", "+", "b", "+", 
    RowBox[{"a", " ", "b"}], "+", 
    SuperscriptBox["b", "2"], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}], ",", 
   RowBox[{"1", "+", "a", "+", "b", "+", 
    RowBox[{"a", " ", "b"}], "+", 
    SuperscriptBox["b", "2"], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.442759153211375*^9}]
}, Open  ]],

Cell[TextData[{
 "How many elements are there in this long list? We can have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " count them for us."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Print[Length[R]];", "Input",
 PageWidth->Infinity],

Cell[BoxData["64"], "Print",
 CellChangeTimes->{3.4427591574145*^9}]
}, Open  ]],

Cell[TextData[{
 "Can we find a basis? Let us try combining the basis for ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CheckField[{1,a,b,b^2}]", "Input",
 PageWidth->Infinity],

Cell[BoxData["\<\"Additive group generated is not closed under \
multiplication.\"\>"], "Print",
 CellChangeTimes->{3.442759161852*^9}]
}, Open  ]],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " complains that the set formed by this basis is not closed under \
multiplication. So apparently our basis is not complete. Not surprising, \
since there are ",
 Cell[BoxData[
  FormBox[
   RowBox[{"64", " ", "=", " ", 
    SuperscriptBox["2", "6"]}], TraditionalForm]]],
 " elements in ",
 Cell[BoxData[
  FormBox["R", TraditionalForm]]],
 ", so we need 6 elements for the basis.\n\nEXPERIMENT:\nBy examining the \
elements of ",
 Cell[BoxData[
  FormBox["R", TraditionalForm]]],
 ", can you find two more elements that need to be in the basis? Add these \
two elements to the above ",
 StyleBox["CheckField",
  FontWeight->"Bold"],
 " command, and re-execute it. Does ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " claim that this is a field?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912146140625*^9, 3.437912150765625*^9}}],

Cell["     ", "Input",
 PageWidth->Infinity],

Cell["\<\
In general, we will be able to find a large field containing two different \
fields, provided that the characteristic of the two fields are the same.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.414248440351625*^9}],

Cell[TextData[{
 "\nLEMMA 13.4\nLet ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be two finite fields with the same characteristic ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 ". Then there is a field which contains isomorphic copies of both ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.414248440351625*^9, {3.437914259484375*^9, 3.437914262265625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Since ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is a finite field, by corollary 13.2 there is a polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "p"], "[", "x", "]"}], TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is isomorphic to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Z", "p"], "[", "x", "]"}], " ", "/", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"f", "(", "x", ")"}], ")"}], "."}]}], TraditionalForm]]],
 " \n\nSince ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " have the same characteristic, we can consider ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " to be a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "x", "]"}], TraditionalForm]]],
 " as well. Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " be an irreducible factor of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " over the domain ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "x", "]"}], TraditionalForm]]],
 ". Of course, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " may already be irreducible in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "x", "]"}], TraditionalForm]]],
 ", in which case we let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"f", "(", "x", ")"}]}], TraditionalForm]]],
 ".  \n\nNow consider the ring  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", " ", "=", " ", 
    RowBox[{
     RowBox[{"K", "[", "x", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"g", "(", "x", ")"}], ")"}]}]}], TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "x", "]"}], TraditionalForm]]],
 " is a ",
 Cell[BoxData[
  FormBox["PID", TraditionalForm]]],
 ", by lemma 12.6 ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " is a field. In fact, ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " contains an element which is a root of the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], ","}], TraditionalForm]]],
 " namely \n\n                           ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"y", " ", "=", " ", 
     RowBox[{"x", " ", "+", " ", 
      RowBox[{"(", 
       RowBox[{"g", "(", "x", ")"}], ")"}]}]}], ","}], TraditionalForm]]],
 "\nsince \n            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "y", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"g", "(", 
      RowBox[{"x", " ", "+", " ", 
       RowBox[{"(", 
        RowBox[{"g", "(", "x", ")"}], ")"}]}], " ", ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"g", "(", "x", ")"}], " ", "+", " ", 
       RowBox[{"(", 
        RowBox[{"g", "(", "x", ")"}], ")"}]}], " ", "=", " ", 
      RowBox[{"0", " ", "+", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"g", "(", "x", ")"}], ")"}], "."}]}]}]}]}], 
   TraditionalForm]]],
 "\n\nWe can now consider the evaluation homomorphism\n\n                     \
     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[Phi]", "y"], ":", " ", 
    RowBox[{
     RowBox[{"E", "[", "x", "]"}], " ", "\[RightArrow]", " ", "E"}]}], 
   TraditionalForm]]],
 ".\n                          \nLet us first consider the restriction of \
this homomorphism to the ring ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "p"], "[", "x", "]"}], TraditionalForm]]],
 ", which we will call ",
 Cell[BoxData[
  FormBox["\[Psi]", TraditionalForm]]],
 ". Thus ",
 Cell[BoxData[
  FormBox["\[Psi]", TraditionalForm]]],
 " is the homomorphism\n\n                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Psi]", ":", 
     RowBox[{
      RowBox[{
       SubscriptBox["Z", "p"], "[", "x", "]"}], " ", "\[RightArrow]", " ", 
      RowBox[{"E", "   ", ":", "  ", 
       RowBox[{"\[Psi]", "(", 
        RowBox[{"w", "(", "x", ")"}], ")"}]}]}]}], " ", "=", " ", 
    RowBox[{"w", "(", "y", ")"}]}], TraditionalForm]]],
 ".\n                 \nSince ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " in turn is a factor of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], ","}], TraditionalForm]]],
 " we see that ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " is in the kernel of the homomorphism ",
 Cell[BoxData[
  FormBox["\[Psi]", TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SubscriptBox["Z", "p"],
     TraditionalForm], "[", "x", "]"}], TraditionalForm]]],
 " is a ",
 Cell[BoxData[
  FormBox["PID", TraditionalForm]]],
 ", the kernel can be written as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"h", "(", "x", ")"}], ")"}], TraditionalForm]]],
 " for some polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SubscriptBox["Z", "p"],
     TraditionalForm], "[", "x", "]"}], TraditionalForm]]],
 ". But since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " is in the kernel, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "x", ")"}], TraditionalForm]]],
 " must divide ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 ". But ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " is irreducible, and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "x", ")"}], TraditionalForm]]],
 " cannot be a unit, or else the kernel would be all of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "p"], "[", "x", "]"}], TraditionalForm]]],
 ", which is impossible since the constant polynomials are not in the kernel. \
Therefore, the kernel must be ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"f", "(", "x", ")"}], ")"}], TraditionalForm]]],
 ", and so by the first ring isomorphism theorem (10.2), the image of ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is isomorphic to \n\n                             ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["Z", "p"], "[", "x", "]"}], " ", "/", 
     RowBox[{"(", 
      RowBox[{"f", "(", "x", ")"}], ")"}]}], ",", " "}], TraditionalForm]]],
 "\n\nwhich is in turn isomorphic to ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Thus, there is a subfield of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " isomorphic to ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". \n\nAll we have to do is show that there is a copy of the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " inside of \n\n                   ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"E", " ", "=", " ", 
     RowBox[{
      RowBox[{"K", "[", "x", "]"}], "/", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"g", "(", "x", ")"}], ")"}], "."}]}]}]}], TraditionalForm]]],
 "\n\nBut we can consider the natural homomorphism \n\n                       \
     ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"i", ":", " ", 
     RowBox[{
      RowBox[{"K", "[", "x", "]"}], " ", "\[RightArrow]", " ", "E"}]}]}], 
   TraditionalForm]]],
 "\ngiven by \n                     ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"i", "(", 
      RowBox[{"p", "(", "x", ")"}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"p", "(", "x", ")"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"g", "(", "x", ")"}], ")"}], "."}]}]}]}], TraditionalForm]]],
 "\n\nIf we restrict this homomorphism onto the constant polynomials, we get\n\
\n                                    ",
 Cell[BoxData[
  FormBox[
   RowBox[{"  ", 
    FormBox[
     RowBox[{
      SuperscriptBox["i", 
       RowBox[{" ", "\[Prime]"}]], ":", " ", 
      RowBox[{"K", " ", "\[RightArrow]", " ", "E"}]}],
     TraditionalForm]}], TraditionalForm]]],
 ".\n                                    \nSince ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " is not a unit, it is clear that the kernel of this homomorphism is just 0. \
Thus, there is an subfield of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " isomorphic to ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Therefore, we have constructed a field which contains isomorphic copies \
of both ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " as subfields."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912153953125*^9, 3.437912177984375*^9}, {
  3.437914273203125*^9, 3.437914294046875*^9}, {3.439062033515625*^9, 
  3.43906204259375*^9}, {3.4419832211514997`*^9, 3.4419832218389997`*^9}}]
}, Open  ]],

Cell["\<\

We can now use this lemma to show that there is only one non-isomorphic field \
of a given order.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.41424851555475*^9}],

Cell["\<\

COROLLARY 13.3
Any two finite fields of the same order are isomorphic to each other.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.41424851555475*^9, {3.43791438575*^9, 3.4379143885*^9}}],\


Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "If two fields ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " have the same order, by proposition 13.3, both must have order ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "n"], TraditionalForm]]],
 " for some prime number ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 ", and some positive integer ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Thus, both ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " have characteristic ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 ", so by lemma 13.4 there exists a field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " that contains isomorphic copies of both ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " as subfields. Let ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["F", 
    RowBox[{" ", "\[Prime]"}]], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["K", "\[Prime]"], TraditionalForm]]],
 " be the subfields of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " isomorphic to ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", respectively. Consider the polynomial \n\n                     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["x", 
      SuperscriptBox["p", "n"]], "-", " ", "x"}]}], TraditionalForm]]],
 "\n\nin ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "[", "x", "]"}], TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["F", 
    RowBox[{" ", "\[Prime]"}]], TraditionalForm]]],
 " is a subfield of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", the Frobenius automorphism is of order ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " on this subfield. Thus, every element of ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["F", 
    RowBox[{" ", "\[Prime]"}]], TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], "."}], TraditionalForm]]],
 " Likewise, every element of ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["K", 
    RowBox[{" ", "\[Prime]"}]], TraditionalForm]]],
 " is also a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], "."}], TraditionalForm]]],
 " But by corollary 12.2, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " can have at most ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "n"], TraditionalForm]]],
 " roots. Thus, the subfields ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["F", 
    RowBox[{" ", "\[Prime]"}]], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["K", "\[Prime]"], TraditionalForm]]],
 " must coincide. Hence ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["F", 
    RowBox[{" ", "\[Prime]"}]], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["K", "\[Prime]"], TraditionalForm]]],
 " are isomorphic, since the are identical, so ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " must be isomorphic."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.41424857661725*^9, 3.41424857692975*^9}, {
  3.437912178390625*^9, 3.43791218359375*^9}, {3.43791440090625*^9, 
  3.437914442359375*^9}}]
}, Open  ]],

Cell[TextData[{
 "This proposition explains the strange behavior of fields that we discovered \
in our experiment. Whenever a finite field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is extended though an irreducible polynomial, all irreducible polynomials \
in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 " of the same degree factor completely in the new field. The reason is now \
clear: the field\n\n                        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", "x", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"f", "(", "x", ")"}], ")"}]}], TraditionalForm]]],
 "\n\nonly depends on the degree of the irreducible polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], "."}], TraditionalForm]]],
 "\n\nWe have already seen fields of order 4, 9, and 27 in this chapter. We \
in fact can refer to them as ",
 StyleBox["the",
  FontSlant->"Italic"],
 " fields of order 4, 9, or 27. However, there is one question we have yet to \
answer. Given a prime number ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " and an integer ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", is there a field of order ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "n"], TraditionalForm]]],
 "? It seems like all we would need to construct such a field is an \
irreducible polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "p"], "[", "x", "]"}], TraditionalForm]]],
 " of degree ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", and then the field\n\n                      ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      SubscriptBox["Z", "p"], "[", "x", "]"}], " ", "/", " ", 
     RowBox[{"(", 
      RowBox[{"f", "(", "x", ")"}], ")"}]}]}], TraditionalForm]]],
 "\n                      \nwould have order ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "n"], TraditionalForm]]],
 ". The only problem with this argument is that we have not shown that there \
",
 StyleBox["is",
  FontSlant->"Italic"],
 " an irreducible polynomial of degree ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "p"], "[", "x", "]"}], TraditionalForm]]],
 ". In order to construct such irreducible polynomials, we will need to \
utilize a special class of polynomials--the cyclotomial polynomials. These \
polynomials have many different uses not only in this chapter, but also later \
on as we study Galois theory."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912184015625*^9, 3.437912187859375*^9}, {
  3.4419832403546247`*^9, 3.4419832718546247`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["The Cyclotomic Polynomials", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We now pause from our work on finite fields to discuss a special class of \
polynomials in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalZ]", "[", "x", "]"}], TraditionalForm]]],
 ". These polynomials occur in the factorizations of the simple polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "n"], "-", " ", "1."}], TraditionalForm]]],
 " Although these polynomials are constructed easily, they have a tendency to \
appear in many differnt applications, and hence are very useful.\n\nTo \
introduce the cyclotomic polynomials, we will begin by noticing a pattern in \
the following factorizations."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912188890625*^9, 3.4379121894375*^9}, {
  3.4419833644483747`*^9, 3.4419833876046247`*^9}}],

Cell[CellGroupData[{

Cell["\<\
ClearDefs
Factor[x-1]  \
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.437912189921875*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "1"}], "+", "x"}]], "Output",
 CellChangeTimes->{3.442759195852*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Factor[x^2-1]  ", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.43791219034375*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", "x"}], ")"}]}]], "Output",
 CellChangeTimes->{3.44275919750825*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Factor[x^3-1]  ", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.4379121906875*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", "x", "+", 
    SuperscriptBox["x", "2"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.442759199148875*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Factor[x^4-1]  ", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.437912191046875*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", 
    SuperscriptBox["x", "2"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.442759200773875*^9}]
}, Open  ]],

Cell[TextData[{
 "EXPERIMENT:                                   \nContinue this pattern using \
",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to factor the polynomials up to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "10"], " ", "-", " ", "1."}], TraditionalForm]]],
 " Notice that each time there is exactly one polynomial that appears in the \
factorization that has not appeared in any previous factorization. "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912194078125*^9, 3.437912194078125*^9}}],

Cell["     ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Our plan is to find a formula for the irreducible polynomials produced in \
these factorizations. A natural starting place would be to find all complex \
of the roots of the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "n"], " ", "-", " ", "1"}], TraditionalForm]]],
 ". But we have already seen that the primitive ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-th roots of unity are of the form ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["e", "n", "k"], TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " is coprime to ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43791219471875*^9, 3.43791219471875*^9}, {
  3.437914717421875*^9, 3.437914726203125*^9}, {3.4379208290625*^9, 
  3.437920890421875*^9}, {3.43792098525*^9, 3.437920990515625*^9}}],

Cell[TextData[{
 "How are the primitive roots of unity related to the factorizations of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "n"], "-", " ", "1"}], TraditionalForm]]],
 "? It is clear that the primitive roots are precisely the complex zeros of \
",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "n"], "-", " ", "1"}], TraditionalForm]]],
 " which are not zeros of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "m"], "-", " ", "1"}], TraditionalForm]]],
 " for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"m", " ", "<", " ", "n"}], TraditionalForm]]],
 ". Thus, if we wish to find the factor of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "n"], "-", " ", "1"}], TraditionalForm]]],
 " which does not appear in any previous factorizations, we should look for a \
polynomial whose only complex roots are the primitive ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "-", "th"}], TraditionalForm]]],
 " roots of unity.\n\nFor example, the primitive eighth roots of unity were \
found to be ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["e", "8"], ","}], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox[
     SubscriptBox["e", "8"], "3"], ","}], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox[
     SubscriptBox["e", "8"], "5"], ","}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox[
     SubscriptBox["e", "8"], "7"], "."}], TraditionalForm]]],
 " Thus, the simpliest polynomial which has these four complex roots would \
be"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912204921875*^9, 3.43791220653125*^9}, {
  3.43792107253125*^9, 3.437921076265625*^9}}],

Cell[CellGroupData[{

Cell["\<\
InitDomain[0]
e8 = (1/2 + I/2)Sqrt[2]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437912207765625*^9, 3.437912208796875*^9}, {
  3.437921198203125*^9, 3.43792126140625*^9}},
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 FractionBox[
  RowBox[{"1", "+", "\[ImaginaryI]"}], 
  SqrtBox["2"]]], "Output",
 CellChangeTimes->{3.43792126584375*^9, 3.44275920513325*^9}],

Cell[CellGroupData[{

Cell["\<\

(x - e8).(x - e8^3).(x - e8^5).(x - e8^7)\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437912207765625*^9, 3.437912208796875*^9}, {
  3.437921198203125*^9, 3.43792126140625*^9}},
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 RowBox[{"1", "+", 
  SuperscriptBox["x", "4"]}]], "Output",
 CellChangeTimes->{{3.43792124121875*^9, 3.437921268046875*^9}, 
   3.442759207492625*^9}]
}, Open  ]]
}, Open  ]],

Cell["\<\
Lo and behold, this simplified into a polynomial with integer coefficients. \
Apparently not only did the imaginary part cancel, but also the square roots \
simplified. What's more, this is precisely the new irreducible factor of \
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Factor[x^8 - 1]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.437912209390625*^9},
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", 
    SuperscriptBox["x", "2"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", 
    SuperscriptBox["x", "4"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.442759209602*^9}]
}, Open  ]],

Cell["\<\
so we have found the factor we were looking for.


EXPERIMENT:
You have already found the primitive twelvth roots of unity. Using the above \
example as a model, find the simpliest polynomial with the primitive twelvth \
roots as the complex zeros. \
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[BoxData["       "], "Input"],

Cell[TextData[{
 "Compare this to the factorization of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "12"], " ", "-", " ", "1"}], TraditionalForm]]],
 ":"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379122120625*^9, 3.4379122120625*^9}}],

Cell["Factor[x^12 - 1]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.437912213265625*^9},
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell["What do you discover?", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[BoxData[" "], "Input"],

Cell[TextData[{
 "Let us use these examples as a model for our definition.\n\nDEFINITION \
13.3:\nFor ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", ">", " ", "0"}], TraditionalForm]]],
 ", we define the ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 StyleBox["-th cyclotomic polynomial",
  FontSlant->"Italic"],
 " to be the product\n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     RowBox[{
      RowBox[{
       SubscriptBox["\[CapitalPhi]", "n"], "(", "x", ")"}], "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"x", "-", 
         SuperscriptBox[
          SubscriptBox["e", "n"], 
          RowBox[{"(", 
           SubscriptBox["k", "1"], ")"}]]}], ")"}], "\[CenterDot]", 
       RowBox[{"(", 
        RowBox[{"x", "-", 
         SuperscriptBox[
          SubscriptBox["e", "n"], 
          RowBox[{"(", 
           SubscriptBox["k", "2"], ")"}]]}], ")"}], "\[CenterDot]", 
       RowBox[{"(", 
        RowBox[{"x", "-", 
         SuperscriptBox[
          SubscriptBox["e", "n"], 
          RowBox[{"(", 
           SubscriptBox["k", "3"], ")"}]]}], ")"}], "\[CenterDot]", 
       "\[Ellipsis]", "\[CenterDot]", 
       RowBox[{"(", 
        RowBox[{"x", "-", 
         SuperscriptBox[
          SubscriptBox["e", "n"], 
          RowBox[{"(", 
           SubscriptBox["k", "i"], ")"}]]}], ")"}]}]}],
     TraditionalForm], ","}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43791221821875*^9, 3.437912220203125*^9}, {
  3.437921311859375*^9, 3.437921324953125*^9}}],

Cell[TextData[{
 "where ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["k", "1"], ",", " ", 
    SubscriptBox["k", "2"], ",", " ", 
    SubscriptBox["k", "3"], ",", " ", "\[Ellipsis]", " ", ",", " ", 
    SubscriptBox["k", "i"]}], TraditionalForm]]],
 "  are the integers between 0 and ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " which are coprime to ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ".\n\nIt is sometimes convenient to use a special notation for a product of \
many terms. Just as the sigma can be used to denote the sum of many terms, a \
large \[CapitalPi] (the upper case \[Pi]), is used to denote such a product. \
Thus, we could write\n\n               ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["\[CapitalPhi]", "n"], "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     StyleBox[
      UnderoverscriptBox[
       SubscriptBox[
        StyleBox["\[Product]",
         FontSize->24], " "], 
       RowBox[{
        UnderscriptBox[
         RowBox[{"k", "=", "1"}], 
         StyleBox[
          RowBox[{
           RowBox[{"GCD", "(", 
            RowBox[{"k", ",", "n"}], ")"}], " ", "=", " ", "1"}],
          FontSize->12]], " "}], 
       RowBox[{"n", "  "}]],
      FontSize->18], 
     RowBox[{
      RowBox[{
       StyleBox["(",
        FontSize->12], 
       RowBox[{
        StyleBox["x",
         FontSize->12], 
        StyleBox["-",
         FontSize->12], 
        SuperscriptBox[
         SubscriptBox[
          StyleBox["e",
           FontSize->12], "n"], "k"]}], ")"}], "."}]}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379122241875*^9, 3.43791222471875*^9}, {
  3.4379213335*^9, 3.4379213335*^9}, {3.43792146775*^9, 
  3.43792152378125*^9}, {3.43792156365625*^9, 3.4379215895*^9}}],

Cell[TextData[{
 "In this product, the index ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " ranges from 1 to ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", but we only consider the values of ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " for which ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"GCD", "(", 
     RowBox[{"k", ",", "n"}], ")"}], " ", "=", " ", "1."}], 
   TraditionalForm]]],
 " It is apparent from the definition that the degree of the ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-th cyclotomic polynomial is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "n", ")"}], TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " is Euler's totient function. \n\nAlthough this definition uses complex \
numbers, we observed that the polynomials always produced integer \
coefficients. The next proposition shows us how to find the cyclotomic \
polynomials without having to work with complex numbers. "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.4144197024835*^9}],

Cell[TextData[{
 "\nPROPOSITION 13.7\nFor any positive integer ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", we have\n\n                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "n"], " ", "-", " ", "1"}], " ", "=", "  ", 
    RowBox[{
     StyleBox[
      UnderoverscriptBox[
       SubscriptBox[
        StyleBox["\[Product]",
         FontSize->24], " "], 
       StyleBox[
        RowBox[{"k", "|", "n", "    "}],
        FontSize->12], " "],
      FontSize->18], 
     RowBox[{
      RowBox[{
       SubscriptBox["\[CapitalPhi]", "k"], "(", "x", ")"}], "."}]}]}], 
   TraditionalForm]]],
 "\n\nHere, the product is taken over all values of ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " which divide ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.4144197024835*^9, {3.437912227828125*^9, 3.43791222834375*^9}, {
   3.437921640125*^9, 3.437921640890625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We will first show that each ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-th root of unity is a primitive ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 "-th root of unity for exactly one positive divisor ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox[
   RowBox[{"z", " ", "=", " ", 
    SuperscriptBox[
     SubscriptBox["e", "n"], "s"]}], TraditionalForm]]],
 "  is a ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-th root of unity, we can let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", " ", "=", " ", 
    RowBox[{
     RowBox[{"n", "/", "GCD"}], 
     RowBox[{"(", 
      RowBox[{"n", ",", "s"}], ")"}]}]}], TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"k", "\[CenterDot]", "s"}], " ", "=", " ", 
    RowBox[{"n", "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"s", "/", 
       RowBox[{"GCD", "(", 
        RowBox[{"n", ",", "s"}], ")"}]}], ")"}]}]}], TraditionalForm]]],
 " is a multiple of ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", so ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["z", "k"], "=", " ", "1."}], TraditionalForm]]],
 " Yet if ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["z", "m"], "=", " ", "1"}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"s", "\[CenterDot]", "m"}], TraditionalForm]]],
 " must be a multiple of ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", so ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"s", "/", 
      RowBox[{"GCD", "(", 
       RowBox[{"n", ",", "s"}], ")"}]}], ")"}], "\[CenterDot]", "m"}], 
   TraditionalForm]]],
 " is a multiple of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"n", "/", "GCD"}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"n", ",", "s"}], ")"}], "."}]}], TraditionalForm]]],
 " But ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"s", "/", "GCD"}], 
     RowBox[{"(", 
      RowBox[{"n", ",", "s"}], ")"}]}], ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"n", "/", "GCD"}], 
     RowBox[{"(", 
      RowBox[{"n", ",", "s"}], ")"}]}], ")"}], TraditionalForm]]],
 " are coprime, so ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 " would be a multiple of ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    FormBox[
     SubscriptBox["e", "n"],
     TraditionalForm], "s"], TraditionalForm]]],
 "  is a primitive ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 "-th root of unity, with ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", " ", "=", " ", 
    RowBox[{
     RowBox[{"n", "/", "GCD"}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"n", ",", "s"}], ")"}], "."}]}]}], TraditionalForm]]],
 "\n\nSince\n \n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox["x", "n"], "-", " ", "1"}], " ", "=", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"x", " ", "-", " ", 
         SubscriptBox["e", "n"]}], ")"}], "\[CenterDot]", 
       RowBox[{"(", 
        RowBox[{"x", " ", "-", " ", 
         SuperscriptBox[
          SubscriptBox["e", "n"], "2"]}], " ", ")"}], "\[CenterDot]", 
       RowBox[{"(", 
        RowBox[{"x", " ", "-", " ", 
         SuperscriptBox[
          SubscriptBox["e", "n"], "3"]}], ")"}], "\[CenterDot]", " ", 
       "\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", "\[CenterDot]", 
       RowBox[{"(", 
        RowBox[{"x", " ", "-", " ", 
         SuperscriptBox[
          SubscriptBox["e", "n"], "n"]}], " ", ")"}]}]}], ","}]}], 
   TraditionalForm]]],
 "\n\nwe can collect those factors (",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " - ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    SubscriptBox["e", "n"], "s"], TraditionalForm]]],
 ") for which ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["e", "s"], TraditionalForm]]],
 "  is a primitive ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 "-th root of unity. The result is the formula\n\n                            \
      ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "n"], " ", "-", " ", "1"}], " ", "=", "  ", 
    RowBox[{
     StyleBox[
      UnderoverscriptBox[
       SubscriptBox[
        StyleBox["\[Product]",
         FontSize->24], " "], 
       StyleBox[
        RowBox[{"k", "|", "n", "    "}],
        FontSize->12], " "],
      FontSize->18], 
     RowBox[{
      RowBox[{
       SubscriptBox[
        StyleBox["\[CapitalPhi]",
         FontSize->12], "k"], "(", "x", ")"}], "."}]}]}], TraditionalForm]]]
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43791223396875*^9, 3.437912237890625*^9}, {
  3.437921660671875*^9, 3.4379216670625*^9}, {3.43792170575*^9, 
  3.4379217104375*^9}, {3.437921771375*^9, 3.43792179028125*^9}}]
}, Open  ]],

Cell[TextData[{
 "To help understand this notation, let us look at the case where ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", "12"}], TraditionalForm]]],
 ". Then proposition 13.7 states that \n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "12"], " ", "-", " ", "1"}], " ", "=", "  ", 
    RowBox[{
     RowBox[{
      StyleBox[
       UnderoverscriptBox[
        SubscriptBox[
         StyleBox["\[Product]",
          FontSize->24], " "], 
        StyleBox[
         RowBox[{"k", "|", "12", "  "}],
         FontSize->12], " "],
       FontSize->18], 
      RowBox[{
       SubscriptBox["\[CapitalPhi]", "k"], "(", "x", ")"}]}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[CapitalPhi]", "1"], "(", "x", ")"}], "\[CenterDot]", 
      RowBox[{
       SubscriptBox["\[CapitalPhi]", "2"], "(", "x", ")"}], "\[CenterDot]", 
      RowBox[{
       SubscriptBox["\[CapitalPhi]", "3"], "(", "x", ")"}], "\[CenterDot]", 
      RowBox[{
       SubscriptBox["\[CapitalPhi]", "4"], "(", "x", ")"}], "\[CenterDot]", 
      RowBox[{
       SubscriptBox["\[CapitalPhi]", "6"], "(", "x", ")"}], "\[CenterDot]", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[CapitalPhi]", "12"], "(", "x", ")"}], "."}]}]}]}], 
   TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43791223865625*^9, 3.437912240515625*^9}, 
   3.437921801921875*^9}],

Cell[TextData[{
 "This can be seen in the factorization of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "12"], " ", "-", " ", "1"}], TraditionalForm]]],
 ":"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379122413125*^9, 3.4379122413125*^9}}],

Cell[CellGroupData[{

Cell["Factor[x^12 - 1]  ", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.437912241921875*^9},
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", 
    SuperscriptBox["x", "2"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"1", "-", "x", "+", 
    SuperscriptBox["x", "2"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", "x", "+", 
    SuperscriptBox["x", "2"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"1", "-", 
    SuperscriptBox["x", "2"], "+", 
    SuperscriptBox["x", "4"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.442759231867625*^9}]
}, Open  ]],

Cell[TextData[{
 "Proposition 13.7 at least explains our observation that the factorization \
of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "n"], " ", "-", " ", "1"}], TraditionalForm]]],
 " always produces a new factor. However, we have not proven that the \
cyclotomic polynomials are irreducible in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalZ]", "[", "x", "]"}], TraditionalForm]]],
 ". They are indeed irreducible, but we will not need this for our work with \
finite fields."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.414419716155375*^9, {3.437912242453125*^9, 3.43791224296875*^9}, 
   3.437921818390625*^9}],

Cell[TextData[{
 "\nCOROLLARY 13.4\nThe ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-th cyclotomic polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[CapitalPhi]", "n"], "(", "x", ")"}], TraditionalForm]]],
 " has integer coefficients for all ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", ">", " ", "0"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.414419716155375*^9, {3.437912243984375*^9, 3.437912243984375*^9}, 
   3.4379218344375*^9}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We will prove this using induction on ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Obviously the first cyclotomic polynomial is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "-", " ", "1"}], TraditionalForm]]],
 ", which has integer coefficients. Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", ">", " ", "1"}], TraditionalForm]]],
 ", and suppose the claim is valid for all previous cyclotomic polynomials. \
By proposition 13.7, we can find the ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "-", "th"}], TraditionalForm]]],
 " cyclotomic polynomial as \n\n                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox[
      StyleBox["\[CapitalPhi]",
       FontSize->10], "n"], "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["x", "n"], " ", "-", " ", "1"}], ")"}], "/", 
     RowBox[{"\[Florin]", "(", "x", ")"}]}]}], TraditionalForm]]],
 "\nwhere\n                         ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "x", ")"}], " ", "=", "  ", 
    RowBox[{
     StyleBox[
      UnderoverscriptBox[
       SubscriptBox[
        StyleBox["\[Product]",
         FontSize->24], " "], 
       StyleBox[
        RowBox[{
         UnderscriptBox[
          RowBox[{
           StyleBox["k",
            FontSize->12], "|", "n"}], 
          StyleBox[
           RowBox[{"k", "<", "n"}],
           FontSize->12]], "    "}],
        FontSize->12], " "],
      FontSize->18], 
     RowBox[{
      RowBox[{
       SubscriptBox[
        StyleBox["\[CapitalPhi]",
         FontSize->12], "k"], "(", "x", ")"}], "."}]}]}], TraditionalForm]]],
 "\n                         \nSince all previous cyclotomic polynomials have \
integer coefficients, we see by induction that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " has integer coefficients. Furthermore, from the definition of the \
cyclotomic polynomials we see that the leading coefficients must be 1, hence \
the leading coefficient of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " is 1. So by corollary 12.1 the quotient \n   \n                            \
              ",
 StyleBox[" ",
  FontSize->14],
 Cell[BoxData[
  FormBox[
   StyleBox[
    FractionBox[
     RowBox[{
      SuperscriptBox["x", "n"], " ", "-", " ", "1"}], 
     RowBox[{"\[Florin]", "(", "x", ")"}]],
    FontSize->16], TraditionalForm]],
  FontSize->14],
 "\n\nmust in fact have integer coefficients. Therefore, all cyclotomic \
polynomials have integer coefficients."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379122448125*^9, 3.437912249828125*^9}, {
  3.43792184659375*^9, 3.437921847421875*^9}, {3.437921877796875*^9, 
  3.437921877953125*^9}}]
}, Open  ]],

Cell[TextData[{
 "It is actually very easy to generate the ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-th cyclotomic polynomial in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". The commands"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Cyclotomic[3,x]  ", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.43791225071875*^9}],

Cell[BoxData[
 RowBox[{"1", "+", "x", "+", 
  SuperscriptBox["x", "2"]}]], "Output",
 CellChangeTimes->{3.442759244180125*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Cyclotomic[6,x]  ", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.43791225109375*^9}],

Cell[BoxData[
 RowBox[{"1", "-", "x", "+", 
  SuperscriptBox["x", "2"]}]], "Output",
 CellChangeTimes->{3.4427592460395*^9}]
}, Open  ]],

Cell[TextData[{
 "find the third and sixth cyclotomic polynomial. It is easy to see \
experimentally that corollary 13.4 is true. In fact, is seems as though all \
coefficient of the cyclotomic polynomial are either 0 or ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[PlusMinus]", "1."}], TraditionalForm]]],
 "\n\nEXPERIMENT:\nUse ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to find many different cyclotomic polynomials. Are all of the coefficients \
0 or ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[PlusMinus]", 
    RowBox[{"1", "?"}]}], TraditionalForm]]],
 "  (Hint: Start your search at around ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "=", "100"}], TraditionalForm]]],
 ".) "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437921904890625*^9, 3.43792190896875*^9}}],

Cell["   ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "The next corollary is another easy consequence of corollary 13.4.\n\n\
COROLLARY 13.5\nIf ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is divisible by ",
 Cell[BoxData[
  FormBox[
   RowBox[{"m", ","}], TraditionalForm]]],
 " with ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", ">", "m"}], TraditionalForm]]],
 ", then the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "n"], " ", "-", " ", "1"}], TraditionalForm]]],
 " is divisible by ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "m"], " ", "-", " ", "1"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalZ]", "[", "x", "]"}], TraditionalForm]]],
 ".  Furthermore, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[CapitalPhi]", "n"], "(", "x", ")"}], TraditionalForm]]],
 " divides\n                              ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    FractionBox[
     RowBox[{
      SuperscriptBox["x", "n"], "-", " ", "1"}], 
     RowBox[{
      SuperscriptBox["x", "m"], "-", " ", "1"}]],
    FontSize->16], TraditionalForm]]],
 "\nin ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalZ]", "[", "x", "]"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912255734375*^9, 3.437912257015625*^9}, {
  3.437921926703125*^9, 3.43792194278125*^9}, {3.4419836212296247`*^9, 
  3.4419837571514997`*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Since ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is divisible by ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 ", whenever ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 " is divisible by ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is divisible by ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 ". Thus, every factor appearing in  \n\n                               ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "m"], " ", "-", " ", "1"}], " ", "=", "  ", 
    RowBox[{
     StyleBox[
      UnderoverscriptBox[
       SubscriptBox[
        StyleBox["\[Product]",
         FontSize->24], " "], 
       RowBox[{"k", 
        StyleBox["|",
         FontSize->12], 
        StyleBox["m",
         FontSize->12], 
        StyleBox["    ",
         FontSize->12]}], " "],
      FontSize->18], 
     RowBox[{
      SubscriptBox[
       StyleBox["\[CapitalPhi]",
        FontSize->12], "k"], "(", "x", ")"}]}]}], TraditionalForm]]],
 "\nalso appears in \n                                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "n"], " ", "-", " ", "1"}], " ", "=", "  ", 
    RowBox[{
     StyleBox[
      UnderoverscriptBox[
       SubscriptBox[
        StyleBox["\[Product]",
         FontSize->24], " "], 
       RowBox[{
        RowBox[{"k", 
         StyleBox["|",
          FontSize->12], 
         StyleBox["n",
          FontSize->12]}], 
        StyleBox["    ",
         FontSize->12]}], " "],
      FontSize->18], 
     RowBox[{
      RowBox[{
       SubscriptBox[
        StyleBox["\[CapitalPhi]",
         FontSize->12], "k"], "(", "x", ")"}], "."}]}]}], TraditionalForm]]],
 "\n\nIn fact, the quotient would be the product of the cyclotomic \
polynomials ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox[
     StyleBox["\[CapitalPhi]",
      FontSize->12], "k"], "(", "x", ")"}], TraditionalForm]]],
 " for which ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " is a divisor of ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", but not of ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 ". Since the cyclotomic polynomials have integer coefficients, \n\n          \
                                      ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    FractionBox[
     RowBox[{
      SuperscriptBox["x", "n"], "-", " ", "1"}], 
     RowBox[{
      SuperscriptBox["x", "m"], "-", " ", "1"}]],
    FontSize->16], TraditionalForm]]],
 "\n\nwould have integer coefficients. Furthermore, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[CapitalPhi]", "n"], "(", "x", ")"}], TraditionalForm]]],
 " is one of the cyclotomic polynomials in the factorization of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "n"], "-", "1"}], TraditionalForm]]],
 " which is not in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "m"], "-", "1"}], TraditionalForm]]],
 ".  Thus, the ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-th cyclotomic polynomial divides ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["x", "n"], "-", " ", "1"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["x", "m"], "-", "1"}], ")"}]}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalZ]", "[", "x", "]"}], "."}], 
   TraditionalForm]]]
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912257953125*^9, 3.437912262328125*^9}, {
  3.4419837615108747`*^9, 3.4419839133702497`*^9}}]
}, Open  ]],

Cell[TextData[{
 "We now want to find some properties of the cyclotomic polynomials. One of \
the most important properties is that two different cyclotomic polynomials \
cannot share a root in the complex numbers. (This is obvious from the \
definition.) However, we will be working with other fields besides the \
complex numbers, so we could ask whether a cyclotomic polynomial has a \
multiple root in ",
 StyleBox["any",
  FontSlant->"Italic"],
 " field.\n\nWe begin by defining a ",
 StyleBox["multiple root",
  FontSlant->"Italic"],
 " of a polynomial.\n\nDEFINITION 13.4:\nIf ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " is a root of a polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"x", "-", "r"}], ")"}], "2"], TraditionalForm]]],
 " divides ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 ", we say ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " is a ",
 StyleBox["multiple root",
  FontSlant->"Italic"],
 "  of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 ".\n\nWe would like to determine when ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "n"], "-", " ", "1"}], TraditionalForm]]],
 " has multiple roots. Our strategy is to discover the form of the quotient \n\
\n                                     ",
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{
     SuperscriptBox["x", "n"], "-", " ", "1"}], 
    RowBox[{"x", " ", "-", " ", "1"}]], TraditionalForm]],
  FontSize->16],
 ".\n\nWe can use ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to help us find a pattern. For example, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["x", "4"], "-", " ", "1"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"x", "-", "1"}], ")"}]}], TraditionalForm]]],
 " is given by"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379122814375*^9, 3.437912285453125*^9}, {
  3.43792206634375*^9, 3.437922083171875*^9}, {3.437922116765625*^9, 
  3.437922116765625*^9}, {3.4398641063125*^9, 3.4398641301875*^9}, {
  3.4419839649327497`*^9, 3.4419839921827497`*^9}}],

Cell[CellGroupData[{

Cell["Expand[Factor[(x^4 - 1)/(x - 1)]]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437912285921875*^9, 3.437912286296875*^9}, {
  3.437922164765625*^9, 3.437922165484375*^9}},
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 RowBox[{"1", "+", "x", "+", 
  SuperscriptBox["x", "2"], "+", 
  SuperscriptBox["x", "3"]}]], "Output",
 CellChangeTimes->{3.442759257117625*^9}]
}, Open  ]],

Cell["Here is another example:", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Expand[Factor[(x^5 - 1)/(x - 1)]]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.43791228671875*^9, 3.4379122870625*^9}, {
  3.437922166625*^9, 3.43792216825*^9}},
 FontFamily->"Courier",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 RowBox[{"1", "+", "x", "+", 
  SuperscriptBox["x", "2"], "+", 
  SuperscriptBox["x", "3"], "+", 
  SuperscriptBox["x", "4"]}]], "Output",
 CellChangeTimes->{3.442759259023875*^9}]
}, Open  ]],

Cell[TextData[{
 "A pattern is starting to form. Can you find it?\n\nEXPERIMENT:\nUse ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to simplify ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["x", "7"], " ", "-", " ", "1"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"x", " ", "-", " ", "1"}], ")"}]}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["x", "12"], " ", "-", " ", "1"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"x", " ", "-", " ", "1"}], ")"}]}], TraditionalForm]]],
 ". Is the pattern becoming clear?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912289921875*^9, 3.437912291078125*^9}}],

Cell[BoxData["  "], "Input"],

Cell[TextData[{
 "We can use the pattern of these quotients to prove the following:\n\nLEMMA \
13.5\nIf ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is any field, then the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "n"], " ", "-", " ", "1"}], TraditionalForm]]],
 " has a multiple root if, and only if, ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is a multiple of the characteristic of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912294609375*^9, 3.437912294609375*^9}, {
  3.43792218*^9, 3.437922180140625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We first will ask whether 1 is a multiple root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "n"], "-", " ", "1"}], TraditionalForm]]],
 ". Since 1 is clearly a root,\n\n                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      SuperscriptBox["x", "n"], "-", " ", "1"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", "1"}], ")"}], "\[CenterDot]", 
      RowBox[{"\[Florin]", "(", "x", ")"}]}]}]}], TraditionalForm]]],
 "\n\nfor some polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "x", ")"}], "."}], TraditionalForm]]],
 " But we can use the division algorithm to produce ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 ". We claim that\n\n                        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      StyleBox[
       UnderoverscriptBox[
        SubscriptBox[
         StyleBox["\[Sum]",
          FontSize->24], " "], 
        RowBox[{"k", "=", "0", "  "}], 
        RowBox[{"n", "-", "1", " "}]],
       FontSize->16], 
      SuperscriptBox[
       StyleBox["x",
        FontSize->10], "k"]}], 
     StyleBox["=",
      FontSize->12], 
     StyleBox[" ",
      FontSize->12], 
     RowBox[{
      StyleBox["1",
       FontSize->10], 
      StyleBox[" ",
       FontSize->10], 
      StyleBox["+",
       FontSize->10], 
      StyleBox[" ",
       FontSize->10], 
      StyleBox["x",
       FontSize->10], 
      StyleBox[" ",
       FontSize->10], 
      StyleBox["+",
       FontSize->10], 
      StyleBox[" ",
       FontSize->10], 
      SuperscriptBox[
       StyleBox["x",
        FontSize->10], "2"], "+", " ", 
      SuperscriptBox["x", "3"], " ", "+", " ", "\[Ellipsis]", " ", "+", " ", 
      SuperscriptBox["x", 
       RowBox[{"n", "-", "2"}]], " ", "+", " ", 
      RowBox[{
       SuperscriptBox["x", 
        RowBox[{"n", "-", "1"}]], "."}]}]}]}], TraditionalForm]]],
 "\n                        \nTo see this, note that \n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"x", " ", "-", " ", "1"}], ")"}], "\[CenterDot]", 
       RowBox[{"\[Florin]", "(", "x", ")"}]}], " ", "=", " ", 
      RowBox[{
       RowBox[{"x", "\[CenterDot]", 
        RowBox[{"\[Florin]", "(", "x", ")"}]}], " ", "-", " ", 
       RowBox[{"\[Florin]", "(", "x", ")"}]}]}], " ", "\n", 
     "\t\t\t                  ", 
     RowBox[{"=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"x", " ", "+", " ", 
         SuperscriptBox["x", "2"], "+", 
         SuperscriptBox["x", "3"], "+", " ", "\[Ellipsis]", " ", "+", 
         SuperscriptBox["x", 
          RowBox[{"n", "-", "1"}]], "+", 
         SuperscriptBox["x", "n"]}], ")"}], " ", "-", " ", 
       RowBox[{"(", 
        RowBox[{"1", " ", "+", "x", " ", "+", 
         SuperscriptBox["x", "2"], "+", 
         SuperscriptBox["x", "3"], "+", " ", "\[Ellipsis]", " ", "+", 
         SuperscriptBox["x", 
          RowBox[{"n", "-", "2"}]], "+", " ", 
         SuperscriptBox["x", 
          RowBox[{"n", "-", "1"}]]}], ")"}]}]}], " ", "\n", 
     "\t                         ", 
     RowBox[{"=", "  ", 
      RowBox[{
       SuperscriptBox["x", "n"], " ", "-", " ", "1."}]}]}]}], 
   TraditionalForm]]],
 "\n\nTo see whether 1 is a double root, we observe that\n\n ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "1", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      StyleBox[
       UnderoverscriptBox[
        SubscriptBox[
         StyleBox["\[Sum]",
          FontSize->24], " "], 
        RowBox[{"k", "=", "0", "  "}], 
        RowBox[{"n", "-", "1", " "}]],
       FontSize->16], 
      SuperscriptBox["1", "k"]}], 
     StyleBox[" ",
      FontSize->12], 
     StyleBox["=",
      FontSize->12], 
     StyleBox[" ",
      FontSize->12], 
     RowBox[{
      RowBox[{
       StyleBox["1",
        FontSize->10], 
       StyleBox[" ",
        FontSize->12], 
       StyleBox["+",
        FontSize->12], 
       StyleBox[" ",
        FontSize->12], 
       StyleBox["1",
        FontSize->10], 
       StyleBox[" ",
        FontSize->12], 
       StyleBox["+",
        FontSize->12], 
       StyleBox[" ",
        FontSize->12], 
       SuperscriptBox[
        StyleBox["1",
         FontSize->10], "2"], "+", " ", 
       SuperscriptBox["1", "3"], " ", "+", " ", "\[Ellipsis]", " ", "+", " ", 
       
       SuperscriptBox["1", 
        RowBox[{"n", "-", "2"}]], " ", "+", " ", 
       SuperscriptBox["1", 
        RowBox[{"n", "-", "1"}]]}], " ", "=", " ", "n"}]}]}], 
   TraditionalForm]]],
 ".\n \nThus, \[Florin](1) is zero if, and only if, ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is a multiple of the characteristic of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Therefore, 1 is a double root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " precisely when the characteristic is positive and divides ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ".\n\nNow suppose that ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is not a multiple of the characteristic, and that ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " is a double root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "n"], "  ", "-", " ", "1."}], TraditionalForm]]],
 " Then \n\n                                     ",
 StyleBox[" ",
  FontSize->16],
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{
     SuperscriptBox["x", "n"], " ", "-", " ", "1"}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"x", " ", "-", " ", "r"}], ")"}], "2"]], TraditionalForm]],
  FontSize->16],
 "\n\nis a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ". If we replace ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " with ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", "\[CenterDot]", "y"}], ","}], TraditionalForm]]],
 " we get\n\n              ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox[
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"x", "\[CenterDot]", "r"}], ")"}], "n"], " ", "-", " ", 
       "1"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"x", "\[CenterDot]", "r"}], " ", "-", " ", "r"}], ")"}], 
       "2"]],
     FontSize->16], 
    StyleBox[" ",
     FontSize->16], "=", 
    StyleBox[" ",
     FontSize->16], 
    RowBox[{
     StyleBox[
      FractionBox[
       RowBox[{
        RowBox[{
         SuperscriptBox["x", "n"], "\[CenterDot]", " ", 
         SuperscriptBox["r", "n"]}], " ", "-", " ", "1"}], 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"x", "-", "1"}], ")"}], "2"], " ", "\[CenterDot]", " ", 
        SuperscriptBox["r", "2"]}]],
      FontSize->16], 
     StyleBox[" ",
      FontSize->16], "=", " ", 
     StyleBox[
      FractionBox[
       RowBox[{
        SuperscriptBox["x", "n"], " ", "-", " ", "1"}], 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"x", "-", "1"}], ")"}], "2"], " ", "\[CenterDot]", 
        SuperscriptBox["r", "2"]}]],
      FontSize->16], " "}]}], TraditionalForm]]],
 "\n\nsince ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"r", " "}], "n"], "=", " ", "1"}], TraditionalForm]]],
 ".  However, we have already shown that 1 is not a double root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "n"], "-", " ", "1"}], TraditionalForm]]],
 ", so the right hand side of this equation cannot be a polynomial. Thus, ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " is not a double root whenever ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is not a multiple of the characteristic."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912295203125*^9, 3.437912311078125*^9}, {
  3.437922236234375*^9, 3.437922256359375*^9}, {3.4419840349639997`*^9, 
  3.4419840552608747`*^9}}]
}, Open  ]],

Cell[TextData[{
 "This lemma can now be used to generate irreducible polynomials in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "p"], "[", "x", "]"}], TraditionalForm]]],
 " of any degree. In fact, these irreducible polynomials are the key to \
proving that a field of order ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "n"], TraditionalForm]]],
 " exists."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.414420020686625*^9, {3.4379123190625*^9, 3.4379123190625*^9}}],

Cell[TextData[{
 "\nPROPOSITION 13.8\nLet ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " be a prime integer, and let",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"n", " ", ">", " ", "1."}]}], TraditionalForm]]],
 " Consider the cyclotomic polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[CapitalPhi]", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["p", "n"], "-", "1"}], ")"}]], "(", "x", ")"}], 
   TraditionalForm]]],
 " of order ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"\[Phi]", "(", 
     RowBox[{
      SuperscriptBox["p", "n"], "-", " ", "1"}], ")"}]}], TraditionalForm]]],
 ".  Let us consider ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " to be this polynomial modulo ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Z", "p"], "[", "x", "]"}], "."}], TraditionalForm]]],
 " Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " factors in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "p"], "[", "x", "]"}], TraditionalForm]]],
 " into irreducible polynomials, all of which have degree ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.414420020686625*^9, {3.437912323046875*^9, 3.437912325046875*^9}, 
   3.4379223881875*^9, {3.4419840626046247`*^9, 3.4419840630108747`*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "x", ")"}], TraditionalForm]]],
 " be an irreducible factor of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Z", "p"], "[", "x", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"h", "(", "x", ")"}], ")"}]}], TraditionalForm]]],
 ". We wish to show that the order of the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "n"], TraditionalForm]]],
 ", since by proposition 13.2 this would indicate that the degree of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "x", ")"}], TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " be the element \n\n                       ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", " ", "=", " ", 
    RowBox[{"x", " ", "+", " ", 
     RowBox[{"(", 
      RowBox[{"h", "(", "x", ")"}], ")"}], " "}]}], TraditionalForm]]],
 "\n\nin the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"h", "(", "y", ")"}], " ", "=", " ", "0"}], TraditionalForm]]],
 ", and hence ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "y", ")"}], " ", "=", " ", "0"}], TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". In fact, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " would be a factor of     \n\n                                         ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      SuperscriptBox["x", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["p", "n"], " ", "-", "  ", "1"}], ")"}]], "-", " ", 
      "1"}], " ", ","}]}], TraditionalForm]]],
 "\n                                         \nand so ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["y", 
     SuperscriptBox["p", "n"]], "=", " ", "y"}], TraditionalForm]]],
 ". In other words, if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " is the Frobienious automorphism on ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     RowBox[{" ", 
      RowBox[{
       SuperscriptBox["\[Florin]", "n"], "(", "y", ")"}]}],
     TraditionalForm], " ", "=", " ", "y"}], TraditionalForm]]],
 ". In fact, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Florin]", "n"], "(", "1", ")"}], " ", "=", " ", "1"}], 
   TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SubscriptBox["Z", "p"],
     TraditionalForm], "[", "x", "]"}], TraditionalForm]]],
 " is generated by ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " and 1, so we find that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox[
      RowBox[{"\[Florin]", " "}], "n"], 
     RowBox[{"(", "x", ")"}]}], " ", "=", " ", "x"}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Thus, the polynomial\n\n                                       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", 
     SuperscriptBox["p", "n"]], "   ", "-", "  ", "x"}], TraditionalForm]]],
 "\n\nhas at least ",
 Cell[BoxData[
  FormBox[
   RowBox[{"|", "K", "|"}], TraditionalForm]]],
 " roots. By corollary 12.2, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"|", "K", "|"}], TraditionalForm]]],
 " can have at most ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "n"], TraditionalForm]]],
 " elements.\n\nTo show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", "K", "|"}], " ", "=", " ", 
    SuperscriptBox["p", "n"]}], TraditionalForm]]],
 ", let us suppose that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", "K", "|"}], " ", "=", " ", 
    SuperscriptBox["p", "m"]}], TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox[
   RowBox[{"m", " ", "<", " ", "n"}], TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 " is the smallest number for which ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Florin]", "m"], "(", "x", ")"}], " ", "=", " ", "x"}], 
   TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". It is clear that ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 " would have to divide ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SuperscriptBox["\[Florin]", "n"],
     TraditionalForm], "(", "x", ")"}], TraditionalForm]]],
 " is also ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ".\n\nSince ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Florin]", "m"], "(", "y", ")"}], " ", "=", " ", "y"}], 
   TraditionalForm]]],
 ", we see that ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " is a root of the polynomial\n\n                                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SuperscriptBox["x", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["p", "m"], " ", "-", " ", "1"}], ")"}]], "-", " ", 
     "1."}]}], TraditionalForm]]],
 "\n                                  \nBy corollary 13.5, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox[
     StyleBox["\[CapitalPhi]",
      FontSize->12], 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["p", "n"], "-", "1"}], ")"}]], "(", "x", ")"}], 
   TraditionalForm]]],
 " divides                  \n\n                                             \
",
 Cell[BoxData[
  FormBox[
   StyleBox[
    FractionBox[
     RowBox[{
      SuperscriptBox["x", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["p", "n"], " ", "-", " ", "1"}], ")"}]], "-", "1"}], 
     RowBox[{
      SuperscriptBox["x", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["p", "m"], "-", "1"}], ")"}]], "-", "1"}]],
    FontSize->16], TraditionalForm]]],
 "\n\n in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalZ]", "[", "x", "]"}], TraditionalForm]]],
 ", since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["p", "m"], " ", "-", " ", "1"}], ")"}], 
   TraditionalForm]]],
 " divides ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["p", "n"], " ", "-", " ", "1"}], ")"}], "."}], 
   TraditionalForm]]],
 " Thus, in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SubscriptBox["Z", "p"],
     TraditionalForm], "[", "x", "]"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " divides\n \n                                          ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    FractionBox[
     RowBox[{
      SuperscriptBox["x", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["p", "n"], " ", "-", " ", "1"}], ")"}]], "-", "1"}], 
     RowBox[{
      SuperscriptBox["x", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["p", "m"], "-", "1"}], ")"}]], "-", "1"}]],
    FontSize->16], TraditionalForm]]],
 ".\n\nSince g(y) = 0, and also ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SuperscriptBox["y", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["p", "m"], "-", "1"}], ")"}]], "=", " ", "1"}]}], 
   TraditionalForm]]],
 ", we see that ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " would be a multiple root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["p", "n"], " ", "-", " ", "1"}], ")"}]], " ", "-", " ", 
    "1"}], TraditionalForm]]],
 ". But by lemma 13.5, this polynomial can only have a multiple root if",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["p", "n"], "-", " ", "1"}], ")"}]}], TraditionalForm]]],
 " is a multiple of ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 ", which it clearly isn't. Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"m", " ", "=", " ", "n"}], TraditionalForm]]],
 ", and so ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", "K", "|"}], " ", "=", " ", 
    SuperscriptBox["p", "n"]}], TraditionalForm]]],
 ". By proposition 13.2, the irreducible factors of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "p"], "[", "x", "]"}], TraditionalForm]]],
 " all have degree ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912325546875*^9, 3.43791233546875*^9}, {
  3.437922431890625*^9, 3.437922450421875*^9}, {3.437922587078125*^9, 
  3.437922592734375*^9}, {3.437922672859375*^9, 3.437922675171875*^9}, {
  3.4379228024375*^9, 3.437922831171875*^9}, {3.437922872578125*^9, 
  3.4379228995625*^9}, {3.4419840909796247`*^9, 3.4419840961983747`*^9}}]
}, Open  ]],

Cell[TextData[{
 "We can now prove what we had suspected was true from the experiments: that \
there is precisely one field of order ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "n"], TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", ">", " ", "0"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " is a prime number."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.414420055061625*^9}],

Cell[TextData[{
 "\nCOROLLARY 13.6\nIf ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " is a prime number, and ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is a positive integer, there exists a unique field (uInitp to isomorphism) \
of order ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "n"], TraditionalForm]]],
 ".  "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.414420055061625*^9, {3.437923000296875*^9, 3.437923000796875*^9}, {
   3.43792349346875*^9, 3.437923493890625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We have already shown in corollary 13.3 that finite fields of the same \
order are isomorphic, so all we have to show is that there is a field of \
order ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "n"], TraditionalForm]]],
 ". By proposition 13.9, the cyclotomic polynomial\n\n                        \
  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox[
     StyleBox["\[CapitalPhi]",
      FontSize->12], 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["p", "n"], "-", "1"}], ")"}]], "(", "x", ")"}], 
   TraditionalForm]]],
 "\n                          \nfactors in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "p"], "[", "x", "]"}], TraditionalForm]]],
 " into irreducible factors of degree ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". If we let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"A", "(", "x", ")"}], TraditionalForm]]],
 " be one of those irreducible factors, then by proposition 13.2, the field \n\
\n                               ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["Z", "p"], "[", "x", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"A", "(", "x", ")"}], ")"}]}]}], TraditionalForm]]],
 "\nhas order ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "n"], TraditionalForm]]],
 ". "
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43791233634375*^9, 3.437912339390625*^9}, {
  3.4379230174375*^9, 3.437923039671875*^9}}]
}, Open  ]],

Cell[TextData[{
 "\nDEFINITION 13.5:\nIf ",
 Cell[BoxData[
  FormBox[
   RowBox[{"q", " ", "=", " ", 
    SuperscriptBox["p", "n"]}], TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " is prime and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", ">", " ", "0"}], TraditionalForm]]],
 ", then ",
 StyleBox["the Galois field of order",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox["q", TraditionalForm]]],
 ",  denoted ",
 Cell[BoxData[
  FormBox[
   RowBox[{"GF", "(", "q", ")"}], TraditionalForm]]],
 ", is the unique field given in corollary 13.6.\n\nFor example, the ",
 StyleBox["official",
  FontSlant->"Italic"],
 " name for the \"complex numbers modulo 3\" we have been working with is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"GF", "(", "9", ")"}], TraditionalForm]]],
 ". Whenever ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " is prime, we can write ",
 Cell[BoxData[
  FormBox[
   RowBox[{"GF", "(", "p", ")"}], TraditionalForm]]],
 " for the field ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "p"], TraditionalForm]]],
 ".  \n\nWhen we first defined GF(9), we used the irreducible polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", "1"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "3"], "[", "x", "]"}], TraditionalForm]]],
 " to make the definition.  But there are two other second degree irreducible \
polynomials in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "3"], "[", "x", "]"}], TraditionalForm]]],
 ", namely, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", "x", "+", "2"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", " ", 
    RowBox[{"2", "x"}], " ", "+", " ", "2"}], TraditionalForm]]],
 ", with a leading coefficient of 1.  We could have used either of these to \
define GF(9):"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912352171875*^9, 3.437912353875*^9}, {
  3.43792305196875*^9, 3.4379230528125*^9}, {3.437923217046875*^9, 
  3.4379233551875*^9}, {3.43792342525*^9, 3.437923481765625*^9}, {
  3.4419841364014997`*^9, 3.4419841377764997`*^9}}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"InitDomain", "[", "3", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"a", "^", "2"}], ",", " ", 
   RowBox[{
    RowBox[{"2", "a"}], "+", "1"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.43792350940625*^9, 3.4379235335*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"K", " ", "=", " ", 
  RowBox[{"Ring", "[", 
   RowBox[{"{", 
    RowBox[{"1", ",", "a"}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.437923537296875*^9, 3.4379235450625*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "1", ",", "2", ",", "a", ",", 
   RowBox[{"2", " ", "a"}], ",", 
   RowBox[{"1", "+", "a"}], ",", 
   RowBox[{"2", "+", "a"}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "a"}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "a"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.4379235474375*^9, 3.442759273211375*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MultTable", "[", "K", "]"}]], "Input",
 CellChangeTimes->{{3.437923549140625*^9, 3.437923554875*^9}}],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.8, 0.6, 0.5}, {1, 1, 0}, {0.8, 0.6, 0.5}, {0.6, 0.4, 0.8}, {
      0, 1, 1}, {1, 0, 1}, {0.7, 0.8, 0.7}, {1, 0, 0}, {0, 1, 0}, {
      1, 0.6, 0}}, {{0.7, 0.8, 0.7}, {1, 1, 0}, {0.7, 0.8, 0.7}, {
      1, 0.6, 0}, {0.8, 0.6, 0.5}, {0.6, 0.4, 0.8}, {1, 0, 0}, {1, 0, 1}, {0, 
      1, 1}, {0, 1, 0}}, {{1, 0.6, 0}, {1, 1, 0}, {1, 0.6, 0}, {0.7, 0.8, 
      0.7}, {0.6, 0.4, 0.8}, {0.8, 0.6, 0.5}, {0, 1, 0}, {0, 1, 1}, {1, 0, 
      1}, {1, 0, 0}}, {{0.6, 0.4, 0.8}, {1, 1, 0}, {0.6, 0.4, 0.8}, {0.8, 0.6,
       0.5}, {1, 0, 1}, {0, 1, 1}, {1, 0.6, 0}, {0, 1, 0}, {1, 0, 0}, {0.7, 
      0.8, 0.7}}, {{0, 1, 0}, {1, 1, 0}, {0, 1, 0}, {1, 0, 0}, {1, 0.6, 0}, {
      0.7, 0.8, 0.7}, {0, 1, 1}, {0.8, 0.6, 0.5}, {0.6, 0.4, 0.8}, {1, 0, 
      1}}, {{1, 0, 0}, {1, 1, 0}, {1, 0, 0}, {0, 1, 0}, {0.7, 0.8, 0.7}, {
      1, 0.6, 0}, {1, 0, 1}, {0.6, 0.4, 0.8}, {0.8, 0.6, 0.5}, {0, 1, 1}}, {{
      0, 1, 1}, {1, 1, 0}, {0, 1, 1}, {1, 0, 1}, {0, 1, 0}, {1, 0, 0}, {0.8, 
      0.6, 0.5}, {0.7, 0.8, 0.7}, {1, 0.6, 0}, {0.6, 0.4, 0.8}}, {{1, 0, 1}, {
      1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}, {0.8, 0.6, 0.5}}, {{1, 1, 0}, {1, 1, 0}, {
     1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 
     0}, {1, 1, 
     0}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {
      0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0.8, 0.6, 0.5}}}], 
   InsetBox[
    TagBox[
     StyleBox["\<\"\[CenterDot]\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0.5, 9.5}], {InsetBox[
     TagBox[
      StyleBox["\<\"0\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {1.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"1\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {2.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {3.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {4.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {5.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"1+a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {6.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2+a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {7.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"1+2a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {8.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2+2a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {9.5, 9.5}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"0\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"1\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 7.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 5.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 4.5}], InsetBox[
     TagBox[
      StyleBox["\<\"1+a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 3.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2+a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 2.5}], InsetBox[
     TagBox[
      StyleBox["\<\"1+2a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 1.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2+2a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 0.5}]}, {{InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 8.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 7.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 6.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 5.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 4.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 3.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 2.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 1.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 0.5}]}}, 
   LineBox[{{1, 0}, {1, 9}, {10, 9}}]},
  ImageSize->{356.0000000000002, Automatic}]], "Output",
 CellChangeTimes->{3.43792355578125*^9, 3.442759276867625*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"InitDomain", "[", "3", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"a", "^", "2"}], ",", " ", 
   RowBox[{"a", "+", "1"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.43792350940625*^9, 3.4379235335*^9}, 
   3.43792358428125*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"F", " ", "=", " ", 
  RowBox[{"Ring", "[", 
   RowBox[{"{", 
    RowBox[{"1", ",", "a"}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.437923537296875*^9, 3.4379235450625*^9}, {
  3.43792358821875*^9, 3.43792358865625*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "1", ",", "2", ",", "a", ",", 
   RowBox[{"2", " ", "a"}], ",", 
   RowBox[{"1", "+", "a"}], ",", 
   RowBox[{"2", "+", "a"}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "a"}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "a"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.4379235474375*^9, 3.437923589234375*^9, 
  3.4427592842895*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MultTable", "[", "F", "]"}]], "Input",
 CellChangeTimes->{{3.437923591078125*^9, 3.4379235943125*^9}}],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.8, 0.6, 0.5}, {1, 1, 0}, {0.8, 0.6, 0.5}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}, {1, 0, 1}, {0, 1, 0}, {1, 0, 0}, {0, 1, 
      1}}, {{0.7, 0.8, 0.7}, {1, 1, 0}, {0.7, 0.8, 0.7}, {1, 0.6, 0}, {0, 1, 
      1}, {1, 0, 1}, {0, 1, 0}, {0.6, 0.4, 0.8}, {0.8, 0.6, 0.5}, {1, 0, 
      0}}, {{1, 0.6, 0}, {1, 1, 0}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {1, 0, 1}, {
      0, 1, 1}, {1, 0, 0}, {0.8, 0.6, 0.5}, {0.6, 0.4, 0.8}, {0, 1, 0}}, {{
      0.6, 0.4, 0.8}, {1, 1, 0}, {0.6, 0.4, 0.8}, {0.8, 0.6, 0.5}, {0.7, 0.8, 
      0.7}, {1, 0.6, 0}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {1, 0, 1}}, {{0, 1, 
      0}, {1, 1, 0}, {0, 1, 0}, {1, 0, 0}, {0.8, 0.6, 0.5}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {0, 1, 1}, {1, 0, 1}, {0.7, 0.8, 0.7}}, {{1, 0, 0}, {1, 1, 
      0}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {0.8, 0.6, 0.5}, {0.7, 0.8, 
      0.7}, {1, 0, 1}, {0, 1, 1}, {1, 0.6, 0}}, {{0, 1, 1}, {1, 1, 0}, {0, 1, 
      1}, {1, 0, 1}, {0, 1, 0}, {1, 0, 0}, {0.8, 0.6, 0.5}, {0.7, 0.8, 0.7}, {
      1, 0.6, 0}, {0.6, 0.4, 0.8}}, {{1, 0, 1}, {1, 1, 0}, {1, 0, 1}, {0, 1, 
      1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 
      0.7}, {0.8, 0.6, 0.5}}, {{1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1,
      1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 0}, {1, 1, 
     0}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {
      0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0.8, 0.6, 0.5}}}], 
   InsetBox[
    TagBox[
     StyleBox["\<\"\[CenterDot]\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0.5, 9.5}], {InsetBox[
     TagBox[
      StyleBox["\<\"0\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {1.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"1\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {2.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {3.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {4.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {5.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"1+a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {6.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2+a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {7.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"1+2a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {8.5, 9.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2+2a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {9.5, 9.5}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"0\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 8.5}], InsetBox[
     TagBox[
      StyleBox["\<\"1\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 7.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 6.5}], InsetBox[
     TagBox[
      StyleBox["\<\"a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 5.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 4.5}], InsetBox[
     TagBox[
      StyleBox["\<\"1+a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 3.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2+a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 2.5}], InsetBox[
     TagBox[
      StyleBox["\<\"1+2a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 1.5}], InsetBox[
     TagBox[
      StyleBox["\<\"2+2a\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {0.5, 0.5}]}, {{InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 8.5}], InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 8.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 7.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 7.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 6.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 6.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 5.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 5.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 4.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 4.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 3.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 3.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 2.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 2.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 1.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 1.5}]}, {InsetBox[
      TagBox[
       StyleBox["\<\"0\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {1.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {2.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {3.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2+a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {4.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1+2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {5.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"1\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {6.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {7.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"a\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {8.5, 0.5}], InsetBox[
      TagBox[
       StyleBox["\<\"2\"\>",
        FontSize->18],
       StyleForm[#, FontSize -> 18]& ], {9.5, 0.5}]}}, 
   LineBox[{{1, 0}, {1, 9}, {10, 9}}]}]], "Output",
 CellChangeTimes->{3.43792359503125*^9, 3.442759286242625*^9}]
}, Open  ]],

Cell[TextData[{
 "We know from corollary 13.3 that these are both isomorphic to GF(9), but \
the notations for these are vastly different.  This begs the question as to \
whether there is an ",
 StyleBox["official",
  FontSlant->"Italic"],
 " way to describe the elements of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"GF", "(", 
     SuperscriptBox["p", "n"], ")"}], "."}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912352171875*^9, 3.437912353875*^9}, {
  3.43792305196875*^9, 3.4379230528125*^9}, {3.437923217046875*^9, 
  3.437923219859375*^9}, {3.437923642953125*^9, 3.43792364671875*^9}, {
  3.437923714*^9, 3.437923874640625*^9}}],

Cell[TextData[{
 "It is clear that we must first pick an irreduciable polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " of degree ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "p"], "[", "x", "]"}], TraditionalForm]]],
 ", and then we let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "=", 
    RowBox[{"x", "+", 
     RowBox[{"(", 
      RowBox[{"f", "(", "x", ")"}], ")"}]}]}], TraditionalForm]]],
 " be a root of this polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"GF", "(", 
    SuperscriptBox["p", "n"], ")"}], TraditionalForm]]],
 ", so that every element of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"GF", "(", 
    SuperscriptBox["p", "n"], ")"}], TraditionalForm]]],
 " can be expressed in terms of ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ".  \n\nBut we also know from proposition 13.4 that the group ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    RowBox[{"GF", "(", 
     SuperscriptBox["p", "n"], ")"}], "*"], TraditionalForm]]],
 " is a cyclic group, and so we can choose the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " so that ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " will be a generator of this group.  "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912352171875*^9, 3.437912353875*^9}, {
  3.43792305196875*^9, 3.4379230528125*^9}, {3.437923217046875*^9, 
  3.437923219859375*^9}, {3.437923642953125*^9, 3.43792364671875*^9}, {
  3.437923714*^9, 3.437923714765625*^9}, {3.43792394578125*^9, 
  3.43792410109375*^9}, {3.43792432553125*^9, 3.437924354890625*^9}, {
  3.43792442084375*^9, 3.437924529984375*^9}}],

Cell[TextData[{
 "\nDEFINITION 13.6:\nA polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " over a finite field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is a ",
 StyleBox["primative polynomial ",
  FontSlant->"Italic"],
 "if it is irreducible, has a leading coefficient of 1, and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "+", " ", 
    RowBox[{"(", 
     RowBox[{"f", "(", "x", ")"}], ")"}]}], TraditionalForm]]],
 " is a multiplicative generator of the finite field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", "x", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"f", "(", "x", ")"}], ")"}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912352171875*^9, 3.437912353875*^9}, {
  3.43792305196875*^9, 3.4379230528125*^9}, {3.437923217046875*^9, 
  3.437923219859375*^9}, {3.437923642953125*^9, 3.43792364671875*^9}, {
  3.437923714*^9, 3.437923714765625*^9}, {3.43792394578125*^9, 
  3.43792410109375*^9}, {3.43792432553125*^9, 3.437924354890625*^9}, {
  3.43792442084375*^9, 3.437924647671875*^9}}],

Cell[TextData[{
 "For example, the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", "1"}], TraditionalForm]]],
 "over ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "3"], "[", "x", "]"}], TraditionalForm]]],
 " is ",
 StyleBox["not",
  FontSlant->"Italic"],
 " a primitive polynomial, since ",
 Cell[BoxData[
  FormBox["i", TraditionalForm]]],
 " is not a multiplicative generator of the \"complex numbers mod 3\" ( ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["i", "4"], "=", "1."}], TraditionalForm]]],
 ")  However, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", "x", "+", "2"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", 
    RowBox[{"2", "x"}], "+", "2"}], TraditionalForm]]],
 " ",
 StyleBox["are",
  FontSlant->"Italic"],
 " primitive polynomials, as the above multiplication tables can demonstrate.\
\nSo we still have two logical ways of expressing GF(9).  Hence, we need some \
kind of \"tie-breaker\" which picks one irreduciable polynomial over the \
other, and the following definition does the trick."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912352171875*^9, 3.437912353875*^9}, {
   3.43792305196875*^9, 3.4379230528125*^9}, {3.437923217046875*^9, 
   3.437923219859375*^9}, {3.437923642953125*^9, 3.43792364671875*^9}, {
   3.437923714*^9, 3.437923714765625*^9}, {3.43792394578125*^9, 
   3.43792410109375*^9}, 3.43792432553125*^9, {3.43792474003125*^9, 
   3.437924910359375*^9}, {3.43792496234375*^9, 3.437925051078125*^9}}],

Cell[TextData[{
 "\nDEFINITION 13.7:\nThe ",
 StyleBox["Conway polynomial",
  FontSlant->"Italic"],
 " of degree ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "p"], TraditionalForm]]],
 " is the primitive polynomial of degree ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " in  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "p"], "[", "x", "]"}], TraditionalForm]]],
 " for which\n\n   1.  The polynomial is compatible with the way that the \
subfields of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"GF", "(", 
    SuperscriptBox["p", "n"], ")"}], TraditionalForm]]],
 " are defined.  To be compatible, for all divisors ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " less than ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", the\n   \n                                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    FractionBox[
     RowBox[{
      SuperscriptBox["p", "n"], "-", "1"}], 
     RowBox[{
      SuperscriptBox["p", "d"], "-", "1"}]], ")"}], TraditionalForm]]],
 "th\npower of the zeros of the polynomial must be zeros of the Conway \
polynomial of degree ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "p"], TraditionalForm]]],
 ".\n\n   2.  If two or more primitive polynomials satisfy the compatibility \
condition, let ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]]],
 " be the highest power of ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " for which the coefficients differ.  If ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "-", "d"}], TraditionalForm]]],
 " is even, pick the one with the smallest coeffient from the set ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", 
     RowBox[{
      RowBox[{"\[Ellipsis]", " ", "p"}], "-", "1"}]}], "}"}], 
   TraditionalForm]]],
 ".  If ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "-", "d"}], TraditionalForm]]],
 " is odd, pick the largest, unless there is one with a coefficient of 0."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912352171875*^9, 3.437912353875*^9}, {
   3.43792305196875*^9, 3.4379230528125*^9}, {3.437923217046875*^9, 
   3.437923219859375*^9}, {3.437923642953125*^9, 3.43792364671875*^9}, {
   3.437923714*^9, 3.437923714765625*^9}, {3.43792394578125*^9, 
   3.43792410109375*^9}, 3.43792432553125*^9, {3.43792474003125*^9, 
   3.437924910359375*^9}, {3.43792496234375*^9, 3.437925544328125*^9}, {
   3.440864691734375*^9, 3.440864740953125*^9}}],

Cell[TextData[{
 "This definition at first seems counter-intuitive.  Logically, a zero \
coefficient is always preferred over a non-zero term, but sometimes we pick \
the polynomial with the largest coefficient, and sometimes use the one with \
the smallest. \nBut to understand why this is so, consider the first degree \
Conway polynomials.  Since all of the primitive polynomials are of the form \
",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "+", "c"}], TraditionalForm]]],
 ", with ",
 Cell[BoxData[
  FormBox[
   RowBox[{"c", "\[NotEqual]", "0"}], TraditionalForm]]],
 ", they differ only in the constant term.  Hence ",
 Cell[BoxData[
  FormBox[
   RowBox[{"d", "=", "0"}], TraditionalForm]]],
 ", so ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "-", "d"}], TraditionalForm]]],
 " will be odd, and we should select the primitive polynomial with the \
largest ",
 Cell[BoxData[
  FormBox["c", TraditionalForm]]],
 ".   This in turn will make the root of this polynomial be as  ",
 StyleBox["small",
  FontSlant->"Italic"],
 " as possible.  So for ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " prime, the root of the Conway polynomial of degree 1 will represent the \
smallest generator of the group ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "p", "*"], TraditionalForm]]],
 ".  In general, the Conway polynomial is designed so that the roots will be \
minimized. "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912352171875*^9, 3.437912353875*^9}, {
   3.43792305196875*^9, 3.4379230528125*^9}, {3.437923217046875*^9, 
   3.437923219859375*^9}, {3.437923642953125*^9, 3.43792364671875*^9}, {
   3.437923714*^9, 3.437923714765625*^9}, {3.43792394578125*^9, 
   3.43792410109375*^9}, 3.43792432553125*^9, {3.43792474003125*^9, 
   3.437924910359375*^9}, {3.43792496234375*^9, 3.437925061921875*^9}, {
   3.437925281390625*^9, 3.437925282265625*^9}, 3.437925372046875*^9, {
   3.437925635875*^9, 3.4379256489375*^9}, {3.437925705828125*^9, 
   3.4379258175*^9}, {3.4379259180625*^9, 3.437926321703125*^9}, 
   3.440864459234375*^9, {3.440864777515625*^9, 3.44086498084375*^9}}],

Cell[TextData[{
 "Let us use this definition to find the Conway polynomial of degree 2 over \
",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 ".  In order to understand the compatibility condition, we must first find \
the Conway polynomial of degree 1 over ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 ".  Since there is only one generator of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 ", namely 2, there is only one primitive polynomial of degree 1, \n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", "-", "2"}], " ", "=", " ", 
    RowBox[{"x", "+", "1"}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912352171875*^9, 3.437912353875*^9}, {
   3.43792305196875*^9, 3.4379230528125*^9}, {3.437923217046875*^9, 
   3.437923219859375*^9}, {3.437923642953125*^9, 3.43792364671875*^9}, {
   3.437923714*^9, 3.437923714765625*^9}, {3.43792394578125*^9, 
   3.43792410109375*^9}, 3.43792432553125*^9, {3.43792474003125*^9, 
   3.437924910359375*^9}, {3.43792496234375*^9, 3.437925061921875*^9}, {
   3.437925281390625*^9, 3.437925282265625*^9}, 3.437925372046875*^9, {
   3.437925635875*^9, 3.4379256489375*^9}, {3.437925705828125*^9, 
   3.4379258175*^9}, {3.4379259180625*^9, 3.437926321703125*^9}, 
   3.440864459234375*^9, {3.440864777515625*^9, 3.44086478559375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConwayPolynomial", "[", 
  RowBox[{"3", ",", "1", ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.440864462375*^9, 3.440864470015625*^9}}],

Cell[BoxData[
 RowBox[{"1", "+", "x"}]], "Output",
 CellChangeTimes->{3.440864470828125*^9, 3.442759298227*^9}]
}, Open  ]],

Cell[TextData[{
 "Now in order for a primitive polynomial of degree 2 to be compatible, the \
",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["3", "2"], "-", "1"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["3", "1"], "-", "1"}], ")"}]}], TraditionalForm]]],
 ", or 4th power of the roots must be a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "+", "1"}], TraditionalForm]]],
 ".  Hence, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", "1"}], TraditionalForm]]],
 " does not satisfy this compatibility condition since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["i", "4"], "=", " ", "1"}], TraditionalForm]]],
 ", not 2 in GF(9).  However, both ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", "x", "+", "2"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", 
    RowBox[{"2", "x"}], "+", "2"}], TraditionalForm]]],
 " will satisfy the compatibility condition, since both of the above \
multiplication tables show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["a", "4"], "=", "2"}], TraditionalForm]]],
 ".  (If one root satisfies the compatibility condition, it is clear that the \
other root will too, since the Frobenius automorphism sends one root to the \
other.)\n\nOf the two possible primitive polynomials remaining, we look for \
the largest power of ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " for which these differ, ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["x", "1"], TraditionalForm]]],
 ", and since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"n", "-", "d"}], "=", "1"}], TraditionalForm]]],
 " is odd, and neither ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["x", "1"], TraditionalForm]]],
 " coefficient is 0, we pick the larger of the two possible coefficients.  So \
the Conway polynomial is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", " ", 
    RowBox[{"2", "x"}], " ", "+", " ", "2"}], TraditionalForm]]],
 ".  We can use ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to verify this."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912352171875*^9, 3.437912353875*^9}, {
   3.43792305196875*^9, 3.4379230528125*^9}, {3.437923217046875*^9, 
   3.437923219859375*^9}, {3.437923642953125*^9, 3.43792364671875*^9}, {
   3.437923714*^9, 3.437923714765625*^9}, {3.43792394578125*^9, 
   3.43792410109375*^9}, 3.43792432553125*^9, {3.43792474003125*^9, 
   3.437924910359375*^9}, {3.43792496234375*^9, 3.437925061921875*^9}, {
   3.437925281390625*^9, 3.437925282265625*^9}, 3.437925372046875*^9, {
   3.437925635875*^9, 3.4379256489375*^9}, {3.437925705828125*^9, 
   3.4379258175*^9}, {3.4379259180625*^9, 3.437926321703125*^9}, 
   3.440864459234375*^9, {3.440864515375*^9, 3.440864531*^9}, 
   3.4408649895625*^9, {3.44086508753125*^9, 3.440865106890625*^9}, {
   3.4419842218546247`*^9, 3.4419842281514997`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConwayPolynomial", "[", 
  RowBox[{"3", ",", "2", ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.44086453628125*^9, 3.440864542984375*^9}}],

Cell[BoxData[
 RowBox[{"2", "+", 
  RowBox[{"2", " ", "x"}], "+", 
  SuperscriptBox["x", "2"]}]], "Output",
 CellChangeTimes->{3.440864543671875*^9, 3.44275933632075*^9}]
}, Open  ]],

Cell[TextData[{
 "Hence, the ",
 StyleBox["official",
  FontSlant->"Italic"],
 " notation for GF(9) is"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912352171875*^9, 3.437912353875*^9}, {
   3.43792305196875*^9, 3.4379230528125*^9}, {3.437923217046875*^9, 
   3.437923219859375*^9}, {3.437923642953125*^9, 3.43792364671875*^9}, {
   3.437923714*^9, 3.437923714765625*^9}, {3.43792394578125*^9, 
   3.43792410109375*^9}, 3.43792432553125*^9, {3.43792474003125*^9, 
   3.437924910359375*^9}, {3.43792496234375*^9, 3.437925061921875*^9}, {
   3.437925281390625*^9, 3.437925282265625*^9}, 3.437925372046875*^9, {
   3.437925635875*^9, 3.4379256489375*^9}, {3.437925705828125*^9, 
   3.4379258175*^9}, {3.4379259180625*^9, 3.437926321703125*^9}, 
   3.440864459234375*^9, {3.440864515375*^9, 3.440864534171875*^9}}],

Cell[BoxData[{
 RowBox[{"InitDomain", "[", "3", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"a", "^", "2"}], ",", " ", 
   RowBox[{"a", "+", "1"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.43792350940625*^9, 3.4379235335*^9}, 
   3.43792358428125*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"F", " ", "=", " ", 
  RowBox[{"Ring", "[", 
   RowBox[{"{", 
    RowBox[{"1", ",", "a"}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.437923537296875*^9, 3.4379235450625*^9}, {
  3.43792358821875*^9, 3.43792358865625*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "1", ",", "2", ",", "a", ",", 
   RowBox[{"2", " ", "a"}], ",", 
   RowBox[{"1", "+", "a"}], ",", 
   RowBox[{"2", "+", "a"}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "a"}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "a"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.4379235474375*^9, 3.437923589234375*^9, 
  3.437926332046875*^9, 3.442759340211375*^9}]
}, Open  ]],

Cell[TextData[{
 "Here is another example.  Let us find the Conway polynomial of degree 4 \
over ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 ".\nWe begin by finding all of the primitive polynomials.\nThis can be done \
using problem 13.35, and factoring ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[CapitalPhi]", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["p", "n"], "-", "1"}], ")"}]], "(", "x", ")"}], 
   TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438084601828125*^9, 3.438084664234375*^9}, {
   3.43808472071875*^9, 3.438084991125*^9}, {3.43808513375*^9, 
   3.438085151859375*^9}, {3.43808518234375*^9, 3.438085283625*^9}, {
   3.4380853314375*^9, 3.43808541703125*^9}, {3.43808553425*^9, 
   3.4380855355*^9}, {3.43808575940625*^9, 3.438085845109375*^9}, {
   3.4380859735*^9, 3.43808608471875*^9}, {3.43808792296875*^9, 
   3.438087990421875*^9}, {3.438088078109375*^9, 3.4380880846875*^9}, {
   3.438088175625*^9, 3.43808825571875*^9}, 3.43835436734375*^9, {
   3.438354506859375*^9, 3.4383545295*^9}, {3.438356515625*^9, 
   3.4383565215625*^9}}],

Cell[BoxData[
 RowBox[{"InitDomain", "[", "3", "]"}]], "Input",
 CellChangeTimes->{{3.43808831834375*^9, 3.4380883294375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Z3", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{"0", ",", "1", ",", "2"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.438088338734375*^9, 3.438088342890625*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "1", ",", "2"}], "}"}]], "Output",
 CellChangeTimes->{3.438088344625*^9, 3.438089136078125*^9, 
  3.44275934475825*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"G", " ", "=", " ", 
  RowBox[{"Cyclotomic", "[", 
   RowBox[{"80", ",", "x"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.43808827140625*^9, 3.43808829940625*^9}, {
  3.4380883595*^9, 3.438088360078125*^9}}],

Cell[BoxData[
 RowBox[{"1", "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["x", "8"]}], "+", 
  SuperscriptBox["x", "16"], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["x", "24"]}], "+", 
  SuperscriptBox["x", "32"]}]], "Output",
 CellChangeTimes->{{3.4380883000625*^9, 3.4380883611875*^9}, 3.4380891375*^9, 
   3.442759346867625*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Factor", "[", 
  RowBox[{"G", ",", "Z3"}], "]"}]], "Input",
 CellChangeTimes->{{3.4380883334375*^9, 3.43808836546875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"2", "+", "x", "+", 
    SuperscriptBox["x", "4"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "x"}], "+", 
    SuperscriptBox["x", "4"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "+", 
    SuperscriptBox["x", "3"], "+", 
    SuperscriptBox["x", "4"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "x"}], "+", 
    SuperscriptBox["x", "2"], "+", 
    SuperscriptBox["x", "3"], "+", 
    SuperscriptBox["x", "4"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "x"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["x", "2"]}], "+", 
    SuperscriptBox["x", "3"], "+", 
    SuperscriptBox["x", "4"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["x", "3"]}], "+", 
    SuperscriptBox["x", "4"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "+", "x", "+", 
    SuperscriptBox["x", "2"], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["x", "3"]}], "+", 
    SuperscriptBox["x", "4"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "+", "x", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["x", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["x", "3"]}], "+", 
    SuperscriptBox["x", "4"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.438088366125*^9, 3.438089139171875*^9, 
  3.44275934957075*^9}]
}, Open  ]],

Cell[TextData[{
 "So we have 8 primitive polynomials of degree 4 over ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 ", each having 4 roots which are generators of GF(81).  But we need the \
compatibity condition to be satisfied.  That is, for a root ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " in one of these polynomials, we need the ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    FractionBox[
     RowBox[{
      SuperscriptBox["3", "4"], "-", "1"}], 
     RowBox[{
      SuperscriptBox["3", "1"], "-", "1"}]], ")"}], TraditionalForm]]],
 "th power of ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " satisfies ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", " ", "+", " ", "1"}], "=", "0"}], TraditionalForm]]],
 ", while the  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    FractionBox[
     RowBox[{
      SuperscriptBox["3", "4"], "-", "1"}], 
     RowBox[{
      SuperscriptBox["3", "2"], "-", "1"}]], ")"}], TraditionalForm]]],
 "th power of ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " \nsatisfies ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "2"], "+", " ", 
     RowBox[{"2", "x"}], " ", "+", " ", "2"}], " ", "=", " ", "0"}], 
   TraditionalForm]]],
 ".  In other words, ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " will satisfy ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["r", "40"], "+", " ", "1"}], " ", "=", " ", "0"}], 
   TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["r", "20"], "+", " ", 
     RowBox[{"2", " ", 
      SuperscriptBox["r", "10"]}], "+", " ", "2"}], " ", "=", " ", "0"}], 
   TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438084601828125*^9, 3.438084664234375*^9}, {
  3.43808472071875*^9, 3.438084991125*^9}, {3.43808513375*^9, 
  3.438085151859375*^9}, {3.43808518234375*^9, 3.438085283625*^9}, {
  3.4380853314375*^9, 3.43808541703125*^9}, {3.43808553425*^9, 
  3.4380855355*^9}, {3.43808575940625*^9, 3.438085845109375*^9}, {
  3.4380859735*^9, 3.43808608471875*^9}, {3.43808792296875*^9, 
  3.438087990421875*^9}, {3.438088078109375*^9, 3.4380880846875*^9}, {
  3.438088175625*^9, 3.43808825571875*^9}, {3.438088432421875*^9, 
  3.438088439078125*^9}, {3.438088481828125*^9, 3.438088610703125*^9}, {
  3.43808865796875*^9, 3.438088728375*^9}, {3.438088777984375*^9, 
  3.438088907375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Factor", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"x", "^", "40"}], "+", "1"}], ",", "Z3"}], "]"}]], "Input",
 CellChangeTimes->{{3.438089123328125*^9, 3.4380891584375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"2", "+", "x", "+", 
    SuperscriptBox["x", "4"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "x"}], "+", 
    SuperscriptBox["x", "4"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "+", 
    SuperscriptBox["x", "2"], "+", 
    SuperscriptBox["x", "4"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["x", "2"]}], "+", 
    SuperscriptBox["x", "4"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "+", 
    SuperscriptBox["x", "3"], "+", 
    SuperscriptBox["x", "4"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "x"}], "+", 
    SuperscriptBox["x", "2"], "+", 
    SuperscriptBox["x", "3"], "+", 
    SuperscriptBox["x", "4"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "x"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["x", "2"]}], "+", 
    SuperscriptBox["x", "3"], "+", 
    SuperscriptBox["x", "4"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["x", "3"]}], "+", 
    SuperscriptBox["x", "4"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "+", "x", "+", 
    SuperscriptBox["x", "2"], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["x", "3"]}], "+", 
    SuperscriptBox["x", "4"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "+", "x", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["x", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["x", "3"]}], "+", 
    SuperscriptBox["x", "4"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.438089159421875*^9, 3.442759352602*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Factor", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"x", "^", "20"}], "+", 
    RowBox[{"2", " ", 
     RowBox[{"x", "^", "10"}]}], " ", "+", " ", "2"}], ",", " ", "Z3"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.4380891801875*^9, 3.43808919465625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"2", "+", 
    SuperscriptBox["x", "2"], "+", 
    SuperscriptBox["x", "4"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "+", 
    SuperscriptBox["x", "3"], "+", 
    SuperscriptBox["x", "4"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "x"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["x", "2"]}], "+", 
    SuperscriptBox["x", "3"], "+", 
    SuperscriptBox["x", "4"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["x", "3"]}], "+", 
    SuperscriptBox["x", "4"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "+", "x", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["x", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["x", "3"]}], "+", 
    SuperscriptBox["x", "4"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.43808919521875*^9, 3.442759354898875*^9}]
}, Open  ]],

Cell[TextData[{
 "Four polynomals are in common with all three factorizations-- ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "+", " ", 
    SuperscriptBox["x", "3"], "+", "2"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "+", 
    SuperscriptBox["x", "3"], "+", 
    RowBox[{"2", 
     SuperscriptBox["x", "2"]}], "+", 
    RowBox[{"2", "x"}], "+", "2"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "+", 
    RowBox[{"2", 
     SuperscriptBox["x", "3"]}], "+", "2"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "+", 
    RowBox[{"2", 
     SuperscriptBox["x", "3"]}], "+", 
    RowBox[{"2", 
     SuperscriptBox["x", "2"]}], "+", "x", "+", "2"}], TraditionalForm]]],
 ".  Since they differ in the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["x", "3"], TraditionalForm]]],
 " power, and none of them are missing the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["x", "3"], TraditionalForm]]],
 " term, we pick one with the largest coefficient.  (Again, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"n", "-", "d"}], " ", "=", " ", 
    RowBox[{"4", "-", "3"}]}], TraditionalForm]]],
 " is odd.)  Of the 2, we pick the one with the smallest ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["x", "2"], TraditionalForm]]],
 " coefficient (",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"n", "-", "d"}], " ", "=", " ", 
    RowBox[{"4", "-", "2"}]}], TraditionalForm]]],
 " is even), giving us ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "+", 
    RowBox[{"2", 
     SuperscriptBox["x", "3"]}], "+", "2"}], TraditionalForm]]],
 ".  We can verify this with the ConwayPolynomial command:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438084601828125*^9, 3.438084664234375*^9}, {
   3.43808472071875*^9, 3.438084991125*^9}, {3.43808513375*^9, 
   3.438085151859375*^9}, {3.43808518234375*^9, 3.438085283625*^9}, {
   3.4380853314375*^9, 3.43808541703125*^9}, {3.43808553425*^9, 
   3.4380855355*^9}, {3.43808575940625*^9, 3.438085845109375*^9}, {
   3.4380859735*^9, 3.43808608471875*^9}, {3.43808792296875*^9, 
   3.438087990421875*^9}, {3.438088078109375*^9, 3.4380880846875*^9}, {
   3.438088175625*^9, 3.43808825571875*^9}, {3.438088432421875*^9, 
   3.438088439078125*^9}, {3.438088481828125*^9, 3.438088610703125*^9}, {
   3.43808865796875*^9, 3.438088728375*^9}, {3.438088777984375*^9, 
   3.438088907375*^9}, {3.438089224484375*^9, 3.438089233015625*^9}, {
   3.43808945065625*^9, 3.4380896188125*^9}, {3.438089649125*^9, 
   3.43808968315625*^9}, 3.438354276765625*^9, {3.4383567093125*^9, 
   3.43835674534375*^9}, {3.440865219515625*^9, 3.440865315125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConwayPolynomial", "[", 
  RowBox[{"3", ",", "4", ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.44086532003125*^9, 3.440865328265625*^9}}],

Cell[BoxData[
 RowBox[{"2", "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["x", "3"]}], "+", 
  SuperscriptBox["x", "4"]}]], "Output",
 CellChangeTimes->{3.440865328765625*^9, 3.442759357867625*^9}]
}, Open  ]],

Cell[TextData[{
 "This means we can have the ",
 StyleBox["official",
  FontSlant->"Italic"],
 " definition of GF(81) as"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438084601828125*^9, 3.438084664234375*^9}, {
   3.43808472071875*^9, 3.438084991125*^9}, {3.43808513375*^9, 
   3.438085151859375*^9}, {3.43808518234375*^9, 3.438085283625*^9}, {
   3.4380853314375*^9, 3.43808541703125*^9}, {3.43808553425*^9, 
   3.4380855355*^9}, {3.43808575940625*^9, 3.438085845109375*^9}, {
   3.4380859735*^9, 3.43808608471875*^9}, {3.43808792296875*^9, 
   3.438087990421875*^9}, {3.438088078109375*^9, 3.4380880846875*^9}, {
   3.438088175625*^9, 3.43808825571875*^9}, {3.438088432421875*^9, 
   3.438088439078125*^9}, {3.438088481828125*^9, 3.438088610703125*^9}, {
   3.43808865796875*^9, 3.438088728375*^9}, {3.438088777984375*^9, 
   3.438088907375*^9}, {3.438089224484375*^9, 3.438089233015625*^9}, {
   3.43808945065625*^9, 3.4380896188125*^9}, {3.438089649125*^9, 
   3.43808968315625*^9}, 3.438354276765625*^9, {3.4383567093125*^9, 
   3.43835674534375*^9}, {3.440865219515625*^9, 3.44086534446875*^9}}],

Cell[BoxData[
 RowBox[{"InitDomain", "[", "3", "]"}]], "Input",
 CellChangeTimes->{{3.4383567474375*^9, 3.438356750734375*^9}}],

Cell[BoxData[
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"a", "^", "4"}], ",", 
   RowBox[{
    RowBox[{"a", "^", "3"}], "+", "1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.43835675559375*^9, 3.438356772296875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"G", " ", "=", " ", 
  RowBox[{"Ring", "[", 
   RowBox[{"{", "a", "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4383567761875*^9, 3.438356782921875*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "1", ",", "2", ",", "a", ",", 
   RowBox[{"2", " ", "a"}], ",", 
   SuperscriptBox["a", "2"], ",", 
   RowBox[{"2", " ", 
    SuperscriptBox["a", "2"]}], ",", 
   SuperscriptBox["a", "3"], ",", 
   RowBox[{"2", " ", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"1", "+", "a"}], ",", 
   RowBox[{"2", "+", "a"}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "a"}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "a"}]}], ",", 
   RowBox[{"1", "+", 
    SuperscriptBox["a", "2"]}], ",", 
   RowBox[{"2", "+", 
    SuperscriptBox["a", "2"]}], ",", 
   RowBox[{"a", "+", 
    SuperscriptBox["a", "2"]}], ",", 
   RowBox[{"1", "+", "a", "+", 
    SuperscriptBox["a", "2"]}], ",", 
   RowBox[{"2", "+", "a", "+", 
    SuperscriptBox["a", "2"]}], ",", 
   RowBox[{
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "2"]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "2"]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "2"]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}]}], ",", 
   RowBox[{"a", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}]}], ",", 
   RowBox[{"1", "+", "a", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}]}], ",", 
   RowBox[{"2", "+", "a", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}]}], ",", 
   RowBox[{
    RowBox[{"2", " ", "a"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}]}], ",", 
   RowBox[{"1", "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"2", "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"a", "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"1", "+", "a", "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"2", "+", "a", "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{
    SuperscriptBox["a", "2"], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"1", "+", 
    SuperscriptBox["a", "2"], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"2", "+", 
    SuperscriptBox["a", "2"], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"a", "+", 
    SuperscriptBox["a", "2"], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"1", "+", "a", "+", 
    SuperscriptBox["a", "2"], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"2", "+", "a", "+", 
    SuperscriptBox["a", "2"], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "2"], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "2"], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "2"], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"a", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"1", "+", "a", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"2", "+", "a", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{
    RowBox[{"2", " ", "a"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"a", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"1", "+", "a", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"2", "+", "a", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{
    RowBox[{"2", " ", "a"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{
    SuperscriptBox["a", "2"], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"1", "+", 
    SuperscriptBox["a", "2"], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"2", "+", 
    SuperscriptBox["a", "2"], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"a", "+", 
    SuperscriptBox["a", "2"], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"1", "+", "a", "+", 
    SuperscriptBox["a", "2"], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"2", "+", "a", "+", 
    SuperscriptBox["a", "2"], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "2"], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "2"], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "2"], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"a", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"1", "+", "a", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"2", "+", "a", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{
    RowBox[{"2", " ", "a"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.438356783859375*^9, {3.43835682309375*^9, 3.43835683515625*^9}, 
   3.44275939075825*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["G"], "Input",
 CellChangeTimes->{{3.4383568121875*^9, 3.438356858953125*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "1", ",", "2", ",", "a", ",", 
   RowBox[{"2", " ", "a"}], ",", 
   SuperscriptBox["a", "2"], ",", 
   RowBox[{"2", " ", 
    SuperscriptBox["a", "2"]}], ",", 
   SuperscriptBox["a", "3"], ",", 
   RowBox[{"2", " ", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"1", "+", "a"}], ",", 
   RowBox[{"2", "+", "a"}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "a"}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "a"}]}], ",", 
   RowBox[{"1", "+", 
    SuperscriptBox["a", "2"]}], ",", 
   RowBox[{"2", "+", 
    SuperscriptBox["a", "2"]}], ",", 
   RowBox[{"a", "+", 
    SuperscriptBox["a", "2"]}], ",", 
   RowBox[{"1", "+", "a", "+", 
    SuperscriptBox["a", "2"]}], ",", 
   RowBox[{"2", "+", "a", "+", 
    SuperscriptBox["a", "2"]}], ",", 
   RowBox[{
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "2"]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "2"]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "2"]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}]}], ",", 
   RowBox[{"a", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}]}], ",", 
   RowBox[{"1", "+", "a", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}]}], ",", 
   RowBox[{"2", "+", "a", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}]}], ",", 
   RowBox[{
    RowBox[{"2", " ", "a"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}]}], ",", 
   RowBox[{"1", "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"2", "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"a", "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"1", "+", "a", "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"2", "+", "a", "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{
    SuperscriptBox["a", "2"], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"1", "+", 
    SuperscriptBox["a", "2"], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"2", "+", 
    SuperscriptBox["a", "2"], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"a", "+", 
    SuperscriptBox["a", "2"], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"1", "+", "a", "+", 
    SuperscriptBox["a", "2"], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"2", "+", "a", "+", 
    SuperscriptBox["a", "2"], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "2"], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "2"], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "2"], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"a", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"1", "+", "a", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"2", "+", "a", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{
    RowBox[{"2", " ", "a"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    SuperscriptBox["a", "3"]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"a", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"1", "+", "a", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"2", "+", "a", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{
    RowBox[{"2", " ", "a"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{
    SuperscriptBox["a", "2"], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"1", "+", 
    SuperscriptBox["a", "2"], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"2", "+", 
    SuperscriptBox["a", "2"], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"a", "+", 
    SuperscriptBox["a", "2"], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"1", "+", "a", "+", 
    SuperscriptBox["a", "2"], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"2", "+", "a", "+", 
    SuperscriptBox["a", "2"], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "2"], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "2"], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "2"], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"a", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"1", "+", "a", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"2", "+", "a", "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{
    RowBox[{"2", " ", "a"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "a"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.43835681478125*^9, 3.4383568595*^9}, 
   3.442759393023875*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Print", "[", 
  RowBox[{"Length", "[", "G", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.438356870515625*^9, 3.43835688396875*^9}}],

Cell[BoxData["81"], "Print",
 CellChangeTimes->{3.43835688446875*^9, 3.442759395117625*^9}]
}, Open  ]],

Cell[TextData[{
 "The Galois fields have many applications. A code very simular to the RSA \
code studied in chapter 3 of group theory was developed using Galois fields \
of characteristic 2. For a long time the field of order ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["2", "127"], TraditionalForm]]],
 " was used, since the multiplicative group is of order",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SuperscriptBox["2", "127"], "-", " ", "1"}]}], TraditionalForm]]],
 ", which happens to be prime. (Primes of this form are called Mersenne \
primes.) This code had the advantage that the key was much shorter than the \
RSA key, and multiplication in this field could be quickly implimented in \
binary hardware. However, due to the special properties of finite fields, \
this code was recently cracked. In order to ensure safety of the encription, \
the size of the field had to be upped to order ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["2", "2203"], TraditionalForm]]],
 ", which diminished the advantage over the RSA code.\n\nBut there is another \
type of code based on Galois fields, called the Reed-Solomon code, which is \
not used for security but rather for the storage or transfer of digital data. \
All digital information, such as the storage of a file in a computer or a \
song on a compact disk, is stored as a string of \"bits\" which are either 0 \
or 1. We will let ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " denote a finite field of characteristic 2. For example, if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{"GF", "(", "256", ")"}]}], TraditionalForm]]],
 ", then each element of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " would correspond to a computer \"byte\". (Each byte is eight bits.) A \
string of ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " bytes ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     SubscriptBox["a", "0"], ",", " ", 
     SubscriptBox["a", "1"], ",", " ", 
     SubscriptBox["a", "2"], ",", " ", 
     SubscriptBox["a", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["a", 
      RowBox[{"n", "-", "1"}]]}], ")"}], TraditionalForm]]],
 " is encoded as a polynomial in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ":\n\n     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "x", ")"}], " ", "=", "  ", 
    RowBox[{
     SubscriptBox["a", "0"], "+", " ", 
     RowBox[{
      SubscriptBox["a", "1"], "x"}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "2"], 
      SuperscriptBox["x", "2"]}], "+", " ", 
     RowBox[{
      SubscriptBox["a", "3"], 
      SuperscriptBox["x", "3"]}], " ", "+", " ", "\[Ellipsis]", " ", "+", " ",
      
     RowBox[{
      SubscriptBox["a", 
       RowBox[{"n", "-", "1"}]], 
      RowBox[{
       SuperscriptBox["x", 
        RowBox[{"n", "-", "1"}]], "  ", "."}]}]}]}], TraditionalForm]]],
 "\n\nThe encription of this list of elements is simply the evaluation of \
this polynomial at the 256 elements of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". That is, if ",
 Cell[BoxData[
  FormBox["g", TraditionalForm]]],
 " is a generator of the multiplicative group ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["K", "*"], TraditionalForm]]],
 ", then\n\n         ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "0", ")"}], ",", " ", 
    RowBox[{"\[Florin]", "(", "g", ")"}], ",", " ", 
    RowBox[{"\[Florin]", "(", 
     SuperscriptBox["g", "2"], ")"}], ",", " ", 
    RowBox[{"\[Florin]", "(", 
     SuperscriptBox["g", "3"], ")"}], ",", " ", 
    RowBox[{"\[Ellipsis]", " ", 
     RowBox[{"\[Florin]", "(", 
      SuperscriptBox["g", "255"], ")"}]}]}], TraditionalForm]]],
 "\n\nis transmitted in place of the numbers ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "0"], ",", " ", 
    SubscriptBox["a", "1"], ",", " ", 
    SubscriptBox["a", "2"], ",", 
    RowBox[{"\[Ellipsis]", " ", 
     RowBox[{
      SubscriptBox["a", 
       RowBox[{"n", "-", "1"}]], "."}], " "}]}], TraditionalForm]]],
 " We know from corollary 12.1.6 that we can derive the original list of \
elements from any ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " of the numbers transmitted. Thus, if there are some errors in the \
transmition, the original list can still be reconstructed. Using \
combinatorial reasoning, Reed and Solomon showed that as many as ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"255", " ", "-", " ", "n"}], ")"}], "/", "2"}], 
   TraditionalForm]]],
 " errors could occur, and yet the original list of elements can be decoded.\n\
\nFor example, if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", "251"}], TraditionalForm]]],
 ", then every 251 bytes is converted to a 250 degree polynomial, which is \
evaluated at the 256 elements of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Even if two of these bytes are transmitted incorrectly, the 251 original \
bytes can be correctly reconstructed. This is an example of what is called an \
\"error-correcting code.\" This code was used by the Voyager II spacecraft to \
transmit pictures of Uranus and Neptune back to Earth. A version of this code \
(using a larger field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ") is used to store the digital music on a compact disk. Current CD players \
can cope with errors as long as 4000 consicutive bits on the CD, typically \
caused by a scratch on the CD surface. The Reed-Solomon code will also allow \
over 500 channels of digital television in the near future.\n\nThe ironic \
part of this code is that, when Reed and Solomon first discovered the code in \
1960, it was described as \"interesting, but probably not practical.\" It \
wasn't until hardware technology advanced to the point that the code could be \
implimented before the real value of this code was evident. As with most \
mathematics, the usefulness of a particular result is not seen until long \
after the result is published.\n\nOne final application of finite fields \
arises from the study of simple groups. Almost all of the simple groups \
besides the alternating groups are defined in terms of finite fields. For \
example, the simple group ",
 Cell[BoxData[
  FormBox[
   RowBox[{"Aut", "(", 
    SubsuperscriptBox["Z", "24", "*"], ")"}], TraditionalForm]]],
 " can be expressed as the 3 by 3 matrices in the field ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 " with determinant 1. This example can be generized a group ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 " by ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 " matrices over any finite field of order ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "n"], TraditionalForm]]],
 ". When ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["p", "n"], ">", " ", "2"}], TraditionalForm]]],
 ", there may be a non-trivial center ",
 Cell[BoxData[
  FormBox["Z", TraditionalForm]]],
 " formed by diagonal matrices. However, we can form the quotient group ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "/", "Z"}], TraditionalForm]]],
 ". The group generated will be simple if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"m", " ", ">", " ", "2"}], TraditionalForm]]],
 ", or if  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", "2"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["p", "n"], " ", ">", " ", "3"}], TraditionalForm]]],
 ". \n\nThere are several other ways of forming simple groups using finite \
fields. In fact, besides the alternating groups, there are only 26 finite \
simple groups that are not expressed using finite fields. Thus, finite fields \
are of key importanance in the classification of all finite simple groups."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912352171875*^9, 3.437912353875*^9}, {
   3.43792305196875*^9, 3.4379230528125*^9}, {3.437923217046875*^9, 
   3.437923219859375*^9}, {3.437923642953125*^9, 3.43792364671875*^9}, {
   3.437923714*^9, 3.437923714765625*^9}, {3.43792394578125*^9, 
   3.43792410109375*^9}, 3.43792432553125*^9, {3.43792474003125*^9, 
   3.437924910359375*^9}, {3.43792496234375*^9, 3.437925061921875*^9}, {
   3.437925281390625*^9, 3.437925282265625*^9}, 3.437925372046875*^9, {
   3.437925635875*^9, 3.4379256489375*^9}, {3.437925705828125*^9, 
   3.4379258175*^9}, {3.4379259180625*^9, 3.437926321703125*^9}, {
   3.4379263555*^9, 3.437926356296875*^9}, 3.4419842722296247`*^9}],

Cell[CellGroupData[{

Cell["Finite Skew Fields", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437926203859375*^9, 3.437926205234375*^9}}],

Cell[TextData[{
 "Since we have completely classified all finite fields, a natural question \
is whether we can classify all finite skew fields, and whether these can be \
easily entered into ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". At first this seems like it would be a harder problem, since there many \
non-abelian groups, and many non-communitive rings. However, a surprising \
result is that there are ",
 StyleBox["no",
  FontSlant->"Italic"],
 " finite skew fields. In other words, any finite division ring must be \
commutative. In this section we will prove this remarkable result, known as \
Wedderburn's theorem.  \n\nWe begin by carrying over some ideas from group \
theory. One of the ways we studied non-abelian groups was to find the center \
of the group, since this was always a normal subgroup. We can ask whether the \
set of elements of a skew field which commute with all of the elements forms \
a special set.\n\nDEFINITION 13.8:\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a skew field. Then the set of all elements ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " such that \n\n                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", "\[CenterDot]", "y"}], " ", "=", " ", 
    RowBox[{"y", "\[CenterDot]", "x"}], "  "}], TraditionalForm]]],
 "  for all  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", " ", "\[Element]", " ", "K"}], TraditionalForm]]],
 "\n                 \nis called the ",
 StyleBox["center",
  FontSlant->"Italic"],
 " of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ".\n\nLet us look at an example. The only skew field we have seen is the \
ring of quaternions, ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalH]", TraditionalForm]]],
 ". The ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " command"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792647625*^9, 3.43792648846875*^9}}],

Cell["InitQuaternions", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4379265085*^9, 3.43792650990625*^9}}],

Cell[TextData[{
 "allows us to experiment with this skew field. What is the center of this \
skew field? To answer this question, let us first define two typical elements \
in ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalH]", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["A = u0 + u1 I + u2 J + u3 K", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"u0", "+", 
  RowBox[{"\[ImaginaryI]", " ", "u1"}], "+", 
  RowBox[{"J", " ", "u2"}], "+", 
  RowBox[{"K", " ", "u3"}]}]], "Output",
 CellChangeTimes->{3.43792653790625*^9, 3.4427594095395*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["B = v0 + v1 I + v2 J + v3 K", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"v0", "+", 
  RowBox[{"\[ImaginaryI]", " ", "v1"}], "+", 
  RowBox[{"J", " ", "v2"}], "+", 
  RowBox[{"K", " ", "v3"}]}]], "Output",
 CellChangeTimes->{3.437926540015625*^9, 3.442759411867625*^9}]
}, Open  ]],

Cell[TextData[{
 "These will commute as long as ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"A", "\[CenterDot]", "B"}], " ", "=", " ", 
    RowBox[{"B", "\[CenterDot]", "A"}]}], TraditionalForm]]],
 ", or equivalently, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"A", "\[CenterDot]", "B"}], " ", "-", " ", 
     RowBox[{"B", "\[CenterDot]", "A"}]}], " ", "=", " ", "0"}], 
   TraditionalForm]]],
 ". Let us compute this in ",
 Cell[BoxData[
  FormBox[
   StyleBox["Mathematica",
    FontSlant->"Italic"], TraditionalForm]]],
 ":"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["A.B - B.A", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", "K", " ", "u2", " ", "v1"}], "+", 
  RowBox[{"2", " ", "J", " ", "u3", " ", "v1"}], "+", 
  RowBox[{"2", " ", "K", " ", "u1", " ", "v2"}], "-", 
  RowBox[{"2", " ", "\[ImaginaryI]", " ", "u3", " ", "v2"}], "-", 
  RowBox[{"2", " ", "J", " ", "u1", " ", "v3"}], "+", 
  RowBox[{"2", " ", "\[ImaginaryI]", " ", "u2", " ", "v3"}]}]], "Output",
 CellChangeTimes->{3.437926543265625*^9, 3.4427594144145*^9}]
}, Open  ]],

Cell[TextData[{
 "EXPERIMENT: \nCan you find a relationship between ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"A", "\[CenterDot]", "B"}], " ", "-", " ", 
    RowBox[{"B", "\[CenterDot]", "A"}]}], TraditionalForm]]],
 " and the three dimensional vectors ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["u",
     FontWeight->"Bold"], " ", "=", " ", 
    RowBox[{"\[LeftAngleBracket]", " ", 
     RowBox[{
      SubscriptBox["u", "1"], ",", " ", 
      SubscriptBox["u", "2"], ",", " ", 
      SubscriptBox["u", "3"]}], " ", "\[RightAngleBracket]"}]}], 
   TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["v",
     FontWeight->"Bold"], " ", "=", " ", 
    RowBox[{
     RowBox[{"\[LeftAngleBracket]", " ", 
      RowBox[{
       SubscriptBox["v", "1"], ",", " ", 
       SubscriptBox["v", "2"], ",", " ", 
       SubscriptBox["v", "3"]}], " ", "\[RightAngleBracket]"}], "?"}]}], 
   TraditionalForm]]],
 " For what values of ",
 StyleBox["u0",
  FontWeight->"Bold"],
 ", ",
 StyleBox["u1",
  FontWeight->"Bold"],
 ", ",
 StyleBox["u2",
  FontWeight->"Bold"],
 ", and ",
 StyleBox["u3",
  FontWeight->"Bold"],
 " does ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"A", "\[CenterDot]", "B"}], " ", "-", " ", 
     RowBox[{"B", "\[CenterDot]", "A"}]}], " ", "=", " ", "0"}], 
   TraditionalForm]]],
 " for all possible values of ",
 Cell[BoxData[
  FormBox["B", TraditionalForm]]],
 "? \n(Hint: which variables are missing in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"A", "\[CenterDot]", "B"}], " ", "-", " ", 
    RowBox[{"B", "\[CenterDot]", "A"}]}], TraditionalForm]]],
 ".)\n\nIt is fairly clear from this experiment that the center of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalH]", TraditionalForm]]],
 " is the set of quaternions for which ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["u", "1"], " ", "=", " ", 
    RowBox[{
     SubscriptBox["u", "2"], " ", "=", " ", 
     RowBox[{
      SubscriptBox["u", "3"], " ", "=", " ", "0"}]}]}], TraditionalForm]]],
 ". Thus, the center is basically the field of real numbers. We can easily \
prove that the center of a skew field wil always form a field.\n\nLEMMA 13.6\n\
The center of a skew field forms a field."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43791235421875*^9, 3.437912361296875*^9}, 
   3.437926592546875*^9}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a skew field, and let ",
 Cell[BoxData[
  FormBox["Z", TraditionalForm]]],
 " be its center. We first will show that ",
 Cell[BoxData[
  FormBox["Z", TraditionalForm]]],
 " is a subring. If ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " are two elements in ",
 Cell[BoxData[
  FormBox["Z", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " is any element in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", then \n\n           ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", "y"}], ")"}], "\[CenterDot]", "k"}], " ", 
     "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "\[CenterDot]", "k"}], " ", "-", " ", 
       RowBox[{"y", "\[CenterDot]", "k"}]}], " ", "=", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"k", "\[CenterDot]", "x"}], " ", "-", " ", 
        RowBox[{"k", "\[CenterDot]", "y"}]}], " ", "=", " ", 
       RowBox[{"k", "\[CenterDot]", 
        RowBox[{"(", 
         RowBox[{"x", " ", "-", " ", "y"}], ")"}]}]}]}]}]}], 
   TraditionalForm]]],
 "\nand \n      ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"x", "\[CenterDot]", "y"}], ")"}], "\[CenterDot]", "k"}], " ", 
    "=", " ", 
    RowBox[{
     RowBox[{"x", "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"y", "\[CenterDot]", "k"}], ")"}]}], " ", "=", " ", 
     RowBox[{
      RowBox[{"x", "\[CenterDot]", 
       RowBox[{"(", 
        RowBox[{"k", "\[CenterDot]", "y"}], ")"}]}], " ", "=", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"x", "\[CenterDot]", "k"}], ")"}], "\[CenterDot]", "y"}], 
       " ", "=", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"k", "\[CenterDot]", "x"}], ")"}], "\[CenterDot]", "y"}], 
        " ", "=", " ", 
        RowBox[{"k", "\[CenterDot]", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "\[CenterDot]", "y"}], ")"}], "."}]}]}]}]}]}]}], 
   TraditionalForm]]],
 "\n\nThus, both ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "-", "y"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[CenterDot]", "y"}], TraditionalForm]]],
 " are in ",
 Cell[BoxData[
  FormBox["Z", TraditionalForm]]],
 ". By  proposition 10.1, ",
 Cell[BoxData[
  FormBox["Z", TraditionalForm]]],
 " is a subring of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ".\n\nBoth 0 and the identity element is obviously in ",
 Cell[BoxData[
  FormBox["Z", TraditionalForm]]],
 ", so ",
 Cell[BoxData[
  FormBox["Z", TraditionalForm]]],
 " is non-trivial.  Since ",
 Cell[BoxData[
  FormBox["Z", TraditionalForm]]],
 " is commutative, all we have left to prove is that every non-zero element \
of ",
 Cell[BoxData[
  FormBox["Z", TraditionalForm]]],
 " is invertible. If ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[NotEqual]", "0"}], TraditionalForm]]],
 " is an element in ",
 Cell[BoxData[
  FormBox["Z", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", "\[CenterDot]", "k"}], " ", "=", " ", 
    RowBox[{"k", "\[CenterDot]", 
     RowBox[{"x", "."}]}]}], TraditionalForm]]],
 " The inverse of ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " exists in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", so we can multiply both sides of the equation on both the left and the \
right by",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SuperscriptBox["x", 
      RowBox[{"-", "1"}]], ":"}]}], TraditionalForm]]],
 "\n\n                   ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      SuperscriptBox["x", 
       RowBox[{"-", "1"}]], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"x", "\[CenterDot]", "k"}], ")"}], "\[CenterDot]", 
      SuperscriptBox["x", 
       RowBox[{"-", "1"}]]}], " ", "=", " ", 
     RowBox[{
      SuperscriptBox["x", 
       RowBox[{"-", "1"}]], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"x", "\[CenterDot]", "k"}], ")"}], "\[CenterDot]", 
      RowBox[{
       SuperscriptBox["x", 
        RowBox[{"-", "1"}]], "."}]}]}]}], TraditionalForm]]],
 "\nThus, \n                             ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"k", "\[CenterDot]", 
     SuperscriptBox["x", 
      RowBox[{"-", "1"}]]}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["x", 
      RowBox[{"-", "1"}]], "\[CenterDot]", "k"}]}], TraditionalForm]]],
 "\n\nfor all ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", and so ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["x", 
    RowBox[{"-", "1"}]], TraditionalForm]]],
 " is in the center ",
 Cell[BoxData[
  FormBox["Z", TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox["Z", TraditionalForm]]],
 " is a field."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437926616859375*^9, 3.437926617015625*^9}, {
  3.4419843707139997`*^9, 3.4419844261827497`*^9}}]
}, Open  ]],

Cell[TextData[{
 "Another concept from group theory that carries over into the study of \
fields is the normalizer. Recall the definition of a normalizer of a subset \
",
 Cell[BoxData[
  FormBox["S", TraditionalForm]]],
 " of a group ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ". We defined\n\n                ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["N", "G"], "(", "S", ")"}], " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"g", " ", "\[Element]", " ", "G"}], "  ", "|", "  ", 
       RowBox[{"g", "\[CenterDot]", "S", "\[CenterDot]", 
        SuperscriptBox["g", 
         RowBox[{"-", "1"}]]}]}], "=", "S"}], "}"}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792667840625*^9, 3.43792667840625*^9}}],

Cell[TextData[{
 "We would like to apply the normalizer to the multiplicative group of a \
field. In particular, we would like to consider the normalizer of a \
particular element, that is, when  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"S", " ", "=", " ", 
    RowBox[{
     RowBox[{"{", "y", "}"}], "."}]}], TraditionalForm]]],
 "\n\nLet us find the normalizer of the element ",
 Cell[BoxData[
  FormBox["I", TraditionalForm]]],
 " in the non-zero quaternions. This consists of all elements ",
 Cell[BoxData[
  FormBox["A", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"A", "\[CenterDot]", "I", "\[CenterDot]", 
     RowBox[{"(", 
      SuperscriptBox["A", 
       RowBox[{"-", "1"}]], ")"}]}], " ", "=", " ", 
    RowBox[{"I", "."}]}], TraditionalForm]]],
 " We can use ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to help us find this set.\n\nEXPERIMENT:\nBy examining the result of the \
computation"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Simplify[ A.I.(A^(-1)) - I ]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 FractionBox[
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"J", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"u1", " ", "u2"}], "+", 
        RowBox[{"u0", " ", "u3"}]}], ")"}]}], "+", 
     RowBox[{"K", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "u0"}], " ", "u2"}], "+", 
        RowBox[{"u1", " ", "u3"}]}], ")"}]}], "-", 
     RowBox[{"\[ImaginaryI]", " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["u2", "2"], "+", 
        SuperscriptBox["u3", "2"]}], ")"}]}]}], ")"}]}], 
  RowBox[{
   SuperscriptBox["u0", "2"], "+", 
   SuperscriptBox["u1", "2"], "+", 
   SuperscriptBox["u2", "2"], "+", 
   SuperscriptBox["u3", "2"]}]]], "Output",
 CellChangeTimes->{3.437926690328125*^9, 3.44275942044575*^9}]
}, Open  ]],

Cell[TextData[{
 "determine the values of ",
 StyleBox["u0",
  FontWeight->"Bold"],
 ", ",
 StyleBox["u1",
  FontWeight->"Bold"],
 ", ",
 StyleBox["u2",
  FontWeight->"Bold"],
 ", and ",
 StyleBox["u3",
  FontWeight->"Bold"],
 " that allow this to be 0. (Hint: when does the ",
 Cell[BoxData[
  FormBox["I", TraditionalForm]]],
 " componient equal zero?)  This gives us the set ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["N", 
     SuperscriptBox["\[DoubleStruckCapitalH]", "*"]], "(", 
    RowBox[{"{", "I", "}"}], ")"}], TraditionalForm]]],
 ". Next replace both",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", "I"}], TraditionalForm]]],
 "'s with ",
 Cell[BoxData[
  FormBox["J", TraditionalForm]]],
 "'s to find the set ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     FormBox[
      SubscriptBox["N", 
       SuperscriptBox["\[DoubleStruckCapitalH]", "*"]],
      TraditionalForm], "(", 
     RowBox[{"{", "J", "}"}], ")"}], "."}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["         ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "We see from this experiment that the normalizer does not quite form a \
field, since it does not include the zero element. Yet if we added the \
identity element to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["N", 
     SuperscriptBox["\[DoubleStruckCapitalH]", "*"]], "(", 
    RowBox[{"{", "I", "}"}], ")"}], TraditionalForm]]],
 " or ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["N", 
     SuperscriptBox["\[DoubleStruckCapitalH]", "*"]], "(", 
    RowBox[{"{", "J", "}"}], ")"}], TraditionalForm]]],
 ", we got a field which was equivalent to the complex numbers. In fact, \
whenever ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " is not real, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["N", 
     SuperscriptBox["\[DoubleStruckCapitalH]", "*"]], "(", 
    RowBox[{"{", "y", "}"}], ")"}], TraditionalForm]]],
 " yields a copy of the non-zero complex numbers. Hence, there are actually \
an infinite number of complex number planes within the field of quaternions.\n\
\nIt is not hard to show that for any skew field, whenever we add the zero \
element to the normalizer, we will either get a field or a skew field.\n\n\
LEMMA 13.7\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a skew field, and let ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " be an element of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Then if we let \n\n                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Y", "k"], " ", "=", " ", 
    RowBox[{
     RowBox[{"{", "0", "}"}], " ", "\[Union]", " ", 
     RowBox[{
      SubscriptBox["N", 
       SuperscriptBox["K", "*"]], "(", 
      RowBox[{"{", "k", "}"}], ")"}]}]}], TraditionalForm]]],
 ".\n                 \nThen ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Y", "k"], TraditionalForm]]],
 "  is a division ring containing the center of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792675225*^9, 3.437926752859375*^9}, {
  3.4419847324327497`*^9, 3.4419847401983747`*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let us begin by rewriting the set ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Y", "k"], TraditionalForm]]],
 ". Since \n\n             ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["N", 
      SuperscriptBox["K", "*"]], "(", 
     RowBox[{"{", "k", "}"}], ")"}], " ", "=", " ", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"x", " ", "\[Element]", " ", 
        SuperscriptBox["K", "*"]}], "  ", "|", " ", 
       RowBox[{"x", "\[CenterDot]", "k", "\[CenterDot]", 
        SuperscriptBox["x", 
         RowBox[{"-", "1"}]]}]}], " ", "=", " ", "k"}], "}"}]}], 
   TraditionalForm]]],
 ".\n             \nWe can simplify this by saying ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["N", 
     SuperscriptBox["K", "*"]], "(", 
    RowBox[{"{", "k", "}"}], ")"}], TraditionalForm]]],
 " consists of all elements of ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["K", "*"], TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", "\[CenterDot]", "k"}], " ", "=", " ", 
    RowBox[{"k", "\[CenterDot]", "x"}]}], TraditionalForm]]],
 ". Of course 0 satisfies this equation as well, so we can write\n\n          \
  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Y", "k"], " ", "=", " ", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"x", " ", "\[Element]", " ", "K"}], "  ", "|", " ", 
       RowBox[{"x", "\[CenterDot]", "k"}]}], " ", "=", " ", 
      RowBox[{"k", "\[CenterDot]", "x"}]}], "}"}]}], TraditionalForm]]],
 ".\n            \nWhen written in this form, it is obvious that the center \
is in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Y", "k"], TraditionalForm]]],
 ". Furthermore, if ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " are in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Y", "k"], TraditionalForm]]],
 ", then \n\n                ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"x", " ", "-", " ", "y"}], ")"}], "\[CenterDot]", "k"}], " ", 
    "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "\[CenterDot]", "k"}], " ", "-", " ", 
      RowBox[{"y", "\[CenterDot]", "k"}]}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"k", "\[CenterDot]", "x"}], " ", "-", " ", 
       RowBox[{"k", "\[CenterDot]", "y"}]}], " ", "=", " ", 
      RowBox[{"k", "\[CenterDot]", 
       RowBox[{"(", 
        RowBox[{"x", " ", "-", " ", "y"}], ")"}]}]}]}]}], TraditionalForm]]],
 "\nand                   \n         ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "\[CenterDot]", "y"}], ")"}], "\[CenterDot]", "k"}], " ", 
     "=", " ", 
     RowBox[{
      RowBox[{"x", "\[CenterDot]", 
       RowBox[{"(", 
        RowBox[{"y", "\[CenterDot]", "k"}], ")"}]}], " ", "=", " ", 
      RowBox[{
       RowBox[{"x", "\[CenterDot]", 
        RowBox[{"(", 
         RowBox[{"k", "\[CenterDot]", "y"}], ")"}]}], " ", "=", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"x", "\[CenterDot]", "k"}], ")"}], "\[CenterDot]", "y"}], 
        " ", "=", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"k", "\[CenterDot]", "x"}], ")"}], "\[CenterDot]", "y"}], 
         " ", "=", " ", 
         RowBox[{"k", "\[CenterDot]", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"x", "\[CenterDot]", "y"}], ")"}], "."}]}]}]}]}]}]}]}], 
   TraditionalForm]]],
 "\n\nThus, by proposition 10.1, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Y", "k"], TraditionalForm]]],
 " is a subring of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ".\n\nFinally, if ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is a non-zero element in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Y", "k"], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", "\[CenterDot]", "k"}], " ", "=", " ", 
    RowBox[{"k", "\[CenterDot]", "x"}]}], TraditionalForm]]],
 ". Thus,\n\n                   ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox["x", 
        RowBox[{"-", "1"}]], "\[CenterDot]", 
       RowBox[{"(", 
        RowBox[{"x", "\[CenterDot]", "k"}], ")"}], "\[CenterDot]", 
       SuperscriptBox["x", 
        RowBox[{"-", "1"}]]}], " ", "=", " ", 
      RowBox[{
       SuperscriptBox["x", 
        RowBox[{"-", "1"}]], "\[CenterDot]", 
       RowBox[{"(", 
        RowBox[{"x", "\[CenterDot]", "k"}], ")"}], "\[CenterDot]", 
       SuperscriptBox["x", 
        RowBox[{"-", "1"}]]}]}], ","}]}], TraditionalForm]]],
 "\nso\n                             ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"k", "\[CenterDot]", 
     SuperscriptBox["x", 
      RowBox[{"-", "1"}]]}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["x", 
      RowBox[{"-", "1"}]], "\[CenterDot]", 
     RowBox[{"k", "."}]}]}], TraditionalForm]]],
 "\n\nTherefore, every non-zero element of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Y", "k"], TraditionalForm]]],
 "  is invertible, so ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Y", "k"], TraditionalForm]]],
 "  is a division ring."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437926782890625*^9, 3.437926807328125*^9}}]
}, Open  ]],

Cell[TextData[{
 "\nWe now can apply the center and normalizer to ",
 StyleBox["finite",
  FontSlant->"Italic"],
 " division rings. We first need a lemma which will help us out regarding the \
divisibility of the orders of finite fields. \n\nLEMMA 13.8\nLet ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 " be positive integers, with ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", " ", ">", " ", "1"}], TraditionalForm]]],
 ". Then \n\n                                                 ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    FractionBox[
     RowBox[{
      SuperscriptBox["y", "n"], "-", " ", "1"}], 
     RowBox[{
      SuperscriptBox["y", "m"], "-", " ", "1"}]],
    FontSize->16], TraditionalForm]]],
 "\n\nis an integer if, and only if, ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is divisible by ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 ". Furthermore, if ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is divisible by ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 ", with ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", ">", " ", "m"}], TraditionalForm]]],
 ", then \n\n                                               ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    FractionBox[
     RowBox[{
      SuperscriptBox["y", "n"], "-", " ", "1"}], 
     RowBox[{
      SuperscriptBox["y", "m"], "-", " ", "1"}]],
    FontSize->16], TraditionalForm]]],
 "\n\nis divisible by the number ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["\[CapitalPhi]", "n"], "(", "y", ")"}], "."}], 
   TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.4379268314375*^9}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "First suppose that ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is divisible by ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 ". Then by corollary 13.5, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "m"], "-", " ", "1"}], TraditionalForm]]],
 " divides ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "n"], " ", "-", " ", "1"}], TraditionalForm]]],
 ", and in fact ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox[
     StyleBox["\[CapitalPhi]",
      FontSize->12], "n"], "(", "x", ")"}], TraditionalForm]]],
 " divides\n\n                                               ",
 StyleBox[" ",
  FontSize->16],
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{
     SuperscriptBox["x", "n"], "-", " ", "1"}], 
    RowBox[{
     SuperscriptBox["x", "m"], "-", " ", "1"}]], TraditionalForm]],
  FontSize->16],
 ".\n\nNote that since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", " ", ">", " ", "1"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["y", "m"], TraditionalForm]]],
 " > 1, so ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["y", "m"], "-", " ", "1"}], " ", ">", " ", "0"}], 
   TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " is not a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SuperscriptBox["x", "m"],
     TraditionalForm], " ", "-", " ", "1"}], TraditionalForm]]],
 ", so we can apply the evaluation homomorphism ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "y"], TraditionalForm]]],
 "  and find that \n\n                                             ",
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{
     SuperscriptBox["y", "n"], "-", " ", "1"}], 
    RowBox[{
     SuperscriptBox["y", "m"], "-", " ", "1"}]], TraditionalForm]],
  FontSize->16],
 "\nis divisible by ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox[
     StyleBox["\[CapitalPhi]",
      FontSize->12], "n"], "(", "y", ")"}], TraditionalForm]]],
 ".\n\nNow suppose that ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is not divisible by ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 ". Then",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"n", " ", "=", " ", 
     RowBox[{
      RowBox[{"m", "\[CenterDot]", "k"}], " ", "+", " ", "p"}]}]}], 
   TraditionalForm]]],
 "  for some ",
 Cell[BoxData[
  FormBox[
   RowBox[{"0", "<", "p", "<", "m"}], TraditionalForm]]],
 ".  But note that \n\n             ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      SuperscriptBox["y", "n"], "-", " ", "1"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SuperscriptBox["y", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "\[CenterDot]", "k"}], " ", "+", " ", "p"}], ")"}]], 
       "-", " ", "1"}], " ", "=", " ", 
      RowBox[{
       RowBox[{
        RowBox[{
         SuperscriptBox["y", 
          RowBox[{"m", "\[CenterDot]", "k"}]], 
         SuperscriptBox["y", "p"]}], "-", " ", "1"}], " ", "=", " ", 
       RowBox[{
        RowBox[{
         SuperscriptBox["y", "p"], "(", 
         RowBox[{
          SuperscriptBox["y", 
           RowBox[{"m", "\[CenterDot]", "k"}]], "-", " ", "1"}], ")"}], " ", 
        "+", " ", 
        SuperscriptBox["y", "p"], "-", " ", 
        RowBox[{"1", " ", "."}]}]}]}]}]}], TraditionalForm]]],
 "\n\nThus, \n                      ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox[
     FractionBox[
      RowBox[{
       SuperscriptBox["y", "n"], "-", " ", "1"}], 
      RowBox[{
       SuperscriptBox["y", "m"], "-", " ", "1"}]],
     FontSize->16], " ", "=", " ", 
    RowBox[{
     RowBox[{
      SuperscriptBox["y", "p"], "\[CenterDot]", 
      StyleBox[
       FractionBox[
        RowBox[{
         SuperscriptBox["y", 
          RowBox[{"m", "\[CenterDot]", "k"}]], "-", " ", "1"}], 
        RowBox[{
         SuperscriptBox["y", "m"], "-", " ", "1"}]],
       FontSize->16]}], " ", "+", " ", 
     StyleBox[
      FractionBox[
       RowBox[{
        SuperscriptBox["y", "p"], "-", " ", "1"}], 
       RowBox[{
        SuperscriptBox["y", "m"], "-", " ", "1"}]],
      FontSize->16]}]}], TraditionalForm]]],
 ".\n                  \nWe have already seen that",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    StyleBox[
     FractionBox[
      RowBox[{
       SuperscriptBox["y", 
        RowBox[{"m", "\[CenterDot]", "k"}]], "-", " ", "1"}], 
      RowBox[{
       SuperscriptBox["y", "m"], "-", " ", "1"}]],
     FontSize->16]}], TraditionalForm]]],
 " is an integer, but ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"y", " "}], "p"], " ", "<", " ", 
     SuperscriptBox["y", "m"]}]}], TraditionalForm]]],
 " , so the last term cannot possibly be an integer. Therefore, ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    FractionBox[
     RowBox[{
      SuperscriptBox["y", "n"], "-", " ", "1"}], 
     RowBox[{
      SuperscriptBox["y", "m"], "-", " ", "1"}]],
    FontSize->16], TraditionalForm]]],
 "is an integer if, and only if, ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is a multiple of ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43791236496875*^9, 3.437912367171875*^9}, {
  3.437926854296875*^9, 3.43792686196875*^9}, {3.4419847721202497`*^9, 
  3.4419847731202497`*^9}}]
}, Open  ]],

Cell[TextData[{
 "This lemma reveals the possible orders of division rings within a finite \
division ring.\n\nCOROLLARY 13.7\n\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a finite division ring of order ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "n"], TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be a subring which is a division ring of order ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "m"], TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is a multiple of ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.437926927578125*^9}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Consider the multiplicative groups ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["K", "*"], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["F", "*"], TraditionalForm]]],
 ". Certainly ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["F", "*"], TraditionalForm]]],
 " is a subgroup of ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["K", "*"], TraditionalForm]]],
 ", since ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is a subring of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Notice that ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["K", "*"], TraditionalForm]]],
 " contains ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["p", "n"], "-", " ", "1"}], TraditionalForm]]],
 " elements, while ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", 
     SuperscriptBox["F", "*"], "|"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["p", "m"], " ", "-", " ", "1."}]}], TraditionalForm]]],
 " By Lagrange's theorem (3.1), ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["p", "m"], " ", "-", " ", "1"}], TraditionalForm]]],
 " must be a factor of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["p", "n"], "-", " ", "1"}], TraditionalForm]]],
 ". So by lemma 13.8, ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " must be a multiple of ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437926950390625*^9, 3.437926959671875*^9}}]
}, Open  ]],

Cell[TextData[{
 "Note that this corollary hs applications in finite fields.  For example, it \
shows that the field of order 16 cannot have a subfield of order 8.\n\nThere \
is one more tool that we need from group theory, which stems from the \
normalizer. We discovered in the volume on groups that the class equation was \
a powerful tool in analyzing groups. In fact, all three Sylow theorems hinged \
on the class equation. So let us observe how this useful tool applies to skew \
fields. Recall that the class equation theorem (7.2) stated that when ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " is a finite group, then\n                        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", "G", "|"}], " ", "=", " ", 
    StyleBox[
     RowBox[{
      UnderoverscriptBox[
       StyleBox[
        SubscriptBox[
         StyleBox["\[Sum]",
          FontSize->24], " "],
        FontSize->24], 
       RowBox[{"g", "  "}], " "], 
      FractionBox[
       RowBox[{"|", "G", "|"}], 
       RowBox[{"|", 
        RowBox[{
         SubscriptBox["N", "G"], "(", 
         RowBox[{"{", "x", "}"}], ")"}], "|"}]]}],
     FontSize->16]}], TraditionalForm]]],
 ",\nwhere the sum runs over one ",
 Cell[BoxData[
  FormBox["g", TraditionalForm]]],
 " from each conjugacy class.\n\nIf ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a finite skew field, we can apply the class equation theorem to the \
multiplicative group ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["K", "*"], TraditionalForm]]],
 ", and find that\n\n                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", 
     SuperscriptBox["K", "*"], "|"}], " ", "=", " ", 
    StyleBox[
     RowBox[{
      UnderoverscriptBox[
       StyleBox[
        SubscriptBox[
         StyleBox["\[Sum]",
          FontSize->24], " "],
        FontSize->24], 
       RowBox[{"k", "  "}], " "], 
      FractionBox[
       RowBox[{"|", 
        SuperscriptBox["K", "*"], "|"}], 
       RowBox[{"|", 
        RowBox[{
         SubscriptBox["N", 
          SuperscriptBox["K", "*"]], "(", 
         RowBox[{"{", "k", "}"}], ")"}], "|"}]]}],
     FontSize->16]}], TraditionalForm]]],
 ","
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379269726875*^9, 3.4379269728125*^9}, {
  3.43792700378125*^9, 3.43792702809375*^9}, {3.4419847906514997`*^9, 
  3.4419848352608747`*^9}}],

Cell[TextData[{
 "We can make the obvious substitutions ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", 
     SuperscriptBox["K", "*"], "|"}], " ", "=", " ", 
    RowBox[{"|", "K", "|", " ", 
     RowBox[{"-", " ", "1"}]}]}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", 
     RowBox[{
      SubscriptBox["N", 
       SuperscriptBox["K", "*"]], "(", 
      RowBox[{"{", "k", "}"}], ")"}], "|"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox[
      RowBox[{"|", "Y"}], "k"], "|", " ", 
     RowBox[{"-", " ", "1"}]}]}], TraditionalForm]]],
 ". The equation now looks like\n   \n                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", "K", "|", 
     RowBox[{"-", "1"}]}], " ", "=", " ", 
    StyleBox[
     RowBox[{
      UnderoverscriptBox[
       StyleBox[
        SubscriptBox[
         StyleBox["\[Sum]",
          FontSize->24], " "],
        FontSize->24], 
       RowBox[{"k", "  "}], " "], 
      FractionBox[
       RowBox[{"|", "K", "|", 
        RowBox[{"-", "1"}]}], 
       RowBox[{"|", 
        SubscriptBox["Y", "k"], "|", 
        RowBox[{"-", "1"}]}]]}],
     FontSize->16]}], TraditionalForm]]],
 ",\n                  \nwhere the sum runs from one ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " from each conjugacy class of ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["K", "*"], TraditionalForm]]],
 ".\n\nWe are almost ready to use the class equation to prove that finite \
skew field cannot exist. But first we need to prove a simple inequality about \
the evaluation of a cyclotomic polynomial at a positive integer.\n\nLEMMA \
13.9\nIf ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", ">", " ", "1"}], TraditionalForm]]],
 ", then the cyclotomic polynomial evaluated at ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", " ", "\[GreaterEqual]", " ", "2"}], TraditionalForm]]],
 ",  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[CapitalPhi]", "n"], "(", "y", ")"}], TraditionalForm]]],
 ", is greater than ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", " ", "-", " ", "1."}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379271430625*^9, 3.4379271569375*^9}, 
   3.437927194296875*^9, {3.43792733009375*^9, 3.43792736153125*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "From the definition, \n                ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox[
      StyleBox["\[CapitalPhi]",
       FontSize->12], "n"], "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     StyleBox[
      UnderoverscriptBox[
       SubscriptBox[
        StyleBox["\[Product]",
         FontSize->24], " "], 
       RowBox[{
        StyleBox[
         UnderscriptBox[
          RowBox[{"k", "=", "1"}], 
          RowBox[{
           RowBox[{"GCD", "(", 
            RowBox[{"k", ",", "n"}], ")"}], " ", "=", " ", "1"}]],
         FontSize->10], " "}], 
       StyleBox[
        RowBox[{"n", "  "}],
        FontSize->10]],
      FontSize->18], 
     RowBox[{"(", 
      RowBox[{"x", "-", 
       SuperscriptBox[
        SubscriptBox["e", "n"], "k"]}], ")"}]}]}], TraditionalForm]]],
 " \n\nPlugging in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "=", " ", "y"}], TraditionalForm]]],
 ", and taking the absolute value of both sides, we get \n\n              \n  \
             ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     FormBox[
      RowBox[{
       RowBox[{"|", 
        RowBox[{
         SubscriptBox[
          StyleBox["\[CapitalPhi]",
           FontSize->12], "n"], "(", "y", ")"}], "|"}], " ", "=", 
       StyleBox[
        UnderoverscriptBox[
         RowBox[{
          SubscriptBox[
           StyleBox["\[Product]",
            FontSize->24], " "], " "}], 
         RowBox[{
          UnderscriptBox[
           StyleBox[
            RowBox[{"k", "=", "1", "   "}],
            FontSize->10], 
           StyleBox[
            RowBox[{
             RowBox[{"GCD", "(", 
              RowBox[{"k", ",", "n"}], ")"}], " ", "=", " ", "1", "   "}],
            FontSize->10]], " "}], 
         RowBox[{
          StyleBox["n",
           FontSize->10], 
          StyleBox[
           RowBox[{
            StyleBox["  ",
             FontSize->10], "  "}]]}]],
        FontSize->18]}],
      TraditionalForm], 
     FormBox[
      RowBox[{"|", 
       RowBox[{"y", "-", 
        SuperscriptBox[
         SubscriptBox["e", "n"], "k"]}], "|", " ", "\n"}],
      TraditionalForm], "                  ", 
     FormBox[
      RowBox[{">", "     ", 
       RowBox[{
        FormBox[
         RowBox[{
          RowBox[{
           StyleBox[
            UnderoverscriptBox[
             SubscriptBox[
              StyleBox["\[Product]",
               FontSize->24], " "], 
             RowBox[{
              UnderscriptBox[
               StyleBox[
                RowBox[{"k", "=", "1"}],
                FontSize->10], 
               StyleBox[
                RowBox[{
                 RowBox[{"GCD", "(", 
                  RowBox[{"k", ",", "n"}], ")"}], " ", "=", " ", "1"}],
                FontSize->10]], " "}], 
             RowBox[{
              StyleBox["n",
               FontSize->10], "  "}]],
            FontSize->18], 
           RowBox[{"(", 
            RowBox[{"y", "-", "1"}], ")"}]}], "    ", "\[GreaterEqual]", 
          "     ", 
          RowBox[{"(", 
           RowBox[{"y", "-", "1"}], ")"}]}],
         TraditionalForm], "."}]}],
      TraditionalForm]}]}], TraditionalForm]]],
 "\n\nHere, the inequality ",
 Cell[BoxData[
  FormBox[
   RowBox[{"|", " ", 
    RowBox[{"y", " ", "-", " ", 
     SuperscriptBox[
      RowBox[{
       SubscriptBox["e", "n"], " "}], "k"]}], " ", "|", " ", 
    RowBox[{">", " ", 
     RowBox[{"(", 
      RowBox[{"y", " ", "-", " ", "1"}], ")"}]}]}], TraditionalForm]]],
 "  comes from the fact that real part of ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    SubscriptBox["e", "n"], 
    RowBox[{"k", " "}]], TraditionalForm]]],
 " is less than 1 when ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", ">", " ", "1."}], TraditionalForm]]]
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912367546875*^9, 3.43791236871875*^9}, {
  3.437927206421875*^9, 3.437927305109375*^9}, {3.43792742803125*^9, 
  3.437927439171875*^9}}]
}, Open  ]],

Cell["\<\
The final step is to use lemma 13.9 to prove a contradiction in the class \
equation for finite skew fields.

THEOREM 13.4.6:  WEDDERBURN'S THEOREM
There are no finite skew fields.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.437927520859375*^9}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Suppose that ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a finite skew field. By proposition 13.3 ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is of order ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "m"], TraditionalForm]]],
 "  for some prime ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " and some ",
 Cell[BoxData[
  FormBox[
   RowBox[{"m", " ", ">", " ", "0."}], TraditionalForm]]],
 " Let ",
 Cell[BoxData[
  FormBox["Z", TraditionalForm]]],
 " be the center of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox["Z", TraditionalForm]]],
 " is a subring of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " which is a field, by corollary 13.7, ",
 Cell[BoxData[
  FormBox["Z", TraditionalForm]]],
 " is of order ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", " ", "=", " ", 
    SuperscriptBox["p", "a"]}], TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox[
   RowBox[{"m", " ", "=", " ", 
    RowBox[{"n", "\[CenterDot]", "a"}]}], TraditionalForm]]],
 " for some ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", ">", "0"}], TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", "K", "|"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["p", 
      RowBox[{"n", "\[CenterDot]", "a"}]], "=", " ", 
     SuperscriptBox["y", "n"]}]}], TraditionalForm]]],
 ". Note that since ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a skew field, ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " must be greater than 1. We have from the class equation theorem (7.2)\n   \
\n                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", "K", "|", 
     RowBox[{"-", "1"}]}], " ", "=", " ", 
    StyleBox[
     RowBox[{
      UnderoverscriptBox[
       StyleBox[
        SubscriptBox[
         StyleBox["\[Sum]",
          FontSize->24], " "],
        FontSize->24], 
       RowBox[{"k", "  "}], " "], 
      FractionBox[
       RowBox[{"|", "K", "|", 
        RowBox[{"-", "1"}]}], 
       RowBox[{"|", 
        SubscriptBox["Y", "k"], "|", 
        RowBox[{"-", "1"}]}]]}],
     FontSize->16]}], TraditionalForm]]],
 ",\n\nwhere the sum runs from one ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " from each conjugacy class of ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["K", "*"], TraditionalForm]]],
 ". Note that when ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["Z", "*"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " is in its own conjugacy class, and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Y", "k"], " ", "=", " ", 
    RowBox[{"K", "."}]}], TraditionalForm]]],
 " Thus, the terms in the sum corresponding to elements in ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["Z", "*"], TraditionalForm]]],
 " are equal to 1. There are of course\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", 
     SuperscriptBox["Z", "*"], "|"}], " ", "=", " ", 
    RowBox[{"y", " ", "-", " ", "1"}]}], TraditionalForm]]],
 " such terms. For the other terms in the sum, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Y", "k"], TraditionalForm]]],
 "  is a proper subring of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " which contains ",
 Cell[BoxData[
  FormBox["Z", TraditionalForm]]],
 ". By lemma 13.7, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Y", "k"], TraditionalForm]]],
 "  is a division ring, and so by corollary 13.7, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox[
      RowBox[{"|", "Y"}], "k"], "|"}], " ", "=", " ", 
    SuperscriptBox["y", 
     RowBox[{" ", "r"}]]}], TraditionalForm]]],
 "  for some ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 " which is a factor of ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". If we let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"w", " ", "=", " ", 
     RowBox[{
      SubscriptBox[
       StyleBox["\[CapitalPhi]",
        FontSize->12], "n"], "(", "y", ")"}]}], ","}], TraditionalForm]]],
 " we see by lemma 13.8 that ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " divides the term \n\n                                       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox[
     FractionBox[
      RowBox[{"|", "K", "|", " ", 
       RowBox[{"-", " ", "1"}]}], 
      RowBox[{
       SubscriptBox[
        RowBox[{"|", "Y"}], "k"], "|", " ", 
       RowBox[{"-", " ", "1"}]}]],
     FontSize->16], " ", "=", 
    StyleBox[" ",
     FontSize->16], 
    RowBox[{
     StyleBox[
      FractionBox[
       RowBox[{
        SuperscriptBox["y", "n"], "-", " ", "1"}], 
       RowBox[{
        SuperscriptBox["y", 
         RowBox[{" ", "r"}]], " ", "-", " ", "1", " "}]],
      FontSize->16], " ", "."}]}], TraditionalForm]]],
 "\n\nFurthermore, ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " divides the left hand side of the class equation, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"|", "K", "|", " ", 
    RowBox[{"-", " ", "1"}]}], TraditionalForm]]],
 ". In fact, the only terms in the class equation which are not divisible by \
",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " are the ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", "-", "1"}], TraditionalForm]]],
 " terms which are equal to 1, coming from the invertible elements of the \
center ",
 Cell[BoxData[
  FormBox["Z", TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", "-", "1"}], TraditionalForm]]],
 " must be divisible by ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 ". But this is impossible, since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"y", "-", "1"}], " ", "<", " ", "w"}], TraditionalForm]]],
 " by lemma 13.9, for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", ">", " ", "1"}], TraditionalForm]]],
 ". This contradiction proves that finite skew fields cannot exist."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437927550015625*^9, 3.437927584125*^9}, {
  3.437927616296875*^9, 3.437927666515625*^9}}]
}, Open  ]],

Cell["\<\
In a sence, the non-existance of finite skew fields is sad, since there would \
be plenty of applications for skew fields in crytography and group theory if \
they had existed. On the other hand, this result, when combined with the \
classification of all finite fields, means that we have found all finite \
division rings.   \
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Problems"
}], "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792767709375*^9, 3.4379276788125*^9}}],

Cell["", "Input",
 PageWidth->Infinity,
 FontFamily->"System",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->RGBColor[1, 0, 0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "13.1 ) The polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "+", " ", "x", " ", "+", " ", "1"}], 
   TraditionalForm]]],
 "  is irreducible in the \n    field ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 ". Use this polynomial to define a field of\n    order 16 in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". Show that there is a subfield \n    of order 4 in this field. Is there a \
subfield of order\n    8 in this field?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43791236990625*^9, 3.437912370265625*^9}, 
   3.43792768175*^9}],

Cell["          ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "13.2 ) First define the field ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ","
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.43792770984375*^9}],

Cell["\<\
InitDomain[2]
Z2 = {0, 1}\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "     and then show that the cyclotomic polynomial \n     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[CapitalPhi]", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["2", "3"], "-", " ", "1"}], ")"}]], "(", "x", ")"}], 
   TraditionalForm]]],
 " factors in the field ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 " into irreducible \n     polynomials of degree 3. Show by process of \n     \
elimination that the only irreducible polynomials \n     of degree 3 are the \
ones given in this factorization."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912370859375*^9, 3.437912370859375*^9}}],

Cell["    ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "  \n13.3 ) First define the field ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 "  in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " as in \n    problem 13.2. Then show that the cyclotomic polynomial\n    ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[CapitalPhi]", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["2", "4"], "-", " ", "1"}], ")"}]], "(", "x", ")"}], 
   TraditionalForm]]],
 " factors in the field ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 "  into irreducible \n    polynomials of degree 4. Find one more irreducible \
polynomial of degree 4 besides the ones given in this factorization.\n     \
(Hint: Factor the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", 
     SuperscriptBox["2", "4"]], "-", " ", "x"}], TraditionalForm]]],
 ".)"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912372421875*^9, 3.43791237334375*^9}, {
  3.4379277393125*^9, 3.43792774471875*^9}}],

Cell["    ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "13.4 ) First define the field ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " as in\n     problem 13.2. Then show that the cyclotomic polynomial\n     \
",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[CapitalPhi]", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["2", "5"], "-", " ", "1"}], ")"}]], "(", "x", ")"}], 
   TraditionalForm]]],
 " factors in the field ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 " into irreducible \n     polynomials of degree 5. Does this factorization \
give \n     all of the irreducible polynomials of degree 5 over ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 "?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912374171875*^9, 3.437912374171875*^9}, 
   3.437927774765625*^9}],

Cell["   ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "13.5 ) First define the field ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ","
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.437927776984375*^9}],

Cell["\<\
InitDomain[3]
Z3 = {0, 1, 2}\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "     and then show that the cyclotomic polynomial \n     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[CapitalPhi]", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["3", "2"], "-", " ", "1"}], ")"}]], "(", "x", ")"}], 
   TraditionalForm]]],
 " factors in the field ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 " into irreducible \n     polynomials of degree 2. What irreducible \n     \
quadratic polynomial in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 " have we seen that is \n     not in this list of  factors?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43791237465625*^9, 3.43791237465625*^9}}],

Cell["    ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "  13.6 ) First define the field ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 " as in problem 13.5.\n    Then find the factorization of the polynomial\n\n \
                            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", 
     SuperscriptBox["3", "3"]], "   ", "-", " ", "x"}], TraditionalForm]]],
 ".\n    Show that all irreducible polynomials with a leading\n    term of ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["x", "3"], TraditionalForm]]],
 " are in this factorization. For an \n    explanation see problem 13.26."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437912396640625*^9, 3.437912397765625*^9}, {
  3.43792780265625*^9, 3.437927817765625*^9}}],

Cell["    ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "13.7 ) ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can be used to explore skew fields \n     besides \[DoubleStruckCapitalH]. \
 Consider the following ring of characteristic 0:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[BoxData[{"InitRing", "\n", 
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"a", "^", "3"}], ",", 
   RowBox[{
    RowBox[{"3", " ", "a"}], " ", "+", " ", "1"}]}], "]"}], "\n", 
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"b", "^", "3"}], ",", " ", "2"}], "]"}], "\n", 
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"b", ".", "a"}], ",", " ", 
   RowBox[{
    RowBox[{"2", " ", "b"}], " ", "-", " ", 
    RowBox[{"a", ".", "a", ".", "b"}]}]}], "]"}]}], "Input"],

Cell[TextData[{
 "This produces a ring which is a 9 dimensional extension of \
\[DoubleStruckCapitalQ].  A basis for this ring would be \n ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", " ", "a", ",", " ", 
     SuperscriptBox["a", "2"], ",", " ", "b", ",", " ", 
     RowBox[{"a", "\[CenterDot]", "b"}], ",", " ", 
     RowBox[{
      SuperscriptBox["a", "2"], "\[CenterDot]", "b"}], ",", " ", 
     SuperscriptBox["b", "2"], ",", " ", 
     RowBox[{"a", "\[CenterDot]", 
      SuperscriptBox["b", "2"]}], ",", " ", 
     RowBox[{
      SuperscriptBox["a", "2"], "\[CenterDot]", 
      SuperscriptBox["b", "2"]}]}], "}"}], TraditionalForm]]],
 ". If"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437927841875*^9, 3.43792788415625*^9}}],

Cell[BoxData[{
 RowBox[{"w1", " ", "=", " ", 
  RowBox[{
   RowBox[{"C", "[", "1", "]"}], " ", "+", " ", 
   RowBox[{
    RowBox[{"C", "[", "2", "]"}], " ", "a"}], " ", "+", " ", 
   RowBox[{
    RowBox[{"C", "[", "3", "]"}], " ", 
    RowBox[{"a", ".", "a"}]}]}]}], "\n", 
 RowBox[{"w2", " ", "=", " ", 
  RowBox[{
   RowBox[{"C", "[", "4", "]"}], " ", "+", " ", 
   RowBox[{
    RowBox[{"C", "[", "5", "]"}], " ", "a"}], " ", "+", " ", 
   RowBox[{
    RowBox[{"C", "[", "6", "]"}], " ", 
    RowBox[{"a", ".", "a"}]}]}]}], "\n", 
 RowBox[{"w3", " ", "=", " ", 
  RowBox[{
   RowBox[{"C", "[", "7", "]"}], " ", "+", " ", 
   RowBox[{
    RowBox[{"C", "[", "8", "]"}], " ", "a"}], " ", "+", " ", 
   RowBox[{
    RowBox[{"C", "[", "9", "]"}], " ", 
    RowBox[{"a", ".", "a"}]}]}]}], "\n", 
 RowBox[{"w", " ", "=", " ", 
  RowBox[{"w1", " ", "+", " ", 
   RowBox[{"w2", ".", "b"}], " ", "+", " ", 
   RowBox[{"w3", ".", "b", ".", "b"}]}]}]}], "Input"],

Cell[TextData[{
 "      then ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " is the general element of this ring. To show that this\n      ring is in \
fact a skew field for rational values of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["C", "1"], ",", " ", 
    SubscriptBox["C", "2"], ",", "  ", 
    RowBox[{"\[Ellipsis]", " ", 
     SubscriptBox["C", "9"]}], ","}], TraditionalForm]]],
 "\n      perform the following operations:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[BoxData[{
 RowBox[{"v1", " ", "=", " ", 
  RowBox[{
   RowBox[{"b", ".", "w1", ".", "b", ".", "w1", ".", "b"}], " ", "-", " ", 
   RowBox[{"2", " ", 
    RowBox[{"b", ".", "w2", ".", "b", ".", "w3", ".", "b"}]}]}]}], "\n", 
 RowBox[{"v2", " ", "=", " ", 
  RowBox[{
   RowBox[{"2", " ", 
    RowBox[{"w3", ".", "b", ".", "b", ".", "w3", ".", "b"}]}], " ", "-", " ", 
   
   RowBox[{"w2", ".", "b", ".", "b", ".", "w1", ".", "b"}]}]}], "\n", 
 RowBox[{"v3", " ", "=", " ", 
  RowBox[{
   RowBox[{"w2", ".", "b", ".", "w2", ".", "b", ".", "b"}], " ", "-", " ", 
   RowBox[{"w3", ".", "b", ".", "w1", ".", "b", ".", "b"}]}]}], "\n", 
 RowBox[{"v", " ", "=", " ", 
  RowBox[{"Expand", "[", 
   RowBox[{"v1", " ", "+", " ", 
    RowBox[{"v2", ".", "b"}], " ", "+", " ", 
    RowBox[{"v3", ".", "b", ".", "b"}]}], "]"}]}], "\n", 
 RowBox[{"R", " ", "=", " ", 
  RowBox[{"v", ".", "w"}]}]}], "Input"],

Cell[TextData[{
 "       Using this value of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"R", ","}], TraditionalForm]]],
 " find a formula for ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["w", 
    RowBox[{"-", "1"}]], TraditionalForm]]],
 ". Can you prove\n       that ",
 Cell[BoxData[
  FormBox["R", TraditionalForm]]],
 " is never zero if ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["C", "1"], ",", " ", 
    SubscriptBox["C", "2"], ",", 
    SubscriptBox["C", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
    SubscriptBox["C", "9"]}], TraditionalForm]]],
 " are rational?\n       (Hint: If ",
 Cell[BoxData[
  FormBox[
   RowBox[{"R", " ", "=", " ", "0"}], TraditionalForm]]],
 " for rational values of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["C", "1"], ",", " ", 
    RowBox[{"\[Ellipsis]", " ", 
     SubscriptBox["C", "9"]}]}], TraditionalForm]]],
 ", we can\n       multiply by the common denominator to find a solution to\n \
      ",
 Cell[BoxData[
  FormBox[
   RowBox[{"R", "=", "0"}], TraditionalForm]]],
 " for integer values.  In fact, we may assume that \n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["C", "1"], ",", " ", 
    SubscriptBox["C", "2"], ",", " ", 
    SubscriptBox["C", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
    SubscriptBox["C", "9"]}], TraditionalForm]]],
 " have no common factors. Show that\n       the first three constants must \
be even. After a substitution,\n       show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["C", "4"], ",", " ", 
    SubscriptBox["C", "5"], ",", " ", 
    SubscriptBox["C", "6"]}], TraditionalForm]]],
 " must be even. After yet another \n       substitution, show that the \
remaining constants are even,\n       leading to a contradiction.)"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.44086539665625*^9, 3.440865412671875*^9}, {
  3.440865481390625*^9, 3.4408656769375*^9}, {3.44086570959375*^9, 
  3.440865711484375*^9}, {3.440865741671875*^9, 3.4408657444375*^9}}],

Cell["    ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "13.8)   Use ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to find the Conway polynomial of \n     degree 6 over ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 ".  Show that raising a root of this polynomial \n     to the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["9", "th"], TraditionalForm]]],
 " power produces a zero of the Conway polynomial \n     of degree 3 over ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 ", and raising this root to the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["21", "st"], TraditionalForm]]],
 " power \n     produces a zero of the Conway polynomial of degree 2 over\n   \
  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 ".  Hence, the compatibility condition is satisfied.           "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.44086539665625*^9, 3.440865412671875*^9}, {
  3.440865481390625*^9, 3.440865705578125*^9}, {3.44086573725*^9, 
  3.440865738953125*^9}, {3.4419848680733747`*^9, 3.4419848829639997`*^9}}],

Cell["    ", "Input",
 PageWidth->Infinity]
}, Open  ]]
},
AutoGeneratedPackage->None,
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{703, 741},
WindowMargins->{{102, Automatic}, {-12, Automatic}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
Magnification->1.5,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 322, 9, 222, "Special2",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[915, 34, 280, 8, 29, "Name",
 Evaluatable->False],
Cell[1198, 44, 710, 16, 70, "Name",
 Evaluatable->False]
}, Closed]],
Cell[1923, 63, 267, 12, 142, "Title",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[2215, 79, 104, 3, 32, "Special2",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[2344, 86, 173, 4, 43, "Input",
 InitializationCell->True],
Cell[2520, 92, 443, 9, 33, "Message"],
Cell[2966, 103, 472, 9, 61, "Message"],
Cell[3441, 114, 443, 9, 33, "Message"],
Cell[3887, 125, 458, 9, 61, "Message"],
Cell[4348, 136, 455, 9, 56, "Message"],
Cell[4806, 147, 190, 3, 32, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[5045, 156, 245, 8, 143, "Section",
 Evaluatable->False],
Cell[5293, 166, 1024, 26, 339, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[6342, 196, 89, 5, 88, "Input"],
Cell[6434, 203, 353, 10, 68, "Output"]
}, Open  ]],
Cell[6802, 216, 95, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[6922, 222, 51, 1, 43, "Input"],
Cell[6976, 225, 14557, 424, 410, "Output"]
}, Open  ]],
Cell[21548, 652, 964, 31, 262, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[22537, 687, 129, 2, 43, "Input"],
Cell[22669, 691, 149, 4, 45, "Output"]
}, Open  ]],
Cell[22833, 698, 313, 12, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[23171, 714, 51, 1, 43, "Input"],
Cell[23225, 717, 123, 3, 42, "Output"]
}, Open  ]],
Cell[23363, 723, 190, 7, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[23578, 734, 51, 1, 43, "Input"],
Cell[23632, 737, 245, 8, 48, "Output"]
}, Open  ]],
Cell[23892, 748, 1579, 42, 437, "Text",
 Evaluatable->False],
Cell[25474, 792, 42, 1, 43, "Input"],
Cell[25519, 795, 1394, 48, 286, "Text",
 Evaluatable->False],
Cell[26916, 845, 627, 21, 118, "Text",
 Evaluatable->False],
Cell[27546, 868, 3619, 122, 666, "Text",
 Evaluatable->False],
Cell[31168, 992, 956, 35, 141, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[32149, 1031, 75, 4, 66, "Input"],
Cell[32227, 1037, 144, 3, 42, "Output"]
}, Open  ]],
Cell[32386, 1043, 279, 8, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[32690, 1055, 128, 2, 43, "Input"],
Cell[32821, 1059, 149, 4, 45, "Output"]
}, Open  ]],
Cell[32985, 1066, 619, 17, 166, "Text",
 Evaluatable->False],
Cell[33607, 1085, 42, 1, 43, "Input"],
Cell[33652, 1088, 1107, 39, 219, "Text",
 Evaluatable->False],
Cell[34762, 1129, 60, 1, 43, "Input"],
Cell[34825, 1132, 225, 9, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[35075, 1145, 42, 1, 43, "Input"],
Cell[35120, 1148, 92, 2, 42, "Output"]
}, Open  ]],
Cell[35227, 1153, 1755, 63, 218, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[37007, 1220, 52, 1, 43, "Input"],
Cell[37062, 1223, 1101, 34, 118, "Output"]
}, Open  ]],
Cell[38178, 1260, 97, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[38300, 1266, 55, 1, 43, "Input"],
Cell[38358, 1269, 69, 1, 32, "Print"]
}, Open  ]],
Cell[38442, 1273, 147, 4, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[38614, 1281, 51, 1, 43, "Input"],
Cell[38668, 1284, 14556, 253, 353, "Output"]
}, Open  ]],
Cell[53239, 1540, 394, 13, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[53658, 1557, 56, 1, 43, "Input"],
Cell[53717, 1560, 215, 5, 32, "Print"],
Cell[53935, 1567, 673, 19, 86, "Print"],
Cell[54611, 1588, 92, 1, 32, "Print"],
Cell[54706, 1591, 1016, 29, 107, "Print"]
}, Open  ]],
Cell[55737, 1623, 1083, 38, 219, "Text",
 Evaluatable->False],
Cell[56823, 1663, 653, 23, 118, "Text",
 Evaluatable->False],
Cell[57479, 1688, 933, 31, 151, "Text",
 Evaluatable->False],
Cell[58415, 1721, 847, 28, 188, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[59287, 1753, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[59375, 1757, 2409, 82, 321, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[61799, 1842, 853, 29, 188, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[62677, 1875, 75, 4, 66, "Input"],
Cell[62755, 1881, 125, 3, 42, "Output"]
}, Open  ]],
Cell[62895, 1887, 178, 5, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[63098, 1896, 128, 2, 43, "Input"],
Cell[63229, 1900, 212, 7, 48, "Output"]
}, Open  ]],
Cell[63456, 1910, 557, 15, 166, "Text",
 Evaluatable->False],
Cell[64016, 1927, 41, 1, 43, "Input"],
Cell[64060, 1930, 1269, 37, 368, "Text",
 Evaluatable->False],
Cell[65332, 1969, 131, 6, 111, "Input"],
Cell[65466, 1977, 1244, 36, 302, "Text",
 Evaluatable->False],
Cell[66713, 2015, 972, 34, 174, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[67710, 2053, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[67798, 2057, 3565, 124, 495, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[71378, 2184, 480, 13, 188, "Text",
 Evaluatable->False],
Cell[71861, 2199, 132, 2, 43, "Input"],
Cell[71996, 2203, 550, 12, 213, "Text",
 Evaluatable->False],
Cell[72549, 2217, 577, 21, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[73151, 2242, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[73239, 2246, 1980, 75, 245, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[75234, 2324, 412, 11, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[75671, 2339, 75, 4, 66, "Input"],
Cell[75749, 2345, 114, 3, 42, "Output"]
}, Open  ]],
Cell[75878, 2351, 229, 8, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[76132, 2363, 97, 2, 43, "Input"],
Cell[76232, 2367, 140, 4, 45, "Output"]
}, Open  ]],
Cell[76387, 2374, 743, 19, 264, "Text",
 Evaluatable->False],
Cell[77133, 2395, 41, 1, 43, "Input"],
Cell[77177, 2398, 756, 22, 172, "Text",
 Evaluatable->False]
}, Open  ]],
Cell[CellGroupData[{
Cell[77970, 2425, 100, 2, 105, "Section",
 Evaluatable->False],
Cell[78073, 2429, 1523, 45, 433, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[79621, 2478, 102, 6, 111, "Input"],
Cell[79726, 2486, 355, 10, 68, "Output"],
Cell[80084, 2498, 14557, 424, 410, "Output"]
}, Open  ]],
Cell[94656, 2925, 691, 26, 164, "Text",
 Evaluatable->False],
Cell[95350, 2953, 43, 1, 43, "Input"],
Cell[95396, 2956, 883, 19, 335, "Text",
 Evaluatable->False],
Cell[96282, 2977, 402, 13, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[96709, 2994, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[96797, 2998, 3359, 116, 376, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[100171, 3117, 480, 9, 188, "Text",
 Evaluatable->False],
Cell[100654, 3128, 547, 20, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[101226, 3152, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[101314, 3156, 1888, 66, 334, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[103217, 3225, 1043, 34, 262, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[104285, 3263, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[104373, 3267, 4880, 170, 584, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[109268, 3440, 1318, 41, 384, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[110611, 3485, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[110699, 3489, 4950, 164, 662, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[115664, 3656, 811, 25, 139, "Text",
 Evaluatable->False],
Cell[116478, 3683, 491, 16, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[116994, 3703, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[117082, 3707, 3882, 137, 527, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[120979, 3847, 554, 16, 115, "Text",
 Evaluatable->False],
Cell[121538, 3866, 813, 29, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[122376, 3899, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[122464, 3903, 7734, 289, 734, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[130213, 4195, 791, 21, 192, "Text",
 Evaluatable->False],
Cell[131007, 4218, 1796, 61, 271, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[132828, 4283, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[132916, 4287, 7863, 271, 839, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[140794, 4561, 881, 32, 192, "Text",
 Evaluatable->False],
Cell[141678, 4595, 542, 13, 143, "Text",
 Evaluatable->False],
Cell[142223, 4610, 1775, 66, 237, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[144023, 4680, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[144111, 4684, 4693, 165, 535, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[148819, 4852, 490, 12, 143, "Text",
 Evaluatable->False],
Cell[149312, 4866, 963, 35, 123, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[150300, 4905, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[150388, 4909, 2302, 84, 239, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[152705, 4996, 1099, 38, 223, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[153829, 5038, 89, 5, 88, "Input"],
Cell[153921, 5045, 353, 10, 68, "Output"]
}, Open  ]],
Cell[154289, 5058, 122, 2, 41, "Text",
 Evaluatable->False],
Cell[154414, 5062, 42, 1, 43, "Input"],
Cell[154459, 5065, 925, 34, 123, "Text",
 Evaluatable->False],
Cell[155387, 5101, 42, 1, 43, "Input"],
Cell[155432, 5104, 450, 16, 47, "Text",
 Evaluatable->False],
Cell[155885, 5122, 42, 1, 43, "Input"],
Cell[155930, 5125, 2566, 86, 550, "Text",
 Evaluatable->False],
Cell[158499, 5213, 41, 1, 43, "Input"],
Cell[158543, 5216, 656, 18, 192, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[159224, 5238, 115, 6, 111, "Input"],
Cell[159342, 5246, 159, 4, 42, "Output"],
Cell[159504, 5252, 216, 5, 32, "Print"],
Cell[159723, 5259, 631, 18, 60, "Print"],
Cell[160357, 5279, 92, 1, 32, "Print"],
Cell[160452, 5282, 934, 27, 82, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[161423, 5314, 102, 5, 88, "Input"],
Cell[161528, 5321, 381, 11, 77, "Output"],
Cell[161912, 5334, 215, 5, 32, "Print"],
Cell[162130, 5341, 1174, 34, 114, "Print"],
Cell[163307, 5377, 90, 1, 32, "Print"],
Cell[163400, 5380, 2609, 73, 230, "Print"]
}, Open  ]],
Cell[166024, 5456, 546, 21, 70, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[166595, 5481, 123, 2, 43, "Input"],
Cell[166721, 5485, 124, 3, 45, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[166882, 5493, 126, 2, 43, "Input"],
Cell[167011, 5497, 124, 3, 45, "Output"]
}, Open  ]],
Cell[167150, 5503, 1111, 41, 237, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[168286, 5548, 54, 1, 43, "Input"],
Cell[168343, 5551, 6115, 188, 668, "Output"]
}, Open  ]],
Cell[174473, 5742, 217, 7, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[174715, 5753, 56, 1, 43, "Input"],
Cell[174774, 5756, 68, 1, 32, "Print"]
}, Open  ]],
Cell[174857, 5760, 257, 10, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[175139, 5774, 62, 1, 43, "Input"],
Cell[175204, 5777, 135, 2, 58, "Print"]
}, Open  ]],
Cell[175354, 5782, 952, 28, 288, "Text",
 Evaluatable->False],
Cell[176309, 5812, 44, 1, 43, "Input"],
Cell[176356, 5815, 269, 6, 90, "Text",
 Evaluatable->False],
Cell[176628, 5823, 596, 21, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[177249, 5848, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[177337, 5852, 9576, 335, 1311, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[186928, 6190, 217, 7, 90, "Text",
 Evaluatable->False],
Cell[187148, 6199, 241, 7, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[187416, 6211, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[187504, 6215, 3566, 134, 385, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[191085, 6352, 2816, 84, 764, "Text",
 Evaluatable->False]
}, Open  ]],
Cell[CellGroupData[{
Cell[193938, 6441, 99, 2, 105, "Section",
 Evaluatable->False],
Cell[194040, 6445, 842, 19, 237, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[194907, 6468, 112, 5, 66, "Input"],
Cell[195022, 6475, 107, 3, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[195166, 6483, 95, 2, 43, "Input"],
Cell[195264, 6487, 205, 7, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[195506, 6499, 94, 2, 43, "Input"],
Cell[195603, 6503, 242, 8, 48, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[195882, 6516, 96, 2, 43, "Input"],
Cell[195981, 6520, 289, 10, 48, "Output"]
}, Open  ]],
Cell[196285, 6533, 577, 15, 166, "Text",
 Evaluatable->False],
Cell[196865, 6550, 44, 1, 43, "Input"],
Cell[196912, 6553, 945, 27, 169, "Text",
 Evaluatable->False],
Cell[197860, 6582, 1800, 61, 337, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[199685, 6647, 311, 11, 66, "Input"],
Cell[199999, 6660, 157, 4, 68, "Output"],
Cell[CellGroupData[{
Cell[200181, 6668, 316, 11, 66, "Input"],
Cell[200500, 6681, 165, 4, 45, "Output"]
}, Open  ]]
}, Open  ]],
Cell[200692, 6689, 308, 6, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[201025, 6699, 209, 7, 43, "Input"],
Cell[201237, 6708, 369, 13, 48, "Output"]
}, Open  ]],
Cell[201621, 6724, 327, 10, 213, "Text",
 Evaluatable->False],
Cell[201951, 6736, 33, 0, 43, "Input"],
Cell[201987, 6738, 301, 10, 43, "Text",
 Evaluatable->False],
Cell[202291, 6750, 210, 7, 43, "Input"],
Cell[202504, 6759, 91, 2, 41, "Text",
 Evaluatable->False],
Cell[202598, 6763, 27, 0, 43, "Input"],
Cell[202628, 6765, 1569, 50, 238, "Text",
 Evaluatable->False],
Cell[204200, 6817, 1847, 58, 335, "Text",
 Evaluatable->False],
Cell[206050, 6877, 1107, 34, 286, "Text",
 Evaluatable->False],
Cell[207160, 6913, 1022, 36, 258, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[208207, 6953, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[208295, 6957, 5042, 186, 461, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[213352, 7146, 1457, 43, 185, "Text",
 Evaluatable->False],
Cell[214812, 7191, 305, 10, 43, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[215142, 7205, 212, 7, 43, "Input"],
Cell[215357, 7214, 594, 20, 77, "Output"]
}, Open  ]],
Cell[215966, 7237, 704, 19, 164, "Text",
 Evaluatable->False],
Cell[216673, 7258, 547, 19, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[217245, 7281, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[217333, 7285, 2867, 88, 542, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[220215, 7376, 278, 10, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[220518, 7390, 97, 2, 43, "Input"],
Cell[220618, 7394, 126, 3, 45, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[220781, 7402, 97, 2, 43, "Input"],
Cell[220881, 7406, 124, 3, 45, "Output"]
}, Open  ]],
Cell[221020, 7412, 823, 24, 237, "Text",
 Evaluatable->False],
Cell[221846, 7438, 42, 1, 43, "Input"],
Cell[221891, 7441, 1468, 52, 253, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[223384, 7497, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[223472, 7501, 3690, 135, 501, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[227177, 7639, 2304, 72, 604, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[229506, 7715, 300, 8, 43, "Input"],
Cell[229809, 7725, 160, 4, 45, "Output"]
}, Open  ]],
Cell[229984, 7732, 94, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[230103, 7738, 290, 8, 43, "Input"],
Cell[230396, 7748, 194, 5, 45, "Output"]
}, Open  ]],
Cell[230605, 7756, 782, 26, 151, "Text",
 Evaluatable->False],
Cell[231390, 7784, 28, 0, 43, "Input"],
Cell[231421, 7786, 673, 21, 188, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[232119, 7811, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[232207, 7815, 8210, 278, 1059, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[240432, 8096, 536, 16, 119, "Text",
 Evaluatable->False],
Cell[240971, 8114, 1530, 56, 201, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[242526, 8174, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[242614, 8178, 9498, 356, 1155, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[252127, 8537, 498, 17, 90, "Text",
 Evaluatable->False],
Cell[252628, 8556, 550, 18, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[253203, 8578, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[253291, 8582, 1528, 50, 307, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[254834, 8635, 2268, 76, 443, "Text",
 Evaluatable->False]
}, Open  ]],
Cell[257117, 8714, 281, 7, 71, "Input"],
Cell[CellGroupData[{
Cell[257423, 8725, 203, 5, 43, "Input"],
Cell[257629, 8732, 375, 10, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[258041, 8747, 125, 2, 43, "Input"],
Cell[258169, 8751, 14624, 425, 555, "Output"]
}, Open  ]],
Cell[272808, 9179, 286, 7, 71, "Input"],
Cell[CellGroupData[{
Cell[273119, 9190, 250, 6, 43, "Input"],
Cell[273372, 9198, 398, 11, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[273807, 9214, 126, 2, 43, "Input"],
Cell[273936, 9218, 14573, 423, 561, "Output"]
}, Open  ]],
Cell[288524, 9644, 715, 18, 135, "Text",
 Evaluatable->False],
Cell[289242, 9664, 1785, 55, 192, "Text",
 Evaluatable->False],
Cell[291030, 9721, 1154, 33, 139, "Text",
 Evaluatable->False],
Cell[292187, 9756, 1652, 48, 192, "Text",
 Evaluatable->False],
Cell[293842, 9806, 2650, 84, 442, "Text",
 Evaluatable->False],
Cell[296495, 9892, 2147, 51, 292, "Text",
 Evaluatable->False],
Cell[298645, 9945, 1445, 34, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[300115, 9983, 165, 3, 43, "Input"],
Cell[300283, 9988, 111, 2, 42, "Output"]
}, Open  ]],
Cell[300409, 9993, 3068, 87, 353, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[303502, 10084, 167, 3, 43, "Input"],
Cell[303672, 10089, 170, 4, 45, "Output"]
}, Open  ]],
Cell[303857, 10096, 856, 17, 41, "Text",
 Evaluatable->False],
Cell[304716, 10115, 286, 7, 71, "Input"],
Cell[CellGroupData[{
Cell[305027, 10126, 250, 6, 43, "Input"],
Cell[305280, 10134, 422, 11, 42, "Output"]
}, Open  ]],
Cell[305717, 10148, 1270, 33, 124, "Text",
 Evaluatable->False],
Cell[306990, 10183, 126, 2, 43, "Input"],
Cell[CellGroupData[{
Cell[307141, 10189, 183, 4, 43, "Input"],
Cell[307327, 10195, 168, 4, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[307532, 10204, 229, 5, 43, "Input"],
Cell[307764, 10211, 332, 9, 45, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[308133, 10225, 146, 3, 43, "Input"],
Cell[308282, 10230, 1404, 45, 135, "Output"]
}, Open  ]],
Cell[309701, 10278, 2503, 79, 206, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[312229, 10361, 197, 5, 43, "Input"],
Cell[312429, 10368, 1644, 53, 135, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[314110, 10426, 276, 8, 43, "Input"],
Cell[314389, 10436, 909, 29, 77, "Output"]
}, Open  ]],
Cell[315313, 10468, 2831, 80, 198, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[318169, 10552, 167, 3, 43, "Input"],
Cell[318339, 10557, 196, 5, 45, "Output"]
}, Open  ]],
Cell[318550, 10565, 1145, 21, 41, "Text",
 Evaluatable->False],
Cell[319698, 10588, 127, 2, 43, "Input"],
Cell[319828, 10592, 220, 6, 43, "Input"],
Cell[CellGroupData[{
Cell[320073, 10602, 178, 4, 43, "Input"],
Cell[320254, 10608, 8225, 266, 509, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[328516, 10879, 91, 1, 43, "Input"],
Cell[328610, 10882, 8197, 265, 509, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[336844, 11152, 156, 3, 43, "Input"],
Cell[337003, 11157, 91, 1, 32, "Print"]
}, Open  ]],
Cell[337109, 11161, 8645, 217, 1651, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[345779, 11382, 157, 3, 105, "Section",
 Evaluatable->False],
Cell[345939, 11387, 2008, 53, 556, "Text",
 Evaluatable->False],
Cell[347950, 11442, 114, 2, 43, "Input"],
Cell[348067, 11446, 321, 9, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[348413, 11459, 66, 1, 43, "Input"],
Cell[348482, 11462, 216, 5, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[348735, 11472, 66, 1, 43, "Input"],
Cell[348804, 11475, 219, 5, 42, "Output"]
}, Open  ]],
Cell[349038, 11483, 627, 23, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[349690, 11510, 48, 1, 43, "Input"],
Cell[349741, 11513, 465, 9, 68, "Output"]
}, Open  ]],
Cell[350221, 11525, 2420, 80, 335, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[352666, 11609, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[352754, 11613, 5317, 193, 423, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[358086, 11809, 850, 26, 145, "Text",
 Evaluatable->False],
Cell[358939, 11837, 1021, 31, 268, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[359985, 11872, 67, 1, 43, "Input"],
Cell[360055, 11875, 806, 26, 70, "Output"]
}, Open  ]],
Cell[360876, 11904, 1042, 42, 96, "Text",
 Evaluatable->False],
Cell[361921, 11948, 48, 1, 43, "Input"],
Cell[361972, 11951, 2139, 64, 418, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[364136, 12019, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[364224, 12023, 5419, 180, 565, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[369658, 12206, 1803, 64, 453, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[371486, 12274, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[371574, 12278, 5470, 198, 626, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[377059, 12479, 742, 26, 188, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[377826, 12509, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[377914, 12513, 1546, 60, 105, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[379475, 12576, 2409, 72, 491, "Text",
 Evaluatable->False],
Cell[381887, 12650, 2306, 75, 403, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[384218, 12729, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[384306, 12733, 4023, 137, 488, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[388344, 12873, 300, 9, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[388669, 12886, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[388757, 12890, 6124, 225, 579, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[394896, 13118, 405, 8, 139, "Text",
 Evaluatable->False]
}, Open  ]],
Cell[CellGroupData[{
Cell[395338, 13131, 209, 7, 105, "Section",
 Evaluatable->False],
Cell[395550, 13140, 156, 6, 43, "Input"],
Cell[395709, 13148, 672, 20, 141, "Text",
 Evaluatable->False],
Cell[396384, 13170, 49, 1, 43, "Input"],
Cell[396436, 13173, 293, 12, 41, "Text",
 Evaluatable->False],
Cell[396732, 13187, 72, 4, 66, "Input"],
Cell[396807, 13193, 709, 20, 154, "Text",
 Evaluatable->False],
Cell[397519, 13215, 43, 1, 43, "Input"],
Cell[397565, 13218, 1074, 34, 210, "Text",
 Evaluatable->False],
Cell[398642, 13254, 43, 1, 43, "Input"],
Cell[398688, 13257, 949, 32, 154, "Text",
 Evaluatable->False],
Cell[399640, 13291, 42, 1, 43, "Input"],
Cell[399685, 13294, 294, 12, 41, "Text",
 Evaluatable->False],
Cell[399982, 13308, 75, 4, 66, "Input"],
Cell[400060, 13314, 753, 23, 154, "Text",
 Evaluatable->False],
Cell[400816, 13339, 43, 1, 43, "Input"],
Cell[400862, 13342, 783, 21, 197, "Text",
 Evaluatable->False],
Cell[401648, 13365, 43, 1, 43, "Input"],
Cell[401694, 13368, 273, 8, 66, "Text",
 Evaluatable->False],
Cell[401970, 13378, 469, 14, 125, "Input"],
Cell[402442, 13394, 800, 21, 96, "Text",
 Evaluatable->False],
Cell[403245, 13417, 952, 28, 125, "Input"],
Cell[404200, 13447, 522, 16, 90, "Text",
 Evaluatable->False],
Cell[404725, 13465, 898, 22, 152, "Input"],
Cell[405626, 13489, 2047, 60, 264, "Text",
 Evaluatable->False],
Cell[407676, 13551, 43, 1, 43, "Input"],
Cell[407722, 13554, 1118, 31, 166, "Text",
 Evaluatable->False],
Cell[408843, 13587, 43, 1, 43, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
