(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    325180,      11118]
NotebookOptionsPosition[    305897,      10480]
NotebookOutlinePosition[    306498,      10504]
CellTagsIndexPosition[    306455,      10501]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Abstract Algebra: An Interactive Approach", "Special2",
 Evaluatable->False,
 CellChangeTimes->{{3.437927991765625*^9, 3.437928001640625*^9}},
 TextAlignment->Center,
 FontFamily->"Arial",
 FontSize->36,
 FontWeight->"Bold",
 FontSlant->"Italic",
 FontColor->RGBColor[1, 0, 1],
 Background->RGBColor[0.500008, 1, 1]],

Cell[CellGroupData[{

Cell["\[Copyright]2009   William Paulsen", "Name",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379280053125*^9, 3.437928006453125*^9}},
 FontFamily->"Arial",
 FontSize->10,
 FontSlant->"Italic",
 FontColor->RGBColor[0, 0, 1],
 Background->GrayLevel[1]],

Cell["\<\
All rights reserved:  These materials can be duplicated or transmitted freely \
for educational use on condition that all copyright statements are retained \
unaltered.  No part of these materials may be sold, by any means or in any \
form, without written permission from the editor.  All software is provided \
\"as is\" without warranty of any kind, either expressed or implied, \
including, but not limited to, the implied warranties of merchantability and \
fitness for a particular purpose.\
\>", "Name",
 Editable->False,
 Evaluatable->False,
 CellHorizontalScrolling->False,
 FontFamily->"Arial",
 FontSize->10,
 FontSlant->"Italic",
 FontColor->RGBColor[0, 0, 1],
 Background->GrayLevel[1]]
}, Closed]],

Cell["\<\
Chapter 14
The Theory of Fields\
\>", "Title",
 CellFrame->True,
 Evaluatable->False,
 CellHorizontalScrolling->False,
 TextAlignment->Center,
 FontFamily->"Arial",
 FontSize->24,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[CellGroupData[{

Cell["Initialization", "Special2",
 Evaluatable->False,
 TextAlignment->Center,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["<<c:\\math\\ring.m", "Input",
 PageWidth->Infinity,
 InitializationCell->True,
 CellChangeTimes->{{3.437928008515625*^9, 3.437928011140625*^9}},
 AspectRatioFixed->True],

Cell[BoxData["\<\"Initialization Done\"\>"], "Print",
 CellChangeTimes->{3.43793533821875*^9, 3.438085430078125*^9, 
  3.43860324009375*^9, 3.438610706140625*^9, 3.438613104953125*^9, 
  3.4420634119639997`*^9, 3.44275963219575*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Vector Spaces", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379287209375*^9, 3.4379287244375*^9}}],

Cell["\<\
In order to study fields in depth, we will first need a few results from a \
first year linear algebra course.  However, most linear algebra courses work \
with vectors and matrices with real numbers for entries, whereas we will \
generalize the notations to allow arbitrary fields.  Nonetheless, most of the \
proofs will follow the same way for arbitrary fields as for real numbers.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928762109375*^9, 3.4379288123125*^9}}],

Cell[TextData[{
 "DEFINITION 14.1:\nLet ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be a field.  We say that ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " is a ",
 StyleBox["vector space",
  FontSlant->"Italic"],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " if ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " is an abelian group under addition ",
 Cell[BoxData[
  FormBox["+", TraditionalForm]]],
 ", and for which there is defined a multiplication ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "\[CenterDot]", "v"}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", " ", "\[Element]", "F"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", "\[Element]", "V"}], TraditionalForm]]],
 " such that:\n\n   1.  whenever ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "\[Element]", "F"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", "\[Element]", "V"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"a", "\[CenterDot]", "v"}], "\[Element]", "V"}], 
   TraditionalForm]]],
 ",\n   2. when ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "\[Element]", "F"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", ",", 
    RowBox[{"w", "\[Element]", "V"}]}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"a", "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"v", "+", "w"}], ")"}]}], "=", 
    RowBox[{
     RowBox[{"a", "\[CenterDot]", "v"}], "+", 
     RowBox[{"a", "\[CenterDot]", "w"}]}]}], TraditionalForm]]],
 ",\n   3. when ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", ",", 
    RowBox[{"b", "\[Element]", "F"}]}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", "\[Element]", "V"}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"a", "+", "b"}], ")"}], "\[CenterDot]", "v"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"a", "\[CenterDot]", "v"}], " ", "+", " ", 
     RowBox[{"b", "\[CenterDot]", "v"}]}]}], TraditionalForm]]],
 ",\n   4. when ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", ",", 
    RowBox[{"b", "\[Element]", "F"}]}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", "\[Element]", "V"}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"a", "\[CenterDot]", "b"}], ")"}], "\[CenterDot]", "v"}], " ", 
     "=", " ", "a"}], "\[InvisibleComma]", 
    RowBox[{"\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"b", "\[CenterDot]", "v"}], ")"}]}]}], TraditionalForm]]],
 ",\n   5. if ",
 Cell[BoxData[
  FormBox["e", TraditionalForm]]],
 " is the identity of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"e", "\[CenterDot]", "v"}], "=", "v"}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", "\[Element]", "V"}], TraditionalForm]]],
 ".\n   \nThe members of ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " are called ",
 StyleBox["vectors",
  FontSlant->"Italic"],
 ".   "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928762109375*^9, 3.43792930115625*^9}}],

Cell["\<\
The best way to get a feel for vector spaces is to give some examples.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437929403453125*^9, 3.43792943065625*^9}}],

Cell[TextData[{
 "EXAMPLE 14.1\nConsider the set of 3-tuples ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{
     SubscriptBox["u", "1"], ",", " ", 
     SubscriptBox["u", "2"], ",", " ", 
     SubscriptBox["u", "3"]}], "\[RightAngleBracket]"}], TraditionalForm]]],
 " where ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["u", "1"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["u", "2"], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["u", "3"], "\[Element]", "\[DoubleStruckCapitalR]"}], 
   TraditionalForm]]],
 ".  Addition of 2 vectors is done componentwise, and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"k", "\[CenterDot]", 
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{
       SubscriptBox["u", "1"], ",", " ", 
       SubscriptBox["u", "2"], ",", " ", 
       SubscriptBox["u", "3"]}], "\[RightAngleBracket]"}]}], "=", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{
      RowBox[{"k", " ", 
       SubscriptBox["u", "1"]}], ",", 
      RowBox[{"k", " ", 
       SubscriptBox["u", "2"]}], ",", 
      RowBox[{"k", " ", 
       SubscriptBox["u", "3"]}]}], "\[RightAngleBracket]"}]}], 
   TraditionalForm]]],
 " when ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", "\[Element]", "\[DoubleStruckCapitalR]"}], 
   TraditionalForm]]],
 ".  This is a vector space over \[DoubleStruckCapitalR], and can be denoted \
by ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[DoubleStruckCapitalR]", "3"], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379294371875*^9, 3.43792954821875*^9}, {
  3.437929596375*^9, 3.43792965896875*^9}, {3.43792969421875*^9, 
  3.437929771234375*^9}}],

Cell[TextData[{
 "EXAMPLE 14.2\nWe can generalize the previous example using any field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " in place of \[DoubleStruckCapitalR], and consider ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-tuples ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{
     SubscriptBox["u", "1"], ",", " ", 
     SubscriptBox["u", "2"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["u", "n"]}], "\[RightAngleBracket]"}], TraditionalForm]]],
 ".  Addition is still defined componentwise, and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"k", "\[CenterDot]", 
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{
       SubscriptBox["u", "1"], ",", " ", 
       SubscriptBox["u", "2"], ",", " ", "\[Ellipsis]", ",", " ", 
       SubscriptBox["u", "n"]}], "\[RightAngleBracket]"}]}], "=", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{
      RowBox[{"k", "\[CenterDot]", 
       SubscriptBox["u", "1"]}], ",", " ", 
      RowBox[{"k", "\[CenterDot]", 
       SubscriptBox["u", "2"]}], ",", " ", "\[Ellipsis]", ",", " ", 
      RowBox[{"k", "\[CenterDot]", 
       SubscriptBox["u", "n"]}]}], "\[RightAngleBracket]"}]}], 
   TraditionalForm]]],
 ". This will give us a vector space over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", which we can denote by ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["F", "n"], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379294371875*^9, 3.43792954821875*^9}, {
  3.437929596375*^9, 3.43792965896875*^9}, {3.43792969421875*^9, 
  3.437929870625*^9}, {3.43792995859375*^9, 3.437930033140625*^9}}],

Cell[TextData[{
 "EXAMPLE 14.3\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a field, and ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " any subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ".  Then ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a vector space over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", defining ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "\[CenterDot]", "v"}], TraditionalForm]]],
 " as a product in the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ".  Property 5 follows from the fact that the identity of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " must also be the identity of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ".\nThe other properties follow from the distributive and associative \
properties of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379294371875*^9, 3.43792954821875*^9}, {
  3.437929596375*^9, 3.43792965896875*^9}, {3.43792969421875*^9, 
  3.437929870625*^9}, {3.43792995859375*^9, 3.437930148046875*^9}}],

Cell[TextData[{
 "This last example demonstrates the usefulness in studying vector spaces \
over a field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ".  In fact, this is the example that we will concentrate on for the \
remainder of the chapter.\n\nThe next definition is the key to understanding \
the properties of a vector space.           "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379294371875*^9, 3.43792954821875*^9}, {
  3.437929596375*^9, 3.43792965896875*^9}, {3.43792969421875*^9, 
  3.437929870625*^9}, {3.43792995859375*^9, 3.437930203859375*^9}}],

Cell[TextData[{
 "DEFINITION 14.2:\nLet ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " be a vector space over a field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". We say that a finite set  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"B", "=", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["x", "1"], ",", " ", 
      SubscriptBox["x", "2"], ",", " ", 
      SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", " ", ",", 
      SubscriptBox["x", "n"]}], "}"}]}], TraditionalForm]]],
 " of vectors in ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " are  ",
 StyleBox["linearly dependent",
  FontSlant->"Italic"],
 " if there are elements ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "1"], ",", " ", 
    SubscriptBox["c", "2"], ",", 
    RowBox[{
     RowBox[{"\[Ellipsis]", " ", 
      SubscriptBox["c", "n"]}], "\[Element]", "F"}]}], TraditionalForm]]],
 ", not all zero, for which\n\n            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["c", "1"], 
      SubscriptBox["x", "1"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "2"], " ", 
      SubscriptBox["x", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "3"], " ", 
      SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+", 
     " ", 
     RowBox[{
      SubscriptBox["c", "n"], "  ", 
      SubscriptBox["x", "n"]}]}], " ", "=", "0"}], TraditionalForm]]],
 ".\n\nWe say that the vectors are linearly independent if they are not \
linearly dependent, that is, if the only way for \n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["c", "1"], 
      SubscriptBox["x", "1"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "2"], " ", 
      SubscriptBox["x", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "3"], " ", 
      SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+", 
     " ", 
     RowBox[{
      SubscriptBox["c", "n"], "  ", 
      SubscriptBox["x", "n"]}]}], " ", "=", "0"}], TraditionalForm]]],
 "\nis for ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "0"], "=", 
    RowBox[{
     SubscriptBox["c", "1"], "=", " ", 
     RowBox[{"\[CenterEllipsis]", " ", "=", " ", 
      RowBox[{
       SubscriptBox["c", "n"], "=", "0", " "}]}]}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437930264140625*^9, 3.43793051125*^9}, {
  3.4379305634375*^9, 3.437930586828125*^9}, {3.437930650078125*^9, 
  3.437930650421875*^9}, {3.4379324855*^9, 3.437932486015625*^9}, {
  3.4379325273125*^9, 3.43793274353125*^9}, {3.437932775984375*^9, 
  3.43793280440625*^9}}],

Cell[TextData[{
 "EXAMPLE 14.4\nThe vectors ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"1", ",", "4", ",", 
     RowBox[{"-", "1"}]}], "\[RightAngleBracket]"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"2", ",", 
     RowBox[{"-", "3"}], ",", "1"}], "\[RightAngleBracket]"}], 
   TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"4", ",", "5", ",", 
     RowBox[{"-", "1"}]}], "\[RightAngleBracket]"}], TraditionalForm]]],
 " are linearly dependent, since there is a non-zero solution to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["c", "1"], 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"1", ",", "4", ",", 
        RowBox[{"-", "1"}]}], "\[RightAngleBracket]"}]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "2"], 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"2", ",", 
        RowBox[{"-", "3"}], ",", "1"}], "\[RightAngleBracket]"}]}], "+", " ", 
     
     RowBox[{
      SubscriptBox["c", "3"], 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"4", ",", "5", ",", 
        RowBox[{"-", "1"}]}], "\[RightAngleBracket]"}]}]}], "=", "0"}], 
   TraditionalForm]]],
 ", namely, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "1"], "=", "2"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "2"], "=", "1"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "3"], "=", 
    RowBox[{"-", "1"}]}], TraditionalForm]]],
 ".  On the other hand, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"2", ",", "0", ",", "1"}], "\[RightAngleBracket]"}], 
   TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"0", ",", "0", ",", "3"}], "\[RightAngleBracket]"}], 
   TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"1", ",", "4", ",", "0"}], "\[RightAngleBracket]"}], 
   TraditionalForm]]],
 " are linearly independent, since in order to get ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["c", "1"], 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"2", ",", "0", ",", "1"}], "\[RightAngleBracket]"}]}], "+", 
     RowBox[{
      SubscriptBox["c", "2"], 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"0", ",", "0", ",", "3"}], "\[RightAngleBracket]"}]}], " ", 
     "+", " ", 
     RowBox[{
      SubscriptBox["c", "3"], 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"1", ",", "4", ",", "0"}], "\[RightAngleBracket]"}]}]}], "=", 
    "0"}], TraditionalForm]]],
 ", we need ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"4", " ", 
     SubscriptBox["c", "3"]}], "=", "0"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"2", 
      SubscriptBox["c", "1"]}], "+", " ", 
     SubscriptBox["c", 
      RowBox[{"3", " "}]]}], "=", "0"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["c", "1"], "+", " ", 
     RowBox[{"3", " ", 
      SubscriptBox["c", "2"]}]}], "=", "0"}], TraditionalForm]]],
 ".  This forces ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "3"], "=", "0"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "1"], "=", "0"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "2"], "=", "0"}], TraditionalForm]]],
 ", so there are no non-zero solutions."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379294371875*^9, 3.43792954821875*^9}, {
  3.437929596375*^9, 3.43792965896875*^9}, {3.43792969421875*^9, 
  3.437929870625*^9}, {3.43792995859375*^9, 3.437930148046875*^9}, {
  3.437932823109375*^9, 3.4379328316875*^9}, {3.4379328975625*^9, 
  3.437932944953125*^9}, {3.437934198984375*^9, 3.43793428065625*^9}, {
  3.437934319171875*^9, 3.437934411765625*^9}, {3.437934459375*^9, 
  3.437934614765625*^9}}],

Cell[TextData[{
 "DEFINITION 14.3:\nLet ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " be a vector space over a field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". A finite set of vectors ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", " ", ",", 
     SubscriptBox["x", "n"]}], "}"}], TraditionalForm]]],
 "  in ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " is called a ",
 StyleBox["basis of",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " ",
 StyleBox["over",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " if the set is linearly independent, and every element of ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " can be uniquely expressed in the form\n\n            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["a", "1"], 
      SubscriptBox["x", "1"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "2"], " ", 
      SubscriptBox["x", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "3"], " ", 
      SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+", 
     " ", 
     RowBox[{
      SubscriptBox["a", "n"], "  ", 
      SubscriptBox["x", "n"]}]}], " ", ","}], TraditionalForm]]],
 "\n\nwith ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "1"], ",", " ", 
    SubscriptBox["a", "2"], ",", " ", 
    SubscriptBox["a", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
    SubscriptBox["a", "n"]}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437930264140625*^9, 3.43793051125*^9}, {
  3.4379305634375*^9, 3.437930586828125*^9}, {3.437930650078125*^9, 
  3.437930650421875*^9}}],

Cell[TextData[{
 "Here are some examples, all of which are fairly routine to check:\n\n   1. \
The complex numbers \[DoubleStruckCapitalC] has a basis ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", "i"}], "}"}], TraditionalForm]]],
 " over the real numbers \[DoubleStruckCapitalR].\n   2. The quaternions \
\[DoubleStruckCapitalH] has a basis ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", "i", ",", "j", ",", "k"}], "}"}], TraditionalForm]]],
 " over \[DoubleStruckCapitalR].\n   3. The field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "[", 
    SqrtBox["2"], "]"}], TraditionalForm]]],
 " has a basis ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", 
     SqrtBox["2"]}], "}"}], TraditionalForm]]],
 " over the rational numbers \[DoubleStruckCapitalQ].\n   4. From example \
14.3, the real numbers \[DoubleStruckCapitalR] is a vector field over the \
rationals.  However, there can be no finite basis ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", 
     SubscriptBox["x", "2"], ",", 
     SubscriptBox["x", "3"], ",", 
     RowBox[{"\[Ellipsis]", " ", 
      SubscriptBox["x", "n"]}]}], "}"}], TraditionalForm]]],
 " in \[DoubleStruckCapitalR] for which every real number could be expressed \
as ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["a", "1"], 
     SubscriptBox["x", "1"]}], "+", 
    RowBox[{
     SubscriptBox["a", "2"], 
     SubscriptBox["x", "2"]}], "+", " ", 
    RowBox[{
     SubscriptBox["a", "3"], 
     SubscriptBox["x", 
      RowBox[{"3", " "}]]}], "+", " ", "\[CenterEllipsis]", "+", 
    RowBox[{
     SubscriptBox["a", "n"], 
     SubscriptBox["x", "n"]}]}], TraditionalForm]]],
 ", with ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "1"], ",", " ", 
    SubscriptBox["a", "2"], ",", 
    RowBox[{
     RowBox[{"\[Ellipsis]", " ", 
      SubscriptBox["a", "n"]}], "\[Element]", "\[DoubleStruckCapitalQ]"}]}], 
   TraditionalForm]]],
 ", lest the set of reals be countable, which contradicts Cantor's \
diagonalization theorem (9.1)."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379294371875*^9, 3.43792954821875*^9}, {
  3.437929596375*^9, 3.43792965896875*^9}, {3.43792969421875*^9, 
  3.437929870625*^9}, {3.43792995859375*^9, 3.437930199421875*^9}, {
  3.43793464828125*^9, 3.437935043453125*^9}}],

Cell["\<\
There is an easy way to determine if a particular set of vectors is a basis.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437930264140625*^9, 3.43793051125*^9}, {
  3.4379305634375*^9, 3.437930586828125*^9}, {3.437930650078125*^9, 
  3.437930650421875*^9}, {3.4420611932139997`*^9, 3.4420612085421247`*^9}}],

Cell[TextData[{
 "LEMMA 14.1\n",
 Cell[BoxData[
  FormBox[
   RowBox[{"B", "=", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["x", "1"], ",", " ", 
      SubscriptBox["x", "2"], ",", " ", 
      SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", " ", ",", 
      SubscriptBox["x", "n"]}], "}"}]}], TraditionalForm]]],
 " is a basis of a vector space ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " if, and only if, every element of ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " can be expressed ",
 StyleBox["uniquely",
  FontSlant->"Italic"],
 " in the form\n   ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", "=", 
    RowBox[{
     RowBox[{
      SubscriptBox["c", "1"], 
      SubscriptBox["x", "1"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "2"], " ", 
      SubscriptBox["x", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "3"], " ", 
      SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+", 
     " ", 
     RowBox[{
      SubscriptBox["c", "n"], "  ", 
      SubscriptBox["x", "n"]}]}]}], TraditionalForm]]],
 ".\nThe ordered ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-tuple ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", " ", 
    RowBox[{
     SubscriptBox["c", "1"], ",", 
     SubscriptBox["c", "2"], ",", " ", 
     SubscriptBox["c", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["c", "n"]}], "\[RightAngleBracket]"}], TraditionalForm]]],
 " is called the ",
 StyleBox["coefficients",
  FontSlant->"Italic"],
 " of ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " with respect to ",
 Cell[BoxData[
  FormBox["B", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437935920015625*^9, 3.4379360320625*^9}, {
  3.437936164296875*^9, 3.43793618046875*^9}, {3.437936434359375*^9, 
  3.437936445265625*^9}, {3.4420612135733747`*^9, 3.4420613509639997`*^9}, {
  3.4420614259639997`*^9, 3.4420615518389997`*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "If ",
 Cell[BoxData[
  FormBox["B", TraditionalForm]]],
 " is a basis, then every element ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", "\[Element]", "V"}], TraditionalForm]]],
 " can be expressed in the form ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["c", "1"], 
     SubscriptBox["x", "1"]}], " ", "+", " ", 
    RowBox[{
     SubscriptBox["c", "2"], " ", 
     SubscriptBox["x", "2"]}], " ", "+", " ", 
    RowBox[{
     SubscriptBox["c", "3"], " ", 
     SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+", 
    " ", 
    RowBox[{
     SubscriptBox["c", "n"], "  ", 
     SubscriptBox["x", "n"]}]}], TraditionalForm]]],
 ".  Suppose that\n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", "=", 
    RowBox[{
     RowBox[{
      SubscriptBox["a", "1"], 
      SubscriptBox["x", "1"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "2"], " ", 
      SubscriptBox["x", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "3"], " ", 
      SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+", 
     " ", 
     RowBox[{
      SubscriptBox["a", "n"], "  ", 
      SubscriptBox["x", "n"]}]}]}], TraditionalForm]]],
 ".\nis another such expression.  Then \n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["a", "1"], "-", 
        SubscriptBox["c", "1"]}], ")"}], 
      SubscriptBox["x", "1"]}], " ", "+", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["a", 
         RowBox[{"2", " "}]], "-", 
        SubscriptBox["c", "2"]}], ")"}], " ", 
      SubscriptBox["x", "2"]}], " ", "+", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["a", "3"], "-", 
        SubscriptBox["c", "3"]}], ")"}], " ", 
      SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+", 
     " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["a", "n"], "-", 
        SubscriptBox["c", "n"]}], ")"}], "  ", 
      SubscriptBox["x", "n"]}]}], "=", 
    RowBox[{
     RowBox[{"v", "-", "v"}], "=", "0."}]}], TraditionalForm]]],
 "\nBut the vectors in ",
 Cell[BoxData[
  FormBox["B", TraditionalForm]]],
 " are linearly independent, so the only way that the combination of vectors \
could be 0 is for ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["a", "i"], "-", 
     SubscriptBox["c", "i"]}], "=", " ", "0"}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox[
   RowBox[{"1", " ", "\[LessEqual]", "i", "\[LessEqual]", "n"}], 
   TraditionalForm]]],
 ".  Hence, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "i"], "=", 
    SubscriptBox["c", "i"]}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["i", TraditionalForm]]],
 ", and the representation is unique. \n    On the other hand, if every ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", " ", "\[Element]", "V"}], TraditionalForm]]],
 " can be uniquely represented as ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["c", "1"], 
     SubscriptBox["x", "1"]}], " ", "+", " ", 
    RowBox[{
     SubscriptBox["c", "2"], " ", 
     SubscriptBox["x", "2"]}], " ", "+", " ", 
    RowBox[{
     SubscriptBox["c", "3"], " ", 
     SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+", 
    " ", 
    RowBox[{
     SubscriptBox["c", "n"], "  ", 
     SubscriptBox["x", "n"]}]}], TraditionalForm]]],
 ", then in particular 0 has only one representation, namely  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"0", "=", 
    RowBox[{
     RowBox[{"0", 
      SubscriptBox["x", "1"]}], "+", 
     RowBox[{"0", 
      SubscriptBox["x", "2"]}], "+", 
     RowBox[{"0", 
      SubscriptBox["x", "3"]}], "+", "\[CenterEllipsis]", "+", 
     RowBox[{"0", 
      SubscriptBox["x", "n"]}]}]}], TraditionalForm]]],
 ".  Thus, the vectors in ",
 Cell[BoxData[
  FormBox["B", TraditionalForm]]],
 " are linearly independent, and so ",
 Cell[BoxData[
  FormBox["B", TraditionalForm]]],
 " is a basis."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437936354203125*^9, 3.437936375*^9}, {
   3.437936475640625*^9, 3.437936622859375*^9}, {3.43793670290625*^9, 
   3.437936761921875*^9}, {3.437936792453125*^9, 3.437936878375*^9}, {
   3.438007008015625*^9, 3.4380071566875*^9}, {3.4380073801502037`*^9, 
   3.4380074226658287`*^9}, {3.4380074771658287`*^9, 
   3.4380076639314537`*^9}, {3.4380077151970787`*^9, 
   3.4380077591970787`*^9}, {3.4380078430564537`*^9, 
   3.4380079624002037`*^9}, {3.4380080030252037`*^9, 
   3.4380080607752037`*^9}, {3.4380081077439537`*^9, 
   3.4380082253689537`*^9}, {3.4380082731970787`*^9, 
   3.4380084412439537`*^9}, {3.4380084744627037`*^9, 
   3.4380085280095787`*^9}, {3.4380085622595787`*^9, 
   3.4380085921658287`*^9}, {3.4380086294002037`*^9, 
   3.4380087326970787`*^9}, {3.4380088188220787`*^9, 
   3.4380091679158287`*^9}, {3.4380092528845787`*^9, 
   3.4380094752439537`*^9}, {3.4380095165564537`*^9, 3.4380096691189537`*^9}, 
   3.438019123890625*^9, {3.438019508078125*^9, 3.438019508078125*^9}, {
   3.43802032053125*^9, 3.43802032053125*^9}, {3.438020770640625*^9, 
   3.43802077340625*^9}, {3.438083935265625*^9, 3.43808395840625*^9}, {
   3.4420616084171247`*^9, 3.4420618415889997`*^9}, {3.4420618856983747`*^9, 
   3.4420620663858747`*^9}, {3.4420621191827497`*^9, 3.4420621748233747`*^9}}]
}, Open  ]],

Cell[TextData[{
 "We can define a basis in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " with the command ",
 StyleBox["ToBasis",
  FontWeight->"Bold"]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379294371875*^9, 3.43792954821875*^9}, {
   3.437929596375*^9, 3.43792965896875*^9}, {3.43792969421875*^9, 
   3.437929870625*^9}, {3.43792995859375*^9, 3.437930199421875*^9}, {
   3.43793464828125*^9, 3.437935040703125*^9}, {3.437935213484375*^9, 
   3.437935260265625*^9}, 3.437935301984375*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"B", "=", 
  RowBox[{"ToBasis", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "4", ",", 
        RowBox[{"-", "1"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", 
        RowBox[{"-", "3"}], ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"4", ",", "5", ",", 
        RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4379353085*^9, 3.437935333125*^9}}],

Cell[BoxData["\<\"Error: linearly dependent.\"\>"], "Print",
 CellChangeTimes->{3.437935338328125*^9, 3.442759546961375*^9, 
  3.4427595816645*^9}],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{3.437935338390625*^9, 3.442759546977*^9, 
  3.4427595816645*^9}]
}, Open  ]],

Cell[TextData[{
 "The first argument is 1, indicating that we are defining this as a basis \
over the reals or the rationals.  That is, the basis of the root space ",
 "\[DoubleStruckCapitalQ] is just {1}.  ",
 "This failed because, as we saw before, the set of vectors  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"1", ",", "4", ",", 
     RowBox[{"-", "1"}]}], "\[RightAngleBracket]"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"2", ",", 
     RowBox[{"-", "3"}], ",", "1"}], "\[RightAngleBracket]"}], 
   TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"4", ",", "5", ",", 
     RowBox[{"-", "1"}]}], "\[RightAngleBracket]"}], TraditionalForm]]],
 " were linearly dependent.  Here is another attempt."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379294371875*^9, 3.43792954821875*^9}, {
  3.437929596375*^9, 3.43792965896875*^9}, {3.43792969421875*^9, 
  3.437929870625*^9}, {3.43792995859375*^9, 3.437930199421875*^9}, {
  3.43793464828125*^9, 3.437935040703125*^9}, {3.437935213484375*^9, 
  3.437935260265625*^9}, {3.437935301984375*^9, 3.437935305234375*^9}, {
  3.43793538284375*^9, 3.437935518078125*^9}, {3.4420622441983747`*^9, 
  3.4420623307921247`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"B", " ", "=", " ", 
  RowBox[{"ToBasis", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"2", ",", "0", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "4", ",", "0"}], "}"}]}], "}"}]}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.437935523078125*^9, 3.437935545140625*^9}}],

Cell[BoxData[
 RowBox[{"Basis", "[", 
  RowBox[{"1", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "4", ",", "0"}], "}"}]}], "}"}]}], "]"}]], "Output",
 CellChangeTimes->{3.437935545703125*^9, 3.442759583930125*^9}]
}, Open  ]],

Cell[TextData[{
 "This time, there was no error message, so we know that these are linearly \
independent.  Once we have defined a basis, we can find the coefficients ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "1"], ",", " ", 
    SubscriptBox["c", "2"], ",", 
    RowBox[{"\[Ellipsis]", " ", 
     SubscriptBox["c", "n"]}]}], TraditionalForm]]],
 " for any element of the vector space."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379294371875*^9, 3.43792954821875*^9}, {
  3.437929596375*^9, 3.43792965896875*^9}, {3.43792969421875*^9, 
  3.437929870625*^9}, {3.43792995859375*^9, 3.437930199421875*^9}, {
  3.43793464828125*^9, 3.437935040703125*^9}, {3.437935213484375*^9, 
  3.437935260265625*^9}, {3.437935301984375*^9, 3.437935305234375*^9}, {
  3.43793538284375*^9, 3.437935514796875*^9}, {3.437935551390625*^9, 
  3.437935640140625*^9}, {3.4420623729327497`*^9, 3.4420623837608747`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Coefficients", "[", 
  RowBox[{"B", ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3", ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.437935643296875*^9, 3.437935651953125*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["5", "8"], ",", 
   FractionBox["9", "8"], ",", 
   FractionBox["3", "4"]}], "}"}]], "Output",
 CellChangeTimes->{3.437935652515625*^9, 3.442759589305125*^9}]
}, Open  ]],

Cell[TextData[{
 "This shows that\n \n ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"2", ",", "3", ",", "4"}], "\[RightAngleBracket]"}], "=", 
    RowBox[{
     RowBox[{
      FractionBox["5", "8"], 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"2", ",", "0", ",", "1"}], "\[RightAngleBracket]"}]}], "+", 
     RowBox[{
      FractionBox["9", "8"], 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"0", ",", "0", ",", "3"}], "\[RightAngleBracket]"}]}], "+", 
     RowBox[{
      FractionBox["3", "4"], 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"1", ",", "4", ",", "0"}], "\[RightAngleBracket]"}]}]}]}], 
   TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379294371875*^9, 3.43792954821875*^9}, {
  3.437929596375*^9, 3.43792965896875*^9}, {3.43792969421875*^9, 
  3.437929870625*^9}, {3.43792995859375*^9, 3.437930199421875*^9}, {
  3.43793464828125*^9, 3.437935040703125*^9}, {3.437935213484375*^9, 
  3.437935260265625*^9}, {3.437935301984375*^9, 3.437935305234375*^9}, {
  3.43793538284375*^9, 3.437935514796875*^9}, {3.437935551390625*^9, 
  3.437935790265625*^9}}],

Cell[TextData[{
 "LEMMA 14.2\nSuppose that ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " is a vector space over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"B", "=", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["x", "1"], ",", " ", 
      SubscriptBox["x", "2"], ",", " ", 
      SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", " ", ",", 
      SubscriptBox["x", "n"]}], "}"}]}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Then any set ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", 
     SubscriptBox["y", "2"], ",", 
     SubscriptBox["y", "3"], ",", "\[Ellipsis]", ",", 
     SubscriptBox["y", "n"], ",", 
     SubscriptBox["y", 
      RowBox[{"n", "+", "1"}]]}], "}"}], TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "+", "1"}], TraditionalForm]]],
 " elements of ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " are linearly dependent."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437935920015625*^9, 3.4379360320625*^9}, {
  3.437936164296875*^9, 3.43793618046875*^9}, {3.437936434359375*^9, 
  3.437936445265625*^9}, {3.4420623924796247`*^9, 3.4420623929327497`*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Suppose that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"Y", "=", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["y", "1"], ",", 
      SubscriptBox["y", "2"], ",", 
      SubscriptBox["y", "3"], ",", "\[Ellipsis]", ",", 
      SubscriptBox["y", "n"], ",", 
      SubscriptBox["y", 
       RowBox[{"n", "+", "1"}]]}], "}"}]}], TraditionalForm]]],
 " are linearly independent, so that all of these vectors are non-zero.\n\n\
Our goal is to show, with a suitable rearrangement of the vectors in ",
 Cell[BoxData[
  FormBox["B", TraditionalForm]]],
 ", that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", 
     SubscriptBox["y", "2"], ",", 
     RowBox[{"\[Ellipsis]", " ", 
      SubscriptBox["y", 
       RowBox[{"k", "-", "1"}]]}], ",", 
     SubscriptBox["y", "k"], ",", 
     SubscriptBox["x", 
      RowBox[{"k", "+", "1"}]], ",", 
     SubscriptBox["\[Ellipsis]x", "n"]}], "}"}], TraditionalForm]]],
 " is a basis for every ",
 Cell[BoxData[
  FormBox[
   RowBox[{"0", "\[LessEqual]", "k", "\[LessEqual]", "n"}], 
   TraditionalForm]]],
 ".\nIf ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", "=", "0"}], TraditionalForm]]],
 ", then this set is the original set ",
 Cell[BoxData[
  FormBox["B", TraditionalForm]]],
 ", which is a basis. \nSo let us use induction to assume that it is true for \
the previous case, that is that  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", 
     SubscriptBox["y", "2"], ",", 
     RowBox[{"\[Ellipsis]", " ", 
      SubscriptBox["y", 
       RowBox[{"k", "-", "1"}]]}], ",", 
     SubscriptBox["x", "k"], ",", 
     SubscriptBox["x", 
      RowBox[{"k", "+", "1"}]], ",", 
     SubscriptBox["\[Ellipsis]x", "n"]}], "}"}], TraditionalForm]]],
 " is a basis.\n\nWe then can express ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SubscriptBox["y", "k"], "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox["a", "1"], 
       SubscriptBox["y", "1"]}], "+", " ", 
      RowBox[{
       SubscriptBox["a", "2"], 
       SubscriptBox["y", "2"]}], "+", "\[CenterEllipsis]", "+", 
      RowBox[{
       SubscriptBox["a", 
        RowBox[{"k", "-", "1"}]], 
       SubscriptBox["y", 
        RowBox[{"k", "-", "1"}]]}], "+", " ", 
      RowBox[{
       SubscriptBox["a", "k"], 
       SubscriptBox["x", "k"]}], "+", "\[CenterEllipsis]", "+", 
      RowBox[{
       SubscriptBox["a", "n"], 
       SubscriptBox["x", "n"], " "}]}]}]}], TraditionalForm]]],
 ".\nSince the vectors in ",
 Cell[BoxData[
  FormBox["Y", TraditionalForm]]],
 " are linearly independent, we see that at least one of \n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "k"], ",", " ", 
    SubscriptBox["a", 
     RowBox[{"k", "+", "1"}]], ",", " ", 
    RowBox[{"\[Ellipsis]", " ", 
     SubscriptBox["a", "n"]}]}], TraditionalForm]]],
 " are non-zero. \nBy rearranging the remaining elements of ",
 Cell[BoxData[
  FormBox["B", TraditionalForm]]],
 ", we can suppose that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "k"], "\[NotEqual]", "0"}], TraditionalForm]]],
 ".\nThen ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["x", "k"], "=", " ", 
    RowBox[{
     RowBox[{
      SuperscriptBox[
       SubscriptBox["a", "k"], 
       RowBox[{"-", "1"}]], "(", 
      RowBox[{
       SubscriptBox["y", "k"], "-", 
       RowBox[{
        SubscriptBox["a", "1"], 
        SubscriptBox["y", "1"]}], "-", "\[CenterEllipsis]", "-", 
       RowBox[{
        SubscriptBox["a", 
         RowBox[{"k", "-", "1"}]], 
        SubscriptBox["y", 
         RowBox[{"k", "-", "1"}]]}], "-", 
       RowBox[{
        SubscriptBox["a", 
         RowBox[{"k", "+", "1"}]], 
        SubscriptBox["x", 
         RowBox[{"k", "+", "1"}]]}], "-", "\[CenterEllipsis]", "-", 
       RowBox[{
        SubscriptBox["a", "n"], 
        SubscriptBox["x", "n"]}]}], ")"}], ".", " "}]}], TraditionalForm]]],
 "\n\nAny element ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", " ", "\[Element]", "V"}], TraditionalForm]]],
 " can be expressed as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", " ", "=", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["c", "1"], 
      SubscriptBox["y", "1"]}], "+", " ", 
     RowBox[{
      SubscriptBox["c", "2"], 
      SubscriptBox["y", "2"]}], "+", "\[CenterEllipsis]", "+", 
     RowBox[{
      SubscriptBox["c", 
       RowBox[{"k", "-", "1"}]], 
      SubscriptBox["y", 
       RowBox[{"k", "-", "1"}]]}], "+", 
     RowBox[{
      SubscriptBox["c", "k"], 
      SubscriptBox["x", "k"]}], "+", "\[CenterEllipsis]", "+", 
     RowBox[{
      SubscriptBox["c", "n"], 
      RowBox[{
       SubscriptBox["x", "n"], "."}]}]}]}], TraditionalForm]]],
 "  By substituting for the value of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", "k"], TraditionalForm]]],
 ", we see that ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " can be expressed as a linear combination of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", 
     SubscriptBox["y", "2"], ",", 
     RowBox[{"\[Ellipsis]", " ", 
      SubscriptBox["y", 
       RowBox[{"k", "-", "1"}]]}], ",", 
     SubscriptBox["y", "k"], ",", 
     SubscriptBox["x", 
      RowBox[{"k", "+", "1"}]], ",", 
     SubscriptBox["\[Ellipsis]x", "n"]}], "}"}], TraditionalForm]]],
 ".  If this set were linearly dependent, there would be a non-zero solution \
to\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["c", "1"], 
      SubscriptBox["y", "1"]}], "+", " ", 
     RowBox[{
      SubscriptBox["c", "2"], 
      SubscriptBox["y", "2"]}], "+", "\[CenterEllipsis]", "+", 
     RowBox[{
      SubscriptBox["c", 
       RowBox[{"k", "-", "1"}]], 
      SubscriptBox["y", 
       RowBox[{"k", "-", "1"}]]}], "+", 
     RowBox[{
      SubscriptBox["c", "k"], 
      SubscriptBox["y", "k"]}], "+", "\[CenterEllipsis]", "+", 
     RowBox[{
      SubscriptBox["c", "n"], 
      SubscriptBox["x", "n"]}]}], "=", "0."}], TraditionalForm]]],
 "  Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "k"], "\[NotEqual]", "0"}], TraditionalForm]]],
 ",\nleast there also be a non-zero solution to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["c", "1"], 
       SubscriptBox["y", "1"]}], "+", " ", 
      RowBox[{
       SubscriptBox["c", "2"], 
       SubscriptBox["y", "2"]}], "+", "\[CenterEllipsis]", "+", 
      RowBox[{
       SubscriptBox["c", 
        RowBox[{"k", "-", "1"}]], 
       SubscriptBox["y", 
        RowBox[{"k", "-", "1"}]]}], "+", 
      RowBox[{
       SubscriptBox["c", "k"], 
       SubscriptBox["x", "k"]}], "+", "\[CenterEllipsis]", "+", 
      RowBox[{
       SubscriptBox["c", "n"], 
       SubscriptBox["x", "n"]}]}], "=", "0"}], ","}], TraditionalForm]]],
 " but we are assuming that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", 
     SubscriptBox["y", "2"], ",", 
     RowBox[{"\[Ellipsis]", " ", 
      SubscriptBox["y", 
       RowBox[{"k", "-", "1"}]]}], ",", 
     SubscriptBox["x", "k"], ",", 
     SubscriptBox["x", 
      RowBox[{"k", "+", "1"}]], ",", 
     SubscriptBox["\[Ellipsis]x", "n"]}], "}"}], TraditionalForm]]],
 " is a basis.\nBut substituting the value for ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["y", "k"], TraditionalForm]]],
 " gives\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["c", "k"], "(", " ", 
      RowBox[{
       RowBox[{
        SubscriptBox["a", "1"], 
        SubscriptBox["y", "1"]}], "+", " ", 
       RowBox[{
        SubscriptBox["a", "2"], 
        SubscriptBox["y", "2"]}], "+", "\[CenterEllipsis]", "+", 
       RowBox[{
        SubscriptBox["a", 
         RowBox[{"k", "-", "1"}]], 
        SubscriptBox["y", 
         RowBox[{"k", "-", "1"}]]}], "+", " ", 
       RowBox[{
        SubscriptBox["a", "k"], 
        SubscriptBox["x", "k"]}], "+", "\[CenterEllipsis]", "+", 
       RowBox[{
        SubscriptBox["a", "n"], 
        SubscriptBox["x", "n"]}]}], ")"}], " ", "+", 
     RowBox[{
      SubscriptBox["c", "1"], 
      SubscriptBox["y", "1"]}], "+", 
     RowBox[{
      SubscriptBox["c", "2"], 
      SubscriptBox["y", "2"]}], "+", "\[CenterEllipsis]", "+", 
     RowBox[{
      SubscriptBox["c", 
       RowBox[{"k", "-", "1"}]], 
      SubscriptBox["y", 
       RowBox[{"k", "-", "1"}]]}], "+", " ", 
     RowBox[{
      SubscriptBox["c", 
       RowBox[{"k", "+", "1"}]], 
      SubscriptBox["x", 
       RowBox[{"k", "+", "1"}]]}], "+", "\[CenterEllipsis]", "+", 
     RowBox[{
      SubscriptBox["c", "n"], 
      SubscriptBox["x", "n"]}]}], "=", "0."}], TraditionalForm]]],
 "\nThis is a non-zero solution to \n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["b", "1"], 
       SubscriptBox["y", "1"]}], "+", " ", 
      RowBox[{
       SubscriptBox["b", "2"], 
       SubscriptBox["y", "2"]}], "+", "\[CenterEllipsis]", "+", 
      RowBox[{
       SubscriptBox["b", 
        RowBox[{"k", "-", "1"}]], 
       SubscriptBox["y", 
        RowBox[{"k", "-", "1"}]]}], "+", 
      RowBox[{
       SubscriptBox["b", "k"], 
       SubscriptBox["x", "k"]}], "+", "\[CenterEllipsis]", "+", 
      RowBox[{
       SubscriptBox["b", "n"], 
       SubscriptBox["x", "n"]}]}], "=", "0"}], ","}], TraditionalForm]]],
 " since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["b", 
     RowBox[{"k", " "}]], "=", 
    RowBox[{
     RowBox[{
      SubscriptBox["c", "k"], 
      SubscriptBox["a", "k"]}], "\[NotEqual]", "0"}]}], TraditionalForm]]],
 ".  Thus, the set ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", 
     SubscriptBox["y", "2"], ",", 
     RowBox[{"\[Ellipsis]", " ", 
      SubscriptBox["y", 
       RowBox[{"k", "-", "1"}]]}], ",", 
     SubscriptBox["y", "k"], ",", 
     SubscriptBox["x", 
      RowBox[{"k", "+", "1"}]], ",", 
     SubscriptBox["\[Ellipsis]x", "n"]}], "}"}], TraditionalForm]]],
 " is linearly independent, and hence is a basis of ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 ".\n\nNow we can use the induction to say that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", 
     SubscriptBox["y", "2"], ",", "\[Ellipsis]", ",", 
     SubscriptBox["y", "n"]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 ", but then ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["y", 
    RowBox[{"n", "+", "1"}]], TraditionalForm]]],
 " can be expressed in terms of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", 
     SubscriptBox["y", "2"], ",", "\[Ellipsis]", ",", 
     SubscriptBox["y", "n"]}], "}"}], TraditionalForm]]],
 ", which shows that ",
 Cell[BoxData[
  FormBox["Y", TraditionalForm]]],
 "  is in fact linearly dependent."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437936354203125*^9, 3.437936375*^9}, {
   3.437936475640625*^9, 3.437936622859375*^9}, {3.43793670290625*^9, 
   3.437936761921875*^9}, {3.437936792453125*^9, 3.437936878375*^9}, {
   3.438007008015625*^9, 3.4380071566875*^9}, {3.4380073801502037`*^9, 
   3.4380074226658287`*^9}, {3.4380074771658287`*^9, 
   3.4380076639314537`*^9}, {3.4380077151970787`*^9, 
   3.4380077591970787`*^9}, {3.4380078430564537`*^9, 
   3.4380079624002037`*^9}, {3.4380080030252037`*^9, 
   3.4380080607752037`*^9}, {3.4380081077439537`*^9, 
   3.4380082253689537`*^9}, {3.4380082731970787`*^9, 
   3.4380084412439537`*^9}, {3.4380084744627037`*^9, 
   3.4380085280095787`*^9}, {3.4380085622595787`*^9, 
   3.4380085921658287`*^9}, {3.4380086294002037`*^9, 
   3.4380087326970787`*^9}, {3.4380088188220787`*^9, 
   3.4380091679158287`*^9}, {3.4380092528845787`*^9, 
   3.4380094752439537`*^9}, {3.4380095165564537`*^9, 3.4380096691189537`*^9}, 
   3.438019123890625*^9, {3.438019508078125*^9, 3.438019508078125*^9}, {
   3.43802032053125*^9, 3.43802032053125*^9}, {3.438020770640625*^9, 
   3.43802077340625*^9}, {3.438083935265625*^9, 3.43808395840625*^9}}]
}, Open  ]],

Cell[TextData[{
 "We can now use this lemma to show that any two bases of a finite extension \
must have the same number of elements.\n\nPROPOSITION 14.1\nLet ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " be a vector space over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". If the sets ",
 Cell[BoxData[
  FormBox[
   RowBox[{"X", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["x", "1"], ",", " ", 
      SubscriptBox["x", "2"], ",", " ", 
      SubscriptBox["x", "3"], ",", " ", 
      RowBox[{"\[Ellipsis]", " ", 
       SubscriptBox["x", "n"]}]}], "}"}]}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"Y", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["y", "1"], ",", " ", 
      SubscriptBox["y", "2"], ",", " ", 
      SubscriptBox["y", "3"], ",", " ", 
      RowBox[{"\[Ellipsis]", " ", 
       SubscriptBox["y", "m"]}]}], "}"}]}], TraditionalForm]]],
 " are both bases of ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", "m"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438084150453125*^9, 3.438084203171875*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Suppose that ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is not equal to ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 ". By exchanging the roles of ",
 Cell[BoxData[
  FormBox["X", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["Y", TraditionalForm]]],
 " if necessary, we can assume that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "<", " ", "m"}], TraditionalForm]]],
 ". Then we can use lemma 14.2 to show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", " ", 
     SubscriptBox["y", "2"], ",", " ", 
     SubscriptBox["y", "3"], ",", " ", 
     RowBox[{"\[Ellipsis]", " ", 
      SubscriptBox["y", 
       RowBox[{"n", "+", "1"}]]}]}], "}"}], TraditionalForm]]],
 " is linearly dependent, hence ",
 Cell[BoxData[
  FormBox["Y", TraditionalForm]]],
 " is not a basis of ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 ". So we must have ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", "m"}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438084291625*^9, 3.438084308125*^9}, {
  3.43808434053125*^9, 3.438084368671875*^9}, {3.43808441321875*^9, 
  3.438084436015625*^9}, {3.4420624136514997`*^9, 3.4420624142296247`*^9}}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.43808485178125*^9, 3.43808485271875*^9}}],

Cell["This proposition allows us to make the following definition.", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438084601828125*^9, 3.438084664234375*^9}, {
  3.43808472071875*^9, 3.438084882359375*^9}}],

Cell[TextData[{
 "DEFINITION 14.4:\nLet ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " be a vector space over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ".  If there is a basis ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["x", "n"]}], "}"}], TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", we define the ",
 StyleBox["dimension of ",
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 StyleBox[" over",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " to be the size ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " of the basis.  If there does not exist a finite basis, we say the \
dimension of ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is ",
 StyleBox["infinite",
  FontSlant->"Italic"],
 ". \n\nHere are some examples:\n   \n    ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[DoubleStruckCapitalR]", "3"], TraditionalForm]]],
 " is a three dimensional vector space over \[DoubleStruckCapitalR].\n   \n   \
 ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalC]", TraditionalForm]]],
 " is a two dimensional vector space over ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalR]", TraditionalForm]]],
 ". \n\n    The quadternions ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalH]", TraditionalForm]]],
 " is a 4 dimensional vector space over ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalR]", TraditionalForm]]],
 ". \n  \n    \[DoubleStruckCapitalR] is an infinite vector space over \
\[DoubleStruckCapitalQ].\n    \n    Here is another example.  Since ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 " is a subfield of GF(9), we can view GF(9) as a vector space over ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 ".  Let us see if we can find a basis.  The Conway polynomial of degree 2 \
over ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 " is:\n  "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438084601828125*^9, 3.438084664234375*^9}, {
  3.43808472071875*^9, 3.438084991125*^9}, {3.43808513375*^9, 
  3.438085151859375*^9}, {3.43808518234375*^9, 3.438085283625*^9}, {
  3.4380853314375*^9, 3.438085421875*^9}, {3.44086586521875*^9, 
  3.440865882671875*^9}, {3.4420627532921247`*^9, 3.4420627617452497`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConwayPolynomial", "[", 
  RowBox[{"3", ",", "2", ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.44086588553125*^9, 3.440865892828125*^9}}],

Cell[BoxData[
 RowBox[{"2", "+", 
  RowBox[{"2", " ", "x"}], "+", 
  SuperscriptBox["x", "2"]}]], "Output",
 CellChangeTimes->{3.442759632273875*^9}]
}, Open  ]],

Cell["\<\

so if we let Z9 be a root of this polynomial, we can define GF(9) with the \
commands:\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438084601828125*^9, 3.438084664234375*^9}, {
  3.43808472071875*^9, 3.438084991125*^9}, {3.43808513375*^9, 
  3.438085151859375*^9}, {3.43808518234375*^9, 3.438085283625*^9}, {
  3.4380853314375*^9, 3.438085421875*^9}, {3.44086586521875*^9, 
  3.440865900578125*^9}}],

Cell[BoxData[
 RowBox[{"InitDomain", "[", "3", "]"}]], "Input",
 CellChangeTimes->{{3.438085423984375*^9, 3.43808542778125*^9}}],

Cell[BoxData[
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"Z9", "^", "2"}], ",", 
   RowBox[{"Z9", "+", "1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.43808543471875*^9, 3.438085447984375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Ring", "[", 
  RowBox[{"{", 
   RowBox[{"1", ",", "Z9"}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.4380856536875*^9, 3.43808565975*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "1", ",", "2", ",", "Z9", ",", 
   RowBox[{"2", " ", "Z9"}], ",", 
   RowBox[{"1", "+", "Z9"}], ",", 
   RowBox[{"2", "+", "Z9"}], ",", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "Z9"}]}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "Z9"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.438085660109375*^9, 3.442759689711375*^9}]
}, Open  ]],

Cell[TextData[{
 "To find a basis, we can observe that every element of GF(9) can be written \
as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", " ", "+", " ", 
    RowBox[{"b", " ", "Z9"}]}], TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", Cell[""]}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " are in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 ".  Thus, one possible basis would be the set ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", " ", "Z9"}], "}"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438084601828125*^9, 3.438084664234375*^9}, {
  3.43808472071875*^9, 3.438084991125*^9}, {3.43808513375*^9, 
  3.438085151859375*^9}, {3.43808518234375*^9, 3.438085283625*^9}, {
  3.4380853314375*^9, 3.43808541703125*^9}, {3.43808553425*^9, 
  3.43808563115625*^9}, {3.4380856710625*^9, 3.438085681296875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"B", " ", "=", " ", 
  RowBox[{"ToBasis", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "Z9"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.43808545234375*^9, 3.43808546215625*^9}}],

Cell[BoxData[
 RowBox[{"Basis", "[", 
  RowBox[{"1", ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "Z9"}], "}"}]}], "]"}]], "Output",
 CellChangeTimes->{3.438085464328125*^9, 3.442759691102*^9}]
}, Open  ]],

Cell["\<\
We can now express every element of GF(9) in terms of this basis.  Thus,\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438084601828125*^9, 3.438084664234375*^9}, {
  3.43808472071875*^9, 3.438084991125*^9}, {3.43808513375*^9, 
  3.438085151859375*^9}, {3.43808518234375*^9, 3.438085283625*^9}, {
  3.4380853314375*^9, 3.43808541703125*^9}, {3.43808553425*^9, 
  3.4380855355*^9}, {3.438085704296875*^9, 3.438085744078125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Coefficients", "[", 
  RowBox[{"B", ",", 
   RowBox[{"Z9", "^", "3"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.438085746421875*^9, 3.4380857545*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "2"}], "}"}]], "Output",
 CellChangeTimes->{3.43808575596875*^9, 3.4427596922895*^9}]
}, Open  ]],

Cell[TextData[{
 "Shows that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["Z9", "3"], "=", " ", 
    RowBox[{"1", " ", "+", " ", 
     RowBox[{"2", " ", "Z9", Cell[""]}]}]}], TraditionalForm]]],
 ".  We have shown that GF(9) is a two dimensional vector space over ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "3"], "."}], TraditionalForm]]],
 "\nBy the same logic, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"GF", 
    RowBox[{"(", "81", ")"}]}], TraditionalForm]]],
 " will be a 4 dimensional vector space over ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 ".  But GF(9) can be considered as a subfield of GF(81), hence GF(81) is a \
vector space over GF(9).  Can we find a basis of GF(81) over GF(9)?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438084601828125*^9, 3.438084664234375*^9}, {
   3.43808472071875*^9, 3.438084991125*^9}, {3.43808513375*^9, 
   3.438085151859375*^9}, {3.43808518234375*^9, 3.438085283625*^9}, {
   3.4380853314375*^9, 3.43808541703125*^9}, {3.43808553425*^9, 
   3.4380855355*^9}, {3.43808575940625*^9, 3.438085845109375*^9}, {
   3.4380859735*^9, 3.43808608471875*^9}, {3.43808792296875*^9, 
   3.438087990421875*^9}, {3.438088078109375*^9, 3.4380880846875*^9}, {
   3.438088175625*^9, 3.43808825571875*^9}, 3.43835436734375*^9}],

Cell[TextData[{
 "The Conway polynomial of degree 4 over ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 " is:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438084601828125*^9, 3.438084664234375*^9}, {
   3.43808472071875*^9, 3.438084991125*^9}, {3.43808513375*^9, 
   3.438085151859375*^9}, {3.43808518234375*^9, 3.438085283625*^9}, {
   3.4380853314375*^9, 3.43808541703125*^9}, {3.43808553425*^9, 
   3.4380855355*^9}, {3.43808575940625*^9, 3.438085845109375*^9}, {
   3.4380859735*^9, 3.43808608471875*^9}, {3.43808792296875*^9, 
   3.438087990421875*^9}, {3.438088078109375*^9, 3.4380880846875*^9}, {
   3.438088175625*^9, 3.43808825571875*^9}, 3.43835436734375*^9, {
   3.43835666821875*^9, 3.43835669778125*^9}, {3.43835694240625*^9, 
   3.43835696853125*^9}, {3.43835718334375*^9, 3.43835720240625*^9}, {
   3.44086594259375*^9, 3.440865955359375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConwayPolynomial", "[", 
  RowBox[{"3", ",", "4", ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.4408659596875*^9, 3.440865966703125*^9}}],

Cell[BoxData[
 RowBox[{"2", "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["x", "3"]}], "+", 
  SuperscriptBox["x", "4"]}]], "Output",
 CellChangeTimes->{3.440865967234375*^9, 3.442759694492625*^9}]
}, Open  ]],

Cell[TextData[{
 "So  to define GF(81), we tell ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " that the generator Z81 raised to the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["4", "th"], TraditionalForm]]],
 " power is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["Z81", "3"], "+", "1"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438084601828125*^9, 3.438084664234375*^9}, {
   3.43808472071875*^9, 3.438084991125*^9}, {3.43808513375*^9, 
   3.438085151859375*^9}, {3.43808518234375*^9, 3.438085283625*^9}, {
   3.4380853314375*^9, 3.43808541703125*^9}, {3.43808553425*^9, 
   3.4380855355*^9}, {3.43808575940625*^9, 3.438085845109375*^9}, {
   3.4380859735*^9, 3.43808608471875*^9}, {3.43808792296875*^9, 
   3.438087990421875*^9}, {3.438088078109375*^9, 3.4380880846875*^9}, {
   3.438088175625*^9, 3.43808825571875*^9}, 3.43835436734375*^9, {
   3.43835666821875*^9, 3.43835669778125*^9}, {3.43835694240625*^9, 
   3.43835696853125*^9}, {3.43835718334375*^9, 3.43835720240625*^9}, {
   3.44086594259375*^9, 3.440866038921875*^9}}],

Cell[BoxData[
 RowBox[{"InitDomain", "[", "3", "]"}]], "Input",
 CellChangeTimes->{{3.438357205484375*^9, 3.438357212484375*^9}}],

Cell[BoxData[
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"Z81", "^", "4"}], ",", " ", 
   RowBox[{
    RowBox[{"Z81", "^", "3"}], "  ", "+", " ", "1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.43835721725*^9, 3.438357234921875*^9}}],

Cell[TextData[{
 "By the compatibility condition, ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["Z81", "10"], TraditionalForm]]],
 " will be a generator of the subfield GF(9)."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438084601828125*^9, 3.438084664234375*^9}, {
   3.43808472071875*^9, 3.438084991125*^9}, {3.43808513375*^9, 
   3.438085151859375*^9}, {3.43808518234375*^9, 3.438085283625*^9}, {
   3.4380853314375*^9, 3.43808541703125*^9}, {3.43808553425*^9, 
   3.4380855355*^9}, {3.43808575940625*^9, 3.438085845109375*^9}, {
   3.4380859735*^9, 3.43808608471875*^9}, {3.43808792296875*^9, 
   3.438087990421875*^9}, {3.438088078109375*^9, 3.4380880846875*^9}, {
   3.438088175625*^9, 3.43808825571875*^9}, {3.438088432421875*^9, 
   3.438088439078125*^9}, {3.438088481828125*^9, 3.438088610703125*^9}, {
   3.43808865796875*^9, 3.438088728375*^9}, {3.438088777984375*^9, 
   3.438088907375*^9}, {3.438089224484375*^9, 3.438089233015625*^9}, {
   3.43808945065625*^9, 3.4380896188125*^9}, {3.438089649125*^9, 
   3.43808968315625*^9}, 3.438354276765625*^9, {3.43835726096875*^9, 
   3.4383572753125*^9}, {3.43835730678125*^9, 3.438357328625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Z9", " ", "=", " ", 
  RowBox[{"Z81", "^", "10"}]}]], "Input",
 CellChangeTimes->{{3.438357332515625*^9, 3.438357337953125*^9}}],

Cell[BoxData[
 RowBox[{"1", "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["Z81", "2"]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["Z81", "3"]}]}]], "Output",
 CellChangeTimes->{3.438357339546875*^9, 3.442759698180125*^9}]
}, Open  ]],

Cell[TextData[{
 "This Z9 will now satisfy the equation ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["Z9", "2"], "+", 
     RowBox[{"2", "Z9"}], "+", "2"}], "=", "0"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438084601828125*^9, 3.438084664234375*^9}, {
   3.43808472071875*^9, 3.438084991125*^9}, {3.43808513375*^9, 
   3.438085151859375*^9}, {3.43808518234375*^9, 3.438085283625*^9}, {
   3.4380853314375*^9, 3.43808541703125*^9}, {3.43808553425*^9, 
   3.4380855355*^9}, {3.43808575940625*^9, 3.438085845109375*^9}, {
   3.4380859735*^9, 3.43808608471875*^9}, {3.43808792296875*^9, 
   3.438087990421875*^9}, {3.438088078109375*^9, 3.4380880846875*^9}, {
   3.438088175625*^9, 3.43808825571875*^9}, {3.438088432421875*^9, 
   3.438088439078125*^9}, {3.438088481828125*^9, 3.438088610703125*^9}, {
   3.43808865796875*^9, 3.438088728375*^9}, {3.438088777984375*^9, 
   3.438088907375*^9}, {3.438089224484375*^9, 3.438089233015625*^9}, {
   3.43808945065625*^9, 3.4380896188125*^9}, {3.438089649125*^9, 
   3.43808968315625*^9}, 3.438354276765625*^9, {3.43835726096875*^9, 
   3.4383572753125*^9}, {3.43835730678125*^9, 3.438357328625*^9}, {
   3.438357428484375*^9, 3.438357476375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{
   RowBox[{"Z9", "^", "2"}], " ", "+", " ", 
   RowBox[{"2", " ", "Z9"}], " ", "+", " ", "2"}], "]"}]], "Input",
 CellChangeTimes->{{3.43835747975*^9, 3.438357505234375*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.43835749371875*^9, 3.43835750653125*^9}, 
   3.4427596999145*^9}]
}, Open  ]],

Cell["\<\
We ought to be able to define Z(81) as a two dimensional extension of Z(9).  \
\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438084601828125*^9, 3.438084664234375*^9}, {
   3.43808472071875*^9, 3.438084991125*^9}, {3.43808513375*^9, 
   3.438085151859375*^9}, {3.43808518234375*^9, 3.438085283625*^9}, {
   3.4380853314375*^9, 3.43808541703125*^9}, {3.43808553425*^9, 
   3.4380855355*^9}, {3.43808575940625*^9, 3.438085845109375*^9}, {
   3.4380859735*^9, 3.43808608471875*^9}, {3.43808792296875*^9, 
   3.438087990421875*^9}, {3.438088078109375*^9, 3.4380880846875*^9}, {
   3.438088175625*^9, 3.43808825571875*^9}, {3.438088432421875*^9, 
   3.438088439078125*^9}, {3.438088481828125*^9, 3.438088610703125*^9}, {
   3.43808865796875*^9, 3.438088728375*^9}, {3.438088777984375*^9, 
   3.438088907375*^9}, {3.438089224484375*^9, 3.438089233015625*^9}, {
   3.43808945065625*^9, 3.4380896188125*^9}, {3.438089649125*^9, 
   3.43808968315625*^9}, 3.438354276765625*^9, {3.43835726096875*^9, 
   3.4383572753125*^9}, {3.43835730678125*^9, 3.438357328625*^9}, {
   3.438357428484375*^9, 3.438357476375*^9}, {3.43835757103125*^9, 
   3.4383576361875*^9}, {3.43835779046875*^9, 3.438357793234375*^9}, {
   3.438357970390625*^9, 3.438357976609375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{
   RowBox[{"Z81", "^", "2"}], " ", "+", " ", 
   RowBox[{
    RowBox[{"Z9", "^", "3"}], " ", "*", " ", "Z81"}], " ", "+", " ", 
   RowBox[{"Z9", "^", "4"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.438357729875*^9, 3.438357764875*^9}, {
  3.438357993890625*^9, 3.438358028609375*^9}, {3.438358059890625*^9, 
  3.438358080109375*^9}, {3.43835822159375*^9, 3.4383582308125*^9}}],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["Z81", "2"], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["Z81", "3"]}]}]], "Output",
 CellChangeTimes->{{3.438357755234375*^9, 3.4383577653125*^9}, 
   3.438358029359375*^9, 3.438358064484375*^9, {3.438358225890625*^9, 
   3.438358231171875*^9}, 3.442759701367625*^9}]
}, Open  ]],

Cell["\<\
EXPERIMENT:  Change the exponents of Z9 in the last statement (the 3 and the \
4) to numbers between 0 through 8 so that this expands to 0.
This will yield a second degree polynomial in GF(9) for which Z81 satisfies.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438084601828125*^9, 3.438084664234375*^9}, {
   3.43808472071875*^9, 3.438084991125*^9}, {3.43808513375*^9, 
   3.438085151859375*^9}, {3.43808518234375*^9, 3.438085283625*^9}, {
   3.4380853314375*^9, 3.43808541703125*^9}, {3.43808553425*^9, 
   3.4380855355*^9}, {3.43808575940625*^9, 3.438085845109375*^9}, {
   3.4380859735*^9, 3.43808608471875*^9}, {3.43808792296875*^9, 
   3.438087990421875*^9}, {3.438088078109375*^9, 3.4380880846875*^9}, {
   3.438088175625*^9, 3.43808825571875*^9}, {3.438088432421875*^9, 
   3.438088439078125*^9}, {3.438088481828125*^9, 3.438088610703125*^9}, {
   3.43808865796875*^9, 3.438088728375*^9}, {3.438088777984375*^9, 
   3.438088907375*^9}, {3.438089224484375*^9, 3.438089233015625*^9}, {
   3.43808945065625*^9, 3.4380896188125*^9}, {3.438089649125*^9, 
   3.43808968315625*^9}, 3.438354276765625*^9, {3.43835726096875*^9, 
   3.4383572753125*^9}, {3.43835730678125*^9, 3.438357328625*^9}, {
   3.438357428484375*^9, 3.438357476375*^9}, {3.43835757103125*^9, 
   3.4383576361875*^9}, {3.43835779046875*^9, 3.438357793234375*^9}, {
   3.438357970390625*^9, 3.438357976609375*^9}, {3.43835803346875*^9, 
   3.438358194265625*^9}}],

Cell[TextData[{
 "After this experiment, one finds that Z81 satisfies \n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", " ", 
    RowBox[{
     SuperscriptBox["Z9", "7"], "x"}], " ", "+", " ", "Z9"}], 
   TraditionalForm]]],
 ".  Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["Z9", 
     RowBox[{"7", " "}]], "=", 
    RowBox[{"2", "+", "Z9"}]}], TraditionalForm]]],
 ", we have that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"Z81", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", " ", "+", " ", 
        RowBox[{"2", "Z9"}]}], ")"}], "Z81"}], "+", 
     RowBox[{"2", "Z9"}]}]}], TraditionalForm]]],
 ".  This allows us to define Z81 as an extension of an extension."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438084601828125*^9, 3.438084664234375*^9}, {
   3.43808472071875*^9, 3.438084991125*^9}, {3.43808513375*^9, 
   3.438085151859375*^9}, {3.43808518234375*^9, 3.438085283625*^9}, {
   3.4380853314375*^9, 3.43808541703125*^9}, {3.43808553425*^9, 
   3.4380855355*^9}, {3.43808575940625*^9, 3.438085845109375*^9}, {
   3.4380859735*^9, 3.43808608471875*^9}, {3.43808792296875*^9, 
   3.438087990421875*^9}, {3.438088078109375*^9, 3.4380880846875*^9}, {
   3.438088175625*^9, 3.43808825571875*^9}, {3.438088432421875*^9, 
   3.438088439078125*^9}, {3.438088481828125*^9, 3.438088610703125*^9}, {
   3.43808865796875*^9, 3.438088728375*^9}, {3.438088777984375*^9, 
   3.438088907375*^9}, {3.438089224484375*^9, 3.438089233015625*^9}, {
   3.43808945065625*^9, 3.4380896188125*^9}, {3.438089649125*^9, 
   3.43808968315625*^9}, 3.438354276765625*^9, {3.43835726096875*^9, 
   3.4383572753125*^9}, {3.43835730678125*^9, 3.438357328625*^9}, {
   3.438357428484375*^9, 3.438357476375*^9}, {3.43835757103125*^9, 
   3.4383576361875*^9}, {3.43835779046875*^9, 3.438357793234375*^9}, {
   3.438357970390625*^9, 3.438357976609375*^9}, {3.43835803346875*^9, 
   3.438358347890625*^9}, {3.438358483734375*^9, 3.438358488140625*^9}, {
   3.43835853396875*^9, 3.438358543609375*^9}}],

Cell[BoxData[
 RowBox[{"Z9", "=."}]], "Input",
 CellChangeTimes->{{3.438358390359375*^9, 3.438358392765625*^9}}],

Cell[BoxData[
 RowBox[{"InitDomain", "[", "3", "]"}]], "Input",
 CellChangeTimes->{{3.438358351*^9, 3.438358355828125*^9}}],

Cell[BoxData[
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"Z9", "^", "2"}], ",", " ", 
   RowBox[{"Z9", "+", "1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.438358359546875*^9, 3.438358377453125*^9}}],

Cell[BoxData[
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"Z81", "^", "2"}], ",", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "Z9"}]}], ")"}], "*", "Z81"}], " ", "+", " ", 
    RowBox[{"2", " ", "Z9"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.438358424484375*^9, 3.438358431875*^9}, {
  3.43835850984375*^9, 3.438358530125*^9}}],

Cell["We can now define a basis of GF(81) over GF(9).  ", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438084601828125*^9, 3.438084664234375*^9}, {
   3.43808472071875*^9, 3.438084991125*^9}, {3.43808513375*^9, 
   3.438085151859375*^9}, {3.43808518234375*^9, 3.438085283625*^9}, {
   3.4380853314375*^9, 3.43808541703125*^9}, {3.43808553425*^9, 
   3.4380855355*^9}, {3.43808575940625*^9, 3.438085845109375*^9}, {
   3.4380859735*^9, 3.43808608471875*^9}, {3.43808792296875*^9, 
   3.438087990421875*^9}, {3.438088078109375*^9, 3.4380880846875*^9}, {
   3.438088175625*^9, 3.43808825571875*^9}, {3.438088432421875*^9, 
   3.438088439078125*^9}, {3.438088481828125*^9, 3.438088610703125*^9}, {
   3.43808865796875*^9, 3.438088728375*^9}, {3.438088777984375*^9, 
   3.438088907375*^9}, {3.438089224484375*^9, 3.438089233015625*^9}, {
   3.43808945065625*^9, 3.4380896188125*^9}, {3.438089649125*^9, 
   3.43808968315625*^9}, 3.438354276765625*^9, {3.43835726096875*^9, 
   3.4383572753125*^9}, {3.43835730678125*^9, 3.438357328625*^9}, {
   3.438357428484375*^9, 3.438357476375*^9}, {3.43835757103125*^9, 
   3.4383576361875*^9}, {3.43835779046875*^9, 3.438357793234375*^9}, {
   3.438357970390625*^9, 3.438357976609375*^9}, {3.43835803346875*^9, 
   3.438358347890625*^9}, {3.4383585599375*^9, 3.43835858278125*^9}, {
   3.4383586135625*^9, 3.438358614671875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"B", " ", "=", " ", 
  RowBox[{"ToBasis", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "Z9"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"Z81", ",", "2"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.438358617875*^9, 3.438358633140625*^9}}],

Cell[BoxData[
 RowBox[{"Basis", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "Z9"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"Z81", ",", "2"}], "}"}]}], "]"}]], "Output",
 CellChangeTimes->{3.438358635609375*^9, 3.4427597072895*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Coefficients", "[", 
  RowBox[{"B", ",", 
   RowBox[{"Z81", "^", "2"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4383586379375*^9, 3.438358645515625*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "Z9"}]}], ",", "Z9"}], "}"}]], "Output",
 CellChangeTimes->{3.438358646671875*^9, 3.442759708352*^9}]
}, Open  ]],

Cell[TextData[{
 "Note that the first argument of the ",
 StyleBox["ToBasis",
  FontWeight->"Bold"],
 " command is a list instead of 1.  Here we can give a basis for the root \
field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", which in this case is GF(9).  This last example shows that it is possible \
to have a vector space over a vector space, if the latter vector space \
happens to be a field.  "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438084601828125*^9, 3.438084664234375*^9}, {
   3.43808472071875*^9, 3.438084991125*^9}, {3.43808513375*^9, 
   3.438085151859375*^9}, {3.43808518234375*^9, 3.438085283625*^9}, {
   3.4380853314375*^9, 3.43808541703125*^9}, {3.43808553425*^9, 
   3.4380855355*^9}, {3.43808575940625*^9, 3.438085845109375*^9}, {
   3.4380859735*^9, 3.43808608471875*^9}, {3.43808792296875*^9, 
   3.438087990421875*^9}, {3.438088078109375*^9, 3.4380880846875*^9}, {
   3.438088175625*^9, 3.43808825571875*^9}, {3.438088432421875*^9, 
   3.438088439078125*^9}, {3.438088481828125*^9, 3.438088610703125*^9}, {
   3.43808865796875*^9, 3.438088728375*^9}, {3.438088777984375*^9, 
   3.438088907375*^9}, {3.438089224484375*^9, 3.438089233015625*^9}, {
   3.43808945065625*^9, 3.4380896188125*^9}, {3.438089649125*^9, 
   3.43808968315625*^9}, 3.438354276765625*^9, {3.43835726096875*^9, 
   3.4383572753125*^9}, {3.43835730678125*^9, 3.438357328625*^9}, {
   3.438357428484375*^9, 3.438357476375*^9}, {3.43835757103125*^9, 
   3.4383576361875*^9}, {3.43835779046875*^9, 3.438357793234375*^9}, {
   3.438357970390625*^9, 3.438357976609375*^9}, {3.43835803346875*^9, 
   3.438358347890625*^9}, {3.4383585599375*^9, 3.43835858278125*^9}, {
   3.4383586135625*^9, 3.438358614671875*^9}, {3.4383587475*^9, 
   3.43835887921875*^9}, {3.4383590939375*^9, 3.43835909640625*^9}}],

Cell[TextData[{
 "\nPROPOSITION 14.2\nIf ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", is a vector space over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " of dimension ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 ", which also happens to be a field, and ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " is a vector space over ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " of dimension ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " is a vector space of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " of dimension ",
 Cell[BoxData[
  FormBox[
   RowBox[{"m", "\[CenterDot]", "n"}], TraditionalForm]]],
 ".  Futhermore, if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["x", "m"]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", " ", 
     SubscriptBox["y", "2"], ",", " ", 
     SubscriptBox["y", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["y", "n"]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", then\n \n                        ",
 Cell[BoxData[{
  FormBox[
   RowBox[{
    RowBox[{"S", "=", 
     FormBox[
      RowBox[{" ", 
       RowBox[{"{", " ", 
        RowBox[{
         RowBox[{
          SubscriptBox[
           RowBox[{"x", " "}], "1"], 
          SubscriptBox["y", "1"]}], ",", " ", 
         RowBox[{
          SubscriptBox["x", "2"], " ", 
          SubscriptBox["y", "1"]}], ",", " ", 
         RowBox[{
          SubscriptBox["x", "3"], " ", 
          SubscriptBox["y", "1"]}], ",", " ", 
         RowBox[{"\[Ellipsis]", " ", 
          SubscriptBox["x", "m"], " ", 
          SubscriptBox["y", "1"]}], ","}]}]}],
      TraditionalForm]}], "  "}], TraditionalForm], "\n", 
  FormBox[
   RowBox[{"\t\t      ", 
    FormBox[
     RowBox[{"  ", 
      RowBox[{
       RowBox[{
        SubscriptBox[
         RowBox[{"x", " "}], "1"], 
        SubscriptBox["y", "2"]}], ",", " ", 
       RowBox[{
        SubscriptBox["x", "2"], " ", 
        SubscriptBox["y", "2"]}], ",", " ", 
       RowBox[{
        SubscriptBox["x", "3"], " ", 
        SubscriptBox["y", "2"]}], ",", " ", "\[Ellipsis]", ",", " ", 
       RowBox[{
        SubscriptBox["x", "m"], " ", 
        SubscriptBox["y", "2"]}], ",", " ", "\n", "                  ", 
       RowBox[{
        SubscriptBox[
         RowBox[{"x", " "}], "1"], 
        SubscriptBox["y", "3"]}], ",", " ", 
       RowBox[{
        SubscriptBox["x", "2"], " ", 
        SubscriptBox["y", "3"]}], ",", " ", 
       RowBox[{
        SubscriptBox["x", "3"], " ", 
        SubscriptBox["y", "3"]}], ",", " ", "\[Ellipsis]", ",", " ", 
       RowBox[{
        SubscriptBox["x", "m"], " ", 
        SubscriptBox["y", "3"]}], " ", ",", "\n", 
       "                               ", "\[Ellipsis]\[Ellipsis]", ",", "\n",
        "                    ", 
       RowBox[{
        SubscriptBox[
         RowBox[{"x", " "}], "1"], 
        SubscriptBox["y", "n"]}], ",", " ", 
       RowBox[{
        SubscriptBox["x", "2"], " ", 
        SubscriptBox["y", "n"]}], ",", " ", 
       RowBox[{
        SubscriptBox["x", "3"], " ", 
        SubscriptBox["y", "n"]}], ",", "\[Ellipsis]", ",", " ", 
       RowBox[{
        SubscriptBox["x", "m"], " ", 
        SubscriptBox["y", "n"]}]}], " ", "}"}],
     TraditionalForm]}], TraditionalForm]}]],
 "\n\nis a basis of ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.438359149640625*^9, {3.438359237640625*^9, 3.438359350625*^9}, {
   3.43835942778125*^9, 3.438359438890625*^9}, {3.438359470078125*^9, 
   3.438359526671875*^9}, {3.438359618*^9, 3.438359625265625*^9}, {
   3.43835965875*^9, 3.438359668515625*^9}, {3.438360747859375*^9, 
   3.438360769359375*^9}, {3.43836105546875*^9, 3.438361100015625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", " ", 
     SubscriptBox["y", "2"], ",", " ", 
     SubscriptBox["y", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["y", "n"]}], "}"}], TraditionalForm]]],
 " is a basis for ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", we can write any element of ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " in the form\n\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["c", "1"], 
      SubscriptBox["y", "1"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "2"], " ", 
      SubscriptBox["y", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "3"], " ", 
      SubscriptBox["y", "3"]}], " ", "+", " ", "\[Ellipsis]", " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "n"], " ", 
      SubscriptBox["y", "n"]}]}], ","}], TraditionalForm]]],
 "\n\nwhere ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "1"], ",", " ", 
    SubscriptBox["c", "2"], ",", " ", 
    SubscriptBox["c", "3"], ",", " ", 
    RowBox[{"\[Ellipsis]", " ", 
     SubscriptBox["c", "n"]}]}], TraditionalForm]]],
 "  are in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ".\n\nSince ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["x", "m"]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", we can in turn write\n\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["c", "1"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox[
        RowBox[{"a", " "}], 
        RowBox[{"1", ",", "1"}]], " ", 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["a", 
        RowBox[{"2", ",", "1"}]], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["a", 
        RowBox[{"3", ",", "1"}]], " ", 
       SubscriptBox["x", "3"]}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
        RowBox[{"+", "  ", 
         SubscriptBox["a", 
          RowBox[{"m", ",", "1"}]]}]}], " ", 
       SubscriptBox["x", "m"]}]}]}], ","}], TraditionalForm]]],
 "\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["c", "2"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox[
        RowBox[{"a", " "}], 
        RowBox[{"1", ",", "2"}]], " ", 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["a", 
        RowBox[{"2", ",", "2"}]], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["a", 
        RowBox[{"3", ",", "2"}]], " ", 
       SubscriptBox["x", "3"]}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
        RowBox[{"+", "  ", 
         SubscriptBox["a", 
          RowBox[{"m", ",", "2"}]]}]}], " ", 
       SubscriptBox["x", "m"]}]}]}], ","}], TraditionalForm]]],
 "\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["c", "3"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox[
        RowBox[{"a", " "}], 
        RowBox[{"1", ",", "3"}]], " ", 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["a", 
        RowBox[{"2", ",", "3"}]], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["a", 
        RowBox[{"3", ",", "3"}]], " ", 
       SubscriptBox["x", "3"]}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
        RowBox[{"+", "  ", 
         SubscriptBox["a", 
          RowBox[{"m", ",", "3"}]]}]}], " ", 
       SubscriptBox["x", "m"]}]}]}], ","}], TraditionalForm]]],
 "\n             .....................\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "n"], " ", "=", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox[
       RowBox[{"a", " "}], 
       RowBox[{"1", ",", "n"}]], " ", 
      SubscriptBox["x", "1"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", 
       RowBox[{"2", ",", "n"}]], " ", 
      SubscriptBox["x", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", 
       RowBox[{"3", ",", "n"}]], " ", 
      SubscriptBox["x", "3"]}], " ", "+", " ", 
     RowBox[{
      RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
       RowBox[{"+", "  ", 
        SubscriptBox["a", 
         RowBox[{"m", ",", "n"}]]}]}], " ", 
      RowBox[{
       SubscriptBox["x", "m"], "."}]}]}]}], TraditionalForm]]],
 "\n\nwhere each ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["a", 
    RowBox[{"i", ",", "j"}]], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Combining these, we see that every element of ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " can be expressed in the form\n\n     ",
 Cell[BoxData[{
  FormBox[
   RowBox[{
    FormBox[
     RowBox[{"        ", 
      RowBox[{
       RowBox[{
        SubscriptBox[
         RowBox[{"a", " "}], 
         RowBox[{"1", ",", "1"}]], " ", 
        SubscriptBox["x", "1"], 
        SubscriptBox["y", "1"]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["a", 
         RowBox[{"2", ",", "1"}]], " ", 
        SubscriptBox["x", "2"], 
        SubscriptBox["y", "1"]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["a", 
         RowBox[{"3", ",", "1"}]], " ", 
        SubscriptBox["x", "3"], 
        SubscriptBox["y", "1"]}], " ", "+", " ", 
       RowBox[{
        RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
         RowBox[{"+", "  ", 
          SubscriptBox["a", 
           RowBox[{"m", ",", "1"}]]}]}], " ", 
        SubscriptBox["x", "m"], 
        SubscriptBox["y", "1"]}], " ", "+", " "}]}],
     TraditionalForm], " "}], TraditionalForm], "\n", 
  FormBox[
   RowBox[{"\t\t ", 
    RowBox[{
     FormBox[
      RowBox[{
       RowBox[{
        SubscriptBox[
         RowBox[{"a", " "}], 
         RowBox[{"1", ",", "2"}]], " ", 
        SubscriptBox["x", "1"], 
        SubscriptBox["y", "2"]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["a", 
         RowBox[{"2", ",", "2"}]], " ", 
        SubscriptBox["x", "2"], 
        SubscriptBox["y", "2"]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["a", 
         RowBox[{"3", ",", "2"}]], " ", 
        SubscriptBox["x", "3"], 
        SubscriptBox["y", "2"]}], " ", "+", " ", 
       RowBox[{
        RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
         RowBox[{"+", "  ", 
          SubscriptBox["a", 
           RowBox[{"m", ",", "2"}]]}]}], " ", 
        SubscriptBox["x", "m"], 
        SubscriptBox["y", "2"]}], " ", "+", "\n", " "}],
      TraditionalForm], "      ", 
     FormBox[
      RowBox[{" ", 
       RowBox[{
        RowBox[{
         RowBox[{
          SubscriptBox[
           RowBox[{"a", " "}], 
           RowBox[{"1", ",", "3"}]], " ", 
          SubscriptBox["x", "1"], 
          SubscriptBox["y", "3"]}], " ", "+", " ", 
         RowBox[{
          SubscriptBox["a", 
           RowBox[{"2", ",", "3"}]], " ", 
          SubscriptBox["x", "2"], 
          SubscriptBox["y", "3"]}], " ", "+", " ", 
         RowBox[{
          SubscriptBox["a", 
           RowBox[{"3", ",", "1"}]], " ", 
          SubscriptBox["x", "3"], 
          SubscriptBox["y", "3"]}], " ", "+", " ", 
         RowBox[{
          RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
           RowBox[{"+", "  ", 
            SubscriptBox["a", 
             RowBox[{"m", ",", "1"}]]}]}], " ", 
          SubscriptBox["x", "m"], 
          SubscriptBox["y", "3"]}], " ", "+", " ", "\n", "\t                ",
          "\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\
\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\
\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\
\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\
\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\
\[CenterEllipsis]\[CenterEllipsis]"}], "\n"}]}],
      TraditionalForm], "       ", 
     FormBox[
      RowBox[{" ", 
       RowBox[{
        RowBox[{
         SubscriptBox[
          RowBox[{"a", " "}], 
          RowBox[{"1", ",", "n"}]], " ", 
         SubscriptBox["x", "1"], 
         SubscriptBox["y", "n"]}], " ", "+", " ", 
        RowBox[{
         SubscriptBox["a", 
          RowBox[{"2", ",", "n"}]], " ", 
         SubscriptBox["x", "2"], 
         SubscriptBox["y", "n"]}], " ", "+", " ", 
        RowBox[{
         SubscriptBox["a", 
          RowBox[{"3", ",", "n"}]], " ", 
         SubscriptBox["x", "3"], 
         SubscriptBox["y", "n"]}], " ", "+", " ", 
        RowBox[{
         RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
          RowBox[{"+", "  ", 
           SubscriptBox["a", 
            RowBox[{"m", ",", "n"}]]}]}], " ", 
         SubscriptBox["x", "m"], 
         RowBox[{
          SubscriptBox["y", "n"], " ", "."}], " "}]}]}],
      TraditionalForm]}]}], TraditionalForm]}]],
 "\n\nThus, to show that the set ",
 Cell[BoxData[
  FormBox["S", TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", we merely have to show that these vectors are linearly independent. Let \
us switch to a summation notation for the remainder of the proof. Suppose \
that there is a non-zero linear combination of these vectors that produces 0, \
that is\n\n           ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     UnderoverscriptBox[
      StyleBox[
       SubscriptBox[
        StyleBox["\[Sum]",
         FontSize->24], " "],
       FontSize->24], 
      RowBox[{"i", "=", "1"}], 
      RowBox[{"m", " "}]], 
     UnderoverscriptBox[
      StyleBox[
       SubscriptBox[
        StyleBox["\[Sum]",
         FontSize->24], " "],
       FontSize->24], 
      RowBox[{"j", "=", "1"}], 
      RowBox[{"n", " "}]]}],
    FontSize->16], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["a", 
      RowBox[{"i", ",", " ", "j"}]], 
     SubscriptBox["x", "i"], 
     SubscriptBox["y", "j"]}], "   ", "=", " ", "0"}], TraditionalForm]]],
 "\n           \nfor ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["a", 
    RowBox[{"i", ",", " ", "j"}]], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Then we have \n   0 = ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     UnderoverscriptBox[
      StyleBox[
       SubscriptBox[
        StyleBox["\[Sum]",
         FontSize->24], " "],
       FontSize->24], 
      RowBox[{"i", "=", "1"}], 
      RowBox[{"m", " "}]], 
     UnderoverscriptBox[
      StyleBox[
       SubscriptBox[
        StyleBox["\[Sum]",
         FontSize->24], " "],
       FontSize->24], 
      RowBox[{"j", "=", "1"}], "n"]}],
    FontSize->16], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["a", 
      RowBox[{"i", ",", " ", "j"}]], 
     SubscriptBox["x", "i"], 
     SubscriptBox["y", "j"]}], "   ", "=", "  "}], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     RowBox[{
      StyleBox[
       UnderoverscriptBox[
        StyleBox[
         SubscriptBox[
          StyleBox["\[Sum]",
           FontSize->14], " "],
         FontSize->24], 
        RowBox[{"j", "=", "1", "   "}], 
        RowBox[{"n", "   "}]],
       FontSize->16], 
      RowBox[{
       StyleBox["(",
        FontSize->16], 
       RowBox[{
        StyleBox[
         UnderoverscriptBox[
          StyleBox["\[CapitalSigma]",
           FontSize->24], 
          RowBox[{"i", "=", "1"}], "m"],
         FontSize->16], 
        SubscriptBox["a", 
         RowBox[{"i", ",", " ", "j"}]], 
        SubscriptBox["x", "i"]}], 
       StyleBox[")",
        FontSize->16]}]}],
     TraditionalForm], 
    FormBox[
     SubscriptBox["y", "j"],
     TraditionalForm]}], TraditionalForm]]],
 ".\n   \nSince ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", " ", 
     SubscriptBox["y", "2"], ",", " ", 
     SubscriptBox["y", "3"], ",", " ", "\[Ellipsis]", " ", ",", " ", 
     SubscriptBox["y", "n"]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", the only way that the right hand expression could be zero is if\n\n       \
       ",
 Cell[BoxData[
  FormBox["  ", TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     FormBox[
      StyleBox[
       UnderoverscriptBox[
        StyleBox[
         SubscriptBox[
          StyleBox["\[Sum]",
           FontSize->24], " "],
         FontSize->24], 
        RowBox[{"i", "=", "1"}], "m"],
       FontSize->16],
      TraditionalForm], 
     RowBox[{
      SubscriptBox["a", 
       RowBox[{"i", ",", " ", "j"}]], 
      SubscriptBox["x", 
       RowBox[{"i", " "}]]}]}], "=", " ", 
    RowBox[{"0", 
     FormBox["",
      TraditionalForm]}]}], TraditionalForm]]],
 "\n              \nfor all ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"j", " ", "=", " ", "1"}], ",", " ", "2", ",", " ", "3", ",", " ",
     
    RowBox[{"\[Ellipsis]", " ", 
     RowBox[{"n", "."}]}]}], TraditionalForm]]],
 " Now ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["x", "m"]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", so the only way that each of these sums could be 0 is if ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", 
     RowBox[{"i", ",", " ", "j"}]], "=", " ", "0"}], TraditionalForm]]],
 "  for all values of ",
 Cell[BoxData[
  FormBox["i", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["j", TraditionalForm]]],
 ". Since all of the coefficients must be 0, the vectors in ",
 Cell[BoxData[
  FormBox["S", TraditionalForm]]],
 " are linearly independent, and therefore ",
 Cell[BoxData[
  FormBox["S", TraditionalForm]]],
 " is a  basis of ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " of dimension ",
 Cell[BoxData[
  FormBox[
   RowBox[{"m", "\[CenterDot]", "n"}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438359679265625*^9, 3.438360287953125*^9}, {
   3.438360327359375*^9, 3.43836051528125*^9}, {3.43836077609375*^9, 
   3.438360941390625*^9}, {3.43836141953125*^9, 3.438361422359375*^9}, 
   3.4383615698125*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Extension Fields", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
In the last section, we found that many of the examples of vector spaces \
turned out to also be fields.  We will give a special name to this situation.\
\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4383620705625*^9, 3.43836211478125*^9}}],

Cell[TextData[{
 "DEFINITION 14.5:\nIf ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is a non-trivial subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a finite dimensional vector space over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", we say that ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a ",
 StyleBox["finite extension",
  FontSlant->"Italic"],
 " of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ".  We say the ",
 StyleBox["dimension",
  FontSlant->"Italic"],
 " of the extension is the size of a basis ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", 
     SubscriptBox["x", "2"], ",", 
     SubscriptBox["x", "3"], ",", 
     RowBox[{"\[Ellipsis]", " ", 
      SubscriptBox["x", "n"]}]}], "}"}], TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437930264140625*^9, 3.4379302711875*^9}, {
  3.438362163171875*^9, 3.4383623135625*^9}, {3.4383623930625*^9, 
  3.438362412625*^9}}],

Cell[TextData[{
 "For example, the \"complex numbers mod 3\", or GF(9), contains ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 " as a subfield.  Clearly GF(9) is a two dimensional vector space over ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 ", so we can say that GF(9) is a two dimensional extension of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 ".\n\nLikewise, we can define GF(8) as follows:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437930264140625*^9, 3.4379302711875*^9}, {
  3.438362163171875*^9, 3.4383623135625*^9}, {3.4383623930625*^9, 
  3.4383625238125*^9}}],

Cell[CellGroupData[{

Cell["\<\
InitDomain[2]
Define[a^3, 1+a]
F = Ring[{a}]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{
  3.438362139359375*^9, {3.43836244625*^9, 3.438362448203125*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "1", ",", "a", ",", 
   SuperscriptBox["a", "2"], ",", 
   RowBox[{"1", "+", "a"}], ",", 
   RowBox[{"1", "+", 
    SuperscriptBox["a", "2"]}], ",", 
   RowBox[{"a", "+", 
    SuperscriptBox["a", "2"]}], ",", 
   RowBox[{"1", "+", "a", "+", 
    SuperscriptBox["a", "2"]}]}], "}"}]], "Output",
 CellChangeTimes->{3.438362527359375*^9, 3.44275971463325*^9}]
}, Open  ]],

Cell[TextData[{
 "This time, we see that every element can be expressed in the form\n\n       \
               ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "+", " ", 
    RowBox[{"a", " ", "y"}], " ", "+", " ", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", "z"}]}], TraditionalForm]]],
 "\n                      \nwhere ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["z", TraditionalForm]]],
 " are in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 ".  Hence, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", "a", ",", 
     SuperscriptBox["a", "2"]}], "}"}], TraditionalForm]]],
 " is a basis of GF(8) over ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 ", so GF(8) is a three dimensional extension of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.437930264140625*^9, {3.43836254384375*^9, 3.438362570078125*^9}, {
   3.43836263734375*^9, 3.438362697890625*^9}}],

Cell[TextData[{
 "\nHere are some other examples:\n\n    ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalC]", TraditionalForm]]],
 " is a two dimensional extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalR]", TraditionalForm]]],
 ". \n\n    The quadternions ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalH]", TraditionalForm]]],
 " is a 4 dimensional extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalR]", TraditionalForm]]],
 ".  \n \n    ",
 Cell[BoxData[
  FormBox[
   RowBox[{"GF", "(", "27", ")"}], TraditionalForm]]],
 " is a three dimension extenion of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 ", regardless of which basis we use.         \n\nIt seems intuitively \
obvious that isomorphic fields have the same dimension over some field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " contained in both of the fields. Yet this is only true if the isomorphism \
",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " maps the base field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " to itself.\n\nPROPOSITION 14.3\nIf ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " are two finite extensions of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and suppose that there is an isomorphism ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " from ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " onto ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "x", ")"}], " ", "=", " ", "x"}], 
   TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " have the same dimension over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438362609984375*^9, 3.4383626244375*^9}, {
  3.438362734109375*^9, 3.43836274325*^9}, {3.4420628832296247`*^9, 
  3.4420628843077497`*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Suppose that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["x", "n"]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". We want to show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "1"], ")"}], ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "2"], ")"}], ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "3"], ")"}], ",", " ", "\[Ellipsis]", ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "n"], ")"}]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "u", ")"}], " ", "=", " ", "v"}], 
   TraditionalForm]]],
 " for some ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is generated by the elements in the basis, we have\n\n      ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"u", " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox["c", "1"], " ", 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "2"], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "3"], " ", 
       SubscriptBox["x", "3"]}], " ", "+", " ", "\[Ellipsis]", " ", "+", " ", 
      
      RowBox[{
       SubscriptBox["c", "n"], " ", 
       SubscriptBox["x", "n"]}]}]}]}], TraditionalForm]]],
 "\n      \nfor some ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "1"], ",", " ", 
    SubscriptBox["c", "2"], ",", " ", 
    SubscriptBox["c", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
    SubscriptBox["c", "n"]}], TraditionalForm]]],
 "  in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Then\n\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     RowBox[{" ", 
      RowBox[{
       RowBox[{"v", " ", "=", " ", 
        RowBox[{
         RowBox[{"\[Phi]", "(", "u", ")"}], " ", "=", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["c", "1"], ")"}], " ", 
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["x", "1"], ")"}]}], " ", "+", " ", 
          RowBox[{
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["c", "2"], ")"}], " ", 
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["x", "2"], ")"}]}], " ", "+", " ", 
          RowBox[{
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["c", "3"], ")"}], " ", 
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["x", "3"], ")"}]}], " ", "+", " ", "\[Ellipsis]", 
          " ", "+", " ", 
          RowBox[{
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["c", "n"], ")"}], " ", 
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["x", "n"], ")"}]}]}]}]}], " ", "\n"}]}],
     TraditionalForm], "                   ", 
    FormBox[
     RowBox[{"=", "  ", 
      RowBox[{
       RowBox[{
        SubscriptBox["c", "1"], " ", 
        RowBox[{"\[Phi]", "(", "x", " ", ")"}]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["c", "2"], " ", 
        RowBox[{"\[Phi]", "(", 
         SubscriptBox["x", "2"], ")"}]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["c", "3"], " ", 
        RowBox[{"\[Phi]", "(", 
         SubscriptBox["x", "3"], ")"}]}], " ", "+", " ", "\[Ellipsis]", " ", 
       "+", " ", 
       RowBox[{
        SubscriptBox["c", "n"], " ", 
        RowBox[{
         RowBox[{"\[Phi]", "(", 
          SubscriptBox["x", "n"], ")"}], "."}]}]}]}],
     TraditionalForm]}], TraditionalForm]]],
 "\n\nThus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "1"], ")"}], ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "2"], ")"}], ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "3"], ")"}], ",", " ", "\[Ellipsis]", ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "n"], ")"}]}], "}"}], TraditionalForm]]],
 " generates the field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Also, if\n\n                ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        SubscriptBox["c", "1"], " ", 
        RowBox[{"\[Phi]", "(", 
         SubscriptBox["x", "1"], ")"}]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["c", "2"], " ", 
        RowBox[{"\[Phi]", "(", 
         SubscriptBox["x", "2"], ")"}]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["c", "3"], " ", 
        RowBox[{"\[Phi]", "(", 
         SubscriptBox["x", "3"], ")"}]}], " ", "+", " ", "\[Ellipsis]", " ", 
       "+", " ", 
       RowBox[{
        SubscriptBox["c", "n"], " ", 
        RowBox[{"\[Phi]", "(", 
         SubscriptBox["x", "n"], ")"}]}]}], " ", "=", " ", "0"}], ","}], 
    " "}], TraditionalForm]]],
 "\n                \nthen ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      RowBox[{
       RowBox[{
        SubscriptBox["c", "1"], " ", 
        SubscriptBox["x", "1"]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["c", "2"], " ", 
        SubscriptBox["x", "2"]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["c", "3"], " ", 
        SubscriptBox["x", "3"]}], " ", "+", " ", "\[Ellipsis]", " ", "+", " ",
        
       RowBox[{
        SubscriptBox["c", "n"], " ", 
        SubscriptBox["x", "n"]}]}], ")"}], " ", "=", " ", "0"}], ","}], 
   TraditionalForm]]],
 " which implies that\n\n          ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["c", "1"], " ", 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "2"], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "3"], " ", 
       SubscriptBox["x", "3"]}], " ", "+", " ", "\[Ellipsis]", " ", "+", " ", 
      
      RowBox[{
       SubscriptBox["c", "n"], " ", 
       SubscriptBox["x", "n"]}]}], " ", "=", " ", "0"}], ","}], 
   TraditionalForm]]],
 " \n\nsince ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " are isomorphic. But since",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["x", "1"], ",", " ", 
      SubscriptBox["x", "2"], ",", " ", 
      SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
      SubscriptBox["x", "n"]}], "}"}]}], TraditionalForm]]],
 " is a basis\nfor ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", this can only happen if \n\n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SubscriptBox["c", "1"], " ", "=", " ", 
     RowBox[{
      SubscriptBox["c", "2"], " ", "=", " ", 
      RowBox[{
       SubscriptBox["c", "3"], " ", "=", " ", 
       RowBox[{
        RowBox[{"\[Ellipsis]", " ", 
         SubscriptBox["c", "n"]}], " ", "=", " ", "0."}]}]}]}]}], 
   TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[" ", TraditionalForm]]],
 "\n        \nSo ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "1"], ")"}], ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "2"], ")"}], ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "3"], ")"}], ",", " ", "\[Ellipsis]", ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "n"], ")"}]}], "}"}], TraditionalForm]]],
 " is a basis for ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and hence ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " have the same dimension over the field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43859985153125*^9, 3.43859991953125*^9}}]
}, Open  ]],

Cell[TextData[{
 "\nWe have already defined ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 " to be the smallest ring containing both ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " and the element ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ". We would like to make a similar definition for the smallest ",
 StyleBox["field",
  FontSlant->"Italic"],
 " containing both ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ".\n\nDEFINITION 14.6:\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a field, and let ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " be a field containing the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox["S", TraditionalForm]]],
 " be a set of elements in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 " denote the collection of all subfields of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " which contain the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", along with the set ",
 Cell[BoxData[
  FormBox["S", TraditionalForm]]],
 ". Then we define\n\n                   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"K", "(", "S", ")"}], " ", "=", 
    RowBox[{
     StyleBox[
      UnderscriptBox[
       RowBox[{"  ", 
        SubscriptBox[
         StyleBox["\[Intersection]",
          FontSize->24], " "]}], 
       RowBox[{" ", 
        RowBox[{"H", " ", "\[Element]", " ", "L"}]}]],
      FontSize->18], "H"}]}], TraditionalForm]]],
 ".\n                   \nThat is, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "S", ")"}], TraditionalForm]]],
 " is the intersection of all subfields of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " which contain both ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["S", TraditionalForm]]],
 ".  If ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"S", "=", 
     SubscriptBox["a", "1"]}], ",", 
    SubscriptBox["a", "2"], ",", 
    RowBox[{
     SubscriptBox["a", "3"], "\[Ellipsis]", " ", 
     SubscriptBox["a", "n"]}]}], TraditionalForm]]],
 ", we will write ",
 Cell[BoxData[
  FormBox[
   RowBox[{Cell[TextData[Cell[BoxData[
     FormBox[
      RowBox[{"K", "(", 
       RowBox[{
        SubscriptBox["a", "1"], ",", 
        SubscriptBox["a", "2"], ",", 
        SubscriptBox["a", "3"], ",", 
        RowBox[{"\[Ellipsis]", " ", 
         SubscriptBox["a", "n"]}]}], ")"}], TraditionalForm]]]]], Cell[""], 
    Cell[""]}], TraditionalForm]]],
 "for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "S", ")"}], TraditionalForm]]],
 ".  Thus, if ",
 Cell[BoxData[
  FormBox["S", TraditionalForm]]],
 " consists of a single element ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ", we can write ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "a", ")"}], TraditionalForm]]],
 " for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "S", ")"}], TraditionalForm]]],
 ".\n\nIt is not difficult to see that this definition produces exactly what \
we want.\n\nLEMMA 14.3\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a subfield of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox["S", TraditionalForm]]],
 " be a collection of elements of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "S", ")"}], TraditionalForm]]],
 " is the smallest field which contains both ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and the elements ",
 Cell[BoxData[
  FormBox["S", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4386000005*^9, 3.438600123421875*^9}, {
  3.43860076940625*^9, 3.4386007761875*^9}, {3.43860137740625*^9, 
  3.43860149490625*^9}, {3.4420625643702497`*^9, 3.4420625646671247`*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "First, we must show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "S", ")"}], TraditionalForm]]],
 " is a subfield of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " are in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "S", ")"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"y", " ", "\[NotEqual]", " ", "0"}], ","}], TraditionalForm]]],
 " then ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " are in each of the subfields in the collection ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "-", "y"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[CenterDot]", 
    SuperscriptBox["y", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 " are also in each of the subfields in this collection. Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "-", "y"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[CenterDot]", 
    SuperscriptBox["y", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 " are in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "S", ")"}], TraditionalForm]]],
 ", and so ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "S", ")"}], TraditionalForm]]],
 " is a subfield of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ".\n\nTo show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "S", ")"}], TraditionalForm]]],
 " is the smallest field containing both ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and the elements ",
 Cell[BoxData[
  FormBox["S", TraditionalForm]]],
 ", note that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "S", ")"}], TraditionalForm]]],
 " is one of the subfields in the collection ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ". Thus, any subfield containing ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and the elements of ",
 Cell[BoxData[
  FormBox["S", TraditionalForm]]],
 " must also contain ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "S", ")"}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43860149709375*^9, 3.438601514640625*^9}, {
  3.4386017121875*^9, 3.438601716921875*^9}}]
}, Open  ]],

Cell[TextData[{
 "For example, If ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is the real numbers, and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"i", " ", "=", " ", 
    SqrtBox[
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalR]", "(", "i", ")"}], TraditionalForm]]],
 " gives us the complex numbers ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalC]", TraditionalForm]]],
 ".  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    FormBox[
     SqrtBox["2"],
     TraditionalForm], ")"}], TraditionalForm]]],
 " is the smallest field containing ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 " and  ",
 Cell[BoxData[
  FormBox[
   SqrtBox["2"], TraditionalForm]]],
 " , which happens to be the same thing as the ring ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "[", 
    SqrtBox["2"], "]"}], TraditionalForm]]],
 ".\n\nWe have yet to produce any field extensions in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " besides the finite fields of the last chapter. Yet the strategy for \
defining a field extension is very similar to that of defining a finite \
field. We begin by finding an irreducible polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and creating the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{
     RowBox[{"F", "[", "x", "]"}], "/", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"f", "(", "x", ")"}], ")"}], "."}]}]}], TraditionalForm]]],
 "\n\nPROPOSITION 14.4\nLet ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be a field, and let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " be an irreducible polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 " of degree ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Then the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{
     RowBox[{"F", "[", "x", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"f", "(", "x", ")"}], ")"}]}]}], TraditionalForm]]],
 " is a finite extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " of dimension ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438601745296875*^9, 3.43860187*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "From proposition 13.1, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{
     RowBox[{"F", "[", "x", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"f", "(", "x", ")"}], ")"}]}]}], TraditionalForm]]],
 " is a field which contains ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " as a subfield. Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", " ", "=", " ", 
    RowBox[{"x", " ", "+", " ", 
     RowBox[{"(", 
      RowBox[{"f", "(", "x", ")"}], ")"}]}]}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". If we treat ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " as a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "x", "]"}], TraditionalForm]]],
 ", we find that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "y", ")"}], "=", " ", "0."}], TraditionalForm]]],
 " Consider the set ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", " ", "y", ",", " ", 
      SuperscriptBox["y", "2"], ",", " ", 
      SuperscriptBox["y", "3"], ",", " ", 
      RowBox[{"\[Ellipsis]", " ", 
       SuperscriptBox["y", 
        RowBox[{"n", "-", "1"}]]}]}], "}"}], "."}], TraditionalForm]]],
 " We wish to show that this set is a basis for ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". That is, we wish to show that every element of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " can be expressed uniquely as\n\n          ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"k", " ", "=", "   ", 
      RowBox[{
       RowBox[{
        SubscriptBox["a", "1"], "1"}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["a", "2"], " ", "y"}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["a", "3"], " ", 
        SuperscriptBox["y", "2"]}], "  ", "+", " ", "\[CenterEllipsis]", " ", 
       "+", " ", 
       RowBox[{
        SubscriptBox["a", "n"], " ", 
        SuperscriptBox["y", 
         RowBox[{"n", "-", "1"}]]}]}]}], ","}]}], TraditionalForm]]],
 "\n\nwhere the ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "1"], ",", " ", 
    SubscriptBox["a", "2"], ",", " ", 
    SubscriptBox["a", "3"], ",", " ", "\[Ellipsis]", " ", ",", " ", 
    SubscriptBox["a", "n"]}], TraditionalForm]]],
 "  are in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Any element  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", "\[Element]", "K"}], TraditionalForm]]],
 " can be expressed as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", " ", "=", " ", 
    RowBox[{
     RowBox[{"g", "(", "x", ")"}], " ", "+", " ", 
     RowBox[{"(", 
      RowBox[{"f", "(", "x", ")"}], ")"}]}]}], TraditionalForm]]],
 " for some polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ". By the division algorithm theorem (12.1), there exist unique polynomials \
",
 Cell[BoxData[
  FormBox[
   RowBox[{"q", "(", "x", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", "(", "x", ")"}], TraditionalForm]]],
 " such that \n\n                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"f", "(", "x", ")"}], "\[CenterDot]", 
       RowBox[{"q", "(", "x", ")"}]}], " ", "+", " ", 
      RowBox[{"r", "(", "x", ")"}]}]}], ","}], TraditionalForm]]],
 "\n\nwhere either ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"r", "(", "x", ")"}], " ", "=", " ", "0"}], TraditionalForm]]],
 ", or the degree of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", "(", "x", ")"}], TraditionalForm]]],
 " is less than ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Then\n\n              ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"r", "(", "x", ")"}], " ", "=", " ", 
     RowBox[{
      SubscriptBox["a", "1"], "+", " ", 
      RowBox[{
       SubscriptBox["a", "2"], " ", "x"}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["a", "3"], " ", 
       SuperscriptBox["x", "2"]}], "+", " ", "\[CenterEllipsis]", " ", "+", 
      "  ", 
      RowBox[{
       SubscriptBox["a", "n"], 
       SuperscriptBox["x", 
        RowBox[{"n", "-", "1"}]]}]}]}]}], TraditionalForm]]],
 "\n\nfor some ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "1"], ",", " ", 
    SubscriptBox["a", "2"], ",", " ", 
    SubscriptBox["a", "3"], ",", " ", "\[Ellipsis]", " ", ",", " ", 
    SubscriptBox["a", "n"]}], TraditionalForm]]],
 "  in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Note that we can now write \n\n  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"g", "(", "x", ")"}], " ", "+", " ", 
      RowBox[{"(", 
       RowBox[{"f", "(", "x", ")"}], ")"}]}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"r", "(", "x", ")"}], " ", "+", " ", 
       RowBox[{"(", 
        RowBox[{"f", "(", "x", ")"}], ")"}]}], " ", "=", "  ", 
      RowBox[{
       RowBox[{
        SubscriptBox["a", "1"], " ", "1"}], "  ", "+", " ", 
       RowBox[{
        SubscriptBox["a", "2"], " ", "y"}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["a", "3"], "  ", 
        SuperscriptBox["y", "2"]}], " ", "+", " ", "\[CenterEllipsis]", " ", 
       "+", " ", 
       RowBox[{
        SubscriptBox["a", "n"], " ", 
        RowBox[{
         SuperscriptBox["y", 
          RowBox[{"n", "-", "1"}]], "."}]}]}]}]}]}], TraditionalForm]]],
 "\n\nSince ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", "(", "x", ")"}], TraditionalForm]]],
 " is unique, ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " is uniquely determined as a linear combination of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", "y", ",", 
     SuperscriptBox["y", "2"], ",", "\[Ellipsis]", ",", 
     SuperscriptBox["y", 
      RowBox[{"n", "-", "1"}]]}], "}"}], TraditionalForm]]],
 ". Thus, by lemma 14.1,  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", "y", ",", 
     SuperscriptBox["y", "2"], ",", "\[Ellipsis]", ",", 
     SuperscriptBox["y", 
      RowBox[{"n", "-", "1"}]]}], "}"}], TraditionalForm]]],
 " is a basis."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438601966609375*^9, 3.43860198634375*^9}, {
  3.43860214428125*^9, 3.438602144390625*^9}, {3.4386021846875*^9, 
  3.4386021846875*^9}, {3.438602294640625*^9, 3.43860230078125*^9}, {
  3.438602353375*^9, 3.438602386515625*^9}, {3.43860253534375*^9, 
  3.438602537015625*^9}, {3.438602598953125*^9, 3.438602742578125*^9}, {
  3.4420629507139997`*^9, 3.4420630488702497`*^9}}]
}, Open  ]],

Cell[TextData[{
 "Let us look at an example in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". Let ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be the field of rational numbers, and let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["x", "3"], " ", "-", " ", "2."}]}], TraditionalForm]]],
 " Since the characteristic of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 " is 0, we begin the definition by the command"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438601987015625*^9, 3.438601987515625*^9}}],

Cell["InitDomain[0]", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Next, we let ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " be a root to the equation ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", "2"}], TraditionalForm]]],
 ". That is, we define ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["a", "3"], TraditionalForm]]],
 " to be 2."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438601988109375*^9, 3.438601988109375*^9}}],

Cell["Define[a^3, 2]", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "That's all there is to it! The basis of this extension field is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", " ", "a", ",", " ", 
     SuperscriptBox["a", "2"]}], "}"}], TraditionalForm]]],
 ". We can verify this with ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CheckField[{1, a, a^2}]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Identity element = \"\>", "\[InvisibleSpace]", "1"}],
  SequenceForm["Identity element = ", 1],
  Editable->False]], "Print",
 CellChangeTimes->{3.43860324603125*^9, 3.442759725992625*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"An element is invertable as long as \"\>", "\[InvisibleSpace]",
    
   RowBox[{
    SuperscriptBox[
     RowBox[{"C", "[", "1", "]"}], "3"], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"C", "[", "2", "]"}], "3"]}], "-", 
    RowBox[{"6", " ", 
     RowBox[{"C", "[", "1", "]"}], " ", 
     RowBox[{"C", "[", "2", "]"}], " ", 
     RowBox[{"C", "[", "3", "]"}]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox[
      RowBox[{"C", "[", "3", "]"}], "3"]}]}], 
   "\[InvisibleSpace]", "\<\" is not zero.\"\>", 
   "\[InvisibleSpace]", "\<\" \"\>"}],
  SequenceForm[
  "An element is invertable as long as ", C[1]^3 + 2 C[2]^3 - 6 C[1] C[2] 
   C[3] + 4 C[3]^3, " is not zero.", " "],
  Editable->False]], "Print",
 CellChangeTimes->{3.43860324603125*^9, 3.44275972600825*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"If the only element which is not invertable is 0,\"\>", 
   "\[InvisibleSpace]", "\<\" then this is a field.\"\>", 
   "\[InvisibleSpace]", "\<\" \"\>"}],
  SequenceForm[
  "If the only element which is not invertable is 0,", 
   " then this is a field.", " "],
  Editable->False]], "Print",
 CellChangeTimes->{3.43860324603125*^9, 3.4427597260395*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The inverse of \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"C", "[", "1", "]"}], "+", 
    RowBox[{"a", " ", 
     RowBox[{"C", "[", "2", "]"}]}], "+", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", 
     RowBox[{"C", "[", "3", "]"}]}]}], 
   "\[InvisibleSpace]", "\<\" is given by \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"C", "[", "1", "]"}], "2"], "-", 
      RowBox[{"a", " ", 
       RowBox[{"C", "[", "1", "]"}], " ", 
       RowBox[{"C", "[", "2", "]"}]}], "+", 
      RowBox[{
       SuperscriptBox["a", "2"], " ", 
       SuperscriptBox[
        RowBox[{"C", "[", "2", "]"}], "2"]}], "-", 
      RowBox[{
       SuperscriptBox["a", "2"], " ", 
       RowBox[{"C", "[", "1", "]"}], " ", 
       RowBox[{"C", "[", "3", "]"}]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"C", "[", "2", "]"}], " ", 
       RowBox[{"C", "[", "3", "]"}]}], "+", 
      RowBox[{"2", " ", "a", " ", 
       SuperscriptBox[
        RowBox[{"C", "[", "3", "]"}], "2"]}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"C", "[", "1", "]"}], "3"], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"C", "[", "2", "]"}], "3"]}], "-", 
      RowBox[{"6", " ", 
       RowBox[{"C", "[", "1", "]"}], " ", 
       RowBox[{"C", "[", "2", "]"}], " ", 
       RowBox[{"C", "[", "3", "]"}]}], "+", 
      RowBox[{"4", " ", 
       SuperscriptBox[
        RowBox[{"C", "[", "3", "]"}], "3"]}]}], ")"}]}]}],
  SequenceForm[
  "The inverse of ", C[1] + $CellContext`a C[2] + $CellContext`a^2 C[3], 
   " is given by ", (C[1]^2 - $CellContext`a C[1] 
    C[2] + $CellContext`a^2 C[2]^2 - $CellContext`a^2 C[1] C[3] - 2 C[2] C[3] + 
    2 $CellContext`a C[3]^2)/(C[1]^3 + 2 C[2]^3 - 6 C[1] C[2] C[3] + 
   4 C[3]^3)],
  Editable->False]], "Print",
 CellChangeTimes->{3.43860324603125*^9, 3.44275972607075*^9}]
}, Open  ]],

Cell["\<\
CheckField actually does more than just verify that the ring is a field. It \
also allows us to do divisions in this field.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["1/(a + a^2)", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.438603258*^9, 3.4386032603125*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "6"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "2"}], "+", 
    RowBox[{"2", " ", "a"}], "+", 
    SuperscriptBox["a", "2"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.43860326165625*^9, 3.442759735555125*^9}]
}, Open  ]],

Cell[TextData[{
 "\nEXPERIMENT:      \nDefine the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    SqrtBox["2"], ")"}], TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " using similar comands. What is the basis of the field? Use the ",
 StyleBox["CheckField",
  FontWeight->"Bold"],
 " command to have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " learn how to take inverses of functions. Then have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " simplify the expression\n\n                      ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    FractionBox[
     RowBox[{
      RowBox[{"2", "a"}], " ", "-", " ", "3"}], 
     RowBox[{
      RowBox[{"5", " ", "a"}], " ", "+", " ", "2"}]],
    FontSize->16], TraditionalForm]]],
 " where    ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", " ", "=", " ", 
    RowBox[{
     SqrtBox["2"], "."}]}], TraditionalForm]]],
 "\n\nAlthough this demonstrates that any extension field of the form ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", "x", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"f", "(", "x", ")"}], ")"}]}], TraditionalForm]]],
 " can be entered into ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", we would like to show that ",
 StyleBox["any",
  FontSlant->"Italic"],
 " finite extension of a field can be entered into ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " in the same way. That is, we must show that any finite extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is isomorphic to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", "x", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"f", "(", "x", ")"}], ")"}]}], TraditionalForm]]],
 " for some polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], "."}], TraditionalForm]]],
 " \n\nPROPOSITION 14.5\nSuppose a field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a finite extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " of dimension ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " be an element of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Then there is an irreducible polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 " of degree at most ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "y", ")"}], " ", "=", " ", "0."}], TraditionalForm]]],
 " That is, when ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " is treated as a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "x", "]"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 ". Furthermore, there is a unique polynomial of lowest degree which \
satisifies these conditions and for which the leading coefficient is equal to \
1."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43860199228125*^9, 3.438601996921875*^9}, {
  3.43860340559375*^9, 3.438603406484375*^9}, {3.43860625371875*^9, 
  3.438606258234375*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " be an element in the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Consider the set ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", " ", "y", ",", " ", 
      SuperscriptBox["y", "2"], ",", " ", 
      SuperscriptBox["y", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
      SuperscriptBox["y", "n"]}], "}"}], "."}], TraditionalForm]]],
 " Since there are ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "+", "1"}], TraditionalForm]]],
 " elements in this set, and ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " has dimension ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", by lemma 14.2 these are linearly dependent, so there is a non-zero \
solution to\n\n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["a", "0"], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "1"], " ", "y"}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "2"], " ", 
      SuperscriptBox["y", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "3"], " ", 
      SuperscriptBox["y", "3"]}], " ", "+", " ", 
     RowBox[{
      RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
       RowBox[{"+", " ", 
        SubscriptBox["a", "n"]}]}], " ", 
      SuperscriptBox["y", "n"]}]}], " ", "=", " ", "0"}], TraditionalForm]]],
 "\n\nwith ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "0"], ",", " ", 
    SubscriptBox["a", "1"], ",", " ", 
    SubscriptBox["a", "2"], ",", " ", "\[Ellipsis]", ",", " ", 
    SubscriptBox["a", "n"]}], TraditionalForm]]],
 "  in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Thus, there is a non-zero polynomial\n\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SubscriptBox["a", "0"], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "1"], " ", "x"}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "2"], " ", 
      SuperscriptBox["x", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "3"], " ", 
      SuperscriptBox["x", "3"]}], " ", "+", " ", 
     RowBox[{
      RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
       RowBox[{"+", " ", 
        SubscriptBox["a", "n"]}]}], " ", 
      SuperscriptBox["x", "n"]}]}]}], TraditionalForm]]],
 "\n\nin ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", "x", "]"}], " "}], TraditionalForm]]],
 " for which ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " is a root when treated as a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "x", "]"}], TraditionalForm]]],
 ".\n\nLet us now show uniqueness. Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " be a polynomial of lowest possible degree in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "y", ")"}], " ", "=", " ", "0"}], TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is a field, we can divide this polynomial by its leading coefficient to \
obtain a polynomial with a leading coefficient of 1. Now, if there were two \
such polynomials, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 ", then by the division algorithm theorem (12.1), there exist polynomials ",
 Cell[BoxData[
  FormBox[
   RowBox[{"q", "(", "x", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", "(", "x", ")"}], TraditionalForm]]],
 " such that\n\n            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"g", "(", "x", ")"}], "\[CenterDot]", 
      RowBox[{"q", "(", "x", ")"}]}], " ", "+", " ", 
     RowBox[{
      RowBox[{"r", "(", "x", ")"}], "."}]}]}], TraditionalForm]]],
 "\n\nwhere either ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"r", "(", "x", ")"}], " ", "=", " ", "0"}], TraditionalForm]]],
 " or the degree of ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 "(x) is strictly less than the degree of  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], "."}], TraditionalForm]]],
 " But note that\n  \n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"0", " ", "=", " ", 
     RowBox[{
      RowBox[{"f", "(", "y", ")"}], " ", "=", " ", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"g", "(", "y", ")"}], "\[CenterDot]", 
         RowBox[{"q", "(", "y", ")"}]}], " ", "+", " ", 
        RowBox[{"r", "(", "y", ")"}]}], " ", "=", " ", 
       RowBox[{
        RowBox[{"0", " ", "+", " ", 
         RowBox[{"r", "(", "y", ")"}]}], " ", "=", " ", "0."}]}]}]}]}], 
   TraditionalForm]]],
 "\n\nThus, ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " is a root of the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"r", "(", "x", ")"}], "."}], TraditionalForm]]],
 " But the degree of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " were chosen to be minimal. So ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"r", "(", "x", ")"}], " ", "=", " ", "0"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " is a multiple of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], "."}], TraditionalForm]]],
 " Finally, since both ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " have the same degree and have the same leading term of 1, we have ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"g", "(", "x", ")"}]}], TraditionalForm]]],
 ". Therefore, there is a unique polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 " of minimal degree and leading coefficient of 1 such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "y", ")"}], " ", "=", " ", "0."}], TraditionalForm]]]
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438601997703125*^9, 3.438602011453125*^9}, {
  3.438606280015625*^9, 3.438606280171875*^9}, {3.438606324921875*^9, 
  3.43860635503125*^9}, {3.438606385078125*^9, 3.438606401828125*^9}, {
  3.438606578359375*^9, 3.4386065785*^9}, {3.4420624518389997`*^9, 
  3.4420624520889997`*^9}}]
}, Open  ]],

Cell[TextData[{
 "The irreducible polynomial determined by this proposition is important \
enough to warrent a special notation.\n\nDEFINITION 14.7:\nIf a field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a finite extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " is an element of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", we define the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " given by proposition 14.5 which has a leading coeffient of ",
 Cell[BoxData[
  FormBox["1", TraditionalForm]]],
 " to be the ",
 StyleBox["irreducible polynomial of",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " ",
 StyleBox["over",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", denoted\n\n                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"a", ",", "x"}], ")"}], "."}], TraditionalForm]]],
 "\n\nFor example, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["Irr", "\[DoubleStruckCapitalQ]"], "(", 
      RowBox[{
       SqrtBox["2"], " ", ",", " ", "x"}], ")"}], " ", "=", " ", 
     RowBox[{
      SuperscriptBox["x", "2"], " ", "-", " ", "2"}]}], ","}], 
   TraditionalForm]]],
 " since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], " ", "-", " ", "2"}], TraditionalForm]]],
 " is the simpliest polynomial with rational coefficients for which ",
 Cell[BoxData[
  FormBox[
   SqrtBox["2"], TraditionalForm]]],
 " is a root. Note that if we were to allow real coefficients, we could come \
up with a simpler polynomial:\n\n           ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Irr", "\[DoubleStruckCapitalR]"], "(", " ", 
     RowBox[{
      SqrtBox["2"], " ", ",", " ", "x"}], ")"}], " ", "=", " ", 
    RowBox[{"x", " ", "-", " ", 
     RowBox[{
      SqrtBox["2"], " ", "."}]}]}], TraditionalForm]]],
 "\n\nHere are some other examples. If ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"i", " ", "=", 
     SqrtBox[
      RowBox[{"-", "1"}]]}], ","}], TraditionalForm]]],
 " we can see that the simpliest polynomial over the real numbers containing \
",
 Cell[BoxData[
  FormBox["i", TraditionalForm]]],
 " as a root is\n\n          ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Irr", "\[DoubleStruckCapitalR]"], "(", 
     RowBox[{"i", ",", " ", "x"}], ")"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["x", "2"], " ", "+", " ", "1."}]}], TraditionalForm]]],
 " \n   \nFinally, consider the number ",
 Cell[BoxData[
  FormBox[
   RowBox[{"cos", "(", 
    RowBox[{"\[Pi]", "/", "9"}], ")"}], TraditionalForm]]],
 ".  We found in section 11.3 that this number is a root of the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"4", " ", 
      SuperscriptBox["x", "3"]}], " ", "-", " ", 
     RowBox[{"3", " ", "x"}], " ", "-", " ", 
     FractionBox["1", "2"]}], " ", "=", " ", "0"}], TraditionalForm]]],
 ". However, we want the leading coefficient of the polynomial to be 1, so we \
write\n\n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Irr", "\[DoubleStruckCapitalQ]"], "(", 
     RowBox[{
      RowBox[{"cos", "(", 
       RowBox[{"\[Pi]", "/", "9"}], ")"}], ",", "x"}], ")"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["x", "3"], " ", "-", " ", 
     RowBox[{
      FractionBox["3", "4"], " ", "x"}], " ", "-", " ", 
     FractionBox["1", 
      RowBox[{"8", "."}]]}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438602011921875*^9, 3.438602018359375*^9}, {
  3.438606628578125*^9, 3.43860666003125*^9}}],

Cell[TextData[{
 "Once we find the irreducible polynomial for an element ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ", it is not hard to program ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to mimick the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 ". For example, let us enter the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}], ")"}], TraditionalForm]]],
 " into ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". If we let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", " ", "=", " ", 
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}]}], TraditionalForm]]],
 ", we see that ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " satisfies ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "3"], " ", "-", " ", 
     RowBox[{
      FractionBox["3", "4"], " ", "x"}], " ", "-", " ", 
     FractionBox["1", "8"]}], "=", " ", "0."}], TraditionalForm]]],
 " If we put all terms besides the leading term on the other side of the \
equation, we find that a satisfies the equation\n\n                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SuperscriptBox["x", "3"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       FractionBox["3", "4"], " ", "x"}], " ", "+", " ", 
      FractionBox["1", 
       RowBox[{"8", "."}]]}]}]}], TraditionalForm]]],
 "\nThat is,\n                   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["a", "3"], " ", "=", " ", 
    RowBox[{
     RowBox[{"3", " ", 
      RowBox[{"a", "/", "4"}]}], " ", "+", " ", 
     RowBox[{"1", "/", "8."}]}]}], TraditionalForm]]],
 "\n\nLet us enter this fact into ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438602018765625*^9, 3.438602020046875*^9}}],

Cell["\<\
InitDomain[0]
Define[a^3, 3 a/4 + 1/8]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "The first command tells ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " that we are working with a field of characteristic 0, and the second \
command identifies a as one solution to the above equation. That's all there \
is to it! We can perform operations of this field such as\n"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["(2 + a).(3 - 2a)", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"6", "-", "a", "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["a", "2"]}]}]], "Output",
 CellChangeTimes->{3.442759743227*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["a^5", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{
  FractionBox["3", "32"], "+", 
  FractionBox[
   RowBox[{"9", " ", "a"}], "16"], "+", 
  FractionBox[
   SuperscriptBox["a", "2"], "8"]}]], "Output",
 CellChangeTimes->{3.442759744102*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["1/a", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 FractionBox["1", "a"]], "Output",
 CellChangeTimes->{3.442759745305125*^9}]
}, Open  ]],

Cell[TextData[{
 "The last command does not simplify, since ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " does not yet know that this is in fact a field. The basis for this field \
is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"1", ",", " ", "a", ",", " ", 
     SuperscriptBox["a", "2"]}], ")"}], TraditionalForm]]],
 ", so we can have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " verify that this is a field."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CheckField[{1,a,a^2}]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Identity element = \"\>", "\[InvisibleSpace]", "1"}],
  SequenceForm["Identity element = ", 1],
  Editable->False]], "Print",
 CellChangeTimes->{3.442759752930125*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"An element is invertable as long as \"\>", "\[InvisibleSpace]",
    
   RowBox[{
    FractionBox["1", "64"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"64", " ", 
       SuperscriptBox[
        RowBox[{"C", "[", "1", "]"}], "3"]}], "-", 
      RowBox[{"48", " ", 
       RowBox[{"C", "[", "1", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"C", "[", "2", "]"}], "2"]}], "+", 
      RowBox[{"8", " ", 
       SuperscriptBox[
        RowBox[{"C", "[", "2", "]"}], "3"]}], "+", 
      RowBox[{"96", " ", 
       SuperscriptBox[
        RowBox[{"C", "[", "1", "]"}], "2"], " ", 
       RowBox[{"C", "[", "3", "]"}]}], "-", 
      RowBox[{"24", " ", 
       RowBox[{"C", "[", "1", "]"}], " ", 
       RowBox[{"C", "[", "2", "]"}], " ", 
       RowBox[{"C", "[", "3", "]"}]}], "+", 
      RowBox[{"36", " ", 
       RowBox[{"C", "[", "1", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"C", "[", "3", "]"}], "2"]}], "-", 
      RowBox[{"6", " ", 
       RowBox[{"C", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"C", "[", "3", "]"}], "2"]}], "+", 
      SuperscriptBox[
       RowBox[{"C", "[", "3", "]"}], "3"]}], ")"}]}], 
   "\[InvisibleSpace]", "\<\" is not zero.\"\>", 
   "\[InvisibleSpace]", "\<\" \"\>"}],
  SequenceForm[
  "An element is invertable as long as ", 
   Rational[1, 64] (64 C[1]^3 - 48 C[1] C[2]^2 + 8 C[2]^3 + 96 C[1]^2 C[3] - 
    24 C[1] C[2] C[3] + 36 C[1] C[3]^2 - 6 C[2] C[3]^2 + C[3]^3), 
   " is not zero.", " "],
  Editable->False]], "Print",
 CellChangeTimes->{3.442759752961375*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"If the only element which is not invertable is 0,\"\>", 
   "\[InvisibleSpace]", "\<\" then this is a field.\"\>", 
   "\[InvisibleSpace]", "\<\" \"\>"}],
  SequenceForm[
  "If the only element which is not invertable is 0,", 
   " then this is a field.", " "],
  Editable->False]], "Print",
 CellChangeTimes->{3.442759752977*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The inverse of \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"C", "[", "1", "]"}], "+", 
    RowBox[{"a", " ", 
     RowBox[{"C", "[", "2", "]"}]}], "+", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", 
     RowBox[{"C", "[", "3", "]"}]}]}], 
   "\[InvisibleSpace]", "\<\" is given by \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"4", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"16", " ", 
         SuperscriptBox[
          RowBox[{"C", "[", "1", "]"}], "2"]}], "-", 
        RowBox[{"16", " ", "a", " ", 
         RowBox[{"C", "[", "1", "]"}], " ", 
         RowBox[{"C", "[", "2", "]"}]}], "-", 
        RowBox[{"12", " ", 
         SuperscriptBox[
          RowBox[{"C", "[", "2", "]"}], "2"]}], "+", 
        RowBox[{"16", " ", 
         SuperscriptBox["a", "2"], " ", 
         SuperscriptBox[
          RowBox[{"C", "[", "2", "]"}], "2"]}], "+", 
        RowBox[{"24", " ", 
         RowBox[{"C", "[", "1", "]"}], " ", 
         RowBox[{"C", "[", "3", "]"}]}], "-", 
        RowBox[{"16", " ", 
         SuperscriptBox["a", "2"], " ", 
         RowBox[{"C", "[", "1", "]"}], " ", 
         RowBox[{"C", "[", "3", "]"}]}], "-", 
        RowBox[{"2", " ", 
         RowBox[{"C", "[", "2", "]"}], " ", 
         RowBox[{"C", "[", "3", "]"}]}], "+", 
        RowBox[{"9", " ", 
         SuperscriptBox[
          RowBox[{"C", "[", "3", "]"}], "2"]}], "+", 
        RowBox[{"2", " ", "a", " ", 
         SuperscriptBox[
          RowBox[{"C", "[", "3", "]"}], "2"]}], "-", 
        RowBox[{"12", " ", 
         SuperscriptBox["a", "2"], " ", 
         SuperscriptBox[
          RowBox[{"C", "[", "3", "]"}], "2"]}]}], ")"}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"64", " ", 
       SuperscriptBox[
        RowBox[{"C", "[", "1", "]"}], "3"]}], "-", 
      RowBox[{"48", " ", 
       RowBox[{"C", "[", "1", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"C", "[", "2", "]"}], "2"]}], "+", 
      RowBox[{"8", " ", 
       SuperscriptBox[
        RowBox[{"C", "[", "2", "]"}], "3"]}], "+", 
      RowBox[{"96", " ", 
       SuperscriptBox[
        RowBox[{"C", "[", "1", "]"}], "2"], " ", 
       RowBox[{"C", "[", "3", "]"}]}], "-", 
      RowBox[{"24", " ", 
       RowBox[{"C", "[", "1", "]"}], " ", 
       RowBox[{"C", "[", "2", "]"}], " ", 
       RowBox[{"C", "[", "3", "]"}]}], "+", 
      RowBox[{"36", " ", 
       RowBox[{"C", "[", "1", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"C", "[", "3", "]"}], "2"]}], "-", 
      RowBox[{"6", " ", 
       RowBox[{"C", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"C", "[", "3", "]"}], "2"]}], "+", 
      SuperscriptBox[
       RowBox[{"C", "[", "3", "]"}], "3"]}], ")"}]}]}],
  SequenceForm[
  "The inverse of ", C[1] + $CellContext`a C[2] + $CellContext`a^2 C[3], 
   " is given by ", 
   4 (16 C[1]^2 - 16 $CellContext`a C[1] C[2] - 12 C[2]^2 + 
    16 $CellContext`a^2 C[2]^2 + 24 C[1] C[3] - 16 $CellContext`a^2 C[1] C[3] - 
    2 C[2] C[3] + 9 C[3]^2 + 2 $CellContext`a C[3]^2 - 12 $CellContext`a^2 
    C[3]^2)/(64 C[1]^3 - 48 C[1] C[2]^2 + 8 C[2]^3 + 96 C[1]^2 C[3] - 24 C[1] 
   C[2] C[3] + 36 C[1] C[3]^2 - 6 C[2] C[3]^2 + C[3]^3)],
  Editable->False]], "Print",
 CellChangeTimes->{3.442759752992625*^9}]
}, Open  ]],

Cell["Now we can perform division in this field", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["1/a", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "12"}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["a", "2"]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.4427597559145*^9}]
}, Open  ]],

Cell[TextData[{
 "In this field, the ",
 StyleBox["a",
  FontWeight->"Bold"],
 " represents the number ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}], " ", "=", " ", 
    RowBox[{"0.9396926", "..."}]}], TraditionalForm]]],
 "\n\nHave we really defined the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}], ")"}], TraditionalForm]]],
 "? Actually, we have defined the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "[", "x", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["x", "3"], " ", "-", " ", 
      RowBox[{"3", " ", 
       RowBox[{"x", " ", "/", "4"}]}], " ", "-", " ", 
      RowBox[{"1", "/", "8"}]}], ")"}]}], TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", but we can prove that these two fields are isomorphic.\n\nPROPOSITION \
14.6\nLet ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be a subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", and suppose ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " is an irreducible polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 " which has a root ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " in the larger field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Then \n\n                           ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", "w", ")"}], " ", 
    StyleBox["\[TildeTilde]",
     FontSize->16], " ", 
    RowBox[{
     RowBox[{"F", "[", "x", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"f", "(", "x", ")"}], ")"}]}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4386020205*^9, 3.43860202315625*^9}, {
  3.43860700134375*^9, 3.438607001921875*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let us consider the evaluation homomorphism ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "w"], TraditionalForm]]],
 "  which maps polynomials in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 " to elements in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "w", ")"}], TraditionalForm]]],
 ":\n\n                    ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["\[Phi]", "w"], "(", 
     RowBox[{"g", "(", "x", ")"}], ")"}], " ", "=", " ", 
    RowBox[{"g", "(", "w", ")"}]}], TraditionalForm]]],
 ".\n\nBy proposition 12.1, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "w"], TraditionalForm]]],
 "  is a ring homomorphism. The image of this homomorphism contains both ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 ", and since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "w", ")"}], TraditionalForm]]],
 " is the smallest field containing both ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 ", the image is all of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "w", ")"}], TraditionalForm]]],
 ". The kernel of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "w"], TraditionalForm]]],
 "  is the set of polynomials in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 " which have ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " as a root. But ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " is an irreducible polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 " containing ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " as a root. Thus, any polynomial in the kernel is a multiple of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 ". Thus, the kernel of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "w"], TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"f", "(", "x", ")"}], ")"}], TraditionalForm]]],
 ". Finally, by the first ring isomorphism theorem (10.2), we have that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", "w", ")"}], " ", 
    StyleBox["\[TildeTilde]",
     FontSize->16], " ", 
    RowBox[{
     RowBox[{"F", "[", "x", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"f", "(", "x", ")"}], ")"}]}]}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438602023578125*^9, 3.438602027484375*^9}, {
  3.43860703196875*^9, 3.4386070335*^9}, {3.43860784759375*^9, 
  3.43860784821875*^9}, {3.438607886703125*^9, 3.43860788834375*^9}, {
  3.439062098203125*^9, 3.43906210246875*^9}}]
}, Open  ]],

Cell[TextData[{
 "\nNotice that the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}], ")"}], TraditionalForm]]],
 " was three dimensional over ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", since the basis could be given as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", " ", "a", ",", " ", 
     SuperscriptBox["a", "2"]}], "}"}], TraditionalForm]]],
 ". Also, the irreducible polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", 
    RowBox[{"3", " ", 
     RowBox[{"x", "/", "4"}]}], " ", "-", " ", 
    RowBox[{"1", "/", "8"}]}], TraditionalForm]]],
 " was a third degree polynomial. This is not a coindidence, as we can easily \
prove.\n\nCOROLLARY 14.1\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a finite extension of a field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " be an element in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"u", ",", "x"}], ")"}]}], TraditionalForm]]],
 " has degree ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "u", ")"}], TraditionalForm]]],
 " has dimension ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4386020279375*^9, 3.43860202925*^9}, {3.438607897875*^9,
   3.438607898015625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "By proposition 14.5, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"u", ",", " ", "x"}], ")"}]}], TraditionalForm]]],
 " exists. By proposition 14.6, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "u", ")"}], TraditionalForm]]],
 " is isomorphic to the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", "x", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"f", "(", "x", ")"}], ")"}]}], TraditionalForm]]],
 ". By proposition 14.4, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", "x", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"f", "(", "x", ")"}], ")"}]}], TraditionalForm]]],
 " has dimension ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Finally, by corollary 14.3, two isomorphic extensions of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " must have the same dimension over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " provided that the isomorphism fixes the elements of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", which the isomorphism in proposition 14.6 clearly does. Thus, the \
dimension of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "u", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4386020296875*^9, 3.4386020316875*^9}, {
  3.43860790925*^9, 3.4386079675625*^9}}]
}, Open  ]],

Cell[TextData[{
 "\nNotice that we never had to tell ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", " ", "=", " ", 
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}]}], TraditionalForm]]],
 " in our definition of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}], ")"}], TraditionalForm]]],
 ". Rather, we simply told ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " that ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " satisfies the equation \n\n                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["a", "3"], " ", "=", " ", 
    RowBox[{
     RowBox[{"3", " ", 
      RowBox[{"a", "/", "4"}]}], " ", "+", " ", 
     RowBox[{"1", "/", "8."}]}]}], TraditionalForm]]],
 "\n\nBut there are two ",
 StyleBox["other",
  FontSlant->"Italic"],
 " solutions to this equation: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"-", "cos"}], 
    RowBox[{"(", 
     RowBox[{"2", " ", 
      RowBox[{"\[Pi]", "/", "9"}]}], ")"}]}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"cos", "(", 
     RowBox[{"4", " ", 
      RowBox[{"\[Pi]", "/", "9"}]}], ")"}], "."}], TraditionalForm]]],
 " How does ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " know that the field is not ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{
     RowBox[{"-", "cos"}], 
     RowBox[{"(", 
      RowBox[{"2", " ", 
       RowBox[{"\[Pi]", "/", "9"}]}], ")"}]}], ")"}], TraditionalForm]]],
 " or ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"cos", "(", 
     RowBox[{"4", " ", 
      RowBox[{"\[Pi]", "/", "9"}]}], ")"}], ")"}], TraditionalForm]]],
 "?\n\nThe answer is of course that these fields are both isomorphic to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{"cos", "(", 
      RowBox[{"\[Pi]", "/", "9"}], ")"}], ")"}], ","}], TraditionalForm]]],
 " so ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " doesn't need to know the exact value of ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ". In fact, we can prove that if we start with isomorphic fields, and extend \
both of them by two elements for which the irreducible polynomials \
correspond, then the two field extensions will be isomorphic.  \n\n\
PROPOSITION 14.7\nLet ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " be an isomorphism between a field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and a field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 " be a finite extension of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " be in ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 ". Let \n\n   ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"p", "(", "x", ")"}], " ", "=", " ", 
     RowBox[{
      SubscriptBox["c", "0"], " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "1"], "x"}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "2"], 
       SuperscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "3"], 
       SuperscriptBox["x", "3"]}], "+", " ", "\[Ellipsis]", " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "n"], 
       SuperscriptBox["x", "n"]}]}]}]}], TraditionalForm]]],
 "\n\nbe ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Irr", "K"], "(", 
    RowBox[{"u", ",", "x"}], ")"}], TraditionalForm]]],
 ". Define \n\n ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"h", "(", "x", ")"}], "=", " ", 
     RowBox[{
      RowBox[{"\[Florin]", "(", 
       SubscriptBox["c", "0"], ")"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[Florin]", "(", 
        SubscriptBox["c", "1"], ")"}], "x"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[Florin]", "(", 
        SubscriptBox["c", "2"], ")"}], 
       SuperscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[Florin]", "(", 
        SubscriptBox["c", "3"], ")"}], 
       SuperscriptBox["x", "3"]}], " ", "+", " ", "\[Ellipsis]", " ", "+", 
      " ", 
      RowBox[{
       RowBox[{"\[Florin]", "(", 
        SubscriptBox["c", "n"], ")"}], 
       SuperscriptBox["x", "n"]}]}]}]}], TraditionalForm]]],
 "\n\nwhich is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"E", "[", "x", "]"}], "."}], TraditionalForm]]],
 " Suppose there is a finite extension of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " for which there is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "x", ")"}], TraditionalForm]]],
 ", called ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 ". Then there is an isomorphism ",
 Cell[BoxData[
  FormBox["\[Mu]", TraditionalForm]]],
 " from ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "u", ")"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "(", "v", ")"}], TraditionalForm]]],
 " for which ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "u", ")"}], " ", "=", " ", "v"}], 
   TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"\[Florin]", "(", "x", ")"}]}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438602032203125*^9, 3.438602037296875*^9}, {
  3.438610005*^9, 3.438610005671875*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "By lemma 13.3, we can extend ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " to a isomorphism from ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "x", "]"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "[", "x", "]"}], TraditionalForm]]],
 ". By proposition 12.1, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "v"], TraditionalForm]]],
 "  is a ring homomorphism from ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "[", "x", "]"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"E", "(", "v", ")"}], "."}], TraditionalForm]]],
 " We can combine these homomorphisms to produce the homomorphism\n\n         \
                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "\[CenterDot]", 
    RowBox[{
     SubscriptBox["\[Phi]", "v"], ":", " ", 
     RowBox[{
      RowBox[{"K", "[", "x", "]"}], " ", "\[RightArrow]", " ", 
      RowBox[{"E", "[", "x", "]"}], " ", "\[RightArrow]", " ", 
      RowBox[{"E", "(", "v", ")"}]}]}]}], TraditionalForm]]],
 ".\n                          \nSince the isomorphism in lemma 13.3 sends ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ", we have that",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"f", "\[CenterDot]", 
        SubscriptBox["\[Phi]", "v"]}], ")"}], 
      RowBox[{"(", "x", ")"}]}], " ", "=", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[Phi]", "v"], "(", 
       RowBox[{"\[Florin]", "(", " ", "x", " ", ")"}], ")"}], " ", "=", " ", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Phi]", "v"], "(", "x", ")"}], " ", "=", " ", 
       "v"}]}]}]}], TraditionalForm]]],
 ". So ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " is in the image of this combination of homomorphisms, as well as the \
subfield ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Thus, the image of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "\[CenterDot]", 
    SubscriptBox["\[Phi]", "v"]}], TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "(", "v", ")"}], TraditionalForm]]],
 ". The kernal of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "v"], TraditionalForm]]],
 "  is the set of polynomials in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "[", "x", "]"}], TraditionalForm]]],
 " with ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " as a root. But ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "x", ")"}], TraditionalForm]]],
 " is an irreducible polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "[", "x", "]"}], TraditionalForm]]],
 " for which ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"h", "(", "v", ")"}], " ", "=", " ", "0."}], TraditionalForm]]],
 " Thus, the kernel of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "v"], TraditionalForm]]],
 "  is the ideal ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"h", "(", "x", ")"}], ")"}], "."}], TraditionalForm]]],
 " Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"h", "(", "x", ")"}], " ", "=", " ", 
     RowBox[{"\[Florin]", "(", 
      RowBox[{"p", "(", "x", ")"}], ")"}]}], ","}], TraditionalForm]]],
 " we have that the kernel of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "\[CenterDot]", 
    FormBox[
     SubscriptBox["\[Phi]", "v"],
     TraditionalForm]}], TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"p", "(", "x", ")"}], ")"}], "."}], TraditionalForm]]],
 " Thus, by the first ring isomorphism theorem (10.2),\n                      \
                             \n                ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"K", "[", "x", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"p", "(", "x", ")"}], ")"}]}], " ", 
    StyleBox["\[TildeTilde]",
     FontSize->16], " ", 
    RowBox[{"E", "(", "v", ")"}]}], TraditionalForm]]],
 ".\n                \nBy proposition 14.6, we also have  \n\n                \
  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"K", "(", "u", ")"}], " ", 
    StyleBox["\[TildeTilde]",
     FontSize->16], " ", 
    RowBox[{
     RowBox[{"K", "[", "x", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"p", "(", "x", ")"}], ")"}], " "}]}], TraditionalForm]]],
 ", \n                  \nand in this isomorphism, ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " mapped to the coset ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "+", " ", 
    RowBox[{"(", 
     RowBox[{"p", "(", "x", ")"}], ")"}]}], TraditionalForm]]],
 ". If we let ",
 Cell[BoxData[
  FormBox["\[Mu]", TraditionalForm]]],
 " be the combination of these two isomorphisms,\n\n                ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Mu]", ":", 
    RowBox[{
     RowBox[{"K", "(", "u", ")"}], " ", "\[RightArrow]", " ", 
     RowBox[{
      RowBox[{"K", "[", "x", "]"}], "/", 
      RowBox[{"(", 
       RowBox[{"p", "(", "x", ")"}], ")"}]}], " ", "\[RightArrow]", " ", 
     RowBox[{"E", "(", "v", ")"}]}]}], TraditionalForm]]],
 Cell[BoxData[
  FormBox[" ", TraditionalForm]]],
 ",\n                \nthen",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"\[Mu]", "(", "u", ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[Phi]", "v"], "(", 
       RowBox[{"\[Florin]", "(", " ", "x", " ", ")"}], ")"}], " ", "=", " ", 
      "v"}]}]}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"\[Florin]", "(", "x", ")"}]}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43860203771875*^9, 3.438602057125*^9}, {
  3.438610040984375*^9, 3.43861011478125*^9}, {3.439062110375*^9, 
  3.43906211125*^9}, {3.4420630911514997`*^9, 3.4420631532452497`*^9}}]
}, Open  ]],

Cell[TextData[{
 "\nThe usual application of this proposition is when ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " are the same field, as in the case ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}], ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{
     RowBox[{"-", "cos"}], 
     RowBox[{"(", 
      RowBox[{"2", " ", 
       RowBox[{"\[Pi]", "/", "9"}]}], ")"}]}], ")"}], TraditionalForm]]],
 ". In which case we not only can prove that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}], ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{
     RowBox[{"-", "cos"}], 
     RowBox[{"(", 
      RowBox[{"2", " ", 
       RowBox[{"\[Pi]", "/", "9"}]}], ")"}]}], ")"}], TraditionalForm]]],
 " are isomorphic, but we can impose further conditions on the isomorphism.\n\
\nCOROLLARY 14.2\nIf ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a finite extension of a field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " are two elements in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"u", ",", " ", "x"}], ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"v", ",", " ", "x"}], ")"}]}], TraditionalForm]]],
 ", then there is an isomorphism ",
 Cell[BoxData[
  FormBox["\[Mu]", TraditionalForm]]],
 " between ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "u", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "v", ")"}], TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "u", ")"}], " ", "=", " ", "v"}], 
   TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "x", ")"}], " ", "=", " ", "x"}], 
   TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43860205796875*^9, 3.438602058375*^9}, {
  3.438610184734375*^9, 3.4386101863125*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We simply let ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " be the identity mapping from ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " to itself, and use proposition 14.7. Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "x", ")"}], TraditionalForm]]],
 " are both equal to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Irr", "F"], "(", 
    RowBox[{"u", ",", "x"}], ")"}], TraditionalForm]]],
 ".   Since ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " is another root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"h", "(", "x", ")"}], ","}], TraditionalForm]]],
 " the conclusion follows from the conclusion of proposition 14.7."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4386020588125*^9, 3.43860206*^9}, {3.438610210484375*^9,
   3.43861023984375*^9}}]
}, Open  ]],

Cell[TextData[{
 "\nWe discovered in corollary 13.2 that for every finite field could be \
expressed in the form ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Z", "p"], "[", "x", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"f", "(", "x", ")"}], ")"}]}], TraditionalForm]]],
 ", with ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " an irreducible polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "p"], "[", "x", "]"}], TraditionalForm]]],
 ". We now can see that every finite extension of a field, finite or \
infinite, can be represented in the form ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "/", 
    RowBox[{"(", 
     RowBox[{"f", "(", "x", ")"}], ")"}]}], TraditionalForm]]],
 " for some polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ". This will allow us to enter any finite extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 " into ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " or GAP using the same technique that was used for finite fields. "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43860206046875*^9, 3.438602063*^9}, {
  3.438610268484375*^9, 3.438610271375*^9}, {3.4420631889171247`*^9, 
  3.4420632753077497`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Splitting Fields", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We have already seen that given an irreducible polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ", we can construct a field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", "x", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"f", "(", "x", ")"}], ")"}]}], TraditionalForm]]],
 " for which ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " has a root in this new field. This raises an interesting question: can we \
construct a field for which ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " factors ",
 StyleBox["completely",
  FontSlant->"Italic"],
 " in the new field? Let us demonstrate with some examples.\n\nLet ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["x", "3"], " ", "+", " ", 
     SuperscriptBox["x", "2"], " ", "-", " ", 
     RowBox[{"2", " ", "x"}], " ", "-", " ", "1."}]}], TraditionalForm]]],
 "\n\nWe begin by showing that this polynomial is irreducible over the \
rationals."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928203171875*^9, 3.43792820728125*^9}}],

Cell[CellGroupData[{

Cell["Factor[x^3 + x^2 - 2 x - 1]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437928207765625*^9, 3.437928208203125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "1"}], "-", 
  RowBox[{"2", " ", "x"}], "+", 
  SuperscriptBox["x", "2"], "+", 
  SuperscriptBox["x", "3"]}]], "Output",
 CellChangeTimes->{3.442759793242625*^9}]
}, Open  ]],

Cell[TextData[{
 "Unless otherwise specified, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " will factor polynomials over the field ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ". The output is unchanged, indicating that there is no factorization.\n\nIf \
",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " is one root of this polynomial, we can define ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " as follows:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4420632932764997`*^9, 3.4420632940889997`*^9}}],

Cell["\<\
InitDomain[0]
Define[a^3, - a^2 + 2 a + 1]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "This define the ring with characteristic 0, and containing an element with \
",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["a", "3"], " ", "+", " ", 
     SuperscriptBox["a", "2"], " ", "-", " ", 
     RowBox[{"2", " ", "a"}], " ", "-", " ", "1"}], " ", "=", " ", "0."}], 
   TraditionalForm]]],
 "\n\nTo see if the polynomial factors in this new field, we include the \
variable ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " as a second parameter of the factor command:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4420633287608747`*^9, 3.4420633442921247`*^9}}],

Cell[CellGroupData[{

Cell["Factor[x^3 + x^2 - 2 x - 1,a]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.43792820871875*^9, 3.437928209125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "-", 
    SuperscriptBox["a", "2"], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", "a", "+", 
    SuperscriptBox["a", "2"], "+", "x"}], ")"}]}]], "Output",
 CellChangeTimes->{3.442759797086375*^9}]
}, Open  ]],

Cell[TextData[{
 "This shows that the polynomial factors completely in the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 ". Recall that this is very similar to the case of finite fields.\n\n\
EXPERIMENT:\nNote that the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SuperscriptBox["x", "2"],
     TraditionalForm], " ", "+", " ", 
    RowBox[{"4", " ", "x"}], " ", "+", " ", "2"}], TraditionalForm]]],
 " does not factor over the rationals."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379282105625*^9, 3.437928221046875*^9}, {
  3.4386020634375*^9, 3.438602070453125*^9}}],

Cell[CellGroupData[{

Cell["Factor[x^2 + 4 x + 2]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437928221546875*^9, 3.43792822184375*^9}}],

Cell[BoxData[
 RowBox[{"2", "+", 
  RowBox[{"4", " ", "x"}], "+", 
  SuperscriptBox["x", "2"]}]], "Output",
 CellChangeTimes->{3.442759803898875*^9}]
}, Open  ]],

Cell[TextData[{
 "See if this polynomial factors in the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", " ", 
    SqrtBox["2"], ")"}], TraditionalForm]]],
 ". First define the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    SqrtBox["2"], ")"}], TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " with the commands:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
InitDomain[0]
Define[a^2,2]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Now use the factor command to see if ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", " ", 
    RowBox[{"4", " ", "x"}], " ", "+", " ", "2"}], TraditionalForm]]],
 " factors in this new field."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792822240625*^9, 3.43792822278125*^9}}],

Cell[BoxData[" "], "Input"],

Cell[TextData[{
 "Now look at another example. Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", " ", "=", " ", 
    RowBox[{
     RadicalBox["2", "3"], "."}]}], TraditionalForm]]],
 " The irreducible polynomial for ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], " ", "-", " ", "2"}], TraditionalForm]]],
 ", so we can define the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 " by the commands:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928223625*^9, 3.437928223625*^9}}],

Cell["\<\
InitDomain[0]
Define[a^3,2]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Does the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", "2"}], TraditionalForm]]],
 " factor completely in this new field? Let's try it."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792822425*^9, 3.43792822425*^9}}],

Cell[CellGroupData[{

Cell["Factor[x^3 - 2, a]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.437928224828125*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox["a", "2"], "+", 
    RowBox[{"a", " ", "x"}], "+", 
    SuperscriptBox["x", "2"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.442759808430125*^9}]
}, Open  ]],

Cell[TextData[{
 "This polynomial of course factors, since ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " is defined to be a root. But it did not factor completely, as the \
polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "+", " ", 
    SuperscriptBox["x", "2"], " ", "-", " ", 
    RowBox[{"2", " ", "x"}], " ", "-", " ", "1"}], TraditionalForm]]],
 " did. Rather, there is a quadratic term ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", " ", 
    RowBox[{"a", " ", "x"}], " ", "+", " ", 
    SuperscriptBox["a", "2"]}], TraditionalForm]]],
 ". How can we get the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", "2"}], TraditionalForm]]],
 " to factor completely into linear terms? We can define a new element, ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 ", to be a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", " ", 
    RowBox[{"a", " ", "x"}], " ", "+", " ", 
    SuperscriptBox["a", "2"]}], TraditionalForm]]],
 ". That is, ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["b", "2"], TraditionalForm]]],
 " must be ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["a", "2"]}], " ", "-", " ", 
    RowBox[{"a", " ", 
     RowBox[{"b", "."}]}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792822540625*^9, 3.4379282288125*^9}}],

Cell["Define[b^2, -a^2 - a b]", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "We can now factor ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", "2"}], TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792822940625*^9, 3.43792822940625*^9}}],

Cell[CellGroupData[{

Cell["Factor[x^3 - 2, a, b]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.437928229984375*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "b"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"a", "+", "b", "+", "x"}], ")"}]}]], "Output",
 CellChangeTimes->{3.442759812023875*^9}]
}, Open  ]],

Cell[TextData[{
 "Notice that",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}]}], TraditionalForm]]],
 " is a three dimensional extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 " is a two dimensional extension of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 ". Thus, by proposition 14.2, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 " is a six dimensional extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", with basis ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", " ", "a", ",", " ", 
      SuperscriptBox["a", "2"], ",", " ", "b", ",", " ", 
      RowBox[{"a", " ", "b"}], ",", " ", 
      RowBox[{
       SuperscriptBox["a", "2"], " ", "b"}]}], "}"}], "."}], 
   TraditionalForm]]],
 "  \n\nEXPERIMENT:                 \nProve that the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "2"], " ", "+", " ", 
     RowBox[{"a", " ", "x"}], " ", "+", " ", 
     SuperscriptBox["a", "2"]}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["x", "2"], " ", "+", " ", 
     RowBox[{
      RadicalBox["2", "3"], " ", "x"}], " ", "+", " ", 
     RadicalBox["4", "3"]}]}], TraditionalForm]]],
 " is irreducible in the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", " ", 
    RadicalBox["2", "3"], " ", ")"}], TraditionalForm]]],
 " by showing that the roots are complex."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928232734375*^9, 3.437928233921875*^9}, {
  3.43861048375*^9, 3.438610485203125*^9}}],

Cell["    ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Here is one more example which is rather long, but it is an important \
example since we will be refering to it later. Consider the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "-", " ", "x", " ", "+", " ", "1"}], 
   TraditionalForm]]],
 ". We can verify that this is irreducible over the rational numbers with ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928234640625*^9, 3.437928235078125*^9}, {
  3.438610518765625*^9, 3.438610519265625*^9}}],

Cell[CellGroupData[{

Cell["Factor[x^4 - x + 1]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437928235765625*^9, 3.437928236125*^9}, {
  3.43861058846875*^9, 3.438610588796875*^9}, {3.442759814711375*^9, 
  3.442759816023875*^9}}],

Cell[BoxData[
 RowBox[{"1", "-", "x", "+", 
  SuperscriptBox["x", "4"]}]], "Output",
 CellChangeTimes->{3.438610591328125*^9, 3.438610706421875*^9, 
  3.442759817430125*^9}]
}, Open  ]],

Cell[TextData[{
 "Let us force ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " to be a root of this polynomial"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
InitDomain[0]
Define[a^4, a - 1]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4386106005625*^9, 3.4386106011875*^9}}],

Cell[TextData[{
 "We can now factor ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "-", " ", "x", " ", "+", " ", "1"}], 
   TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928236578125*^9, 3.437928237015625*^9}, {
  3.438610611921875*^9, 3.438610611921875*^9}}],

Cell[CellGroupData[{

Cell["Factor[x^4 - x + 1, a]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437928237453125*^9, 3.43792823784375*^9}, {
  3.438610614484375*^9, 3.438610614921875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    SuperscriptBox["a", "3"], "+", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", "x"}], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["x", "2"]}], "+", 
    SuperscriptBox["x", "3"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.43861061703125*^9, 3.438610711140625*^9, 
  3.442759821680125*^9}]
}, Open  ]],

Cell[TextData[{
 "This leaves a third degree polynomial still unfactored, so\nwe will define \
",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " to be a root of this third degree polynomial."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438610629078125*^9, 3.438610636265625*^9}}],

Cell["Define[b^3, 1 - a^3 - a^2 b - a b^2]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.438610641015625*^9, 3.4386106881875*^9}}],

Cell[TextData[{
 "We can factor ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "-", " ", "x", " ", "+", " ", "1"}], 
   TraditionalForm]]],
 " over the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928238328125*^9, 3.437928238734375*^9}, {
  3.438610724390625*^9, 3.438610724390625*^9}}],

Cell[CellGroupData[{

Cell["Factor[x^4 - x + 1, a, b]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437928239171875*^9, 3.437928239546875*^9}, {
  3.43861071815625*^9, 3.438610718546875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "b"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox["a", "2"], "+", 
    RowBox[{"a", " ", "b"}], "+", 
    SuperscriptBox["b", "2"], "+", 
    RowBox[{"a", " ", "x"}], "+", 
    RowBox[{"b", " ", "x"}], "+", 
    SuperscriptBox["x", "2"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.4386107269375*^9, 3.442759824555125*^9}]
}, Open  ]],

Cell[TextData[{
 "This still leaves an unfactored quadratic. Let ",
 Cell[BoxData[
  FormBox["c", TraditionalForm]]],
 " be a root of this cubic."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438610734*^9, 3.438610737203125*^9}}],

Cell["\<\
Define[c^2, - a^2 - a b - b^2 
         - a c - b c]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.438610741*^9, 3.438610782015625*^9}}],

Cell[TextData[{
 "We now can factor ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], " ", "-", " ", "x", " ", "+", " ", "1"}], 
   TraditionalForm]]],
 " over the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{"a", ",", "b", ",", "c"}], ")"}], "."}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379282400625*^9, 3.43792824046875*^9}, {
  3.438610794609375*^9, 3.438610794609375*^9}}],

Cell[CellGroupData[{

Cell["Factor[x^4 - x + 1, a, b, c]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4379282409375*^9, 3.43792824140625*^9}, {
  3.438610803984375*^9, 3.43861080434375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "b"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "c"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"a", "+", "b", "+", "c", "+", "x"}], ")"}]}]], "Output",
 CellChangeTimes->{{3.438610800515625*^9, 3.438610804859375*^9}, 
   3.442759827477*^9}]
}, Open  ]],

Cell[TextData[{
 "We finally did it! Notice that the dimension of the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b", ",", "c"}], ")"}], TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"4", "\[CenterDot]", "3", "\[CenterDot]", "2"}], " ", "=", " ", 
    "24."}], TraditionalForm]]],
 " It is easy to see from this example that this procedure can be carried out \
over any polynomial.   "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792825003125*^9, 3.4379282526875*^9}, {
  3.4386108384375*^9, 3.43861085540625*^9}, {3.438610903421875*^9, 
  3.438610903546875*^9}}],

Cell[TextData[{
 "EXPERIMENT:\n\nTry the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "-", "x", "+", "1"}], TraditionalForm]]],
 ".   How many extensions does it take before this polynomial finally factors \
completely?               \n             \nLEMMA 14.4\nLet ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be a field, and let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " be a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 " of degree a whose leading coeffient is ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["c", "n"], TraditionalForm]]],
 ". Then there is a finite extension ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " such that\n\n    ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox["c", "n"], "\[CenterDot]", 
       RowBox[{"(", 
        RowBox[{"x", " ", "-", " ", 
         SubscriptBox["u", "1"]}], ")"}], "\[CenterDot]", 
       RowBox[{"(", 
        RowBox[{"x", " ", "-", " ", 
         SubscriptBox["u", "2"]}], ")"}], "\[CenterDot]", 
       RowBox[{"(", 
        RowBox[{"x", " ", "-", " ", 
         SubscriptBox["u", "3"]}], ")"}]}], 
      RowBox[{
       RowBox[{"\[CenterEllipsis]", "(", 
        RowBox[{"x", " ", "-", " ", 
         SubscriptBox["u", "n"]}], ")"}], "."}]}]}]}], TraditionalForm]]],
 "\n\nwhere ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["u", "1"], ",", " ", 
    SubscriptBox["u", "2"], ",", " ", 
    SubscriptBox["u", "3"], ",", " ", 
    RowBox[{"\[Ellipsis]", " ", 
     SubscriptBox["u", "n"]}]}], TraditionalForm]]],
 "  are elements in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Furthermore, the dimension of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is at most ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"n", "!"}], "."}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792825003125*^9, 3.4379282526875*^9}, {
  3.4386108384375*^9, 3.438610940546875*^9}, {3.438610989828125*^9, 
  3.438610991078125*^9}, {3.4420625769483747`*^9, 3.4420625772764997`*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "The proof is by induction on ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", "1"}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " is a linear function, so its only root is in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Thus ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", "F"}], TraditionalForm]]],
 ", and the degree of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"1", " ", "=", " ", 
    RowBox[{
     RowBox[{"1", "!"}], "."}]}], TraditionalForm]]],
 "\n\nSuppose that this is true for polynomials of degree less than ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " be an irreducible factor of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 ", and consider the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", " ", "=", " ", 
    RowBox[{
     RowBox[{"F", "[", "x", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"p", "(", "x", ")"}], ")"}]}]}], TraditionalForm]]],
 ". By proposition 14.4, ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " is a finite extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " whose dimension over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is the degree of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 ", which is at most ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SubscriptBox["u", "n"],
     TraditionalForm], " ", "=", " ", 
    RowBox[{"x", " ", "+", " ", 
     RowBox[{"(", 
      RowBox[{"p", "(", "x", ")"}], ")"}]}]}], TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", and since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " is a factor of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], ","}], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"x", " ", "-", " ", 
     SubscriptBox["u", "n"]}], ")"}], TraditionalForm]]],
 " is a factor of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Thus, we can write ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"g", "(", "x", ")"}], "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"x", " ", "-", " ", 
       SubscriptBox["u", "n"]}], ")"}]}]}], TraditionalForm]]],
 " for some ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "[", "x", "]"}], TraditionalForm]]],
 ". Note that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " has degree ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"n", "-", "1"}], ")"}], ","}], TraditionalForm]]],
 " and has the same leading coefficient as ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], "."}], TraditionalForm]]],
 " Thus, we can use the induction hypothesis to show that there is a field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " which is a finite extension of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " of dimension at most ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"n", "-", "1"}], ")"}], "!"}], TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " factors completely  as\n \n    ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
     RowBox[{
      SubscriptBox["c", "n"], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        SubscriptBox["u", "1"]}], ")"}], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        SubscriptBox["u", "2"]}], ")"}], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        SubscriptBox["u", "3"]}], ")"}], "\[CenterDot]", "\[CenterEllipsis]", 
      "\[CenterDot]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"x", " ", "-", " ", 
         SubscriptBox["u", 
          RowBox[{"n", "-", "1"}]]}], " ", ")"}], "."}]}]}]}], 
   TraditionalForm]]],
 "\n\nThus, \n\n     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["c", "n"], "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"x", " ", "-", " ", 
       SubscriptBox["u", "1"]}], ")"}], "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"x", " ", "-", " ", 
       SubscriptBox["u", "2"]}], ")"}], "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"x", " ", "-", " ", 
       SubscriptBox["u", "3"]}], ")"}], "\[CenterDot]", 
     RowBox[{"\[CenterEllipsis]", "(", 
      RowBox[{"x", " ", "-", " ", 
       SubscriptBox["u", 
        RowBox[{"n", "-", "1"}]]}], ")"}], "\[CenterDot]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        SubscriptBox["u", "n"]}], ")"}], "."}]}]}], TraditionalForm]]],
 "\n\nBy proposition 14.2, the dimension of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is the product of the dimension of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " times the dimension of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Thus, the dimension of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is at most ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"n", "\[CenterDot]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"n", "-", "1"}], ")"}], "!"}]}], " ", "=", " ", 
    RowBox[{
     RowBox[{"n", "!"}], "."}]}], TraditionalForm]]]
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928253453125*^9, 3.437928266890625*^9}, {
  3.43861104096875*^9, 3.438611041515625*^9}, {3.43861107946875*^9, 
  3.4386110811875*^9}}]
}, Open  ]],

Cell[TextData[{
 "\nDEFINITION 14.8:\nIf ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a field for which the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 " factors as\n\n     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
     RowBox[{
      SubscriptBox["c", "n"], "\[CenterDot]", " ", 
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        SubscriptBox["u", "1"]}], ")"}], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        SubscriptBox["u", "2"]}], ")"}], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        SubscriptBox["u", "3"]}], ")"}], "\[CenterDot]", "\[Ellipsis]", 
      "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        SubscriptBox["u", "n"]}], ")"}]}]}], ","}], TraditionalForm]]],
 "\n\nThen the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", 
    RowBox[{
     SubscriptBox["u", "1"], ",", " ", 
     SubscriptBox["u", "2"], ",", " ", 
     SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["u", "n"]}], ")"}], TraditionalForm]]],
 " is called a ",
 StyleBox["splitting field",
  FontSlant->"Italic"],
 " for the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 ".\n\nFor example, the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "+", " ", 
    SuperscriptBox["x", "2"], " ", "-", " ", 
    RowBox[{"2", " ", "x"}], " ", "-", " ", "1"}], TraditionalForm]]],
 " was found to be ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " is one root of the polynomial. Thus, the splitting field is a three \
dimensional extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ". The splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", "2"}], TraditionalForm]]],
 " turned out to be a six dimensional extension of \[DoubleStruckCapitalQ]. \
The splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "-", " ", "x", " ", "+", " ", "1"}], 
   TraditionalForm]]],
 " turned out to be a 24 dimensional extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", and the experiment shows that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "-", "x", "+", "1"}], TraditionalForm]]],
 " is a 120 dimensional extension of \[DoubleStruckCapitalQ]. Lemma 14.4 \
points out that this is the largest possible dimension of a fifth degree \
polynomial.\n\nLet us look at one more example which is rather interesting. \
Consider the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "-", " ", 
    RowBox[{"5", " ", "x"}], " ", "+", " ", "12"}], TraditionalForm]]],
 ". We first show that this is irreducible over the rationals:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928267328125*^9, 3.43792827446875*^9}, {
  3.4386110914375*^9, 3.4386110934375*^9}, {3.438611138*^9, 
  3.43861120196875*^9}, {3.4420625894483747`*^9, 3.4420625897764997`*^9}}],

Cell[CellGroupData[{

Cell["Factor[x^5 - 5 x + 12]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437928274890625*^9, 3.437928275296875*^9}}],

Cell[BoxData[
 RowBox[{"12", "-", 
  RowBox[{"5", " ", "x"}], "+", 
  SuperscriptBox["x", "5"]}]], "Output",
 CellChangeTimes->{3.442759836102*^9}]
}, Open  ]],

Cell["Let us define a to be one root of this polynomial", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
InitDomain[0]
Define[a^5, 5 a - 12]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.442759841555125*^9, 3.44275984257075*^9}}],

Cell[TextData[{
 "Can we factor ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "-", " ", 
    RowBox[{"5", " ", "x"}], " ", "+", " ", "12"}], TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 "? Let's see."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792827815625*^9, 3.437928278578125*^9}}],

Cell[CellGroupData[{

Cell["Factor[x^5 - 5 x + 12, a]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437928279046875*^9, 3.437928279453125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "-", 
    FractionBox[
     RowBox[{"5", " ", "a"}], "4"], "-", 
    FractionBox[
     SuperscriptBox["a", "2"], "4"], "-", 
    FractionBox[
     SuperscriptBox["a", "3"], "4"], "-", 
    FractionBox[
     SuperscriptBox["a", "4"], "4"], "+", "x", "+", 
    FractionBox[
     RowBox[{"3", " ", "a", " ", "x"}], "4"], "-", 
    FractionBox[
     RowBox[{
      SuperscriptBox["a", "2"], " ", "x"}], "4"], "-", 
    FractionBox[
     RowBox[{
      SuperscriptBox["a", "3"], " ", "x"}], "4"], "-", 
    FractionBox[
     RowBox[{
      SuperscriptBox["a", "4"], " ", "x"}], "4"], "+", 
    SuperscriptBox["x", "2"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    FractionBox["a", "2"], "-", 
    FractionBox[
     SuperscriptBox["a", "3"], "2"], "-", "x", "+", 
    FractionBox[
     RowBox[{"a", " ", "x"}], "4"], "+", 
    FractionBox[
     RowBox[{
      SuperscriptBox["a", "2"], " ", "x"}], "4"], "+", 
    FractionBox[
     RowBox[{
      SuperscriptBox["a", "3"], " ", "x"}], "4"], "+", 
    FractionBox[
     RowBox[{
      SuperscriptBox["a", "4"], " ", "x"}], "4"], "+", 
    SuperscriptBox["x", "2"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.4420634146202497`*^9, 3.4420638591358747`*^9, 
  3.44275984475825*^9}]
}, Open  ]],

Cell[TextData[{
 "Rather than having an irreducible forth degree equation as we did in the \
polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "5"], "-", " ", "x", " ", "+", " ", "1"}], ","}], 
   TraditionalForm]]],
 " the polynomial factored into two irreducible quadratic equations. Let us \
define ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " to be a root of the second of the two quadratics, since this one is \
simplier."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928288234375*^9, 3.4379282886875*^9}, {
  3.438611337890625*^9, 3.438611339609375*^9}, {3.4420638347921247`*^9, 
  3.4420638547921247`*^9}, {3.4420640954952497`*^9, 3.4420640990108747`*^9}}],\


Cell["Define[b^2, 1 + a/2 + a^3/2 + b - (a + a^2 + a^3 + a^4) b/4]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4420637947608747`*^9, 3.4420638137452497`*^9}}],

Cell[TextData[{
 "Can we factor ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "-", " ", 
    RowBox[{"5", " ", "x"}], " ", "+", " ", "12"}], TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 "? "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928289296875*^9, 3.437928289734375*^9}}],

Cell[CellGroupData[{

Cell["Factor[x^5 - 5 x + 12, a, b]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437928290265625*^9, 3.437928290546875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "b"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    FractionBox["a", "4"], "+", 
    FractionBox[
     SuperscriptBox["a", "2"], "4"], "+", 
    FractionBox[
     SuperscriptBox["a", "3"], "4"], "+", 
    FractionBox[
     SuperscriptBox["a", "4"], "4"], "+", "b", "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    FractionBox["3", "2"], "+", 
    FractionBox["a", "4"], "-", 
    FractionBox[
     SuperscriptBox["a", "2"], "4"], "-", 
    FractionBox[
     SuperscriptBox["a", "3"], "4"], "-", 
    FractionBox[
     SuperscriptBox["a", "4"], "4"], "-", 
    FractionBox["b", "2"], "-", 
    FractionBox[
     RowBox[{"a", " ", "b"}], "2"], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", "2"]}], "+", 
    FractionBox["a", "2"], "+", 
    FractionBox["b", "2"], "+", 
    FractionBox[
     RowBox[{"a", " ", "b"}], "2"], "+", "x"}], ")"}]}]], "Output",
 CellChangeTimes->{3.4420634398858747`*^9, 3.4420638654014997`*^9, 
  3.4427598569145*^9}]
}, Open  ]],

Cell[TextData[{
 "This time the polynomial factored completely. Thus, we have found a \
splitting field for the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], " ", "-", " ", 
    RowBox[{"5", " ", "x"}], " ", "+", " ", "12"}], TraditionalForm]]],
 ". Note that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 " is a five dimensional extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 " is a two dimensional extension of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 ". Thus, by proposition 14.2, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 " is only a ten dimensional extension of \[DoubleStruckCapitalQ], far less \
than the maximum dimension of 120. \n\nThis example raises the obvious \
question: What if we let ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " be a root of the ",
 StyleBox["first",
  FontSlant->"Italic"],
 " irreducible polynomial instead of the second? Would we get the same \
splitting field? We would like to prove that the splitting fields are in fact \
uniquely determined up to isomorphism. It is actually easier to prove a \
stonger statement for which we can use the principle of induction. \n\n\
PROPOSITION 14.8\nLet ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " be an isomorphism from the field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " to a field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Let\n\n    ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["c", "0"], "+", " ", 
     RowBox[{
      SubscriptBox["c", "1"], " ", "x"}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "2"], 
      SuperscriptBox["x", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "3"], 
      SuperscriptBox["x", "3"]}], "+", " ", "\[Ellipsis]", " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "n"], 
      SuperscriptBox["x", "n"]}]}]}], TraditionalForm]]],
 "\n\nbe a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ". Then\n\n ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"\[Phi]", "(", 
       SubscriptBox["c", "0"], ")"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[Phi]", "(", 
        SubscriptBox["c", "1"], ")"}], "x"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[Phi]", "(", 
        SubscriptBox["c", "2"], ")"}], 
       SuperscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[Phi]", "(", 
        SubscriptBox["c", "3"], ")"}], 
       SuperscriptBox["x", "3"]}], "+", " ", "\[Ellipsis]", " ", "+", " ", 
      RowBox[{
       RowBox[{"\[Phi]", "(", 
        SubscriptBox["c", "n"], ")"}], 
       SuperscriptBox["x", "n"]}]}]}]}], TraditionalForm]]],
 "\n\nis a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"E", "[", "x", "]"}], "."}], TraditionalForm]]],
 " Suppose that ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 " is a splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Then there is an isomorphism ",
 Cell[BoxData[
  FormBox["\[Mu]", TraditionalForm]]],
 " from ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ", such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"\[Phi]", "(", "x", ")"}]}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928291109375*^9, 3.437928297765625*^9}, {
  3.438611327078125*^9, 3.438611356890625*^9}, {3.4420638849796247`*^9, 
  3.4420638912608747`*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "If ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " has degree 1, then the roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " are in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and the roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " are in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", "E"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"L", " ", "=", " ", "F"}], TraditionalForm]]],
 ", and so the function ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"\[Phi]", "(", "x", ")"}]}], TraditionalForm]]],
 " satisfies the necessary conditions. \n\nLet us use induction on the degree \
of the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 ". That is, we will assume that the proposition is true for all polynomials \
of degree ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"n", "-", "1"}], ")"}], "."}], TraditionalForm]]],
 " By lemma 13.3, the isomorphism ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " extends to an isomorphism from ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", " ", "[", "x", "]"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "[", "x", "]"}], TraditionalForm]]],
 " in such a way that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"x", "."}]}], TraditionalForm]]],
 " Thus, if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " is an irreducible factor of the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], ","}], TraditionalForm]]],
 " then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", 
    RowBox[{"p", "(", "x", ")"}], ")"}], TraditionalForm]]],
 " is an irreducible factor of the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      RowBox[{"f", "(", "x", ")"}], ")"}], "."}]}], TraditionalForm]]],
 " Note that every root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " is also a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 ", so that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " factors completely in the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Likewise, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", 
    RowBox[{"p", "(", "x", ")"}], ")"}], TraditionalForm]]],
 " factors completely in the field ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ".\n\nLet ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " be a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " be a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", 
    RowBox[{"p", "(", "x", ")"}], ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ". By proposition 14.7, there is an isomorphism ",
 Cell[BoxData[
  FormBox["\[Theta]", TraditionalForm]]],
 " mapping ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "u", ")"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "(", "v", ")"}], TraditionalForm]]],
 ", such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Theta]", "(", "u", ")"}], " ", "=", " ", "v"}], 
   TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Theta]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"\[Phi]", "(", "x", ")"}]}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". \n\nSince ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 ", we can write ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"x", " ", "-", " ", "u"}], ")"}], "\[CenterDot]", 
     RowBox[{"h", "(", "x", ")"}]}]}], TraditionalForm]]],
 ", with ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"F", "(", "u", ")"}], "[", "x", "]"}], "."}], 
   TraditionalForm]]],
 " Then\n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      RowBox[{"f", "(", "x", ")"}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"\[Theta]", "(", 
       RowBox[{"f", "(", "x", ")"}], ")"}], " ", "=", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Theta]", "(", 
         RowBox[{"x", " ", "-", " ", "u"}], ")"}], "\[CenterDot]", 
        RowBox[{"\[Theta]", "(", 
         RowBox[{"h", "(", "x", ")"}], ")"}]}], " ", "=", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"x", " ", "-", " ", "v"}], ")"}], "\[CenterDot]", 
        RowBox[{
         RowBox[{"\[Theta]", "(", 
          RowBox[{"h", "(", "x", ")"}], ")"}], "."}]}]}]}]}]}], 
   TraditionalForm]]],
 "\n\nSince ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "x", ")"}], TraditionalForm]]],
 " has degree ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"n", "-", "1"}], ")"}], TraditionalForm]]],
 ", we can use the induction hypothesis. Obviously ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "x", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "u", ")"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 " is the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Theta]", "(", 
    RowBox[{"h", "(", "x", ")"}], ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"E", "(", "v", ")"}], "."}], TraditionalForm]]],
 " Thus, by the induction hypothesis the proposition is true for the \
polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"h", "(", "x", ")"}], ","}], TraditionalForm]]],
 " so there is an isomorphism ",
 Cell[BoxData[
  FormBox["\[Mu]", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"\[Theta]", "(", "x", ")"}]}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "u", ")"}], TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Theta]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"\[Phi]", "(", "x", ")"}]}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ",\nwe have found an isomorphism with the necessary properties."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379282985*^9, 3.43792831584375*^9}, {
  3.438611406359375*^9, 3.4386114069375*^9}, {3.438611439109375*^9, 
  3.4386114398125*^9}}]
}, Open  ]],

Cell[TextData[{
 "We can use this proposition to show that indeed the splitting field of a \
polynomial is uniquely determined up to isomorphism.\n\nCOROLLARY 14.3\nIf ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " is a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ", then all splitting fields of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " are isomorphic."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379283163125*^9, 3.437928320515625*^9}, {
  3.4386115891875*^9, 3.43861158934375*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Simply let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", " ", "=", " ", "E"}], TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "x", ")"}], " ", "=", " ", "x"}], 
   TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Then by proposition 14.8, any two splitting fields of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"g", "(", "x", ")"}]}], TraditionalForm]]],
 " will be isomorphic."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928321140625*^9, 3.4379283215625*^9}, {
  3.438611598*^9, 3.438611598703125*^9}}]
}, Open  ]],

Cell[TextData[{
 "In section 13.3, we studied the properties of cyclotomic polynomials. It \
will be important later on to determine the splitting fields of these \
polynomials. Let us look at a few examples to see if we can determine a \
pattern. \n\nThe seventh cyclotomic polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[CapitalPhi]", "7"], "(", "x", ")"}], TraditionalForm]]],
 " is given as"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928326703125*^9, 3.437928326703125*^9}}],

Cell[CellGroupData[{

Cell["Cyclotomic[9,x]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{
  3.437928327515625*^9, {3.43861164125*^9, 3.438611641640625*^9}}],

Cell[BoxData[
 RowBox[{"1", "+", 
  SuperscriptBox["x", "3"], "+", 
  SuperscriptBox["x", "6"]}]], "Output",
 CellChangeTimes->{3.438611650421875*^9, 3.442759865055125*^9}]
}, Open  ]],

Cell[TextData[{
 "If we can let ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " be a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "6"], "+", " ", 
    SuperscriptBox["x", "5"], "+", " ", 
    SuperscriptBox["x", "4"], "+", " ", 
    SuperscriptBox["x", "3"], "+", " ", 
    SuperscriptBox["x", "2"], "+", " ", "x", "+", " ", "1"}], 
   TraditionalForm]]],
 " by the commands"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379283279375*^9, 3.43792832934375*^9}}],

Cell["\<\
InitDomain[0]
Define[a^6, -1-a^3]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.43861166590625*^9, 3.438611667921875*^9}, {
  3.44275986625825*^9, 3.442759867305125*^9}}],

Cell[TextData[{
 "We finally can see if the cyclotomic polynomial factors in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Factor[x^6  + x^3 + 1, a]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437928332453125*^9, 3.437928333515625*^9}, {
  3.438611672484375*^9, 3.438611676578125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["a", "2"]}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["a", "4"]}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"a", "+", 
    SuperscriptBox["a", "4"], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["a", "5"]}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox["a", "2"], "+", 
    SuperscriptBox["a", "5"], "+", "x"}], ")"}]}]], "Output",
 CellChangeTimes->{3.438611678875*^9, 3.442759870523875*^9}]
}, Open  ]],

Cell[TextData[{
 "This shows us that the splitting field of the ninth cyclotomic polynomial \
is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 ", which is a six dimensional extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ".\n\nEXPERIMENT:\nFind the splitting field of  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     RowBox[{
      RowBox[{
       SubscriptBox["\[CapitalPhi]", "8"], "(", "x", ")"}], " ", "=", " "}],
     TraditionalForm], " ", 
    RowBox[{
     FormBox[
      RowBox[{
       SuperscriptBox["x", "4"], "+", " ", "1"}],
      TraditionalForm], "."}]}], TraditionalForm]]],
 " "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379283365625*^9, 3.437928336921875*^9}, {
  3.438611687140625*^9, 3.4386116890625*^9}}],

Cell["    ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "We can generalize these observations in the following proposition.\n \n\
PROPOSITION 14.9\nThe  splitting field of the ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-th cyclotomic polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["\[CapitalPhi]", "n"], "(", "x", ")"}], " "}], 
   TraditionalForm]]],
 "has dimension at most ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "n", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "n", ")"}], TraditionalForm]]],
 " is Euler's totient function. In fact, the splitting field is given as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    SubscriptBox["e", "n"], ")"}], TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["e", "n"], TraditionalForm]]],
 "  is a primitive ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-th root of unity."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928341484375*^9, 3.437928341484375*^9}, {
  3.43861173228125*^9, 3.438611746125*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "From the definition of the splitting field, the generator\n\n            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["e", "n"], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["e", 
      RowBox[{"(", 
       RowBox[{"2", "\[Pi]", " ", 
        RowBox[{"i", "/", "n"}]}], ")"}]], " ", "=", " ", 
     RowBox[{
      RowBox[{"cos", "(", 
       FractionBox[
        RowBox[{"2", "\[Pi]"}], "n"], ")"}], " ", "+", " ", 
      RowBox[{"i", " ", 
       RowBox[{"sin", "(", 
        FractionBox[
         RowBox[{"2", "\[Pi]"}], "n"], ")"}]}]}]}]}], TraditionalForm]]],
 "\n            \nis a root of the ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " "}], TraditionalForm]]],
 "-th cyclotomic polynomial\n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox[
      StyleBox["\[CapitalPhi]",
       FontSize->12], "n"], "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"x", "-", 
       SuperscriptBox[
        SubscriptBox["e", "n"], 
        RowBox[{"(", 
         SubscriptBox["k", "1"], ")"}]]}], ")"}], "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"x", "-", 
       SuperscriptBox[
        SubscriptBox["e", "n"], 
        RowBox[{"(", 
         SubscriptBox["k", "2"], ")"}]]}], ")"}], "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"x", "-", 
       SuperscriptBox[
        SubscriptBox["e", "n"], 
        RowBox[{"(", 
         SubscriptBox["k", "3"], ")"}]]}], ")"}], "\[CenterDot]", 
     "\[Ellipsis]", "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"x", " ", "-", " ", 
       SuperscriptBox[
        SubscriptBox["e", "n"], 
        RowBox[{"(", 
         SubscriptBox["k", "i"], ")"}]]}], ")"}]}]}], TraditionalForm]]],
 ",\n\nwhere ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["k", "1"], ",", " ", 
    SubscriptBox["k", "2"], ",", " ", 
    SubscriptBox["k", "3"], ",", " ", 
    RowBox[{"\[Ellipsis]", " ", 
     SubscriptBox["k", "i"]}]}], TraditionalForm]]],
 " are the integers from 1 to ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " which are coprime to ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Thus, the splitting field contains ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    SubscriptBox["e", "n"], ")"}], TraditionalForm]]],
 ". Note that all powers of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["e", "n"], TraditionalForm]]],
 " are in this field, and so the ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " "}], TraditionalForm]]],
 "-th cyclotomic polynomial factors completely in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    SubscriptBox["e", "n"]}], TraditionalForm]]],
 "). To find the dimension of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     RowBox[{"\[DoubleStruckCapitalQ]", "(", 
      SubscriptBox["e", "n"]}],
     TraditionalForm], ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", we first let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "\[DoubleStruckCapitalQ]"], "(", 
     RowBox[{
      SubscriptBox["e", "n"], ",", "x"}], ")"}]}], TraditionalForm]]],
 ", and use corollary 14.1 to show that the dimension of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    SubscriptBox["e", "n"], ")"}], TraditionalForm]]],
 " over \[DoubleStruckCapitalQ] is the degree of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 ". But ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["e", "n"], TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox[
     StyleBox["\[CapitalPhi]",
      FontSize->12], "n"], "(", "x", ")"}], TraditionalForm]]],
 ", which has dimension ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "n", ")"}], TraditionalForm]]],
 " and is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "[", "x", "]"}], TraditionalForm]]],
 " by corollary 13.4. So the degree of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " is at most ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "n", ")"}], TraditionalForm]]],
 ". Therefore, the dimension of the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox[
     StyleBox["\[CapitalPhi]",
      FontSize->12], "n"], "(", "x", ")"}], TraditionalForm]]],
 " is at most ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "n", ")"}], "."}], TraditionalForm]]]
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379283421875*^9, 3.437928347625*^9}, {
  3.43861175146875*^9, 3.438611775703125*^9}, {3.4386118274375*^9, 
  3.438611843671875*^9}, {3.4386119165*^9, 3.4386119418125*^9}}]
}, Open  ]],

Cell[TextData[{
 "In fact, the ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-th cyclotomic polynomial will always be irreducible, so in fact the \
splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[CapitalPhi]", "n"], "(", "x", ")"}], TraditionalForm]]],
 " will in fact have dimension ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "n", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ". However, we never officially proved that this polynomial is irreducible.\n\
\nIn all of the cases we have looked at, we found the splitting fields of \
irreducible polynomials. However, the polynomial does not have to be \
irreducible for it to have an interesting splitting field. Consider the \
polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], " ", "-", " ", 
    RowBox[{"5", " ", 
     SuperscriptBox["x", "2"]}], " ", "+", " ", "6"}], TraditionalForm]]],
 ". If we factor this over the rationals,"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928348109375*^9, 3.437928349046875*^9}}],

Cell[CellGroupData[{

Cell["Factor[x^4 - 5 x^2 + 6]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437928349828125*^9, 3.43792835003125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "3"}], "+", 
    SuperscriptBox["x", "2"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "2"}], "+", 
    SuperscriptBox["x", "2"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.442759875555125*^9}]
}, Open  ]],

Cell[TextData[{
 "We find that this factors! In fact, we can easily see all 4 roots:  \
\[PlusMinus]",
 Cell[BoxData[
  FormBox[
   SqrtBox["2"], TraditionalForm]]],
 " and \[PlusMinus] ",
 Cell[BoxData[
  FormBox[
   SqrtBox["3."], TraditionalForm]]],
 " If we define ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " to be the solution to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "2"], " ", "-", " ", "2"}], " ", "=", " ", "0"}], 
   TraditionalForm]]],
 ", (that is, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", " ", "=", "  ", 
    SqrtBox["2"]}], TraditionalForm]]],
 "), we have the following factorization in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    SqrtBox["2"], ")"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928350734375*^9, 3.437928350734375*^9}}],

Cell[CellGroupData[{

Cell["\<\
InitDomain[0]
Define[a^2, 2]
Factor[x^4 - 5 x^2 + 6, a]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.43792835121875*^9, 3.437928351609375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"a", "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "3"}], "+", 
    SuperscriptBox["x", "2"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.4427598780395*^9}]
}, Open  ]],

Cell[TextData[{
 "The ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], " ", "-", " ", "3"}], TraditionalForm]]],
 " remains unfactored, as we would expect. Thus, we need to define ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " to solve ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "2"], " ", "-", " ", "3"}], " ", "=", " ", "0"}], 
   TraditionalForm]]],
 ","
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379283521875*^9, 3.437928352703125*^9}}],

Cell["Define[b^2, 3]", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "and factor the polynomial over the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", " ", 
     RowBox[{
      SqrtBox["2"], ",", " ", 
      SqrtBox["3"]}], ")"}], "."}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Factor[x^4 - 5 x^2 + 6, a, b]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437928353171875*^9, 3.43792835346875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"a", "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "b"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"b", "+", "x"}], ")"}]}]], "Output",
 CellChangeTimes->{3.442759881648875*^9}]
}, Open  ]],

Cell[TextData[{
 "Thus, we see that the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "-", " ", 
    RowBox[{"5", " ", "x\.b2"}], " ", "+", " ", "6"}], TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{
      SqrtBox["2"], ",", 
      SqrtBox["3"]}], ")"}], "."}], TraditionalForm]]],
 " This field is a four dimensional extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ".\n\nEXPERIMENT:                              \nFind the splitting field of \
the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], " ", "-", " ", 
    RowBox[{"10", " ", 
     SuperscriptBox["x", "2"]}], " ", "+", " ", "1."}], TraditionalForm]]],
 " What is the dimension of the splitting field over ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928353953125*^9, 3.437928360203125*^9}, {
  3.43792845359375*^9, 3.43792845409375*^9}}],

Cell["     ", "Input",
 PageWidth->Infinity],

Cell["\<\
These examples show that the splitting fields can vary dramatically from \
polynomial to polynomial. In the next chapter we will see how the splitting \
field can be used to actually solve a polynomial in terms of square roots and \
cube roots, whenever this is possible. But first, we need to explore some \
interesting properties of splitting fields.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let us begin by defining the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], "-", " ", "2"}], TraditionalForm]]],
 " as follows:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928456609375*^9, 3.437928456609375*^9}, {
  3.43861211425*^9, 3.4386121241875*^9}}],

Cell["\<\
InitDomain[0]
Define[a^3,2]
Define[b^2, - a^2 - a b]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "We can see whether the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", " ", "3"}], TraditionalForm]]],
 " factors in the splitting field:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928457546875*^9, 3.437928457546875*^9}}],

Cell[CellGroupData[{

Cell["Factor[x^2 + 3, a, b]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.437928458203125*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", "b"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", "b"}], "+", "x"}], ")"}]}]], "Output",
 CellChangeTimes->{3.442759885586375*^9}]
}, Open  ]],

Cell[TextData[{
 "Thus, we see that ",
 Cell[BoxData[
  FormBox[
   SqrtBox[
    RowBox[{"-", "3"}]], TraditionalForm]]],
 " is in the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{"a", ",", "b"}], ")"}], "."}], TraditionalForm]]],
 " Let us see\nif another polynomial factors in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 "\[LongDash]",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "6"], " ", "+", " ", "108"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928458953125*^9, 3.437928458953125*^9}}],

Cell[CellGroupData[{

Cell["Factor[x^6 + 108, a, b]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.437928459484375*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "-", 
    RowBox[{"2", " ", "b"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "a"}], "-", "b", "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"a", "-", "b", "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "+", "b", "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"2", " ", "a"}], "+", "b", "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"a", "+", 
    RowBox[{"2", " ", "b"}], "+", "x"}], ")"}]}]], "Output",
 CellChangeTimes->{3.442759889398875*^9}]
}, Open  ]],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", " ", "b"}], ")"}], TraditionalForm]]],
 " turns out to contain the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", 
     RowBox[{"6", " "}]], "+", " ", "108"}], TraditionalForm]]],
 "!\n\nEXPERIMENT:\nTry factoring the polynomial"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928459953125*^9, 3.437928459953125*^9}}],

Cell[CellGroupData[{

Cell["x^6 + 6 x^4 - 12 x^3 + 36 x^2 - 36 x + 36", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4379284624375*^9, 3.4379284634375*^9}},
 FontFamily->"Courier New",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 RowBox[{"36", "-", 
  RowBox[{"36", " ", "x"}], "+", 
  RowBox[{"36", " ", 
   SuperscriptBox["x", "2"]}], "-", 
  RowBox[{"12", " ", 
   SuperscriptBox["x", "3"]}], "+", 
  RowBox[{"6", " ", 
   SuperscriptBox["x", "4"]}], "+", 
  SuperscriptBox["x", "6"]}]], "Output",
 CellChangeTimes->{3.44275989207075*^9}]
}, Open  ]],

Cell[TextData[{
 "over the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 ", which is the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", "2."}], TraditionalForm]]],
 " This polynomial was choosen to have a root in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 ". Does this polynomial factor completely in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 "?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928463984375*^9, 3.437928463984375*^9}}],

Cell["   ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "These examples reveal a startling fact: whenever an irreducible polynomial \
in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "[", "x", "]"}], TraditionalForm]]],
 " has just one root in a splitting field, then the polynomial factors \
completely in that splitting field. This property characterizes splitting \
fields from other extensions of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ".\n\nLEMMA 14.5\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be the splitting field of a polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ". Then if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " is an irreducible polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 " for which there is one root in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " factors completely in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792846475*^9, 3.437928466890625*^9}, {
  3.43861233390625*^9, 3.438612334609375*^9}, {3.4420625988546247`*^9, 
  3.4420625991671247`*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["u", "1"], ",", 
    SubscriptBox["u", "2"], ",", " ", 
    SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
    SubscriptBox["u", "n"]}], TraditionalForm]]],
 "  be the roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Then\n\n                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{
     RowBox[{"F", "(", 
      RowBox[{
       SubscriptBox["u", "1"], ",", " ", 
       SubscriptBox["u", "2"], ",", " ", 
       SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
       SubscriptBox["u", "n"]}], ")"}], "."}]}], TraditionalForm]]],
 "\n\nSuppose that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " has one root ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Consider ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " as a polynomial in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 " be the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " be any other root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 " besides ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 ". To show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", "L"}], TraditionalForm]]],
 ", we need to show that ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", which would show that all roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " are in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ".\n\nBy proposition 14.7, there is an isomorphism ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " from ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "v", ")"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "w", ")"}], TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "v", ")"}], " ", "=", " ", "w"}], 
   TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "x", ")"}], " ", "=", " ", "x"}], 
   TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". (We let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Florin]", "(", "x", ")"}], " ", "=", " ", "x"}], ","}], 
   TraditionalForm]]],
 " the identity map, and let ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " both be the field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ".) By lemma 13.3 we can extend ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " to an isomorphism from ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", "v", ")"}], "[", "x", "]"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", "w", ")"}], "[", "x", "]"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", 
     RowBox[{"f", "(", "x", ")"}], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"f", "(", "x", ")"}], "."}]}], TraditionalForm]]],
 "\n\nWe now want to consider the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "w", ")"}], TraditionalForm]]],
 ". We have\n\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"K", "(", "w", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"F", "(", 
      RowBox[{
       SubscriptBox["u", "1"], ",", " ", 
       SubscriptBox["u", "2"], ",", " ", 
       SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
       SubscriptBox["u", "n"], ",", " ", "w"}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"F", "(", 
       RowBox[{"w", ",", " ", 
        SubscriptBox["u", "1"], ",", " ", 
        SubscriptBox["u", "2"], ",", " ", 
        SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
        SubscriptBox["u", "n"]}], ")"}], "."}]}]}], TraditionalForm]]],
 "\n\nThus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "w", ")"}], TraditionalForm]]],
 " is the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " over the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", "w", ")"}], "."}], TraditionalForm]]],
 " Since ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", \n\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"K", " ", "=", " ", 
     RowBox[{
      RowBox[{"K", "(", "v", ")"}], " ", "=", " ", 
      RowBox[{
       RowBox[{"F", "(", 
        RowBox[{
         SubscriptBox["u", "1"], ",", " ", 
         SubscriptBox["u", "2"], ",", " ", 
         SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
         SubscriptBox["u", "n"], ",", " ", "v"}], ")"}], " ", "=", " ", 
       RowBox[{"F", "(", 
        RowBox[{"v", ",", " ", 
         SubscriptBox["u", "1"], ",", " ", 
         SubscriptBox["u", "2"], ",", " ", 
         SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
         SubscriptBox["u", "n"]}], ")"}]}]}]}], ","}], TraditionalForm]]],
 "\n\nso ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " over the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "v", ")"}], TraditionalForm]]],
 ".\n\nConsequently proposition 14.8 shows us that the isomorphism ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " from ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "v", ")"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "w", ")"}], TraditionalForm]]],
 " extends to an isomorphism ",
 Cell[BoxData[
  FormBox["\[Mu]", TraditionalForm]]],
 " from ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "w", ")"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "v", ")"}], " ", "=", " ", "w"}], 
   TraditionalForm]]],
 ". Also, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "x", ")"}], " ", "=", " ", "x"}], 
   TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Thus, we can use corollary 14.3 to show that ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "w", ")"}], TraditionalForm]]],
 " have the same dimension over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". By proposition 14.2, the dimension of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "w", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " equals the dimension of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "w", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " times the dimension of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Therefore, the dimension of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "w", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " must be 1, so ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Therefore, every root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", so ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " factors completely in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928467828125*^9, 3.437928475296875*^9}, {
  3.43861237221875*^9, 3.4386123885625*^9}, {3.4386124319375*^9, 
  3.43861246240625*^9}}]
}, Open  ]],

Cell[TextData[{
 "EXPERIMENT:            \nTry factoring the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "6"], "+", " ", 
    SuperscriptBox["x", "3"], " ", "-", " ", "6"}], TraditionalForm]]],
 " over the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 ", the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", "2"}], TraditionalForm]]],
 ". Notice that this polynomial factors, but does not factor completely in \
this field. Why doesn't this example contradict lemma 14.5?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792847790625*^9, 3.43792847878125*^9}, {
  3.4386125219375*^9, 3.438612522609375*^9}, {3.4420626058077497`*^9, 
  3.4420626061358747`*^9}}],

Cell["   ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "The fact that the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "6"], "+", " ", "108"}], TraditionalForm]]],
 " is the same as the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", "2"}], TraditionalForm]]],
 " reveals another curious property of splitting fields. Rather than having \
to make an \"extension of an extension\" to define the splitting field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 ", we could have defined the same field using a single extension of the \
element ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox[
   RowBox[{"w", " ", "=", " ", 
    RadicalBox[
     RowBox[{"-", "108"}], "6"]}], TraditionalForm]]],
 ". This is done with the two commands:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792847946875*^9, 3.437928479984375*^9}}],

Cell["\<\
InitDomain[0]
Define[w^6, -108]   \
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "\nDEFINITION 14.9:\nWe say that a finite extension of a field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is called a ",
 StyleBox["simple extension",
  FontSlant->"Italic"],
 "  if it can be expressed as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "a", ")"}], TraditionalForm]]],
 " for some element ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ".\n\nWhat we have observed is that the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", "2"}], TraditionalForm]]],
 ", even though it was originally described as an extension of an extension, \
is in fact a simple extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 " of dimension six.\n\nLet us show, using the splitting fields, that an \
extension of an extension will usually form a simple extension.\n\n\
PROPOSITION 14.10\nLet ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be a field, and let ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a finite dimensional extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Suppose that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{"F", "(", 
     RowBox[{"u", ",", " ", "v"}], ")"}]}], TraditionalForm]]],
 " with ",
 Cell[BoxData[
  FormBox[
   RowBox[{"u", ",", 
    RowBox[{"v", " ", "\[Element]", " ", "K"}]}], TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 " be the splitting field of the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"v", ",", " ", "x"}], ")"}]}], TraditionalForm]]],
 ", and suppose that there are no multiple roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ". Then there is an element ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{"F", "(", "w", ")"}]}], TraditionalForm]]],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928484859375*^9, 3.43792848684375*^9}, {
  3.438612565859375*^9, 3.438612618921875*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "If ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is a finite field, then ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " will also be a finite field, we can simply let ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " be a generator of the multiplicative group ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["K", "*"], TraditionalForm]]],
 ", using proposition 13.4. Thus, we will assume that ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is an infinite field. Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"u", ",", "x"}], ")"}]}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"v", ",", "x"}], ")"}]}], TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " be the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " over the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "u", ")"}], TraditionalForm]]],
 ".  Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " factors completely in ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 " without double roots, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " will also factor completely in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " without double roots.  Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"v", " ", "=", " ", 
     SubscriptBox["v", "1"]}], ",", " ", 
    SubscriptBox["v", "2"], ",", " ", 
    SubscriptBox["v", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
    SubscriptBox["v", "k"]}], TraditionalForm]]],
 " be the distinct roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "."}], TraditionalForm]]],
 " \n\nSince ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", there is at least one root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Even though ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " may not factor completely in the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", ","}], TraditionalForm]]],
 " we can let  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"u", " ", "=", " ", 
     SubscriptBox["u", "1"]}], ",", " ", 
    SubscriptBox["u", "2"], ",", " ", 
    SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", " ", ",", " ", 
    SubscriptBox["u", "n"]}], TraditionalForm]]],
 "  be the roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ".\n\nSince ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is an infinite field, we can pick some element ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", such that\n\n                ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", " ", "\[NotEqual]", " ", 
    StyleBox[
     FractionBox[
      RowBox[{
       SubscriptBox["u", "i"], "-", " ", "u"}], 
      RowBox[{"v", "-", 
       SubscriptBox["v", "j"]}]],
     FontSize->16]}], TraditionalForm]]],
 "   for all   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
    "1", " ", "\[LessEqual]", " ", "i", " ", "\[LessEqual]", " ", "n"}], ",", 
    "  ", 
    RowBox[{"1", " ", "<", " ", "j", " ", "\[LessEqual]", " ", 
     RowBox[{"k", "."}]}]}], TraditionalForm]]],
 "\n                \nFinally, we let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"w", " ", "=", " ", 
    RowBox[{"u", " ", "+", " ", 
     RowBox[{"y", " ", "v"}]}]}], TraditionalForm]]],
 ". Let us show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{"F", "(", "w", ")"}]}], TraditionalForm]]],
 ". To show that ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "w", ")"}], TraditionalForm]]],
 ", let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"h", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"f", "(", 
     RowBox[{"w", " ", "-", " ", 
      RowBox[{"y", " ", "x"}]}], ")"}]}], TraditionalForm]]],
 ", and note that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"h", "(", "v", ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"f", "(", 
       RowBox[{"u", " ", "+", " ", 
        RowBox[{"y", " ", "v"}], " ", "-", " ", 
        RowBox[{"y", " ", "v"}]}], ")"}], " ", "=", " ", 
      RowBox[{
       RowBox[{"f", "(", "u", ")"}], " ", "=", " ", "0"}]}]}], ","}], 
   TraditionalForm]]],
 " so ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"h", "(", "x", ")"}], "."}], TraditionalForm]]],
 " If one of the other roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"h", "(", "x", ")"}], ","}], TraditionalForm]]],
 " then\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"w", " ", "-", " ", 
     RowBox[{"y", " ", 
      SubscriptBox["v", "j"]}]}], "  ", "=", " ", 
    RowBox[{
     RowBox[{"u", " ", "+", " ", 
      RowBox[{"y", " ", "v"}], " ", "-", " ", 
      RowBox[{"y", " ", 
       SubscriptBox["v", "j"]}]}], "  ", "=", " ", 
     SubscriptBox["u", "i"]}]}], TraditionalForm]]],
 "  for some ",
 Cell[BoxData[
  FormBox["j", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["i", TraditionalForm]]],
 ", which would give us\n\n                              ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", " "}], TraditionalForm]]],
 "= ",
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{
     SubscriptBox["u", 
      RowBox[{"i", " "}]], "-", " ", "u"}], 
    RowBox[{"v", " ", "-", " ", 
     SubscriptBox["v", "j"]}]], TraditionalForm]],
  FontSize->16],
 "\n\nand we specifically chose ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " so that it would avoid these values. Thus, there is only one root in \
common between ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "x", ")"}], TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ".\n\nLet ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"r", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["Irr", 
       RowBox[{"F", "(", "w", ")"}]], "(", 
      RowBox[{"v", ",", " ", "x"}], ")"}], "."}]}], TraditionalForm]]],
 " Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", "(", "x", ")"}], TraditionalForm]]],
 " divides the polynomials ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"h", "(", "x", ")"}], ","}], TraditionalForm]]],
 " since both polynomials have ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " as a root. In fact, we have seen that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "x", ")"}], TraditionalForm]]],
 " have no other roots in common, so ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", "(", "x", ")"}], TraditionalForm]]],
 " has only one root in the field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". But ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " splits completely in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", and has no multiple roots in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", "(", "x", ")"}], TraditionalForm]]],
 " has degree  1, and in fact ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"r", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"x", " ", "-", " ", "v"}]}], TraditionalForm]]],
 ". This \nproves that ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "w", ")"}], TraditionalForm]]],
 ". To see that ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "w", ")"}], TraditionalForm]]],
 ", we note that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"u", " ", "=", " ", 
    RowBox[{
     RowBox[{"y", " ", "v"}], " ", "-", " ", 
     RowBox[{"w", "."}]}]}], TraditionalForm]]],
 " Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", 
    RowBox[{"u", ",", "v"}], ")"}], TraditionalForm]]],
 " is contained in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", "w", ")"}], ","}], TraditionalForm]]],
 " while ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "w", ")"}], TraditionalForm]]],
 " is obviously contained in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", 
     RowBox[{"u", ",", "v"}], ")"}], "."}], TraditionalForm]]],
 " Therefore, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", 
     RowBox[{"u", ",", "v"}], ")"}], " ", "=", " ", 
    RowBox[{"F", "(", "w", ")"}]}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792848771875*^9, 3.4379285035*^9}, {
   3.43861265221875*^9, 3.438612653078125*^9}, {3.438612703453125*^9, 
   3.4386127045*^9}, {3.43861274746875*^9, 3.438612774734375*^9}, 
   3.4420641614327497`*^9}]
}, Open  ]],

Cell[TextData[{
 "\nWe can easily extend this result by induction to any number of extensions \
of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ".\n\nCOROLLARY 14.4\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a finite dimensional extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", with ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{"F", "(", 
     RowBox[{
      SubscriptBox["u", "1"], ",", " ", 
      SubscriptBox["u", "2"], ",", " ", 
      SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", 
      SubscriptBox["u", "n"]}], ")"}]}], TraditionalForm]]],
 ", and suppose that none of the polynomials ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Irr", "F"], "(", 
    SubscriptBox["u", "i"], ")"}], TraditionalForm]]],
 " have multiple roots in each of their splitting fields. Then there exists \
an element ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{
     RowBox[{"F", "(", "w", ")"}], "."}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438612855921875*^9, 3.4386128564375*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We will proceed by induction on ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", "1"}], TraditionalForm]]],
 ", we can let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"w", " ", "=", " ", 
    FormBox[
     SubscriptBox["u", "1"],
     TraditionalForm]}], TraditionalForm]]],
 ", and there is nothing to prove. If ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"n", " ", "=", " ", "2"}], ","}], TraditionalForm]]],
 " we can use proposition 14.10 to find ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 ". Suppose that the corollary is true for the previous case, so that we \
found a ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", "u", ")"}], " ", "=", " ", 
    RowBox[{"F", "(", 
     RowBox[{
      SubscriptBox["u", "1"], ",", " ", 
      SubscriptBox["u", "2"], ",", " ", 
      SubscriptBox["u", "3"], ",", " ", 
      RowBox[{"\[Ellipsis]", " ", 
       SubscriptBox["u", 
        RowBox[{"n", "-", "1"}]]}]}], ")"}]}], TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", " ", "=", " ", 
    SubscriptBox["u", "n"]}], TraditionalForm]]],
 ", and sincel ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "R"], "(", 
     SubscriptBox["u", "n"], ")"}]}], TraditionalForm]]],
 " does not have multiple roots in its splitting field ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ", we can use proposition 14.10 to find a ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", "w", ")"}], " ", "=", " ", 
    RowBox[{"F", "(", 
     RowBox[{"u", ",", "v"}], ")"}]}], TraditionalForm]]],
 ". But then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", "w", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"F", "(", 
      RowBox[{
       SubscriptBox["u", "1"], ",", " ", 
       SubscriptBox["u", "2"], ",", " ", 
       SubscriptBox["u", "3"], ",", " ", 
       RowBox[{"\[Ellipsis]", " ", 
        SubscriptBox["u", 
         RowBox[{"n", "-", "1"}]]}], ",", 
       SubscriptBox["u", "n"]}], ")"}], "."}]}], TraditionalForm]]],
 " Thus, the corollary is true for all positive values of ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379285079375*^9, 3.4379285079375*^9}, {
  3.438612878453125*^9, 3.438612901625*^9}, {3.4420641768233747`*^9, 
  3.4420642987452497`*^9}}]
}, Open  ]],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " has a function ",
 StyleBox["SimpleExtension",
  FontWeight->"Bold"],
 " which finds one of the many elements ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " for which the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{"a", ",", " ", "b", ",", " ", "\[Ellipsis]"}], ")"}], " ", "=", 
    " ", 
    RowBox[{"\[DoubleStruckCapitalQ]", "(", "w", ")"}]}], TraditionalForm]]],
 ". For example, the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", 
    RowBox[{"2", " ", "is", " ", 
     RowBox[{"Q", "(", 
      RowBox[{"a", ",", "b"}], ")"}]}]}], TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["a", "3"], " ", "=", " ", "2"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["b", "2"], " ", "=", " ", 
    RowBox[{
     RowBox[{"-", " ", 
      SuperscriptBox["a", "2"]}], " ", "-", " ", 
     RowBox[{"a", " ", 
      RowBox[{"b", "."}]}]}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928508640625*^9, 3.437928508640625*^9}}],

Cell["\<\
InitDomain[0]
Define[a^3, 2]   
Define[b^2, - a^2 - a b]\
\>", "Input",
 PageWidth->Infinity],

Cell["\<\
To find an element in this field which forms a simple extension, we compute\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["SimpleExtension[a,b]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"a", "+", 
  RowBox[{"2", " ", "b"}]}]], "Output",
 CellChangeTimes->{3.438613001234375*^9, 3.43861311275*^9, 
  3.44275991338325*^9}]
}, Open  ]],

Cell[TextData[{
 "This shows that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{"a", ",", "b"}], ")"}], " ", "=", " ", 
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{"a", " ", "+", 
      RowBox[{"2", " ", "b"}]}], ")"}]}], TraditionalForm]]],
 ", which is a simple extension. What element is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", " ", "+", 
    RowBox[{"2", 
     RowBox[{"b", "?"}]}]}], TraditionalForm]]],
 " Let us compute its sixth power."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43861311971875*^9, 3.438613128421875*^9}}],

Cell[CellGroupData[{

Cell["Expand[Expand[(a+2b)^6]]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.43861412640625*^9, 3.438614129390625*^9}}],

Cell[BoxData[
 RowBox[{"-", "108"}]], "Output",
 CellChangeTimes->{3.43861412990625*^9, 3.442759914961375*^9}]
}, Open  ]],

Cell[TextData[{
 "Thus, we see that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", " ", "+", 
    RowBox[{"2", " ", "b"}]}], TraditionalForm]]],
 " is one root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "6"], " ", "+", " ", "108."}], TraditionalForm]]],
 "\n\nHow does this command work? The key is in the proof of proposition \
14.10. Within the proof, we found that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", 
     RowBox[{"u", ",", "v"}], ")"}], " ", "=", " ", 
    RowBox[{"F", "(", 
     RowBox[{"u", " ", "+", " ", 
      RowBox[{"y", " ", "v"}]}], ")"}]}], TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " is any number such that \n\n                ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", " ", "\[NotEqual]", " ", 
    StyleBox[
     FractionBox[
      RowBox[{
       SubscriptBox["u", "i"], "-", " ", "u"}], 
      RowBox[{"v", "-", 
       SubscriptBox["v", "j"]}]],
     FontSize->16]}], TraditionalForm]]],
 "  "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792850940625*^9, 3.43792850940625*^9}, {
  3.43861295340625*^9, 3.438612967265625*^9}, {3.438614134484375*^9, 
  3.4386141361875*^9}}],

Cell[TextData[{
 "whenever ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["u", "i"], TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SubscriptBox["Irr", "F"],
     TraditionalForm], "(", 
    RowBox[{"u", ",", "x"}], ")"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["v", "j"], TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Irr", "F"], "(", 
    RowBox[{"v", ",", "x"}], ")"}], TraditionalForm]]],
 ".\n\nLet us try another example. Consider the splitting field of  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "-", " ", 
    RowBox[{"5", " ", "x\.b2"}], " ", "+", " ", "6"}], TraditionalForm]]],
 ", which is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{
     SqrtBox["2"], ",", 
     SqrtBox["3"]}], ")"}], TraditionalForm]]],
 ". Since this field is the splitting field of a polynomial without multiple \
roots, we can apply proposition 14.10 to show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{
      SqrtBox["2"], ",", 
      SqrtBox["3"]}], ")"}], " ", "=", " ", 
    RowBox[{"\[DoubleStruckCapitalQ]", "(", "w", ")"}]}], TraditionalForm]]],
 " for some element ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 ". But what is that element? \n\nNote that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["Irr", "\[DoubleStruckCapitalQ]"], "(", 
      SqrtBox["2"], ")"}], " ", "=", " ", 
     RowBox[{
      SuperscriptBox["x", "2"], " ", "-", " ", "2"}]}], ","}], 
   TraditionalForm]]],
 " which has roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[PlusMinus]", 
    RowBox[{
     SqrtBox["2"], " ", "."}]}], TraditionalForm]]],
 " Likewise, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["Irr", "\[DoubleStruckCapitalQ]"], "(", 
      SqrtBox["3"], ")"}], " ", "=", " ", 
     RowBox[{
      SuperscriptBox["x", "2"], " ", "-", " ", "3"}]}], ","}], 
   TraditionalForm]]],
 " which has roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[PlusMinus]", 
    RowBox[{
     SqrtBox["3"], "."}]}], TraditionalForm]]],
 " Hence, we must pick a rational value of ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " which is not equal to\n\n                  ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    FractionBox[
     RowBox[{
      RowBox[{"\[PlusMinus]", 
       SqrtBox["2"]}], "-", " ", 
      SqrtBox["2"]}], 
     RowBox[{
      SqrtBox["3"], "\[PlusMinus]", 
      SqrtBox["3"]}]],
    FontSize->16], TraditionalForm]]],
 "\n\nThat is, ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " cannot equal 0 or ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", 
    SqrtBox[
     RowBox[{"2", "/", "3"}]]}], TraditionalForm]]],
 ". Any other rational value of ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " will do, so for convenience we can take ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", " ", "=", " ", "1"}], TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"w", " ", "=", " ", 
    RowBox[{
     RowBox[{"u", " ", "+", " ", 
      RowBox[{"y", " ", "v"}]}], " ", "=", " ", 
     RowBox[{
      SqrtBox["2"], " ", "+", " ", 
      RowBox[{
       SqrtBox["3"], "."}]}]}]}], TraditionalForm]]],
 "\n\nWe can also have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " find an element ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " for us."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792851015625*^9, 3.437928513765625*^9}, {
  3.43861319875*^9, 3.43861321575*^9}}],

Cell[CellGroupData[{

Cell["\<\
InitDomain[0]
Define[a^2, 2]   
Define[b^2, 3]
SimpleExtension[a,b]\
\>", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"a", "+", "b"}]], "Output",
 CellChangeTimes->{3.438614174140625*^9, 3.442759918961375*^9}]
}, Open  ]],

Cell[TextData[{
 "Thus ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " verifies that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{
      SqrtBox["2"], ",", 
      SqrtBox["3"]}], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"\[DoubleStruckCapitalQ]", "(", 
      RowBox[{
       SqrtBox["2"], " ", "+", " ", 
       SqrtBox["3"]}], ")"}], "."}]}], TraditionalForm]]],
 " \n            \nIt is curious to note that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SqrtBox["2"],
     TraditionalForm], " ", "+", 
    FormBox[
     SqrtBox["3"],
     TraditionalForm]}], TraditionalForm]]],
 " is one of the roots of the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "-", " ", 
    RowBox[{"10", " ", 
     SuperscriptBox["x", "2"]}], " ", "+", " ", "1."}], TraditionalForm]]],
 " Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "-", " ", 
    RowBox[{"10", " ", 
     SuperscriptBox["x", "2"]}], " ", "+", " ", "1"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SuperscriptBox["x", "4"], "-", " ", 
     RowBox[{"5", " ", 
      SuperscriptBox["x", "2"]}], " ", "+", " ", "6"}]}], TraditionalForm]]],
 " have the same splitting field, even though one of the polynomials factors \
over the rationals while the other doesn't.\n\nHere is one more example.  \
Consider ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{
     RadicalBox["2", "3"], ",", 
     SqrtBox["2"]}], ")"}], TraditionalForm]]],
 ".  This is not a splitting field, but it is contained in the splitting \
field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["x", "3"], "-", "2"}], ")"}], 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["x", "2"], "-", "2"}], ")"}]}]}], TraditionalForm]]],
 ", which does not have multiple roots, so we can still apply proposition \
14.10 to show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{
      RadicalBox["2", "3"], ",", 
      SqrtBox["2"]}], ")"}], "=", 
    RowBox[{"\[DoubleStruckCapitalQ]", "(", "w", ")"}]}], TraditionalForm]]],
 " for some element ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 ".  But what is that element? \n\nFirst we define ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "=", 
    RadicalBox["2", "3"]}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"b", "="}], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   SqrtBox["2"], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928517875*^9, 3.437928520484375*^9}, {
  3.438614224890625*^9, 3.438614437703125*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"InitDomain", "[", "0", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"a", "^", "3"}], ",", "2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"b", "^", "2"}], ",", "2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"SimpleExtension", "[", 
  RowBox[{"a", ",", "b"}], "]"}]}], "Input",
 CellChangeTimes->{{3.438614440796875*^9, 3.438614469296875*^9}}],

Cell[BoxData[
 RowBox[{"a", "+", "b"}]], "Output",
 CellChangeTimes->{3.4386144699375*^9, 3.44275992157075*^9}]
}, Open  ]],

Cell[TextData[{
 "This shows that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{
      RadicalBox["2", "3"], ",", 
      SqrtBox["2"]}], ")"}], "=", 
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{
      RadicalBox["2", "3"], "+", 
      SqrtBox["2"]}], ")"}]}], TraditionalForm]]],
 ".\n\nThere is in fact an easier way to find a simple extension in this \
case.  Merely not that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RadicalBox["2", "6"], "\[Element]", 
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{
      RadicalBox["2", "3"], ",", 
      SqrtBox["2"]}], ")"}]}], TraditionalForm]]],
 ", since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RadicalBox["2", "6"], "=", 
    RowBox[{
     SqrtBox["2"], "/", 
     RadicalBox["2", "3"]}]}], TraditionalForm]]],
 ".  Yet ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SqrtBox["2"], "=", 
    SuperscriptBox[
     RowBox[{"(", 
      RadicalBox["2", "6"], ")"}], "3"]}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RadicalBox["2", "3"], "=", 
    SuperscriptBox[
     RowBox[{"(", 
      RadicalBox["2", "6"], ")"}], "2"]}], TraditionalForm]]],
 ".  So ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{
      RadicalBox["2", "3"], ",", 
      SqrtBox["2"]}], ")"}], "=", 
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RadicalBox["2", "6"], ")"}]}], TraditionalForm]]],
 ".\n\nThe fact that we can convert an extension of an extension to a simple \
extension will simplify many of the proofs involving splitting fields. In \
particular, it will allow us to explore the automorphisms of the splitting \
fields. In the next chapter we will discover that the automorphisms of the \
splitting fields determine much of the information about the roots of the \
polynomial, and whether they can be expressed in terms of square roots and \
cube roots. This beautiful correlation is referred to as Galois theory."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928517875*^9, 3.437928520484375*^9}, {
  3.438614224890625*^9, 3.438614437703125*^9}, {3.438614473640625*^9, 
  3.438614653390625*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Problems"
}], "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438614662234375*^9, 3.438614665453125*^9}}],

Cell["", "Input",
 PageWidth->Infinity,
 FontFamily->"System",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[1, 0, 0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "14.1) Use ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to find the coefficients \n    of the vector ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"3", ",", 
     RowBox[{"-", "2"}], ",", "5"}], "\[RightAngleBracket]"}], 
   TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[DoubleStruckCapitalR]", "3"], TraditionalForm]]],
 " using the basis \n    ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"2", ",", 
        RowBox[{"-", "1"}], ",", "4"}], "\[RightAngleBracket]"}], ",", 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"5", ",", "2", ",", "1"}], "\[RightAngleBracket]"}], ",", 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"4", ",", 
        RowBox[{"-", "3"}], ",", "2"}], "\[RightAngleBracket]"}]}], "}"}], 
    "."}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438614669515625*^9, 3.438614790765625*^9}}],

Cell["    ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "14.2) Use ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to find the coefficients \n    of the element ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    RowBox[{"Z", "(", "27", ")"}], "5"], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"GF", "(", "27", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 " \n    using the basis ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"Z", "(", "3", ")"}], "0"], ",", " ", 
     RowBox[{"Z", "(", "27", ")"}], ",", " ", 
     SuperscriptBox[
      RowBox[{"Z", "(", "27", ")"}], "2"]}], "}"}], TraditionalForm]]],
 ".  \n    Note that the Conway polynomial of degree \n    3 over ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], "+", 
    RowBox[{"2", "x"}], "+", "1"}], TraditionalForm]]],
 ".\n",
 Cell[BoxData[
  FormBox[
   RowBox[{Cell[""], Cell[""]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438614669515625*^9, 3.438615014328125*^9}, {
  3.438615056234375*^9, 3.4386151209375*^9}, {3.4420674972296247`*^9, 
  3.4420674985889997`*^9}}],

Cell["    ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "14.3 ) Define the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    SqrtBox[
     RowBox[{"-", "3"}]], ")"}], TraditionalForm]]],
 " in ",
 StyleBox["Mathematica,\n   ",
  FontSlant->"Italic"],
 "then find ",
 Cell[BoxData[
  FormBox[
   RowBox[{"1", "/", 
    RowBox[{"(", 
     RowBox[{"5", " ", "+", " ", 
      SqrtBox[
       RowBox[{"-", "3"}]]}], " ", ")"}]}], TraditionalForm]]],
 ".  Note that in \n   ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", you must first use the \n   ",
 StyleBox["CheckField",
  FontWeight->"Bold"],
 " command to show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", " ", 
    RowBox[{"1", ",", 
     SqrtBox[
      RowBox[{"-", "3"}]]}], " ", "}"}], TraditionalForm]]],
 "    \n   is a  basis. "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438614669515625*^9, 3.438615014328125*^9}, {
  3.438615056234375*^9, 3.438615126171875*^9}}],

Cell["    ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "14.4 ) Define the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    SqrtBox["5"], ")"}], TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". \n    Does the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], " ", "+", " ", 
    RowBox[{"4", " ", "x"}], " ", "-", " ", "1"}], TraditionalForm]]],
 " factor in \n    this field?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928522265625*^9, 3.437928522671875*^9}, {
  3.438615134484375*^9, 3.43861514796875*^9}}],

Cell["     ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "For problems 14.5 through 14.8:  Define the \nsplitting field of the \
polynomial in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ".  \nDetermine the dimension of the splitting field \nover \
\[DoubleStruckCapitalQ].\n\n14.5 )  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "+", " ", 
    SuperscriptBox["x", "2"], " ", "-", " ", 
    RowBox[{"4", " ", "x"}], " ", "+", " ", "1"}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928523203125*^9, 3.437928523921875*^9}, {
  3.438615159625*^9, 3.438615258828125*^9}}],

Cell["      ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "14.6 ) ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "+", " ", 
    SuperscriptBox["x", "4"], "-", " ", 
    RowBox[{"4", " ", 
     SuperscriptBox["x", "3"]}], "-", " ", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "2"]}], " ", "+", " ", 
    RowBox[{"3", " ", "x"}], " ", "+", " ", "1"}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928524421875*^9, 3.437928525671875*^9}, {
   3.4386152604375*^9, 3.438615271078125*^9}, 3.43861532915625*^9}],

Cell["    ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "14.7 ) ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "-", " ", "2"}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928526546875*^9, 3.437928526546875*^9}, {
  3.43861528325*^9, 3.438615327515625*^9}}],

Cell["        ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "14.8 )  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "+", " ", 
    RowBox[{"20", " ", "x"}], " ", "+", " ", "16"}], TraditionalForm]]],
 " "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928527234375*^9, 3.43792852765625*^9}, {
  3.438615304265625*^9, 3.438615326296875*^9}}],

Cell["     ", "Input",
 PageWidth->Infinity]
}, Open  ]]
},
AutoGeneratedPackage->None,
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{755, 665},
WindowMargins->{{31, Automatic}, {Automatic, 0}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
Magnification->1.5,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 322, 9, 160, "Special2",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[915, 34, 285, 8, 29, "Name",
 Evaluatable->False],
Cell[1203, 44, 709, 16, 70, "Name",
 Evaluatable->False]
}, Closed]],
Cell[1927, 63, 263, 12, 146, "Title",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[2215, 79, 104, 3, 32, "Special2",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[2344, 86, 175, 4, 43, "Input",
 InitializationCell->True],
Cell[2522, 92, 232, 3, 32, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2803, 101, 148, 3, 105, "Section",
 Evaluatable->False],
Cell[2954, 106, 526, 9, 139, "Text",
 Evaluatable->False],
Cell[3483, 117, 3334, 129, 311, "Text",
 Evaluatable->False],
Cell[6820, 248, 213, 5, 41, "Text",
 Evaluatable->False],
Cell[7036, 255, 1754, 58, 117, "Text",
 Evaluatable->False],
Cell[8793, 315, 1694, 47, 139, "Text",
 Evaluatable->False],
Cell[10490, 364, 1163, 39, 139, "Text",
 Evaluatable->False],
Cell[11656, 405, 618, 13, 164, "Text",
 Evaluatable->False],
Cell[12277, 420, 2731, 87, 286, "Text",
 Evaluatable->False],
Cell[15011, 509, 4170, 143, 215, "Text",
 Evaluatable->False],
Cell[19184, 654, 1956, 69, 213, "Text",
 Evaluatable->False],
Cell[21143, 725, 2447, 72, 271, "Text",
 Evaluatable->False],
Cell[23593, 799, 362, 7, 41, "Text",
 Evaluatable->False],
Cell[23958, 808, 2061, 69, 164, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[26044, 881, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[26132, 885, 5472, 165, 268, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[31619, 1053, 547, 14, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[32191, 1071, 493, 15, 43, "Input"],
Cell[32687, 1088, 147, 2, 32, "Print"],
Cell[32837, 1092, 116, 2, 42, "Output"]
}, Open  ]],
Cell[32968, 1097, 1359, 33, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[34352, 1134, 441, 13, 43, "Input"],
Cell[34796, 1149, 394, 11, 42, "Output"]
}, Open  ]],
Cell[35205, 1163, 961, 20, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[36191, 1187, 213, 5, 43, "Input"],
Cell[36407, 1194, 213, 6, 60, "Output"]
}, Open  ]],
Cell[36635, 1203, 1199, 30, 102, "Text",
 Evaluatable->False],
Cell[37837, 1235, 1382, 47, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[39244, 1286, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[39332, 1290, 12202, 390, 709, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[51549, 1683, 1311, 44, 164, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[52885, 1731, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[52973, 1735, 1316, 44, 77, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[54304, 1782, 90, 1, 43, "Input"],
Cell[54397, 1785, 244, 4, 41, "Text",
 Evaluatable->False],
Cell[54644, 1791, 2694, 84, 484, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[57363, 1879, 167, 3, 43, "Input"],
Cell[57533, 1884, 149, 4, 45, "Output"]
}, Open  ]],
Cell[57697, 1891, 455, 11, 66, "Text",
 Evaluatable->False],
Cell[58155, 1904, 128, 2, 43, "Input"],
Cell[58286, 1908, 197, 5, 43, "Input"],
Cell[CellGroupData[{
Cell[58508, 1917, 165, 4, 43, "Input"],
Cell[58676, 1923, 383, 10, 42, "Output"]
}, Open  ]],
Cell[59074, 1936, 1001, 31, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[60100, 1971, 233, 6, 43, "Input"],
Cell[60336, 1979, 193, 5, 42, "Output"]
}, Open  ]],
Cell[60544, 1987, 480, 9, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[61049, 2000, 174, 4, 43, "Input"],
Cell[61226, 2006, 134, 3, 42, "Output"]
}, Open  ]],
Cell[61375, 2012, 1367, 34, 141, "Text",
 Evaluatable->False],
Cell[62745, 2048, 932, 19, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[63702, 2071, 166, 3, 43, "Input"],
Cell[63871, 2076, 196, 5, 45, "Output"]
}, Open  ]],
Cell[64082, 2084, 1132, 27, 70, "Text",
 Evaluatable->False],
Cell[65217, 2113, 129, 2, 43, "Input"],
Cell[65349, 2117, 237, 6, 43, "Input"],
Cell[65589, 2125, 1198, 22, 43, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[66812, 2151, 152, 3, 43, "Input"],
Cell[66967, 2156, 224, 6, 45, "Output"]
}, Open  ]],
Cell[67206, 2165, 1290, 26, 43, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[68521, 2195, 224, 5, 43, "Input"],
Cell[68748, 2202, 116, 2, 42, "Output"]
}, Open  ]],
Cell[68879, 2207, 1301, 22, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[70205, 2233, 426, 9, 43, "Input"],
Cell[70634, 2244, 310, 7, 45, "Output"]
}, Open  ]],
Cell[70959, 2254, 1487, 24, 90, "Text",
 Evaluatable->False],
Cell[72449, 2280, 2092, 48, 92, "Text",
 Evaluatable->False],
Cell[74544, 2330, 112, 2, 43, "Input"],
Cell[74659, 2334, 123, 2, 43, "Input"],
Cell[74785, 2338, 203, 5, 43, "Input"],
Cell[74991, 2345, 390, 11, 43, "Input"],
Cell[75384, 2358, 1403, 21, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[76812, 2383, 285, 8, 43, "Input"],
Cell[77100, 2393, 245, 7, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[77382, 2405, 178, 4, 43, "Input"],
Cell[77563, 2411, 185, 5, 42, "Output"]
}, Open  ]],
Cell[77763, 2419, 1851, 33, 115, "Text",
 Evaluatable->False],
Cell[79617, 2454, 4413, 144, 363, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[84055, 2602, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[84143, 2606, 15206, 513, 1077, "SmallText",
 Evaluatable->False]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[99398, 3125, 89, 2, 105, "Section",
 Evaluatable->False],
Cell[99490, 3129, 295, 7, 66, "Text",
 Evaluatable->False],
Cell[99788, 3138, 1242, 47, 115, "Text",
 Evaluatable->False],
Cell[101033, 3187, 715, 19, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[101773, 3210, 178, 7, 88, "Input"],
Cell[101954, 3219, 405, 11, 48, "Output"]
}, Open  ]],
Cell[102374, 3233, 1174, 42, 172, "Text",
 Evaluatable->False],
Cell[103551, 3277, 2241, 77, 433, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[105817, 3358, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[105905, 3362, 8569, 290, 572, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[114489, 3655, 4017, 145, 566, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[118531, 3804, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[118619, 3808, 2439, 95, 167, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[121073, 3906, 2549, 89, 328, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[123647, 3999, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[123735, 4003, 6766, 223, 543, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[130516, 4229, 671, 21, 92, "Text",
 Evaluatable->False],
Cell[131190, 4252, 52, 1, 43, "Input"],
Cell[131245, 4255, 471, 17, 43, "Text",
 Evaluatable->False],
Cell[131719, 4274, 53, 1, 43, "Input"],
Cell[131775, 4277, 382, 13, 72, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[132182, 4294, 62, 1, 43, "Input"],
Cell[132247, 4297, 237, 5, 32, "Print"],
Cell[132487, 4304, 844, 23, 60, "Print"],
Cell[133334, 4329, 401, 9, 58, "Print"],
Cell[133738, 4340, 1967, 54, 94, "Print"]
}, Open  ]],
Cell[135720, 4397, 201, 5, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[135946, 4406, 108, 2, 43, "Input"],
Cell[136057, 4410, 262, 8, 60, "Output"]
}, Open  ]],
Cell[136334, 4421, 3405, 119, 502, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[139764, 4544, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[139852, 4548, 6814, 226, 594, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[146681, 4777, 3874, 127, 700, "Text",
 Evaluatable->False],
Cell[150558, 4906, 1984, 66, 312, "Text",
 Evaluatable->False],
Cell[152545, 4974, 85, 4, 66, "Input"],
Cell[152633, 4980, 373, 9, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[153031, 4993, 55, 1, 43, "Input"],
Cell[153089, 4996, 147, 4, 45, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[153273, 5005, 42, 1, 43, "Input"],
Cell[153318, 5008, 213, 7, 65, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[153568, 5020, 42, 1, 43, "Input"],
Cell[153613, 5023, 90, 2, 60, "Output"]
}, Open  ]],
Cell[153718, 5028, 511, 17, 96, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[154254, 5049, 60, 1, 43, "Input"],
Cell[154317, 5052, 216, 5, 32, "Print"],
Cell[154536, 5059, 1596, 44, 133, "Print"],
Cell[156135, 5105, 379, 9, 58, "Print"],
Cell[156517, 5116, 3322, 88, 179, "Print"]
}, Open  ]],
Cell[159854, 5207, 111, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[159990, 5213, 42, 1, 43, "Input"],
Cell[160035, 5216, 232, 8, 60, "Output"]
}, Open  ]],
Cell[160282, 5227, 1989, 68, 292, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[162296, 5299, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[162384, 5303, 2845, 98, 249, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[165244, 5404, 1808, 63, 219, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[167077, 5471, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[167165, 5475, 1649, 58, 118, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[168829, 5536, 5774, 204, 733, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[174628, 5744, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[174716, 5748, 6059, 209, 540, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[180790, 5960, 2636, 97, 262, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[183451, 6061, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[183539, 6065, 980, 34, 77, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[184534, 6102, 1452, 46, 192, "Text",
 Evaluatable->False]
}, Open  ]],
Cell[CellGroupData[{
Cell[186023, 6153, 89, 2, 105, "Section",
 Evaluatable->False],
Cell[186115, 6157, 1347, 42, 215, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[187487, 6203, 132, 2, 43, "Input"],
Cell[187622, 6207, 201, 6, 45, "Output"]
}, Open  ]],
Cell[187838, 6216, 710, 22, 115, "Text",
 Evaluatable->False],
Cell[188551, 6240, 89, 4, 66, "Input"],
Cell[188643, 6246, 663, 19, 137, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[189331, 6269, 130, 2, 43, "Input"],
Cell[189464, 6273, 365, 12, 48, "Output"]
}, Open  ]],
Cell[189844, 6288, 706, 19, 141, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[190575, 6311, 125, 2, 43, "Input"],
Cell[190703, 6315, 149, 4, 45, "Output"]
}, Open  ]],
Cell[190867, 6322, 476, 17, 73, "Text",
 Evaluatable->False],
Cell[191346, 6341, 74, 4, 66, "Input"],
Cell[191423, 6347, 368, 11, 43, "Text",
 Evaluatable->False],
Cell[191794, 6360, 27, 0, 43, "Input"],
Cell[191824, 6362, 668, 23, 76, "Text",
 Evaluatable->False],
Cell[192495, 6387, 74, 4, 66, "Input"],
Cell[192572, 6393, 329, 10, 43, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[192926, 6407, 99, 2, 43, "Input"],
Cell[193028, 6411, 293, 10, 48, "Output"]
}, Open  ]],
Cell[193336, 6424, 1499, 49, 145, "Text",
 Evaluatable->False],
Cell[194838, 6475, 62, 1, 43, "Input"],
Cell[194903, 6478, 428, 15, 43, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[195356, 6497, 102, 2, 43, "Input"],
Cell[195461, 6501, 293, 10, 42, "Output"]
}, Open  ]],
Cell[195769, 6514, 1962, 60, 218, "Text",
 Evaluatable->False],
Cell[197734, 6576, 43, 1, 43, "Input"],
Cell[197780, 6579, 604, 16, 92, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[198409, 6599, 218, 4, 43, "Input"],
Cell[198630, 6605, 173, 4, 45, "Output"]
}, Open  ]],
Cell[198818, 6612, 185, 7, 41, "Text",
 Evaluatable->False],
Cell[199006, 6621, 141, 5, 66, "Input"],
Cell[199150, 6628, 473, 16, 43, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[199648, 6648, 175, 3, 43, "Input"],
Cell[199826, 6653, 458, 15, 48, "Output"]
}, Open  ]],
Cell[200299, 6671, 329, 9, 66, "Text",
 Evaluatable->False],
Cell[200631, 6682, 139, 2, 43, "Input"],
Cell[200773, 6686, 496, 17, 43, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[201294, 6707, 178, 3, 43, "Input"],
Cell[201475, 6712, 496, 16, 48, "Output"]
}, Open  ]],
Cell[201986, 6731, 272, 8, 41, "Text",
 Evaluatable->False],
Cell[202261, 6741, 159, 5, 66, "Input"],
Cell[202423, 6748, 527, 17, 43, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[202975, 6769, 178, 3, 43, "Input"],
Cell[203156, 6774, 427, 14, 42, "Output"]
}, Open  ]],
Cell[203598, 6791, 700, 19, 90, "Text",
 Evaluatable->False],
Cell[204301, 6812, 2402, 78, 337, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[206728, 6894, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[206816, 6898, 6632, 241, 434, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[213463, 7142, 3455, 102, 492, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[216943, 7248, 127, 2, 43, "Input"],
Cell[217073, 7252, 147, 4, 45, "Output"]
}, Open  ]],
Cell[217235, 7259, 119, 2, 41, "Text",
 Evaluatable->False],
Cell[217357, 7263, 147, 5, 66, "Input"],
Cell[217507, 7270, 452, 15, 43, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[217984, 7289, 130, 2, 43, "Input"],
Cell[218117, 7293, 1387, 46, 146, "Output"]
}, Open  ]],
Cell[219519, 7342, 760, 20, 92, "Text",
 Evaluatable->False],
Cell[220284, 7365, 169, 2, 43, "Input"],
Cell[220456, 7369, 468, 16, 43, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[220949, 7389, 133, 2, 43, "Input"],
Cell[221085, 7393, 1186, 40, 120, "Output"]
}, Open  ]],
Cell[222286, 7436, 4551, 148, 611, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[226862, 7588, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[226950, 7592, 7568, 281, 460, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[234533, 7876, 664, 19, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[235222, 7899, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[235310, 7903, 783, 28, 55, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[236108, 7934, 551, 13, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[236684, 7951, 141, 3, 43, "Input"],
Cell[236828, 7956, 172, 4, 45, "Output"]
}, Open  ]],
Cell[237015, 7963, 540, 18, 43, "Text",
 Evaluatable->False],
Cell[237558, 7983, 193, 6, 66, "Input"],
Cell[237754, 7991, 251, 8, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[238030, 8003, 179, 3, 43, "Input"],
Cell[238212, 8008, 692, 24, 48, "Output"]
}, Open  ]],
Cell[238919, 8035, 884, 28, 141, "Text",
 Evaluatable->False],
Cell[239806, 8065, 43, 1, 43, "Input"],
Cell[239852, 8068, 1209, 40, 164, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[241086, 8112, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[241174, 8116, 4866, 163, 366, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[246055, 8282, 1166, 32, 215, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[247246, 8318, 127, 2, 43, "Input"],
Cell[247376, 8322, 278, 10, 48, "Output"]
}, Open  ]],
Cell[247669, 8335, 914, 34, 103, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[248608, 8373, 167, 6, 88, "Input"],
Cell[248778, 8381, 307, 11, 48, "Output"]
}, Open  ]],
Cell[249100, 8395, 554, 20, 70, "Text",
 Evaluatable->False],
Cell[249657, 8417, 53, 1, 43, "Input"],
Cell[249713, 8420, 315, 11, 48, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[250053, 8435, 133, 2, 43, "Input"],
Cell[250189, 8439, 340, 12, 42, "Output"]
}, Open  ]],
Cell[250544, 8454, 1121, 34, 173, "Text",
 Evaluatable->False],
Cell[251668, 8490, 44, 1, 43, "Input"],
Cell[251715, 8493, 430, 8, 115, "Text",
 Evaluatable->False],
Cell[252148, 8503, 364, 11, 43, "Text",
 Evaluatable->False],
Cell[252515, 8516, 99, 5, 88, "Input"],
Cell[252617, 8523, 327, 10, 43, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[252969, 8537, 102, 2, 43, "Input"],
Cell[253074, 8541, 330, 11, 48, "Output"]
}, Open  ]],
Cell[253419, 8555, 732, 26, 71, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[254176, 8585, 104, 2, 43, "Input"],
Cell[254283, 8589, 635, 21, 68, "Output"]
}, Open  ]],
Cell[254933, 8613, 506, 15, 117, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[255464, 8632, 259, 7, 43, "Input"],
Cell[255726, 8641, 326, 10, 45, "Output"]
}, Open  ]],
Cell[256067, 8654, 801, 25, 92, "Text",
 Evaluatable->False],
Cell[256871, 8681, 42, 1, 43, "Input"],
Cell[256916, 8684, 1446, 46, 213, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[258387, 8734, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[258475, 8738, 8589, 325, 596, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[267079, 9066, 880, 24, 119, "Text",
 Evaluatable->False],
Cell[267962, 9092, 42, 1, 43, "Input"],
Cell[268007, 9095, 1046, 31, 157, "Text",
 Evaluatable->False],
Cell[269056, 9128, 81, 4, 66, "Input"],
Cell[269140, 9134, 2402, 79, 435, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[271567, 9217, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[271655, 9221, 9731, 362, 675, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[281401, 9586, 1315, 43, 188, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[282741, 9633, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[282829, 9637, 2771, 96, 145, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[285615, 9736, 1264, 43, 92, "Text",
 Evaluatable->False],
Cell[286882, 9781, 103, 5, 88, "Input"],
Cell[286988, 9788, 153, 4, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[287166, 9796, 59, 1, 43, "Input"],
Cell[287228, 9799, 157, 4, 42, "Output"]
}, Open  ]],
Cell[287400, 9806, 647, 20, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[288072, 9830, 128, 2, 43, "Input"],
Cell[288203, 9834, 110, 2, 42, "Output"]
}, Open  ]],
Cell[288328, 9839, 1235, 41, 185, "Text",
 Evaluatable->False],
Cell[289566, 9882, 3704, 137, 496, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[293295, 10023, 114, 6, 111, "Input"],
Cell[293412, 10031, 114, 2, 42, "Output"]
}, Open  ]],
Cell[293541, 10036, 2881, 101, 393, "Text",
 Evaluatable->False]
}, Open  ]],
Cell[CellGroupData[{
Cell[296459, 10142, 437, 10, 125, "Input"],
Cell[296899, 10154, 111, 2, 42, "Output"]
}, Open  ]],
Cell[297025, 10159, 2241, 69, 361, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[299291, 10232, 212, 7, 105, "Section",
 Evaluatable->False],
Cell[299506, 10241, 156, 6, 40, "Input"],
Cell[299665, 10249, 1055, 33, 92, "Text",
 Evaluatable->False],
Cell[300723, 10284, 43, 1, 43, "Input"],
Cell[300769, 10287, 1308, 46, 169, "Text",
 Evaluatable->False],
Cell[302080, 10335, 43, 1, 43, "Input"],
Cell[302126, 10338, 975, 36, 160, "Text",
 Evaluatable->False],
Cell[303104, 10376, 43, 1, 43, "Input"],
Cell[303150, 10379, 617, 20, 99, "Text",
 Evaluatable->False],
Cell[303770, 10401, 44, 1, 43, "Input"],
Cell[303817, 10404, 634, 17, 166, "Text",
 Evaluatable->False],
Cell[304454, 10423, 45, 1, 43, "Input"],
Cell[304502, 10426, 557, 16, 43, "Text",
 Evaluatable->False],
Cell[305062, 10444, 43, 1, 43, "Input"],
Cell[305108, 10447, 308, 10, 43, "Text",
 Evaluatable->False],
Cell[305419, 10459, 47, 1, 43, "Input"],
Cell[305469, 10462, 365, 12, 43, "Text",
 Evaluatable->False],
Cell[305837, 10476, 44, 1, 43, "Input"]
}, Open  ]]
}
]
*)

