(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    422039,      14779]
NotebookOptionsPosition[    403513,      14181]
NotebookOutlinePosition[    404114,      14205]
CellTagsIndexPosition[    404071,      14202]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Abstract Algebra: An Interactive Approach", "Special2",
 Evaluatable->False,
 CellChangeTimes->{{3.437927991765625*^9, 3.437928001640625*^9}},
 TextAlignment->Center,
 FontFamily->"Arial",
 FontSize->36,
 FontWeight->"Bold",
 FontSlant->"Italic",
 FontColor->RGBColor[1, 0, 1],
 Background->RGBColor[0.500008, 1, 1]],

Cell[CellGroupData[{

Cell["\[Copyright]2009   William Paulsen", "Name",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379280053125*^9, 3.437928006453125*^9}},
 FontFamily->"Arial",
 FontSize->10,
 FontSlant->"Italic",
 FontColor->RGBColor[0, 0, 1],
 Background->GrayLevel[1]],

Cell["\<\
All rights reserved:  These materials can be duplicated or transmitted freely \
for educational use on condition that all copyright statements are retained \
unaltered.  No part of these materials may be sold, by any means or in any \
form, without written permission from the editor.  All software is provided \
\"as is\" without warranty of any kind, either expressed or implied, \
including, but not limited to, the implied warranties of merchantability and \
fitness for a particular purpose.\
\>", "Name",
 Editable->False,
 Evaluatable->False,
 CellHorizontalScrolling->False,
 FontFamily->"Arial",
 FontSize->10,
 FontSlant->"Italic",
 FontColor->RGBColor[0, 0, 1],
 Background->GrayLevel[1]]
}, Closed]],

Cell["\<\
Chapter 14
The Theory of Fields\
\>", "Title",
 CellFrame->True,
 Evaluatable->False,
 CellHorizontalScrolling->False,
 TextAlignment->Center,
 FontFamily->"Arial",
 FontSize->24,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[CellGroupData[{

Cell["Initialization", "Special2",
 Evaluatable->False,
 TextAlignment->Center,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["<<c:\\math\\ring.m", "Input",
 PageWidth->Infinity,
 InitializationCell->True,
 CellChangeTimes->{{3.437928008515625*^9, 3.437928011140625*^9}},
 AspectRatioFixed->True],

Cell[BoxData["\<\"Initialization Done\"\>"], "Print",
 CellChangeTimes->{3.43793533821875*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Vector Spaces", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379287209375*^9, 3.4379287244375*^9}}],

Cell["\<\
In order to study fields in depth, we will first need a few results from a \
first year linear algebra course.  However, most linear algebra courses work \
with vectors and matrices with real numbers for entries, whereas we will \
generalize the notations to allow arbitrary fields.  Nonetheless, most of the \
proofs will follow the same way for arbitrary fields as for real numbers.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928762109375*^9, 3.4379288123125*^9}}],

Cell[TextData[{
 "DEFINITION 14.1:\nLet ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be a field.  We say that ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " is a ",
 StyleBox["vector space",
  FontSlant->"Italic"],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " if ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " is an abelian group under addition ",
 Cell[BoxData[
  FormBox["+", TraditionalForm]]],
 ", and for which there is defined a multiplication ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "\[CenterDot]", "v"}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", " ", "\[Element]", "F"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", "\[Element]", "V"}], TraditionalForm]]],
 " such that:\n\n   1.  whenever ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "\[Element]", "F"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", "\[Element]", "V"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"a", "\[CenterDot]", "v"}], "\[Element]", "V"}], 
   TraditionalForm]]],
 ",\n   2. when ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "\[Element]", "F"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", ",", 
    RowBox[{"w", "\[Element]", "V"}]}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"a", "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"v", "+", "w"}], ")"}]}], "=", 
    RowBox[{
     RowBox[{"a", "\[CenterDot]", "v"}], "+", 
     RowBox[{"a", "\[CenterDot]", "w"}]}]}], TraditionalForm]]],
 ",\n   3. when ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", ",", 
    RowBox[{"b", "\[Element]", "F"}]}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", "\[Element]", "V"}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"a", "+", "b"}], ")"}], "\[CenterDot]", "v"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"a", "\[CenterDot]", "v"}], " ", "+", " ", 
     RowBox[{"b", "\[CenterDot]", "v"}]}]}], TraditionalForm]]],
 ",\n   4. when ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", ",", 
    RowBox[{"b", "\[Element]", "F"}]}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", "\[Element]", "V"}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"a", "\[CenterDot]", "b"}], ")"}], "\[CenterDot]", "v"}], " ", 
     "=", " ", "a"}], "\[InvisibleComma]", 
    RowBox[{"\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"b", "\[CenterDot]", "v"}], ")"}]}]}], TraditionalForm]]],
 ",\n   5. if ",
 Cell[BoxData[
  FormBox["e", TraditionalForm]]],
 " is the identity of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"e", "\[CenterDot]", "v"}], "=", "v"}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", "\[Element]", "V"}], TraditionalForm]]],
 ".\n   \nThe members of ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " are called ",
 StyleBox["vectors",
  FontSlant->"Italic"],
 ".   "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928762109375*^9, 3.43792930115625*^9}}],

Cell["\<\
The best way to get a feel for vector spaces is to give some examples.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437929403453125*^9, 3.43792943065625*^9}}],

Cell[TextData[{
 "EXAMPLE 14.1\nConsider the set of 3-tuples ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{
     SubscriptBox["u", "1"], ",", " ", 
     SubscriptBox["u", "2"], ",", " ", 
     SubscriptBox["u", "3"]}], "\[RightAngleBracket]"}], TraditionalForm]]],
 " where ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["u", "1"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["u", "2"], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["u", "3"], "\[Element]", "\[DoubleStruckCapitalR]"}], 
   TraditionalForm]]],
 ".  Addition of 2 vectors is done componentwise, and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"k", "\[CenterDot]", 
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{
       SubscriptBox["u", "1"], ",", " ", 
       SubscriptBox["u", "2"], ",", " ", 
       SubscriptBox["u", "3"]}], "\[RightAngleBracket]"}]}], "=", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{
      RowBox[{"k", " ", 
       SubscriptBox["u", "1"]}], ",", 
      RowBox[{"k", " ", 
       SubscriptBox["u", "2"]}], ",", 
      RowBox[{"k", " ", 
       SubscriptBox["u", "3"]}]}], "\[RightAngleBracket]"}]}], 
   TraditionalForm]]],
 " when ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", "\[Element]", "\[DoubleStruckCapitalR]"}], 
   TraditionalForm]]],
 ".  This is a vector space over \[DoubleStruckCapitalR], and can be denoted \
by ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[DoubleStruckCapitalR]", "3"], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379294371875*^9, 3.43792954821875*^9}, {
  3.437929596375*^9, 3.43792965896875*^9}, {3.43792969421875*^9, 
  3.437929771234375*^9}}],

Cell[TextData[{
 "EXAMPLE 14.2\nWe can generalize the previous example using any field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " in place of \[DoubleStruckCapitalR], and consider ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-tuples ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{
     SubscriptBox["u", "1"], ",", " ", 
     SubscriptBox["u", "2"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["u", "n"]}], "\[RightAngleBracket]"}], TraditionalForm]]],
 ".  Addition is still defined componentwise, and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"k", "\[CenterDot]", 
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{
       SubscriptBox["u", "1"], ",", " ", 
       SubscriptBox["u", "2"], ",", " ", "\[Ellipsis]", ",", " ", 
       SubscriptBox["u", "n"]}], "\[RightAngleBracket]"}]}], "=", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{
      RowBox[{"k", "\[CenterDot]", 
       SubscriptBox["u", "1"]}], ",", " ", 
      RowBox[{"k", "\[CenterDot]", 
       SubscriptBox["u", "2"]}], ",", " ", "\[Ellipsis]", ",", " ", 
      RowBox[{"k", "\[CenterDot]", 
       SubscriptBox["u", "n"]}]}], "\[RightAngleBracket]"}]}], 
   TraditionalForm]]],
 ". This will give us a vector space over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", which we can denote by ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["F", "n"], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379294371875*^9, 3.43792954821875*^9}, {
  3.437929596375*^9, 3.43792965896875*^9}, {3.43792969421875*^9, 
  3.437929870625*^9}, {3.43792995859375*^9, 3.437930033140625*^9}}],

Cell[TextData[{
 "EXAMPLE 14.3\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a field, and ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " any subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ".  Then ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a vector space over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", defining ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "\[CenterDot]", "v"}], TraditionalForm]]],
 " as a product in the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ".  Property 5 follows from the fact that the identity of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " must also be the identity of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ".\nThe other properties follow from the distributive and associative \
properties of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379294371875*^9, 3.43792954821875*^9}, {
  3.437929596375*^9, 3.43792965896875*^9}, {3.43792969421875*^9, 
  3.437929870625*^9}, {3.43792995859375*^9, 3.437930148046875*^9}}],

Cell[TextData[{
 "This last example demonstrates the usefulness in studying vector spaces \
over a field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ".  In fact, this is the example that we will concentrate on for the \
remainder of the chapter.\n\nThe next definition is the key to understanding \
the properties of a vector space.           "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379294371875*^9, 3.43792954821875*^9}, {
  3.437929596375*^9, 3.43792965896875*^9}, {3.43792969421875*^9, 
  3.437929870625*^9}, {3.43792995859375*^9, 3.437930203859375*^9}}],

Cell[TextData[{
 "DEFINITION 14.2:\nLet ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " be a vector space over a field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". We say that a finite set  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"B", "=", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["x", "1"], ",", " ", 
      SubscriptBox["x", "2"], ",", " ", 
      SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", " ", ",", 
      SubscriptBox["x", "n"]}], "}"}]}], TraditionalForm]]],
 " of vectors in ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " are  ",
 StyleBox["linearly dependent",
  FontSlant->"Italic"],
 " if there are elements ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "1"], ",", " ", 
    SubscriptBox["c", "2"], ",", 
    RowBox[{
     RowBox[{"\[Ellipsis]", " ", 
      SubscriptBox["c", "n"]}], "\[Element]", "F"}]}], TraditionalForm]]],
 ", not all zero, for which\n\n            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["c", "1"], 
      SubscriptBox["x", "1"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "2"], " ", 
      SubscriptBox["x", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "3"], " ", 
      SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+", 
     " ", 
     RowBox[{
      SubscriptBox["c", "n"], "  ", 
      SubscriptBox["x", "n"]}]}], " ", "=", "0"}], TraditionalForm]]],
 ".\n\nWe say that the vectors are linearly independent if they are not \
linearly dependent, that is, if the only way for \n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["c", "1"], 
      SubscriptBox["x", "1"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "2"], " ", 
      SubscriptBox["x", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "3"], " ", 
      SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+", 
     " ", 
     RowBox[{
      SubscriptBox["c", "n"], "  ", 
      SubscriptBox["x", "n"]}]}], " ", "=", "0"}], TraditionalForm]]],
 "\nis for ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "0"], "=", 
    RowBox[{
     SubscriptBox["c", "1"], "=", " ", 
     RowBox[{"\[CenterEllipsis]", " ", "=", " ", 
      RowBox[{
       SubscriptBox["c", "n"], "=", "0", " "}]}]}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437930264140625*^9, 3.43793051125*^9}, {
  3.4379305634375*^9, 3.437930586828125*^9}, {3.437930650078125*^9, 
  3.437930650421875*^9}, {3.4379324855*^9, 3.437932486015625*^9}, {
  3.4379325273125*^9, 3.43793274353125*^9}, {3.437932775984375*^9, 
  3.43793280440625*^9}}],

Cell[TextData[{
 "EXAMPLE 14.4\nThe vectors ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"1", ",", "4", ",", 
     RowBox[{"-", "1"}]}], "\[RightAngleBracket]"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"2", ",", 
     RowBox[{"-", "3"}], ",", "1"}], "\[RightAngleBracket]"}], 
   TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"4", ",", "5", ",", 
     RowBox[{"-", "1"}]}], "\[RightAngleBracket]"}], TraditionalForm]]],
 " are linearly dependent, since there is a non-zero solution to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["c", "1"], 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"1", ",", "4", ",", 
        RowBox[{"-", "1"}]}], "\[RightAngleBracket]"}]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "2"], 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"2", ",", 
        RowBox[{"-", "3"}], ",", "1"}], "\[RightAngleBracket]"}]}], "+", " ", 
     
     RowBox[{
      SubscriptBox["c", "3"], 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"4", ",", "5", ",", 
        RowBox[{"-", "1"}]}], "\[RightAngleBracket]"}]}]}], "=", "0"}], 
   TraditionalForm]]],
 ", namely, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "1"], "=", "2"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "2"], "=", "1"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "3"], "=", 
    RowBox[{"-", "1"}]}], TraditionalForm]]],
 ".  On the other hand, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"2", ",", "0", ",", "1"}], "\[RightAngleBracket]"}], 
   TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"0", ",", "0", ",", "3"}], "\[RightAngleBracket]"}], 
   TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"1", ",", "4", ",", "0"}], "\[RightAngleBracket]"}], 
   TraditionalForm]]],
 " are linearly independent, since in order to get ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["c", "1"], 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"2", ",", "0", ",", "1"}], "\[RightAngleBracket]"}]}], "+", 
     RowBox[{
      SubscriptBox["c", "2"], 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"0", ",", "0", ",", "3"}], "\[RightAngleBracket]"}]}], " ", 
     "+", " ", 
     RowBox[{
      SubscriptBox["c", "3"], 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"1", ",", "4", ",", "0"}], "\[RightAngleBracket]"}]}]}], "=", 
    "0"}], TraditionalForm]]],
 ", we need ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"4", " ", 
     SubscriptBox["c", "3"]}], "=", "0"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"2", 
      SubscriptBox["c", "1"]}], "+", " ", 
     SubscriptBox["c", 
      RowBox[{"3", " "}]]}], "=", "0"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["c", "1"], "+", " ", 
     RowBox[{"3", " ", 
      SubscriptBox["c", "2"]}]}], "=", "0"}], TraditionalForm]]],
 ".  This forces ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "3"], "=", "0"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "1"], "=", "0"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "2"], "=", "0"}], TraditionalForm]]],
 ", so there are no non-zero solutions."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379294371875*^9, 3.43792954821875*^9}, {
  3.437929596375*^9, 3.43792965896875*^9}, {3.43792969421875*^9, 
  3.437929870625*^9}, {3.43792995859375*^9, 3.437930148046875*^9}, {
  3.437932823109375*^9, 3.4379328316875*^9}, {3.4379328975625*^9, 
  3.437932944953125*^9}, {3.437934198984375*^9, 3.43793428065625*^9}, {
  3.437934319171875*^9, 3.437934411765625*^9}, {3.437934459375*^9, 
  3.437934614765625*^9}}],

Cell[TextData[{
 "DEFINITION 14.3:\nLet ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " be a vector space over a field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". A finite set of vectors ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", " ", ",", 
     SubscriptBox["x", "n"]}], "}"}], TraditionalForm]]],
 "  in ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " is called a ",
 StyleBox["basis of",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " ",
 StyleBox["over",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " if the set is linearly independent, and every element of ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " can be uniquely expressed in the form\n\n            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["a", "1"], 
      SubscriptBox["x", "1"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "2"], " ", 
      SubscriptBox["x", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "3"], " ", 
      SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+", 
     " ", 
     RowBox[{
      SubscriptBox["a", "n"], "  ", 
      SubscriptBox["x", "n"]}]}], " ", ","}], TraditionalForm]]],
 "\n\nwith ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "1"], ",", " ", 
    SubscriptBox["a", "2"], ",", " ", 
    SubscriptBox["a", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
    SubscriptBox["a", "n"]}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437930264140625*^9, 3.43793051125*^9}, {
  3.4379305634375*^9, 3.437930586828125*^9}, {3.437930650078125*^9, 
  3.437930650421875*^9}}],

Cell[TextData[{
 "Here are some examples, all of which are fairly routine to check:\n\n   1. \
The complex numbers \[DoubleStruckCapitalC] has a basis ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", "i"}], "}"}], TraditionalForm]]],
 " over the real numbers \[DoubleStruckCapitalR].\n   2. The quaternions \
\[DoubleStruckCapitalH] has a basis ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", "i", ",", "j", ",", "k"}], "}"}], TraditionalForm]]],
 " over \[DoubleStruckCapitalR].\n   3. The field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "[", 
    SqrtBox["2"], "]"}], TraditionalForm]]],
 " has a basis ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", 
     SqrtBox["2"]}], "}"}], TraditionalForm]]],
 " over the rational numbers \[DoubleStruckCapitalQ].\n   4. From example \
14.3, the real numbers \[DoubleStruckCapitalR] is a vector field over the \
rationals.  However, there can be no finite basis ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", 
     SubscriptBox["x", "2"], ",", 
     SubscriptBox["x", "3"], ",", 
     RowBox[{"\[Ellipsis]", " ", 
      SubscriptBox["x", "n"]}]}], "}"}], TraditionalForm]]],
 " in \[DoubleStruckCapitalR] for which every real number could be expressed \
as ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["a", "1"], 
     SubscriptBox["x", "1"]}], "+", 
    RowBox[{
     SubscriptBox["a", "2"], 
     SubscriptBox["x", "2"]}], "+", " ", 
    RowBox[{
     SubscriptBox["a", "3"], 
     SubscriptBox["x", 
      RowBox[{"3", " "}]]}], "+", " ", "\[CenterEllipsis]", "+", 
    RowBox[{
     SubscriptBox["a", "n"], 
     SubscriptBox["x", "n"]}]}], TraditionalForm]]],
 ", with ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "1"], ",", " ", 
    SubscriptBox["a", "2"], ",", 
    RowBox[{
     RowBox[{"\[Ellipsis]", " ", 
      SubscriptBox["a", "n"]}], "\[Element]", "\[DoubleStruckCapitalQ]"}]}], 
   TraditionalForm]]],
 ", lest the set of reals be countable, which contradicts Cantor's \
diagonalization theorem (9.1)."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379294371875*^9, 3.43792954821875*^9}, {
  3.437929596375*^9, 3.43792965896875*^9}, {3.43792969421875*^9, 
  3.437929870625*^9}, {3.43792995859375*^9, 3.437930199421875*^9}, {
  3.43793464828125*^9, 3.437935043453125*^9}}],

Cell[TextData[{
 "We can define a basis in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " with the command ",
 StyleBox["ToBasis",
  FontWeight->"Bold"]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379294371875*^9, 3.43792954821875*^9}, {
   3.437929596375*^9, 3.43792965896875*^9}, {3.43792969421875*^9, 
   3.437929870625*^9}, {3.43792995859375*^9, 3.437930199421875*^9}, {
   3.43793464828125*^9, 3.437935040703125*^9}, {3.437935213484375*^9, 
   3.437935260265625*^9}, 3.437935301984375*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"B", "=", 
  RowBox[{"ToBasis", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "4", ",", 
        RowBox[{"-", "1"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", 
        RowBox[{"-", "3"}], ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"4", ",", "5", ",", 
        RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4379353085*^9, 3.437935333125*^9}}],

Cell[BoxData["\<\"Error: not linearly independent.\"\>"], "Print",
 CellChangeTimes->{3.437935338328125*^9}],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{3.437935338390625*^9}]
}, Open  ]],

Cell[TextData[{
 "The first argument is 1, indicating that we are defining this as a basis \
over the reals or the rationals.  This failed because, as we saw before, the \
set of vectors  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"1", ",", "4", ",", 
     RowBox[{"-", "1"}]}], "\[RightAngleBracket]"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"2", ",", 
     RowBox[{"-", "3"}], ",", "1"}], "\[RightAngleBracket]"}], 
   TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"4", ",", "5", ",", 
     RowBox[{"-", "1"}]}], "\[RightAngleBracket]"}], TraditionalForm]]],
 " were linearly dependent.  Here is another attempt."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379294371875*^9, 3.43792954821875*^9}, {
  3.437929596375*^9, 3.43792965896875*^9}, {3.43792969421875*^9, 
  3.437929870625*^9}, {3.43792995859375*^9, 3.437930199421875*^9}, {
  3.43793464828125*^9, 3.437935040703125*^9}, {3.437935213484375*^9, 
  3.437935260265625*^9}, {3.437935301984375*^9, 3.437935305234375*^9}, {
  3.43793538284375*^9, 3.437935518078125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"B", " ", "=", " ", 
  RowBox[{"ToBasis", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"2", ",", "0", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "4", ",", "0"}], "}"}]}], "}"}]}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.437935523078125*^9, 3.437935545140625*^9}}],

Cell[BoxData[
 RowBox[{"Basis", "[", 
  RowBox[{"1", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "4", ",", "0"}], "}"}]}], "}"}]}], "]"}]], "Output",
 CellChangeTimes->{3.437935545703125*^9}]
}, Open  ]],

Cell[TextData[{
 "This time, there was no error message, so we know that these are linearly \
independent.  Once we have defined a basis, we can find the coefficients ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "1"], ",", " ", 
    SubscriptBox["c", "2"], ",", 
    RowBox[{"\[Ellipsis]", " ", 
     SubscriptBox["c", "n"]}]}], TraditionalForm]]],
 " for any vector."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379294371875*^9, 3.43792954821875*^9}, {
  3.437929596375*^9, 3.43792965896875*^9}, {3.43792969421875*^9, 
  3.437929870625*^9}, {3.43792995859375*^9, 3.437930199421875*^9}, {
  3.43793464828125*^9, 3.437935040703125*^9}, {3.437935213484375*^9, 
  3.437935260265625*^9}, {3.437935301984375*^9, 3.437935305234375*^9}, {
  3.43793538284375*^9, 3.437935514796875*^9}, {3.437935551390625*^9, 
  3.437935640140625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Coefficients", "[", 
  RowBox[{"B", ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3", ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.437935643296875*^9, 3.437935651953125*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["5", "8"], ",", 
   FractionBox["9", "8"], ",", 
   FractionBox["3", "4"]}], "}"}]], "Output",
 CellChangeTimes->{3.437935652515625*^9}]
}, Open  ]],

Cell[TextData[{
 "This shows that\n \n ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"2", ",", "3", ",", "4"}], "\[RightAngleBracket]"}], "=", 
    RowBox[{
     RowBox[{
      FractionBox["5", "8"], 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"2", ",", "0", ",", "1"}], "\[RightAngleBracket]"}]}], "+", 
     RowBox[{
      FractionBox["9", "8"], 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"0", ",", "0", ",", "3"}], "\[RightAngleBracket]"}]}], "+", 
     RowBox[{
      FractionBox["3", "4"], 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"1", ",", "4", ",", "0"}], "\[RightAngleBracket]"}]}]}]}], 
   TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379294371875*^9, 3.43792954821875*^9}, {
  3.437929596375*^9, 3.43792965896875*^9}, {3.43792969421875*^9, 
  3.437929870625*^9}, {3.43792995859375*^9, 3.437930199421875*^9}, {
  3.43793464828125*^9, 3.437935040703125*^9}, {3.437935213484375*^9, 
  3.437935260265625*^9}, {3.437935301984375*^9, 3.437935305234375*^9}, {
  3.43793538284375*^9, 3.437935514796875*^9}, {3.437935551390625*^9, 
  3.437935790265625*^9}}],

Cell[TextData[{
 "LEMMA 14.1\nSuppose that ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " is a vector space over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"B", "=", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["x", "1"], ",", " ", 
      SubscriptBox["x", "2"], ",", " ", 
      SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", " ", ",", 
      SubscriptBox["x", "n"]}], "}"}]}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Then any set ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", 
     SubscriptBox["y", "2"], ",", 
     SubscriptBox["y", "3"], ",", "\[Ellipsis]", ",", 
     SubscriptBox["y", "n"], ",", 
     SubscriptBox["y", 
      RowBox[{"n", "+", "1"}]]}], "}"}], TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "+", "1"}], TraditionalForm]]],
 " elements of ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 " are linearly dependent."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437935920015625*^9, 3.4379360320625*^9}, {
  3.437936164296875*^9, 3.43793618046875*^9}, {3.437936434359375*^9, 
  3.437936445265625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Suppose that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"Y", "=", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["y", "1"], ",", 
      SubscriptBox["y", "2"], ",", 
      SubscriptBox["y", "3"], ",", "\[Ellipsis]", ",", 
      SubscriptBox["y", "n"], ",", 
      SubscriptBox["y", 
       RowBox[{"n", "+", "1"}]]}], "}"}]}], TraditionalForm]]],
 " are linearly independent, so that all of these vectors are non-zero.\n\n\
Our goal is to show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", 
     SubscriptBox["y", "2"], ",", 
     RowBox[{"\[Ellipsis]", " ", 
      SubscriptBox["y", 
       RowBox[{"k", "-", "1"}]]}], ",", 
     SubscriptBox["y", "k"], ",", 
     SubscriptBox["x", 
      RowBox[{"k", "+", "1"}]], ",", 
     SubscriptBox["\[Ellipsis]x", "n"]}], "}"}], TraditionalForm]]],
 " is a basis for every ",
 Cell[BoxData[
  FormBox[
   RowBox[{"0", "\[LessEqual]", "k", "\[LessEqual]", "n"}], 
   TraditionalForm]]],
 ".\nIf ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", "=", "0"}], TraditionalForm]]],
 ", then this set is the original set ",
 Cell[BoxData[
  FormBox["B", TraditionalForm]]],
 ", which is a basis. \nSo let us use induction to assume that it is true for \
the previous case, that is that  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", 
     SubscriptBox["y", "2"], ",", 
     RowBox[{"\[Ellipsis]", " ", 
      SubscriptBox["y", 
       RowBox[{"k", "-", "1"}]]}], ",", 
     SubscriptBox["x", "k"], ",", 
     SubscriptBox["x", 
      RowBox[{"k", "+", "1"}]], ",", 
     SubscriptBox["\[Ellipsis]x", "n"]}], "}"}], TraditionalForm]]],
 " is a basis.\n\nWe then can express ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SubscriptBox["y", "k"], "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox["a", "1"], 
       SubscriptBox["y", "1"]}], "+", " ", 
      RowBox[{
       SubscriptBox["a", "2"], 
       SubscriptBox["y", "2"]}], "+", "\[CenterEllipsis]", "+", 
      RowBox[{
       SubscriptBox["a", 
        RowBox[{"k", "-", "1"}]], 
       SubscriptBox["y", 
        RowBox[{"k", "-", "1"}]]}], "+", " ", 
      RowBox[{
       SubscriptBox["a", "k"], 
       SubscriptBox["x", "k"]}], "+", "\[CenterEllipsis]", "+", 
      RowBox[{
       SubscriptBox["a", "n"], 
       SubscriptBox["x", "n"], " "}]}]}]}], TraditionalForm]]],
 ".\nSince the vectors in ",
 Cell[BoxData[
  FormBox["Y", TraditionalForm]]],
 " are linearly independent, we see that at least one of \n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "k"], ",", " ", 
    SubscriptBox["a", 
     RowBox[{"k", "+", "1"}]], ",", " ", 
    RowBox[{"\[Ellipsis]", " ", 
     SubscriptBox["a", "n"]}]}], TraditionalForm]]],
 " are non-zero. \nBy rearranging the remaining elements of ",
 Cell[BoxData[
  FormBox["B", TraditionalForm]]],
 ", we can suppose that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "k"], "\[NotEqual]", "0"}], TraditionalForm]]],
 ".\nThen ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["x", "k"], "=", " ", 
    RowBox[{
     RowBox[{
      SuperscriptBox[
       SubscriptBox["a", "k"], 
       RowBox[{"-", "1"}]], "(", 
      RowBox[{
       SubscriptBox["y", "k"], "-", 
       RowBox[{
        SubscriptBox["a", "1"], 
        SubscriptBox["y", "1"]}], "-", "\[CenterEllipsis]", "-", 
       RowBox[{
        SubscriptBox["a", 
         RowBox[{"k", "-", "1"}]], 
        SubscriptBox["y", 
         RowBox[{"k", "-", "1"}]]}], "-", 
       RowBox[{
        SubscriptBox["a", 
         RowBox[{"k", "+", "1"}]], 
        SubscriptBox["x", 
         RowBox[{"k", "+", "1"}]]}], "-", "\[CenterEllipsis]", "-", 
       RowBox[{
        SubscriptBox["a", "n"], 
        SubscriptBox["x", "n"]}]}], ")"}], ".", " "}]}], TraditionalForm]]],
 "\n\nAny element ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", " ", "\[Element]", "V"}], TraditionalForm]]],
 " can be expressed as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", " ", "=", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["c", "1"], 
      SubscriptBox["y", "1"]}], "+", " ", 
     RowBox[{
      SubscriptBox["c", "2"], 
      SubscriptBox["y", "2"]}], "+", "\[CenterEllipsis]", "+", 
     RowBox[{
      SubscriptBox["c", 
       RowBox[{"k", "-", "1"}]], 
      SubscriptBox["y", 
       RowBox[{"k", "-", "1"}]]}], "+", 
     RowBox[{
      SubscriptBox["c", "k"], 
      SubscriptBox["x", "k"]}], "+", "\[CenterEllipsis]", "+", 
     RowBox[{
      SubscriptBox["c", "n"], 
      RowBox[{
       SubscriptBox["x", "n"], "."}]}]}]}], TraditionalForm]]],
 "  By substituting for the value of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", "k"], TraditionalForm]]],
 ", we see that ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " can be expressed as a linear combination of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", 
     SubscriptBox["y", "2"], ",", 
     RowBox[{"\[Ellipsis]", " ", 
      SubscriptBox["y", 
       RowBox[{"k", "-", "1"}]]}], ",", 
     SubscriptBox["y", "k"], ",", 
     SubscriptBox["x", 
      RowBox[{"k", "+", "1"}]], ",", 
     SubscriptBox["\[Ellipsis]x", "n"]}], "}"}], TraditionalForm]]],
 ".  If this set were linearly dependent, there would be a non-zero solution \
to\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["c", "1"], 
      SubscriptBox["y", "1"]}], "+", " ", 
     RowBox[{
      SubscriptBox["c", "2"], 
      SubscriptBox["y", "2"]}], "+", "\[CenterEllipsis]", "+", 
     RowBox[{
      SubscriptBox["c", 
       RowBox[{"k", "-", "1"}]], 
      SubscriptBox["y", 
       RowBox[{"k", "-", "1"}]]}], "+", 
     RowBox[{
      SubscriptBox["c", "k"], 
      SubscriptBox["y", "k"]}], "+", "\[CenterEllipsis]", "+", 
     RowBox[{
      SubscriptBox["c", "n"], 
      SubscriptBox["x", "n"]}]}], "=", "0."}], TraditionalForm]]],
 "  Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "k"], "\[NotEqual]", "0"}], TraditionalForm]]],
 ",\nleast there also be a non-zero solution to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["c", "1"], 
       SubscriptBox["y", "1"]}], "+", " ", 
      RowBox[{
       SubscriptBox["c", "2"], 
       SubscriptBox["y", "2"]}], "+", "\[CenterEllipsis]", "+", 
      RowBox[{
       SubscriptBox["c", 
        RowBox[{"k", "-", "1"}]], 
       SubscriptBox["y", 
        RowBox[{"k", "-", "1"}]]}], "+", 
      RowBox[{
       SubscriptBox["c", "k"], 
       SubscriptBox["x", "k"]}], "+", "\[CenterEllipsis]", "+", 
      RowBox[{
       SubscriptBox["c", "n"], 
       SubscriptBox["x", "n"]}]}], "=", "0"}], ","}], TraditionalForm]]],
 " but we are assuming that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", 
     SubscriptBox["y", "2"], ",", 
     RowBox[{"\[Ellipsis]", " ", 
      SubscriptBox["y", 
       RowBox[{"k", "-", "1"}]]}], ",", 
     SubscriptBox["x", "k"], ",", 
     SubscriptBox["x", 
      RowBox[{"k", "+", "1"}]], ",", 
     SubscriptBox["\[Ellipsis]x", "n"]}], "}"}], TraditionalForm]]],
 " is a basis.\nBut substituting the value for ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["y", "k"], TraditionalForm]]],
 " gives\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["c", "k"], "(", " ", 
      RowBox[{
       RowBox[{
        SubscriptBox["a", "1"], 
        SubscriptBox["y", "1"]}], "+", " ", 
       RowBox[{
        SubscriptBox["a", "2"], 
        SubscriptBox["y", "2"]}], "+", "\[CenterEllipsis]", "+", 
       RowBox[{
        SubscriptBox["a", 
         RowBox[{"k", "-", "1"}]], 
        SubscriptBox["y", 
         RowBox[{"k", "-", "1"}]]}], "+", " ", 
       RowBox[{
        SubscriptBox["a", "k"], 
        SubscriptBox["x", "k"]}], "+", "\[CenterEllipsis]", "+", 
       RowBox[{
        SubscriptBox["a", "n"], 
        SubscriptBox["x", "n"]}]}], ")"}], " ", "+", 
     RowBox[{
      SubscriptBox["c", "1"], 
      SubscriptBox["y", "1"]}], "+", 
     RowBox[{
      SubscriptBox["c", "2"], 
      SubscriptBox["y", "2"]}], "+", "\[CenterEllipsis]", "+", 
     RowBox[{
      SubscriptBox["c", 
       RowBox[{"k", "-", "1"}]], 
      SubscriptBox["y", 
       RowBox[{"k", "-", "1"}]]}], "+", " ", 
     RowBox[{
      SubscriptBox["c", 
       RowBox[{"k", "+", "1"}]], 
      SubscriptBox["x", 
       RowBox[{"k", "+", "1"}]]}], "+", "\[CenterEllipsis]", "+", 
     RowBox[{
      SubscriptBox["c", "n"], 
      SubscriptBox["x", "n"]}]}], "=", "0."}], TraditionalForm]]],
 "\nThis is a non-zero solution to \n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["b", "1"], 
       SubscriptBox["y", "1"]}], "+", " ", 
      RowBox[{
       SubscriptBox["b", "2"], 
       SubscriptBox["y", "2"]}], "+", "\[CenterEllipsis]", "+", 
      RowBox[{
       SubscriptBox["b", 
        RowBox[{"k", "-", "1"}]], 
       SubscriptBox["y", 
        RowBox[{"k", "-", "1"}]]}], "+", 
      RowBox[{
       SubscriptBox["b", "k"], 
       SubscriptBox["x", "k"]}], "+", "\[CenterEllipsis]", "+", 
      RowBox[{
       SubscriptBox["b", "n"], 
       SubscriptBox["x", "n"]}]}], "=", "0"}], ","}], TraditionalForm]]],
 " since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["b", 
     RowBox[{"k", " "}]], "=", 
    RowBox[{
     RowBox[{
      SubscriptBox["c", "k"], 
      SubscriptBox["a", "k"]}], "\[NotEqual]", "0"}]}], TraditionalForm]]],
 ".  Thus, the set ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", 
     SubscriptBox["y", "2"], ",", 
     RowBox[{"\[Ellipsis]", " ", 
      SubscriptBox["y", 
       RowBox[{"k", "-", "1"}]]}], ",", 
     SubscriptBox["y", "k"], ",", 
     SubscriptBox["x", 
      RowBox[{"k", "+", "1"}]], ",", 
     SubscriptBox["\[Ellipsis]x", "n"]}], "}"}], TraditionalForm]]],
 " is linearly independent, and hence is a basis of ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 ".\n\nNow we can use the induction to say that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", 
     SubscriptBox["y", "2"], ",", "\[Ellipsis]", ",", 
     SubscriptBox["y", "n"]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["V", TraditionalForm]]],
 ", but then ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["y", 
    RowBox[{"n", "+", "1"}]], TraditionalForm]]],
 " can be expressed in terms of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", 
     SubscriptBox["y", "2"], ",", "\[Ellipsis]", ",", 
     SubscriptBox["y", "n"]}], "}"}], TraditionalForm]]],
 ", which shows that ",
 Cell[BoxData[
  FormBox["Y", TraditionalForm]]],
 "  is in fact linearly dependent."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437936354203125*^9, 3.437936375*^9}, {
   3.437936475640625*^9, 3.437936622859375*^9}, {3.43793670290625*^9, 
   3.437936761921875*^9}, {3.437936792453125*^9, 3.437936878375*^9}, {
   3.438007008015625*^9, 3.4380071566875*^9}, {3.4380073801502037`*^9, 
   3.4380074226658287`*^9}, {3.4380074771658287`*^9, 
   3.4380076639314537`*^9}, {3.4380077151970787`*^9, 
   3.4380077591970787`*^9}, {3.4380078430564537`*^9, 
   3.4380079624002037`*^9}, {3.4380080030252037`*^9, 
   3.4380080607752037`*^9}, {3.4380081077439537`*^9, 
   3.4380082253689537`*^9}, {3.4380082731970787`*^9, 
   3.4380084412439537`*^9}, {3.4380084744627037`*^9, 
   3.4380085280095787`*^9}, {3.4380085622595787`*^9, 
   3.4380085921658287`*^9}, {3.4380086294002037`*^9, 
   3.4380087326970787`*^9}, {3.4380088188220787`*^9, 
   3.4380091679158287`*^9}, {3.4380092528845787`*^9, 
   3.4380094752439537`*^9}, {3.4380095165564537`*^9, 3.4380096691189537`*^9}, 
   3.438019123890625*^9, {3.438019508078125*^9, 3.438019508078125*^9}, {
   3.43802032053125*^9, 3.43802032053125*^9}, {3.438020770640625*^9, 
   3.43802077340625*^9}}]
}, Open  ]],

Cell[TextData[{
 "\nIt is natural to apply the definition of a basis to a finite field. For \
example, the field of \"complex numbers modulo 3\" has a basis ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", " ", "i"}], "}"}], TraditionalForm]]],
 ", since the only way in which  \n \n              ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["a", "1"], "\[CenterDot]", " ", "1"}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["a", "2"], "\[CenterDot]", " ", "i"}]}], " ", "=", " ", 
     "0"}]}], TraditionalForm]]],
 "\n\nis if both integers ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["a", "1"], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["a", "2"], TraditionalForm]]],
 " be multiples of 3, in which case ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["a", "1"], "\[CenterDot]", "1"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["a", "3"], "\[CenterDot]", "i"}], " ", "=", " ", "0"}]}], 
   TraditionalForm]]],
 " in the field.\n\nIt is clear that any finite field has a basis, since the \
additive structure is a finite group. In fact, if a field of characteristic \
",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " has a basis ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", 
     RowBox[{"\[Ellipsis]", " ", 
      SubscriptBox["x", "n"]}]}], "}"}], TraditionalForm]]],
 ", then every element of the field can be expressed uniquely in the form\n\n \
            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["a", "1"], 
      SubscriptBox["x", "1"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "2"], " ", 
      SubscriptBox["x", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "3"], " ", 
      SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+", 
     " ", 
     RowBox[{
      SubscriptBox["a", "n"], "  ", 
      SubscriptBox["x", "n"]}]}], " ", ","}], TraditionalForm]]],
 "\n\nwhere each ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["a", "i"], TraditionalForm]]],
 "  is between ",
 Cell[BoxData[
  FormBox["0", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "-", "1"}], TraditionalForm]]],
 ". Thus, the order of the field is ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "n"], TraditionalForm]]],
 ".\n\nWe would like to slightly modify the definition of a basis so that the \
new definition will apply to infinite fields as well. Notice that in the case \
of finite fields, we could consider ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["a", "i"], TraditionalForm]]],
 " to be an element of the subfield ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "p"], TraditionalForm]]],
 " instead of an integer. \n\nDEFINITION:\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a division ring, and let ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be a subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". A set of non-zero elements ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", " ", ",", 
     SubscriptBox["x", "n"]}], "}"}], TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is called a ",
 StyleBox["basis of",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " ",
 StyleBox["over",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " if every element of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " can be uniquely expressed in the form\n\n            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["a", "1"], 
      SubscriptBox["x", "1"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "2"], " ", 
      SubscriptBox["x", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "3"], " ", 
      SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+", 
     " ", 
     RowBox[{
      SubscriptBox["a", "n"], "  ", 
      SubscriptBox["x", "n"]}]}], " ", ","}], TraditionalForm]]],
 "\n\nwith ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "1"], ",", " ", 
    SubscriptBox["a", "2"], ",", " ", 
    SubscriptBox["a", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
    SubscriptBox["a", "n"]}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ".\n\nHere are some examples: \n\n  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", " ", "I"}], "}"}], TraditionalForm]]],
 " is a basis of the complex numbers over the \n         real numbers ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalR]", TraditionalForm]]],
 ".\n\n  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", " ", "I", ",", " ", "J", ",", " ", "K"}], "}"}], 
   TraditionalForm]]],
 " is a basis of the quaternions over the \n         real numbers ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalR]", TraditionalForm]]],
 ".\n\n  {1,",
 Cell[BoxData[
  FormBox[
   SqrtBox["2"], TraditionalForm]]],
 "} is a basis of the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "[", 
    SqrtBox["2"], " ", "]"}], TraditionalForm]]],
 " over the   \n         rational numbers ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ".\n\nDEFINITION:\nIf there exists a finite set ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", " ", ",", 
     SubscriptBox["x", "n"]}], "}"}], TraditionalForm]]],
 " which is a basis of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", we say that ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a ",
 StyleBox["finite extension",
  FontSlant->"Italic"],
 " of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ".\n\nAt this point we will use the following observation from linear \
algebra: if we are given 2 linear equations with 3 unknowns, there cannot be \
a unique solution. In fact, whenever the number of linear equations is less \
than the number of unknowns, there will be more than one solution to the \
system of equations, as long as the equations are consistant. Although this \
statement is intuitively obvious in the field ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalR]", TraditionalForm]]],
 ", the principle carries over into any field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Using this fact, we can prove the following. "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379294371875*^9, 3.43792954821875*^9}, {
  3.437929596375*^9, 3.43792965896875*^9}, {3.43792969421875*^9, 
  3.437929870625*^9}, {3.43792995859375*^9, 3.437930199421875*^9}, {
  3.43793464828125*^9, 3.437935040703125*^9}, {3.437935213484375*^9, 
  3.437935260265625*^9}, {3.437935301984375*^9, 3.437935305234375*^9}, {
  3.43793538284375*^9, 3.437935514796875*^9}, {3.437935551390625*^9, 
  3.437935790265625*^9}}],

Cell[TextData[{
 "LEMMA 14.1.1\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a finite extension of a field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", " ", ",", 
     SubscriptBox["x", "n"]}], "}"}], TraditionalForm]]],
 " be a basis of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Then if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "0"], ",", 
     SubscriptBox["y", "1"], ",", 
     SubscriptBox["y", "1"], ",", 
     SubscriptBox["y", "2"], ",", "\[Ellipsis]", ",", 
     SubscriptBox["y", "n"]}], "}"}], TraditionalForm]]],
 " is a set of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "+", "1"}], TraditionalForm]]],
 " elements of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", then there is more than one solution to the equation\n\n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["a", "0"], 
      SubscriptBox["y", "0"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "1"], 
      SubscriptBox["y", "1"]}], "+", " ", 
     RowBox[{
      SubscriptBox["a", "2"], 
      SubscriptBox["y", "2"]}], "+", " ", 
     RowBox[{
      SubscriptBox["a", "3"], 
      SubscriptBox["y", "3"]}], "+", " ", "\[CenterEllipsis]", " ", "+", " ", 
     
     RowBox[{
      SubscriptBox["a", "n"], 
      SubscriptBox["y", "n"]}]}], "=", " ", "0"}], TraditionalForm]]],
 "\n        \nwith ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "0"], ",", 
    SubscriptBox["a", "1"], ",", 
    SubscriptBox["a", "2"], ",", "\[Ellipsis]", ",", " ", 
    SubscriptBox["a", "n"]}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Note that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "0"], "=", " ", 
    RowBox[{
     SubscriptBox["a", "1"], "=", " ", 
     RowBox[{
      SubscriptBox["a", "2"], "=", " ", 
      RowBox[{
       SubscriptBox["a", "3"], "=", " ", 
       RowBox[{"\[CenterEllipsis]", " ", "=", " ", 
        RowBox[{
         SubscriptBox["a", "n"], " ", "=", " ", "0"}]}]}]}]}]}], 
   TraditionalForm]]],
 " is one solution to\n\n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["a", "0"], 
      SubscriptBox["y", "0"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "1"], 
      SubscriptBox["y", "1"]}], "+", " ", 
     RowBox[{
      SubscriptBox["a", "2"], 
      SubscriptBox["y", "2"]}], "+", " ", 
     RowBox[{
      SubscriptBox["a", "3"], 
      SubscriptBox["y", "3"]}], "+", " ", "\[CenterEllipsis]", " ", "+", " ", 
     
     RowBox[{
      SubscriptBox["a", "n"], 
      SubscriptBox["y", "n"]}]}], "=", " ", "0"}], TraditionalForm]]],
 ".\n\nThus, we only need to find a second solution. Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", " ", ",", 
     SubscriptBox["x", "n"]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", we can write                        \n\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["y", "0"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox[
        RowBox[{"m", " "}], 
        RowBox[{"0", ",", "1"}]], 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"0", ",", "2"}]], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"0", ",", "3"}]], 
       SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+",
       " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"0", ",", "n"}]], 
       SubscriptBox["x", "n"]}]}]}], ","}], TraditionalForm]]],
 "\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["y", "1"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox[
        RowBox[{"m", " "}], 
        RowBox[{"1", ",", "1"}]], 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"1", ",", "2"}]], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"1", ",", "3"}]], 
       SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+",
       " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"1", ",", "n"}]], 
       SubscriptBox["x", "n"]}]}]}], ","}], TraditionalForm]]],
 "\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["y", "2"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox[
        RowBox[{"m", " "}], 
        RowBox[{"2", ",", "1"}]], 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"2", ",", "2"}]], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"2", ",", "3"}]], 
       SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+",
       " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"2", ",", "n"}]], 
       SubscriptBox["x", "n"]}]}]}], ","}], TraditionalForm]]],
 "\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["y", "3"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox[
        RowBox[{"m", " "}], 
        RowBox[{"3", ",", "1"}]], 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"3", ",", "2"}]], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"3", ",", "3"}]], 
       SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+",
       " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"3", ",", "n"}]], 
       SubscriptBox["x", "n"]}]}]}], ","}], TraditionalForm]]],
 "\n                       \
\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\
\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["y", "n"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox[
        RowBox[{"m", " "}], 
        RowBox[{"n", ",", "1"}]], 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"n", ",", "2"}]], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"n", ",", "3"}]], 
       SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+",
       " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"n", ",", "n"}]], 
       SubscriptBox["x", "n"]}]}]}], ","}], TraditionalForm]]],
 "\n\nThe equation we are solving then becomes\n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     FormBox[
      RowBox[{"    ", 
       RowBox[{
        RowBox[{
         SubscriptBox[
          RowBox[{"a", " "}], "0"], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            SubscriptBox["m", 
             RowBox[{"0", ",", "1"}]], 
            SubscriptBox["x", "1"]}], "+", " ", 
           RowBox[{
            SubscriptBox["m", 
             RowBox[{"0", ",", "2"}]], 
            SubscriptBox["x", "2"]}], " ", "+", " ", 
           RowBox[{
            SubscriptBox["m", 
             RowBox[{"0", ",", "3"}]], " ", 
            SubscriptBox["x", "3"]}], " ", "+", " ", 
           RowBox[{
            RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
             RowBox[{"+", " ", 
              SubscriptBox["m", 
               RowBox[{"0", ",", "n"}]]}]}], " ", 
            SubscriptBox["x", "n"]}]}], ")"}]}], " ", "+"}]}],
      TraditionalForm], "        ", "\n", "\t", 
     RowBox[{
      FormBox[
       RowBox[{" ", 
        RowBox[{
         RowBox[{
          SubscriptBox[
           RowBox[{"a", " "}], "1"], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             SubscriptBox["m", 
              RowBox[{"1", ",", "1"}]], 
             SubscriptBox["x", "1"]}], "+", " ", 
            RowBox[{
             SubscriptBox["m", 
              RowBox[{"1", ",", "2"}]], 
             SubscriptBox["x", "2"]}], " ", "+", " ", 
            RowBox[{
             SubscriptBox["m", 
              RowBox[{"1", ",", "3"}]], " ", 
             SubscriptBox["x", "3"]}], " ", "+", " ", 
            RowBox[{
             RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
              RowBox[{"+", " ", 
               SubscriptBox["m", 
                RowBox[{"1", ",", "n"}]]}]}], " ", 
             SubscriptBox["x", "n"]}]}], ")"}]}], " ", "+"}]}],
       TraditionalForm], "        ", 
      FormBox[
       RowBox[{"\n", 
        RowBox[{
         RowBox[{
          SubscriptBox["a", "2"], "(", 
          RowBox[{
           RowBox[{
            SubscriptBox["m", 
             RowBox[{"2", ",", "1"}]], 
            SubscriptBox["x", "1"]}], "+", " ", 
           RowBox[{
            SubscriptBox["m", 
             RowBox[{"2", ",", "2"}]], 
            SubscriptBox["x", "2"]}], " ", "+", " ", 
           RowBox[{
            SubscriptBox["m", 
             RowBox[{"2", ",", "3"}]], " ", 
            SubscriptBox["x", "3"]}], " ", "+", " ", 
           RowBox[{
            RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
             RowBox[{"+", " ", 
              SubscriptBox["m", 
               RowBox[{"2", ",", "n"}]]}]}], " ", 
            SubscriptBox["x", "n"]}]}], ")"}], " ", "+"}]}],
       TraditionalForm]}], " ", "\n", "    ", 
     FormBox[
      RowBox[{"    ", 
       RowBox[{
        RowBox[{
         SubscriptBox["a", "3"], "(", 
         RowBox[{
          RowBox[{
           SubscriptBox["m", 
            RowBox[{"3", ",", "1"}]], 
           SubscriptBox["x", "1"]}], "+", " ", 
          RowBox[{
           SubscriptBox["m", 
            RowBox[{"3", ",", "2"}]], 
           SubscriptBox["x", "2"]}], " ", "+", " ", 
          RowBox[{
           SubscriptBox["m", 
            RowBox[{"3", ",", "3"}]], " ", 
           SubscriptBox["x", "3"]}], " ", "+", " ", 
          RowBox[{
           RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
            RowBox[{"+", " ", 
             SubscriptBox["m", 
              RowBox[{"3", ",", "n"}]]}]}], " ", 
           SubscriptBox["x", "n"]}]}], ")"}], " ", "+"}]}],
      TraditionalForm], " ", "\n", "\t\t                          ", 
     RowBox[{
     "\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\
\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]", "        ", 
      FormBox[
       RowBox[{"\n", "   ", 
        RowBox[{
         RowBox[{
          SubscriptBox["a", "n"], "(", 
          RowBox[{
           RowBox[{
            SubscriptBox["m", 
             RowBox[{"n", ",", "1"}]], 
            SubscriptBox["x", "1"]}], "+", " ", 
           RowBox[{
            SubscriptBox["m", 
             RowBox[{"n", ",", "2"}]], 
            SubscriptBox["x", "2"]}], " ", "+", " ", 
           RowBox[{
            SubscriptBox["m", 
             RowBox[{"n", ",", "3"}]], " ", 
            SubscriptBox["x", "3"]}], " ", "+", " ", 
           RowBox[{
            RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
             RowBox[{"+", " ", 
              SubscriptBox["m", 
               RowBox[{"n", ",", "n"}]]}]}], " ", 
            SubscriptBox["x", "n"]}]}], ")"}], " ", "=", " ", "0."}]}],
       TraditionalForm]}]}]}], TraditionalForm]]],
 "\n\nThis will be zero as long as we can solve the ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " equations\n\n     ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        SubscriptBox["a", 
         RowBox[{"0", " "}]], 
        SubscriptBox["m", 
         RowBox[{"0", ",", "1"}]]}], "+", " ", 
       RowBox[{
        SubscriptBox["a", "1"], " ", 
        SubscriptBox["m", 
         RowBox[{"1", ",", "1"}]]}], "+", " ", 
       RowBox[{
        SubscriptBox["a", "2"], " ", 
        SubscriptBox["m", 
         RowBox[{"2", ",", "1"}]]}], " ", "+", " ", "\[CenterEllipsis]", " ", 
       "+", " ", 
       RowBox[{
        SubscriptBox["a", "n"], 
        SubscriptBox["m", 
         RowBox[{"n", ",", "1"}]]}]}], "=", " ", "0"}], ","}]}], 
   TraditionalForm]]],
 "\n     ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        SubscriptBox["a", 
         RowBox[{"0", " "}]], 
        SubscriptBox["m", 
         RowBox[{"0", ",", "2"}]]}], "+", " ", 
       RowBox[{
        SubscriptBox["a", "1"], " ", 
        SubscriptBox["m", 
         RowBox[{"1", ",", "2"}]]}], "+", " ", 
       RowBox[{
        SubscriptBox["a", "2"], " ", 
        SubscriptBox["m", 
         RowBox[{"2", ",", "2"}]]}], " ", "+", " ", "\[CenterEllipsis]", " ", 
       "+", " ", 
       RowBox[{
        SubscriptBox["a", "n"], 
        SubscriptBox["m", 
         RowBox[{"n", ",", "2"}]]}]}], "=", " ", "0"}], ","}]}], 
   TraditionalForm]]],
 "\n     ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        SubscriptBox["a", 
         RowBox[{"0", " "}]], 
        SubscriptBox["m", 
         RowBox[{"0", ",", "3"}]]}], "+", " ", 
       RowBox[{
        SubscriptBox["a", "1"], " ", 
        SubscriptBox["m", 
         RowBox[{"1", ",", "3"}]]}], "+", " ", 
       RowBox[{
        SubscriptBox["a", "2"], " ", 
        SubscriptBox["m", 
         RowBox[{"2", ",", "3"}]]}], " ", "+", " ", "\[CenterEllipsis]", " ", 
       "+", " ", 
       RowBox[{
        SubscriptBox["a", "n"], 
        SubscriptBox["m", 
         RowBox[{"n", ",", "3"}]]}]}], "=", " ", "0"}], ","}]}], 
   TraditionalForm]]],
 "\n                          \[CenterEllipsis]\[CenterEllipsis]\
\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\
\[CenterEllipsis]\n      ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["a", 
        RowBox[{"0", " "}]], 
       SubscriptBox["m", 
        RowBox[{"0", ",", "n"}]]}], "+", " ", 
      RowBox[{
       SubscriptBox["a", "1"], " ", 
       SubscriptBox["m", 
        RowBox[{"1", ",", "n"}]]}], "+", " ", 
      RowBox[{
       SubscriptBox["a", "2"], " ", 
       SubscriptBox["m", 
        RowBox[{"2", ",", "n"}]]}], " ", "+", " ", "\[CenterEllipsis]", " ", 
      "+", " ", 
      RowBox[{
       SubscriptBox["a", "n"], 
       SubscriptBox["m", 
        RowBox[{"n", ",", "n"}]]}]}], "=", " ", "0."}]}], TraditionalForm]]],
 "                    \n\nBut we have ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "+", "1"}], TraditionalForm]]],
 " unknowns, with only ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " linear equations. We already\nmade the observation that such a system of \
equations cannot have a unique \nsolution. Since we have already found one \
solution, there must be a \nsecond solution as well. Therefore, the equation\n\
\n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["a", "0"], 
      SubscriptBox["y", "0"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "1"], 
      SubscriptBox["y", "1"]}], "+", " ", 
     RowBox[{
      SubscriptBox["a", "2"], 
      SubscriptBox["y", "2"]}], "+", " ", 
     RowBox[{
      SubscriptBox["a", "3"], 
      SubscriptBox["y", "3"]}], "+", " ", "\[CenterEllipsis]", " ", "+", " ", 
     
     RowBox[{
      SubscriptBox["a", "n"], 
      SubscriptBox["y", "n"]}]}], "=", " ", "0"}], TraditionalForm]]],
 "\n\nhas at least two solutions."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "We can now use this lemma to show that any two bases of a finite extension \
must have the same number of elements.\n\nPROPOSITION 14.1.2\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a division ring, and let ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be a subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". If the sets ",
 Cell[BoxData[
  FormBox[
   RowBox[{"X", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["x", "1"], ",", " ", 
      SubscriptBox["x", "2"], ",", " ", 
      SubscriptBox["x", "3"], ",", " ", 
      RowBox[{"\[Ellipsis]", " ", 
       SubscriptBox["x", "n"]}]}], "}"}]}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"Y", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["y", "1"], ",", " ", 
      SubscriptBox["y", "2"], ",", " ", 
      SubscriptBox["y", "3"], ",", " ", 
      RowBox[{"\[Ellipsis]", " ", 
       SubscriptBox["y", "m"]}]}], "}"}]}], TraditionalForm]]],
 " are both bases of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", "m"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Suppose that ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is not equal to ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 ". By exchanging the roles of ",
 Cell[BoxData[
  FormBox["X", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["Y", TraditionalForm]]],
 " if necessary, we can assume that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "<", " ", "m"}], TraditionalForm]]],
 ". Then by labelling ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["y", "0"], "=", " ", 
    SubscriptBox["y", "m"]}], TraditionalForm]]],
 ", we can use lemma 14.1.1 to show that there are more than one solutions to \
the equation\n\n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["a", "0"], 
      SubscriptBox["y", "0"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "1"], 
      SubscriptBox["y", "1"]}], "+", " ", 
     RowBox[{
      SubscriptBox["a", "2"], 
      SubscriptBox["y", "2"]}], "+", " ", 
     RowBox[{
      SubscriptBox["a", "3"], 
      SubscriptBox["y", "3"]}], "+", " ", "\[CenterEllipsis]", " ", "+", " ", 
     
     RowBox[{
      SubscriptBox["a", "n"], 
      SubscriptBox["y", "n"]}]}], "=", " ", "0"}], TraditionalForm]]],
 "\n\nBut this contradicts the fact that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "0"], ",", " ", 
     SubscriptBox["y", "1"], ",", " ", 
     SubscriptBox["y", "2"], ",", " ", 
     SubscriptBox["y", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["y", 
      RowBox[{"m", "-", "1"}]]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". So we must have ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", "m"}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "\nDEFINITION:\nIf ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a finite extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", we say the ",
 StyleBox["dimension",
  FontSlant->"Italic"],
 " of the extension is the size of a basis ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["x", "a"]}], "}"}], TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ".\n\nHere are some examples:\n\n    ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalC]", TraditionalForm]]],
 " is a two dimensional extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalR]", TraditionalForm]]],
 ". \n\n    The quadternions ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalH]", TraditionalForm]]],
 " is a 4 dimensional extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalR]", TraditionalForm]]],
 ".  \n \n    ",
 Cell[BoxData[
  FormBox[
   RowBox[{"GF", "(", "27", ")"}], TraditionalForm]]],
 " is a three dimension extenion of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 ", regardless\n    of which basis we use.         \n\nIt seems intuitively \
obvious that isomorphic fields have the same dimension over some field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " contained in both of the fields. Yet this is only true if the isomorphism \
",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " maps the field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " to itself.\n\nCOROLLARY 14.1.3\nIf ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " are two finite extensions of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and suppose that there is an isomorphism ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " from ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " onto ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "x", ")"}], " ", "=", " ", "x"}], 
   TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " have the same dimension over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Suppose that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["x", "n"]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". We want to show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "1"], ")"}], ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "2"], ")"}], ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "3"], ")"}], ",", " ", "\[Ellipsis]", ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "n"], ")"}]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "u", ")"}], " ", "=", " ", "v"}], 
   TraditionalForm]]],
 " for some ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is generated by the elements in the basis, we have\n\n      ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"u", " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox["c", "1"], " ", 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "2"], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "3"], " ", 
       SubscriptBox["x", "3"]}], " ", "+", " ", "\[Ellipsis]", " ", "+", " ", 
      
      RowBox[{
       SubscriptBox["c", "n"], " ", 
       SubscriptBox["x", "n"]}]}]}]}], TraditionalForm]]],
 "\n      \nfor some ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "1"], ",", " ", 
    SubscriptBox["c", "2"], ",", " ", 
    SubscriptBox["c", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
    SubscriptBox["c", "n"]}], TraditionalForm]]],
 "  in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Then\n\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     RowBox[{" ", 
      RowBox[{
       RowBox[{"v", " ", "=", " ", 
        RowBox[{
         RowBox[{"\[Phi]", "(", "u", ")"}], " ", "=", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["c", "1"], ")"}], " ", 
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["x", "1"], ")"}]}], " ", "+", " ", 
          RowBox[{
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["c", "2"], ")"}], " ", 
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["x", "2"], ")"}]}], " ", "+", " ", 
          RowBox[{
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["c", "3"], ")"}], " ", 
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["x", "3"], ")"}]}], " ", "+", " ", "\[Ellipsis]", 
          " ", "+", " ", 
          RowBox[{
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["c", "n"], ")"}], " ", 
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["x", "n"], ")"}]}]}]}]}], " ", "\n"}]}],
     TraditionalForm], "                   ", 
    FormBox[
     RowBox[{"=", "  ", 
      RowBox[{
       RowBox[{
        SubscriptBox["c", "1"], " ", 
        RowBox[{"\[Phi]", "(", "x", " ", ")"}]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["c", "2"], " ", 
        RowBox[{"\[Phi]", "(", 
         SubscriptBox["x", "2"], ")"}]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["c", "3"], " ", 
        RowBox[{"\[Phi]", "(", 
         SubscriptBox["x", "3"], ")"}]}], " ", "+", " ", "\[Ellipsis]", " ", 
       "+", " ", 
       RowBox[{
        SubscriptBox["c", "n"], " ", 
        RowBox[{
         RowBox[{"\[Phi]", "(", 
          SubscriptBox["x", "n"], ")"}], "."}]}]}]}],
     TraditionalForm]}], TraditionalForm]]],
 "\n\nThus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "1"], ")"}], ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "2"], ")"}], ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "3"], ")"}], ",", " ", "\[Ellipsis]", ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "n"], ")"}]}], "}"}], TraditionalForm]]],
 " generates the field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Also, if\n\n                ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        SubscriptBox["c", "1"], " ", 
        RowBox[{"\[Phi]", "(", 
         SubscriptBox["x", "1"], ")"}]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["c", "2"], " ", 
        RowBox[{"\[Phi]", "(", 
         SubscriptBox["x", "2"], ")"}]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["c", "3"], " ", 
        RowBox[{"\[Phi]", "(", 
         SubscriptBox["x", "3"], ")"}]}], " ", "+", " ", "\[Ellipsis]", " ", 
       "+", " ", 
       RowBox[{
        SubscriptBox["c", "n"], " ", 
        RowBox[{"\[Phi]", "(", 
         SubscriptBox["x", "n"], ")"}]}]}], " ", "=", " ", "0"}], ","}], 
    " "}], TraditionalForm]]],
 "\n                \nthen ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      RowBox[{
       RowBox[{
        SubscriptBox["c", "1"], " ", 
        SubscriptBox["x", "1"]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["c", "2"], " ", 
        SubscriptBox["x", "2"]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["c", "3"], " ", 
        SubscriptBox["x", "3"]}], " ", "+", " ", "\[Ellipsis]", " ", "+", " ",
        
       RowBox[{
        SubscriptBox["c", "n"], " ", 
        SubscriptBox["x", "n"]}]}], ")"}], " ", "=", " ", "0"}], ","}], 
   TraditionalForm]]],
 " which implies that\n\n          ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["c", "1"], " ", 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "2"], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "3"], " ", 
       SubscriptBox["x", "3"]}], " ", "+", " ", "\[Ellipsis]", " ", "+", " ", 
      
      RowBox[{
       SubscriptBox["c", "n"], " ", 
       SubscriptBox["x", "n"]}]}], " ", "=", " ", "0"}], ","}], 
   TraditionalForm]]],
 " \n\nsince ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " are isomorphic. But since",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["x", "1"], ",", " ", 
      SubscriptBox["x", "2"], ",", " ", 
      SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
      SubscriptBox["x", "n"]}], "}"}]}], TraditionalForm]]],
 " is a basis\nfor ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", this can only happen if \n\n          ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      SubscriptBox["c", "1"], 
      SubscriptBox["x", "1"]}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox["c", "2"], " ", 
       SubscriptBox["x", "2"]}], " ", "=", " ", 
      RowBox[{
       RowBox[{
        SubscriptBox["c", "3"], " ", 
        SubscriptBox["x", "3"]}], " ", "=", " ", 
       RowBox[{"\[Ellipsis]", " ", "=", " ", 
        RowBox[{
         RowBox[{
          SubscriptBox["c", "n"], " ", 
          SubscriptBox["x", "n"]}], "=", " ", "0."}]}]}]}]}]}], 
   TraditionalForm]]],
 " \nThen \n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["c", "1"], 
       RowBox[{"\[Phi]", "(", 
        SubscriptBox["x", "1"], ")"}]}], " ", "=", "  ", 
      RowBox[{
       RowBox[{
        SubscriptBox["c", "2"], " ", 
        RowBox[{"\[Phi]", "(", 
         SubscriptBox["x", "2"], ")"}]}], " ", "=", " ", 
       RowBox[{
        RowBox[{
         SubscriptBox["c", "3"], 
         RowBox[{"\[Phi]", "(", 
          SubscriptBox["x", "3"], ")"}]}], " ", "=", " ", 
        RowBox[{"\[Ellipsis]", " ", "=", " ", 
         RowBox[{
          RowBox[{
           SubscriptBox["c", "n"], " ", 
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["x", "n"], ")"}]}], " ", "=", " ", "0"}]}]}]}]}], 
     ","}], " "}], TraditionalForm]]],
 "\n        \nso ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "1"], ")"}], ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "2"], ")"}], ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "3"], ")"}], ",", " ", "\[Ellipsis]", ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "n"], ")"}]}], "}"}], TraditionalForm]]],
 " is a basis for ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Therefore, ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " have the same dimension over the field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "\nWe have already defined ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 " to be the smallest ring containing both ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " and the element ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ". We would like to make a similar definition for the smallest ",
 StyleBox["field",
  FontSlant->"Italic"],
 " containing both ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ".\n\nDEFINITION:\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a field, and let ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " be a field containing the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox["P", TraditionalForm]]],
 " be a set of elements in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox["\[WeierstrassP]", TraditionalForm]]],
 " denote the collection of all subfields of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " which contain the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", along with the set ",
 Cell[BoxData[
  FormBox["P", TraditionalForm]]],
 ". Then we define\n\n                   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"K", "(", "P", ")"}], " ", "=", 
    RowBox[{
     StyleBox[
      UnderscriptBox[
       RowBox[{"  ", 
        SubscriptBox[
         StyleBox["\[Intersection]",
          FontSize->24], " "]}], 
       RowBox[{" ", 
        RowBox[{"H", " ", "\[Epsilon]", " ", "\[WeierstrassP]"}]}]],
      FontSize->18], "H"}]}], TraditionalForm]]],
 ".\n                   \nThat is, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "P", ")"}], TraditionalForm]]],
 " is the intersection of all subfields of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " which contain both ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["P", TraditionalForm]]],
 ".\n\nIt is not difficult to see that this definition produces exactly what \
we want.\n\nLEMMA 14.1.4\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a subfield of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox["P", TraditionalForm]]],
 " be a collection of elements of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "P", ")"}], TraditionalForm]]],
 " is the smallest field which contains both ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and the elements ",
 Cell[BoxData[
  FormBox["P", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "First, we must show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "P", ")"}], TraditionalForm]]],
 " is a subfield of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " are in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "P", ")"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"y", " ", "\[NotEqual]", " ", "0"}], ","}], TraditionalForm]]],
 " then ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " are in each of the subfields in the collection ",
 Cell[BoxData[
  FormBox["\[WeierstrassP]", TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "-", "y"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[CenterDot]", 
    SuperscriptBox["y", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 " are also in each of the subfields in this collection. Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "-", "y"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[CenterDot]", 
    SuperscriptBox["y", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 " are in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "P", ")"}], TraditionalForm]]],
 ", and so ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "P", ")"}], TraditionalForm]]],
 " is a subfield of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ".\n\nTo show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "P", ")"}], TraditionalForm]]],
 " is the smallest field containing both ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and the elements ",
 Cell[BoxData[
  FormBox["P", TraditionalForm]]],
 ", note that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "P", ")"}], TraditionalForm]]],
 " is one of the subfields in the collection ",
 Cell[BoxData[
  FormBox["\[WeierstrassP]", TraditionalForm]]],
 ". Thus, any subfield containing ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and the elements of ",
 Cell[BoxData[
  FormBox["P", TraditionalForm]]],
 " must also contain ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "P", ")"}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "For example, If ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is the real numbers, and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"i", " ", "=", " ", 
    SqrtBox[
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalR]", "(", 
    RowBox[{"{", "i", "}"}], ")"}], TraditionalForm]]],
 " gives us the complex numbers ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalC]", TraditionalForm]]],
 ". If the set ",
 Cell[BoxData[
  FormBox["P", TraditionalForm]]],
 " contains a small number of elements, we can simplify the notation:\n\n\
DEFINITION:\nIf ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "=", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["a", "1"], ",", " ", 
      SubscriptBox["a", "2"], ",", " ", 
      SubscriptBox["a", "3"], ",", " ", 
      RowBox[{"\[Ellipsis]", " ", 
       SubscriptBox["a", "n"]}]}], "}"}]}], TraditionalForm]]],
 ", we will write ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", 
    RowBox[{
     SubscriptBox["a", "1"], ",", " ", 
     SubscriptBox["a", "2"], ",", " ", 
     SubscriptBox["a", "3"], ",", " ", 
     RowBox[{"\[Ellipsis]", " ", 
      SubscriptBox["a", "n"]}]}], ")"}], TraditionalForm]]],
 " for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "P", ")"}], TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox["P", TraditionalForm]]],
 " consists of a single element ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ", we write ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "a", ")"}], TraditionalForm]]],
 " for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "P", ")"}], TraditionalForm]]],
 ".\n\nThus, we can write ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalR]", "(", "i", ")"}], TraditionalForm]]],
 " for the complex numbers. ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    FormBox[
     SqrtBox["2"],
     TraditionalForm], ")"}], TraditionalForm]]],
 " is the smallest field containing ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 " and  ",
 Cell[BoxData[
  FormBox[
   SqrtBox["2"], TraditionalForm]]],
 " , which happens to be the same thing as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "[", 
    SqrtBox["2"], "]"}], TraditionalForm]]],
 ".\n\nWe have yet to produce any field extensions in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " in this chapter. Yet the strategy for defining a field extension is very \
similar to that of defining a finite field. We begin by finding an \
irreducible polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and creating the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{
     RowBox[{"F", "[", "X", "]"}], "/", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"f", "(", "X", ")"}], ")"}], "."}]}]}], TraditionalForm]]],
 "\n\nPROPOSITION 14.1.5\nLet ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be a field, and let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " be an irreducible polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "X", "]"}], TraditionalForm]]],
 " of degree ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Then the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{
     RowBox[{"F", "[", "X", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"f", "(", "X", ")"}], ")"}]}]}], TraditionalForm]]],
 " is a finite extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " of dimension ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "From proposition 13.1.1, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{
     RowBox[{"F", "[", "X", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"f", "(", "X", ")"}], ")"}]}]}], TraditionalForm]]],
 " is a field which contains ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " as a subfield. Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", " ", "=", " ", 
    RowBox[{"X", " ", "+", " ", 
     RowBox[{"(", 
      RowBox[{"f", "(", "X", ")"}], ")"}]}]}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". If we treat ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " as a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "X", "]"}], TraditionalForm]]],
 ", we find that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "a", ")"}], "=", " ", "0."}], TraditionalForm]]],
 " Consider the set ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", " ", "y", ",", " ", 
      SuperscriptBox["y", "2"], ",", " ", 
      SuperscriptBox["y", "3"], ",", " ", 
      RowBox[{"\[Ellipsis]", " ", 
       SuperscriptBox["y", 
        RowBox[{"n", "-", "1"}]]}]}], "}"}], "."}], TraditionalForm]]],
 " We wish to show that this set is a basis for ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". That is, we wish to show that every element of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " can be uniquely as\n\n          ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"k", " ", "=", "   ", 
      RowBox[{
       RowBox[{
        SubscriptBox["a", "1"], "1"}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["a", "2"], " ", "y"}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["a", "3"], " ", 
        SuperscriptBox["y", "2"]}], "  ", "+", " ", "\[CenterEllipsis]", " ", 
       "+", " ", 
       RowBox[{
        SubscriptBox["a", "n"], " ", 
        SuperscriptBox["y", 
         RowBox[{"n", "-", "1"}]]}]}]}], ","}]}], TraditionalForm]]],
 "\n\nwhere the ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "1"], ",", " ", 
    SubscriptBox["a", "2"], ",", " ", 
    SubscriptBox["a", "3"], ",", " ", "\[Ellipsis]", " ", ",", " ", 
    SubscriptBox["a", "n"]}], TraditionalForm]]],
 "  are in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Any element of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{
     RowBox[{"F", "[", "X", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"f", "(", "X", ")"}], ")"}]}]}], TraditionalForm]]],
 " can be expressed as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", " ", "=", " ", 
    RowBox[{
     RowBox[{"g", "(", "X", ")"}], " ", "+", " ", 
     RowBox[{"(", 
      RowBox[{"f", "(", "X", ")"}], ")"}]}]}], TraditionalForm]]],
 " for some polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "X", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "X", "]"}], TraditionalForm]]],
 ". By the division algorithm theorem (12.1.1), there exist unique \
polynomials ",
 Cell[BoxData[
  FormBox[
   RowBox[{"q", "(", "X", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", "(", "X", ")"}], TraditionalForm]]],
 " such that \n\n                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"g", "(", "X", ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"f", "(", "X", ")"}], "\[CenterDot]", 
       RowBox[{"q", "(", "X", ")"}]}], " ", "+", " ", 
      RowBox[{"r", "(", "X", ")"}]}]}], ","}], TraditionalForm]]],
 "\n\nwhere either ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"r", "(", "X", ")"}], " ", "=", " ", "0"}], TraditionalForm]]],
 ", or the degree of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", "(", "X", ")"}], TraditionalForm]]],
 " is less than ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Then\n\n              ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"r", "(", "X", ")"}], " ", "=", " ", 
     RowBox[{
      SubscriptBox["a", "1"], "+", " ", 
      RowBox[{
       SubscriptBox["a", "2"], " ", "X"}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["a", "3"], " ", 
       SuperscriptBox["X", "2"]}], "+", " ", "\[CenterEllipsis]", " ", "+", 
      "  ", 
      RowBox[{
       SubscriptBox["a", "n"], 
       SuperscriptBox["X", 
        RowBox[{"n", "-", "1"}]]}]}]}]}], TraditionalForm]]],
 "\n\nfor some ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "1"], ",", " ", 
    SubscriptBox["a", "2"], ",", " ", 
    SubscriptBox["a", "3"], ",", " ", "\[Ellipsis]", " ", ",", " ", 
    SubscriptBox["a", "n"]}], TraditionalForm]]],
 "  in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Note that we can now write \n\n  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"g", "(", "X", ")"}], " ", "+", " ", 
      RowBox[{"(", 
       RowBox[{"f", "(", "X", ")"}], ")"}]}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"r", "(", "X", ")"}], " ", "+", " ", 
       RowBox[{"(", 
        RowBox[{"f", "(", "X", ")"}], ")"}]}], " ", "=", "  ", 
      RowBox[{
       RowBox[{
        SubscriptBox["a", "1"], " ", "1"}], "  ", "+", " ", 
       RowBox[{
        SubscriptBox["a", "2"], " ", "y"}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["a", "3"], "  ", 
        SuperscriptBox["y", "2"]}], " ", "+", " ", "\[CenterEllipsis]", " ", 
       "+", " ", 
       RowBox[{
        SubscriptBox["a", "n"], " ", 
        RowBox[{
         SuperscriptBox["y", 
          RowBox[{"n", "-", "1"}]], "."}]}]}]}]}]}], TraditionalForm]]],
 "\n\nTo show uniqueness, suppose that ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " is also equal to\n\n                         ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      SubscriptBox["b", "1"], " ", "1"}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["b", 
       RowBox[{"2", " "}]], "y"}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["b", "3"], " ", 
      SuperscriptBox["y", "2"]}], " ", "+", " ", 
     RowBox[{
      RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
       SubscriptBox["b", "n"]}], " ", 
      SuperscriptBox["y", 
       RowBox[{"n", "-", "1", "   "}]]}]}]}], TraditionalForm]]],
 "\n\nfor some ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["b", "1"], ",", " ", 
    SubscriptBox["b", "2"], ",", " ", 
    SubscriptBox["b", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
    SubscriptBox["b", "n"]}], TraditionalForm]]],
 "  in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Then the difference would be\n\n     ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"0", " ", "=", "  ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["a", "1"], " ", "-", " ", 
         SubscriptBox["b", "1"]}], ")"}], " ", "1"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["a", "2"], "-", " ", 
         SubscriptBox["b", "2"]}], ")"}], " ", "y"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["a", "3"], "-", " ", 
         SubscriptBox["b", "3"]}], ")"}], " ", 
       SuperscriptBox["y", "2"]}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
        RowBox[{"+", " ", 
         RowBox[{"(", 
          RowBox[{
           SubscriptBox["a", "n"], "-", " ", 
           SubscriptBox["b", "n"]}], ")"}]}]}], " ", 
       RowBox[{
        SuperscriptBox["y", 
         RowBox[{"n", "-", "1"}]], "."}]}]}]}]}], TraditionalForm]]],
 "\n\nThat is, the polynomial\n\n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SubscriptBox["a", "1"], " ", "-", " ", 
       SubscriptBox["b", "1"]}], ")"}], " ", "+", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["a", "2"], "-", " ", 
        SubscriptBox["b", "2"]}], ")"}], " ", "X"}], " ", "+", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["a", "3"], "-", " ", 
        SubscriptBox["b", "3"]}], ")"}], " ", 
      SuperscriptBox["X", "2"]}], " ", "+", " ", 
     RowBox[{
      RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
       RowBox[{"+", " ", 
        RowBox[{"(", 
         RowBox[{
          SubscriptBox["a", "n"], "-", " ", 
          SubscriptBox["b", "n"]}], ")"}]}]}], " ", 
      SuperscriptBox["X", 
       RowBox[{"n", "-", "1"}]]}]}]}], TraditionalForm]]],
 "\n\nwould be a multiple of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 ". But this is ridiculous, since the degree of this polynomial is less than \
the degree of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "X", ")"}], "."}], TraditionalForm]]],
 " Thus, this polynomial is the zero polynomial, and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", " ", "y", ",", " ", 
     SuperscriptBox["y", "2"], ",", " ", 
     RowBox[{"\[Ellipsis]", " ", 
      SuperscriptBox["y", 
       RowBox[{"n", "-", "1"}]]}]}], "}"}], TraditionalForm]]],
 " is a basis for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{
     RowBox[{"F", " ", "[", "X", "]"}], "/", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"f", "(", "X", ")"}], ")"}], "."}]}]}], TraditionalForm]]]
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "Let us look at an example in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". Let ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be the field of rational numbers, and let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "X", ")"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["X", "3"], " ", "-", " ", "2."}]}], TraditionalForm]]],
 " Since the characteristic of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 " is 0, we begin the definition by the command"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["InitDomain[0]", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Next, we let ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " be a root to the equation ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["X", "3"], " ", "-", " ", "2"}], TraditionalForm]]],
 ". That is, we define ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["a", "3"], TraditionalForm]]],
 " to be 2."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["Define[a^3, 2]", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "That's all there is to it! The basis of this extension field is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", " ", "a", ",", " ", 
     SuperscriptBox["a", "2"]}], "}"}], TraditionalForm]]],
 ". We can verify this with ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["CheckField[{1, a, a^2}]", "Input",
 PageWidth->Infinity],

Cell["\<\
CheckField actually does more than just verify that the ring is a field. It \
also allows us to do divisions in this field.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["1/(2 + a - a^2)", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "\nEXPERIMENT:      \nDefine the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    SqrtBox["2"], ")"}], TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " using similar comands. What is the basis of the field? Use the ",
 StyleBox["CheckField",
  FontWeight->"Bold"],
 " command to have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " learn how to take inverses of functions. Then have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " simplify the expression\n\n                      ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    FractionBox[
     RowBox[{
      RowBox[{"2", "a"}], " ", "-", " ", "3"}], 
     RowBox[{
      RowBox[{"5", " ", "a"}], " ", "+", " ", "2"}]],
    FontSize->16], TraditionalForm]]],
 " where    ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", " ", "=", " ", 
    RowBox[{
     SqrtBox["2"], "."}]}], TraditionalForm]]],
 "\n\nAlthough this demonstrates that any extension field of the form ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", "X", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"f", "(", "X", ")"}], ")"}]}], TraditionalForm]]],
 " can be entered into ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", we would like to show that ",
 StyleBox["any",
  FontSlant->"Italic"],
 " finite extension of a field can be entered into ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " in the same way. That is, we must show that any finite extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is isomorphic to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", "X", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"f", "(", "X", ")"}], ")"}]}], TraditionalForm]]],
 " for some polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "X", ")"}], "."}], TraditionalForm]]],
 " \n\nPROPOSITION 14.1.6\nSuppose a field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a finite extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " of dimension ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " be an element of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Then there is an irreducible polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "X", "]"}], TraditionalForm]]],
 " of degree at most ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "y", ")"}], " ", "=", " ", "0."}], TraditionalForm]]],
 " That is, when ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " is treated as a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "X", "]"}], TraditionalForm]]],
 ", a is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 ". Furthermore, there is a unique polynomial of lowest degree which \
satisifies these conditions and for which the leading coefficient is equal to \
1."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " be an element in the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Consider the set ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", " ", "y", ",", " ", 
      SuperscriptBox["y", "2"], ",", " ", 
      SuperscriptBox["y", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
      SuperscriptBox["y", "n"]}], "}"}], "."}], TraditionalForm]]],
 " Since there are ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "+", "1"}], TraditionalForm]]],
 " elements in this set, and ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " has dimension ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", we can use lemma 14.1.1 to show that there is more than one solution to \
the equation\n\n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["a", "0"], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "1"], " ", "y"}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "2"], " ", 
      SuperscriptBox["y", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "3"], " ", 
      SuperscriptBox["y", "3"]}], " ", "+", " ", 
     RowBox[{
      RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
       RowBox[{"+", " ", 
        SubscriptBox["a", "n"]}]}], " ", 
      SuperscriptBox["y", "n"]}]}], " ", "=", " ", "0"}], TraditionalForm]]],
 "\n\nwith ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "0"], ",", " ", 
    SubscriptBox["a", "1"], ",", " ", 
    SubscriptBox["a", "2"], ",", " ", "\[Ellipsis]", ",", " ", 
    SubscriptBox["a", "n"]}], TraditionalForm]]],
 "  in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Thus, there is a non-zero polynomial\n\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SubscriptBox["a", "0"], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "1"], " ", "X"}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "2"], " ", 
      SuperscriptBox["X", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "3"], " ", 
      SuperscriptBox["X", "3"]}], " ", "+", " ", 
     RowBox[{
      RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
       RowBox[{"+", " ", 
        SubscriptBox["a", "n"]}]}], " ", 
      SuperscriptBox["X", "n"]}]}]}], TraditionalForm]]],
 "\n\nin ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", "X", "]"}], " "}], TraditionalForm]]],
 " for which ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " is a root when treated as a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "X", "]"}], TraditionalForm]]],
 ".\n\nLet us now show uniqueness. Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " be a polynomial of lowest possible degree in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "X", "]"}], TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "y", ")"}], " ", "=", " ", "0"}], TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is a field, we can divide this polynomial by its leading coefficient to \
obtain a polynomial with a leading coefficient of 1. Now, if there were two \
such polynomials, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "X", ")"}], TraditionalForm]]],
 ", then by the division algorithm theorem (12.1.1), there exist polynomials \
",
 Cell[BoxData[
  FormBox[
   RowBox[{"q", "(", "X", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", "(", "X", ")"}], TraditionalForm]]],
 " such that\n\n            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "X", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"g", "(", "X", ")"}], "\[CenterDot]", 
      RowBox[{"q", "(", "X", ")"}]}], " ", "+", " ", 
     RowBox[{
      RowBox[{"r", "(", "X", ")"}], "."}]}]}], TraditionalForm]]],
 "\n\nwhere either ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"r", "(", "X", ")"}], " ", "=", " ", "0"}], TraditionalForm]]],
 " or the degree of ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 "(X) is strictly less than the degree of  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "X", ")"}], "."}], TraditionalForm]]],
 " But note that\n  \n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"0", " ", "=", " ", 
     RowBox[{
      RowBox[{"f", "(", "y", ")"}], " ", "=", " ", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"g", "(", "y", ")"}], "\[CenterDot]", 
         RowBox[{"q", "(", "y", ")"}]}], " ", "+", " ", 
        RowBox[{"r", "(", "y", ")"}]}], " ", "=", " ", 
       RowBox[{
        RowBox[{"0", " ", "+", " ", 
         RowBox[{"r", "(", "y", ")"}]}], " ", "=", " ", "0."}]}]}]}]}], 
   TraditionalForm]]],
 "\n\nThus, ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " is a root of the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"r", "(", "X", ")"}], "."}], TraditionalForm]]],
 " But the degree of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "X", ")"}], TraditionalForm]]],
 " were chosen to be minimal. So ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"r", "(", "X", ")"}], " ", "=", " ", "0"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " is a multiple of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "X", ")"}], "."}], TraditionalForm]]],
 " Finally, since both ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "X", ")"}], TraditionalForm]]],
 " have the same degree and have the same leading term of 1, we have ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "X", ")"}], " ", "=", " ", 
    RowBox[{"g", "(", "X", ")"}]}], TraditionalForm]]],
 ". Therefore, there is a unique polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "X", "]"}], TraditionalForm]]],
 " of minimal degree and leading coefficient of 1 such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "y", ")"}], " ", "=", " ", "0."}], TraditionalForm]]]
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "The irreducible polynomial determined by this proposition is important \
enough to warrent a special notation.\n\nDEFINITION:\nIf a field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a finite extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " is an element of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", we define the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " given by proposition 14.1.6 which has a leading coeffient of ",
 Cell[BoxData[
  FormBox["1", TraditionalForm]]],
 " to be the ",
 StyleBox["irreducible polynomial of",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " ",
 StyleBox["over",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", denoted\n\n                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"a", ",", "X"}], ")"}], "."}], TraditionalForm]]],
 "\n\nFor example, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["Irr", "\[DoubleStruckCapitalQ]"], "(", 
      RowBox[{
       SqrtBox["2"], " ", ",", " ", "X"}], ")"}], " ", "=", " ", 
     RowBox[{
      SuperscriptBox["X", "2"], " ", "-", " ", "2"}]}], ","}], 
   TraditionalForm]]],
 " since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["X", "2"], " ", "-", " ", "2"}], TraditionalForm]]],
 " is the simpliest polynomial with rational coefficients for which ",
 Cell[BoxData[
  FormBox[
   SqrtBox["2"], TraditionalForm]]],
 " is a root. Note that if we were to allow real coefficients, we could come \
up with a simpler polynomial:\n\n           ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Irr", "\[DoubleStruckCapitalR]"], "(", " ", 
     RowBox[{
      SqrtBox["2"], " ", ",", " ", "X"}], ")"}], " ", "=", " ", 
    RowBox[{"X", " ", "-", " ", 
     RowBox[{
      SqrtBox["2"], " ", "."}]}]}], TraditionalForm]]],
 "\n\nHere are some other examples. If ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"i", " ", "=", 
     SqrtBox[
      RowBox[{"-", "1"}]]}], ","}], TraditionalForm]]],
 " we can see that the simpliest polynomial over the real numbers containing \
",
 Cell[BoxData[
  FormBox["i", TraditionalForm]]],
 " as a root is\n\n          ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Irr", "\[DoubleStruckCapitalR]"], "(", 
     RowBox[{"i", ",", " ", "X"}], ")"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["X", "2"], " ", "+", " ", "1."}]}], TraditionalForm]]],
 " \n   \nFinally, consider the number ",
 Cell[BoxData[
  FormBox[
   RowBox[{"cos", "(", 
    RowBox[{"\[Pi]", "/", "9"}], ")"}], TraditionalForm]]],
 ".  We found in section 11.3 that this number is a root of the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"4", " ", 
      SuperscriptBox["X", "3"]}], " ", "-", " ", 
     RowBox[{"3", " ", "X"}], " ", "-", " ", 
     FractionBox["1", "2"]}], " ", "=", " ", "0"}], TraditionalForm]]],
 ". However, we want the leading coefficient of the polynomial to be 1, so we \
write\n\n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Irr", "\[DoubleStruckCapitalQ]"], "(", 
     RowBox[{
      RowBox[{"cos", "(", 
       RowBox[{"\[Pi]", "/", "9"}], ")"}], ",", "X"}], ")"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["X", "3"], " ", "-", " ", 
     RowBox[{
      FractionBox["3", "4"], " ", "X"}], " ", "-", " ", 
     FractionBox["1", 
      RowBox[{"8", "."}]]}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Once we find the irreducible polynomial for an element ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ", it is not hard to program ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to mimick the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 ". For example, let us enter the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}], ")"}], TraditionalForm]]],
 " into ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". If we let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", " ", "=", " ", 
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}]}], TraditionalForm]]],
 ", we see that ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " satisfies ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["X", "3"], " ", "-", " ", 
     RowBox[{
      FractionBox["3", "4"], " ", "X"}], " ", "-", " ", 
     FractionBox["1", "8"]}], "=", " ", "0."}], TraditionalForm]]],
 " If we put all terms besides the leading term on the other side of the \
equation, we find that a satisfies the equation\n\n                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SuperscriptBox["X", "3"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       FractionBox["3", "4"], " ", "X"}], " ", "+", " ", 
      FractionBox["1", 
       RowBox[{"8", "."}]]}]}]}], TraditionalForm]]],
 "\nThat is,\n                   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["a", "3"], " ", "=", " ", 
    RowBox[{
     RowBox[{"3", " ", 
      RowBox[{"a", "/", "4"}]}], " ", "+", " ", 
     RowBox[{"1", "/", "8."}]}]}], TraditionalForm]]],
 "\n\nLet us enter this fact into ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
InitDomain[0]
Define[a^3, 3 a/4 + 1/8]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "The first command tells ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " that we are working with a field of characteristic 0, and the second \
command identifies a as one solution to the above equation. That's all there \
is to it! We can perform operations of this field such as\n"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["(2 + a).(3 - 2a)", "Input",
 PageWidth->Infinity],

Cell["a^5", "Input",
 PageWidth->Infinity],

Cell["1/a", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "The last command does not simplify, since ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " does not yet know that this is in fact a field. The basis for this field \
is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"1", ",", " ", "a", ",", " ", 
     SuperscriptBox["a", "2"]}], ")"}], TraditionalForm]]],
 ", so we can have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " verify that this is a field."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["CheckField[{1,a,a^2}]", "Input",
 PageWidth->Infinity],

Cell["Now we can perform division in this field", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["1/a", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "In this field, the a represents the number ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}], " ", "=", " ", 
    RowBox[{"0.9396926", "..."}]}], TraditionalForm]]],
 "\n\nHave we really defined the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}], ")"}], TraditionalForm]]],
 "? Actually, we have defined the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "[", "X", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["X", "3"], " ", "-", " ", 
      RowBox[{"3", " ", 
       RowBox[{"X", " ", "/", "4"}]}], " ", "-", " ", 
      RowBox[{"1", "/", "8"}]}], ")"}]}], TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", but we can prove that these two fields are isomorphic.\n\nPROPOSITION \
14.1.7\nLet ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be a subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", and suppose ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "X", ")"}], TraditionalForm]]],
 " is an irreducible polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "X", "]"}], TraditionalForm]]],
 " which has a root ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " in the larger field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Then \n\n                           ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", "w", ")"}], " ", 
    StyleBox["\[TildeTilde]",
     FontSize->16], " ", 
    RowBox[{
     RowBox[{"F", "[", "X", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"f", "(", "X", ")"}], ")"}]}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let us consider the evaluation homomorphism ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "w"], TraditionalForm]]],
 "  which maps polynomials in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "X", "]"}], TraditionalForm]]],
 " to elements in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "w", ")"}], TraditionalForm]]],
 ":\n\n                    ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["\[Phi]", "w"], "(", 
     RowBox[{"g", "(", "X", ")"}], ")"}], " ", "=", " ", 
    RowBox[{"g", "(", "w", ")"}]}], TraditionalForm]]],
 ".\n\nBy proposition 12.1.3, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "w"], TraditionalForm]]],
 "  is a ring homomorphism. The image of this homomorphism contains both ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 ", and since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "w", ")"}], TraditionalForm]]],
 " is the smallest field containing both ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 ", the image is all of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "w", ")"}], TraditionalForm]]],
 ". The kernel of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "w"], TraditionalForm]]],
 "  is the set of polynomials in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "X", "]"}], TraditionalForm]]],
 " which have ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " as a root. But ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " is an irreducible polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "X", "]"}], TraditionalForm]]],
 " containing ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " as a root. Thus, any polynomial in the kernel is a multiple of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 ". Thus, the kernel of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "w"], TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"f", "(", "X", ")"}], ")"}], TraditionalForm]]],
 ". Finally, by the first isomorphism theorem for rings (10.4.4), we have \
that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"E", "(", "w", ")"}], " ", 
    StyleBox["\[TildeTilde]",
     FontSize->16], " ", 
    RowBox[{
     RowBox[{"E", "[", "X", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"f", "(", "X", ")"}], ")"}]}]}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "\nNotice that the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}], ")"}], TraditionalForm]]],
 " was three dimensional over ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", since the basis could be given as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", " ", "a", ",", " ", 
     SuperscriptBox["a", "2"]}], "}"}], TraditionalForm]]],
 ". Also, the irreducible polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["X", "3"], " ", "-", " ", 
    RowBox[{"3", " ", 
     RowBox[{"X", "/", "4"}]}], " ", "-", " ", 
    RowBox[{"1", "/", "8"}]}], TraditionalForm]]],
 " was a third degree polynomial. This is not a coindidence, as we can easily \
prove.\n\nCOROLLARY 14.1.8\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a finite extension of a field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " be an element in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "X", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"u", ",", "X"}], ")"}]}], TraditionalForm]]],
 " has degree ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "u", ")"}], TraditionalForm]]],
 " has dimension ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "By proposition 14.1.6, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "X", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"u", ",", " ", "X"}], ")"}]}], TraditionalForm]]],
 " exists. By proposition 14.1.7, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "u", ")"}], TraditionalForm]]],
 " is isomorphic to the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", "X", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"f", "(", "X", ")"}], ")"}]}], TraditionalForm]]],
 ". By proposition 14.1.5, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", "X", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"f", "(", "X", ")"}], ")"}]}], TraditionalForm]]],
 " has dimension ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Finally, by corollary 14.1.3, two isomorphic extensions of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " must have the same dimension over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " provided that the isomorphism fixes the elements of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", which the isomorphism in proposition 14.1.7 clearly does. Thus, the \
dimension of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "u", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is equal to ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "\nNotice that we never had to tell ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", " ", "=", " ", 
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}]}], TraditionalForm]]],
 " in our definition of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}], ")"}], TraditionalForm]]],
 ". Rather, we simply told ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " that ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " satisfies the equation \n\n                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["a", "3"], " ", "=", " ", 
    RowBox[{
     RowBox[{"3", " ", 
      RowBox[{"a", "/", "4"}]}], " ", "+", " ", 
     RowBox[{"1", "/", "8."}]}]}], TraditionalForm]]],
 "\n\nBut there are two ",
 StyleBox["other",
  FontSlant->"Italic"],
 " solutions to this equation: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"-", "cos"}], 
    RowBox[{"(", 
     RowBox[{"2", " ", 
      RowBox[{"\[Pi]", "/", "9"}]}], ")"}]}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"cos", "(", 
     RowBox[{"4", " ", 
      RowBox[{"\[Pi]", "/", "9"}]}], ")"}], "."}], TraditionalForm]]],
 " How does ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " know that the field is not ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{
     RowBox[{"-", "cos"}], 
     RowBox[{"(", 
      RowBox[{"2", " ", 
       RowBox[{"\[Pi]", "/", "9"}]}], ")"}]}], ")"}], TraditionalForm]]],
 " or ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"cos", "(", 
     RowBox[{"4", " ", 
      RowBox[{"\[Pi]", "/", "9"}]}], ")"}], ")"}], TraditionalForm]]],
 "?\n\nThe answer is of course that these fields are both isomorphic to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{"cos", "(", 
      RowBox[{"\[Pi]", "/", "9"}], ")"}], ")"}], ","}], TraditionalForm]]],
 " so ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " doesn't need to know the exact value of ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ". In fact, we can prove that if we start with isomorphic fields, and extend \
both of them by two elements for which the irreducible polynomials \
correspond, then the two field extensions will be isomorphic.  \n\n\
PROPOSITION 14.1.9\nLet ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " be an isomorphism between a field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and a field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 " be a finite extension of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " be in ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 ". Let \n\n   ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"p", "(", "X", ")"}], " ", "=", " ", 
     RowBox[{
      SubscriptBox["c", "0"], " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "1"], "X"}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "2"], 
       SuperscriptBox["X", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "3"], 
       SuperscriptBox["X", "3"]}], "+", " ", "\[Ellipsis]", " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "n"], 
       SuperscriptBox["X", "n"]}]}]}]}], TraditionalForm]]],
 "\n\nbe ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Irr", "K"], "(", 
    RowBox[{"u", ",", "X"}], ")"}], TraditionalForm]]],
 ". Define \n\n ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"h", "(", "X", ")"}], "=", " ", 
     RowBox[{
      RowBox[{"\[Florin]", "(", 
       SubscriptBox["c", "0"], ")"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[Florin]", "(", 
        SubscriptBox["c", "1"], ")"}], "X"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[Florin]", "(", 
        SubscriptBox["c", "2"], ")"}], 
       SuperscriptBox["X", "2"]}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[Florin]", "(", 
        SubscriptBox["c", "3"], ")"}], 
       SuperscriptBox["X", "3"]}], " ", "+", " ", "\[Ellipsis]", " ", "+", 
      " ", 
      RowBox[{
       RowBox[{"\[Florin]", "(", 
        SubscriptBox["c", "n"], ")"}], 
       SuperscriptBox["X", "n"]}]}]}]}], TraditionalForm]]],
 "\n\nwhich is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"E", "[", "X", "]"}], "."}], TraditionalForm]]],
 " Suppose there is a finite extension of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " for which there is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "X", ")"}], TraditionalForm]]],
 ", called ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 ". Then there is an isomorphism ",
 Cell[BoxData[
  FormBox["\[Mu]", TraditionalForm]]],
 " from ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "u", ")"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "(", "v", ")"}], TraditionalForm]]],
 " for which ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "u", ")"}], " ", "=", " ", "v"}], 
   TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"\[Florin]", "(", "x", ")"}]}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "By lemma 13.2.6, we can extend ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " to a isomorphism from ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "X", "]"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "[", "X", "]"}], TraditionalForm]]],
 ". By proposition 12.1.3, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "v"], TraditionalForm]]],
 "  is a ring homomorphism from ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "[", "X", "]"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"E", "(", "v", ")"}], "."}], TraditionalForm]]],
 " We can combine these homomorphisms to produce the homomorphism\n\n         \
                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[Phi]", "v"], "\[CenterDot]", 
    RowBox[{"\[Florin]", ":", " ", 
     RowBox[{
      RowBox[{"K", "[", "X", "]"}], " ", "\[RightArrow]", " ", 
      RowBox[{
       RowBox[{"E", "[", "X", "]"}], " ", "\[RightArrow]", " ", 
       RowBox[{"E", "(", "v", ")"}]}]}]}]}], TraditionalForm]]],
 ".\n                          \nSince the isomorphism in lemma 13.2.6 sends \
",
 Cell[BoxData[
  FormBox["X", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox["X", TraditionalForm]]],
 ", we have that",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      SubscriptBox["\[Phi]", "v"], "(", 
      RowBox[{"\[Florin]", "(", " ", "X", " ", ")"}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[Phi]", "v"], "(", "X", ")"}], " ", "=", " ", "v"}]}]}],
    TraditionalForm]]],
 ". So ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " is in the image of this combination of homomorphisms, as well as the \
subfield ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Thus, the image of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[Phi]", "v"], " ", "\[CenterDot]", " ", "\[Florin]"}], 
   TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "(", "v", ")"}], TraditionalForm]]],
 ". The kernal of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "v"], TraditionalForm]]],
 "  is the set of polynomials in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "[", "X", "]"}], TraditionalForm]]],
 " with ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " as a root. But ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "X", ")"}], TraditionalForm]]],
 " is an irreducible polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "[", "X", "]"}], TraditionalForm]]],
 " for which ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"h", "(", "v", ")"}], " ", "=", " ", "0."}], TraditionalForm]]],
 " Thus,\nthe kernel of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "v"], TraditionalForm]]],
 "  is the ideal ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"h", "(", "X", ")"}], ")"}], "."}], TraditionalForm]]],
 " Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"h", "(", "X", ")"}], " ", "=", " ", 
     RowBox[{"\[Florin]", "(", 
      RowBox[{"p", "(", "X", ")"}], ")"}]}], ","}], TraditionalForm]]],
 " we have that the kernel of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SubscriptBox["\[Phi]", "v"],
     TraditionalForm], " ", "\[CenterDot]", " ", "\[Florin]"}], 
   TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"p", "(", "X", ")"}], ")"}], "."}], TraditionalForm]]],
 " Thus, by the first isomorphism theorem (10.4.4),\n                         \
                          \n                ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"K", "[", "X", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"p", "(", "X", ")"}], ")"}]}], " ", 
    StyleBox["\[TildeTilde]",
     FontSize->16], " ", 
    RowBox[{"E", "(", "v", ")"}]}], TraditionalForm]]],
 ".\n                \nBy proposition 14.1.6, we also have  \n\n              \
    ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"K", "(", "u", ")"}], " ", 
     StyleBox["\[TildeTilde]",
      FontSize->16], " ", 
     RowBox[{
      RowBox[{"K", "[", "X", "]"}], "/", 
      RowBox[{"(", 
       RowBox[{"p", "(", "X", ")"}], ")"}]}]}], " "}], TraditionalForm]]],
 ", \n                  \nand in this isomorphism, ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " mapped to the coset ",
 Cell[BoxData[
  FormBox[
   RowBox[{"X", " ", "+", " ", 
    RowBox[{"(", 
     RowBox[{"p", "(", "X", ")"}], ")"}]}], TraditionalForm]]],
 ". If we let ",
 Cell[BoxData[
  FormBox["\[Mu]", TraditionalForm]]],
 " be the combination of these two isomorphisms,\n\n                ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Mu]", ":", 
    RowBox[{
     RowBox[{"K", "(", "u", ")"}], " ", "\[RightArrow]", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"K", "[", "X", "]"}], "/", 
       RowBox[{"(", 
        RowBox[{"p", "(", "X", ")"}], ")"}]}], " ", "\[RightArrow]", " ", 
      RowBox[{"E", "(", "v", ")"}]}]}]}], TraditionalForm]]],
 Cell[BoxData[
  FormBox[" ", TraditionalForm]]],
 ",\n                \nthen",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"\[Mu]", "(", "u", ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[Phi]", "v"], "(", 
       RowBox[{"\[Florin]", "(", " ", "X", " ", ")"}], ")"}], " ", "=", " ", 
      "v"}]}]}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"\[Florin]", "(", "x", ")"}]}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "\nThe usual application of this proposition is when ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " are the same field, as in the case ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}], ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{
     RowBox[{"-", "cos"}], 
     RowBox[{"(", 
      RowBox[{"2", " ", 
       RowBox[{"\[Pi]", "/", "9"}]}], ")"}]}], ")"}], TraditionalForm]]],
 ". In which case we not only can prove that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}], ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{
     RowBox[{"-", "cos"}], 
     RowBox[{"(", 
      RowBox[{"2", " ", 
       RowBox[{"\[Pi]", "/", "9"}]}], ")"}]}], ")"}], TraditionalForm]]],
 " are isomorphic, but we can impose further conditions on the isomorphism.\n\
\nCOROLLARY 14.1.10\nIf ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a finite extension of a field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " are two elements in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"u", ",", " ", "X"}], ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"v", ",", " ", "X"}], ")"}]}], TraditionalForm]]],
 ", then there is an isomorphism ",
 Cell[BoxData[
  FormBox["\[Mu]", TraditionalForm]]],
 " between ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "u", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "v", ")"}], TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "u", ")"}], " ", "=", " ", "v"}], 
   TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "x", ")"}], " ", "=", " ", "x"}], 
   TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We simply let ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " be the identity mapping from ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " to itself, and use proposition 14.1.9. Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "X", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "X", ")"}], TraditionalForm]]],
 " are both equal to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Irr", "F"], "(", 
    RowBox[{"u", ",", "X"}], ")"}], TraditionalForm]]],
 ".   Since ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " is another root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"h", "(", "X", ")"}], ","}], TraditionalForm]]],
 " the conclusion follows from the conclusion of proposition 14.1.9."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "\nWe discovered that for every finite field could be expressed in the form \
",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Z", "p"], "[", "X", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"f", "(", "X", ")"}], ")"}]}], TraditionalForm]]],
 ", with ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " an irreducible polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "p"], "[", "X", "]"}], TraditionalForm]]],
 ". We could ask whether every finite extension of an infinite field can be \
represented in the form ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "/", 
    RowBox[{"(", 
     RowBox[{"f", "(", "X", ")"}], ")"}]}], TraditionalForm]]],
 " for some polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "X", "]"}], TraditionalForm]]],
 ". Although there are some infinite fields for which this is not the case, \
this is true of the fields ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalR]", TraditionalForm]]],
 ". Once we have proven this, we will be able to enter any finite extension \
of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 " or ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalR]", TraditionalForm]]],
 " into ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " using the same technique that was used for finite fields. \n \nThe first \
step is to show that a finite extension of a finite extension is a finite \
extension. This is done in the following proposition.\n\nPROPOSITION 14.1.11\n\
If ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " are fields, ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a finite extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " of dimension ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " is a finite extension of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " of dimension ",
 Cell[BoxData[
  FormBox["j", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " is a finite extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " of dimension ",
 Cell[BoxData[
  FormBox[
   RowBox[{"d", "\[CenterDot]", "j"}], TraditionalForm]]],
 ".  Futhermore, if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["x", "d"]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", " ", 
     SubscriptBox["y", "2"], ",", " ", 
     SubscriptBox["y", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["y", "j"]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", then\n \n                        ",
 Cell[BoxData[{
  FormBox[
   RowBox[{
    FormBox[
     RowBox[{" ", 
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{
         SubscriptBox[
          RowBox[{"x", " "}], "1"], 
         SubscriptBox["y", "1"]}], ",", " ", 
        RowBox[{
         SubscriptBox["x", "2"], " ", 
         SubscriptBox["y", "1"]}], ",", " ", 
        RowBox[{
         SubscriptBox["x", "3"], " ", 
         SubscriptBox["y", "1"]}], ",", " ", 
        RowBox[{"\[Ellipsis]", " ", 
         SubscriptBox["x", "d"], " ", 
         SubscriptBox["y", "1"]}], ","}]}]}],
     TraditionalForm], "  "}], TraditionalForm], "\n", 
  FormBox[
   RowBox[{"\t\t      ", 
    FormBox[
     RowBox[{" ", 
      RowBox[{
       RowBox[{
        SubscriptBox[
         RowBox[{"x", " "}], "1"], 
        SubscriptBox["y", "2"]}], ",", " ", "\[Ellipsis]", ",", " ", 
       RowBox[{
        SubscriptBox["x", "d"], " ", 
        SubscriptBox["y", "2"]}], ",", " ", "\n", "                 ", 
       RowBox[{
        SubscriptBox["x", "1"], " ", 
        SubscriptBox["y", "3"]}], ",", " ", "\[Ellipsis]", ",", " ", 
       RowBox[{
        SubscriptBox["x", "d"], " ", 
        SubscriptBox["y", "3"]}], " ", ",", "\n", 
       "                               ", "\[Ellipsis]\[Ellipsis]", ",", "\n",
        "                   ", 
       RowBox[{
        SubscriptBox["x", 
         RowBox[{"1", " "}]], 
        SubscriptBox["y", "j"]}], ",", "\[Ellipsis]", ",", " ", 
       RowBox[{
        SubscriptBox["x", "d"], " ", 
        SubscriptBox["y", "j"]}]}], " ", "}"}],
     TraditionalForm]}], TraditionalForm]}]],
 "\n\nis a basis of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", " ", 
     SubscriptBox["y", "2"], ",", " ", 
     SubscriptBox["y", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["y", "j"]}], "}"}], TraditionalForm]]],
 " is a basis for ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", we can write any element of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " in the form\n\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["m", "1"], 
      SubscriptBox["y", "1"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["m", "2"], " ", 
      SubscriptBox["y", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["m", "3"], " ", 
      SubscriptBox["y", "3"]}], " ", "+", " ", "\[Ellipsis]", " ", "+", " ", 
     RowBox[{
      SubscriptBox["m", "j"], " ", 
      SubscriptBox["y", "j"]}]}], ","}], TraditionalForm]]],
 "\n\nwhere ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["m", "1"], ",", " ", 
    SubscriptBox["m", "2"], ",", " ", 
    SubscriptBox["m", "3"], ",", " ", 
    RowBox[{"\[Ellipsis]", " ", 
     SubscriptBox["m", "j"]}]}], TraditionalForm]]],
 "  are in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ".\n\nSince ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["x", "d"]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", we can in turn write\n\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["m", "1"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox[
        RowBox[{"n", " "}], 
        RowBox[{"1", ",", "1"}]], " ", 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["n", 
        RowBox[{"2", ",", "1"}]], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["n", 
        RowBox[{"3", ",", "1"}]], " ", 
       SubscriptBox["x", "3"]}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
        RowBox[{"+", "  ", 
         SubscriptBox["n", 
          RowBox[{"d", ",", "1"}]]}]}], " ", 
       SubscriptBox["x", "d"]}]}]}], ","}], TraditionalForm]]],
 "\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["m", "2"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox[
        RowBox[{"n", " "}], 
        RowBox[{"1", ",", "2"}]], " ", 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["n", 
        RowBox[{"2", ",", "2"}]], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["n", 
        RowBox[{"3", ",", "2"}]], " ", 
       SubscriptBox["x", "3"]}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
        RowBox[{"+", "  ", 
         SubscriptBox["n", 
          RowBox[{"d", ",", "2"}]]}]}], " ", 
       SubscriptBox["x", "d"]}]}]}], ","}], TraditionalForm]]],
 "\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["m", "3"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox[
        RowBox[{"n", " "}], 
        RowBox[{"1", ",", "3"}]], " ", 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["n", 
        RowBox[{"2", ",", "3"}]], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["n", 
        RowBox[{"3", ",", "3"}]], " ", 
       SubscriptBox["x", "3"]}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
        RowBox[{"+", "  ", 
         SubscriptBox["n", 
          RowBox[{"d", ",", "3"}]]}]}], " ", 
       SubscriptBox["x", "d"]}]}]}], ","}], TraditionalForm]]],
 "\n             .....................\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["m", "j"], " ", "=", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox[
       RowBox[{"n", " "}], 
       RowBox[{"1", ",", "j"}]], " ", 
      SubscriptBox["x", "1"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["n", 
       RowBox[{"2", ",", "j"}]], " ", 
      SubscriptBox["x", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["n", 
       RowBox[{"3", ",", "j"}]], " ", 
      SubscriptBox["x", "3"]}], " ", "+", " ", 
     RowBox[{
      RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
       RowBox[{"+", "  ", 
        SubscriptBox["n", 
         RowBox[{"d", ",", "j"}]]}]}], " ", 
      RowBox[{
       SubscriptBox["x", "d"], "."}]}]}]}], TraditionalForm]]],
 "\n\nwhere each ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["n", 
    RowBox[{"i", ",", "k"}]], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Combining these, we see that every element of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " can be expressed in the form\n\n     ",
 Cell[BoxData[{
  FormBox[
   RowBox[{
    FormBox[
     RowBox[{"        ", 
      RowBox[{
       RowBox[{
        SubscriptBox[
         RowBox[{"n", " "}], 
         RowBox[{"1", ",", "1"}]], " ", 
        SubscriptBox["x", "1"], 
        SubscriptBox["y", "1"]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["n", 
         RowBox[{"2", ",", "1"}]], " ", 
        SubscriptBox["x", "2"], 
        SubscriptBox["y", "1"]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["n", 
         RowBox[{"3", ",", "1"}]], " ", 
        SubscriptBox["x", "3"], 
        SubscriptBox["y", "1"]}], " ", "+", " ", 
       RowBox[{
        RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
         RowBox[{"+", "  ", 
          SubscriptBox["n", 
           RowBox[{"d", ",", "1"}]]}]}], " ", 
        SubscriptBox["x", "d"], 
        SubscriptBox["y", "1"]}], " ", "+", " "}]}],
     TraditionalForm], " "}], TraditionalForm], "\n", 
  FormBox[
   RowBox[{"\t\t ", 
    RowBox[{
     FormBox[
      RowBox[{
       RowBox[{
        SubscriptBox[
         RowBox[{"n", " "}], 
         RowBox[{"1", ",", "2"}]], " ", 
        SubscriptBox["x", "1"], 
        SubscriptBox["y", "2"]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["n", 
         RowBox[{"2", ",", "2"}]], " ", 
        SubscriptBox["x", "2"], 
        SubscriptBox["y", "2"]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["n", 
         RowBox[{"3", ",", "2"}]], " ", 
        SubscriptBox["x", "3"], 
        SubscriptBox["y", "2"]}], " ", "+", " ", 
       RowBox[{
        RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
         RowBox[{"+", "  ", 
          SubscriptBox["n", 
           RowBox[{"d", ",", "2"}]]}]}], " ", 
        SubscriptBox["x", "d"], 
        SubscriptBox["y", "2"]}], " ", "+", "\n", " "}],
      TraditionalForm], "      ", 
     FormBox[
      RowBox[{" ", 
       RowBox[{
        RowBox[{
         RowBox[{
          SubscriptBox[
           RowBox[{"n", " "}], 
           RowBox[{"1", ",", "3"}]], " ", 
          SubscriptBox["x", "1"], 
          SubscriptBox["y", "3"]}], " ", "+", " ", 
         RowBox[{
          SubscriptBox["n", 
           RowBox[{"2", ",", "3"}]], " ", 
          SubscriptBox["x", "2"], 
          SubscriptBox["y", "3"]}], " ", "+", " ", 
         RowBox[{
          SubscriptBox["n", 
           RowBox[{"3", ",", "1"}]], " ", 
          SubscriptBox["x", "3"], 
          SubscriptBox["y", "3"]}], " ", "+", " ", 
         RowBox[{
          RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
           RowBox[{"+", "  ", 
            SubscriptBox["n", 
             RowBox[{"d", ",", "1"}]]}]}], " ", 
          SubscriptBox["x", "d"], 
          SubscriptBox["y", "3"]}], " ", "+", " ", "\n", "\t                ",
          "\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\
\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\
\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\
\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\
\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\
\[CenterEllipsis]\[CenterEllipsis]"}], "\n"}]}],
      TraditionalForm], "       ", 
     FormBox[
      RowBox[{" ", 
       RowBox[{
        RowBox[{
         SubscriptBox[
          RowBox[{"n", " "}], 
          RowBox[{"1", ",", "j"}]], " ", 
         SubscriptBox["x", "1"], 
         SubscriptBox["y", "j"]}], " ", "+", " ", 
        RowBox[{
         SubscriptBox["n", 
          RowBox[{"2", ",", "j"}]], " ", 
         SubscriptBox["x", "2"], 
         SubscriptBox["y", "j"]}], " ", "+", " ", 
        RowBox[{
         SubscriptBox["n", 
          RowBox[{"3", ",", "j"}]], " ", 
         SubscriptBox["x", "3"], 
         SubscriptBox["y", "j"]}], " ", "+", " ", 
        RowBox[{
         RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
          RowBox[{"+", "  ", 
           SubscriptBox["n", 
            RowBox[{"d", ",", "j"}]]}]}], " ", 
         SubscriptBox["x", "d"], 
         RowBox[{
          SubscriptBox["y", "j"], " ", "."}], " "}]}]}],
      TraditionalForm]}]}], TraditionalForm]}]],
 "\n\nTo show that\n                            ",
 Cell[BoxData[{
  FormBox[
   RowBox[{
    FormBox[
     RowBox[{" ", 
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{
         SubscriptBox[
          RowBox[{"x", " "}], "1"], 
         SubscriptBox["y", "1"]}], ",", " ", 
        RowBox[{
         SubscriptBox["x", "2"], " ", 
         SubscriptBox["y", "1"]}], ",", " ", 
        RowBox[{
         SubscriptBox["x", "3"], " ", 
         SubscriptBox["y", "1"]}], ",", " ", 
        RowBox[{"\[Ellipsis]", " ", 
         SubscriptBox["x", "d"], " ", 
         SubscriptBox["y", "1"]}], ","}]}]}],
     TraditionalForm], "  "}], TraditionalForm], "\n", 
  FormBox[
   RowBox[{"\t\t      ", 
    FormBox[
     RowBox[{" ", 
      RowBox[{
       RowBox[{
        SubscriptBox[
         RowBox[{"x", " "}], "1"], 
        SubscriptBox["y", "2"]}], ",", " ", "\[Ellipsis]", ",", " ", 
       RowBox[{
        SubscriptBox["x", "d"], " ", 
        SubscriptBox["y", "2"]}], ",", " ", "\n", "                 ", 
       RowBox[{
        SubscriptBox["x", "1"], " ", 
        SubscriptBox["y", "3"]}], ",", " ", "\[Ellipsis]", ",", " ", 
       RowBox[{
        SubscriptBox["x", "d"], " ", 
        SubscriptBox["y", "3"]}], " ", ",", "\n", 
       "                               ", "\[Ellipsis]\[Ellipsis]", ",", "\n",
        "                   ", 
       RowBox[{
        SubscriptBox["x", 
         RowBox[{"1", " "}]], 
        SubscriptBox["y", "j"]}], ",", "\[Ellipsis]", ",", " ", 
       RowBox[{
        SubscriptBox["x", "d"], " ", 
        SubscriptBox["y", "j"]}]}], " ", "}"}],
     TraditionalForm]}], TraditionalForm]}]],
 "\n\nis a basis of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", we merely have to show that such representations are unique. Let us \
switch to a summation notation for the remainder of the proof. Suppose that \
there are two such representations for the same element of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", that is\n\n           ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     UnderoverscriptBox[
      StyleBox[
       SubscriptBox[
        StyleBox["\[Sum]",
         FontSize->24], " "],
       FontSize->24], 
      RowBox[{"i", "=", "1"}], 
      RowBox[{"d", " "}]], 
     UnderoverscriptBox[
      StyleBox[
       SubscriptBox[
        StyleBox["\[Sum]",
         FontSize->24], " "],
       FontSize->24], 
      RowBox[{"k", "=", "1"}], 
      RowBox[{"j", " "}]]}],
    FontSize->16], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["n", 
       RowBox[{"i", ",", " ", "k"}]], 
      SubscriptBox["x", "i"], 
      SubscriptBox["y", "k"]}], "   ", "="}], "  "}], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     UnderoverscriptBox[
      StyleBox[
       SubscriptBox[
        StyleBox["\[Sum]",
         FontSize->24], " "],
       FontSize->24], 
      RowBox[{"i", "=", "1", "  "}], 
      RowBox[{"d", "   "}]], 
     UnderoverscriptBox[
      StyleBox[
       SubscriptBox[
        StyleBox["\[Sum]",
         FontSize->24], " "],
       FontSize->24], 
      RowBox[{"k", "=", "1", "   "}], 
      RowBox[{"j", "   "}]]}],
    FontSize->16], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubsuperscriptBox["n", 
     RowBox[{"i", ",", " ", "k"}], 
     RowBox[{" ", "\[Prime]"}]], " ", 
    SubscriptBox["x", "i"], 
    SubscriptBox["y", "k"]}], TraditionalForm]]],
 "\n           \nfor ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["n", 
    RowBox[{"i", ",", " ", "k"}]], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["n", 
    RowBox[{"i", ",", " ", "k"}], 
    RowBox[{" ", "\[Prime]"}]], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Then we have \n   0 = ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     UnderoverscriptBox[
      StyleBox[
       SubscriptBox[
        StyleBox["\[Sum]",
         FontSize->24], " "],
       FontSize->24], 
      RowBox[{"i", "=", "1"}], 
      RowBox[{"d", " "}]], 
     UnderoverscriptBox[
      StyleBox[
       SubscriptBox[
        StyleBox["\[Sum]",
         FontSize->24], " "],
       FontSize->24], 
      RowBox[{"k", "=", "1"}], 
      RowBox[{"j", " "}]]}],
    FontSize->16], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SubscriptBox["n", 
        RowBox[{"i", ",", " ", "k"}]], "-", 
       SubsuperscriptBox["n", 
        RowBox[{"i", ",", " ", "k"}], 
        RowBox[{" ", "\[Prime]"}]]}], ")"}], 
     SubscriptBox["x", "i"], 
     SubscriptBox["y", "k"]}], "   ", "=", "  "}], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     RowBox[{
      StyleBox[
       UnderoverscriptBox[
        StyleBox[
         SubscriptBox[
          StyleBox["\[Sum]",
           FontSize->14], " "],
         FontSize->24], 
        RowBox[{"k", "=", "1", "   "}], 
        RowBox[{"j", "   "}]],
       FontSize->16], 
      RowBox[{
       StyleBox["(",
        FontSize->16], 
       RowBox[{
        RowBox[{
         StyleBox[
          UnderoverscriptBox[
           StyleBox["\[CapitalSigma]",
            FontSize->24], 
           RowBox[{"i", "=", "1"}], "d"],
          FontSize->16], "(", 
         RowBox[{
          SubscriptBox["n", 
           RowBox[{"i", ",", " ", "k"}]], "-", " ", 
          SubsuperscriptBox["n", 
           RowBox[{"i", ",", " ", "k"}], 
           RowBox[{" ", "\[Prime]"}]]}], ")"}], 
        SubscriptBox["x", "i"]}], 
       StyleBox[")",
        FontSize->16]}]}],
     TraditionalForm], 
    FormBox[
     SubscriptBox["y", "k"],
     TraditionalForm]}], TraditionalForm]]],
 "\n   \nSince ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", " ", 
     SubscriptBox["y", "2"], ",", " ", 
     SubscriptBox["y", "3"], ",", " ", "\[Ellipsis]", " ", ",", " ", 
     SubscriptBox["y", "j"]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", the only way that the right hand expression could be zero is if\n\n       \
       ",
 Cell[BoxData[
  FormBox["  ", TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     FormBox[
      StyleBox[
       UnderoverscriptBox[
        StyleBox[
         SubscriptBox[
          StyleBox["\[Sum]",
           FontSize->24], " "],
         FontSize->24], 
        RowBox[{"i", "=", "1"}], "d"],
       FontSize->16],
      TraditionalForm], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["n", 
         RowBox[{"i", " ", "k"}]], "-", " ", 
        SubsuperscriptBox["n", 
         RowBox[{"i", ",", " ", "k"}], 
         RowBox[{" ", "\[Prime]"}]]}], ")"}], 
      SubscriptBox["x", 
       RowBox[{"i", " "}]]}]}], "=", " ", 
    RowBox[{"0", 
     FormBox["",
      TraditionalForm]}]}], TraditionalForm]]],
 "\n              \nfor all ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"k", " ", "=", " ", "1"}], ",", " ", "2", ",", " ", "3", ",", " ",
     
    RowBox[{"\[Ellipsis]", " ", 
     RowBox[{"j", "."}]}]}], TraditionalForm]]],
 " Now ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["x", "d"]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", so the only way that each of these sums could be 0 is if ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["n", 
     RowBox[{"i", ",", " ", "k"}]], "=", " ", 
    SubsuperscriptBox["n", 
     RowBox[{"i", ",", " ", "k"}], 
     RowBox[{" ", "\[Prime]"}]]}], TraditionalForm]]],
 "  for all values of ",
 Cell[BoxData[
  FormBox["i", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 ". Thus,  the representation of an element ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " as a sum of the form \n\n                   ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     UnderoverscriptBox[
      StyleBox[
       SubscriptBox[
        StyleBox["\[Sum]",
         FontSize->24], " "],
       FontSize->24], 
      RowBox[{"i", "=", "1"}], 
      RowBox[{"d", " "}]], 
     UnderoverscriptBox[
      StyleBox[
       SubscriptBox[
        StyleBox["\[Sum]",
         FontSize->24], " "],
       FontSize->24], 
      RowBox[{"k", "=", "1"}], 
      RowBox[{"j", " "}]]}],
    FontSize->16], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["n", 
     RowBox[{"i", " ", "k"}]], 
    SubscriptBox["x", "i"], 
    SubscriptBox["y", 
     RowBox[{"k", "  "}]]}], TraditionalForm]]],
 "\n                   \nis unique, and therefore the set\n\n                 \
       ",
 Cell[BoxData[{
  FormBox[
   RowBox[{
    FormBox[
     RowBox[{" ", 
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{
         SubscriptBox[
          RowBox[{"x", " "}], "1"], 
         SubscriptBox["y", "1"]}], ",", " ", 
        RowBox[{
         SubscriptBox["x", "2"], " ", 
         SubscriptBox["y", "1"]}], ",", " ", 
        RowBox[{
         SubscriptBox["x", "3"], " ", 
         SubscriptBox["y", "1"]}], ",", " ", 
        RowBox[{"\[Ellipsis]", " ", 
         SubscriptBox["x", "d"], " ", 
         SubscriptBox["y", "1"]}], ","}]}]}],
     TraditionalForm], "  "}], TraditionalForm], "\n", 
  FormBox[
   RowBox[{"\t\t      ", 
    FormBox[
     RowBox[{" ", 
      RowBox[{
       RowBox[{
        SubscriptBox[
         RowBox[{"x", " "}], "1"], 
        SubscriptBox["y", "2"]}], ",", " ", "\[Ellipsis]", ",", " ", 
       RowBox[{
        SubscriptBox["x", "d"], " ", 
        SubscriptBox["y", "2"]}], ",", " ", "\n", "                 ", 
       RowBox[{
        SubscriptBox["x", "1"], " ", 
        SubscriptBox["y", "3"]}], ",", " ", "\[Ellipsis]", ",", " ", 
       RowBox[{
        SubscriptBox["x", "d"], " ", 
        SubscriptBox["y", "3"]}], " ", ",", "\n", 
       "                            ", "\[Ellipsis]\[Ellipsis]", ",", "\n", 
       "                   ", 
       RowBox[{
        SubscriptBox["x", 
         RowBox[{"1", " "}]], 
        SubscriptBox["y", "j"]}], ",", "\[Ellipsis]", ",", " ", 
       RowBox[{
        SubscriptBox["x", "d"], " ", 
        SubscriptBox["y", "j"]}]}], " ", "}"}],
     TraditionalForm]}], TraditionalForm]}]],
 "\n\nis a basis of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " of dimension ",
 Cell[BoxData[
  FormBox[
   RowBox[{"d", "\[CenterDot]", "j"}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "This last proposition opens the posibility of having an \"extension of an \
extension\" of a field. In fact, all fields which are finite dimensional over \
",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 " can be obtained by a sequence of such extensions. "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[CellGroupData[{

Cell["Extension Fields", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "In the last chapter, we explored finite fields, and discovered many \
patterns within each finite field. In fact, we were able to use these \
patterns to completely classify all finite fields. In this section we will \
continue to explore the properties of fields, but we will focus on infinite \
fields. Our aim is to determine which properties of finite fields can be \
applied to all fields.\n\nWe will begin by looking at some examples of finite \
fields. One of the field that we looked at was the \"complex numbers modulo 3\
\", which was latter refered to as  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Z", "3"], "[", "X", "]"}], "/", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["X", "2"], "+", "1"}], ")"}], "."}]}], 
   TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
InitDomain[3]
Define[i^2,-1]
F = Ring[{i}]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Notice that every element of this ring can be expressed in the form\n\n     \
                      ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "+", " ", 
    RowBox[{"i", " ", "y"}]}], TraditionalForm]]],
 "\n\nwhere ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " are in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 ". Let us look at another example: the field of order 8. "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
InitDomain[2]
Define[a^3, 1+a]
F = Ring[{a}]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "This time, we see that every element can be expressed in the form\n\n       \
               ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "+", " ", 
    RowBox[{"a", " ", "y"}], " ", "+", " ", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", "z"}]}], TraditionalForm]]],
 "\n                      \nwhere ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["z", TraditionalForm]]],
 " are in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 ".\n\nRecall that in chapter 9, we defined a ",
 StyleBox["basis",
  FontSlant->"Italic"],
 " for an abelian group to be a set of non-zero elements \n\n           ",
 Cell[BoxData[
  FormBox[
   RowBox[{"X", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["x", "1"], ",", " ", 
      SubscriptBox["x", "2"], ",", " ", 
      SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
      SubscriptBox["x", "n"]}], "}"}]}], TraditionalForm]]],
 " \n           \nwhich generates the group such that the only way\n\n        \
",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["a", "1"], 
      SubscriptBox["x", "1"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "2"], 
      SubscriptBox["x", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "3"], 
      SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+", 
     " ", 
     RowBox[{
      SubscriptBox["a", "n"], 
      SubscriptBox["x", "n"]}]}], " ", "=", " ", "0"}], TraditionalForm]]],
 "\n\nfor integers ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "1"], ",", " ", 
    SubscriptBox["a", "2"], ",", " ", 
    SubscriptBox["a", "3"], ",", " ", 
    RowBox[{"\[Ellipsis]", " ", 
     SubscriptBox["a", "n"]}]}], TraditionalForm]]],
 " is if\n\n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["a", "1"], 
     SubscriptBox["x", "1"]}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["a", "2"], 
      SubscriptBox["x", "2"]}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox["a", "3"], 
       SubscriptBox["x", "3"]}], " ", "=", " ", 
      RowBox[{"\[CenterEllipsis]", " ", "=", " ", 
       RowBox[{
        RowBox[{
         SubscriptBox["a", "n"], 
         SubscriptBox["x", "n"]}], " ", "=", " ", "0."}]}]}]}]}], 
   TraditionalForm]]],
 "\n\nIt is natural to apply the definition of a basis to a finite field. For \
example, the field of \"complex numbers modulo 3\" has a basis ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", " ", "i"}], "}"}], TraditionalForm]]],
 ", since the only way in which  \n \n              ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["a", "1"], "\[CenterDot]", " ", "1"}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["a", "2"], "\[CenterDot]", " ", "i"}]}], " ", "=", " ", 
     "0"}]}], TraditionalForm]]],
 "\n\nis if both integers ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["a", "1"], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["a", "2"], TraditionalForm]]],
 " be multiples of 3, in which case ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["a", "1"], "\[CenterDot]", "1"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["a", "3"], "\[CenterDot]", "i"}], " ", "=", " ", "0"}]}], 
   TraditionalForm]]],
 " in the field.\n\nIt is clear that any finite field has a basis, since the \
additive structure is a finite group. In fact, if a field of characteristic \
",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " has a basis ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", 
     RowBox[{"\[Ellipsis]", " ", 
      SubscriptBox["x", "n"]}]}], "}"}], TraditionalForm]]],
 ", then every element of the field can be expressed uniquely in the form\n\n \
            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["a", "1"], 
      SubscriptBox["x", "1"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "2"], " ", 
      SubscriptBox["x", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "3"], " ", 
      SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+", 
     " ", 
     RowBox[{
      SubscriptBox["a", "n"], "  ", 
      SubscriptBox["x", "n"]}]}], " ", ","}], TraditionalForm]]],
 "\n\nwhere each ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["a", "i"], TraditionalForm]]],
 "  is between ",
 Cell[BoxData[
  FormBox["0", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "-", "1"}], TraditionalForm]]],
 ". Thus, the order of the field is ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["p", "n"], TraditionalForm]]],
 ".\n\nWe would like to slightly modify the definition of a basis so that the \
new definition will apply to infinite fields as well. Notice that in the case \
of finite fields, we could consider ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["a", "i"], TraditionalForm]]],
 " to be an element of the subfield ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "p"], TraditionalForm]]],
 " instead of an integer. "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.437930264140625*^9}],

Cell[TextData[{
 "\nDEFINITION:\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a division ring, and let ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be a subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". A set of non-zero elements ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", " ", ",", 
     SubscriptBox["x", "n"]}], "}"}], TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is called a ",
 StyleBox["basis of",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " ",
 StyleBox["over",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " if every element of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " can be uniquely expressed in the form\n\n            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["a", "1"], 
      SubscriptBox["x", "1"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "2"], " ", 
      SubscriptBox["x", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "3"], " ", 
      SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+", 
     " ", 
     RowBox[{
      SubscriptBox["a", "n"], "  ", 
      SubscriptBox["x", "n"]}]}], " ", ","}], TraditionalForm]]],
 "\n\nwith ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "1"], ",", " ", 
    SubscriptBox["a", "2"], ",", " ", 
    SubscriptBox["a", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
    SubscriptBox["a", "n"]}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437930264140625*^9, 3.4379302711875*^9}}],

Cell[TextData[{
 "\nHere are some examples: \n\n  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", " ", "I"}], "}"}], TraditionalForm]]],
 " is a basis of the complex numbers over the \n         real numbers ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalR]", TraditionalForm]]],
 ".\n\n  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", " ", "I", ",", " ", "J", ",", " ", "K"}], "}"}], 
   TraditionalForm]]],
 " is a basis of the quaternions over the \n         real numbers ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalR]", TraditionalForm]]],
 ".\n\n  {1,",
 Cell[BoxData[
  FormBox[
   SqrtBox["2"], TraditionalForm]]],
 "} is a basis of the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "[", 
    SqrtBox["2"], " ", "]"}], TraditionalForm]]],
 " over the   \n         rational numbers ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ".\n\nDEFINITION:\nIf there exists a finite set ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", " ", ",", 
     SubscriptBox["x", "n"]}], "}"}], TraditionalForm]]],
 " which is a basis of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", we say that ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a ",
 StyleBox["finite extension",
  FontSlant->"Italic"],
 " of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ".\n\nAt this point we will use the following observation from linear \
algebra: if we are given 2 linear equations with 3 unknowns, there cannot be \
a unique solution. In fact, whenever the number of linear equations is less \
than the number of unknowns, there will be more than one solution to the \
system of equations, as long as the equations are consistant. Although this \
statement is intuitively obvious in the field ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalR]", TraditionalForm]]],
 ", the principle carries over into any field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Using this fact, we can prove the following. "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437930264140625*^9, 3.4379302711875*^9}}],

Cell[TextData[{
 "LEMMA 14.1.1\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a finite extension of a field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", " ", ",", 
     SubscriptBox["x", "n"]}], "}"}], TraditionalForm]]],
 " be a basis of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Then if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "0"], ",", 
     SubscriptBox["y", "1"], ",", 
     SubscriptBox["y", "1"], ",", 
     SubscriptBox["y", "2"], ",", "\[Ellipsis]", ",", 
     SubscriptBox["y", "n"]}], "}"}], TraditionalForm]]],
 " is a set of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "+", "1"}], TraditionalForm]]],
 " elements of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", then there is more than one solution to the equation\n\n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["a", "0"], 
      SubscriptBox["y", "0"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "1"], 
      SubscriptBox["y", "1"]}], "+", " ", 
     RowBox[{
      SubscriptBox["a", "2"], 
      SubscriptBox["y", "2"]}], "+", " ", 
     RowBox[{
      SubscriptBox["a", "3"], 
      SubscriptBox["y", "3"]}], "+", " ", "\[CenterEllipsis]", " ", "+", " ", 
     
     RowBox[{
      SubscriptBox["a", "n"], 
      SubscriptBox["y", "n"]}]}], "=", " ", "0"}], TraditionalForm]]],
 "\n        \nwith ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "0"], ",", 
    SubscriptBox["a", "1"], ",", 
    SubscriptBox["a", "2"], ",", "\[Ellipsis]", ",", " ", 
    SubscriptBox["a", "n"]}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Note that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "0"], "=", " ", 
    RowBox[{
     SubscriptBox["a", "1"], "=", " ", 
     RowBox[{
      SubscriptBox["a", "2"], "=", " ", 
      RowBox[{
       SubscriptBox["a", "3"], "=", " ", 
       RowBox[{"\[CenterEllipsis]", " ", "=", " ", 
        RowBox[{
         SubscriptBox["a", "n"], " ", "=", " ", "0"}]}]}]}]}]}], 
   TraditionalForm]]],
 " is one solution to\n\n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["a", "0"], 
      SubscriptBox["y", "0"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "1"], 
      SubscriptBox["y", "1"]}], "+", " ", 
     RowBox[{
      SubscriptBox["a", "2"], 
      SubscriptBox["y", "2"]}], "+", " ", 
     RowBox[{
      SubscriptBox["a", "3"], 
      SubscriptBox["y", "3"]}], "+", " ", "\[CenterEllipsis]", " ", "+", " ", 
     
     RowBox[{
      SubscriptBox["a", "n"], 
      SubscriptBox["y", "n"]}]}], "=", " ", "0"}], TraditionalForm]]],
 ".\n\nThus, we only need to find a second solution. Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", " ", ",", 
     SubscriptBox["x", "n"]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", we can write                        \n\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["y", "0"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox[
        RowBox[{"m", " "}], 
        RowBox[{"0", ",", "1"}]], 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"0", ",", "2"}]], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"0", ",", "3"}]], 
       SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+",
       " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"0", ",", "n"}]], 
       SubscriptBox["x", "n"]}]}]}], ","}], TraditionalForm]]],
 "\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["y", "1"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox[
        RowBox[{"m", " "}], 
        RowBox[{"1", ",", "1"}]], 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"1", ",", "2"}]], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"1", ",", "3"}]], 
       SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+",
       " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"1", ",", "n"}]], 
       SubscriptBox["x", "n"]}]}]}], ","}], TraditionalForm]]],
 "\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["y", "2"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox[
        RowBox[{"m", " "}], 
        RowBox[{"2", ",", "1"}]], 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"2", ",", "2"}]], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"2", ",", "3"}]], 
       SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+",
       " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"2", ",", "n"}]], 
       SubscriptBox["x", "n"]}]}]}], ","}], TraditionalForm]]],
 "\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["y", "3"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox[
        RowBox[{"m", " "}], 
        RowBox[{"3", ",", "1"}]], 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"3", ",", "2"}]], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"3", ",", "3"}]], 
       SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+",
       " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"3", ",", "n"}]], 
       SubscriptBox["x", "n"]}]}]}], ","}], TraditionalForm]]],
 "\n                       \
\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\
\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["y", "n"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox[
        RowBox[{"m", " "}], 
        RowBox[{"n", ",", "1"}]], 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"n", ",", "2"}]], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"n", ",", "3"}]], 
       SubscriptBox["x", "3"]}], " ", "+", " ", "\[CenterEllipsis]", " ", "+",
       " ", 
      RowBox[{
       SubscriptBox["m", 
        RowBox[{"n", ",", "n"}]], 
       SubscriptBox["x", "n"]}]}]}], ","}], TraditionalForm]]],
 "\n\nThe equation we are solving then becomes\n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     FormBox[
      RowBox[{"    ", 
       RowBox[{
        RowBox[{
         SubscriptBox[
          RowBox[{"a", " "}], "0"], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            SubscriptBox["m", 
             RowBox[{"0", ",", "1"}]], 
            SubscriptBox["x", "1"]}], "+", " ", 
           RowBox[{
            SubscriptBox["m", 
             RowBox[{"0", ",", "2"}]], 
            SubscriptBox["x", "2"]}], " ", "+", " ", 
           RowBox[{
            SubscriptBox["m", 
             RowBox[{"0", ",", "3"}]], " ", 
            SubscriptBox["x", "3"]}], " ", "+", " ", 
           RowBox[{
            RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
             RowBox[{"+", " ", 
              SubscriptBox["m", 
               RowBox[{"0", ",", "n"}]]}]}], " ", 
            SubscriptBox["x", "n"]}]}], ")"}]}], " ", "+"}]}],
      TraditionalForm], "        ", "\n", "\t", 
     RowBox[{
      FormBox[
       RowBox[{" ", 
        RowBox[{
         RowBox[{
          SubscriptBox[
           RowBox[{"a", " "}], "1"], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             SubscriptBox["m", 
              RowBox[{"1", ",", "1"}]], 
             SubscriptBox["x", "1"]}], "+", " ", 
            RowBox[{
             SubscriptBox["m", 
              RowBox[{"1", ",", "2"}]], 
             SubscriptBox["x", "2"]}], " ", "+", " ", 
            RowBox[{
             SubscriptBox["m", 
              RowBox[{"1", ",", "3"}]], " ", 
             SubscriptBox["x", "3"]}], " ", "+", " ", 
            RowBox[{
             RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
              RowBox[{"+", " ", 
               SubscriptBox["m", 
                RowBox[{"1", ",", "n"}]]}]}], " ", 
             SubscriptBox["x", "n"]}]}], ")"}]}], " ", "+"}]}],
       TraditionalForm], "        ", 
      FormBox[
       RowBox[{"\n", 
        RowBox[{
         RowBox[{
          SubscriptBox["a", "2"], "(", 
          RowBox[{
           RowBox[{
            SubscriptBox["m", 
             RowBox[{"2", ",", "1"}]], 
            SubscriptBox["x", "1"]}], "+", " ", 
           RowBox[{
            SubscriptBox["m", 
             RowBox[{"2", ",", "2"}]], 
            SubscriptBox["x", "2"]}], " ", "+", " ", 
           RowBox[{
            SubscriptBox["m", 
             RowBox[{"2", ",", "3"}]], " ", 
            SubscriptBox["x", "3"]}], " ", "+", " ", 
           RowBox[{
            RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
             RowBox[{"+", " ", 
              SubscriptBox["m", 
               RowBox[{"2", ",", "n"}]]}]}], " ", 
            SubscriptBox["x", "n"]}]}], ")"}], " ", "+"}]}],
       TraditionalForm]}], " ", "\n", "    ", 
     FormBox[
      RowBox[{"    ", 
       RowBox[{
        RowBox[{
         SubscriptBox["a", "3"], "(", 
         RowBox[{
          RowBox[{
           SubscriptBox["m", 
            RowBox[{"3", ",", "1"}]], 
           SubscriptBox["x", "1"]}], "+", " ", 
          RowBox[{
           SubscriptBox["m", 
            RowBox[{"3", ",", "2"}]], 
           SubscriptBox["x", "2"]}], " ", "+", " ", 
          RowBox[{
           SubscriptBox["m", 
            RowBox[{"3", ",", "3"}]], " ", 
           SubscriptBox["x", "3"]}], " ", "+", " ", 
          RowBox[{
           RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
            RowBox[{"+", " ", 
             SubscriptBox["m", 
              RowBox[{"3", ",", "n"}]]}]}], " ", 
           SubscriptBox["x", "n"]}]}], ")"}], " ", "+"}]}],
      TraditionalForm], " ", "\n", "\t\t                          ", 
     RowBox[{
     "\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\
\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]", "        ", 
      FormBox[
       RowBox[{"\n", "   ", 
        RowBox[{
         RowBox[{
          SubscriptBox["a", "n"], "(", 
          RowBox[{
           RowBox[{
            SubscriptBox["m", 
             RowBox[{"n", ",", "1"}]], 
            SubscriptBox["x", "1"]}], "+", " ", 
           RowBox[{
            SubscriptBox["m", 
             RowBox[{"n", ",", "2"}]], 
            SubscriptBox["x", "2"]}], " ", "+", " ", 
           RowBox[{
            SubscriptBox["m", 
             RowBox[{"n", ",", "3"}]], " ", 
            SubscriptBox["x", "3"]}], " ", "+", " ", 
           RowBox[{
            RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
             RowBox[{"+", " ", 
              SubscriptBox["m", 
               RowBox[{"n", ",", "n"}]]}]}], " ", 
            SubscriptBox["x", "n"]}]}], ")"}], " ", "=", " ", "0."}]}],
       TraditionalForm]}]}]}], TraditionalForm]]],
 "\n\nThis will be zero as long as we can solve the ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " equations\n\n     ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        SubscriptBox["a", 
         RowBox[{"0", " "}]], 
        SubscriptBox["m", 
         RowBox[{"0", ",", "1"}]]}], "+", " ", 
       RowBox[{
        SubscriptBox["a", "1"], " ", 
        SubscriptBox["m", 
         RowBox[{"1", ",", "1"}]]}], "+", " ", 
       RowBox[{
        SubscriptBox["a", "2"], " ", 
        SubscriptBox["m", 
         RowBox[{"2", ",", "1"}]]}], " ", "+", " ", "\[CenterEllipsis]", " ", 
       "+", " ", 
       RowBox[{
        SubscriptBox["a", "n"], 
        SubscriptBox["m", 
         RowBox[{"n", ",", "1"}]]}]}], "=", " ", "0"}], ","}]}], 
   TraditionalForm]]],
 "\n     ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        SubscriptBox["a", 
         RowBox[{"0", " "}]], 
        SubscriptBox["m", 
         RowBox[{"0", ",", "2"}]]}], "+", " ", 
       RowBox[{
        SubscriptBox["a", "1"], " ", 
        SubscriptBox["m", 
         RowBox[{"1", ",", "2"}]]}], "+", " ", 
       RowBox[{
        SubscriptBox["a", "2"], " ", 
        SubscriptBox["m", 
         RowBox[{"2", ",", "2"}]]}], " ", "+", " ", "\[CenterEllipsis]", " ", 
       "+", " ", 
       RowBox[{
        SubscriptBox["a", "n"], 
        SubscriptBox["m", 
         RowBox[{"n", ",", "2"}]]}]}], "=", " ", "0"}], ","}]}], 
   TraditionalForm]]],
 "\n     ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        SubscriptBox["a", 
         RowBox[{"0", " "}]], 
        SubscriptBox["m", 
         RowBox[{"0", ",", "3"}]]}], "+", " ", 
       RowBox[{
        SubscriptBox["a", "1"], " ", 
        SubscriptBox["m", 
         RowBox[{"1", ",", "3"}]]}], "+", " ", 
       RowBox[{
        SubscriptBox["a", "2"], " ", 
        SubscriptBox["m", 
         RowBox[{"2", ",", "3"}]]}], " ", "+", " ", "\[CenterEllipsis]", " ", 
       "+", " ", 
       RowBox[{
        SubscriptBox["a", "n"], 
        SubscriptBox["m", 
         RowBox[{"n", ",", "3"}]]}]}], "=", " ", "0"}], ","}]}], 
   TraditionalForm]]],
 "\n                          \[CenterEllipsis]\[CenterEllipsis]\
\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\
\[CenterEllipsis]\n      ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["a", 
        RowBox[{"0", " "}]], 
       SubscriptBox["m", 
        RowBox[{"0", ",", "n"}]]}], "+", " ", 
      RowBox[{
       SubscriptBox["a", "1"], " ", 
       SubscriptBox["m", 
        RowBox[{"1", ",", "n"}]]}], "+", " ", 
      RowBox[{
       SubscriptBox["a", "2"], " ", 
       SubscriptBox["m", 
        RowBox[{"2", ",", "n"}]]}], " ", "+", " ", "\[CenterEllipsis]", " ", 
      "+", " ", 
      RowBox[{
       SubscriptBox["a", "n"], 
       SubscriptBox["m", 
        RowBox[{"n", ",", "n"}]]}]}], "=", " ", "0."}]}], TraditionalForm]]],
 "                    \n\nBut we have ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "+", "1"}], TraditionalForm]]],
 " unknowns, with only ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " linear equations. We already\nmade the observation that such a system of \
equations cannot have a unique \nsolution. Since we have already found one \
solution, there must be a \nsecond solution as well. Therefore, the equation\n\
\n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["a", "0"], 
      SubscriptBox["y", "0"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "1"], 
      SubscriptBox["y", "1"]}], "+", " ", 
     RowBox[{
      SubscriptBox["a", "2"], 
      SubscriptBox["y", "2"]}], "+", " ", 
     RowBox[{
      SubscriptBox["a", "3"], 
      SubscriptBox["y", "3"]}], "+", " ", "\[CenterEllipsis]", " ", "+", " ", 
     
     RowBox[{
      SubscriptBox["a", "n"], 
      SubscriptBox["y", "n"]}]}], "=", " ", "0"}], TraditionalForm]]],
 "\n\nhas at least two solutions."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "We can now use this lemma to show that any two bases of a finite extension \
must have the same number of elements.\n\nPROPOSITION 14.1.2\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a division ring, and let ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be a subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". If the sets ",
 Cell[BoxData[
  FormBox[
   RowBox[{"X", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["x", "1"], ",", " ", 
      SubscriptBox["x", "2"], ",", " ", 
      SubscriptBox["x", "3"], ",", " ", 
      RowBox[{"\[Ellipsis]", " ", 
       SubscriptBox["x", "n"]}]}], "}"}]}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"Y", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["y", "1"], ",", " ", 
      SubscriptBox["y", "2"], ",", " ", 
      SubscriptBox["y", "3"], ",", " ", 
      RowBox[{"\[Ellipsis]", " ", 
       SubscriptBox["y", "m"]}]}], "}"}]}], TraditionalForm]]],
 " are both bases of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", "m"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Suppose that ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " is not equal to ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 ". By exchanging the roles of ",
 Cell[BoxData[
  FormBox["X", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["Y", TraditionalForm]]],
 " if necessary, we can assume that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "<", " ", "m"}], TraditionalForm]]],
 ". Then by labelling ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["y", "0"], "=", " ", 
    SubscriptBox["y", "m"]}], TraditionalForm]]],
 ", we can use lemma 14.1.1 to show that there are more than one solutions to \
the equation\n\n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["a", "0"], 
      SubscriptBox["y", "0"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "1"], 
      SubscriptBox["y", "1"]}], "+", " ", 
     RowBox[{
      SubscriptBox["a", "2"], 
      SubscriptBox["y", "2"]}], "+", " ", 
     RowBox[{
      SubscriptBox["a", "3"], 
      SubscriptBox["y", "3"]}], "+", " ", "\[CenterEllipsis]", " ", "+", " ", 
     
     RowBox[{
      SubscriptBox["a", "n"], 
      SubscriptBox["y", "n"]}]}], "=", " ", "0"}], TraditionalForm]]],
 "\n\nBut this contradicts the fact that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "0"], ",", " ", 
     SubscriptBox["y", "1"], ",", " ", 
     SubscriptBox["y", "2"], ",", " ", 
     SubscriptBox["y", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["y", 
      RowBox[{"m", "-", "1"}]]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". So we must have ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", "m"}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "\nDEFINITION:\nIf ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a finite extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", we say the ",
 StyleBox["dimension",
  FontSlant->"Italic"],
 " of the extension is the size of a basis ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["x", "a"]}], "}"}], TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ".\n\nHere are some examples:\n\n    ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalC]", TraditionalForm]]],
 " is a two dimensional extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalR]", TraditionalForm]]],
 ". \n\n    The quadternions ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalH]", TraditionalForm]]],
 " is a 4 dimensional extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalR]", TraditionalForm]]],
 ".  \n \n    ",
 Cell[BoxData[
  FormBox[
   RowBox[{"GF", "(", "27", ")"}], TraditionalForm]]],
 " is a three dimension extenion of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 ", regardless\n    of which basis we use.         \n\nIt seems intuitively \
obvious that isomorphic fields have the same dimension over some field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " contained in both of the fields. Yet this is only true if the isomorphism \
",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " maps the field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " to itself.\n\nCOROLLARY 14.1.3\nIf ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " are two finite extensions of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and suppose that there is an isomorphism ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " from ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " onto ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "x", ")"}], " ", "=", " ", "x"}], 
   TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " have the same dimension over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Suppose that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["x", "n"]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". We want to show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "1"], ")"}], ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "2"], ")"}], ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "3"], ")"}], ",", " ", "\[Ellipsis]", ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "n"], ")"}]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "u", ")"}], " ", "=", " ", "v"}], 
   TraditionalForm]]],
 " for some ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is generated by the elements in the basis, we have\n\n      ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"u", " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox["c", "1"], " ", 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "2"], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "3"], " ", 
       SubscriptBox["x", "3"]}], " ", "+", " ", "\[Ellipsis]", " ", "+", " ", 
      
      RowBox[{
       SubscriptBox["c", "n"], " ", 
       SubscriptBox["x", "n"]}]}]}]}], TraditionalForm]]],
 "\n      \nfor some ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "1"], ",", " ", 
    SubscriptBox["c", "2"], ",", " ", 
    SubscriptBox["c", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
    SubscriptBox["c", "n"]}], TraditionalForm]]],
 "  in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Then\n\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     RowBox[{" ", 
      RowBox[{
       RowBox[{"v", " ", "=", " ", 
        RowBox[{
         RowBox[{"\[Phi]", "(", "u", ")"}], " ", "=", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["c", "1"], ")"}], " ", 
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["x", "1"], ")"}]}], " ", "+", " ", 
          RowBox[{
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["c", "2"], ")"}], " ", 
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["x", "2"], ")"}]}], " ", "+", " ", 
          RowBox[{
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["c", "3"], ")"}], " ", 
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["x", "3"], ")"}]}], " ", "+", " ", "\[Ellipsis]", 
          " ", "+", " ", 
          RowBox[{
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["c", "n"], ")"}], " ", 
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["x", "n"], ")"}]}]}]}]}], " ", "\n"}]}],
     TraditionalForm], "                   ", 
    FormBox[
     RowBox[{"=", "  ", 
      RowBox[{
       RowBox[{
        SubscriptBox["c", "1"], " ", 
        RowBox[{"\[Phi]", "(", "x", " ", ")"}]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["c", "2"], " ", 
        RowBox[{"\[Phi]", "(", 
         SubscriptBox["x", "2"], ")"}]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["c", "3"], " ", 
        RowBox[{"\[Phi]", "(", 
         SubscriptBox["x", "3"], ")"}]}], " ", "+", " ", "\[Ellipsis]", " ", 
       "+", " ", 
       RowBox[{
        SubscriptBox["c", "n"], " ", 
        RowBox[{
         RowBox[{"\[Phi]", "(", 
          SubscriptBox["x", "n"], ")"}], "."}]}]}]}],
     TraditionalForm]}], TraditionalForm]]],
 "\n\nThus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "1"], ")"}], ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "2"], ")"}], ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "3"], ")"}], ",", " ", "\[Ellipsis]", ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "n"], ")"}]}], "}"}], TraditionalForm]]],
 " generates the field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Also, if\n\n                ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        SubscriptBox["c", "1"], " ", 
        RowBox[{"\[Phi]", "(", 
         SubscriptBox["x", "1"], ")"}]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["c", "2"], " ", 
        RowBox[{"\[Phi]", "(", 
         SubscriptBox["x", "2"], ")"}]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["c", "3"], " ", 
        RowBox[{"\[Phi]", "(", 
         SubscriptBox["x", "3"], ")"}]}], " ", "+", " ", "\[Ellipsis]", " ", 
       "+", " ", 
       RowBox[{
        SubscriptBox["c", "n"], " ", 
        RowBox[{"\[Phi]", "(", 
         SubscriptBox["x", "n"], ")"}]}]}], " ", "=", " ", "0"}], ","}], 
    " "}], TraditionalForm]]],
 "\n                \nthen ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      RowBox[{
       RowBox[{
        SubscriptBox["c", "1"], " ", 
        SubscriptBox["x", "1"]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["c", "2"], " ", 
        SubscriptBox["x", "2"]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["c", "3"], " ", 
        SubscriptBox["x", "3"]}], " ", "+", " ", "\[Ellipsis]", " ", "+", " ",
        
       RowBox[{
        SubscriptBox["c", "n"], " ", 
        SubscriptBox["x", "n"]}]}], ")"}], " ", "=", " ", "0"}], ","}], 
   TraditionalForm]]],
 " which implies that\n\n          ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["c", "1"], " ", 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "2"], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "3"], " ", 
       SubscriptBox["x", "3"]}], " ", "+", " ", "\[Ellipsis]", " ", "+", " ", 
      
      RowBox[{
       SubscriptBox["c", "n"], " ", 
       SubscriptBox["x", "n"]}]}], " ", "=", " ", "0"}], ","}], 
   TraditionalForm]]],
 " \n\nsince ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " are isomorphic. But since",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["x", "1"], ",", " ", 
      SubscriptBox["x", "2"], ",", " ", 
      SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
      SubscriptBox["x", "n"]}], "}"}]}], TraditionalForm]]],
 " is a basis\nfor ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", this can only happen if \n\n          ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      SubscriptBox["c", "1"], 
      SubscriptBox["x", "1"]}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox["c", "2"], " ", 
       SubscriptBox["x", "2"]}], " ", "=", " ", 
      RowBox[{
       RowBox[{
        SubscriptBox["c", "3"], " ", 
        SubscriptBox["x", "3"]}], " ", "=", " ", 
       RowBox[{"\[Ellipsis]", " ", "=", " ", 
        RowBox[{
         RowBox[{
          SubscriptBox["c", "n"], " ", 
          SubscriptBox["x", "n"]}], "=", " ", "0."}]}]}]}]}]}], 
   TraditionalForm]]],
 " \nThen \n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["c", "1"], 
       RowBox[{"\[Phi]", "(", 
        SubscriptBox["x", "1"], ")"}]}], " ", "=", "  ", 
      RowBox[{
       RowBox[{
        SubscriptBox["c", "2"], " ", 
        RowBox[{"\[Phi]", "(", 
         SubscriptBox["x", "2"], ")"}]}], " ", "=", " ", 
       RowBox[{
        RowBox[{
         SubscriptBox["c", "3"], 
         RowBox[{"\[Phi]", "(", 
          SubscriptBox["x", "3"], ")"}]}], " ", "=", " ", 
        RowBox[{"\[Ellipsis]", " ", "=", " ", 
         RowBox[{
          RowBox[{
           SubscriptBox["c", "n"], " ", 
           RowBox[{"\[Phi]", "(", 
            SubscriptBox["x", "n"], ")"}]}], " ", "=", " ", "0"}]}]}]}]}], 
     ","}], " "}], TraditionalForm]]],
 "\n        \nso ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "1"], ")"}], ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "2"], ")"}], ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "3"], ")"}], ",", " ", "\[Ellipsis]", ",", " ", 
     RowBox[{"\[Phi]", "(", 
      SubscriptBox["x", "n"], ")"}]}], "}"}], TraditionalForm]]],
 " is a basis for ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Therefore, ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " have the same dimension over the field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "\nWe have already defined ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 " to be the smallest ring containing both ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " and the element ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ". We would like to make a similar definition for the smallest ",
 StyleBox["field",
  FontSlant->"Italic"],
 " containing both ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ".\n\nDEFINITION:\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a field, and let ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " be a field containing the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox["P", TraditionalForm]]],
 " be a set of elements in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox["\[WeierstrassP]", TraditionalForm]]],
 " denote the collection of all subfields of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " which contain the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", along with the set ",
 Cell[BoxData[
  FormBox["P", TraditionalForm]]],
 ". Then we define\n\n                   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"K", "(", "P", ")"}], " ", "=", 
    RowBox[{
     StyleBox[
      UnderscriptBox[
       RowBox[{"  ", 
        SubscriptBox[
         StyleBox["\[Intersection]",
          FontSize->24], " "]}], 
       RowBox[{" ", 
        RowBox[{"H", " ", "\[Epsilon]", " ", "\[WeierstrassP]"}]}]],
      FontSize->18], "H"}]}], TraditionalForm]]],
 ".\n                   \nThat is, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "P", ")"}], TraditionalForm]]],
 " is the intersection of all subfields of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " which contain both ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["P", TraditionalForm]]],
 ".\n\nIt is not difficult to see that this definition produces exactly what \
we want.\n\nLEMMA 14.1.4\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a subfield of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox["P", TraditionalForm]]],
 " be a collection of elements of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "P", ")"}], TraditionalForm]]],
 " is the smallest field which contains both ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and the elements ",
 Cell[BoxData[
  FormBox["P", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "First, we must show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "P", ")"}], TraditionalForm]]],
 " is a subfield of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " are in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "P", ")"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"y", " ", "\[NotEqual]", " ", "0"}], ","}], TraditionalForm]]],
 " then ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " are in each of the subfields in the collection ",
 Cell[BoxData[
  FormBox["\[WeierstrassP]", TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "-", "y"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[CenterDot]", 
    SuperscriptBox["y", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 " are also in each of the subfields in this collection. Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "-", "y"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[CenterDot]", 
    SuperscriptBox["y", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 " are in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "P", ")"}], TraditionalForm]]],
 ", and so ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "P", ")"}], TraditionalForm]]],
 " is a subfield of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ".\n\nTo show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "P", ")"}], TraditionalForm]]],
 " is the smallest field containing both ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and the elements ",
 Cell[BoxData[
  FormBox["P", TraditionalForm]]],
 ", note that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "P", ")"}], TraditionalForm]]],
 " is one of the subfields in the collection ",
 Cell[BoxData[
  FormBox["\[WeierstrassP]", TraditionalForm]]],
 ". Thus, any subfield containing ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and the elements of ",
 Cell[BoxData[
  FormBox["P", TraditionalForm]]],
 " must also contain ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "P", ")"}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "For example, If ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is the real numbers, and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"i", " ", "=", " ", 
    SqrtBox[
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalR]", "(", 
    RowBox[{"{", "i", "}"}], ")"}], TraditionalForm]]],
 " gives us the complex numbers ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalC]", TraditionalForm]]],
 ". If the set ",
 Cell[BoxData[
  FormBox["P", TraditionalForm]]],
 " contains a small number of elements, we can simplify the notation:\n\n\
DEFINITION:\nIf ",
 Cell[BoxData[
  FormBox[
   RowBox[{"P", "=", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["a", "1"], ",", " ", 
      SubscriptBox["a", "2"], ",", " ", 
      SubscriptBox["a", "3"], ",", " ", 
      RowBox[{"\[Ellipsis]", " ", 
       SubscriptBox["a", "n"]}]}], "}"}]}], TraditionalForm]]],
 ", we will write ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", 
    RowBox[{
     SubscriptBox["a", "1"], ",", " ", 
     SubscriptBox["a", "2"], ",", " ", 
     SubscriptBox["a", "3"], ",", " ", 
     RowBox[{"\[Ellipsis]", " ", 
      SubscriptBox["a", "n"]}]}], ")"}], TraditionalForm]]],
 " for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "P", ")"}], TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox["P", TraditionalForm]]],
 " consists of a single element ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ", we write ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "a", ")"}], TraditionalForm]]],
 " for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "P", ")"}], TraditionalForm]]],
 ".\n\nThus, we can write ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalR]", "(", "i", ")"}], TraditionalForm]]],
 " for the complex numbers. ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    FormBox[
     SqrtBox["2"],
     TraditionalForm], ")"}], TraditionalForm]]],
 " is the smallest field containing ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 " and  ",
 Cell[BoxData[
  FormBox[
   SqrtBox["2"], TraditionalForm]]],
 " , which happens to be the same thing as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "[", 
    SqrtBox["2"], "]"}], TraditionalForm]]],
 ".\n\nWe have yet to produce any field extensions in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " in this chapter. Yet the strategy for defining a field extension is very \
similar to that of defining a finite field. We begin by finding an \
irreducible polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and creating the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{
     RowBox[{"F", "[", "X", "]"}], "/", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"f", "(", "X", ")"}], ")"}], "."}]}]}], TraditionalForm]]],
 "\n\nPROPOSITION 14.1.5\nLet ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be a field, and let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " be an irreducible polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "X", "]"}], TraditionalForm]]],
 " of degree ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Then the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{
     RowBox[{"F", "[", "X", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"f", "(", "X", ")"}], ")"}]}]}], TraditionalForm]]],
 " is a finite extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " of dimension ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "From proposition 13.1.1, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{
     RowBox[{"F", "[", "X", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"f", "(", "X", ")"}], ")"}]}]}], TraditionalForm]]],
 " is a field which contains ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " as a subfield. Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", " ", "=", " ", 
    RowBox[{"X", " ", "+", " ", 
     RowBox[{"(", 
      RowBox[{"f", "(", "X", ")"}], ")"}]}]}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". If we treat ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " as a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "X", "]"}], TraditionalForm]]],
 ", we find that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "a", ")"}], "=", " ", "0."}], TraditionalForm]]],
 " Consider the set ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", " ", "y", ",", " ", 
      SuperscriptBox["y", "2"], ",", " ", 
      SuperscriptBox["y", "3"], ",", " ", 
      RowBox[{"\[Ellipsis]", " ", 
       SuperscriptBox["y", 
        RowBox[{"n", "-", "1"}]]}]}], "}"}], "."}], TraditionalForm]]],
 " We wish to show that this set is a basis for ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". That is, we wish to show that every element of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " can be uniquely as\n\n          ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"k", " ", "=", "   ", 
      RowBox[{
       RowBox[{
        SubscriptBox["a", "1"], "1"}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["a", "2"], " ", "y"}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["a", "3"], " ", 
        SuperscriptBox["y", "2"]}], "  ", "+", " ", "\[CenterEllipsis]", " ", 
       "+", " ", 
       RowBox[{
        SubscriptBox["a", "n"], " ", 
        SuperscriptBox["y", 
         RowBox[{"n", "-", "1"}]]}]}]}], ","}]}], TraditionalForm]]],
 "\n\nwhere the ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "1"], ",", " ", 
    SubscriptBox["a", "2"], ",", " ", 
    SubscriptBox["a", "3"], ",", " ", "\[Ellipsis]", " ", ",", " ", 
    SubscriptBox["a", "n"]}], TraditionalForm]]],
 "  are in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Any element of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{
     RowBox[{"F", "[", "X", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"f", "(", "X", ")"}], ")"}]}]}], TraditionalForm]]],
 " can be expressed as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", " ", "=", " ", 
    RowBox[{
     RowBox[{"g", "(", "X", ")"}], " ", "+", " ", 
     RowBox[{"(", 
      RowBox[{"f", "(", "X", ")"}], ")"}]}]}], TraditionalForm]]],
 " for some polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "X", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "X", "]"}], TraditionalForm]]],
 ". By the division algorithm theorem (12.1.1), there exist unique \
polynomials ",
 Cell[BoxData[
  FormBox[
   RowBox[{"q", "(", "X", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", "(", "X", ")"}], TraditionalForm]]],
 " such that \n\n                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"g", "(", "X", ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"f", "(", "X", ")"}], "\[CenterDot]", 
       RowBox[{"q", "(", "X", ")"}]}], " ", "+", " ", 
      RowBox[{"r", "(", "X", ")"}]}]}], ","}], TraditionalForm]]],
 "\n\nwhere either ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"r", "(", "X", ")"}], " ", "=", " ", "0"}], TraditionalForm]]],
 ", or the degree of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", "(", "X", ")"}], TraditionalForm]]],
 " is less than ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Then\n\n              ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"r", "(", "X", ")"}], " ", "=", " ", 
     RowBox[{
      SubscriptBox["a", "1"], "+", " ", 
      RowBox[{
       SubscriptBox["a", "2"], " ", "X"}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["a", "3"], " ", 
       SuperscriptBox["X", "2"]}], "+", " ", "\[CenterEllipsis]", " ", "+", 
      "  ", 
      RowBox[{
       SubscriptBox["a", "n"], 
       SuperscriptBox["X", 
        RowBox[{"n", "-", "1"}]]}]}]}]}], TraditionalForm]]],
 "\n\nfor some ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "1"], ",", " ", 
    SubscriptBox["a", "2"], ",", " ", 
    SubscriptBox["a", "3"], ",", " ", "\[Ellipsis]", " ", ",", " ", 
    SubscriptBox["a", "n"]}], TraditionalForm]]],
 "  in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Note that we can now write \n\n  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"k", " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"g", "(", "X", ")"}], " ", "+", " ", 
      RowBox[{"(", 
       RowBox[{"f", "(", "X", ")"}], ")"}]}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"r", "(", "X", ")"}], " ", "+", " ", 
       RowBox[{"(", 
        RowBox[{"f", "(", "X", ")"}], ")"}]}], " ", "=", "  ", 
      RowBox[{
       RowBox[{
        SubscriptBox["a", "1"], " ", "1"}], "  ", "+", " ", 
       RowBox[{
        SubscriptBox["a", "2"], " ", "y"}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["a", "3"], "  ", 
        SuperscriptBox["y", "2"]}], " ", "+", " ", "\[CenterEllipsis]", " ", 
       "+", " ", 
       RowBox[{
        SubscriptBox["a", "n"], " ", 
        RowBox[{
         SuperscriptBox["y", 
          RowBox[{"n", "-", "1"}]], "."}]}]}]}]}]}], TraditionalForm]]],
 "\n\nTo show uniqueness, suppose that ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " is also equal to\n\n                         ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      SubscriptBox["b", "1"], " ", "1"}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["b", 
       RowBox[{"2", " "}]], "y"}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["b", "3"], " ", 
      SuperscriptBox["y", "2"]}], " ", "+", " ", 
     RowBox[{
      RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
       SubscriptBox["b", "n"]}], " ", 
      SuperscriptBox["y", 
       RowBox[{"n", "-", "1", "   "}]]}]}]}], TraditionalForm]]],
 "\n\nfor some ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["b", "1"], ",", " ", 
    SubscriptBox["b", "2"], ",", " ", 
    SubscriptBox["b", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
    SubscriptBox["b", "n"]}], TraditionalForm]]],
 "  in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Then the difference would be\n\n     ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"0", " ", "=", "  ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["a", "1"], " ", "-", " ", 
         SubscriptBox["b", "1"]}], ")"}], " ", "1"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["a", "2"], "-", " ", 
         SubscriptBox["b", "2"]}], ")"}], " ", "y"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["a", "3"], "-", " ", 
         SubscriptBox["b", "3"]}], ")"}], " ", 
       SuperscriptBox["y", "2"]}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
        RowBox[{"+", " ", 
         RowBox[{"(", 
          RowBox[{
           SubscriptBox["a", "n"], "-", " ", 
           SubscriptBox["b", "n"]}], ")"}]}]}], " ", 
       RowBox[{
        SuperscriptBox["y", 
         RowBox[{"n", "-", "1"}]], "."}]}]}]}]}], TraditionalForm]]],
 "\n\nThat is, the polynomial\n\n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SubscriptBox["a", "1"], " ", "-", " ", 
       SubscriptBox["b", "1"]}], ")"}], " ", "+", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["a", "2"], "-", " ", 
        SubscriptBox["b", "2"]}], ")"}], " ", "X"}], " ", "+", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["a", "3"], "-", " ", 
        SubscriptBox["b", "3"]}], ")"}], " ", 
      SuperscriptBox["X", "2"]}], " ", "+", " ", 
     RowBox[{
      RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
       RowBox[{"+", " ", 
        RowBox[{"(", 
         RowBox[{
          SubscriptBox["a", "n"], "-", " ", 
          SubscriptBox["b", "n"]}], ")"}]}]}], " ", 
      SuperscriptBox["X", 
       RowBox[{"n", "-", "1"}]]}]}]}], TraditionalForm]]],
 "\n\nwould be a multiple of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 ". But this is ridiculous, since the degree of this polynomial is less than \
the degree of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "X", ")"}], "."}], TraditionalForm]]],
 " Thus, this polynomial is the zero polynomial, and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", " ", "y", ",", " ", 
     SuperscriptBox["y", "2"], ",", " ", 
     RowBox[{"\[Ellipsis]", " ", 
      SuperscriptBox["y", 
       RowBox[{"n", "-", "1"}]]}]}], "}"}], TraditionalForm]]],
 " is a basis for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{
     RowBox[{"F", " ", "[", "X", "]"}], "/", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"f", "(", "X", ")"}], ")"}], "."}]}]}], TraditionalForm]]]
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "Let us look at an example in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". Let ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be the field of rational numbers, and let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "X", ")"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["X", "3"], " ", "-", " ", "2."}]}], TraditionalForm]]],
 " Since the characteristic of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 " is 0, we begin the definition by the command"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["InitDomain[0]", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Next, we let ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " be a root to the equation ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["X", "3"], " ", "-", " ", "2"}], TraditionalForm]]],
 ". That is, we define ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["a", "3"], TraditionalForm]]],
 " to be 2."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["Define[a^3, 2]", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "That's all there is to it! The basis of this extension field is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", " ", "a", ",", " ", 
     SuperscriptBox["a", "2"]}], "}"}], TraditionalForm]]],
 ". We can verify this with ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["CheckField[{1, a, a^2}]", "Input",
 PageWidth->Infinity],

Cell["\<\
CheckField actually does more than just verify that the ring is a field. It \
also allows us to do divisions in this field.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["1/(2 + a - a^2)", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "\nEXPERIMENT:      \nDefine the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    SqrtBox["2"], ")"}], TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " using similar comands. What is the basis of the field? Use the ",
 StyleBox["CheckField",
  FontWeight->"Bold"],
 " command to have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " learn how to take inverses of functions. Then have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " simplify the expression\n\n                      ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    FractionBox[
     RowBox[{
      RowBox[{"2", "a"}], " ", "-", " ", "3"}], 
     RowBox[{
      RowBox[{"5", " ", "a"}], " ", "+", " ", "2"}]],
    FontSize->16], TraditionalForm]]],
 " where    ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", " ", "=", " ", 
    RowBox[{
     SqrtBox["2"], "."}]}], TraditionalForm]]],
 "\n\nAlthough this demonstrates that any extension field of the form ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", "X", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"f", "(", "X", ")"}], ")"}]}], TraditionalForm]]],
 " can be entered into ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", we would like to show that ",
 StyleBox["any",
  FontSlant->"Italic"],
 " finite extension of a field can be entered into ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " in the same way. That is, we must show that any finite extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is isomorphic to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", "X", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"f", "(", "X", ")"}], ")"}]}], TraditionalForm]]],
 " for some polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "X", ")"}], "."}], TraditionalForm]]],
 " \n\nPROPOSITION 14.1.6\nSuppose a field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a finite extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " of dimension ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " be an element of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Then there is an irreducible polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "X", "]"}], TraditionalForm]]],
 " of degree at most ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "y", ")"}], " ", "=", " ", "0."}], TraditionalForm]]],
 " That is, when ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " is treated as a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "X", "]"}], TraditionalForm]]],
 ", a is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 ". Furthermore, there is a unique polynomial of lowest degree which \
satisifies these conditions and for which the leading coefficient is equal to \
1."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " be an element in the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Consider the set ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", " ", "y", ",", " ", 
      SuperscriptBox["y", "2"], ",", " ", 
      SuperscriptBox["y", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
      SuperscriptBox["y", "n"]}], "}"}], "."}], TraditionalForm]]],
 " Since there are ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "+", "1"}], TraditionalForm]]],
 " elements in this set, and ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " has dimension ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", we can use lemma 14.1.1 to show that there is more than one solution to \
the equation\n\n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["a", "0"], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "1"], " ", "y"}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "2"], " ", 
      SuperscriptBox["y", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "3"], " ", 
      SuperscriptBox["y", "3"]}], " ", "+", " ", 
     RowBox[{
      RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
       RowBox[{"+", " ", 
        SubscriptBox["a", "n"]}]}], " ", 
      SuperscriptBox["y", "n"]}]}], " ", "=", " ", "0"}], TraditionalForm]]],
 "\n\nwith ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["a", "0"], ",", " ", 
    SubscriptBox["a", "1"], ",", " ", 
    SubscriptBox["a", "2"], ",", " ", "\[Ellipsis]", ",", " ", 
    SubscriptBox["a", "n"]}], TraditionalForm]]],
 "  in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Thus, there is a non-zero polynomial\n\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SubscriptBox["a", "0"], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "1"], " ", "X"}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "2"], " ", 
      SuperscriptBox["X", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["a", "3"], " ", 
      SuperscriptBox["X", "3"]}], " ", "+", " ", 
     RowBox[{
      RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
       RowBox[{"+", " ", 
        SubscriptBox["a", "n"]}]}], " ", 
      SuperscriptBox["X", "n"]}]}]}], TraditionalForm]]],
 "\n\nin ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", "X", "]"}], " "}], TraditionalForm]]],
 " for which ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " is a root when treated as a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "X", "]"}], TraditionalForm]]],
 ".\n\nLet us now show uniqueness. Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " be a polynomial of lowest possible degree in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "X", "]"}], TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "y", ")"}], " ", "=", " ", "0"}], TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is a field, we can divide this polynomial by its leading coefficient to \
obtain a polynomial with a leading coefficient of 1. Now, if there were two \
such polynomials, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "X", ")"}], TraditionalForm]]],
 ", then by the division algorithm theorem (12.1.1), there exist polynomials \
",
 Cell[BoxData[
  FormBox[
   RowBox[{"q", "(", "X", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", "(", "X", ")"}], TraditionalForm]]],
 " such that\n\n            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "X", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"g", "(", "X", ")"}], "\[CenterDot]", 
      RowBox[{"q", "(", "X", ")"}]}], " ", "+", " ", 
     RowBox[{
      RowBox[{"r", "(", "X", ")"}], "."}]}]}], TraditionalForm]]],
 "\n\nwhere either ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"r", "(", "X", ")"}], " ", "=", " ", "0"}], TraditionalForm]]],
 " or the degree of ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]]],
 "(X) is strictly less than the degree of  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "X", ")"}], "."}], TraditionalForm]]],
 " But note that\n  \n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"0", " ", "=", " ", 
     RowBox[{
      RowBox[{"f", "(", "y", ")"}], " ", "=", " ", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"g", "(", "y", ")"}], "\[CenterDot]", 
         RowBox[{"q", "(", "y", ")"}]}], " ", "+", " ", 
        RowBox[{"r", "(", "y", ")"}]}], " ", "=", " ", 
       RowBox[{
        RowBox[{"0", " ", "+", " ", 
         RowBox[{"r", "(", "y", ")"}]}], " ", "=", " ", "0."}]}]}]}]}], 
   TraditionalForm]]],
 "\n\nThus, ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " is a root of the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"r", "(", "X", ")"}], "."}], TraditionalForm]]],
 " But the degree of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "X", ")"}], TraditionalForm]]],
 " were chosen to be minimal. So ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"r", "(", "X", ")"}], " ", "=", " ", "0"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " is a multiple of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "X", ")"}], "."}], TraditionalForm]]],
 " Finally, since both ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "X", ")"}], TraditionalForm]]],
 " have the same degree and have the same leading term of 1, we have ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "X", ")"}], " ", "=", " ", 
    RowBox[{"g", "(", "X", ")"}]}], TraditionalForm]]],
 ". Therefore, there is a unique polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "X", "]"}], TraditionalForm]]],
 " of minimal degree and leading coefficient of 1 such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "y", ")"}], " ", "=", " ", "0."}], TraditionalForm]]]
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "The irreducible polynomial determined by this proposition is important \
enough to warrent a special notation.\n\nDEFINITION:\nIf a field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a finite extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " is an element of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", we define the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " given by proposition 14.1.6 which has a leading coeffient of ",
 Cell[BoxData[
  FormBox["1", TraditionalForm]]],
 " to be the ",
 StyleBox["irreducible polynomial of",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " ",
 StyleBox["over",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", denoted\n\n                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"a", ",", "X"}], ")"}], "."}], TraditionalForm]]],
 "\n\nFor example, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["Irr", "\[DoubleStruckCapitalQ]"], "(", 
      RowBox[{
       SqrtBox["2"], " ", ",", " ", "X"}], ")"}], " ", "=", " ", 
     RowBox[{
      SuperscriptBox["X", "2"], " ", "-", " ", "2"}]}], ","}], 
   TraditionalForm]]],
 " since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["X", "2"], " ", "-", " ", "2"}], TraditionalForm]]],
 " is the simpliest polynomial with rational coefficients for which ",
 Cell[BoxData[
  FormBox[
   SqrtBox["2"], TraditionalForm]]],
 " is a root. Note that if we were to allow real coefficients, we could come \
up with a simpler polynomial:\n\n           ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Irr", "\[DoubleStruckCapitalR]"], "(", " ", 
     RowBox[{
      SqrtBox["2"], " ", ",", " ", "X"}], ")"}], " ", "=", " ", 
    RowBox[{"X", " ", "-", " ", 
     RowBox[{
      SqrtBox["2"], " ", "."}]}]}], TraditionalForm]]],
 "\n\nHere are some other examples. If ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"i", " ", "=", 
     SqrtBox[
      RowBox[{"-", "1"}]]}], ","}], TraditionalForm]]],
 " we can see that the simpliest polynomial over the real numbers containing \
",
 Cell[BoxData[
  FormBox["i", TraditionalForm]]],
 " as a root is\n\n          ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Irr", "\[DoubleStruckCapitalR]"], "(", 
     RowBox[{"i", ",", " ", "X"}], ")"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["X", "2"], " ", "+", " ", "1."}]}], TraditionalForm]]],
 " \n   \nFinally, consider the number ",
 Cell[BoxData[
  FormBox[
   RowBox[{"cos", "(", 
    RowBox[{"\[Pi]", "/", "9"}], ")"}], TraditionalForm]]],
 ".  We found in section 11.3 that this number is a root of the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"4", " ", 
      SuperscriptBox["X", "3"]}], " ", "-", " ", 
     RowBox[{"3", " ", "X"}], " ", "-", " ", 
     FractionBox["1", "2"]}], " ", "=", " ", "0"}], TraditionalForm]]],
 ". However, we want the leading coefficient of the polynomial to be 1, so we \
write\n\n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Irr", "\[DoubleStruckCapitalQ]"], "(", 
     RowBox[{
      RowBox[{"cos", "(", 
       RowBox[{"\[Pi]", "/", "9"}], ")"}], ",", "X"}], ")"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["X", "3"], " ", "-", " ", 
     RowBox[{
      FractionBox["3", "4"], " ", "X"}], " ", "-", " ", 
     FractionBox["1", 
      RowBox[{"8", "."}]]}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Once we find the irreducible polynomial for an element ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ", it is not hard to program ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to mimick the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 ". For example, let us enter the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}], ")"}], TraditionalForm]]],
 " into ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". If we let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", " ", "=", " ", 
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}]}], TraditionalForm]]],
 ", we see that ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " satisfies ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["X", "3"], " ", "-", " ", 
     RowBox[{
      FractionBox["3", "4"], " ", "X"}], " ", "-", " ", 
     FractionBox["1", "8"]}], "=", " ", "0."}], TraditionalForm]]],
 " If we put all terms besides the leading term on the other side of the \
equation, we find that a satisfies the equation\n\n                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SuperscriptBox["X", "3"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       FractionBox["3", "4"], " ", "X"}], " ", "+", " ", 
      FractionBox["1", 
       RowBox[{"8", "."}]]}]}]}], TraditionalForm]]],
 "\nThat is,\n                   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["a", "3"], " ", "=", " ", 
    RowBox[{
     RowBox[{"3", " ", 
      RowBox[{"a", "/", "4"}]}], " ", "+", " ", 
     RowBox[{"1", "/", "8."}]}]}], TraditionalForm]]],
 "\n\nLet us enter this fact into ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
InitDomain[0]
Define[a^3, 3 a/4 + 1/8]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "The first command tells ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " that we are working with a field of characteristic 0, and the second \
command identifies a as one solution to the above equation. That's all there \
is to it! We can perform operations of this field such as\n"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["(2 + a).(3 - 2a)", "Input",
 PageWidth->Infinity],

Cell["a^5", "Input",
 PageWidth->Infinity],

Cell["1/a", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "The last command does not simplify, since ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " does not yet know that this is in fact a field. The basis for this field \
is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"1", ",", " ", "a", ",", " ", 
     SuperscriptBox["a", "2"]}], ")"}], TraditionalForm]]],
 ", so we can have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " verify that this is a field."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["CheckField[{1,a,a^2}]", "Input",
 PageWidth->Infinity],

Cell["Now we can perform division in this field", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["1/a", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "In this field, the a represents the number ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}], " ", "=", " ", 
    RowBox[{"0.9396926", "..."}]}], TraditionalForm]]],
 "\n\nHave we really defined the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}], ")"}], TraditionalForm]]],
 "? Actually, we have defined the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "[", "X", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["X", "3"], " ", "-", " ", 
      RowBox[{"3", " ", 
       RowBox[{"X", " ", "/", "4"}]}], " ", "-", " ", 
      RowBox[{"1", "/", "8"}]}], ")"}]}], TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", but we can prove that these two fields are isomorphic.\n\nPROPOSITION \
14.1.7\nLet ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be a subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", and suppose ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "X", ")"}], TraditionalForm]]],
 " is an irreducible polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "X", "]"}], TraditionalForm]]],
 " which has a root ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " in the larger field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Then \n\n                           ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", "w", ")"}], " ", 
    StyleBox["\[TildeTilde]",
     FontSize->16], " ", 
    RowBox[{
     RowBox[{"F", "[", "X", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"f", "(", "X", ")"}], ")"}]}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let us consider the evaluation homomorphism ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "w"], TraditionalForm]]],
 "  which maps polynomials in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "X", "]"}], TraditionalForm]]],
 " to elements in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "w", ")"}], TraditionalForm]]],
 ":\n\n                    ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["\[Phi]", "w"], "(", 
     RowBox[{"g", "(", "X", ")"}], ")"}], " ", "=", " ", 
    RowBox[{"g", "(", "w", ")"}]}], TraditionalForm]]],
 ".\n\nBy proposition 12.1.3, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "w"], TraditionalForm]]],
 "  is a ring homomorphism. The image of this homomorphism contains both ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 ", and since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "w", ")"}], TraditionalForm]]],
 " is the smallest field containing both ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 ", the image is all of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "w", ")"}], TraditionalForm]]],
 ". The kernel of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "w"], TraditionalForm]]],
 "  is the set of polynomials in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "X", "]"}], TraditionalForm]]],
 " which have ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " as a root. But ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " is an irreducible polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "X", "]"}], TraditionalForm]]],
 " containing ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " as a root. Thus, any polynomial in the kernel is a multiple of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 ". Thus, the kernel of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "w"], TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"f", "(", "X", ")"}], ")"}], TraditionalForm]]],
 ". Finally, by the first isomorphism theorem for rings (10.4.4), we have \
that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"E", "(", "w", ")"}], " ", 
    StyleBox["\[TildeTilde]",
     FontSize->16], " ", 
    RowBox[{
     RowBox[{"E", "[", "X", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"f", "(", "X", ")"}], ")"}]}]}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "\nNotice that the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}], ")"}], TraditionalForm]]],
 " was three dimensional over ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", since the basis could be given as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"1", ",", " ", "a", ",", " ", 
     SuperscriptBox["a", "2"]}], "}"}], TraditionalForm]]],
 ". Also, the irreducible polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["X", "3"], " ", "-", " ", 
    RowBox[{"3", " ", 
     RowBox[{"X", "/", "4"}]}], " ", "-", " ", 
    RowBox[{"1", "/", "8"}]}], TraditionalForm]]],
 " was a third degree polynomial. This is not a coindidence, as we can easily \
prove.\n\nCOROLLARY 14.1.8\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a finite extension of a field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " be an element in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "X", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"u", ",", "X"}], ")"}]}], TraditionalForm]]],
 " has degree ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "u", ")"}], TraditionalForm]]],
 " has dimension ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "By proposition 14.1.6, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "X", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"u", ",", " ", "X"}], ")"}]}], TraditionalForm]]],
 " exists. By proposition 14.1.7, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "u", ")"}], TraditionalForm]]],
 " is isomorphic to the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", "X", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"f", "(", "X", ")"}], ")"}]}], TraditionalForm]]],
 ". By proposition 14.1.5, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", "X", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"f", "(", "X", ")"}], ")"}]}], TraditionalForm]]],
 " has dimension ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Finally, by corollary 14.1.3, two isomorphic extensions of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " must have the same dimension over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " provided that the isomorphism fixes the elements of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", which the isomorphism in proposition 14.1.7 clearly does. Thus, the \
dimension of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "u", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is equal to ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "\nNotice that we never had to tell ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", " ", "=", " ", 
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}]}], TraditionalForm]]],
 " in our definition of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}], ")"}], TraditionalForm]]],
 ". Rather, we simply told ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " that ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " satisfies the equation \n\n                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["a", "3"], " ", "=", " ", 
    RowBox[{
     RowBox[{"3", " ", 
      RowBox[{"a", "/", "4"}]}], " ", "+", " ", 
     RowBox[{"1", "/", "8."}]}]}], TraditionalForm]]],
 "\n\nBut there are two ",
 StyleBox["other",
  FontSlant->"Italic"],
 " solutions to this equation: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"-", "cos"}], 
    RowBox[{"(", 
     RowBox[{"2", " ", 
      RowBox[{"\[Pi]", "/", "9"}]}], ")"}]}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"cos", "(", 
     RowBox[{"4", " ", 
      RowBox[{"\[Pi]", "/", "9"}]}], ")"}], "."}], TraditionalForm]]],
 " How does ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " know that the field is not ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{
     RowBox[{"-", "cos"}], 
     RowBox[{"(", 
      RowBox[{"2", " ", 
       RowBox[{"\[Pi]", "/", "9"}]}], ")"}]}], ")"}], TraditionalForm]]],
 " or ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"cos", "(", 
     RowBox[{"4", " ", 
      RowBox[{"\[Pi]", "/", "9"}]}], ")"}], ")"}], TraditionalForm]]],
 "?\n\nThe answer is of course that these fields are both isomorphic to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{"cos", "(", 
      RowBox[{"\[Pi]", "/", "9"}], ")"}], ")"}], ","}], TraditionalForm]]],
 " so ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " doesn't need to know the exact value of ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ". In fact, we can prove that if we start with isomorphic fields, and extend \
both of them by two elements for which the irreducible polynomials \
correspond, then the two field extensions will be isomorphic.  \n\n\
PROPOSITION 14.1.9\nLet ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " be an isomorphism between a field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and a field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 " be a finite extension of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " be in ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 ". Let \n\n   ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"p", "(", "X", ")"}], " ", "=", " ", 
     RowBox[{
      SubscriptBox["c", "0"], " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "1"], "X"}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "2"], 
       SuperscriptBox["X", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "3"], 
       SuperscriptBox["X", "3"]}], "+", " ", "\[Ellipsis]", " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "n"], 
       SuperscriptBox["X", "n"]}]}]}]}], TraditionalForm]]],
 "\n\nbe ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Irr", "K"], "(", 
    RowBox[{"u", ",", "X"}], ")"}], TraditionalForm]]],
 ". Define \n\n ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"h", "(", "X", ")"}], "=", " ", 
     RowBox[{
      RowBox[{"\[Florin]", "(", 
       SubscriptBox["c", "0"], ")"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[Florin]", "(", 
        SubscriptBox["c", "1"], ")"}], "X"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[Florin]", "(", 
        SubscriptBox["c", "2"], ")"}], 
       SuperscriptBox["X", "2"]}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[Florin]", "(", 
        SubscriptBox["c", "3"], ")"}], 
       SuperscriptBox["X", "3"]}], " ", "+", " ", "\[Ellipsis]", " ", "+", 
      " ", 
      RowBox[{
       RowBox[{"\[Florin]", "(", 
        SubscriptBox["c", "n"], ")"}], 
       SuperscriptBox["X", "n"]}]}]}]}], TraditionalForm]]],
 "\n\nwhich is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"E", "[", "X", "]"}], "."}], TraditionalForm]]],
 " Suppose there is a finite extension of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " for which there is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "X", ")"}], TraditionalForm]]],
 ", called ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 ". Then there is an isomorphism ",
 Cell[BoxData[
  FormBox["\[Mu]", TraditionalForm]]],
 " from ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "u", ")"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "(", "v", ")"}], TraditionalForm]]],
 " for which ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "u", ")"}], " ", "=", " ", "v"}], 
   TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"\[Florin]", "(", "x", ")"}]}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "By lemma 13.2.6, we can extend ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " to a isomorphism from ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "X", "]"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "[", "X", "]"}], TraditionalForm]]],
 ". By proposition 12.1.3, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "v"], TraditionalForm]]],
 "  is a ring homomorphism from ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "[", "X", "]"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"E", "(", "v", ")"}], "."}], TraditionalForm]]],
 " We can combine these homomorphisms to produce the homomorphism\n\n         \
                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[Phi]", "v"], "\[CenterDot]", 
    RowBox[{"\[Florin]", ":", " ", 
     RowBox[{
      RowBox[{"K", "[", "X", "]"}], " ", "\[RightArrow]", " ", 
      RowBox[{
       RowBox[{"E", "[", "X", "]"}], " ", "\[RightArrow]", " ", 
       RowBox[{"E", "(", "v", ")"}]}]}]}]}], TraditionalForm]]],
 ".\n                          \nSince the isomorphism in lemma 13.2.6 sends \
",
 Cell[BoxData[
  FormBox["X", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox["X", TraditionalForm]]],
 ", we have that",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      SubscriptBox["\[Phi]", "v"], "(", 
      RowBox[{"\[Florin]", "(", " ", "X", " ", ")"}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[Phi]", "v"], "(", "X", ")"}], " ", "=", " ", "v"}]}]}],
    TraditionalForm]]],
 ". So ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " is in the image of this combination of homomorphisms, as well as the \
subfield ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Thus, the image of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[Phi]", "v"], " ", "\[CenterDot]", " ", "\[Florin]"}], 
   TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "(", "v", ")"}], TraditionalForm]]],
 ". The kernal of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "v"], TraditionalForm]]],
 "  is the set of polynomials in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "[", "X", "]"}], TraditionalForm]]],
 " with ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " as a root. But ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "X", ")"}], TraditionalForm]]],
 " is an irreducible polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "[", "X", "]"}], TraditionalForm]]],
 " for which ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"h", "(", "v", ")"}], " ", "=", " ", "0."}], TraditionalForm]]],
 " Thus,\nthe kernel of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "v"], TraditionalForm]]],
 "  is the ideal ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"h", "(", "X", ")"}], ")"}], "."}], TraditionalForm]]],
 " Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"h", "(", "X", ")"}], " ", "=", " ", 
     RowBox[{"\[Florin]", "(", 
      RowBox[{"p", "(", "X", ")"}], ")"}]}], ","}], TraditionalForm]]],
 " we have that the kernel of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SubscriptBox["\[Phi]", "v"],
     TraditionalForm], " ", "\[CenterDot]", " ", "\[Florin]"}], 
   TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"p", "(", "X", ")"}], ")"}], "."}], TraditionalForm]]],
 " Thus, by the first isomorphism theorem (10.4.4),\n                         \
                          \n                ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"K", "[", "X", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"p", "(", "X", ")"}], ")"}]}], " ", 
    StyleBox["\[TildeTilde]",
     FontSize->16], " ", 
    RowBox[{"E", "(", "v", ")"}]}], TraditionalForm]]],
 ".\n                \nBy proposition 14.1.6, we also have  \n\n              \
    ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"K", "(", "u", ")"}], " ", 
     StyleBox["\[TildeTilde]",
      FontSize->16], " ", 
     RowBox[{
      RowBox[{"K", "[", "X", "]"}], "/", 
      RowBox[{"(", 
       RowBox[{"p", "(", "X", ")"}], ")"}]}]}], " "}], TraditionalForm]]],
 ", \n                  \nand in this isomorphism, ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " mapped to the coset ",
 Cell[BoxData[
  FormBox[
   RowBox[{"X", " ", "+", " ", 
    RowBox[{"(", 
     RowBox[{"p", "(", "X", ")"}], ")"}]}], TraditionalForm]]],
 ". If we let ",
 Cell[BoxData[
  FormBox["\[Mu]", TraditionalForm]]],
 " be the combination of these two isomorphisms,\n\n                ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Mu]", ":", 
    RowBox[{
     RowBox[{"K", "(", "u", ")"}], " ", "\[RightArrow]", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"K", "[", "X", "]"}], "/", 
       RowBox[{"(", 
        RowBox[{"p", "(", "X", ")"}], ")"}]}], " ", "\[RightArrow]", " ", 
      RowBox[{"E", "(", "v", ")"}]}]}]}], TraditionalForm]]],
 Cell[BoxData[
  FormBox[" ", TraditionalForm]]],
 ",\n                \nthen",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"\[Mu]", "(", "u", ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[Phi]", "v"], "(", 
       RowBox[{"\[Florin]", "(", " ", "X", " ", ")"}], ")"}], " ", "=", " ", 
      "v"}]}]}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"\[Florin]", "(", "x", ")"}]}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "\nThe usual application of this proposition is when ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " are the same field, as in the case ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}], ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{
     RowBox[{"-", "cos"}], 
     RowBox[{"(", 
      RowBox[{"2", " ", 
       RowBox[{"\[Pi]", "/", "9"}]}], ")"}]}], ")"}], TraditionalForm]]],
 ". In which case we not only can prove that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"cos", "(", 
     RowBox[{"\[Pi]", "/", "9"}], ")"}], ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{
     RowBox[{"-", "cos"}], 
     RowBox[{"(", 
      RowBox[{"2", " ", 
       RowBox[{"\[Pi]", "/", "9"}]}], ")"}]}], ")"}], TraditionalForm]]],
 " are isomorphic, but we can impose further conditions on the isomorphism.\n\
\nCOROLLARY 14.1.10\nIf ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a finite extension of a field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " are two elements in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"u", ",", " ", "X"}], ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"v", ",", " ", "X"}], ")"}]}], TraditionalForm]]],
 ", then there is an isomorphism ",
 Cell[BoxData[
  FormBox["\[Mu]", TraditionalForm]]],
 " between ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "u", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "v", ")"}], TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "u", ")"}], " ", "=", " ", "v"}], 
   TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "x", ")"}], " ", "=", " ", "x"}], 
   TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We simply let ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " be the identity mapping from ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " to itself, and use proposition 14.1.9. Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "X", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "X", ")"}], TraditionalForm]]],
 " are both equal to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Irr", "F"], "(", 
    RowBox[{"u", ",", "X"}], ")"}], TraditionalForm]]],
 ".   Since ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " is another root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"h", "(", "X", ")"}], ","}], TraditionalForm]]],
 " the conclusion follows from the conclusion of proposition 14.1.9."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "\nWe discovered that for every finite field could be expressed in the form \
",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Z", "p"], "[", "X", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"f", "(", "X", ")"}], ")"}]}], TraditionalForm]]],
 ", with ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " an irreducible polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "p"], "[", "X", "]"}], TraditionalForm]]],
 ". We could ask whether every finite extension of an infinite field can be \
represented in the form ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "/", 
    RowBox[{"(", 
     RowBox[{"f", "(", "X", ")"}], ")"}]}], TraditionalForm]]],
 " for some polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "X", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "X", "]"}], TraditionalForm]]],
 ". Although there are some infinite fields for which this is not the case, \
this is true of the fields ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalR]", TraditionalForm]]],
 ". Once we have proven this, we will be able to enter any finite extension \
of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 " or ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalR]", TraditionalForm]]],
 " into ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " using the same technique that was used for finite fields. \n \nThe first \
step is to show that a finite extension of a finite extension is a finite \
extension. This is done in the following proposition.\n\nPROPOSITION 14.1.11\n\
If ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " are fields, ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a finite extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " of dimension ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " is a finite extension of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " of dimension ",
 Cell[BoxData[
  FormBox["j", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " is a finite extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " of dimension ",
 Cell[BoxData[
  FormBox[
   RowBox[{"d", "\[CenterDot]", "j"}], TraditionalForm]]],
 ".  Futhermore, if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["x", "d"]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", " ", 
     SubscriptBox["y", "2"], ",", " ", 
     SubscriptBox["y", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["y", "j"]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", then\n \n                        ",
 Cell[BoxData[{
  FormBox[
   RowBox[{
    FormBox[
     RowBox[{" ", 
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{
         SubscriptBox[
          RowBox[{"x", " "}], "1"], 
         SubscriptBox["y", "1"]}], ",", " ", 
        RowBox[{
         SubscriptBox["x", "2"], " ", 
         SubscriptBox["y", "1"]}], ",", " ", 
        RowBox[{
         SubscriptBox["x", "3"], " ", 
         SubscriptBox["y", "1"]}], ",", " ", 
        RowBox[{"\[Ellipsis]", " ", 
         SubscriptBox["x", "d"], " ", 
         SubscriptBox["y", "1"]}], ","}]}]}],
     TraditionalForm], "  "}], TraditionalForm], "\n", 
  FormBox[
   RowBox[{"\t\t      ", 
    FormBox[
     RowBox[{" ", 
      RowBox[{
       RowBox[{
        SubscriptBox[
         RowBox[{"x", " "}], "1"], 
        SubscriptBox["y", "2"]}], ",", " ", "\[Ellipsis]", ",", " ", 
       RowBox[{
        SubscriptBox["x", "d"], " ", 
        SubscriptBox["y", "2"]}], ",", " ", "\n", "                 ", 
       RowBox[{
        SubscriptBox["x", "1"], " ", 
        SubscriptBox["y", "3"]}], ",", " ", "\[Ellipsis]", ",", " ", 
       RowBox[{
        SubscriptBox["x", "d"], " ", 
        SubscriptBox["y", "3"]}], " ", ",", "\n", 
       "                               ", "\[Ellipsis]\[Ellipsis]", ",", "\n",
        "                   ", 
       RowBox[{
        SubscriptBox["x", 
         RowBox[{"1", " "}]], 
        SubscriptBox["y", "j"]}], ",", "\[Ellipsis]", ",", " ", 
       RowBox[{
        SubscriptBox["x", "d"], " ", 
        SubscriptBox["y", "j"]}]}], " ", "}"}],
     TraditionalForm]}], TraditionalForm]}]],
 "\n\nis a basis of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", " ", 
     SubscriptBox["y", "2"], ",", " ", 
     SubscriptBox["y", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["y", "j"]}], "}"}], TraditionalForm]]],
 " is a basis for ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", we can write any element of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " in the form\n\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["m", "1"], 
      SubscriptBox["y", "1"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["m", "2"], " ", 
      SubscriptBox["y", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["m", "3"], " ", 
      SubscriptBox["y", "3"]}], " ", "+", " ", "\[Ellipsis]", " ", "+", " ", 
     RowBox[{
      SubscriptBox["m", "j"], " ", 
      SubscriptBox["y", "j"]}]}], ","}], TraditionalForm]]],
 "\n\nwhere ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["m", "1"], ",", " ", 
    SubscriptBox["m", "2"], ",", " ", 
    SubscriptBox["m", "3"], ",", " ", 
    RowBox[{"\[Ellipsis]", " ", 
     SubscriptBox["m", "j"]}]}], TraditionalForm]]],
 "  are in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ".\n\nSince ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["x", "d"]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", we can in turn write\n\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["m", "1"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox[
        RowBox[{"n", " "}], 
        RowBox[{"1", ",", "1"}]], " ", 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["n", 
        RowBox[{"2", ",", "1"}]], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["n", 
        RowBox[{"3", ",", "1"}]], " ", 
       SubscriptBox["x", "3"]}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
        RowBox[{"+", "  ", 
         SubscriptBox["n", 
          RowBox[{"d", ",", "1"}]]}]}], " ", 
       SubscriptBox["x", "d"]}]}]}], ","}], TraditionalForm]]],
 "\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["m", "2"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox[
        RowBox[{"n", " "}], 
        RowBox[{"1", ",", "2"}]], " ", 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["n", 
        RowBox[{"2", ",", "2"}]], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["n", 
        RowBox[{"3", ",", "2"}]], " ", 
       SubscriptBox["x", "3"]}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
        RowBox[{"+", "  ", 
         SubscriptBox["n", 
          RowBox[{"d", ",", "2"}]]}]}], " ", 
       SubscriptBox["x", "d"]}]}]}], ","}], TraditionalForm]]],
 "\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["m", "3"], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox[
        RowBox[{"n", " "}], 
        RowBox[{"1", ",", "3"}]], " ", 
       SubscriptBox["x", "1"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["n", 
        RowBox[{"2", ",", "3"}]], " ", 
       SubscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["n", 
        RowBox[{"3", ",", "3"}]], " ", 
       SubscriptBox["x", "3"]}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
        RowBox[{"+", "  ", 
         SubscriptBox["n", 
          RowBox[{"d", ",", "3"}]]}]}], " ", 
       SubscriptBox["x", "d"]}]}]}], ","}], TraditionalForm]]],
 "\n             .....................\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["m", "j"], " ", "=", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox[
       RowBox[{"n", " "}], 
       RowBox[{"1", ",", "j"}]], " ", 
      SubscriptBox["x", "1"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["n", 
       RowBox[{"2", ",", "j"}]], " ", 
      SubscriptBox["x", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["n", 
       RowBox[{"3", ",", "j"}]], " ", 
      SubscriptBox["x", "3"]}], " ", "+", " ", 
     RowBox[{
      RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
       RowBox[{"+", "  ", 
        SubscriptBox["n", 
         RowBox[{"d", ",", "j"}]]}]}], " ", 
      RowBox[{
       SubscriptBox["x", "d"], "."}]}]}]}], TraditionalForm]]],
 "\n\nwhere each ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["n", 
    RowBox[{"i", ",", "k"}]], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Combining these, we see that every element of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " can be expressed in the form\n\n     ",
 Cell[BoxData[{
  FormBox[
   RowBox[{
    FormBox[
     RowBox[{"        ", 
      RowBox[{
       RowBox[{
        SubscriptBox[
         RowBox[{"n", " "}], 
         RowBox[{"1", ",", "1"}]], " ", 
        SubscriptBox["x", "1"], 
        SubscriptBox["y", "1"]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["n", 
         RowBox[{"2", ",", "1"}]], " ", 
        SubscriptBox["x", "2"], 
        SubscriptBox["y", "1"]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["n", 
         RowBox[{"3", ",", "1"}]], " ", 
        SubscriptBox["x", "3"], 
        SubscriptBox["y", "1"]}], " ", "+", " ", 
       RowBox[{
        RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
         RowBox[{"+", "  ", 
          SubscriptBox["n", 
           RowBox[{"d", ",", "1"}]]}]}], " ", 
        SubscriptBox["x", "d"], 
        SubscriptBox["y", "1"]}], " ", "+", " "}]}],
     TraditionalForm], " "}], TraditionalForm], "\n", 
  FormBox[
   RowBox[{"\t\t ", 
    RowBox[{
     FormBox[
      RowBox[{
       RowBox[{
        SubscriptBox[
         RowBox[{"n", " "}], 
         RowBox[{"1", ",", "2"}]], " ", 
        SubscriptBox["x", "1"], 
        SubscriptBox["y", "2"]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["n", 
         RowBox[{"2", ",", "2"}]], " ", 
        SubscriptBox["x", "2"], 
        SubscriptBox["y", "2"]}], " ", "+", " ", 
       RowBox[{
        SubscriptBox["n", 
         RowBox[{"3", ",", "2"}]], " ", 
        SubscriptBox["x", "3"], 
        SubscriptBox["y", "2"]}], " ", "+", " ", 
       RowBox[{
        RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
         RowBox[{"+", "  ", 
          SubscriptBox["n", 
           RowBox[{"d", ",", "2"}]]}]}], " ", 
        SubscriptBox["x", "d"], 
        SubscriptBox["y", "2"]}], " ", "+", "\n", " "}],
      TraditionalForm], "      ", 
     FormBox[
      RowBox[{" ", 
       RowBox[{
        RowBox[{
         RowBox[{
          SubscriptBox[
           RowBox[{"n", " "}], 
           RowBox[{"1", ",", "3"}]], " ", 
          SubscriptBox["x", "1"], 
          SubscriptBox["y", "3"]}], " ", "+", " ", 
         RowBox[{
          SubscriptBox["n", 
           RowBox[{"2", ",", "3"}]], " ", 
          SubscriptBox["x", "2"], 
          SubscriptBox["y", "3"]}], " ", "+", " ", 
         RowBox[{
          SubscriptBox["n", 
           RowBox[{"3", ",", "1"}]], " ", 
          SubscriptBox["x", "3"], 
          SubscriptBox["y", "3"]}], " ", "+", " ", 
         RowBox[{
          RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
           RowBox[{"+", "  ", 
            SubscriptBox["n", 
             RowBox[{"d", ",", "1"}]]}]}], " ", 
          SubscriptBox["x", "d"], 
          SubscriptBox["y", "3"]}], " ", "+", " ", "\n", "\t                ",
          "\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\
\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\
\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\
\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\
\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\[CenterEllipsis]\
\[CenterEllipsis]\[CenterEllipsis]"}], "\n"}]}],
      TraditionalForm], "       ", 
     FormBox[
      RowBox[{" ", 
       RowBox[{
        RowBox[{
         SubscriptBox[
          RowBox[{"n", " "}], 
          RowBox[{"1", ",", "j"}]], " ", 
         SubscriptBox["x", "1"], 
         SubscriptBox["y", "j"]}], " ", "+", " ", 
        RowBox[{
         SubscriptBox["n", 
          RowBox[{"2", ",", "j"}]], " ", 
         SubscriptBox["x", "2"], 
         SubscriptBox["y", "j"]}], " ", "+", " ", 
        RowBox[{
         SubscriptBox["n", 
          RowBox[{"3", ",", "j"}]], " ", 
         SubscriptBox["x", "3"], 
         SubscriptBox["y", "j"]}], " ", "+", " ", 
        RowBox[{
         RowBox[{"\[CenterDot]", "\[CenterDot]", "\[CenterDot]", " ", 
          RowBox[{"+", "  ", 
           SubscriptBox["n", 
            RowBox[{"d", ",", "j"}]]}]}], " ", 
         SubscriptBox["x", "d"], 
         RowBox[{
          SubscriptBox["y", "j"], " ", "."}], " "}]}]}],
      TraditionalForm]}]}], TraditionalForm]}]],
 "\n\nTo show that\n                            ",
 Cell[BoxData[{
  FormBox[
   RowBox[{
    FormBox[
     RowBox[{" ", 
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{
         SubscriptBox[
          RowBox[{"x", " "}], "1"], 
         SubscriptBox["y", "1"]}], ",", " ", 
        RowBox[{
         SubscriptBox["x", "2"], " ", 
         SubscriptBox["y", "1"]}], ",", " ", 
        RowBox[{
         SubscriptBox["x", "3"], " ", 
         SubscriptBox["y", "1"]}], ",", " ", 
        RowBox[{"\[Ellipsis]", " ", 
         SubscriptBox["x", "d"], " ", 
         SubscriptBox["y", "1"]}], ","}]}]}],
     TraditionalForm], "  "}], TraditionalForm], "\n", 
  FormBox[
   RowBox[{"\t\t      ", 
    FormBox[
     RowBox[{" ", 
      RowBox[{
       RowBox[{
        SubscriptBox[
         RowBox[{"x", " "}], "1"], 
        SubscriptBox["y", "2"]}], ",", " ", "\[Ellipsis]", ",", " ", 
       RowBox[{
        SubscriptBox["x", "d"], " ", 
        SubscriptBox["y", "2"]}], ",", " ", "\n", "                 ", 
       RowBox[{
        SubscriptBox["x", "1"], " ", 
        SubscriptBox["y", "3"]}], ",", " ", "\[Ellipsis]", ",", " ", 
       RowBox[{
        SubscriptBox["x", "d"], " ", 
        SubscriptBox["y", "3"]}], " ", ",", "\n", 
       "                               ", "\[Ellipsis]\[Ellipsis]", ",", "\n",
        "                   ", 
       RowBox[{
        SubscriptBox["x", 
         RowBox[{"1", " "}]], 
        SubscriptBox["y", "j"]}], ",", "\[Ellipsis]", ",", " ", 
       RowBox[{
        SubscriptBox["x", "d"], " ", 
        SubscriptBox["y", "j"]}]}], " ", "}"}],
     TraditionalForm]}], TraditionalForm]}]],
 "\n\nis a basis of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", we merely have to show that such representations are unique. Let us \
switch to a summation notation for the remainder of the proof. Suppose that \
there are two such representations for the same element of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", that is\n\n           ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     UnderoverscriptBox[
      StyleBox[
       SubscriptBox[
        StyleBox["\[Sum]",
         FontSize->24], " "],
       FontSize->24], 
      RowBox[{"i", "=", "1"}], 
      RowBox[{"d", " "}]], 
     UnderoverscriptBox[
      StyleBox[
       SubscriptBox[
        StyleBox["\[Sum]",
         FontSize->24], " "],
       FontSize->24], 
      RowBox[{"k", "=", "1"}], 
      RowBox[{"j", " "}]]}],
    FontSize->16], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["n", 
       RowBox[{"i", ",", " ", "k"}]], 
      SubscriptBox["x", "i"], 
      SubscriptBox["y", "k"]}], "   ", "="}], "  "}], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     UnderoverscriptBox[
      StyleBox[
       SubscriptBox[
        StyleBox["\[Sum]",
         FontSize->24], " "],
       FontSize->24], 
      RowBox[{"i", "=", "1", "  "}], 
      RowBox[{"d", "   "}]], 
     UnderoverscriptBox[
      StyleBox[
       SubscriptBox[
        StyleBox["\[Sum]",
         FontSize->24], " "],
       FontSize->24], 
      RowBox[{"k", "=", "1", "   "}], 
      RowBox[{"j", "   "}]]}],
    FontSize->16], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubsuperscriptBox["n", 
     RowBox[{"i", ",", " ", "k"}], 
     RowBox[{" ", "\[Prime]"}]], " ", 
    SubscriptBox["x", "i"], 
    SubscriptBox["y", "k"]}], TraditionalForm]]],
 "\n           \nfor ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["n", 
    RowBox[{"i", ",", " ", "k"}]], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["n", 
    RowBox[{"i", ",", " ", "k"}], 
    RowBox[{" ", "\[Prime]"}]], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Then we have \n   0 = ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     UnderoverscriptBox[
      StyleBox[
       SubscriptBox[
        StyleBox["\[Sum]",
         FontSize->24], " "],
       FontSize->24], 
      RowBox[{"i", "=", "1"}], 
      RowBox[{"d", " "}]], 
     UnderoverscriptBox[
      StyleBox[
       SubscriptBox[
        StyleBox["\[Sum]",
         FontSize->24], " "],
       FontSize->24], 
      RowBox[{"k", "=", "1"}], 
      RowBox[{"j", " "}]]}],
    FontSize->16], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SubscriptBox["n", 
        RowBox[{"i", ",", " ", "k"}]], "-", 
       SubsuperscriptBox["n", 
        RowBox[{"i", ",", " ", "k"}], 
        RowBox[{" ", "\[Prime]"}]]}], ")"}], 
     SubscriptBox["x", "i"], 
     SubscriptBox["y", "k"]}], "   ", "=", "  "}], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     RowBox[{
      StyleBox[
       UnderoverscriptBox[
        StyleBox[
         SubscriptBox[
          StyleBox["\[Sum]",
           FontSize->14], " "],
         FontSize->24], 
        RowBox[{"k", "=", "1", "   "}], 
        RowBox[{"j", "   "}]],
       FontSize->16], 
      RowBox[{
       StyleBox["(",
        FontSize->16], 
       RowBox[{
        RowBox[{
         StyleBox[
          UnderoverscriptBox[
           StyleBox["\[CapitalSigma]",
            FontSize->24], 
           RowBox[{"i", "=", "1"}], "d"],
          FontSize->16], "(", 
         RowBox[{
          SubscriptBox["n", 
           RowBox[{"i", ",", " ", "k"}]], "-", " ", 
          SubsuperscriptBox["n", 
           RowBox[{"i", ",", " ", "k"}], 
           RowBox[{" ", "\[Prime]"}]]}], ")"}], 
        SubscriptBox["x", "i"]}], 
       StyleBox[")",
        FontSize->16]}]}],
     TraditionalForm], 
    FormBox[
     SubscriptBox["y", "k"],
     TraditionalForm]}], TraditionalForm]]],
 "\n   \nSince ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["y", "1"], ",", " ", 
     SubscriptBox["y", "2"], ",", " ", 
     SubscriptBox["y", "3"], ",", " ", "\[Ellipsis]", " ", ",", " ", 
     SubscriptBox["y", "j"]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", the only way that the right hand expression could be zero is if\n\n       \
       ",
 Cell[BoxData[
  FormBox["  ", TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     FormBox[
      StyleBox[
       UnderoverscriptBox[
        StyleBox[
         SubscriptBox[
          StyleBox["\[Sum]",
           FontSize->24], " "],
         FontSize->24], 
        RowBox[{"i", "=", "1"}], "d"],
       FontSize->16],
      TraditionalForm], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["n", 
         RowBox[{"i", " ", "k"}]], "-", " ", 
        SubsuperscriptBox["n", 
         RowBox[{"i", ",", " ", "k"}], 
         RowBox[{" ", "\[Prime]"}]]}], ")"}], 
      SubscriptBox["x", 
       RowBox[{"i", " "}]]}]}], "=", " ", 
    RowBox[{"0", 
     FormBox["",
      TraditionalForm]}]}], TraditionalForm]]],
 "\n              \nfor all ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"k", " ", "=", " ", "1"}], ",", " ", "2", ",", " ", "3", ",", " ",
     
    RowBox[{"\[Ellipsis]", " ", 
     RowBox[{"j", "."}]}]}], TraditionalForm]]],
 " Now ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["x", "1"], ",", " ", 
     SubscriptBox["x", "2"], ",", " ", 
     SubscriptBox["x", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["x", "d"]}], "}"}], TraditionalForm]]],
 " is a basis of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", so the only way that each of these sums could be 0 is if ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["n", 
     RowBox[{"i", ",", " ", "k"}]], "=", " ", 
    SubsuperscriptBox["n", 
     RowBox[{"i", ",", " ", "k"}], 
     RowBox[{" ", "\[Prime]"}]]}], TraditionalForm]]],
 "  for all values of ",
 Cell[BoxData[
  FormBox["i", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 ". Thus,  the representation of an element ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " as a sum of the form \n\n                   ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     UnderoverscriptBox[
      StyleBox[
       SubscriptBox[
        StyleBox["\[Sum]",
         FontSize->24], " "],
       FontSize->24], 
      RowBox[{"i", "=", "1"}], 
      RowBox[{"d", " "}]], 
     UnderoverscriptBox[
      StyleBox[
       SubscriptBox[
        StyleBox["\[Sum]",
         FontSize->24], " "],
       FontSize->24], 
      RowBox[{"k", "=", "1"}], 
      RowBox[{"j", " "}]]}],
    FontSize->16], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["n", 
     RowBox[{"i", " ", "k"}]], 
    SubscriptBox["x", "i"], 
    SubscriptBox["y", 
     RowBox[{"k", "  "}]]}], TraditionalForm]]],
 "\n                   \nis unique, and therefore the set\n\n                 \
       ",
 Cell[BoxData[{
  FormBox[
   RowBox[{
    FormBox[
     RowBox[{" ", 
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{
         SubscriptBox[
          RowBox[{"x", " "}], "1"], 
         SubscriptBox["y", "1"]}], ",", " ", 
        RowBox[{
         SubscriptBox["x", "2"], " ", 
         SubscriptBox["y", "1"]}], ",", " ", 
        RowBox[{
         SubscriptBox["x", "3"], " ", 
         SubscriptBox["y", "1"]}], ",", " ", 
        RowBox[{"\[Ellipsis]", " ", 
         SubscriptBox["x", "d"], " ", 
         SubscriptBox["y", "1"]}], ","}]}]}],
     TraditionalForm], "  "}], TraditionalForm], "\n", 
  FormBox[
   RowBox[{"\t\t      ", 
    FormBox[
     RowBox[{" ", 
      RowBox[{
       RowBox[{
        SubscriptBox[
         RowBox[{"x", " "}], "1"], 
        SubscriptBox["y", "2"]}], ",", " ", "\[Ellipsis]", ",", " ", 
       RowBox[{
        SubscriptBox["x", "d"], " ", 
        SubscriptBox["y", "2"]}], ",", " ", "\n", "                 ", 
       RowBox[{
        SubscriptBox["x", "1"], " ", 
        SubscriptBox["y", "3"]}], ",", " ", "\[Ellipsis]", ",", " ", 
       RowBox[{
        SubscriptBox["x", "d"], " ", 
        SubscriptBox["y", "3"]}], " ", ",", "\n", 
       "                            ", "\[Ellipsis]\[Ellipsis]", ",", "\n", 
       "                   ", 
       RowBox[{
        SubscriptBox["x", 
         RowBox[{"1", " "}]], 
        SubscriptBox["y", "j"]}], ",", "\[Ellipsis]", ",", " ", 
       RowBox[{
        SubscriptBox["x", "d"], " ", 
        SubscriptBox["y", "j"]}]}], " ", "}"}],
     TraditionalForm]}], TraditionalForm]}]],
 "\n\nis a basis of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " of dimension ",
 Cell[BoxData[
  FormBox[
   RowBox[{"d", "\[CenterDot]", "j"}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "This last proposition opens the posibility of having an \"extension of an \
extension\" of a field. In fact, all fields which are finite dimensional over \
",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 " can be obtained by a sequence of such extensions. "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Splitting Fields", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We have already seen that given an irreducible polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ", we can construct a field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", "x", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"f", "(", "x", ")"}], ")"}]}], TraditionalForm]]],
 " for which ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " has a root in this new field. This raises an interesting question: can we \
construct a field for which ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " factors ",
 StyleBox["completely",
  FontSlant->"Italic"],
 " in the new field? Let us demonstrate with some examples.\n\nLet ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["x", "3"], " ", "+", " ", 
     SuperscriptBox["x", "2"], " ", "-", " ", 
     RowBox[{"2", " ", "x"}], " ", "-", " ", "1."}]}], TraditionalForm]]],
 "\n\nWe begin by showing that this polynomial is irreducible over the \
rationals."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928203171875*^9, 3.43792820728125*^9}}],

Cell["Factor[x^3 + x^2 - 2 x - 1]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437928207765625*^9, 3.437928208203125*^9}}],

Cell[TextData[{
 "Unless otherwise specifies, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " will factor polynomials over the field ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ". The output is unchanged, indicating that there is no factorization.\n\nIf \
",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " is one root of this polynomial, we can define ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " as follows:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
InitDomain[0]
Define[a^3, - a^2 + 2 a + 1]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "This define the ring with characteristic 0, and containing an element with \
",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["a", "3"], " ", "+", " ", 
     SuperscriptBox["a", "2"], " ", "-", " ", 
     RowBox[{"2", " ", "a"}], " ", "-", " ", "1"}], " ", "=", " ", "0."}], 
   TraditionalForm]]],
 "\n\nTo see if the polynomial factors in this new field, we include the \
variable a in the factor command:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Factor[x^3 + x^2 - 2 x - 1,a]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.43792820871875*^9, 3.437928209125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "-", 
    SuperscriptBox["a", "2"], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", "a", "+", 
    SuperscriptBox["a", "2"], "+", "x"}], ")"}]}]], "Input",
 CellChangeTimes->{{3.43792820959375*^9, 3.437928210015625*^9}}]
}, Open  ]],

Cell[TextData[{
 "This shows that the polynomial factors completely in the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 ". Recall that this is very similar to the case of finite fields.\n\n\
EXPERIMENT:\nNote that the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SuperscriptBox["x", "2"],
     TraditionalForm], " ", "+", " ", 
    RowBox[{"4", " ", "x"}], " ", "+", " ", "2"}], TraditionalForm]]],
 " does not factor over the rationals."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379282105625*^9, 3.437928221046875*^9}}],

Cell["Factor[x^2 + 4 x + 2]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437928221546875*^9, 3.43792822184375*^9}}],

Cell[TextData[{
 "See if this polynomial factors in the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", " ", 
    SqrtBox["2"], ")"}], TraditionalForm]]],
 ". First define the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    SqrtBox["2"], ")"}], TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " with the commands:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
InitDomain[0]
Define[a^2,2]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Now use the factor command to see if ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", " ", 
    RowBox[{"4", " ", "x"}], " ", "+", " ", "2"}], TraditionalForm]]],
 " factors in this new field."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792822240625*^9, 3.43792822278125*^9}}],

Cell[BoxData[" "], "Input"],

Cell[TextData[{
 "Now look at another example. Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", " ", "=", " ", 
    RowBox[{
     RadicalBox["2", "3"], "."}]}], TraditionalForm]]],
 " The irreducible polynomial for ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], " ", "-", " ", "2"}], TraditionalForm]]],
 ", so we can define the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 " by the commands:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928223625*^9, 3.437928223625*^9}}],

Cell["\<\
InitDomain[0]
Define[a^3,2]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Does the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", "2"}], TraditionalForm]]],
 " factor completely in this new field? Let's try it."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792822425*^9, 3.43792822425*^9}}],

Cell["Factor[x^3 - 2, a]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.437928224828125*^9}],

Cell[TextData[{
 "This polynomial of course factors, since ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " is defined to be a root. But it did not factor completely, as the \
polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "+", " ", 
    SuperscriptBox["x", "2"], " ", "-", " ", 
    RowBox[{"2", " ", "x"}], " ", "-", " ", "1"}], TraditionalForm]]],
 " did. Rather, there is a quadratic term ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", " ", 
    RowBox[{"a", " ", "x"}], " ", "+", " ", 
    SuperscriptBox["a", "2"]}], TraditionalForm]]],
 ". How can we get the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", "2"}], TraditionalForm]]],
 " to factor completely into linear terms? We can define a new element, ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 ", to be a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", " ", 
    RowBox[{"a", " ", "x"}], " ", "+", " ", 
    SuperscriptBox["a", "2"]}], TraditionalForm]]],
 ". That is, ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["b", "2"], TraditionalForm]]],
 " must be ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["a", "2"]}], " ", "-", " ", 
    RowBox[{"a", " ", 
     RowBox[{"b", "."}]}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792822540625*^9, 3.4379282288125*^9}}],

Cell["Define[b^2, -a^2 - a b]", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "We can now factor ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", "2"}], TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792822940625*^9, 3.43792822940625*^9}}],

Cell["Factor[x^3 - 2, a, b]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.437928229984375*^9}],

Cell[TextData[{
 "Notice that",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}]}], TraditionalForm]]],
 " is a three dimensional extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 " is a two dimensional extension of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 ". Thus, by proposition 14.1.11, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 " is a six dimensional extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", with basis ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", " ", "a", ",", " ", 
      SuperscriptBox["a", "2"], ",", " ", "b", ",", " ", 
      RowBox[{"a", " ", "b"}], ",", " ", 
      RowBox[{
       SuperscriptBox["a", "2"], " ", "b"}]}], "}"}], "."}], 
   TraditionalForm]]],
 "  \n\nEXPERIMENT:                 \nProve that the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "2"], " ", "+", " ", 
     RowBox[{"a", " ", "x"}], " ", "+", " ", 
     SuperscriptBox["a", "2"]}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["x", "2"], " ", "+", " ", 
     RowBox[{
      RadicalBox["2", "3"], " ", "x"}], " ", "+", " ", 
     RadicalBox["4", "3"]}]}], TraditionalForm]]],
 " is irreducible in the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", " ", 
    RadicalBox["2", "3"], " ", ")"}], TraditionalForm]]],
 " by showing that the roots are complex."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928232734375*^9, 3.437928233921875*^9}}],

Cell["    ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Here is one more example which is rather long, but it is an important \
example since we will be refering to it later. Consider the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "-", " ", "x", " ", "+", " ", "1"}], 
   TraditionalForm]]],
 ". We can verify that this is irreducible over the rational numbers with ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928234640625*^9, 3.437928235078125*^9}}],

Cell["Factor[x^5 - x + 1]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437928235765625*^9, 3.437928236125*^9}}],

Cell[TextData[{
 "Let us force ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " to be a root of this polynomial"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
InitDomain[0]
Define[a^5, a - 1]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "We can now factor ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "-", " ", "x", " ", "+", " ", "1"}], 
   TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928236578125*^9, 3.437928237015625*^9}}],

Cell["Factor[x^5 - x + 1, a]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437928237453125*^9, 3.43792823784375*^9}}],

Cell[TextData[{
 "This leaves a forth degree polynomial still unfactored, so\nwe will define \
",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " to be a root of this forth degree polynomial."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["Define[b^4, 1 - a^4 - a^3 b - a^2 b^2 - a b^3]", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "We can factor ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "-", " ", "x", " ", "+", " ", "1"}], 
   TraditionalForm]]],
 " over the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928238328125*^9, 3.437928238734375*^9}}],

Cell["Factor[x^5 - x + 1, a, b]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437928239171875*^9, 3.437928239546875*^9}}],

Cell[TextData[{
 "This still leaves an unfactored cubic. Let ",
 Cell[BoxData[
  FormBox["c", TraditionalForm]]],
 " be a root of this cubic."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
Define[c^3, - a^3 - a^2 b - a b^2 - b^3 
         - a^2 c - a b c - b^2 c - a c^2 - b c^2]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "We now can factor ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], " ", "-", " ", "x", " ", "+", " ", "1"}], 
   TraditionalForm]]],
 " over the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{"a", ",", "b", ",", "c"}], ")"}], "."}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379282400625*^9, 3.43792824046875*^9}}],

Cell["Factor[x^5 - x + 1, a, b, c]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4379282409375*^9, 3.43792824140625*^9}}],

Cell[TextData[{
 "We still have a quadratic that is irreducible! Let ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]]],
 " be a root of this quadratic polynomial."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
Define[d^2, -a^2 - a b - b^2 - a c - b c - c^2 - a d - b d - c d]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Finally, we can factor ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], " ", "-", " ", "x", " ", "+", " ", "1"}], 
   TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], ")"}], "."}], 
   TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928242015625*^9, 3.437928242453125*^9}}],

Cell["Factor[x^5 - x + 1, a, b, c, d]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.43792824303125*^9, 3.437928243359375*^9}}],

Cell[TextData[{
 "We finally did it! Notice that the dimension of the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b", ",", "c", ",", "d"}], ")"}], TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
    "5", "\[CenterDot]", "4", "\[CenterDot]", "3", "\[CenterDot]", "2"}], " ",
     "=", " ", "120."}], TraditionalForm]]],
 " It is easy to see from this example that this procedure can be carried out \
over any polynomial.\n             \nLEMMA 14.2.1\nLet ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be a field, and let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " be a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 " of degree a whose leading coeffient is ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["c", "n"], TraditionalForm]]],
 ". Then there is a finite extension ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " such that\n\n    ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox["c", "n"], "\[CenterDot]", 
       RowBox[{"(", 
        RowBox[{"x", " ", "-", " ", 
         SubscriptBox["u", "1"]}], ")"}], "\[CenterDot]", 
       RowBox[{"(", 
        RowBox[{"x", " ", "-", " ", 
         SubscriptBox["u", "2"]}], ")"}], "\[CenterDot]", 
       RowBox[{"(", 
        RowBox[{"x", " ", "-", " ", 
         SubscriptBox["u", "3"]}], ")"}]}], 
      RowBox[{
       RowBox[{"\[CenterEllipsis]", "(", 
        RowBox[{"x", " ", "-", " ", 
         SubscriptBox["u", "n"]}], ")"}], "."}]}]}]}], TraditionalForm]]],
 "\n\nwhere ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["u", "1"], ",", " ", 
    SubscriptBox["u", "2"], ",", " ", 
    SubscriptBox["u", "3"], ",", " ", 
    RowBox[{"\[Ellipsis]", " ", 
     SubscriptBox["u", "n"]}]}], TraditionalForm]]],
 "  are elements in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Furthermore, the dimension of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is at most ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"n", "!"}], "."}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792825003125*^9, 3.4379282526875*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "The proof is by induction on ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", "1"}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " is a linear function, so its only root is in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Thus ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", "F"}], TraditionalForm]]],
 ", and the degree of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"1", " ", "=", " ", 
    RowBox[{
     RowBox[{"1", "!"}], "."}]}], TraditionalForm]]],
 "\n\nSuppose that this is true for polynomials of degree less than ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " be an irreducible factor of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 ", and consider the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", " ", "=", " ", 
    RowBox[{
     RowBox[{"F", "[", "x", "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"p", "(", "x", ")"}], ")"}]}]}], TraditionalForm]]],
 ". By proposition 14.1.5, ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " is a finite extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " whose dimension over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is the degree of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 ", which is at most ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SubscriptBox["u", "n"],
     TraditionalForm], " ", "=", " ", 
    RowBox[{"x", " ", "+", " ", 
     RowBox[{"(", 
      RowBox[{"p", "(", "x", ")"}], ")"}]}]}], TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", and since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " is a factor of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], ","}], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"x", " ", "-", " ", 
     SubscriptBox["u", "n"]}], ")"}], TraditionalForm]]],
 " is a factor of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Thus, we can write ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"g", "(", "x", ")"}], "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"x", " ", "-", " ", 
       SubscriptBox["u", "n"]}], ")"}]}]}], TraditionalForm]]],
 " for some ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "[", "x", "]"}], TraditionalForm]]],
 ". Note that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " has degree ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"n", "-", "1"}], ")"}], ","}], TraditionalForm]]],
 " and has the same leading coefficient as ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], "."}], TraditionalForm]]],
 " Thus, we can use the induction hypothesis to show that there is a field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " which is a finite extension of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " of dimension at most ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"n", "-", "1"}], ")"}], "!"}], TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " factors completely  as\n \n    ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
     RowBox[{
      SubscriptBox["c", "n"], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        SubscriptBox["u", "1"]}], ")"}], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        SubscriptBox["u", "2"]}], ")"}], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        SubscriptBox["u", "3"]}], ")"}], "\[CenterDot]", "\[CenterEllipsis]", 
      "\[CenterDot]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"x", " ", "-", " ", 
         SubscriptBox["u", 
          RowBox[{"n", "-", "1"}]]}], " ", ")"}], "."}]}]}]}], 
   TraditionalForm]]],
 "\n\nThus, \n\n     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["c", "n"], "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"x", " ", "-", " ", 
       SubscriptBox["u", "1"]}], ")"}], "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"x", " ", "-", " ", 
       SubscriptBox["u", "2"]}], ")"}], "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"x", " ", "-", " ", 
       SubscriptBox["u", "3"]}], ")"}], "\[CenterDot]", 
     RowBox[{"\[CenterEllipsis]", "(", 
      RowBox[{"x", " ", "-", " ", 
       SubscriptBox["u", 
        RowBox[{"n", "-", "1"}]]}], ")"}], "\[CenterDot]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        SubscriptBox["u", "n"]}], ")"}], "."}]}]}], TraditionalForm]]],
 "\n\nBy proposition 14.1.11, the dimension of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is the product of the dimension of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " times the dimension of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Thus, the dimension of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is at most ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"n", "\[CenterDot]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"n", "-", "1"}], ")"}], "!"}]}], " ", "=", " ", 
    RowBox[{
     RowBox[{"n", "!"}], "."}]}], TraditionalForm]]]
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928253453125*^9, 3.437928266890625*^9}}]
}, Open  ]],

Cell[TextData[{
 "\nDEFINITION:\nIf ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a field for which the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 " factors as\n\n     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
     RowBox[{
      SubscriptBox["c", "n"], "\[CenterDot]", " ", 
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        SubscriptBox["u", "1"]}], ")"}], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        SubscriptBox["u", "2"]}], ")"}], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        SubscriptBox["u", "3"]}], ")"}], "\[CenterDot]", "\[Ellipsis]", 
      "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        SubscriptBox["u", "n"]}], ")"}]}]}], ","}], TraditionalForm]]],
 "\n\nThen the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", 
    RowBox[{
     SubscriptBox["u", "1"], ",", " ", 
     SubscriptBox["u", "2"], ",", " ", 
     SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["u", "n"]}], ")"}], TraditionalForm]]],
 " is called a ",
 StyleBox["splitting field",
  FontSlant->"Italic"],
 " for the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 ".\n\nFor example, the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "+", " ", 
    SuperscriptBox["x", "2"], " ", "-", " ", 
    RowBox[{"2", " ", "x"}], " ", "-", " ", "1"}], TraditionalForm]]],
 " was found to be ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " is one root of the polynomial. Thus, the splitting field is a three \
dimensional extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ". The splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", "2"}], TraditionalForm]]],
 " turned out to be a six dimensional extension of \[DoubleStruckCapitalQ]. \
The splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "-", " ", "x", " ", "+", " ", "1"}], 
   TraditionalForm]]],
 " turned out to be a 120 dimensional extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ". Lemma 14.2.1 points out that this is the largest possible dimension of a \
fifth degree polynomial.\n\nLet us look at one more example which is rather \
interesting. Consider the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "-", " ", 
    RowBox[{"5", " ", "x"}], " ", "+", " ", "12"}], TraditionalForm]]],
 ". We first show that this is irreducible over the rationals:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928267328125*^9, 3.43792827446875*^9}}],

Cell[CellGroupData[{

Cell["Factor[x^5 - 5 x + 12]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437928274890625*^9, 3.437928275296875*^9}}],

Cell[BoxData[
 RowBox[{"12", "-", 
  RowBox[{"5", " ", "x"}], "+", 
  SuperscriptBox["x", "5"]}]], "Input",
 CellChangeTimes->{{3.437928275796875*^9, 3.43792827625*^9}}]
}, Open  ]],

Cell["Let us define a to be one root of this polynomial", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
InitDomain[0]
Define[a^5, 5 a - 12]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Can we factor ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "-", " ", 
    RowBox[{"5", " ", "x"}], " ", "+", " ", "12"}], TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 "? Let's see."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792827815625*^9, 3.437928278578125*^9}}],

Cell[CellGroupData[{

Cell["Factor[x^5 - 5 x + 12, a]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437928279046875*^9, 3.437928279453125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "-", 
    FractionBox[
     RowBox[{"5", " ", "a"}], "4"], "-", 
    FractionBox[
     SuperscriptBox["a", "2"], "4"], "-", 
    FractionBox[
     SuperscriptBox["a", "3"], "4"], "-", 
    FractionBox[
     SuperscriptBox["a", "4"], "4"], "+", "x", "+", 
    FractionBox[
     RowBox[{"3", " ", "a", " ", "x"}], "4"], "-", 
    FractionBox[
     RowBox[{
      SuperscriptBox["a", "2"], " ", "x"}], "4"], "-", 
    FractionBox[
     RowBox[{
      SuperscriptBox["a", "3"], " ", "x"}], "4"], "-", 
    FractionBox[
     RowBox[{
      SuperscriptBox["a", "4"], " ", "x"}], "4"], "+", 
    SuperscriptBox["x", "2"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "-", 
    FractionBox["a", "2"], "-", 
    FractionBox[
     SuperscriptBox["a", "3"], "2"], "-", "x", "+", 
    FractionBox[
     RowBox[{"a", " ", "x"}], "4"], "+", 
    FractionBox[
     RowBox[{
      SuperscriptBox["a", "2"], " ", "x"}], "4"], "+", 
    FractionBox[
     RowBox[{
      SuperscriptBox["a", "3"], " ", "x"}], "4"], "+", 
    FractionBox[
     RowBox[{
      SuperscriptBox["a", "4"], " ", "x"}], "4"], "+", 
    SuperscriptBox["x", "2"]}], ")"}]}]], "Input",
 CellChangeTimes->{{3.437928282859375*^9, 3.437928287390625*^9}}]
}, Open  ]],

Cell[TextData[{
 "Rather than having an irreducible forth degree equation as we did in the \
polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "5"], "-", " ", "x", " ", "+", " ", "1"}], ","}], 
   TraditionalForm]]],
 " the polynomial factored into two irreducible quadratic equations. Let us \
define b to be a root of the first of the two quadratics."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928288234375*^9, 3.4379282886875*^9}}],

Cell["\<\
Define[b^2, -2 + 5 a/4 + a^2/4 + a^3/4 + a^4/4 - b - 3 a b/4
               + a^2 b/4 + a^3 b/4 + a^4 b / 4]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Can we factor ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "-", " ", 
    RowBox[{"5", " ", "x"}], " ", "+", " ", "12"}], TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 "? "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928289296875*^9, 3.437928289734375*^9}}],

Cell["Factor[x^5 - 5 x + 12, a, b]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437928290265625*^9, 3.437928290546875*^9}}],

Cell[TextData[{
 "This time the polynomial factored completely. Thus, we have found a \
splitting field for the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], " ", "-", " ", 
    RowBox[{"5", " ", "x"}], " ", "+", " ", "12"}], TraditionalForm]]],
 ". Note that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 " is a five dimensional extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 " is a two dimensional extension of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 ". Thus, by proposition 6.6, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 " is only a ten dimensional extension of \[DoubleStruckCapitalQ], far less \
than the maximum dimension of 120. \n\nThis example raises the obvious \
question: What if we let ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " be a root of the ",
 StyleBox["second",
  FontSlant->"Italic"],
 " irreducible polynomial instead of the first? Would we get the same \
splitting field? We would like to prove that the splitting fields are in fact \
uniquely determined up to isomorphism. It is actually easier to prove a \
stonger statement for which we can use the principle of induction. \n\n\
PROPOSITION 14.2.2\nLet ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " be an isomorphism from the field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " to a field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Let\n\n    ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["c", "0"], "+", " ", 
     RowBox[{
      SubscriptBox["c", "1"], " ", "x"}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "2"], 
      SuperscriptBox["x", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "3"], 
      SuperscriptBox["x", "3"]}], "+", " ", "\[Ellipsis]", " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "n"], 
      SuperscriptBox["x", "n"]}]}]}], TraditionalForm]]],
 "\n\nbe a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ". Then\n\n ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"\[Phi]", "(", 
       SubscriptBox["c", "0"], ")"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[Phi]", "(", 
        SubscriptBox["c", "1"], ")"}], "x"}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[Phi]", "(", 
        SubscriptBox["c", "2"], ")"}], 
       SuperscriptBox["x", "2"]}], " ", "+", " ", 
      RowBox[{
       RowBox[{"\[Phi]", "(", 
        SubscriptBox["c", "3"], ")"}], 
       SuperscriptBox["x", "3"]}], "+", " ", "\[Ellipsis]", " ", "+", " ", 
      RowBox[{
       RowBox[{"\[Phi]", "(", 
        SubscriptBox["c", "n"], ")"}], 
       SuperscriptBox["x", "n"]}]}]}]}], TraditionalForm]]],
 "\n\nis a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"E", "[", "x", "]"}], "."}], TraditionalForm]]],
 " Suppose that ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 " is a splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Then there is an isomorphism ",
 Cell[BoxData[
  FormBox["\[Mu]", TraditionalForm]]],
 " from ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ", such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"\[Phi]", "(", "x", ")"}]}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928291109375*^9, 3.437928297765625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "If ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " has degree 1, then the roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " are in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and the roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " are in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", "E"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"L", " ", "=", " ", "F"}], TraditionalForm]]],
 ", and so the function ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"\[Phi]", "(", "x", ")"}]}], TraditionalForm]]],
 " satisfies the necessary conditions. \n\nLet us use induction on the degree \
of the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 ". That is, we will assume that the proposition is true for all polynomials \
of degree ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"n", "-", "1"}], ")"}], "."}], TraditionalForm]]],
 " By lemma 13.2.6, the isomorphism ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " extends to an isomorphism from ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", " ", "[", "x", "]"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "[", "x", "]"}], TraditionalForm]]],
 " in such a way that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"x", "."}]}], TraditionalForm]]],
 " Thus, if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " is an irreducible factor of the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], ","}], TraditionalForm]]],
 " then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", 
    RowBox[{"p", "(", "x", ")"}], ")"}], TraditionalForm]]],
 " is an irreducible factor of the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      RowBox[{"f", "(", "x", ")"}], ")"}], "."}]}], TraditionalForm]]],
 " Note that every root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " is also a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 ", so that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " factors completely in the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Likewise, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", 
    RowBox[{"p", "(", "x", ")"}], ")"}], TraditionalForm]]],
 " factors completely in the field ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ".\n\nLet ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " be a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " be a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", 
    RowBox[{"p", "(", "x", ")"}], ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ". By proposition 14.1.9, there is an isomorphism ",
 Cell[BoxData[
  FormBox["\[Theta]", TraditionalForm]]],
 " mapping ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "u", ")"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "(", "v", ")"}], TraditionalForm]]],
 ", such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Theta]", "(", "u", ")"}], " ", "=", " ", "v"}], 
   TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Theta]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"\[Phi]", "(", "x", ")"}]}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". \n\nSince ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 ", we can write ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"x", " ", "-", " ", "u"}], ")"}], "\[CenterDot]", 
     RowBox[{"h", "(", "x", ")"}]}]}], TraditionalForm]]],
 ", with ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"F", "(", "u", ")"}], "[", "x", "]"}], "."}], 
   TraditionalForm]]],
 " Then\n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      RowBox[{"f", "(", "x", ")"}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"\[Theta]", "(", 
       RowBox[{"f", "(", "x", ")"}], ")"}], " ", "=", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Theta]", "(", 
         RowBox[{"x", " ", "-", " ", "u"}], ")"}], "\[CenterDot]", 
        RowBox[{"\[Theta]", "(", 
         RowBox[{"h", "(", "x", ")"}], ")"}]}], " ", "=", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"x", " ", "-", " ", "v"}], ")"}], "\[CenterDot]", 
        RowBox[{
         RowBox[{"\[Theta]", "(", 
          RowBox[{"h", "(", "x", ")"}], ")"}], "."}]}]}]}]}]}], 
   TraditionalForm]]],
 "\n\nSince ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "x", ")"}], TraditionalForm]]],
 " has degree ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"n", "-", "1"}], ")"}], TraditionalForm]]],
 ", we can use the induction hypothesis. Obviously ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "x", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "u", ")"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 " is the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Theta]", "(", 
    RowBox[{"h", "(", "x", ")"}], ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"E", "(", "v", ")"}], "."}], TraditionalForm]]],
 " Thus, by the induction hypothesis the proposition is true for the \
polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"h", "(", "x", ")"}], ","}], TraditionalForm]]],
 " so there is an isomorphism ",
 Cell[BoxData[
  FormBox["\[Mu]", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"\[Theta]", "(", "x", ")"}]}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "u", ")"}], TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Theta]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"\[Phi]", "(", "x", ")"}]}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ",\nwe have found an isomorphism with the necessary properties."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379282985*^9, 3.43792831584375*^9}}]
}, Open  ]],

Cell[TextData[{
 "We can use this proposition to show that indeed the splitting field of a \
polynomial is uniquely determined up to isomorphism.\n\nCOROLLARY 14.2.3\nIf \
",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " is a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ", then all splitting fields of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " are isomorphic."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379283163125*^9, 3.437928320515625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Simply let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", " ", "=", " ", "E"}], TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "x", ")"}], " ", "=", " ", "x"}], 
   TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Then by proposition 14.2.2, any two splitting fields of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"g", "(", "x", ")"}]}], TraditionalForm]]],
 " will be isomorphic."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928321140625*^9, 3.4379283215625*^9}}]
}, Open  ]],

Cell[TextData[{
 "In section 13.3, we studied the properties of cyclotomic polynomials. It \
will be important later on to determine the splitting fields of these \
polynomials. Let us look at a few examples to see if we can determine a \
pattern. \n\nThe seventh cyclotomic polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[CapitalPhi]", "7"], "(", "x", ")"}], TraditionalForm]]],
 " is given as"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928326703125*^9, 3.437928326703125*^9}}],

Cell["Cyclotomic[7,x]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.437928327515625*^9}],

Cell[TextData[{
 "If we can let ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " be a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "6"], "+", " ", 
    SuperscriptBox["x", "5"], "+", " ", 
    SuperscriptBox["x", "4"], "+", " ", 
    SuperscriptBox["x", "3"], "+", " ", 
    SuperscriptBox["x", "2"], "+", " ", "x", "+", " ", "1"}], 
   TraditionalForm]]],
 " by the commands"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379283279375*^9, 3.43792832934375*^9}}],

Cell["\<\
InitDomain[0]
Define[a^6, - a^5 - a^4 - a^3 - a^2 - a - 1]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "We finally can see if the cyclotomic polynomial factors in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["Factor[x^6 + x^5 + x^4 + x^3 + x^2 + x + 1, a]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437928332453125*^9, 3.437928333515625*^9}}],

Cell[TextData[{
 "This shows us that the splitting field of the seventh cyclotomic polynomial \
is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 ", which is a six dimensional extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ".\n\nEXPERIMENT:\nFind the splitting field of  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     RowBox[{
      RowBox[{
       SubscriptBox["\[CapitalPhi]", "8"], "(", "x", ")"}], " ", "=", " "}],
     TraditionalForm], " ", 
    RowBox[{
     FormBox[
      RowBox[{
       SuperscriptBox["x", "4"], "+", " ", "1"}],
      TraditionalForm], "."}]}], TraditionalForm]]],
 " "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379283365625*^9, 3.437928336921875*^9}}],

Cell["    ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "We can generalize these observations in the following proposition.\n \n\
PROPOSITION 14.2.4\nThe  splitting field of the ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-th cyclotomic polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["\[CapitalPhi]", "n"], "(", "x", ")"}], " "}], 
   TraditionalForm]]],
 "has dimension at most ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "n", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "n", ")"}], TraditionalForm]]],
 " is Euler's totient function. In fact, the splitting field is given as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    SubscriptBox["\[Omega]", "n"], ")"}], TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Omega]", "n"], TraditionalForm]]],
 "  is a primitive ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-th root of unity."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928341484375*^9, 3.437928341484375*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "From the definition of the splitting field, the generator\n\n            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[Omega]", "n"], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["e", 
      RowBox[{"(", 
       RowBox[{"2", "\[Pi]", " ", 
        RowBox[{"i", "/", "n"}]}], ")"}]], " ", "=", " ", 
     RowBox[{
      RowBox[{"cos", "(", 
       FractionBox[
        RowBox[{"2", "\[Pi]"}], "n"], ")"}], " ", "+", " ", 
      RowBox[{"i", " ", 
       RowBox[{"sin", "(", 
        FractionBox[
         RowBox[{"2", "\[Pi]"}], "n"], ")"}]}]}]}]}], TraditionalForm]]],
 "\n            \nis a root of the ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " "}], TraditionalForm]]],
 "-th cyclotomic polynomial\n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox[
      StyleBox["\[CapitalPhi]",
       FontSize->12], "n"], "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"x", "-", 
       SuperscriptBox[
        SubscriptBox["\[Omega]", "n"], 
        RowBox[{"(", 
         SubscriptBox["k", "1"], ")"}]]}], ")"}], "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"x", "-", 
       SuperscriptBox[
        SubscriptBox["\[Omega]", "n"], 
        RowBox[{"(", 
         SubscriptBox["k", "2"], ")"}]]}], ")"}], "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"x", "-", 
       SuperscriptBox[
        SubscriptBox["\[Omega]", "n"], 
        RowBox[{"(", 
         SubscriptBox["k", "3"], ")"}]]}], ")"}], "\[CenterDot]", 
     "\[Ellipsis]", "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"x", " ", "-", " ", 
       SuperscriptBox[
        SubscriptBox["\[Omega]", "n"], 
        RowBox[{"(", 
         SubscriptBox["k", "i"], ")"}]]}], ")"}]}]}], TraditionalForm]]],
 ",\n\nwhere ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["k", "1"], ",", " ", 
    SubscriptBox["k", "2"], ",", " ", 
    SubscriptBox["k", "3"], ",", " ", 
    RowBox[{"\[Ellipsis]", " ", 
     SubscriptBox["k", "i"]}]}], TraditionalForm]]],
 " are the integers from 1 to ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " which are coprime to ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Thus, the splitting field contains ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    SubscriptBox["\[Omega]", "n"], ")"}], TraditionalForm]]],
 ". Note that all powers of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Omega]", "n"], TraditionalForm]]],
 " are in this field, and so the ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " "}], TraditionalForm]]],
 "-th cyclotomic polynomial factors completely in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    SubscriptBox["\[Omega]", "n"]}], TraditionalForm]]],
 "). To find the dimension of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     RowBox[{"\[DoubleStruckCapitalQ]", "(", 
      SubscriptBox["\[Omega]", "n"]}],
     TraditionalForm], ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", we first let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "\[DoubleStruckCapitalQ]"], "(", 
     RowBox[{
      SubscriptBox["\[Omega]", "n"], ",", "x"}], ")"}]}], TraditionalForm]]],
 ", and use corollary 14.1.8 to show that the dimension of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    SubscriptBox["\[Omega]", "n"], ")"}], TraditionalForm]]],
 " over \[DoubleStruckCapitalQ] is the degree of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 ". But ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["w", "n"], TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox[
     StyleBox["\[CapitalPhi]",
      FontSize->12], "n"], "(", "x", ")"}], TraditionalForm]]],
 ", which has dimension ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "n", ")"}], TraditionalForm]]],
 " and is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "[", "x", "]"}], TraditionalForm]]],
 " by corollary 13.3.2. So the degree of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " is at most ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "n", ")"}], TraditionalForm]]],
 ". Therefore, the dimension of the splitting field of the ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox[
     StyleBox["\[CapitalPhi]",
      FontSize->12], "n"], "(", "x", ")"}], TraditionalForm]]],
 " is at most ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "n", ")"}], "."}], TraditionalForm]]]
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379283421875*^9, 3.437928347625*^9}}]
}, Open  ]],

Cell[TextData[{
 "In fact, the ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-th cyclotomic polynomial will always be irreducible, so in fact the \
splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[CapitalPhi]", "n"], "(", "x", ")"}], TraditionalForm]]],
 " will in fact have dimension ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "n", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ". However, we never officially proved that this polynomial is irreducible.\n\
\nIn all of the cases we have looked at, we found the splitting fields of \
irreducible polynomials. However, the polynomial does not have to be \
irreducible for it to have an interesting splitting field. Consider the \
polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], " ", "-", " ", 
    RowBox[{"5", " ", 
     SuperscriptBox["x", "2"]}], " ", "+", " ", "6"}], TraditionalForm]]],
 ". If we factor this over the rationals,"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928348109375*^9, 3.437928349046875*^9}}],

Cell["Factor[x^4 - 5 x^2 + 6]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437928349828125*^9, 3.43792835003125*^9}}],

Cell[TextData[{
 "We find that this factors! In fact, we can easily see all 4 roots:  \
\[PlusMinus]",
 Cell[BoxData[
  FormBox[
   SqrtBox["2"], TraditionalForm]]],
 " and \[PlusMinus] ",
 Cell[BoxData[
  FormBox[
   SqrtBox["3."], TraditionalForm]]],
 " If we define ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " to be the solution to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "2"], " ", "-", " ", "2"}], " ", "=", " ", "0"}], 
   TraditionalForm]]],
 ", (that is, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", " ", "=", "  ", 
    SqrtBox["2"]}], TraditionalForm]]],
 "), we have the following factorization in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    SqrtBox["2"], ")"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928350734375*^9, 3.437928350734375*^9}}],

Cell["\<\
InitDomain[0]
Define[a^2, 2]
Factor[x^4 - 5 x^2 + 6, a]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.43792835121875*^9, 3.437928351609375*^9}}],

Cell[TextData[{
 "The ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], " ", "-", " ", "3"}], TraditionalForm]]],
 " remains unfactored, as we would expect. Thus, we need to define ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " to solve ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "2"], " ", "-", " ", "3"}], " ", "=", " ", "0"}], 
   TraditionalForm]]],
 ","
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379283521875*^9, 3.437928352703125*^9}}],

Cell["Define[b^2, 3]", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "and factor the polynomial over the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", " ", 
     RowBox[{
      SqrtBox["2"], ",", " ", 
      SqrtBox["3"]}], ")"}], "."}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["Factor[x^4 - 5 x^2 + 6, a, b]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.437928353171875*^9, 3.43792835346875*^9}}],

Cell[TextData[{
 "Thus, we see that the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "-", " ", 
    RowBox[{"5", " ", "x\.b2"}], " ", "+", " ", "6"}], TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{
      SqrtBox["2"], ",", 
      SqrtBox["3"]}], ")"}], "."}], TraditionalForm]]],
 " This field is a four dimensional extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ".\n\nEXPERIMENT:                              \nFind the splitting field of \
the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], " ", "-", " ", 
    RowBox[{"10", " ", 
     SuperscriptBox["x", "2"]}], " ", "+", " ", "1."}], TraditionalForm]]],
 " What is the dimension of the splitting field over ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928353953125*^9, 3.437928360203125*^9}, {
  3.43792845359375*^9, 3.43792845409375*^9}}],

Cell["     ", "Input",
 PageWidth->Infinity],

Cell["\<\
These examples show that the splitting fields can vary dramatically from \
polynomial to polynomial. In the next chapter we will see how the splitting \
field can be used to actually solve a polynomial in terms of square roots and \
cube roots, whenever this is possible. But first, we need to explore some \
interesting properties of splitting fields.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Special Properties of Splitting Fields", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "In this section we will find out that splitting fields have special \
properties that most field extensions do not have. For example, we can define \
the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], "-", " ", "2"}], TraditionalForm]]],
 " as follows:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928456609375*^9, 3.437928456609375*^9}}],

Cell["\<\
InitDomain[0]
Define[a^3,2]
Define[b^2, - a^2 - a b]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "We can see whether the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", " ", "3"}], TraditionalForm]]],
 " factors in the splitting field:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928457546875*^9, 3.437928457546875*^9}}],

Cell["Factor[x^2 + 3, a, b]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.437928458203125*^9}],

Cell[TextData[{
 "Thus, we see that ",
 Cell[BoxData[
  FormBox[
   SqrtBox[
    RowBox[{"-", "3"}]], TraditionalForm]]],
 " is in the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{"a", ",", "b"}], ")"}], "."}], TraditionalForm]]],
 " Let us see\nif another polynomial factors in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 "\[LongDash]",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "6"], " ", "+", " ", "108"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928458953125*^9, 3.437928458953125*^9}}],

Cell["Factor[x^6 + 108, a, b]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.437928459484375*^9}],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", " ", "b"}], ")"}], TraditionalForm]]],
 " turns out to contain the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", 
     RowBox[{"6", " "}]], "+", " ", "108"}], TraditionalForm]]],
 "!\n\nEXPERIMENT:\nTry factoring the polynomial"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928459953125*^9, 3.437928459953125*^9}}],

Cell["x^6 + 6 x^4 - 12 x^3 + 36 x^2 - 36 x + 36", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4379284624375*^9, 3.4379284634375*^9}},
 FontFamily->"Courier New",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "over the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 ", which is the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", "2."}], TraditionalForm]]],
 " This polynomial was choosen to have a root in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 ". Does this polynomial factor completely in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 "?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928463984375*^9, 3.437928463984375*^9}}],

Cell["   ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "These examples reveal a startling fact: whenever an irreducible polynomial \
in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "[", "x", "]"}], TraditionalForm]]],
 " has just one root in a splitting field, then the polynomial factors \
completely in that splitting field. This property characterizes splitting \
fields from other extensions of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ".\n\nLEMMA 14.3.1\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be the splitting field of a polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ". Then if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " is an irreducible polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 " for which there is one root in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " factors completely in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792846475*^9, 3.437928466890625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["u", "1"], ",", 
    SubscriptBox["u", "2"], ",", " ", 
    SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
    SubscriptBox["u", "n"]}], TraditionalForm]]],
 "  be the roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Then\n\n                 ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{
     RowBox[{"F", "(", 
      RowBox[{
       SubscriptBox["u", "1"], ",", " ", 
       SubscriptBox["u", "2"], ",", " ", 
       SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
       SubscriptBox["u", "n"]}], ")"}], "."}]}], TraditionalForm]]],
 "\n\nSuppose that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " has one root ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Consider ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " as a polynomial in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 " be the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " be any other root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 " besides ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 ". To show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", "L"}], TraditionalForm]]],
 ", we need to show that ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", which would show that all roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " are in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ".\n\nBy proposition 14.1.9, there is an isomorphism ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " from ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "v", ")"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "w", ")"}], TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "v", ")"}], " ", "=", " ", "w"}], 
   TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "x", ")"}], " ", "=", " ", "x"}], 
   TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". (We let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Florin]", "(", "x", ")"}], " ", "=", " ", "x"}], ","}], 
   TraditionalForm]]],
 " the identity map, and let ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " both be the field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ".) By lemma 13.2.6 we can extend ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " to an isomorphism from ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", "v", ")"}], "[", "x", "]"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", "w", ")"}], "[", "x", "]"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", 
     RowBox[{"f", "(", "x", ")"}], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"f", "(", "x", ")"}], "."}]}], TraditionalForm]]],
 "\n\nWe now want to consider the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "w", ")"}], TraditionalForm]]],
 ". We have\n\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"K", "(", "w", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"F", "(", 
      RowBox[{
       SubscriptBox["u", "1"], ",", " ", 
       SubscriptBox["u", "2"], ",", " ", 
       SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
       SubscriptBox["u", "n"], ",", " ", "w"}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"F", "(", 
       RowBox[{"w", ",", " ", 
        SubscriptBox["u", "1"], ",", " ", 
        SubscriptBox["u", "2"], ",", " ", 
        SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
        SubscriptBox["u", "n"]}], ")"}], "."}]}]}], TraditionalForm]]],
 "\n\nThus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "w", ")"}], TraditionalForm]]],
 " is the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " over the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", "w", ")"}], "."}], TraditionalForm]]],
 " Since ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", \n\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"K", " ", "=", " ", 
     RowBox[{
      RowBox[{"K", "(", "v", ")"}], " ", "=", " ", 
      RowBox[{
       RowBox[{"F", "(", 
        RowBox[{
         SubscriptBox["u", "1"], ",", " ", 
         SubscriptBox["u", "2"], ",", " ", 
         SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
         SubscriptBox["u", "n"], ",", " ", "v"}], ")"}], " ", "=", " ", 
       RowBox[{"F", "(", 
        RowBox[{"v", ",", " ", 
         SubscriptBox["u", "1"], ",", " ", 
         SubscriptBox["u", "2"], ",", " ", 
         SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
         SubscriptBox["u", "n"]}], ")"}]}]}]}], ","}], TraditionalForm]]],
 "\n\nso ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " over the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "v", ")"}], TraditionalForm]]],
 ".\n\nConsequently proposition 14.2.2 shows us that the isomorphism ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " from ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "v", ")"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "w", ")"}], TraditionalForm]]],
 " extends to an isomorphism ",
 Cell[BoxData[
  FormBox["\[Mu]", TraditionalForm]]],
 " from ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "w", ")"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "v", ")"}], " ", "=", " ", "w"}], 
   TraditionalForm]]],
 ". Also, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Mu]", "(", "x", ")"}], " ", "=", " ", "x"}], 
   TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Thus, we can use corollary 14.1.3 to show that ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "w", ")"}], TraditionalForm]]],
 " have the same dimension over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". By proposition 14.1.11, the dimension of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "w", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " equals the dimension of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "w", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " times the dimension of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Therefore, the dimension of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "w", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " must be 1, so ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Therefore, every root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", so ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " factors completely in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928467828125*^9, 3.437928475296875*^9}}]
}, Open  ]],

Cell[TextData[{
 "EXPERIMENT:            \nTry factoring the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "6"], "+", " ", 
    SuperscriptBox["x", "3"], " ", "-", " ", "6"}], TraditionalForm]]],
 " over the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 ", the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", "2"}], TraditionalForm]]],
 ". Notice that this polynomial factors, but does not factor completely in \
this field. Why doesn't this example contradict lemma 14.3.1?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792847790625*^9, 3.43792847878125*^9}}],

Cell["   ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "The fact that the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "6"], "+", " ", "108"}], TraditionalForm]]],
 " is the same as the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", "2"}], TraditionalForm]]],
 " reveals another curious property of splitting fields. Rather than having \
to make an \"extension of an extension\" to define the splitting field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 ", we could have defined the same field using a single extension of the \
element ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox[
   RowBox[{"w", " ", "=", " ", 
    RadicalBox[
     RowBox[{"-", "108"}], "6"]}], TraditionalForm]]],
 ". This is done with the two commands:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792847946875*^9, 3.437928479984375*^9}}],

Cell["\<\
InitDomain[0]
Define[w^6, -108]   \
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "\nDEFINITION:\nWe say that a finite extension of a field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is called a ",
 StyleBox["simple extension",
  FontSlant->"Italic"],
 "  if it can be expressed as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "(", "a", ")"}], TraditionalForm]]],
 " for some element ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ".\n\nWhat we have observed is that the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", "2"}], TraditionalForm]]],
 ", even though it was originally described as an extension of an extension, \
is in fact a simple extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", of dimension six.\n\nLet us show, using the splitting fields, that an \
extension of an extension will usually form a simple extension.\n\n\
PROPOSITION 14.3.2\nLet ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be a field, and let ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a finite dimensional extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Suppose that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{"F", "(", 
     RowBox[{"u", ",", " ", "v"}], ")"}]}], TraditionalForm]]],
 " with ",
 Cell[BoxData[
  FormBox[
   RowBox[{"u", ",", 
    RowBox[{"v", " ", "\[Epsilon]", " ", "K"}]}], TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 " be the splitting field of the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"v", ",", " ", "x"}], ")"}]}], TraditionalForm]]],
 ", and suppose that there are no multiple roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ". Then there is an element ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{"F", "(", "w", ")"}]}], TraditionalForm]]],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928484859375*^9, 3.43792848684375*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "If ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is a finite field, then ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " will also be a finite field, we can simply let ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " be a generator of the multiplicative group ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["K", "*"], TraditionalForm]]],
 ", using proposition 13.2.1. Thus, we will assume that ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is an infinite field. Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"u", ",", "x"}], ")"}]}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"v", ",", "x"}], ")"}]}], TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " be the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " over the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "u", ")"}], TraditionalForm]]],
 ".  Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " factors completely in ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 " without double roots, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " will also factor completely in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " without double roots.  Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"v", " ", "=", " ", 
     SubscriptBox["v", "1"]}], ",", " ", 
    SubscriptBox["v", "2"], ",", " ", 
    SubscriptBox["v", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
    SubscriptBox["v", "k"]}], TraditionalForm]]],
 " be the distinct roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "."}], TraditionalForm]]],
 " \n\nSince ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", there is at least one root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Even though ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " may not factor completely in the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", ","}], TraditionalForm]]],
 " we can let  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"u", " ", "=", " ", 
     SubscriptBox["u", "1"]}], ",", " ", 
    SubscriptBox["u", "2"], ",", " ", 
    SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", " ", ",", " ", 
    SubscriptBox["u", "n"]}], TraditionalForm]]],
 "  be the roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ".\n\nSince ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is an infinite field, we can pick some element ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", such that\n\n                ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", " ", "\[NotEqual]", " ", 
    StyleBox[
     FractionBox[
      RowBox[{
       SubscriptBox["u", "i"], "-", " ", "u"}], 
      RowBox[{"v", "-", 
       SubscriptBox["v", "p"]}]],
     FontSize->16]}], TraditionalForm]]],
 "   for all   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
    "1", " ", "\[LessEqual]", " ", "i", " ", "\[LessEqual]", " ", "n"}], ",", 
    "  ", 
    RowBox[{"1", " ", "<", " ", "p", " ", "\[LessEqual]", " ", 
     RowBox[{"k", "."}]}]}], TraditionalForm]]],
 "\n                \nFinally, we let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"w", " ", "=", " ", 
    RowBox[{"u", " ", "+", " ", 
     RowBox[{"y", " ", "v"}]}]}], TraditionalForm]]],
 ". Let us show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{"F", "(", "w", ")"}]}], TraditionalForm]]],
 ". To show that ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "w", ")"}], TraditionalForm]]],
 ", let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"h", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"f", "(", 
     RowBox[{"w", " ", "-", " ", 
      RowBox[{"y", " ", "x"}]}], ")"}]}], TraditionalForm]]],
 ", and note that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"h", "(", "v", ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"f", "(", 
       RowBox[{"u", " ", "+", " ", 
        RowBox[{"y", " ", "v"}], " ", "-", " ", 
        RowBox[{"y", " ", "v"}]}], ")"}], " ", "=", " ", 
      RowBox[{
       RowBox[{"f", "(", "u", ")"}], " ", "=", " ", "0"}]}]}], ","}], 
   TraditionalForm]]],
 " so ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"h", "(", "x", ")"}], "."}], TraditionalForm]]],
 " If one of the other roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"h", "(", "x", ")"}], ","}], TraditionalForm]]],
 " then\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"w", " ", "-", " ", 
     RowBox[{"y", " ", 
      SubscriptBox["v", "p"]}]}], "  ", "=", " ", 
    RowBox[{
     RowBox[{"u", " ", "+", " ", 
      RowBox[{"y", " ", "v"}], " ", "-", " ", 
      RowBox[{"y", " ", 
       SubscriptBox["v", "p"]}]}], "  ", "=", " ", 
     SubscriptBox["u", "i"]}]}], TraditionalForm]]],
 "  for some ",
 Cell[BoxData[
  FormBox["p", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["i", TraditionalForm]]],
 ", which would give us\n\n                              ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", " "}], TraditionalForm]]],
 "= ",
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{
     SubscriptBox["u", 
      RowBox[{"i", " "}]], "-", " ", "u"}], 
    RowBox[{"v", " ", "-", " ", 
     SubscriptBox["v", "p"]}]], TraditionalForm]],
  FontSize->16],
 "\n\nand we specifically chose ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " so that it would avoid these values. Thus, there is only one root in \
common between ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "x", ")"}], TraditionalForm]]],
 " in the field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ".\n\nLet ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"r", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["Irr", 
       RowBox[{"F", "(", "w", ")"}]], "(", 
      RowBox[{"v", ",", " ", "x"}], ")"}], "."}]}], TraditionalForm]]],
 " Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", "(", "x", ")"}], TraditionalForm]]],
 " divides the polynomials ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"h", "(", "x", ")"}], ","}], TraditionalForm]]],
 " since both polynomials have ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " as a root. In fact, we have seen that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "x", ")"}], TraditionalForm]]],
 " have no other roots in common, so ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", "(", "x", ")"}], TraditionalForm]]],
 " has only one root in the field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". But ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " splits completely in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", and has no multiple roots in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", "(", "x", ")"}], TraditionalForm]]],
 " has degree = 1, and in fact ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"r", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"x", " ", "-", " ", "v"}]}], TraditionalForm]]],
 ". This \nproves that ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "w", ")"}], TraditionalForm]]],
 ". To see that ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "w", ")"}], TraditionalForm]]],
 ", we note that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"u", " ", "=", " ", 
    RowBox[{
     RowBox[{"y", " ", "v"}], " ", "-", " ", 
     RowBox[{"w", "."}]}]}], TraditionalForm]]],
 " Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", 
    RowBox[{"u", ",", "v"}], ")"}], TraditionalForm]]],
 " is contained in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", "w", ")"}], ","}], TraditionalForm]]],
 " while ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "w", ")"}], TraditionalForm]]],
 " is obviously contained in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", 
     RowBox[{"u", ",", "v"}], ")"}], "."}], TraditionalForm]]],
 " Therefore, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", 
     RowBox[{"u", ",", "v"}], ")"}], " ", "=", " ", 
    RowBox[{"F", "(", "w", ")"}]}], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792848771875*^9, 3.4379285035*^9}}]
}, Open  ]],

Cell[TextData[{
 "\nWe can easily extend this result by induction to any number of extensions \
of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ".\n\nCOROLLARY 14.3.3\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a finite dimensional extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", with ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{"F", "(", 
     RowBox[{
      SubscriptBox["u", "1"], ",", " ", 
      SubscriptBox["u", "2"], ",", " ", 
      SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", 
      SubscriptBox["u", "n"]}], ")"}]}], TraditionalForm]]],
 ", and suppose that none of the polynomials ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Irr", "F"], "(", 
    SubscriptBox["u", "i"], ")"}], TraditionalForm]]],
 " have multiple roots in each of their splitting fields. Then there exists \
an element ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{
     RowBox[{"F", "(", "w", ")"}], "."}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We will proceed by induction on ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", "1"}], TraditionalForm]]],
 ", we can let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"w", " ", "=", " ", 
    FormBox[
     SubscriptBox["u", "1"],
     TraditionalForm]}], TraditionalForm]]],
 ", and there is nothing to prove. If ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"n", " ", "=", " ", "2"}], ","}], TraditionalForm]]],
 " we can use proposition 14.3.2 to find ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 ". Suppose that the corollary is true for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", "k"}], TraditionalForm]]],
 ". That is, we have found a ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", "u", ")"}], " ", "=", " ", 
    RowBox[{"F", "(", 
     RowBox[{
      SubscriptBox["u", "1"], ",", " ", 
      SubscriptBox["u", "2"], ",", " ", 
      SubscriptBox["u", "3"], ",", " ", 
      RowBox[{"\[Ellipsis]", " ", 
       SubscriptBox["u", "k"]}]}], ")"}]}], TraditionalForm]]],
 ". To prove the corollary for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", 
    RowBox[{"k", "+", "1"}]}], TraditionalForm]]],
 ", we let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", " ", "=", " ", 
    SubscriptBox["u", 
     RowBox[{"k", "+", "1"}]]}], TraditionalForm]]],
 ", and since the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "R"], "(", 
     SubscriptBox["u", 
      RowBox[{"k", "+", "1"}]], ")"}]}], TraditionalForm]]],
 " does not have multiple roots in its splitting field ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ", we can use proposition 14.3.2 to find a ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", "w", ")"}], " ", "=", " ", 
    RowBox[{"F", "(", 
     RowBox[{"u", ",", "v"}], ")"}]}], TraditionalForm]]],
 ". But then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", "w", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"F", "(", 
      RowBox[{
       SubscriptBox["u", "1"], ",", " ", 
       SubscriptBox["u", "2"], ",", " ", 
       SubscriptBox["u", "3"], ",", " ", 
       RowBox[{"\[Ellipsis]", " ", 
        SubscriptBox["u", 
         RowBox[{"k", "+", "1"}]]}]}], ")"}], "."}]}], TraditionalForm]]],
 " Thus, the corollary is true for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", 
    RowBox[{"k", "+", "1"}]}], TraditionalForm]]],
 ", and hence is true for all positive values of ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4379285079375*^9, 3.4379285079375*^9}}]
}, Open  ]],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " has a function ",
 StyleBox["SimpleExtension",
  FontWeight->"Bold"],
 " which finds one of the many elements ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " for which the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{"a", ",", " ", "b", ",", " ", "\[Ellipsis]"}], ")"}], " ", "=", 
    " ", 
    RowBox[{"\[DoubleStruckCapitalQ]", "(", "w", ")"}]}], TraditionalForm]]],
 ". For example, the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", 
    RowBox[{"2", " ", "is", " ", 
     RowBox[{"Q", "(", 
      RowBox[{"a", ",", "b"}], ")"}]}]}], TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["a", "3"], " ", "=", " ", "2"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["b", "2"], " ", "=", " ", 
    RowBox[{
     RowBox[{"-", " ", 
      SuperscriptBox["a", "2"]}], " ", "-", " ", 
     RowBox[{"a", " ", 
      RowBox[{"b", "."}]}]}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928508640625*^9, 3.437928508640625*^9}}],

Cell["\<\
InitDomain[0]
Define[a^3, 2]   
Define[b^2, - a^2 - a b]\
\>", "Input",
 PageWidth->Infinity],

Cell["\<\
To find an element in this field which forms a simple extension, we compute\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["SimpleExtension[a,b]", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "This shows that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{"a", ",", "b"}], ")"}], " ", "=", " ", 
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{
      RowBox[{"2", "a"}], " ", "+", " ", "b"}], ")"}]}], TraditionalForm]]],
 ", which is a simple extension. What element is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"2", "a"}], " ", "+", " ", 
    RowBox[{"b", "?"}]}], TraditionalForm]]],
 " Let us compute its sixth power."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["Expand[Expand[(2a+b)^6]]", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Thus, we see that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"2", "a"}], " ", "+", " ", "b"}], TraditionalForm]]],
 " is one root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "6"], " ", "+", " ", "108."}], TraditionalForm]]],
 "\n\nHow does this command work? The key is in the proof of proposition \
14.3.2. Within the proof, we found that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", 
     RowBox[{"u", ",", "v"}], ")"}], " ", "=", " ", 
    RowBox[{"F", "(", 
     RowBox[{"u", " ", "+", " ", 
      RowBox[{"y", " ", "v"}]}], ")"}]}], TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " is any number such that \n\n                ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", " ", "\[NotEqual]", " ", 
    StyleBox[
     FractionBox[
      RowBox[{
       SubscriptBox["u", "i"], "-", " ", "u"}], 
      RowBox[{"v", "-", 
       SubscriptBox["v", "p"]}]],
     FontSize->16]}], TraditionalForm]]],
 "  "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792850940625*^9, 3.43792850940625*^9}}],

Cell[TextData[{
 "whenever ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["u", "i"], TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SubscriptBox["Irr", "F"],
     TraditionalForm], "(", 
    RowBox[{"u", ",", "x"}], ")"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["v", "p"], TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Irr", "F"], "(", 
    RowBox[{"v", ",", "x"}], ")"}], TraditionalForm]]],
 ".\n\nLet us try another example. Consider the splitting field of  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "-", " ", 
    RowBox[{"5", " ", "x\.b2"}], " ", "+", " ", "6"}], TraditionalForm]]],
 ", which is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{
     SqrtBox["2"], ",", 
     SqrtBox["3"]}], ")"}], TraditionalForm]]],
 ". Since this field is the splitting field of a polynomial without multiple \
roots, we can apply proposition 14.3.2 to show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{
      SqrtBox["2"], ",", 
      SqrtBox["3"]}], ")"}], " ", "=", " ", 
    RowBox[{"\[DoubleStruckCapitalQ]", "(", "w", ")"}]}], TraditionalForm]]],
 " for some element ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 ". But what is that element? \n\nNote that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["Irr", "\[DoubleStruckCapitalQ]"], "(", 
      SqrtBox["2"], ")"}], " ", "=", " ", 
     RowBox[{
      SuperscriptBox["x", "2"], " ", "-", " ", "2"}]}], ","}], 
   TraditionalForm]]],
 " which has roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[PlusMinus]", 
    RowBox[{
     SqrtBox["2"], " ", "."}]}], TraditionalForm]]],
 " Likewise, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["Irr", "\[DoubleStruckCapitalQ]"], "(", 
      SqrtBox["3"], ")"}], " ", "=", " ", 
     RowBox[{
      SuperscriptBox["x", "2"], " ", "-", " ", "3"}]}], ","}], 
   TraditionalForm]]],
 " which has roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[PlusMinus]", 
    RowBox[{
     SqrtBox["3"], "."}]}], TraditionalForm]]],
 " Hence, we must pick a rational value of ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " which is not equal to\n\n                  ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    FractionBox[
     RowBox[{
      RowBox[{"\[PlusMinus]", 
       SqrtBox["2"]}], "-", " ", 
      SqrtBox["2"]}], 
     RowBox[{
      SqrtBox["3"], "\[PlusMinus]", 
      SqrtBox["3"]}]],
    FontSize->16], TraditionalForm]]],
 "\n\nThat is, ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " cannot equal 0 or ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", 
    SqrtBox[
     RowBox[{"2", "/", "3"}]]}], TraditionalForm]]],
 ". Any other rational value of ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " will do, so for convenience we can take ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", " ", "=", " ", "1"}], TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"w", " ", "=", " ", 
    RowBox[{
     RowBox[{"u", " ", "+", " ", 
      RowBox[{"y", " ", "v"}]}], " ", "=", " ", 
     RowBox[{
      SqrtBox["2"], " ", "+", " ", 
      RowBox[{
       SqrtBox["3"], "."}]}]}]}], TraditionalForm]]],
 "\n\nWe can also have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " find an element ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " for us."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43792851015625*^9, 3.437928513765625*^9}}],

Cell["\<\
InitDomain[0]
Define[a^2, 2]   
Define[b^2, 3]
SimpleExtension[a,b]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Thus ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " verifies that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{
      SqrtBox["2"], ",", 
      SqrtBox["3"]}], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"\[DoubleStruckCapitalQ]", "(", 
      RowBox[{
       SqrtBox["2"], " ", "+", " ", 
       SqrtBox["3"]}], ")"}], "."}]}], TraditionalForm]]],
 " \n            \nIt is curious to note that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SqrtBox["2"],
     TraditionalForm], " ", "+", 
    FormBox[
     SqrtBox["3"],
     TraditionalForm]}], TraditionalForm]]],
 " is one of the roots of the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "-", " ", 
    RowBox[{"10", " ", 
     SuperscriptBox["x", "2"]}], " ", "+", " ", "1."}], TraditionalForm]]],
 " Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "-", " ", 
    RowBox[{"10", " ", 
     SuperscriptBox["x", "2"]}], " ", "+", " ", "1"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SuperscriptBox["x", "4"], "-", " ", 
     RowBox[{"5", " ", 
      SuperscriptBox["x", "2"]}], " ", "+", " ", "6"}]}], TraditionalForm]]],
 " have the same splitting field, even though one of the polynomials factors \
over the rationals while the other doesn't.\n\nThe fact that we can convert \
an extension of an extension to a simple extension will simplify many of the \
proofs involving splitting fields. In particular, it will allow us to explore \
the automorphisms of the splitting fields. In the next chapter we will \
discover that the automorphisms of the splitting fields determine much of the \
information about the roots of the polynomial, and whether they can be \
expressed in terms of square roots and cube roots. This beautiful correlation \
is referred to as Galois theory."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928517875*^9, 3.437928520484375*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Problems", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["", "Input",
 PageWidth->Infinity,
 FontFamily->"System",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[1, 0, 0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "                  MATHEMATICA PROBLEMS:\n\n14.1 ) Define the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    SqrtBox[
     RowBox[{"-", "3"}]], ")"}], TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". Use the     \n     ",
 StyleBox["CheckField",
  FontWeight->"Bold"],
 " command to show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", " ", 
    RowBox[{"1", ",", 
     SqrtBox[
      RowBox[{"-", "3"}]]}], " ", "}"}], TraditionalForm]]],
 " is a\n     basis. What is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"1", "/", 
    RowBox[{"(", 
     RowBox[{"5", " ", "+", " ", 
      SqrtBox[
       RowBox[{"-", "3"}]]}], " ", ")"}]}], TraditionalForm]]],
 "?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["    ", "Input",
 PageWidth->Infinity],

Cell["    Answer here:", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "14.2 ) Define the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    SqrtBox["5"], ")"}], TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". Does the \n      polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], " ", "+", " ", 
    RowBox[{"4", " ", "x"}], " ", "-", " ", "1"}], TraditionalForm]]],
 " factor in this field?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928522265625*^9, 3.437928522671875*^9}}],

Cell["     ", "Input",
 PageWidth->Infinity],

Cell["    Factorization:", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "  \n14.3 ) Define the splitting field of the polynomial \n      ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "+", " ", 
    SuperscriptBox["x", "2"], " ", "-", " ", 
    RowBox[{"4", " ", "x"}], " ", "+", " ", "1"}], TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". What is its\n      dimension over \[DoubleStruckCapitalQ]?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928523203125*^9, 3.437928523921875*^9}}],

Cell["      ", "Input",
 PageWidth->Infinity],

Cell["    Dimension of Splitting Field:", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "\n14.4 ) Define the splitting field of the polynomial\n      ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "+", " ", 
    SuperscriptBox["x", "4"], "-", " ", 
    RowBox[{"4", " ", 
     SuperscriptBox["x", "3"]}], "-", " ", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "2"]}], " ", "+", " ", 
    RowBox[{"3", " ", "x"}], " ", "+", " ", "1"}], TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". \n      What is its dimension over \[DoubleStruckCapitalQ]?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928524421875*^9, 3.437928525671875*^9}}],

Cell["    ", "Input",
 PageWidth->Infinity],

Cell["    Dimension of Splitting Field:", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "\n14.5 ) Define the splitting field of the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "-", " ", "2"}], TraditionalForm]]],
 "\n      in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". What is its dimension over \[DoubleStruckCapitalQ]?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928526546875*^9, 3.437928526546875*^9}}],

Cell["        ", "Input",
 PageWidth->Infinity],

Cell["    Dimension of Splitting Field:", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "\n14.6 ) Define the splitting field of the polynomial \n     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "+", " ", 
    RowBox[{"20", " ", "x"}], " ", "+", " ", "16"}], TraditionalForm]]],
 " in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". What is its \n     dimension over Q?\n     (Note: this problem takes more \
computing time than \n     the above problems.)"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.437928527234375*^9, 3.43792852765625*^9}}],

Cell["     ", "Input",
 PageWidth->Infinity],

Cell["    Dimension of Splitting Field:", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]]
},
AutoGeneratedPackage->None,
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{518, 446},
WindowMargins->{{-1, Automatic}, {Automatic, 0}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
Magnification->1.5,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 322, 9, 222, "Special2",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[915, 34, 285, 8, 29, "Name",
 Evaluatable->False],
Cell[1203, 44, 709, 16, 70, "Name",
 Evaluatable->False]
}, Closed]],
Cell[1927, 63, 263, 12, 146, "Title",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[2215, 79, 104, 3, 32, "Special2",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[2344, 86, 175, 4, 43, "Input",
 InitializationCell->True],
Cell[2522, 92, 94, 1, 32, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2665, 99, 148, 3, 105, "Section",
 Evaluatable->False],
Cell[2816, 104, 526, 9, 164, "Text",
 Evaluatable->False],
Cell[3345, 115, 3334, 129, 311, "Text",
 Evaluatable->False],
Cell[6682, 246, 213, 5, 66, "Text",
 Evaluatable->False],
Cell[6898, 253, 1754, 58, 141, "Text",
 Evaluatable->False],
Cell[8655, 313, 1694, 47, 164, "Text",
 Evaluatable->False],
Cell[10352, 362, 1163, 39, 188, "Text",
 Evaluatable->False],
Cell[11518, 403, 618, 13, 164, "Text",
 Evaluatable->False],
Cell[12139, 418, 2731, 87, 311, "Text",
 Evaluatable->False],
Cell[14873, 507, 4170, 143, 239, "Text",
 Evaluatable->False],
Cell[19046, 652, 1956, 69, 237, "Text",
 Evaluatable->False],
Cell[21005, 723, 2447, 72, 369, "Text",
 Evaluatable->False],
Cell[23455, 797, 547, 14, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[24027, 815, 493, 15, 98, "Input"],
Cell[24523, 832, 108, 1, 32, "Print"],
Cell[24634, 835, 74, 1, 42, "Output"]
}, Open  ]],
Cell[24723, 839, 1223, 31, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[25971, 874, 441, 13, 98, "Input"],
Cell[26415, 889, 372, 11, 68, "Output"]
}, Open  ]],
Cell[26802, 903, 890, 20, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[27717, 927, 213, 5, 43, "Input"],
Cell[27933, 934, 191, 6, 60, "Output"]
}, Open  ]],
Cell[28139, 943, 1199, 30, 102, "Text",
 Evaluatable->False],
Cell[29341, 975, 1332, 47, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[30698, 1026, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[30786, 1030, 12051, 387, 1031, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[42852, 1420, 7406, 234, 1473, "Text",
 Evaluatable->False],
Cell[50261, 1656, 2035, 74, 237, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[52321, 1734, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[52409, 1738, 14200, 455, 999, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[66624, 2196, 1325, 46, 188, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[67974, 2246, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[68062, 2250, 1870, 66, 204, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[69947, 2319, 2720, 98, 605, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[72692, 2421, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[72780, 2425, 9500, 321, 652, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[82295, 2749, 2746, 101, 545, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[85066, 2854, 85, 2, 40, "Subsubsection",
 Evaluatable->False],
Cell[85154, 2858, 2355, 93, 174, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[87524, 2954, 3810, 136, 515, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[91359, 3094, 85, 2, 40, "Subsubsection",
 Evaluatable->False],
Cell[91447, 3098, 9582, 318, 825, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[101044, 3419, 605, 20, 99, "Text",
 Evaluatable->False],
Cell[101652, 3441, 52, 1, 41, "Input"],
Cell[101707, 3444, 405, 16, 47, "Text",
 Evaluatable->False],
Cell[102115, 3462, 53, 1, 41, "Input"],
Cell[102171, 3465, 382, 13, 73, "Text",
 Evaluatable->False],
Cell[102556, 3480, 62, 1, 41, "Input"],
Cell[102621, 3483, 201, 5, 73, "Text",
 Evaluatable->False],
Cell[102825, 3490, 54, 1, 41, "Input"],
Cell[102882, 3493, 3192, 113, 547, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[106099, 3610, 85, 2, 40, "Subsubsection",
 Evaluatable->False],
Cell[106187, 3614, 6518, 222, 661, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[112720, 3839, 3757, 125, 707, "Text",
 Evaluatable->False],
Cell[116480, 3966, 1918, 65, 317, "Text",
 Evaluatable->False],
Cell[118401, 4033, 85, 4, 64, "Input"],
Cell[118489, 4039, 373, 9, 125, "Text",
 Evaluatable->False],
Cell[118865, 4050, 55, 1, 41, "Input"],
Cell[118923, 4053, 42, 1, 41, "Input"],
Cell[118968, 4056, 42, 1, 41, "Input"],
Cell[119013, 4059, 511, 17, 99, "Text",
 Evaluatable->False],
Cell[119527, 4078, 60, 1, 41, "Input"],
Cell[119590, 4081, 111, 2, 47, "Text",
 Evaluatable->False],
Cell[119704, 4085, 42, 1, 41, "Input"],
Cell[119749, 4088, 1841, 63, 307, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[121615, 4155, 85, 2, 40, "Subsubsection",
 Evaluatable->False],
Cell[121703, 4159, 2607, 95, 260, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[124325, 4257, 1704, 61, 229, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[126054, 4322, 85, 2, 40, "Subsubsection",
 Evaluatable->False],
Cell[126142, 4326, 1563, 56, 128, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[127720, 4385, 5667, 202, 775, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[133412, 4591, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[133500, 4595, 5790, 206, 538, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[139305, 4804, 2530, 95, 262, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[141860, 4903, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[141948, 4907, 879, 32, 77, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[142842, 4942, 5239, 180, 746, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[148106, 5126, 85, 2, 40, "Subsubsection",
 Evaluatable->False],
Cell[148194, 5130, 20409, 691, 1636, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[168618, 5824, 369, 9, 115, "Text",
 Evaluatable->False]
}, Open  ]],
Cell[CellGroupData[{
Cell[169024, 5838, 89, 2, 105, "Section",
 Evaluatable->False],
Cell[169116, 5842, 887, 21, 317, "Text",
 Evaluatable->False],
Cell[170006, 5865, 89, 5, 88, "Input"],
Cell[170098, 5872, 566, 20, 188, "Text",
 Evaluatable->False],
Cell[170667, 5894, 91, 5, 88, "Input"],
Cell[170761, 5901, 5498, 182, 1150, "Text",
 Evaluatable->False],
Cell[176262, 6085, 1894, 70, 262, "Text",
 Evaluatable->False],
Cell[178159, 6157, 2363, 69, 685, "Text",
 Evaluatable->False],
Cell[180525, 6228, 2035, 74, 213, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[182585, 6306, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[182673, 6310, 14200, 455, 954, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[196888, 6768, 1325, 46, 188, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[198238, 6818, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[198326, 6822, 1870, 66, 184, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[200211, 6891, 2720, 98, 556, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[202956, 6993, 85, 2, 40, "Subsubsection",
 Evaluatable->False],
Cell[203044, 6997, 9500, 321, 631, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[212559, 7321, 2746, 101, 545, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[215330, 7426, 85, 2, 40, "Subsubsection",
 Evaluatable->False],
Cell[215418, 7430, 2355, 93, 174, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[217788, 7526, 3810, 136, 515, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[221623, 7666, 85, 2, 40, "Subsubsection",
 Evaluatable->False],
Cell[221711, 7670, 9582, 318, 825, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[231308, 7991, 605, 20, 99, "Text",
 Evaluatable->False],
Cell[231916, 8013, 52, 1, 41, "Input"],
Cell[231971, 8016, 405, 16, 47, "Text",
 Evaluatable->False],
Cell[232379, 8034, 53, 1, 41, "Input"],
Cell[232435, 8037, 382, 13, 73, "Text",
 Evaluatable->False],
Cell[232820, 8052, 62, 1, 41, "Input"],
Cell[232885, 8055, 201, 5, 73, "Text",
 Evaluatable->False],
Cell[233089, 8062, 54, 1, 41, "Input"],
Cell[233146, 8065, 3192, 113, 547, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[236363, 8182, 85, 2, 40, "Subsubsection",
 Evaluatable->False],
Cell[236451, 8186, 6518, 222, 661, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[242984, 8411, 3757, 125, 707, "Text",
 Evaluatable->False],
Cell[246744, 8538, 1918, 65, 317, "Text",
 Evaluatable->False],
Cell[248665, 8605, 85, 4, 64, "Input"],
Cell[248753, 8611, 373, 9, 125, "Text",
 Evaluatable->False],
Cell[249129, 8622, 55, 1, 41, "Input"],
Cell[249187, 8625, 42, 1, 41, "Input"],
Cell[249232, 8628, 42, 1, 41, "Input"],
Cell[249277, 8631, 511, 17, 99, "Text",
 Evaluatable->False],
Cell[249791, 8650, 60, 1, 41, "Input"],
Cell[249854, 8653, 111, 2, 47, "Text",
 Evaluatable->False],
Cell[249968, 8657, 42, 1, 41, "Input"],
Cell[250013, 8660, 1841, 63, 307, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[251879, 8727, 85, 2, 40, "Subsubsection",
 Evaluatable->False],
Cell[251967, 8731, 2607, 95, 260, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[254589, 8829, 1704, 61, 229, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[256318, 8894, 85, 2, 40, "Subsubsection",
 Evaluatable->False],
Cell[256406, 8898, 1563, 56, 128, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[257984, 8957, 5667, 202, 775, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[263676, 9163, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[263764, 9167, 5790, 206, 538, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[269569, 9376, 2530, 95, 262, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[272124, 9475, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[272212, 9479, 879, 32, 77, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[273106, 9514, 5239, 180, 644, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[278370, 9698, 85, 2, 40, "Subsubsection",
 Evaluatable->False],
Cell[278458, 9702, 20409, 691, 1868, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[298882, 10396, 369, 9, 90, "Text",
 Evaluatable->False]
}, Closed]],
Cell[CellGroupData[{
Cell[299288, 10410, 89, 2, 58, "Section",
 Evaluatable->False],
Cell[299380, 10414, 1347, 42, 215, "Text",
 Evaluatable->False],
Cell[300730, 10458, 132, 2, 43, "Input"],
Cell[300865, 10462, 640, 21, 115, "Text",
 Evaluatable->False],
Cell[301508, 10485, 89, 4, 66, "Input"],
Cell[301600, 10491, 517, 15, 137, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[302142, 10510, 130, 2, 43, "Input"],
Cell[302275, 10514, 387, 12, 48, "Input"]
}, Open  ]],
Cell[302677, 10529, 659, 18, 141, "Text",
 Evaluatable->False],
Cell[303339, 10549, 125, 2, 43, "Input"],
Cell[303467, 10553, 476, 17, 73, "Text",
 Evaluatable->False],
Cell[303946, 10572, 74, 4, 66, "Input"],
Cell[304023, 10578, 368, 11, 43, "Text",
 Evaluatable->False],
Cell[304394, 10591, 27, 0, 43, "Input"],
Cell[304424, 10593, 668, 23, 76, "Text",
 Evaluatable->False],
Cell[305095, 10618, 74, 4, 66, "Input"],
Cell[305172, 10624, 329, 10, 43, "Text",
 Evaluatable->False],
Cell[305504, 10636, 99, 2, 43, "Input"],
Cell[305606, 10640, 1499, 49, 145, "Text",
 Evaluatable->False],
Cell[307108, 10691, 62, 1, 43, "Input"],
Cell[307173, 10694, 428, 15, 43, "Text",
 Evaluatable->False],
Cell[307604, 10711, 102, 2, 43, "Input"],
Cell[307709, 10715, 1920, 59, 218, "Text",
 Evaluatable->False],
Cell[309632, 10776, 43, 1, 43, "Input"],
Cell[309678, 10779, 555, 15, 92, "Text",
 Evaluatable->False],
Cell[310236, 10796, 121, 2, 43, "Input"],
Cell[310360, 10800, 185, 7, 41, "Text",
 Evaluatable->False],
Cell[310548, 10809, 79, 4, 66, "Input"],
Cell[310630, 10815, 424, 15, 43, "Text",
 Evaluatable->False],
Cell[311057, 10832, 126, 2, 43, "Input"],
Cell[311186, 10836, 263, 8, 66, "Text",
 Evaluatable->False],
Cell[311452, 10846, 85, 1, 43, "Input"],
Cell[311540, 10849, 447, 16, 43, "Text",
 Evaluatable->False],
Cell[311990, 10867, 130, 2, 43, "Input"],
Cell[312123, 10871, 208, 7, 41, "Text",
 Evaluatable->False],
Cell[312334, 10880, 137, 4, 66, "Input"],
Cell[312474, 10886, 478, 16, 43, "Text",
 Evaluatable->False],
Cell[312955, 10904, 130, 2, 43, "Input"],
Cell[313088, 10908, 231, 7, 66, "Text",
 Evaluatable->False],
Cell[313322, 10917, 112, 3, 43, "Input"],
Cell[313437, 10922, 498, 17, 43, "Text",
 Evaluatable->False],
Cell[313938, 10941, 135, 2, 43, "Input"],
Cell[314076, 10945, 2496, 83, 311, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[316597, 11032, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[316685, 11036, 6543, 239, 432, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[323243, 11278, 3109, 94, 466, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[326377, 11376, 127, 2, 43, "Input"],
Cell[326507, 11380, 169, 4, 45, "Input"]
}, Open  ]],
Cell[326691, 11387, 119, 2, 41, "Text",
 Evaluatable->False],
Cell[326813, 11391, 82, 4, 66, "Input"],
Cell[326898, 11397, 452, 15, 43, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[327375, 11416, 130, 2, 43, "Input"],
Cell[327508, 11420, 1360, 45, 174, "Input"]
}, Open  ]],
Cell[328883, 11468, 523, 14, 92, "Text",
 Evaluatable->False],
Cell[329409, 11484, 155, 4, 66, "Input"],
Cell[329567, 11490, 468, 16, 43, "Text",
 Evaluatable->False],
Cell[330038, 11508, 133, 2, 43, "Input"],
Cell[330174, 11512, 4450, 146, 611, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[334649, 11662, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[334737, 11666, 7478, 279, 460, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[342230, 11948, 622, 19, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[342877, 11971, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[342965, 11975, 742, 27, 55, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[343722, 12005, 551, 13, 139, "Text",
 Evaluatable->False],
Cell[344276, 12020, 96, 2, 43, "Input"],
Cell[344375, 12024, 540, 18, 43, "Text",
 Evaluatable->False],
Cell[344918, 12044, 105, 4, 66, "Input"],
Cell[345026, 12050, 251, 8, 41, "Text",
 Evaluatable->False],
Cell[345280, 12060, 151, 2, 43, "Input"],
Cell[345434, 12064, 839, 27, 141, "Text",
 Evaluatable->False],
Cell[346276, 12093, 43, 1, 43, "Input"],
Cell[346322, 12096, 1180, 39, 164, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[347527, 12139, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[347615, 12143, 4817, 161, 364, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[352447, 12307, 1166, 32, 215, "Text",
 Evaluatable->False],
Cell[353616, 12341, 127, 2, 43, "Input"],
Cell[353746, 12345, 914, 34, 103, "Text",
 Evaluatable->False],
Cell[354663, 12381, 167, 6, 88, "Input"],
Cell[354833, 12389, 554, 20, 70, "Text",
 Evaluatable->False],
Cell[355390, 12411, 53, 1, 43, "Input"],
Cell[355446, 12414, 315, 11, 48, "Text",
 Evaluatable->False],
Cell[355764, 12427, 133, 2, 43, "Input"],
Cell[355900, 12431, 1121, 34, 173, "Text",
 Evaluatable->False],
Cell[357024, 12467, 44, 1, 43, "Input"],
Cell[357071, 12470, 430, 8, 139, "Text",
 Evaluatable->False]
}, Closed]],
Cell[CellGroupData[{
Cell[357538, 12483, 111, 2, 58, "Section",
 Evaluatable->False],
Cell[357652, 12487, 446, 12, 92, "Text",
 Evaluatable->False],
Cell[358101, 12501, 99, 5, 88, "Input"],
Cell[358203, 12508, 327, 10, 43, "Text",
 Evaluatable->False],
Cell[358533, 12520, 102, 2, 43, "Input"],
Cell[358638, 12524, 732, 26, 71, "Text",
 Evaluatable->False],
Cell[359373, 12552, 104, 2, 43, "Input"],
Cell[359480, 12556, 506, 15, 117, "Text",
 Evaluatable->False],
Cell[359989, 12573, 259, 7, 43, "Input"],
Cell[360251, 12582, 801, 25, 92, "Text",
 Evaluatable->False],
Cell[361055, 12609, 42, 1, 43, "Input"],
Cell[361100, 12612, 1347, 44, 237, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[362472, 12660, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[362560, 12664, 8508, 323, 596, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[371083, 12990, 782, 22, 119, "Text",
 Evaluatable->False],
Cell[371868, 13014, 42, 1, 43, "Input"],
Cell[371913, 13017, 1046, 31, 151, "Text",
 Evaluatable->False],
Cell[372962, 13050, 81, 4, 66, "Input"],
Cell[373046, 13056, 2350, 78, 435, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[375421, 13138, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[375509, 13142, 9567, 359, 675, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[385091, 13504, 1253, 42, 188, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[386369, 13550, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[386457, 13554, 3035, 107, 165, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[389507, 13664, 1264, 43, 92, "Text",
 Evaluatable->False],
Cell[390774, 13709, 103, 5, 88, "Input"],
Cell[390880, 13716, 153, 4, 41, "Text",
 Evaluatable->False],
Cell[391036, 13722, 59, 1, 43, "Input"],
Cell[391098, 13725, 586, 19, 66, "Text",
 Evaluatable->False],
Cell[391687, 13746, 63, 1, 43, "Input"],
Cell[391753, 13749, 1141, 39, 209, "Text",
 Evaluatable->False],
Cell[392897, 13790, 3664, 136, 496, "Text",
 Evaluatable->False],
Cell[396564, 13928, 114, 6, 111, "Input"],
Cell[396681, 13936, 2070, 61, 372, "Text",
 Evaluatable->False]
}, Closed]],
Cell[CellGroupData[{
Cell[398788, 14002, 81, 2, 58, "Section",
 Evaluatable->False],
Cell[398872, 14006, 156, 6, 40, "Input"],
Cell[399031, 14014, 809, 31, 160, "Text",
 Evaluatable->False],
Cell[399843, 14047, 43, 1, 43, "Input"],
Cell[399889, 14050, 86, 2, 41, "Text",
 Evaluatable->False],
Cell[399978, 14054, 565, 19, 75, "Text",
 Evaluatable->False],
Cell[400546, 14075, 44, 1, 43, "Input"],
Cell[400593, 14078, 88, 2, 41, "Text",
 Evaluatable->False],
Cell[400684, 14082, 539, 15, 117, "Text",
 Evaluatable->False],
Cell[401226, 14099, 45, 1, 43, "Input"],
Cell[401274, 14102, 103, 2, 41, "Text",
 Evaluatable->False],
Cell[401380, 14106, 666, 19, 117, "Text",
 Evaluatable->False],
Cell[402049, 14127, 43, 1, 43, "Input"],
Cell[402095, 14130, 103, 2, 41, "Text",
 Evaluatable->False],
Cell[402201, 14134, 433, 13, 92, "Text",
 Evaluatable->False],
Cell[402637, 14149, 47, 1, 43, "Input"],
Cell[402687, 14152, 103, 2, 41, "Text",
 Evaluatable->False],
Cell[402793, 14156, 551, 15, 166, "Text",
 Evaluatable->False],
Cell[403347, 14173, 44, 1, 43, "Input"],
Cell[403394, 14176, 103, 2, 41, "Text",
 Evaluatable->False]
}, Open  ]]
}
]
*)

