(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    394157,      12706]
NotebookOptionsPosition[    371746,      11962]
NotebookOutlinePosition[    372431,      11989]
CellTagsIndexPosition[    372388,      11986]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Abstract Algebra: An Interactive Approach", "Special2",
 Evaluatable->False,
 CellChangeTimes->{{3.438686269234375*^9, 3.43868628009375*^9}},
 TextAlignment->Center,
 FontFamily->"Arial",
 FontSize->36,
 FontWeight->"Bold",
 FontSlant->"Italic",
 FontColor->RGBColor[1, 0, 1],
 Background->RGBColor[0.500008, 1, 1]],

Cell[CellGroupData[{

Cell["\[Copyright]2009   William Paulsen", "Name",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438686283609375*^9, 3.43868628415625*^9}},
 FontFamily->"Arial",
 FontSize->10,
 FontSlant->"Italic",
 FontColor->RGBColor[0, 0, 1],
 Background->GrayLevel[1]],

Cell["\<\
All rights reserved:  These materials can be duplicated or transmitted freely \
for educational use on condition that all copyright statements are retained \
unaltered.  No part of these materials may be sold, by any means or in any \
form, without written permission from the editor.  All software is provided \
\"as is\" without warranty of any kind, either expressed or implied, \
including, but not limited to, the implied warranties of merchantability and \
fitness for a particular purpose.\
\>", "Name",
 Editable->False,
 Evaluatable->False,
 CellHorizontalScrolling->False,
 FontFamily->"Arial",
 FontSize->10,
 FontSlant->"Italic",
 FontColor->RGBColor[0, 0, 1],
 Background->GrayLevel[1]]
}, Closed]],

Cell["\<\
Chapter 15
Galois Theory\
\>", "Title",
 CellFrame->True,
 Evaluatable->False,
 CellHorizontalScrolling->False,
 TextAlignment->Center,
 FontFamily->"Arial",
 FontSize->24,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[CellGroupData[{

Cell["Initialization", "Special2",
 Evaluatable->False,
 TextAlignment->Center,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["<<c:\\math\\ring.m", "Input",
 PageWidth->Infinity,
 InitializationCell->True,
 CellChangeTimes->{{3.422652679265625*^9, 3.4226526828125*^9}, {
  3.438686287515625*^9, 3.4386862919375*^9}},
 AspectRatioFixed->True],

Cell[BoxData["\<\"Initialization Done\"\>"], "Print",
 CellChangeTimes->{3.422652685515625*^9, 3.43869322371875*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["The Galois Group of an Extension Field", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "In the last chapter, we explored the extensions of a field, and found that \
any finite extension could be entered into ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " fairly easily. In particular, we explored the splitting fields of several \
polynomials. In this chapter, we will explore the automorphisms on the field \
extensions, and discover that the group of automorphisms contains much \
information about the polynomial. For example, it will tell us if the roots \
of the polynomial can be expressed in terms of square roots and cube roots.\n\
\nDEFINITION 15.1:\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a finite extension of the field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". An ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 StyleBox["-automorphism",
  FontSlant->"Italic"],
 " of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is an ring automorphism ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " on the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " which fixes every element of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". That is, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "x", ")"}], " ", "=", " ", "x"}], 
   TraditionalForm]]],
 " whenever ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ".\n\nNote that there is at least one ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "-automorphism of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", the identity automorphism. Since we have seen that the set of group \
automorphisms of a group forms another group, it is not surprising that the \
same thing happens for ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "-automorphisms of a field."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.41684119694025*^9, {3.43868643946875*^9, 3.438686440984375*^9}, {
   3.4420676461983747`*^9, 3.4420676803702497`*^9}}],

Cell[TextData[{
 "\nPROPOSITION 15.1\nIf ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a finite extension of a field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", then the set of all ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "-automorphisms of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " forms a group under the operation of composition of functions."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.41684119694025*^9, {3.438686610640625*^9, 3.438686610765625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "By lemma 11.5, the set of all ring automorphisms of a ring forms a group. \
So we only need to show that the set of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "-automorphisms of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a subgroup of the group of all automorphisms. If ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "1"], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "2"], TraditionalForm]]],
 "  are two ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "-automorphisms of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["\[Phi]", "1"], "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["\[Phi]", "2"], "(", "x", ")"}], " ", "=", " ", "x"}]}], 
   TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SubscriptBox["\[Phi]", "1"], "\[CenterDot]", 
       SubscriptBox["\[Phi]", "2"]}], ")"}], 
     RowBox[{"(", "x", ")"}]}], "=", 
    RowBox[{
     RowBox[{
      SubscriptBox["\[Phi]", "2"], "(", 
      RowBox[{
       SubscriptBox["\[Phi]", "1"], "(", "x", ")"}], ")"}], " ", "=", " ", 
     "x"}]}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[Phi]", "1"], "\[CenterDot]", 
    SubscriptBox["\[Phi]", "2"]}], TraditionalForm]]],
 " is an ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "-automorphism of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Note also that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubsuperscriptBox["\[Phi]", "1", 
      RowBox[{"-", "1"}]], "(", "x", ")"}], " ", "=", " ", "x"}], 
   TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", so ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["\[Phi]", "1", 
    RowBox[{"-", "1"}]], TraditionalForm]]],
 " is also an ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "-automorphism of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Since the set of all ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "-automorphisms of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is closed under multiplications and inverses, the set is a subgroup of the \
group of ring automorphisms of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Therefore, the set of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "-automorphisms of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a group."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438686621671875*^9, 3.4386866221875*^9}, {
  3.4420676937296247`*^9, 3.4420677144952497`*^9}}]
}, Open  ]],

Cell[TextData[{
 "\nDEFINITION 15.2:\nThe set of all ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "-automorphisms of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is denoted ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], "K"}], TraditionalForm]]],
 ", and is called the ",
 StyleBox["Galois group of",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " ",
 StyleBox["over",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ".\n\nFor example, the complex numbers ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalC]", TraditionalForm]]],
 ", according to proposition 11.4, has 2 automorphisms which fix the real \
numbers: the identity automorphism, and the automorphism that sends each \
number to its complex conjugate. So there are exactly two elements of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "\[DoubleStruckCapitalR]"], 
    RowBox[{"\[DoubleStruckCapitalC]", "."}]}], TraditionalForm]]],
 " In other words, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "\[DoubleStruckCapitalR]"], 
    "\[DoubleStruckCapitalC]"}], TraditionalForm]]],
 " is isomorphic to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 ".\n\nWe want to find a way to compute the Galois group of any finite \
extension of a field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Since we can define finite extensions in terms of polynomials, it is \
natural to ask what must happen to the roots of a polynomial."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.416841210284*^9, {3.4386866595*^9, 3.438686707546875*^9}}
  ],

Cell[TextData[{
 "\nLEMMA 15.1\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a finite extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " be a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", "x", "]"}], "."}], TraditionalForm]]],
 "  If ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], "K"}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "u", ")"}], TraditionalForm]]],
 " is also a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], "."}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.416841210284*^9, {3.438686763734375*^9, 3.43868676384375*^9}, {
   3.438686809578125*^9, 3.438686811296875*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["c", "0"], " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "1"], " ", "x"}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "2"], " ", 
      SuperscriptBox["x", "2"]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "3"], " ", 
      SuperscriptBox["x", "3"]}], " ", "+", " ", "\[Ellipsis]", " ", "+", " ",
      
     RowBox[{
      SubscriptBox["c", "n"], 
      RowBox[{
       SuperscriptBox["x", "n"], "."}]}]}]}], TraditionalForm]]],
 "\n\nSince ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], ","}], TraditionalForm]]],
 " we have that \n\n          ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      SubscriptBox["c", "0"], " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "1"], " ", "u"}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "2"], " ", 
       SuperscriptBox["u", "2"]}], " ", "+", " ", 
      RowBox[{
       SubscriptBox["c", "3"], " ", 
       SuperscriptBox["u", "3"]}], " ", "+", " ", "\[Ellipsis]", " ", "+", 
      " ", 
      RowBox[{
       SubscriptBox["c", "n"], 
       SuperscriptBox["u", "n"]}]}], " ", "=", " ", "0."}]}], 
   TraditionalForm]]],
 "\n\nSince ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " is a ring homomorphism, we have that\n\n  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"  ", 
    RowBox[{
     FormBox[
      RowBox[{" ", 
       RowBox[{"0", " ", "=", " ", 
        RowBox[{
         RowBox[{"\[Phi]", "(", "0", ")"}], " ", "=", "  ", 
         RowBox[{"\[Phi]", "(", 
          RowBox[{
           SubscriptBox["c", "0"], " ", "+", " ", 
           RowBox[{
            SubscriptBox["c", "1"], " ", "u"}], " ", "+", " ", 
           RowBox[{
            SubscriptBox["c", "2"], " ", 
            SuperscriptBox["u", "2"]}], " ", "+", " ", 
           RowBox[{
            SubscriptBox["c", "3"], " ", 
            SuperscriptBox["u", "3"]}], " ", "+", " ", "\[Ellipsis]", " ", 
           "+", " ", 
           RowBox[{
            SubscriptBox["c", "n"], 
            SuperscriptBox["u", "n"]}]}], " ", ")"}]}], " "}]}],
      TraditionalForm], "        ", "\n", "\t   ", 
     FormBox[
      RowBox[{"=", " ", 
       RowBox[{
        RowBox[{"\[Phi]", "(", 
         SubscriptBox["c", "0"], ")"}], " ", "+", " ", 
        RowBox[{
         RowBox[{"\[Phi]", "(", 
          SubscriptBox["c", "1"], ")"}], " ", 
         RowBox[{"\[Phi]", "(", "u", ")"}]}], " ", "+", " ", 
        RowBox[{
         RowBox[{"\[Phi]", "(", 
          SubscriptBox["c", "2"], ")"}], " ", 
         RowBox[{"\[Phi]", "(", 
          SuperscriptBox["u", "2"], ")"}]}], " ", "+", " ", 
        RowBox[{
         RowBox[{"\[Phi]", "(", 
          SubscriptBox["c", "3"], ")"}], " ", 
         RowBox[{"\[Phi]", "(", 
          SuperscriptBox["u", "3"], ")"}]}], " ", "+", " ", "\[Ellipsis]", 
        " ", "+", " ", 
        RowBox[{
         RowBox[{"\[Phi]", "(", 
          SubscriptBox["c", "n"], ")"}], " ", 
         RowBox[{
          RowBox[{"\[Phi]", "(", 
           SuperscriptBox["u", "n"], ")"}], "."}]}]}]}],
      TraditionalForm]}]}], TraditionalForm]]],
 "\n\nSince ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["c", "0"], ",", " ", 
    SubscriptBox["c", "1"], ",", " ", 
    SubscriptBox["c", "2"], ",", " ", 
    RowBox[{"\[Ellipsis]", " ", 
     SubscriptBox["c", "n"]}]}], TraditionalForm]]],
 "  are in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", we have\n\n   ",
 Cell[BoxData[
  FormBox[
   RowBox[{"0", "  ", "=", " ", 
    RowBox[{
     SubscriptBox["c", "0"], "+", " ", 
     RowBox[{
      SubscriptBox["c", "1"], " ", 
      RowBox[{"\[Phi]", "(", "u", ")"}]}], " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "2"], " ", 
      SuperscriptBox[
       RowBox[{"\[Phi]", "(", "u", ")"}], "2"]}], "+", " ", 
     RowBox[{
      SubscriptBox["c", "3"], " ", 
      SuperscriptBox[
       RowBox[{"\[Phi]", "(", "u", ")"}], "3"]}], " ", "+", " ", 
     "\[Ellipsis]", " ", "+", " ", 
     RowBox[{
      SubscriptBox["c", "n"], " ", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"\[Phi]", "(", "u", ")"}], "n"], "."}]}]}]}], 
   TraditionalForm]]],
 "\n\nTherefore, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "u", ")"}], " "}], TraditionalForm]]],
 "is also a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], "."}], TraditionalForm]]]
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438686812125*^9, 3.438686814609375*^9}}]
}, Open  ]],

Cell[TextData[{
 "\nLet us use this lemma to find the Galois group of the splitting field of \
",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", "2."}], TraditionalForm]]],
 " The splitting field is defined by letting ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["a", "3"], " ", "=", " ", "2"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["b", "2"], " ", "=", " ", 
    RowBox[{
     RowBox[{"-", " ", 
      SuperscriptBox["a", "2"]}], " ", "-", " ", 
     RowBox[{"a", " ", 
      RowBox[{"b", "."}]}]}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438686815328125*^9, 3.438686815328125*^9}}],

Cell[CellGroupData[{

Cell["\<\
InitDomain[0]
Define[a^3, 2]
Define[b^2, - a^2 - a b]
Factor[x^3 - 2, a, b]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.43868681603125*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "b"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"a", "+", "b", "+", "x"}], ")"}]}]], "Output",
 CellChangeTimes->{3.442759956180125*^9}]
}, Open  ]],

Cell[TextData[{
 "The three factors of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", "2"}], TraditionalForm]]],
 " are ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"-", "a"}], "-", "b"}], TraditionalForm]]],
 ". Thus, lemma 15.1 tells us that if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " is an automorphism on ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 ", then",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"\[Florin]", "(", "a", ")"}]}], TraditionalForm]]],
 " is either ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 ", or ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"-", "a"}], "-", "b"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "b", ")"}], TraditionalForm]]],
 " is either ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 ", or ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"-", "a"}], "-", "b"}], TraditionalForm]]],
 ". Let us try to find an automorphism such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "a", ")"}], " ", "=", " ", "b"}], 
   TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "b", ")"}], " ", "=", " ", "a"}], 
   TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438686816640625*^9, 3.438686816640625*^9}, {
  3.438687428296875*^9, 3.438687428421875*^9}}],

Cell["\<\
F=.
Homomorph[F]
Define[F[a],b]
Define[F[b],a]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4427599960395*^9, 3.44275999938325*^9}}],

Cell["We can check to see if this is indeed a homomorphism.", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CheckHomo[F,{a,b}]", "Input",
 PageWidth->Infinity],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.442760003055125*^9}]
}, Open  ]],

Cell[TextData[{
 "This shows us that we have successfully defined one automorphism of the \
Galois group. (Any non-zero homomorphism on a field must be an automorphism \
in light of proposition 10.5, and the fact that the kernel is always an \
ideal.)\n\nEXPERIMENT:\nUsing the above example as a guide, define an \
automorphism ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "[", "x", "]"}], TraditionalForm]]],
 " on ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"G", "[", "a", "]"}], " ", "=", " ", "b"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"G", "[", "b", "]"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"-", "a"}], "-", "b"}]}], TraditionalForm]]],
 ". Have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " check that this is a homomorphism for you."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868744546875*^9, 3.43868744615625*^9}}],

Cell["   ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Since these two automorphisms fix the elements of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", they are ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphisms. From these two ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphisms, we can produce more. Note that  "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
G[G[a]]
G[G[b]]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "shows that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"G", "[", 
     RowBox[{"G", "[", "a", "]"}], "]"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"-", "a"}], "-", "b"}]}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"G", "[", 
     RowBox[{"G", "[", "b", "]"}], "]"}], " ", "=", " ", 
    RowBox[{"a", "."}]}], TraditionalForm]]],
 " "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
F[G[a]]
F[G[b]]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Shows that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", 
     RowBox[{"G", "[", "a", "]"}], "]"}], " ", "=", " ", "a"}], 
   TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", 
     RowBox[{"G", "[", "b", "]"}], "]"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"-", "a"}], "-", "b"}]}], TraditionalForm]]],
 ". Finally,"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
G[F[a]]
G[F[b]]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Shows that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"G", "[", 
     RowBox[{"F", "[", "a", "]"}], "]"}], "=", " ", 
    RowBox[{
     RowBox[{"-", "a"}], "-", "b"}]}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"G", "[", 
     RowBox[{"F", "[", "b", "]"}], "]"}], " ", "=", " ", "b"}], 
   TraditionalForm]]],
 ".\n\nThus, we have found six ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphisms on the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 ", the identity automorphism, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "[", "x", "]"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "[", 
    RowBox[{"G", "[", "x", "]"}], "]"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "[", 
    RowBox[{"F", "[", "x", "]"}], "]"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", 
    RowBox[{"G", "[", "x", "]"}], "]"}], TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"G", "[", 
    RowBox[{"F", "[", "x", "]"}], "]"}], TraditionalForm]]],
 " is not ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", 
    RowBox[{"G", "[", "x", "]"}], "]"}], TraditionalForm]]],
 ", the Galois group is not commutative. \n\nIt seems as though we must have \
found all of the automorphisms at this point, but this still needs to be \
proved. We begin by showing that there will always be an automorphism that \
moves one root of an irreducible polynomial to another."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.41684122594025*^9, {3.438686820609375*^9, 3.438686823484375*^9}}],

Cell[TextData[{
 "\nPROPOSITION 15.2\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be the splitting field of some polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " be two elements of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Then there exists an ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "-automorphism ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "u", ")"}], " ", "=", " ", "v"}], 
   TraditionalForm]]],
 " if and only if ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"u", ",", "x"}], ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"v", ",", "x"}], ")"}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.41684122594025*^9, {3.438686824546875*^9, 3.43868682571875*^9}, {
   3.438687492234375*^9, 3.438687492796875*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "If there is some ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "u", ")"}], " ", "=", " ", "v"}], 
   TraditionalForm]]],
 ", we can let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"u", ",", " ", "x"}], ")"}]}], TraditionalForm]]],
 " and",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"h", "(", "x", ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox["Irr", "F"], "(", 
       RowBox[{"v", ",", " ", "x"}], ")"}], "."}]}]}], TraditionalForm]]],
 " Then ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], ","}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"h", "(", "x", ")"}], "."}], TraditionalForm]]],
 " By lemma 15.1, ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "x", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], ","}], TraditionalForm]]],
 " since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", " ", "=", " ", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Phi]", 
       RowBox[{"-", "1"}]], "(", "u", ")"}], "."}]}], TraditionalForm]]],
 " So ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " is a multiple of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "(", "x", ")"}], TraditionalForm]]],
 ", and vice versa. Since both have a leading coefficient of 1, we have that \
",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"h", "(", "x", ")"}], "."}]}], TraditionalForm]]],
 " \n\nNow suppose that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"u", ",", " ", "x"}], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["Irr", "F"], "(", 
      RowBox[{"v", ",", " ", "x"}], ")"}], "."}]}], TraditionalForm]]],
 " Then by corollary 14.2 there is an isomorphism ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " from ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "u", ")"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "v", ")"}], TraditionalForm]]],
 " such that",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"\[Phi]", "(", "u", ")"}], " ", "=", " ", "v"}]}], 
   TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "x", ")"}], " ", "=", " ", "x"}], 
   TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " "}], TraditionalForm]]],
 "over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", it is a splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " over both ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "u", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", "v", ")"}], "."}], TraditionalForm]]],
 " Therefore ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " extends to an ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "-automorphism of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " (which we will also denote ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 ") by proposition 14.8. Therefore, ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Gal", "F"], TraditionalForm]]],
 "K, and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "u", ")"}], "  ", "=", " ", 
    RowBox[{"v", "."}]}], TraditionalForm]]]
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4386868264375*^9, 3.438686835015625*^9}, {
  3.438687518921875*^9, 3.43868755915625*^9}}]
}, Open  ]],

Cell[TextData[{
 "\nThe next lemma will be important in determining the subgroups of the \
Galois group.\n\nLEMMA 15.2\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a finite extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " be an ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "-automorphism of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Then the set of all elements ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "x", ")"}], " ", "=", " ", "x"}], 
   TraditionalForm]]],
 " forms a subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " containing ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868757153125*^9, 3.438687572203125*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " be the set of all elements ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{"x", "."}]}], TraditionalForm]]],
 " Since ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " is an ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "-automorphism, by definition ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " must contain the elements of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " are in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", note that \n\n           ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", 
     RowBox[{"x", " ", "+", " ", "y"}], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Phi]", "(", "x", ")"}], " ", "+", " ", 
      RowBox[{"\[Phi]", "(", "y", ")"}]}], " ", "=", " ", 
     RowBox[{"x", " ", "+", " ", "y"}]}]}], TraditionalForm]]],
 ",\n \n          ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Phi]", "(", 
       RowBox[{"x", "\[CenterDot]", "y"}], ")"}], " ", "=", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Phi]", "(", "x", ")"}], "\[CenterDot]", 
        RowBox[{"\[Phi]", "(", "y", ")"}]}], " ", "=", " ", 
       RowBox[{"x", "\[CenterDot]", "y"}]}]}], ","}]}], TraditionalForm]]],
 "\n  \n           ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      RowBox[{"-", "x"}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"\[Phi]", "(", "x", ")"}]}], " ", "=", " ", 
      RowBox[{"-", "x"}]}]}], ","}], TraditionalForm]]],
 "\n          \n           ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      SuperscriptBox["x", 
       RowBox[{"-", "1"}]], ")"}], " ", "=", " ", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"\[Phi]", "(", "x", ")"}], 
       RowBox[{"-", "1"}]], "=", " ", 
      SuperscriptBox["x", 
       RowBox[{"-", "1"}]]}]}], ","}], TraditionalForm]]],
 "  if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "\[NotEqual]", " ", "0"}], TraditionalForm]]],
 ".\n\nThus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "+", "y"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[CenterDot]", "y"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", "x"}], TraditionalForm]]],
 " are in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " whenever ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]]],
 " are, and ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["x", 
    RowBox[{"-", "1"}]], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " whenever ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[NotEqual]", "0"}], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " is a subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[TextData[{
 "\nNext we want to work on finding an upper bound on the number of elements \
in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], "K"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868757153125*^9, 3.438687572203125*^9}, {
  3.4420677596046247`*^9, 3.4420677854796247`*^9}}],

Cell[TextData[{
 "\nPROPOSITION 15.3\nLet ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{"F", "(", 
     RowBox[{
      SubscriptBox["u", "1"], ",", " ", 
      SubscriptBox["u", "2"], ",", " ", 
      SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", " ", ",", 
      SubscriptBox["u", "n"]}], ")"}]}], TraditionalForm]]],
 " be a finite extension field of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "1"], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "2"], TraditionalForm]]],
 " are two ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "-automorphisms in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], "K"}], TraditionalForm]]],
 ", and \n\n",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["\[Phi]", "1"], "(", 
       SubscriptBox["u", "1"], ")"}], " ", "=", " ", 
      RowBox[{
       SubscriptBox["\[Phi]", "2"], "(", 
       SubscriptBox["u", "1"], ")"}]}], ",", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[Phi]", "1"], "(", 
       SubscriptBox["u", "2"], ")"}], " ", "=", " ", 
      RowBox[{
       SubscriptBox["\[Phi]", "2"], "(", 
       SubscriptBox["u", "2"], ")"}]}], ",", " ", 
     RowBox[{
      RowBox[{"\[Ellipsis]", " ", 
       RowBox[{
        SubscriptBox["\[Phi]", "1"], "(", 
        SubscriptBox["u", "n"], ")"}]}], " ", "=", " ", 
      RowBox[{
       SubscriptBox["\[Phi]", "2"], "(", 
       SubscriptBox["u", "n"], ")"}]}], ","}]}], TraditionalForm]]],
 "\n\nthen ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["\[Phi]", "1"], "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["\[Phi]", "2"], "(", "x", ")"}]}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". In other words, an ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "-automorphism in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], "K"}], TraditionalForm]]],
 " is completely determined by its action on ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["u", "1"], ",", " ", 
    SubscriptBox["u", "2"], ",", " ", 
    SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
    RowBox[{
     SubscriptBox["u", "n"], "."}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868768009375*^9, 3.43868768075*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Consider the ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "-automorphism ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubsuperscriptBox["\[Phi]", "2", 
      RowBox[{"-", "1"}]], "(", 
     RowBox[{
      SubscriptBox["\[Phi]", "1"], "(", "x", ")"}], ")"}], "."}], 
   TraditionalForm]]],
 " It is clear that this automorphism fixes ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["u", "1"], ",", " ", 
    SubscriptBox["u", "2"], ",", " ", 
    SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", "  ", 
    SubscriptBox["u", "n"]}], TraditionalForm]]],
 ", as well as the elements of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". By lemma 15.2, the set ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " of all elements ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubsuperscriptBox["\[Phi]", "2", 
      RowBox[{"-", "1"}]], "(", 
     RowBox[{
      SubscriptBox["\[Phi]", "1"], "(", "x", ")"}], ")"}], " ", "=", " ", 
    "x"}], TraditionalForm]]],
 " forms a subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". But ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is by lemma 14.3 the smallest field containing ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["u", "1"], ",", " ", 
    SubscriptBox["u", "2"], ",", " ", 
    SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", " ", ",", " ", 
    SubscriptBox["u", "n"]}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", "E"}], TraditionalForm]]],
 ", and so ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["\[Phi]", "1"], "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["\[Phi]", "2"], "(", "x", ")"}]}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4386877171875*^9, 3.438687731453125*^9}, {
  3.4420626340577497`*^9, 3.4420626345889997`*^9}}]
}, Open  ]],

Cell[TextData[{
 "We can now apply this proposition to the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 ". Any ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphism is determined by where it sends the elements ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 ". By lemma 15.1, these elements can only be sent to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", ",", " ", "b", ",", " ", 
    RowBox[{"or", " ", "-", "a", "-", 
     RowBox[{"b", "."}]}]}], TraditionalForm]]],
 " Also, they cannot be sent to the same element. Thus, there are at most 6 \
",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphisms on the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 ". Yet we found precisely 6 ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphisms of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{"a", ",", "b"}], ")"}], "."}], TraditionalForm]]],
 " Thus, we have found all of the ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphisms, so the Galois group of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 " contains exactly 6 elements. We obversed before that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "\[DoubleStruckCapitalQ]"], 
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{"a", ",", "b"}], ")"}]}], TraditionalForm]]],
 " was non-commutative, so ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Gal", "\[DoubleStruckCapitalQ]"], 
     RowBox[{"\[DoubleStruckCapitalQ]", "(", 
      RowBox[{"a", ",", "b"}], ")"}]}], 
    StyleBox["\[TildeTilde]",
     FontSize->14], 
    SubscriptBox["S", "3"]}], TraditionalForm]]],
 ".\n\nWe can similarly find an upper bound for the number of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphisms in any splitting field."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.416841276268375*^9, {3.438687748484375*^9, 3.43868775275*^9}}],

Cell[TextData[{
 "\nCOROLLARY 15.1\nIf ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is the splitting field of a polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " of degree ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], "K"}], TraditionalForm]]],
 " is isomorphic to a subgroup of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{
  3.416841276268375*^9, {3.438686835859375*^9, 3.438686836421875*^9}, {
   3.438687779015625*^9, 3.438687779125*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " has degree ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ", there are at most ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Call these roots ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["u", "1"], ",", " ", 
    SubscriptBox["u", "2"], ",", " ", 
    SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
    RowBox[{
     SubscriptBox["u", "m"], "."}]}], TraditionalForm]]],
 " Since ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", we can write ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{"F", "(", 
     RowBox[{
      SubscriptBox["u", "1"], ",", " ", 
      SubscriptBox["u", "2"], ",", " ", 
      SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
      SubscriptBox["u", "m"]}], ")"}]}], TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], "K"}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", 
     SubscriptBox["u", "1"], ")"}], ",", " ", 
    RowBox[{"\[Phi]", "(", 
     SubscriptBox["u", "2"], ")"}], ",", " ", 
    RowBox[{"\[Phi]", "(", 
     SubscriptBox["u", "3"], ")"}], ",", " ", "\[Ellipsis]", ",", " ", 
    RowBox[{"\[Phi]", "(", 
     SubscriptBox["u", "m"], ")"}]}], TraditionalForm]]],
 " will be distinct roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " by lemma 15.1. Hence, ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " will act as a permutation on the roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], "."}], TraditionalForm]]],
 " By proposition 15.3, ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " is completely determined by this permutation on the roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], "."}], TraditionalForm]]],
 " Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], "K"}], TraditionalForm]]],
 " is isomorphic to a subgroup of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "m"], TraditionalForm]]],
 ", and since ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 " is not larger than ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], "K"}], TraditionalForm]]],
 " is isomorphic to a subgroup of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438686837125*^9, 3.438686841109375*^9}, {
  3.438687813546875*^9, 3.438687823*^9}}]
}, Open  ]],

Cell[TextData[{
 "We immediately see from this corollary that the Galois group of a finite \
extension must be a finite group.\n\nLet us look at another example of a \
Galois group of a field. Consider the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RadicalBox["2", "3"], ")"}], TraditionalForm]]],
 ". This is obviously a subfield of the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 " we have been studying, but in this subfield all of the elements are ",
 StyleBox["real.",
  FontSlant->"Italic"],
 " Thus, in this field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RadicalBox["2", "3"], ")"}], TraditionalForm]]],
 " there is only one root to the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", "2."}], TraditionalForm]]],
 " Hence, if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", "x", ")"}], TraditionalForm]]],
 " is a ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphism of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RadicalBox["2", "3"], ")"}], ","}], TraditionalForm]]],
 " then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Florin]", "(", 
    RadicalBox["2", "3"], ")"}], TraditionalForm]]],
 " must be ",
 Cell[BoxData[
  FormBox[
   RadicalBox["2", "3"], TraditionalForm]]],
 " . By proposition 15.3, the ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphism is completely determined by where ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " sends ",
 Cell[BoxData[
  FormBox[
   RadicalBox["2.", "3"], TraditionalForm]]],
 " Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox[
     RowBox[{"Gal", " "}], "\[DoubleStruckCapitalQ]"], 
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RadicalBox["2", "2"], ")"}]}], TraditionalForm]]],
 " is merely the trivial group.\n\nIn order to find the Galois group of a \
field, it is very helpful to know ahead of time the exact size of the Galois \
group.  The next proposition allows us to compute the size of the Galois \
group for an important class of field extensions."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438686856125*^9, 3.438686856125*^9}, {
  3.43868785628125*^9, 3.438687857453125*^9}}],

Cell[TextData[{
 "PROPOSITION 15.4\nSuppose ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is the splitting field of a polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ", and that ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " can be expressed as a simple extension ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{"F", "(", "w", ")"}]}], TraditionalForm]]],
 ".  If  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Irr", "F"], "(", 
    RowBox[{"w", ",", "x"}], ")"}], TraditionalForm]]],
 " has no double roots in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", then the number of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", Cell[""]}], TraditionalForm]]],
 "-automorphisms in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], "K"}], TraditionalForm]]],
 " is precisely the dimension of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438686856921875*^9, 3.438686858015625*^9}, {
  3.438687870421875*^9, 3.438687893890625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]]],
 " be the dimension of",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", "K"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ".  Then if ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"w", " ", ",", " ", "x"}], ")"}]}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " has degree ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]]],
 ".  Since ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a splitting field, and contains one root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 ", by lemma 14.5 ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " splits completely in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ".\nSince there are no double roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", then there are ",
 Cell[BoxData[
  FormBox[
   RowBox[{"d", Cell[""]}], TraditionalForm]]],
 "roots ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"w", "=", 
     SubscriptBox["w", "1"]}], ",", " ", 
    SubscriptBox["w", "2"], ",", " ", 
    SubscriptBox["w", "3"]}], TraditionalForm]]],
 ", ... ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["w", "d"], TraditionalForm]]],
 ".  Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " is irreducible, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{
      SubscriptBox["w", "i"], ",", " ", "x"}], ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"w", ",", "x"}], ")"}]}], TraditionalForm]]],
 " so proposition 15.2 states that there is an ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "-automorphism which sends ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["w", "i"], TraditionalForm]]],
 " for ",
 Cell[BoxData[
  FormBox[
   RowBox[{
   "1", " ", "\[LessEqual]", " ", "i", " ", "\[LessEqual]", " ", "d"}], 
   TraditionalForm]]],
 ".  Hence, there are at least ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "-automorphisms.  But by proposition 15.3, the ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "-automorphism of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "(", "w", ")"}], TraditionalForm]]],
 " is determined by where it sends ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 ", which must be one of the ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]]],
 " roots.  So ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", 
     RowBox[{
      SubscriptBox["Gal", "F"], "K"}], "|"}], " ", "=", " ", 
    RowBox[{"d", "."}]}], TraditionalForm]]]
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438686858953125*^9, 3.438686861859375*^9}, {
  3.4386879186875*^9, 3.43868795396875*^9}, {3.4420626559327497`*^9, 
  3.4420626565577497`*^9}}]
}, Open  ]],

Cell[TextData[{
 "We are ready to try a more complicated example.  Suppose we want to find \
the Galois group for the splitting field of the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["x", "3"]}], "+", 
    SuperscriptBox["x", "2"], "+", "1"}], TraditionalForm]]],
 ".  First we verify that this polynomial is irreducible."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438686862875*^9, 3.438686863765625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Factor", "[", 
  RowBox[{
   RowBox[{"x", "^", "4"}], " ", "-", " ", 
   RowBox[{"2", " ", 
    RowBox[{"x", "^", "3"}]}], " ", "+", " ", 
   RowBox[{"x", "^", "2"}], " ", "+", " ", "1"}], "]"}]], "Input",
 CellChangeTimes->{{3.438686864421875*^9, 3.43868686515625*^9}}],

Cell[BoxData[
 RowBox[{"1", "+", 
  SuperscriptBox["x", "2"], "-", 
  RowBox[{"2", " ", 
   SuperscriptBox["x", "3"]}], "+", 
  SuperscriptBox["x", "4"]}]], "Output",
 CellChangeTimes->{3.4420678101671247`*^9, 3.44276004457075*^9}]
}, Open  ]],

Cell[TextData[{
 "So this polynomial is irreducible over \[DoubleStruckCapitalQ].  Let us \
define ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " to be one root of this polynomial, and see how this polynomial factors \
over ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[BoxData[{
 RowBox[{"InitDomain", "[", "0", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"a", "^", "4"}], ",", " ", 
   RowBox[{
    RowBox[{"2", " ", 
     RowBox[{"a", "^", "3"}]}], " ", "-", " ", 
    RowBox[{"a", "^", "2"}], " ", "-", " ", "1"}]}], "]"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Factor", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"x", "^", "4"}], " ", "-", " ", 
    RowBox[{"2", " ", 
     RowBox[{"x", "^", "3"}]}], " ", "+", " ", 
    RowBox[{"x", "^", "2"}], " ", "+", " ", "1"}], ",", "a"}], "]"}]], "Input",\

 CellChangeTimes->{{3.438686867171875*^9, 3.438686867890625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", "a", "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "+", 
    SuperscriptBox["a", "2"], "-", "x", "+", 
    SuperscriptBox["x", "2"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.4420678502764997`*^9, 3.442760084680125*^9}]
}, Open  ]],

Cell[TextData[{
 "This tells us that if ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " is a root, then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"1", "-", "a"}], TraditionalForm]]],
 " is another root.  However, it didn't factor completely, so we have to \
define ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " to be a root of the irreducible quadratic."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[BoxData[
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"b", "^", "2"}], ",", " ", 
   RowBox[{"b", " ", "+", " ", "a", " ", "-", " ", 
    RowBox[{"a", "^", "2"}]}]}], "]"}]], "Input"],

Cell["The polynomial should now factor completely.", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Factor", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"x", "^", "4"}], " ", "-", " ", 
    RowBox[{"2", " ", 
     RowBox[{"x", "^", "3"}]}], " ", "+", " ", 
    RowBox[{"x", "^", "2"}], " ", "+", " ", "1"}], ",", "a", ",", "b"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.4386868704375*^9, 3.438686871125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", "a", "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "b"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", "b", "+", "x"}], ")"}]}]], "Output",
 CellChangeTimes->{3.44276010125825*^9}]
}, Open  ]],

Cell[TextData[{
 "So the 4 roots are ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"1", "-", "a"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"1", "-", "b"}], TraditionalForm]]],
 ".  Any ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphism will map each of these roots to another root, and so the \
Galois group will be a subgroup of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 ".  But which permutations will give rise to a ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphism?  A little trial and error will help.\n\nProposition 15.2 \
says that there will be some ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphism which sends any one of these 4 roots to any other of the 4 \
roots.  So there is a ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphism which sends ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"1", "-", "a"}], TraditionalForm]]],
 ".  But where would it send the other 3 roots?  Note that if ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "a", ")"}], " ", "=", " ", 
    RowBox[{"1", "-", "a"}]}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"f", "(", 
      RowBox[{"1", "-", "a"}], ")"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"f", "(", "1", ")"}], "-", 
       RowBox[{"f", "(", "a", ")"}]}], " ", "=", " ", 
      RowBox[{
       RowBox[{"1", " ", "-", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", "a"}], ")"}]}], " ", "=", 
       RowBox[{
        RowBox[{"a", ".", Cell[""]}], Cell[""]}]}]}]}]}], TraditionalForm]]],
 "  So we only have to determine if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "b", ")"}], TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " or ",
 Cell[BoxData[
  FormBox[
   RowBox[{"1", "-", "b"}], TraditionalForm]]],
 ".  Let's try both combinations. "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868804946875*^9, 3.438688050109375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Homomorph", "[", "F", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"F", "[", "a", "]"}], ",", 
   RowBox[{"1", "-", "a"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"F", "[", "b", "]"}], ",", "b"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"CheckHomo", "[", 
  RowBox[{"F", ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}]}], "]"}]}], "Input"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.422652730734375*^9, 3.44276011094575*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Homomorph", "[", "G", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"G", "[", "a", "]"}], ",", 
   RowBox[{"1", "-", "a"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"G", "[", "b", "]"}], ",", 
   RowBox[{"1", "-", "b"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"CheckHomo", "[", 
  RowBox[{"G", ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}]}], "]"}]}], "Input"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.422652732359375*^9, 3.442760113586375*^9}]
}, Open  ]],

Cell[TextData[{
 "They both work!  We can now draw a picture of how these ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphism act on the 4 roots of the polynomial"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CircleGraph", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", 
     RowBox[{"1", "-", "a"}], ",", "b", ",", 
     RowBox[{"1", "-", "b"}]}], "}"}], ",", "F"}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1., 6.123233995736766*^-17}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.2246467991473532`*^-16, -1.}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1., -1.8369701987210297`*^-16}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"a\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], InsetBox[
    TagBox[
     StyleBox["\<\"b\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, -1.1}, {0, 1}], InsetBox[
    TagBox[
     StyleBox["\<\"1-a\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {1.1, 6.735557395310444*^-17}, {-1, 0}],
    InsetBox[
    TagBox[
     StyleBox["\<\"1-b\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 
      18]& ], {-1.1, -2.0206672185931328`*^-16}, {1, 0}], {{
     {RGBColor[1, 0, 0], LineBox[{{0., 1.}, {1., 6.123233995736766*^-17}}], 
      PolygonBox[{{1., 6.123233995736766*^-17}, {0.9646446609406726, 
       0.10606601717798218`}, {0.8939339828220179, 0.03535533905932743}}]}, 
     {RGBColor[1, 0, 0], LineBox[{{1., 6.123233995736766*^-17}, {0., 1.}}], 
      PolygonBox[{{0., 1.}, {0.03535533905932738, 0.8939339828220179}, {
       0.10606601717798213`, 0.9646446609406726}}]}}, 
    {RGBColor[0, 1, 0], 
     LineBox[{{0.07071067811865486, -0.9292893218813453}, {
      0.09241885630108188, -0.8968331206248827}, {
      0.09998489885977792, -0.8585786437626906}, {
      0.09241885630108186, -0.8203241669004984}, {
      0.07071067811865485, -0.7878679656440357}, {
      0.03825447686219231, -0.7661597874616087}, {
      9.290959971541795*^-17, -0.7585937449029128}, {-0.03825447686219212, \
-0.7661597874616087}, {-0.07071067811865465, -0.7878679656440357}, \
{-0.09241885630108167, -0.8203241669004984}, {-0.0999848988597777, \
-0.8585786437626906}, {-0.09241885630108165, -0.8968331206248827}, \
{-0.07071067811865464, -0.9292893218813453}, {
      1.2246467991473532`*^-16, -1.}}], 
     PolygonBox[{{1.2246467991473532`*^-16, -1.}, {
      0.10606601717798224`, -0.9646446609406726}, {
      0.03535533905932749, -0.8939339828220179}}]}, 
    {RGBColor[0.6, 0.4, 0.8], 
     LineBox[{{-0.9292893218813453, -0.07071067811865492}, \
{-0.8968331206248827, -0.09241885630108193}, {-0.8585786437626904, \
-0.09998489885977796}, {-0.8203241669004983, -0.09241885630108192}, \
{-0.7878679656440357, -0.07071067811865489}, {-0.7661597874616087, \
-0.038254476862192355`}, {-0.7586644555810313, -1.3935141023228338`*^-16}, \
{-0.7661597874616087, 0.03825447686219208}, {-0.7878679656440357, 
      0.07071067811865461}, {-0.8203241669004984, 
      0.09241885630108161}, {-0.8585786437626906, 
      0.09998489885977765}, {-0.8968331206248827, 
      0.0924188563010816}, {-0.9292893218813453, 
      0.07071067811865459}, {-1., -1.8369701987210297`*^-16}}], 
     PolygonBox[{{-1., -1.8369701987210297`*^-16}, {-0.9646446609406726, \
-0.1060660171779823}, {-0.8939339828220179, -0.035355339059327535`}}]}}},
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.42265273465625*^9, 3.442760118102*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CircleGraph", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", 
     RowBox[{"1", "-", "a"}], ",", "b", ",", 
     RowBox[{"1", "-", "b"}]}], "}"}], ",", "G"}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1., 6.123233995736766*^-17}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.2246467991473532`*^-16, -1.}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1., -1.8369701987210297`*^-16}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"a\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], InsetBox[
    TagBox[
     StyleBox["\<\"b\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, -1.1}, {0, 1}], InsetBox[
    TagBox[
     StyleBox["\<\"1-a\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {1.1, 6.735557395310444*^-17}, {-1, 0}],
    InsetBox[
    TagBox[
     StyleBox["\<\"1-b\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 
      18]& ], {-1.1, -2.0206672185931328`*^-16}, {1, 0}], {{
     {RGBColor[1, 0, 0], LineBox[{{0., 1.}, {1., 6.123233995736766*^-17}}], 
      PolygonBox[{{1., 6.123233995736766*^-17}, {0.9646446609406726, 
       0.10606601717798218`}, {0.8939339828220179, 0.03535533905932743}}]}, 
     {RGBColor[1, 0, 0], LineBox[{{1., 6.123233995736766*^-17}, {0., 1.}}], 
      PolygonBox[{{0., 1.}, {0.03535533905932738, 0.8939339828220179}, {
       0.10606601717798213`, 0.9646446609406726}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{
       1.2246467991473532`*^-16, -1.}, {-1., -1.8369701987210297`*^-16}}], 
      PolygonBox[{{-1., -1.8369701987210297`*^-16}, {-0.9646446609406726, \
-0.1060660171779823}, {-0.8939339828220179, -0.03535533905932753}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-1., -1.8369701987210297`*^-16}, {
       1.2246467991473532`*^-16, -1.}}], 
      PolygonBox[{{
       1.2246467991473532`*^-16, -1.}, {-0.03535533905932728, \
-0.8939339828220179}, {-0.10606601717798202`, -0.9646446609406727}}]}}}},
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.42265273665625*^9, 3.44276012038325*^9}]
}, Open  ]],

Cell[TextData[{
 "If we number the roots as \n\n     1) ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 "\n     2) ",
 Cell[BoxData[
  FormBox[
   RowBox[{"1", "-", "a"}], TraditionalForm]]],
 " \n     3) ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 "\n     4) ",
 Cell[BoxData[
  FormBox[
   RowBox[{"1", "-", "b"}], TraditionalForm]]],
 "\n then we can express the circle graph of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " as P[2,1], while the circle graph of ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " represents the permutation P[2,1,4,3].  These generate a subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["S", "4"], ":"}], TraditionalForm]]],
 "    "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Group", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"P", "[", 
     RowBox[{"2", ",", "1"}], "]"}], ",", 
    RowBox[{"P", "[", 
     RowBox[{"2", ",", "1", ",", "4", ",", "3"}], "]"}]}], "}"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "2", ",", "4", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "1", ",", "4", ",", "3"}], "]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4226527415*^9, 3.442760123461375*^9}]
}, Open  ]],

Cell[TextData[{
 "So far, we have 4 \[DoubleStruckCapitalQ]-automorphisms of the splitting \
field.  Are there any others? Proposition 15.4 shows that there should be 8 \
\[DoubleStruckCapitalQ]-automorphisms.\nAnd proposition 15.2 says we can find \
a \[DoubleStruckCapitalQ]-automorphism that send ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " to any of the other 3 roots!  Suppose we send ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868813146875*^9, 3.4386881320625*^9}, {
  3.43868816365625*^9, 3.43868816425*^9}}],

Cell[BoxData[{
 RowBox[{"Homomorph", "[", "H", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"H", "[", "a", "]"}], ",", "b"}], "]"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"H", "[", 
  RowBox[{"1", "-", "a"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"1", "-", "b"}]], "Output",
 CellChangeTimes->{3.422652746375*^9, 3.442760128711375*^9}]
}, Open  ]],

Cell[TextData[{
 "Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"1", "-", "a"}], TraditionalForm]]],
 " is sent to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"1", "-", "b"}], TraditionalForm]]],
 ", we find that ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " must be sent to either ",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", Cell[""]}], TraditionalForm]]],
 "or ",
 Cell[BoxData[
  FormBox[
   RowBox[{"1", "-", "a"}], TraditionalForm]]],
 ".  Try sending ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ":"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"H", "[", "b", "]"}], ",", "a"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"CheckHomo", "[", 
  RowBox[{"H", ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}]}], "]"}]}], "Input"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.42265274896875*^9, 3.442760130977*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CircleGraph", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", 
     RowBox[{"1", "-", "a"}], ",", "b", ",", 
     RowBox[{"1", "-", "b"}]}], "}"}], ",", "H"}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1., 6.123233995736766*^-17}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.2246467991473532`*^-16, -1.}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1., -1.8369701987210297`*^-16}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"a\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], InsetBox[
    TagBox[
     StyleBox["\<\"b\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, -1.1}, {0, 1}], InsetBox[
    TagBox[
     StyleBox["\<\"1-a\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {1.1, 6.735557395310444*^-17}, {-1, 0}],
    InsetBox[
    TagBox[
     StyleBox["\<\"1-b\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 
      18]& ], {-1.1, -2.0206672185931328`*^-16}, {1, 0}], {{
     {RGBColor[1, 0, 0], LineBox[{{0., 1.}, {1.2246467991473532`*^-16, -1.}}],
       PolygonBox[{{1.2246467991473532`*^-16, -1.}, {
       0.05000000000000012, -0.9}, {-0.049999999999999885`, -0.9}}]}, 
     {RGBColor[1, 0, 0], LineBox[{{1.2246467991473532`*^-16, -1.}, {0., 1.}}],
       PolygonBox[{{0., 1.}, {-0.049999999999999996`, 0.9}, {
       0.05000000000000001, 0.9}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{1., 
       6.123233995736766*^-17}, {-1., -1.8369701987210297`*^-16}}], 
      PolygonBox[{{-1., -1.8369701987210297`*^-16}, {-0.9, \
-0.05000000000000017}, {-0.9, 0.049999999999999836`}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-1., -1.8369701987210297`*^-16}, {1., 
       6.123233995736766*^-17}}], 
      PolygonBox[{{1., 6.123233995736766*^-17}, {0.9, 0.05000000000000005}, {
       0.9, -0.049999999999999954`}}]}}}},
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.42265275121875*^9, 3.442760133086375*^9}]
}, Open  ]],

Cell[TextData[{
 "This circle graph is like the permutation P[3,4,1,2].  Thus, we can extend \
our subgroup of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 " to:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"M", " ", "=", " ", 
  RowBox[{"Group", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"P", "[", 
      RowBox[{"2", ",", "1"}], "]"}], ",", 
     RowBox[{"P", "[", 
      RowBox[{"2", ",", "1", ",", "4", ",", "3"}], "]"}], ",", 
     RowBox[{"P", "[", 
      RowBox[{"3", ",", "4", ",", "1", ",", "2"}], "]"}]}], "}"}], 
   "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "2", ",", "4", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "1", ",", "4", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "4", ",", "1", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "3", ",", "1", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "4", ",", "2", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "3", ",", "2", ",", "1"}], "]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.422652757625*^9, 3.44276013588325*^9}]
}, Open  ]],

Cell[TextData[{
 "Now we have 8 \[DoubleStruckCapitalQ]-automorphisms.  Since this is the \
number predicted by proposition 15.4, we are done.  Hence, we found the \
Galois group as a subgroup of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 " of order 8.\nThe multiplication table"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4386881834375*^9, 3.43868818396875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MultTable", "[", "M", "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.7, 0.8, 0.7}, {0.7, 0.8, 0.7}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {0, 1, 0}, {1, 0, 0}, {1, 0, 1}, {0, 1, 1}, {1, 1, 0}}, {{
      1, 0.6, 0}, {1, 0.6, 0}, {0, 1, 0}, {0.7, 0.8, 0.7}, {0.6, 0.4, 0.8}, {
      0, 1, 1}, {1, 1, 0}, {1, 0, 0}, {1, 0, 1}}, {{0.6, 0.4, 0.8}, {0.6, 0.4,
       0.8}, {0.7, 0.8, 0.7}, {0, 1, 0}, {1, 0.6, 0}, {1, 0, 1}, {1, 0, 0}, {
      1, 1, 0}, {0, 1, 1}}, {{0, 1, 0}, {0, 1, 0}, {1, 0.6, 0}, {0.6, 0.4, 
      0.8}, {0.7, 0.8, 0.7}, {1, 1, 0}, {0, 1, 1}, {1, 0, 1}, {1, 0, 0}}, {{1,
       0, 0}, {1, 0, 0}, {0, 1, 1}, {1, 0, 1}, {1, 1, 0}, {0.7, 0.8, 0.7}, {
      1, 0.6, 0}, {0.6, 0.4, 0.8}, {0, 1, 0}}, {{0, 1, 1}, {0, 1, 1}, {1, 0, 
      0}, {1, 1, 0}, {1, 0, 1}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0, 1, 0}, {0.6,
       0.4, 0.8}}, {{1, 0, 1}, {1, 0, 1}, {1, 1, 0}, {1, 0, 0}, {0, 1, 1}, {
      0.6, 0.4, 0.8}, {0, 1, 0}, {0.7, 0.8, 0.7}, {1, 0.6, 0}}, {{1, 1, 0}, {
      1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 1}, {0, 1, 
      1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 
      0.7}}}], InsetBox[
    TagBox[
     StyleBox["\<\"\[CenterDot]\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0.5, 8.5}], {InsetBox[
     TagBox[
      StyleBox["\<\"P[]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 7.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[2,1]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 6.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[1,2,4,3]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 5.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[2,1,4,3]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 4.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[3,4,1,2]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 3.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[4,3,1,2]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 2.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[3,4,2,1]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 1.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[4,3,2,1]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 0.5}, {1, 0}]}, 
   LineBox[{{1, 0}, {1, 8}, {9, 8}}]},
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.42265276315625*^9, 3.442760139555125*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "shows that this group is non-abelian, and has 5 elements of order 2.  Thus, \
the Galois group is isomorphic to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "4"], TraditionalForm]]],
 ".\n\nThis example shows the usefulness of proposition 15.4 in finding the \
Galois group.  In fact, sometimes the Galois group can be determined using \
only corollary 15.1 and proposition 15.4."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438688200015625*^9, 3.438688213609375*^9}}],

Cell[TextData[{
 "One of the tools we will use for finding the ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphisms is the close connection between the subgroups of the Galois \
group, and the subfield of the field extension. We begin by showing a way to \
produce subfields of a field extension."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.416841312330875*^9}],

Cell[TextData[{
 "\nPROPOSITION 15.5 \nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a finite extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " be a subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], "K"}], TraditionalForm]]],
 ". Let\n\n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"fix", "(", "H", ")"}], " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"k", " ", "\[Element]", " ", "K"}], "   ", "|", "  ", 
       RowBox[{"\[Phi]", "(", "k", ")"}]}], " ", "=", " ", 
      RowBox[{
       RowBox[{"k", "   ", "for", " ", "all", "  ", "\[Phi]"}], " ", 
       "\[Element]", " ", "H"}]}], "}"}]}], TraditionalForm]]],
 ".\n        \nThen ",
 Cell[BoxData[
  FormBox[
   RowBox[{"fix", "(", "H", ")"}], TraditionalForm]]],
 " is a subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " containing the field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.416841312330875*^9, 3.4168413217215*^9}, {
  3.438688222984375*^9, 3.43868824853125*^9}, {3.438688456484375*^9, 
  3.438688456484375*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "For each ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", let ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["E", "\[Phi]"], TraditionalForm]]],
 " be the set of elements which are fixed by ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 ". By lemma 15.2, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["E", "\[Phi]"], TraditionalForm]]],
 " is a subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " containing ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". By taking the intersection of all ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["E", "\[Phi]"], TraditionalForm]]],
 "  with ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", we obtain a subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " containing ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438688466578125*^9, 3.438688467109375*^9}}]
}, Open  ]],

Cell[TextData[{
 "\nDEFINITION 15.3:\nThe field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"fix", "(", "H", ")"}], TraditionalForm]]],
 " is called the ",
 StyleBox["fixed field",
  FontSlant->"Italic"],
 " of the subgroup ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ".\n\nLet us use the example of the Galois group of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 " to illustrate the fixed fields of the subgroups.\n\nThe Galois group can \
be described as \n  \n   ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"I", ",", " ", "F", ",", " ", "G", ",", " ", 
       RowBox[{"G", "[", "G", "]"}], ",", " ", 
       RowBox[{"F", "[", "G", "]"}], ",", " ", 
       RowBox[{"G", "[", "F", "]"}]}], "}"}], ","}]}], TraditionalForm]]],
 "\n\nwhere ",
 Cell[BoxData[
  FormBox["I", TraditionalForm]]],
 " represents the identity automorphism which sends\nevery element to itself. \
The subgroups of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "\[DoubleStruckCapitalQ]"], 
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{"a", ",", "b"}], ")"}]}], TraditionalForm]]],
 " are as follows:\n\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["H", "1"], " ", "=", " ", 
    RowBox[{"{", "I", "}"}]}], TraditionalForm]]],
 "\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["H", "2"], "=", " ", 
    RowBox[{"{", 
     RowBox[{"I", ",", " ", "F"}], "}"}]}], TraditionalForm]]],
 "\n      ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SubscriptBox["H", "3"], " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{"I", ",", " ", 
       RowBox[{"F", "[", "G", "]"}]}], "}"}]}]}], TraditionalForm]]],
 "\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["H", "4"], " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{"I", ",", " ", 
      RowBox[{"G", "[", "F", "]"}]}], "}"}]}], TraditionalForm]]],
 "\n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["H", "5"], "=", " ", 
    RowBox[{"{", 
     RowBox[{"I", ",", " ", "G", ",", " ", 
      RowBox[{"G", "[", "G", "]"}]}], "}"}]}], TraditionalForm]]],
 "\n      ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SubscriptBox["H", "6"], "=", " ", 
     RowBox[{"{", 
      RowBox[{"I", ",", " ", "F", ",", " ", "G", ",", " ", 
       RowBox[{"G", "[", "G", "]"}], ",", " ", 
       RowBox[{"F", "[", "G", "]"}], ",", " ", 
       RowBox[{"G", "[", "F", "]"}]}], "}"}]}]}], TraditionalForm]]],
 "\n\nLet us find the 6 fixed fields of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{"a", ",", "b"}], ")"}], "."}], TraditionalForm]]],
 " The field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"fix", "(", 
    SubscriptBox["H", "1"], ")"}], TraditionalForm]]],
 " is the set of elements fixed by the identity mapping, which is of course \
all of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{"a", ",", "b"}], ")"}], "."}], TraditionalForm]]],
 " The field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"fix", "(", 
    SubscriptBox["H", "2"], ")"}], TraditionalForm]]],
 " contains the elements fixed by the mapping ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", which maps ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ". Notice that the third root, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"-", "a"}], "-", "b"}], TraditionalForm]]],
 ", is fixed be the automorphicm ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"fix", "(", 
     SubscriptBox["H", "2"], ")"}], " ", "=", " ", 
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{
      RowBox[{"-", "a"}], "-", "b"}], ")"}]}], TraditionalForm]]],
 ". By a similar arguement, we see that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     FormBox[
      RowBox[{"fix", "(", 
       SubscriptBox["H", "3"]}],
      TraditionalForm], ")"}], " ", "=", " ", 
    RowBox[{"Q", "(", "a", ")"}]}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"fix", "(", 
     SubscriptBox["H", "4"], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"Q", "(", "b", ")"}], "."}]}], TraditionalForm]]],
 " The field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"fix", "(", 
    SubscriptBox["H", "5"], ")"}], TraditionalForm]]],
 " is a little bit trickier, since ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 " moves ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"-", "a"}], "-", 
    RowBox[{"b", "."}]}], TraditionalForm]]],
 " Let us have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " help us find the fixed field."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4386884793125*^9, 3.438688481453125*^9}}],

Cell["\<\
InitDomain[0]
Define[a^3,2]
Define[b^2,-a^2-a b]
Homomorph[G]
Define[G[a],b]
Define[G[b],-a-b]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Let us try to find an element that is fixed by ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ". The basis for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "a", ",", "b", ",", 
      SuperscriptBox["a", "2"], ",", " ", 
      RowBox[{"a", " ", "b"}], ",", " ", 
      RowBox[{
       SuperscriptBox["a", "2"], " ", "b"}]}], "}"}], "."}], 
   TraditionalForm]]],
 " Of course ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"G", "[", "1", "]"}], " ", "=", " ", "1"}], TraditionalForm]]],
 ", but let us try the other six elements in the basis."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["G[a]", "Input",
 PageWidth->Infinity],

Cell[BoxData["b"], "Output",
 CellChangeTimes->{3.442760146805125*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["G[b]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "a"}], "-", "b"}]], "Output",
 CellChangeTimes->{3.44276014857075*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["G[a^2]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   SuperscriptBox["a", "2"]}], "-", 
  RowBox[{"a", " ", "b"}]}]], "Output",
 CellChangeTimes->{3.442760149492625*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["G[a b]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 SuperscriptBox["a", "2"]], "Output",
 CellChangeTimes->{3.442760150367625*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["G[a^2 b]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["a", "2"], " ", "b"}]], "Output",
 CellChangeTimes->{3.44276015107075*^9}]
}, Open  ]],

Cell[TextData[{
 "Only the last element, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["a", "2"], " ", "b"}], TraditionalForm]]],
 ", is fixed by the automorphism ",
 Cell[BoxData[
  FormBox["G", TraditionalForm]]],
 ". What elementis this? We can find an approximation for ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["a", "2"], "b"}], TraditionalForm]]],
 " by plugging in what ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " represent--two of the roots to the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], "-", " ", "2"}], TraditionalForm]]],
 ".\n\nHere are the numerical approximations to the roots:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868687353125*^9, 3.43868687353125*^9}}],

Cell[CellGroupData[{

Cell["NSolve[x^3 - 2 == 0]//N", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.4386868754375*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "0.6299605249474366`"}], "-", 
      RowBox[{"1.0911236359717214`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "0.6299605249474366`"}], "+", 
      RowBox[{"1.0911236359717214`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", "1.2599210498948732`"}], "}"}]}], "}"}]], "Output",\

 CellChangeTimes->{3.442760153617625*^9}]
}, Open  ]],

Cell[TextData[{
 "If we let",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"a", " ", "=", " ", "1.25992"}]}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"b", " ", "=", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "0.629961"}], " ", "+", " ", 
      RowBox[{"1.09112", " ", "I"}]}], ")"}]}], TraditionalForm]]],
 ", we find that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["a", "2"], " ", "b"}], " ", "="}], TraditionalForm]]],
 " "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["1.25992^2 (-0.629961 + 1.09112 I)", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.44276015800825*^9, 3.442760159211375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "0.9999990874941502`"}], "+", 
  RowBox[{"1.732042149191168`", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{3.44276016275825*^9}]
}, Open  ]],

Cell[TextData[{
 "The real part of the answer is obviously trying to be ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", "1"}], TraditionalForm]]],
 ", but the complex part is also familar. Comparing this to "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Sqrt[3]//N", "Input",
 PageWidth->Infinity],

Cell[BoxData["1.7320508075688772`"], "Output",
 CellChangeTimes->{3.442760168227*^9}]
}, Open  ]],

Cell[TextData[{
 "we see that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["a", "2"], "b"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"-", "1"}], " ", "+", " ", 
     RowBox[{
      SqrtBox[
       RowBox[{"-", "3"}]], "."}]}]}], TraditionalForm]]],
 " This agrees with our previous obvervation that ",
 Cell[BoxData[
  FormBox[
   SqrtBox[
    RowBox[{"-", "3"}]], TraditionalForm]]],
 " is in the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", "1"}], TraditionalForm]]],
 " is already rational, we can write the fixed field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"fix", "(", 
    SubscriptBox["H", "5"], ")"}], TraditionalForm]]],
 " as",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"\[DoubleStruckCapitalQ]", "(", 
      SqrtBox[
       RowBox[{"-", "3"}]], ")"}], "."}]}], TraditionalForm]]],
 "\n                \nFinally, the only elements of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{"a", ",", "b"}], ")"}], TraditionalForm]]],
 " which are fixed by ",
 StyleBox["all",
  FontSlant->"Italic"],
 " ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphisms are the elements of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ". Hence ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"fix", "(", 
     SubscriptBox["H", "6"], ")"}], " ", "=", " ", 
    RowBox[{"\[DoubleStruckCapitalQ]", "."}]}], TraditionalForm]]],
 "\n\nHere is an easier example--consider the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", " ", 
    RadicalBox["2", "3"], ")"}], TraditionalForm]]],
 ". Since the only ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphism is the identity automorphism, which fixes the whole group, \
the only fixed field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RadicalBox["2", "3"], ")"}], TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RadicalBox["2", "3"], ")"}], TraditionalForm]]],
 ", even though there is the obvious subfield ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 " within this field. \n\nEXPERIMENT:\nConsider the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{
     SqrtBox["2"], ",", 
     SqrtBox["3"]}], ")"}], TraditionalForm]]],
 ". Note that every element of this field can be written as \n                \
           \n                      ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"a", " ", "+", " ", 
     RowBox[{"b", " ", 
      SqrtBox["2"]}], " ", "+", " ", 
     RowBox[{"c", " ", 
      SqrtBox["3"]}], " ", "+", " ", 
     RowBox[{"d", " ", 
      SqrtBox["6"]}]}], ","}], TraditionalForm]]],
 "\n\nwhere ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["c", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]]],
 " are rational numbers. How many subfields does this field have? We will \
learn that since this field is a splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "-", " ", 
    RowBox[{"5", " ", "x\.b2"}], " ", "+", " ", "6"}], TraditionalForm]]],
 ", every subfield is produced as the fixed field of some subgroup of the \
Galois group. Can you use this information to see what the elements of the \
Galois group are?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438686894984375*^9, 3.438686895359375*^9}}],

Cell["   ", "Input",
 PageWidth->Infinity]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
The Galois Group of a Polynomial in \[DoubleStruckCapitalQ]\
\>", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "To demonstrate Galois groups, let us concentrate on polynomials with \
rational coefficients.   By working with rational numbers, we will avoid the \
problem of a splitting field having multiple roots. Recall that earier we saw \
that, even though ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], " ", "-", " ", "t"}], TraditionalForm]]],
 " is irreducible in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "2"], "(", "t", ")"}], TraditionalForm]]],
 ", the factorization in the splitting field had multiple roots. \nThis \
situation will never happen if we work in the field of rational numbers. \n\n\
One advantage of working with a familar field is that we can borrow a result \
from calculus. It isn't often that we will use a calculus result in algebra, \
but in this case it greatly simplifies the proof. \n\nLEMMA 15.3\nIf ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " is an irreducible polynomial on ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "[", "x", "]"}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " does not have multiple roots in the spliting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], "."}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438686896203125*^9, 3.4386868985625*^9}, {
  3.438689229765625*^9, 3.43868923025*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Since we are working in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "[", "x", "]"}], TraditionalForm]]],
 ", we can use the familiar tools of calculus. Suppose that ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is a multiple root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Then\n\n     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", "u"}], ")"}], "2"], "\[CenterDot]", 
     RowBox[{
      RowBox[{"g", "(", "x", ")"}], "."}]}]}], TraditionalForm]]],
 "\n\nSince we are working in a field extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", we can take the derivative of both sides to get \n\n     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["f", 
      RowBox[{" ", "\[Prime]"}]], "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"2", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"x", " ", "-", " ", "u"}], ")"}], "\[CenterDot]", 
       RowBox[{"g", "(", "x", ")"}]}]}], " ", "+", " ", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"x", " ", "-", " ", "u"}], ")"}], "2"], "\[CenterDot]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["g", "\[Prime]"], "(", "x", ")"}], "."}]}]}]}], 
   TraditionalForm]]],
 "\n\nThus, ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["f", 
     RowBox[{" ", "\[Prime]"}]], "(", "x", ")"}], TraditionalForm]]],
 ", which has lower degree than ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], "."}], TraditionalForm]]],
 " Note that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["f", 
     RowBox[{" ", "\[Prime]"}]], "(", "x", ")"}], TraditionalForm]]],
 " is not 0, since it has degree of at least one.\n\nSince ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["f", 
     RowBox[{" ", "\[Prime]"}]], "(", "x", ")"}], TraditionalForm]]],
 " is also in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "[", "x", "]"}], TraditionalForm]]],
 ", we see that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Irr", "\[DoubleStruckCapitalQ]"], "[", 
    RowBox[{"u", ",", "x"}], "]"}], TraditionalForm]]],
 " has degree less than the degree of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 ", and so ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Irr", "\[DoubleStruckCapitalQ]"], "[", 
    RowBox[{"u", ",", "x"}], "]"}], TraditionalForm]]],
 " is a divisor of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], "."}], TraditionalForm]]],
 " But this contradicts the fact that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " is irreducible. Therefore, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " cannot have multiple roots in its splitting field."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438686899125*^9, 3.43868690896875*^9}}]
}, Open  ]],

Cell[TextData[{
 "Because of this lemma, we know from proposition 14.10 that any splitting \
field can be expressed as a simple extension ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "w", ")"}], TraditionalForm]]],
 ", and also we will be able to use proposition 15.4 to predict the size of \
the Galois group of the splitting field.  We can relate the Galois group of \
the splitting field directly to the polynomial.\n\nDEFINITION 15.4:\nLet ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " be a polynomial in ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ". The ",
 StyleBox["Galois group",
  FontSlant->"Italic"],
 " of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " is the Galois group of the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ".\n\nWe have already seen some examples of Galois groups of splitting \
fields. The splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", "2"}], TraditionalForm]]],
 " was saw was isomorphic to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 ". We also computed the Galois group of the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["x", "3"]}], "+", 
    SuperscriptBox["x", "2"], "+", "1"}], TraditionalForm]]],
 ", and found that the Galois group is isomorphic to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "4"], TraditionalForm]]],
 ".\n\nLet us compute the Galois groups of some other polynomials.\n\n        \
           ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "+", " ", 
    SuperscriptBox["x", "2"], " ", "-", " ", 
    RowBox[{"2", " ", "x"}], " ", "-", " ", "1"}], TraditionalForm]]],
 "\n\nThis polynomial is irreducible, as ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can verify:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438686915609375*^9, 3.438686920234375*^9}, {
  3.4386892736875*^9, 3.4386893033125*^9}}],

Cell[CellGroupData[{

Cell["Factor[x^3 + x^2 - 2 x - 1]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.43868692103125*^9, 3.438686921546875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "1"}], "-", 
  RowBox[{"2", " ", "x"}], "+", 
  SuperscriptBox["x", "2"], "+", 
  SuperscriptBox["x", "3"]}]], "Output",
 CellChangeTimes->{3.44276018519575*^9}]
}, Open  ]],

Cell[TextData[{
 "Thus, we can let a denote one of the roots, and try to factor this in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], "."}], 
   TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
InitDomain[0]
Define[a^3, - a^2 + 2 a + 1]
Factor[x^3 + x^2 - 2 x - 1, a]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.43868692328125*^9, 3.4386869238125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"2", "-", 
    SuperscriptBox["a", "2"], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", "a", "+", 
    SuperscriptBox["a", "2"], "+", "x"}], ")"}]}]], "Output",
 CellChangeTimes->{3.442760194305125*^9}]
}, Open  ]],

Cell[TextData[{
 "Note that this factors completely. Thus, the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "+", " ", 
    SuperscriptBox["x", "2"], " ", "-", " ", 
    RowBox[{"2", " ", "x"}], " ", "-", " ", "1"}], TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 ". This is a three dimensional extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", so by proposition 15.4, the Galois group has 3 elements. Thus, the Galois \
group is isomorphic to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 ".\n\nEXPERIMENT:\nUsing a similar argument, determine which familar group \
the Galois group of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "+", " ", 
    SuperscriptBox["x", "4"], "-", " ", 
    RowBox[{"4", " ", 
     SuperscriptBox["x", "3"]}], " ", "-", " ", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "2"]}], " ", "+", " ", 
    RowBox[{"3", " ", "x"}], " ", "+", " ", "1"}], TraditionalForm]]],
 " is isomorphic to."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868692565625*^9, 3.438686930484375*^9}, {
  3.43868935346875*^9, 3.43868935425*^9}}],

Cell["   ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Consider the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "-", " ", 
    RowBox[{"5", " ", "x"}], " ", "+", " ", "12"}], TraditionalForm]]],
 ". In the last chapter, we were able to find a splitting field by making two \
extensions, one of dimension 5, and one of dimension 2. Here is the \
factorization that was produced:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868693103125*^9, 3.438686931328125*^9}}],

Cell["\<\
InitDomain[0]
Define[a^5, 5 a - 12]
Define[b^2, - 2 + 5 a/4 + a^2/4 + a^3/4 + a^4/4 - b
            - 3 a b/4 + a^2 b/4 + a^3 b/4 + a^4 b/4]\
\>", "Input",
 PageWidth->Infinity],

Cell["If we define ", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
c = Expand[(a^4 +a^3 + a^2 - 3 a - 4 b - 4) / 4]
d = Expand[(a -4-a^2+a^3-a^4-4 b-a b+a^2 b -a^3 b +a^4 b)/8]
e = Expand[(12-3a-a^2-3a^3-a^4+4b+a b-a^2 b+a^3 b-a^4 b)/8]\
\>", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "1"}], "-", 
  FractionBox[
   RowBox[{"3", " ", "a"}], "4"], "+", 
  FractionBox[
   SuperscriptBox["a", "2"], "4"], "+", 
  FractionBox[
   SuperscriptBox["a", "3"], "4"], "+", 
  FractionBox[
   SuperscriptBox["a", "4"], "4"], "-", "b"}]], "Output",
 CellChangeTimes->{3.442760203773875*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox["1", "2"]}], "+", 
  FractionBox["a", "8"], "-", 
  FractionBox[
   SuperscriptBox["a", "2"], "8"], "+", 
  FractionBox[
   SuperscriptBox["a", "3"], "8"], "-", 
  FractionBox[
   SuperscriptBox["a", "4"], "8"], "-", 
  FractionBox["b", "2"], "-", 
  FractionBox[
   RowBox[{"a", " ", "b"}], "8"], "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox["a", "2"], " ", "b"}], "8"], "-", 
  FractionBox[
   RowBox[{
    SuperscriptBox["a", "3"], " ", "b"}], "8"], "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox["a", "4"], " ", "b"}], "8"]}]], "Output",
 CellChangeTimes->{3.4427602037895*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["3", "2"], "-", 
  FractionBox[
   RowBox[{"3", " ", "a"}], "8"], "-", 
  FractionBox[
   SuperscriptBox["a", "2"], "8"], "-", 
  FractionBox[
   RowBox[{"3", " ", 
    SuperscriptBox["a", "3"]}], "8"], "-", 
  FractionBox[
   SuperscriptBox["a", "4"], "8"], "+", 
  FractionBox["b", "2"], "+", 
  FractionBox[
   RowBox[{"a", " ", "b"}], "8"], "-", 
  FractionBox[
   RowBox[{
    SuperscriptBox["a", "2"], " ", "b"}], "8"], "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox["a", "3"], " ", "b"}], "8"], "-", 
  FractionBox[
   RowBox[{
    SuperscriptBox["a", "4"], " ", "b"}], "8"]}]], "Output",
 CellChangeTimes->{3.442760203805125*^9}]
}, Open  ]],

Cell["we see that the product", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["(x-a).(x-b).(x-c).(x-d).(x-e)", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.438686932265625*^9, 3.438686933703125*^9}}],

Cell[BoxData[
 RowBox[{"12", "-", 
  RowBox[{"5", " ", "x"}], "+", 
  SuperscriptBox["x", "5"]}]], "Output",
 CellChangeTimes->{3.442760209367625*^9}]
}, Open  ]],

Cell[TextData[{
 "simplifies to the original polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "-", " ", 
    RowBox[{"5", " ", "x"}], " ", "+", " ", "12."}], TraditionalForm]]],
 " Thus, the 5 roots are ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["c", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["e", TraditionalForm]]],
 ". Thus, any ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphism on the splitting field must send ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " to one of these five elements. Let us try to define a homomorphism ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " which sends ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Florin]", "(", "a", ")"}], " ", "=", " ", "b"}], ","}], 
   TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "b", ")"}], " ", "=", " ", 
    RowBox[{"a", "."}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438686934578125*^9, 3.4386869350625*^9}}],

Cell[CellGroupData[{

Cell["\<\
Homomorph[F]
Define[F[a],b]
Define[F[b],a]
CheckHomo[F,{a,b}]\
\>", "Input",
 PageWidth->Infinity],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.442760212148875*^9}]
}, Open  ]],

Cell[TextData[{
 "Thus homomophism works! Not only does ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " verify that this is a homomorphism, but it can drow a circle graph \
describing how this homomorphism acts on the five roots."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CircleGraph[{a, b, c, d, e}, F]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9510565162951535, 0.30901699437494745`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5877852522924732, -0.8090169943749473}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5877852522924734, -0.8090169943749472}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9510565162951536, 0.30901699437494723`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"a\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], {}, {InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0461621679246689`, 0.3399186938124422}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"c\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6465637775217207, -0.8899186938124422}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"d\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6465637775217208, -0.889918693812442}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.046162167924669, 0.339918693812442}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], 
      LineBox[{{0., 1.}, {0.9510565162951535, 0.30901699437494745`}}], 
      PolygonBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.8995440794722824, 0.4082463693229421}, {0.8407655542430351, 
       0.3273446698854474}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.9510565162951535, 0.30901699437494745`}, {0., 1.}}], 
      PolygonBox[{{0., 1.}, {0.051512436822871085`, 0.9007706250520053}, {
       0.11029096205211839`, 0.9816723244895}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{
       0.5877852522924732, -0.8090169943749473}, {-0.5877852522924734, \
-0.8090169943749472}}], 
      PolygonBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.4877852522924734, -0.8590169943749473}, {-0.4877852522924734, \
-0.7590169943749472}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.5877852522924734, -0.8090169943749472}, {
       0.5877852522924732, -0.8090169943749473}}], 
      PolygonBox[{{0.5877852522924732, -0.8090169943749473}, {
       0.48778525229247327`, -0.7590169943749473}, {
       0.48778525229247327`, -0.8590169943749473}}]}}, 
    {RGBColor[0.6, 0.4, 0.8], 
     LineBox[{{-0.9056574663211989, 
      0.21991634195611046`}, {-0.8814979805973427, 
      0.18924111987771652`}, {-0.8474538468308939, 
      0.1702241023383616}, {-0.8087336416028426, 
      0.16559855295503534`}, {-0.7711577639284075, 
      0.1762147395112284}, {-0.7404825418500136, 
      0.20037422523508464`}, {-0.721532774161855, 
      0.23441835900153352`}, {-0.7168399749273324, 
      0.2731385642295848}, {-0.7274561614835254, 
      0.31071444190401987`}, {-0.7516156472073816, 
      0.34138966398241377`}, {-0.7856597809738306, 
      0.3604066815217687}, {-0.8243799862018818, 
      0.36503223090509496`}, {-0.8619558638763168, 
      0.35441604434890195`}, {-0.9510565162951536, 0.30901699437494723`}}], 
     PolygonBox[{{-0.9510565162951536, 
      0.30901699437494723`}, {-0.9502077925306174, 
      0.19721681696913312`}, {-0.8611071401117806, 0.24261586694308782`}}]}}},
  
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.442760214523875*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "From this, we see that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Florin]", "(", "c", ")"}], " ", "=", " ", "d"}], ","}], 
   TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Florin]", "(", "d", ")"}], " ", "=", " ", "c"}], ","}], 
   TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "e", ")"}], " ", "=", " ", 
    RowBox[{"e", "."}]}], TraditionalForm]]],
 "\n\nEXPERIMENT:\nWhat if we tried to define a homomorphism in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " for which ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Florin]", "(", "a", ")"}], " ", "=", " ", "b"}], ","}], 
   TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "b", ")"}], " ", "=", " ", 
    RowBox[{"c", "?"}]}], TraditionalForm]]],
 " Try changing the above commands to see if this indeed produces a \
homomorphism.\n\nNot every possible way of mapping ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " to the roots ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["c", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["e", TraditionalForm]]],
 " will produce a homomorphism. Thus, finding other homomorphisms requires a \
little trial and error. In fact, exactly half of the attempts will produce a \
homomorphism in this example.\n\nLet us try one more time to find a different \
homomorphism.\nThis time, we will try to have ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Florin]", "(", "a", ")"}], " ", "=", " ", "a"}], ","}], 
   TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "b", ")"}], " ", "=", " ", 
    RowBox[{"c", "."}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
Homomorph[F]
Define[F[a],a]
Define[F[b],c]
CheckHomo[F,{a,b}]\
\>", "Input",
 PageWidth->Infinity],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.4427602179145*^9}]
}, Open  ]],

Cell["Thus homomophism also works. The circle graph is given by", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CircleGraph[{a, b, c, d, e}, F]", "Input",
 PageWidth->Infinity,
 FontFamily->"Courier New",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.9510565162951535, 0.30901699437494745`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.5877852522924732, -0.8090169943749473}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.5877852522924734, -0.8090169943749472}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.9510565162951536, 0.30901699437494723`}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"a\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], {}, {InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.0461621679246689`, 0.3399186938124422}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"c\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.6465637775217207, -0.8899186938124422}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"d\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.6465637775217208, -0.889918693812442}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"e\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.046162167924669, 0.339918693812442}, {1, 0}]}, {
    {RGBColor[1, 0, 0], 
     LineBox[{{-0.07071067811865475, 
      0.9292893218813453}, {-0.09241885630108176, 
      0.8968331206248827}, {-0.09998489885977781, 
      0.8585786437626906}, {-0.09241885630108176, 
      0.8203241669004984}, {-0.07071067811865475, 
      0.7878679656440357}, {-0.038254476862192216`, 0.7661597874616087}, {0., 
      0.7585937449029128}, {0.038254476862192216`, 0.7661597874616087}, {
      0.07071067811865475, 0.7878679656440357}, {0.09241885630108176, 
      0.8203241669004984}, {0.09998489885977781, 0.8585786437626906}, {
      0.09241885630108176, 0.8968331206248827}, {0.07071067811865475, 
      0.9292893218813453}, {0., 1.}}], 
     PolygonBox[{{0., 1.}, {-0.10606601717798211`, 
      0.9646446609406726}, {-0.035355339059327376`, 0.8939339828220179}}]}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.5877852522924732, -0.8090169943749473}}], 
      PolygonBox[{{0.5877852522924732, -0.8090169943749473}, {
       0.6662397775447256, -0.7293621924641793}, {
       0.5711341259152103, -0.6984604930266847}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.5877852522924732, -0.8090169943749473}, {0.9510565162951535,
        0.30901699437494745`}}], 
      PolygonBox[{{0.9510565162951535, 0.30901699437494745`}, {
       0.8726019910429011, 0.22936219246417944`}, {0.9677076426724165, 
       0.19846049302668473`}}]}}, {
     {RGBColor[0.6, 0.4, 0.8], 
      LineBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.9510565162951536, 0.30901699437494723`}}], 
      PolygonBox[{{-0.9510565162951536, 
       0.30901699437494723`}, {-0.9677076426724166, 
       0.1984604930266845}, {-0.8726019910429013, 0.22936219246417924`}}]}, 
     {RGBColor[0.6, 0.4, 0.8], 
      LineBox[{{-0.9510565162951536, 
       0.30901699437494723`}, {-0.5877852522924734, -0.8090169943749472}}], 
      PolygonBox[{{-0.5877852522924734, -0.8090169943749472}, \
{-0.5711341259152104, -0.6984604930266844}, {-0.6662397775447257, \
-0.7293621924641792}}]}}}},
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.442760220523875*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "by which we see that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Florin]", "(", "c", ")"}], " ", "=", " ", "b"}], ","}], 
   TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Florin]", "(", "d", ")"}], " ", "=", " ", "e"}], ","}], 
   TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "e", ")"}], " ", "=", " ", 
    RowBox[{"d", "."}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We have found 2 ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphisms, but of course we know that there are more. Instead of \
trying to find homomorphisms, why don't we take advantage of corollary 15.1? \
Since the Galois group is a subgroup of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "5"], TraditionalForm]]],
 ", we can rewrite the homomorphisms as permutations. All we need to do is \
number the roots of the polynomial in the same order as in the circle graphs: \
\n\n                                             ",
 Cell[BoxData[
  FormBox[GridBox[{
     {
      RowBox[{"1", ")"}], "a"},
     {
      RowBox[{"2", ")"}], "b"},
     {
      RowBox[{"3", ")"}], "c"},
     {
      RowBox[{"4", ")"}], "d"},
     {
      RowBox[{"5", ")"}], "e"}
    }], TraditionalForm]]],
 "                \n\nSince the first ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphism swapped the first two roots, and the third and forth roots, \
this can be represented by the permutation ",
 StyleBox["P[2,1,4,3]",
  FontWeight->"Bold"],
 ". Likewise, the last ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphism discovered swaps the last two roots, and the second and third \
roots. This becomes the permutation ",
 StyleBox["P[1,3,2,5,4].",
  FontWeight->"Bold"],
 "\n\nSince the Galois group is a subgroup of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "5"], TraditionalForm]]],
 ", we can ask ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to find the subgroup generated by these two permutations."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438689485984375*^9, 3.438689486125*^9}}],

Cell[CellGroupData[{

Cell["G = Group[{P[2,1,4,3], P[1,3,2,5,4]}]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "1", ",", "4", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"1", ",", "3", ",", "2", ",", "5", ",", "4"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "1", ",", "5", ",", "2", ",", "4"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"2", ",", "4", ",", "1", ",", "5", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "2", ",", "5", ",", "1", ",", "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"3", ",", "5", ",", "1", ",", "4", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"5", ",", "3", ",", "4", ",", "1", ",", "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"4", ",", "5", ",", "2", ",", "3", ",", "1"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{"5", ",", "4", ",", "3", ",", "2", ",", "1"}], "]"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.422652832265625*^9, 3.4427602260395*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Length[G]", "Input",
 PageWidth->Infinity],

Cell[BoxData["10"], "Output",
 CellChangeTimes->{3.422652834453125*^9, 3.442760229023875*^9}]
}, Open  ]],

Cell[TextData[{
 "Thus we have 10 permutations. Proposition 15.4 states that the size of the \
Galois group is equal to the dimension of the splitting field. Since the \
splitting field is a two dimensional extension of a five dimensional \
extension, the Galois group contains exactly 10 elements. Thus, we have found \
all of the ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphisms of the splitting field. Furthermore, we can display a \
multiplication table of the Galois group:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438689508734375*^9, 3.438689509390625*^9}}],

Cell[CellGroupData[{

Cell["MultTable[G]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.5, 0.6, 0.8}, {0.5, 0.6, 0.8}, {0.7, 0.8, 0.7}, {0.8, 0.6, 
      0.5}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {1, 0, 0}, {0, 1, 0}, {1, 0, 1}, {0,
       1, 1}, {1, 1, 0}}, {{0.8, 0.6, 0.5}, {0.8, 0.6, 0.5}, {1, 0.6, 0}, {
      0.5, 0.6, 0.8}, {0, 1, 0}, {0.7, 0.8, 0.7}, {0, 1, 1}, {0.6, 0.4, 
      0.8}, {1, 1, 0}, {1, 0, 0}, {1, 0, 1}}, {{0.7, 0.8, 0.7}, {0.7, 0.8, 
      0.7}, {0.5, 0.6, 0.8}, {0.6, 0.4, 0.8}, {0.8, 0.6, 0.5}, {1, 0, 0}, {
      1, 0.6, 0}, {1, 0, 1}, {0, 1, 0}, {1, 1, 0}, {0, 1, 1}}, {{1, 0.6, 0}, {
      1, 0.6, 0}, {0.8, 0.6, 0.5}, {0, 1, 0}, {0.5, 0.6, 0.8}, {0, 1, 1}, {
      0.7, 0.8, 0.7}, {1, 1, 0}, {0.6, 0.4, 0.8}, {1, 0, 1}, {1, 0, 0}}, {{
      0.6, 0.4, 0.8}, {0.6, 0.4, 0.8}, {1, 0, 0}, {0.7, 0.8, 0.7}, {1, 0, 
      1}, {0.5, 0.6, 0.8}, {1, 1, 0}, {0.8, 0.6, 0.5}, {0, 1, 1}, {
      1, 0.6, 0}, {0, 1, 0}}, {{0, 1, 0}, {0, 1, 0}, {0, 1, 1}, {1, 0.6, 0}, {
      1, 1, 0}, {0.8, 0.6, 0.5}, {1, 0, 1}, {0.5, 0.6, 0.8}, {1, 0, 0}, {0.7, 
      0.8, 0.7}, {0.6, 0.4, 0.8}}, {{1, 0, 0}, {1, 0, 0}, {0.6, 0.4, 0.8}, {1,
       0, 1}, {0.7, 0.8, 0.7}, {1, 1, 0}, {0.5, 0.6, 0.8}, {0, 1, 1}, {0.8, 
      0.6, 0.5}, {0, 1, 0}, {1, 0.6, 0}}, {{0, 1, 1}, {0, 1, 1}, {0, 1, 0}, {
      1, 1, 0}, {1, 0.6, 0}, {1, 0, 1}, {0.8, 0.6, 0.5}, {1, 0, 0}, {0.5, 0.6,
       0.8}, {0.6, 0.4, 0.8}, {0.7, 0.8, 0.7}}, {{1, 0, 1}, {1, 0, 1}, {1, 1, 
      0}, {1, 0, 0}, {0, 1, 1}, {0.6, 0.4, 0.8}, {0, 1, 0}, {0.7, 0.8, 0.7}, {
      1, 0.6, 0}, {0.5, 0.6, 0.8}, {0.8, 0.6, 0.5}}, {{1, 1, 0}, {1, 1, 0}, {
      1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}, {0.8, 0.6, 0.5}, {0.5, 0.6, 0.8}}, {{1, 1, 
      1}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 
      0.8}, {1, 0.6, 0}, {0.7, 0.8, 0.7}, {0.8, 0.6, 0.5}, {0.5, 0.6, 0.8}}}],
    InsetBox[
    TagBox[
     StyleBox["\<\"\[CenterDot]\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0.5, 10.5}], {InsetBox[
     TagBox[
      StyleBox["\<\"P[]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 9.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[2,1,4,3]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 8.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[1,3,2,5,4]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 7.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[3,1,5,2,4]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 6.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[2,4,1,5,3]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 5.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[4,2,5,1,3]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 4.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[3,5,1,4,2]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 3.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[5,3,4,1,2]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 2.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[4,5,2,3,1]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 1.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[5,4,3,2,1]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 0.5}, {1, 0}]}, 
   LineBox[{{1, 0}, {1, 10}, {11, 10}}]},
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.422652838546875*^9, 3.442760230898875*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "This reveals that the Galois group is non-abelian, and hence must be \
isomorphic to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "5"], TraditionalForm]]],
 ".\n\nEXPERIMENT:\n\nCan you see how to use proposition 15.4 and corollary \
15.1 to prove ",
 StyleBox["directly",
  FontSlant->"Italic"],
 " that the Galois group of the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "-", " ", 
    RowBox[{"5", " ", "x"}], " ", "+", " ", "12"}], TraditionalForm]]],
 "  must be isomorphic to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "5"], TraditionalForm]]],
 "?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438686939953125*^9, 3.4386869403125*^9}, {
  3.438689544609375*^9, 3.43868954809375*^9}}],

Cell["   ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Here is another example which illustrates the variety of groups that can be \
produced be a Galois group of a polynomial.\n            \n            ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "8"], " ", "-", " ", 
    RowBox[{"24", " ", 
     SuperscriptBox["x", "6"]}], " ", "+", " ", 
    RowBox[{"144", " ", 
     SuperscriptBox["x", "4"]}], " ", "-", " ", 
    RowBox[{"288", " ", 
     SuperscriptBox["x", "2"]}], " ", "+", " ", "144"}], TraditionalForm]]],
 "\n      \n",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can verify that this is irreducible."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868695134375*^9, 3.43868695234375*^9}}],

Cell[CellGroupData[{

Cell["Factor[x^8 - 24 x^6 + 144 x^4 - 288 x^2 + 144]   ", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.43868695296875*^9, 3.438686953734375*^9}}],

Cell[BoxData[
 RowBox[{"144", "-", 
  RowBox[{"288", " ", 
   SuperscriptBox["x", "2"]}], "+", 
  RowBox[{"144", " ", 
   SuperscriptBox["x", "4"]}], "-", 
  RowBox[{"24", " ", 
   SuperscriptBox["x", "6"]}], "+", 
  SuperscriptBox["x", "8"]}]], "Output",
 CellChangeTimes->{3.442760233523875*^9}]
}, Open  ]],

Cell[TextData[{
 "Thus, we can define ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " to be one root of this equation."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
InitDomain[0]
Define[a^8, 24 a^6 - 144 a^4 + 288 a^2 - 144]\
\>", "Input",
 PageWidth->Infinity,
 FontFamily->"Courier New",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "Can we factor this in the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 "?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Factor[x^8 - 24 x^6 + 144 x^4 - 288 x^2 + 144, a]   ", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.438686954421875*^9, 3.4386869551875*^9}},
 FontFamily->"Courier New",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"a", "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "3"}], " ", "a"}], "+", 
    FractionBox[
     RowBox[{"3", " ", 
      SuperscriptBox["a", "3"]}], "2"], "-", 
    FractionBox[
     SuperscriptBox["a", "5"], "12"], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"3", " ", "a"}], "-", 
    FractionBox[
     RowBox[{"3", " ", 
      SuperscriptBox["a", "3"]}], "2"], "+", 
    FractionBox[
     SuperscriptBox["a", "5"], "12"], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"10", " ", "a"}], "-", 
    FractionBox[
     RowBox[{"17", " ", 
      SuperscriptBox["a", "3"]}], "2"], "+", 
    FractionBox[
     RowBox[{"11", " ", 
      SuperscriptBox["a", "5"]}], "6"], "-", 
    FractionBox[
     SuperscriptBox["a", "7"], "12"], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "-", 
    FractionBox[
     RowBox[{"5", " ", 
      SuperscriptBox["a", "3"]}], "2"], "+", 
    FractionBox[
     RowBox[{"5", " ", 
      SuperscriptBox["a", "5"]}], "6"], "-", 
    FractionBox[
     SuperscriptBox["a", "7"], "24"], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"a", "+", 
    FractionBox[
     RowBox[{"5", " ", 
      SuperscriptBox["a", "3"]}], "2"], "-", 
    FractionBox[
     RowBox[{"5", " ", 
      SuperscriptBox["a", "5"]}], "6"], "+", 
    FractionBox[
     SuperscriptBox["a", "7"], "24"], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "10"}], " ", "a"}], "+", 
    FractionBox[
     RowBox[{"17", " ", 
      SuperscriptBox["a", "3"]}], "2"], "-", 
    FractionBox[
     RowBox[{"11", " ", 
      SuperscriptBox["a", "5"]}], "6"], "+", 
    FractionBox[
     SuperscriptBox["a", "7"], "12"], "+", "x"}], ")"}]}]], "Output",
 CellChangeTimes->{3.4427602367895*^9}]
}, Open  ]],

Cell["We can instead verify the factorization:", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{3.438690181*^9}],

Cell[CellGroupData[{

Cell["\<\
b = a + 5 a^3/2 - 5 a^5/6 + a^7/24
c = 3 a - 3 a^3/2 + a^5/12
d = 10 a - 17 a^3/2 + 11 a^5/6 - a^7/12
(x-a).(x+a).(x-b).(x+b).(x-c).(x+c).(x-d).(x+d)\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.438686955875*^9, 3.438686958015625*^9}},
 FontFamily->"Courier New",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 RowBox[{"a", "+", 
  FractionBox[
   RowBox[{"5", " ", 
    SuperscriptBox["a", "3"]}], "2"], "-", 
  FractionBox[
   RowBox[{"5", " ", 
    SuperscriptBox["a", "5"]}], "6"], "+", 
  FractionBox[
   SuperscriptBox["a", "7"], "24"]}]], "Output",
 CellChangeTimes->{3.442760239336375*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"3", " ", "a"}], "-", 
  FractionBox[
   RowBox[{"3", " ", 
    SuperscriptBox["a", "3"]}], "2"], "+", 
  FractionBox[
   SuperscriptBox["a", "5"], "12"]}]], "Output",
 CellChangeTimes->{3.442760239367625*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"10", " ", "a"}], "-", 
  FractionBox[
   RowBox[{"17", " ", 
    SuperscriptBox["a", "3"]}], "2"], "+", 
  FractionBox[
   RowBox[{"11", " ", 
    SuperscriptBox["a", "5"]}], "6"], "-", 
  FractionBox[
   SuperscriptBox["a", "7"], "12"]}]], "Output",
 CellChangeTimes->{3.44276023938325*^9}],

Cell[BoxData[
 RowBox[{"144", "-", 
  RowBox[{"288", " ", 
   SuperscriptBox["x", "2"]}], "+", 
  RowBox[{"144", " ", 
   SuperscriptBox["x", "4"]}], "-", 
  RowBox[{"24", " ", 
   SuperscriptBox["x", "6"]}], "+", 
  SuperscriptBox["x", "8"]}]], "Output",
 CellChangeTimes->{3.442760239430125*^9}]
}, Open  ]],

Cell[TextData[{
 "Using either computation, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " shows us that the splitting field for this polynomial is simply ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", "a", ")"}], TraditionalForm]]],
 ". Since this is an eigth dimensional extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", the Galois group will have 8 elements. But which group is this isomorphic \
to? \n\nNote that the negative of each root is also a root. Thus, if we \
define"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
b = a + 5 a^3/2 - 5 a^5/6 + a^7/24
c = 3 a - 3 a^3/2 + a^5/12
d = 10 a - 17 a^3/2 + 11 a^5/6 - a^7/12\
\>", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"a", "+", 
  FractionBox[
   RowBox[{"5", " ", 
    SuperscriptBox["a", "3"]}], "2"], "-", 
  FractionBox[
   RowBox[{"5", " ", 
    SuperscriptBox["a", "5"]}], "6"], "+", 
  FractionBox[
   SuperscriptBox["a", "7"], "24"]}]], "Output",
 CellChangeTimes->{3.4427602509145*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"3", " ", "a"}], "-", 
  FractionBox[
   RowBox[{"3", " ", 
    SuperscriptBox["a", "3"]}], "2"], "+", 
  FractionBox[
   SuperscriptBox["a", "5"], "12"]}]], "Output",
 CellChangeTimes->{3.442760250930125*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"10", " ", "a"}], "-", 
  FractionBox[
   RowBox[{"17", " ", 
    SuperscriptBox["a", "3"]}], "2"], "+", 
  FractionBox[
   RowBox[{"11", " ", 
    SuperscriptBox["a", "5"]}], "6"], "-", 
  FractionBox[
   SuperscriptBox["a", "7"], "12"]}]], "Output",
 CellChangeTimes->{3.44276025094575*^9}]
}, Open  ]],

Cell[TextData[{
 "then the roots of the polynomial are ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[PlusMinus]", "a"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[PlusMinus]", "b"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[PlusMinus]", "c"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[PlusMinus]", "d"}], TraditionalForm]]],
 ". We will use the following order of the roots for the circle graphs:\n\n   \
                                 ",
 Cell[BoxData[
  FormBox[GridBox[{
     {
      RowBox[{"1", ")"}], "a"},
     {
      RowBox[{"2", ")"}], "b"},
     {
      RowBox[{"3", ")"}], "c"},
     {
      RowBox[{"4", ")"}], "d"},
     {
      RowBox[{"5", ")"}], 
      RowBox[{"-", "a"}]},
     {
      RowBox[{"6", ")"}], 
      RowBox[{"-", "b"}]},
     {
      RowBox[{"7", ")"}], 
      RowBox[{"-", "c"}]},
     {
      RowBox[{"8", ")"}], 
      RowBox[{"-", "d"}]}
    }], TraditionalForm]]],
 "                      \n\nSuppose that there is a ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphism ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " for which ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "a", ")"}], " ", "=", " ", 
    RowBox[{"b", "."}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438690271171875*^9, 3.438690284484375*^9}}],

Cell[CellGroupData[{

Cell["\<\
Homomorph[F]
Define[F[a],b]
CheckHomo[F,{a}]\
\>", "Input",
 PageWidth->Infinity],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.44276025944575*^9}]
}, Open  ]],

Cell[TextData[{
 "We can have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " find where the other 7 roots are mapped to."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CircleGraph[{a, b, c, d, -a, -b, -c, -d}, F]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7071067811865475, 0.7071067811865476}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1., 6.123233995736766*^-17}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7071067811865476, -0.7071067811865475}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.2246467991473532`*^-16, -1.}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7071067811865475, -0.7071067811865477}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1., -1.8369701987210297`*^-16}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7071067811865477, 0.7071067811865474}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"a\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], InsetBox[
    TagBox[
     StyleBox["\<\"-a\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, -1.1}, {0, 1}], {InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7778174593052023, 0.7778174593052024}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"c\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.1, 6.735557395310444*^-17}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"d\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7778174593052024, -0.7778174593052023}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"-b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7778174593052023, -0.7778174593052025}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"-c\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.1, -2.0206672185931328`*^-16}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"-d\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7778174593052025, 0.7778174593052022}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], 
      LineBox[{{0., 1.}, {0.7071067811865475, 0.7071067811865476}}], 
      PolygonBox[{{0.7071067811865475, 0.7071067811865476}, {
       0.6338529995536732, 0.7915691010486209}, {0.5955846563171643, 
       0.6991811477974922}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{0.7071067811865475, 0.7071067811865476}, {
       1.2246467991473532`*^-16, -1.}}], 
      PolygonBox[{{1.2246467991473532`*^-16, -1.}, {
       0.08446231986207345, -0.9267462183671258}, {-0.007925633389055248, \
-0.8884778751306168}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{
       1.2246467991473532`*^-16, -1.}, {-0.7071067811865475, \
-0.7071067811865477}}], 
      PolygonBox[{{-0.7071067811865475, -0.7071067811865477}, \
{-0.6338529995536732, -0.791569101048621}, {-0.5955846563171643, \
-0.6991811477974923}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-0.7071067811865475, -0.7071067811865477}, {0., 1.}}], 
      PolygonBox[{{0., 1.}, {-0.08446231986207331, 0.9267462183671258}, {
       0.00792563338905537, 0.8884778751306168}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{1., 6.123233995736766*^-17}, {-0.7071067811865477, 
       0.7071067811865474}}], 
      PolygonBox[{{-0.7071067811865477, 
       0.7071067811865474}, {-0.6338529995536735, 
       0.622644461324474}, {-0.5955846563171645, 0.7150324145756027}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.7071067811865477, 
       0.7071067811865474}, {-1., -1.8369701987210297`*^-16}}], 
      PolygonBox[{{-1., -1.8369701987210297`*^-16}, {-0.9155376801379267, 
       0.07325378163287403}, {-1.0079256333890554`, 0.111522124869383}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-1., -1.8369701987210297`*^-16}, {
       0.7071067811865476, -0.7071067811865475}}], 
      PolygonBox[{{0.7071067811865476, -0.7071067811865475}, {
       0.6338529995536734, -0.6226444613244742}, {
       0.5955846563171644, -0.7150324145756028}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{0.7071067811865476, -0.7071067811865475}, {1., 
       6.123233995736766*^-17}}], 
      PolygonBox[{{1., 6.123233995736766*^-17}, {
       0.9155376801379267, -0.07325378163287415}, {
       1.0079256333890554`, -0.11152212486938312`}}]}}}},
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.442760261492625*^9}]
}, Open  ]],

Cell[TextData[{
 "We see that",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"\[Florin]", "(", "b", ")"}], " ", "=", " ", 
     RowBox[{"-", "a"}]}]}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "c", ")"}], " ", "=", " ", 
    RowBox[{"-", "d"}]}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "d", ")"}], " ", "=", " ", "c"}], 
   TraditionalForm]]],
 ". Any of these results surprising? Using the numbering scheme given above, \
we can espress this element of the Galois group as ",
 StyleBox["P[2,5,8,3,6,1,4,7]",
  FontWeight->"Bold"],
 ".\n\nLet us try a ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphism which sends ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox["c", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
Homomorph[F]
Define[F[a],c]
CheckHomo[F,{a}]\
\>", "Input",
 PageWidth->Infinity],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.44276026432075*^9}]
}, Open  ]],

Cell[TextData[{
 "Once again, we will use ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "'s circle graph to convert this to a permutation."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["CircleGraph[{a, b, c, d,-a,-b,-c,-d}, F]", "Input",
 PageWidth->Infinity,
 FontFamily->"Courier New",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->GrayLevel[0],
 Background->GrayLevel[1]],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0, 1, 1], CircleBox[{0, 0}]}, {InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7071067811865475, 0.7071067811865476}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1., 6.123233995736766*^-17}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7071067811865476, -0.7071067811865475}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.2246467991473532`*^-16, -1.}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7071067811865475, -0.7071067811865477}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1., -1.8369701987210297`*^-16}, {0.1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7071067811865477, 0.7071067811865474}, {0.1, 0}], 
    InsetBox[
     TagBox[
      StyleBox["\<\"\[FilledSmallCircle]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-2.4492935982947064`*^-16, 1.}, {0.1, 0}]}, InsetBox[
    TagBox[
     StyleBox["\<\"a\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, 1.1}, {0, -1}], InsetBox[
    TagBox[
     StyleBox["\<\"-a\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0, -1.1}, {0, 1}], {InsetBox[
     TagBox[
      StyleBox["\<\"b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7778174593052023, 0.7778174593052024}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"c\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {1.1, 6.735557395310444*^-17}, {-1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"d\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {0.7778174593052024, -0.7778174593052023}, {-1, 0}]}, {
    InsetBox[
     TagBox[
      StyleBox["\<\"-b\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7778174593052023, -0.7778174593052025}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"-c\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-1.1, -2.0206672185931328`*^-16}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"-d\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 
       18]& ], {-0.7778174593052025, 0.7778174593052022}, {1, 0}]}, {{
     {RGBColor[1, 0, 0], LineBox[{{0., 1.}, {1., 6.123233995736766*^-17}}], 
      PolygonBox[{{1., 6.123233995736766*^-17}, {0.9646446609406726, 
       0.10606601717798218`}, {0.8939339828220179, 0.03535533905932743}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{1., 6.123233995736766*^-17}, {
       1.2246467991473532`*^-16, -1.}}], 
      PolygonBox[{{1.2246467991473532`*^-16, -1.}, {
       0.10606601717798225`, -0.9646446609406726}, {
       0.035355339059327494`, -0.8939339828220179}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{
       1.2246467991473532`*^-16, -1.}, {-1., -1.8369701987210297`*^-16}}], 
      PolygonBox[{{-1., -1.8369701987210297`*^-16}, {-0.9646446609406726, \
-0.1060660171779823}, {-0.8939339828220179, -0.03535533905932753}}]}, 
     {RGBColor[1, 0, 0], 
      LineBox[{{-1., -1.8369701987210297`*^-16}, {0., 1.}}], 
      PolygonBox[{{0., 1.}, {-0.10606601717798214`, 
       0.9646446609406726}, {-0.03535533905932736, 0.8939339828220179}}]}}, {
     {RGBColor[0, 1, 0], 
      LineBox[{{0.7071067811865475, 0.7071067811865476}, {
       0.7071067811865476, -0.7071067811865475}}], 
      PolygonBox[{{0.7071067811865476, -0.7071067811865475}, {
       0.7571067811865476, -0.6071067811865475}, {
       0.6571067811865475, -0.6071067811865475}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{
       0.7071067811865476, -0.7071067811865475}, {-0.7071067811865475, \
-0.7071067811865477}}], 
      PolygonBox[{{-0.7071067811865475, -0.7071067811865477}, \
{-0.6071067811865475, -0.7571067811865476}, {-0.6071067811865475, \
-0.6571067811865476}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.7071067811865475, -0.7071067811865477}, \
{-0.7071067811865477, 0.7071067811865474}}], 
      PolygonBox[{{-0.7071067811865477, 
       0.7071067811865474}, {-0.7571067811865476, 
       0.6071067811865474}, {-0.6571067811865476, 0.6071067811865474}}]}, 
     {RGBColor[0, 1, 0], 
      LineBox[{{-0.7071067811865477, 0.7071067811865474}, {0.7071067811865475,
        0.7071067811865476}}], 
      PolygonBox[{{0.7071067811865475, 0.7071067811865476}, {
       0.6071067811865475, 0.7571067811865475}, {0.6071067811865475, 
       0.6571067811865475}}]}}}},
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.44276026619575*^9}]
}, Open  ]],

Cell[TextData[{
 "This element of the Galois group behaves like the permutation ",
 StyleBox["P[3,4,5,6,7,8,1,2]",
  FontWeight->"Bold"],
 ". With these two permutations, we can determine whether  we can generate \
the whole Galois group."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["\<\
G = Group[{P[2,5,8,3,6,1,4,7], 
           P[3,4,5,6,7,8,1,2]}]\
\>", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"P", "[", "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{
    "2", ",", "5", ",", "8", ",", "3", ",", "6", ",", "1", ",", "4", ",", 
     "7"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{
    "7", ",", "8", ",", "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", 
     "6"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{
    "8", ",", "3", ",", "6", ",", "1", ",", "4", ",", "7", ",", "2", ",", 
     "5"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{
    "5", ",", "6", ",", "7", ",", "8", ",", "1", ",", "2", ",", "3", ",", 
     "4"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{
    "6", ",", "1", ",", "4", ",", "7", ",", "2", ",", "5", ",", "8", ",", 
     "3"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{
    "3", ",", "4", ",", "5", ",", "6", ",", "7", ",", "8", ",", "1", ",", 
     "2"}], "]"}], ",", 
   RowBox[{"P", "[", 
    RowBox[{
    "4", ",", "7", ",", "2", ",", "5", ",", "8", ",", "3", ",", "6", ",", 
     "1"}], "]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4226528603125*^9, 3.44276026832075*^9}]
}, Open  ]],

Cell["\<\
This gives 8 elements, so this is the entire Galois group. Here is the \
multiplication table.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["MultTable[G]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[{{{0.7, 0.8, 0.7}, {0.7, 0.8, 0.7}, {1, 0.6, 0}, {1, 0, 1}, {1, 
      1, 0}, {1, 0, 0}, {0, 1, 1}, {0.6, 0.4, 0.8}, {0, 1, 0}}, {{
      1, 0.6, 0}, {1, 0.6, 0}, {1, 0, 0}, {1, 1, 0}, {0.6, 0.4, 0.8}, {0, 1, 
      1}, {0.7, 0.8, 0.7}, {0, 1, 0}, {1, 0, 1}}, {{0.6, 0.4, 0.8}, {0.6, 0.4,
       0.8}, {1, 1, 0}, {0.7, 0.8, 0.7}, {0, 1, 1}, {1, 0, 1}, {0, 1, 0}, {1, 
      0, 0}, {1, 0.6, 0}}, {{0, 1, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {
      1, 0.6, 0}, {0.7, 0.8, 0.7}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 
      0}}, {{1, 0, 0}, {1, 0, 0}, {0, 1, 1}, {0.6, 0.4, 0.8}, {0, 1, 0}, {0.7,
       0.8, 0.7}, {1, 0.6, 0}, {1, 0, 1}, {1, 1, 0}}, {{0, 1, 1}, {0, 1, 1}, {
      0.7, 0.8, 0.7}, {0, 1, 0}, {1, 0, 1}, {1, 0.6, 0}, {1, 0, 0}, {1, 1, 
      0}, {0.6, 0.4, 0.8}}, {{1, 0, 1}, {1, 0, 1}, {0, 1, 0}, {1, 0, 0}, {
      1, 0.6, 0}, {0.6, 0.4, 0.8}, {1, 1, 0}, {0.7, 0.8, 0.7}, {0, 1, 1}}, {{
      1, 1, 0}, {1, 1, 0}, {1, 0, 1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 
      0.4, 0.8}, {1, 0.6, 0}, {0.7, 0.8, 0.7}}, {{1, 1, 1}, {1, 1, 0}, {1, 0, 
      1}, {0, 1, 1}, {1, 0, 0}, {0, 1, 0}, {0.6, 0.4, 0.8}, {1, 0.6, 0}, {0.7,
       0.8, 0.7}}}], InsetBox[
    TagBox[
     StyleBox["\<\"\[CenterDot]\"\>",
      FontSize->18],
     StyleForm[#, FontSize -> 18]& ], {0.5, 8.5}], {InsetBox[
     TagBox[
      StyleBox["\<\"P[]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 7.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[2,5,8,3,6,1,4,7]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 6.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[7,8,1,2,3,4,5,6]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 5.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[8,3,6,1,4,7,2,5]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 4.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[5,6,7,8,1,2,3,4]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 3.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[6,1,4,7,2,5,8,3]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 2.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[3,4,5,6,7,8,1,2]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 1.5}, {1, 0}], InsetBox[
     TagBox[
      StyleBox["\<\"P[4,7,2,5,8,3,6,1]\"\>",
       FontSize->18],
      StyleForm[#, FontSize -> 18]& ], {-0.5, 0.5}, {1, 0}]}, 
   LineBox[{{1, 0}, {1, 8}, {9, 8}}]},
  AspectRatio->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.42265286246875*^9, 3.442760269898875*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[TextData[{
 "Notice that this group is non-commutative, and that there is only one \
element of order 2. Since ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "4"], TraditionalForm]]],
 " has 5 elements of order 2, this group must be isomorphic to the \
quaternionic group ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 ".\n\nEXPERIMENT:\nUse a similar approach to find the Galois group of the \
polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], " ", "-", " ", "2."}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438686961140625*^9, 3.438686961140625*^9}}],

Cell["      ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Here is one more example that at first seems difficult, but is in fact \
easy!\n\n                     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "-", " ", "x", " ", "+", " ", "1"}], 
   TraditionalForm]]],
 "\n\nIn the last chapter we saw that the splitting field was 24 dimensional \
over ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ". We know from corollary 15.1 that the Galois group is a subgroup of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 ". But ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 " has 24 elements, so the Galois group of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], " ", "-", " ", "x", " ", "+", " ", "1"}], 
   TraditionalForm]]],
 " must be isomorphic to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 ".\n\nFor the final example, we wish to explore a whole class of polynomials \
at the same time. In the last chapter, we computed the splitting field of the \
cyclotomic polynomials, and determined that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     SubscriptBox["e", "n"], ")"}]}], TraditionalForm]]],
 ", where\n\n      ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["e", "n"], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["e", 
      RowBox[{"(", 
       RowBox[{"2", 
        RowBox[{"\[Pi]i", "/", "n"}]}], ")"}]], " ", "=", " ", 
     RowBox[{
      RowBox[{"cos", "(", 
       FractionBox[
        RowBox[{"2", "\[Pi]"}], "n"], ")"}], " ", "+", " ", 
      RowBox[{"i", " ", 
       RowBox[{"sin", "(", 
        FractionBox[
         RowBox[{"2", "\[Pi]"}], "n"], ")"}]}]}]}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868696275*^9, 3.438686964078125*^9}, {
  3.4386903329375*^9, 3.4386904150625*^9}, {3.43869147228125*^9, 
  3.438691472984375*^9}, {3.43869151903125*^9, 3.43869157365625*^9}}],

Cell[TextData[{
 "We can use some of the facts observed from chapter 13 to find the Galios \
group of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["\[CapitalPhi]", "n"], "(", "x", ")"}], "."}], 
   TraditionalForm]]],
 "\n\nPROPOSITION 15.6\nLet ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["e", "n"], TraditionalForm]]],
 " be a primitive ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-th root of unity, and let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", 
    RowBox[{
     RowBox[{"\[DoubleStruckCapitalQ]", "(", 
      SubscriptBox["e", "n"], ")"}], ".", " "}]}], TraditionalForm]]],
 " Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "\[DoubleStruckCapitalQ]"], "K"}], 
   TraditionalForm]]],
 " is isomorphic to a subgroup of ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "n", "*"], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4386869664375*^9, 3.4386869664375*^9}, {3.438691585*^9, 
  3.438691585984375*^9}, {3.438691618140625*^9, 3.438691619640625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "\[DoubleStruckCapitalQ]"], "(", 
     RowBox[{
      SubscriptBox["e", "n"], ",", " ", "x"}], ")"}]}], TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " is a factor of the ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-th cyclotomic polynomial, so the roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " are of the form ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    RowBox[{
     FormBox[
      RowBox[{"(", 
       SubscriptBox["e", "n"]}],
      TraditionalForm], ")"}], "k"], TraditionalForm]]],
 " , where ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " is coprime to ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Hence, ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 ".\n\nTo show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "\[DoubleStruckCapitalQ]"], "K"}], 
   TraditionalForm]]],
 " is isomorphic to a subgroup of ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "n", "*"], TraditionalForm]]],
 ", note that every ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "\[DoubleStruckCapitalQ]"], "K"}], 
   TraditionalForm]]],
 " is determined by where it sends ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["e", "n"], TraditionalForm]]],
 ", and that it must send it to one of the roots ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    RowBox[{
     FormBox[
      RowBox[{"(", 
       SubscriptBox["e", "n"]}],
      TraditionalForm], ")"}], "k"], TraditionalForm]]],
 "  for some ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " coprime to ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Thus, there is a natural homomorphism\n\n                      ",
 Cell[BoxData[
  FormBox[
   RowBox[{"  ", 
    RowBox[{"\[Florin]", ":", "  ", 
     RowBox[{
      RowBox[{
       SubscriptBox["Gal", "\[DoubleStruckCapitalQ]"], "K"}], " ", 
      "\[RightArrow]", " ", 
      SubsuperscriptBox["Z", "n", "*"]}]}]}], TraditionalForm]]],
 "\n\ndefined by ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "\[Phi]", ")"}], " ", "="}], 
   TraditionalForm]]],
 " the value ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]]],
 " for which ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", 
     SubscriptBox["e", "n"], ")"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       SubscriptBox["e", "n"], ")"}], "k"], "."}]}], TraditionalForm]]],
 " This mapping is well defined since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SuperscriptBox[
      RowBox[{
       FormBox[
        RowBox[{"(", 
         SubscriptBox["e", "n"]}],
        TraditionalForm], ")"}], "n"],
     TraditionalForm], "  ", "=", " ", "1"}], TraditionalForm]]],
 ". This mapping is a homomorphism, for if ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "\[Phi]", ")"}], " ", "=", " ", "k"}], 
   TraditionalForm]]],
 " and  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "\[Mu]", ")"}], " ", "=", " ", "m"}], 
   TraditionalForm]]],
 ", then\n\n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Phi]", "\[CenterDot]", "\[Mu]"}], ")"}], 
      RowBox[{"(", 
       SubscriptBox["e", "n"], ")"}]}], "=", " ", 
     RowBox[{
      RowBox[{"\[Mu]", "(", 
       RowBox[{"\[Phi]", "(", 
        SubscriptBox["e", "n"], ")"}], ")"}], " ", "=", " ", 
      RowBox[{
       RowBox[{"\[Mu]", "(", 
        SuperscriptBox[
         RowBox[{"(", 
          SubscriptBox["e", "n"], ")"}], "k"], " ", ")"}], " ", "=", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         SubscriptBox["e", "n"], ")"}], 
        RowBox[{"k", "\[CenterDot]", "m"}]]}]}]}], "    ", ",", " ", 
    RowBox[{
     RowBox[{"so", "  ", 
      RowBox[{"\[Florin]", "(", 
       RowBox[{"\[Phi]", "\[CenterDot]", "\[Mu]"}], ")"}]}], " ", "=", " ", 
     RowBox[{
      RowBox[{"k", "\[CenterDot]", "m"}], " ", "=", " ", 
      RowBox[{
       RowBox[{"\[Florin]", "(", "\[Phi]", ")"}], "\[CenterDot]", 
       RowBox[{
        RowBox[{"\[Florin]", "(", "\[Mu]", ")"}], "."}]}]}]}]}], 
   TraditionalForm]]],
 "\n\nFinally, an element in the kernel of this homomorphism sends ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["e", "n"], TraditionalForm]]],
 "  to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["e", "n"], TraditionalForm]]],
 ", so ",
 Cell[BoxData[
  FormBox[
   RowBox[{"Ker", "(", "\[Florin]", ")"}], TraditionalForm]]],
 " is just the identity element of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "\[DoubleStruckCapitalQ]"], "K"}], 
   TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is an isomorphism from ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "\[DoubleStruckCapitalQ]"], "K"}], 
   TraditionalForm]]],
 " to a subgroup of ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "n", "*"], TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868696728125*^9, 3.438686969390625*^9}, {
  3.43869163834375*^9, 3.438691692328125*^9}, {3.4420679623389997`*^9, 
  3.4420680083077497`*^9}}]
}, Open  ]],

Cell[TextData[{
 "In fact, the Galois group of the ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-th cyclotomic polynomial is equal to ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "n", "*"], TraditionalForm]]],
 ", but this is harder to prove. (It requires knowing that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[CapitalPhi]", "n"], "(", "x", ")"}], TraditionalForm]]],
 " is always irreducible.)  The result given here will be sufficient for our \
work in the final section.\n\nFrom all of these examples, we have seen a host \
of different groups produced as Galois groups of polynomials: ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "3"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "5"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "5"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["Q", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["D", "4"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 ", and all groups of the form ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "n", "*"], TraditionalForm]]],
 ". It is natural to ask whether ",
 StyleBox["all",
  FontSlant->"Italic"],
 " finite groups can be expressed as a Galois group of some polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "[", "x", "]"}], TraditionalForm]]],
 ". This is still an open problem, known as the ",
 StyleBox["inverse Galois problem",
  FontSlant->"Italic"],
 ". There has been much progress made on this problem, and it is very likely \
to be solved soon.\n\nWhile we are working with cyclotomic polynomials and ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-th roots of unity, let us prove one more proposition which will be used \
later on.\n\nPROPOSITION 15.7\nLet ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be a finite extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 " which contains the ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-th roots of unity. Then if ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is a root of the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox["x", "n"], " ", "-", " ", "c"}]}], TraditionalForm]]],
 "  for some ",
 Cell[BoxData[
  FormBox[
   RowBox[{"c", "\[NotEqual]", "0"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{"F", "(", "u", ")"}]}], TraditionalForm]]],
 " is the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], "K"}], TraditionalForm]]],
 " is abelian."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4386869700625*^9, 3.43868697215625*^9}, {
  3.438691761953125*^9, 3.438691761953125*^9}, {3.4386929893125*^9, 
  3.438692990015625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Since ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "n"], " ", "-", " ", "c"}], TraditionalForm]]],
 ", we have that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["u", "n"], " ", "=", " ", "c"}], TraditionalForm]]],
 ". But ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{
      FormBox[
       RowBox[{"(", 
        SubscriptBox["e", "n"]}],
       TraditionalForm], ")"}], "k"], "\[CenterDot]", " ", "u"}], 
   TraditionalForm]]],
 " is also a root of this polynomial for all integers ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"k", " ", "=", " ", "0"}], ",", " ", "1", ",", " ", "2", ",", " ",
     
    RowBox[{
     RowBox[{"\[Ellipsis]", " ", "n"}], "-", "1"}], ","}], 
   TraditionalForm]]],
 " since\n\n         ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          SubscriptBox["e", "n"], ")"}], "k"], " ", "\[CenterDot]", "u"}], 
       ")"}], "n"], "  ", "=", " ", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         SubscriptBox["e", "n"], ")"}], 
        RowBox[{"k", "\[CenterDot]", "n"}]], "\[CenterDot]", 
       SuperscriptBox["u", "n"]}], "=", " ", 
      RowBox[{
       RowBox[{"1", " ", "\[CenterDot]", " ", "c"}], " ", "=", " ", 
       RowBox[{"c", "."}]}]}]}]}], TraditionalForm]]],
 "\n\nSince there are ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " distinct roots of the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "n"], " ", "-", " ", "c"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", the polynomial factors completely in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "x", "]"}], TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 ". \n\nTo show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], "K"}], TraditionalForm]]],
 " is abelian, note that any ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "-automorphism is determined by where ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is sent, which must be of the form",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       SubscriptBox["e", "n"], ")"}], "k"], " ", "\[CenterDot]", 
     RowBox[{"u", "."}]}]}], TraditionalForm]]],
 " Thus, if ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "1"], TraditionalForm]]],
 "  and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "2"], TraditionalForm]]],
 " are two ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 "-automorphisms of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", where ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["\[Phi]", "1"], "(", "u", ")"}], " ", "=", " ", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        SubscriptBox["e", "n"], ")"}], "k"], " ", "\[CenterDot]", "u"}]}], 
    ","}], TraditionalForm]]],
 "  and  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["\[Phi]", "2"], "(", "u", ")"}], " ", "=", " ", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       SubscriptBox["e", "n"], ")"}], "m"], "\[CenterDot]", "u"}]}], 
   TraditionalForm]]],
 ", then\n\n ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["\[Phi]", "1"], "\[CenterDot]", 
        SubscriptBox["\[Phi]", "2"]}], ")"}], 
      RowBox[{"(", "u", ")"}]}], "=", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[Phi]", "2"], "(", 
       RowBox[{
        SubscriptBox["\[Phi]", "1"], "(", "u", ")"}], ")"}], " ", "=", " ", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Phi]", "2"], "(", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           SubscriptBox["e", "n"], ")"}], "k"], "\[CenterDot]", "u"}], ")"}], 
       " ", "=", " ", 
       RowBox[{
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["\[Phi]", "2"], "(", 
            SubscriptBox["e", "n"], ")"}], ")"}], "k"], "\[CenterDot]", 
         RowBox[{
          SubscriptBox["\[Phi]", "2"], "(", "u", ")"}]}], " ", "=", " ", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           SubscriptBox["e", "n"], ")"}], "k"], "\[CenterDot]", 
         SuperscriptBox[
          RowBox[{"(", 
           SubscriptBox["e", "n"], ")"}], "m"], "\[CenterDot]", 
         RowBox[{"u", "."}]}]}]}]}]}]}], TraditionalForm]]],
 "\n       \n\nwhile \n       ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SubscriptBox["\[Phi]", "2"], "\[CenterDot]", 
       SubscriptBox["\[Phi]", "1"]}], ")"}], 
     RowBox[{"(", "u", ")"}]}], "=", 
    RowBox[{
     RowBox[{
      SubscriptBox["\[Phi]", "1"], "(", 
      RowBox[{
       SubscriptBox["\[Phi]", "2"], "(", "u", ")"}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[Phi]", "1"], "(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          SubscriptBox["e", "n"], ")"}], "m"], "\[CenterDot]", "u"}], ")"}], 
      " ", "=", " ", 
      RowBox[{
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           SubscriptBox["\[Phi]", "1"], "(", 
           SubscriptBox["e", "n"], ")"}], ")"}], "m"], " ", "\[CenterDot]", 
        " ", 
        RowBox[{
         SubscriptBox["\[Phi]", "1"], "(", "u", ")"}]}], " ", "=", " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          SubscriptBox["e", "n"], ")"}], "m"], " ", "\[CenterDot]", 
        SuperscriptBox[
         RowBox[{"(", 
          SubscriptBox["e", "n"], ")"}], "k"], " ", "\[CenterDot]", 
        RowBox[{"u", "."}]}]}]}]}]}], TraditionalForm]]],
 "\n\nThus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["\[Phi]", "1"], "\[CenterDot]", " ", 
     SubscriptBox["\[Phi]", "2"]}], " ", "=", 
    RowBox[{
     SubscriptBox["\[Phi]", "1"], "\[CenterDot]", 
     SubscriptBox["\[Phi]", "2"]}]}], TraditionalForm]]],
 " , and so the Galois group is abelian."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868697284375*^9, 3.43868697428125*^9}, {
  3.43869314734375*^9, 3.43869320184375*^9}, {3.4420680372608747`*^9, 
  3.4420680781202497`*^9}, {3.4420681141046247`*^9, 3.4420681287139997`*^9}}]
}, Open  ]],

Cell[TextData[{
 "To introduce the problem of whether a fifth degree polynomial can, in \
general, be solved in terms of square roots, cube roots, or fifth roots, we \
will have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " try to solve some polynomial equations for us. ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can solve polynomials with the command"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4420681507764997`*^9, 3.4420681517296247`*^9}}],

Cell[CellGroupData[{

Cell["Solve[x^2 - x + 2 == 0]   ", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4386869749375*^9, 3.43868697521875*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"\[ImaginaryI]", " ", 
         SqrtBox["7"]}]}], ")"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"\[ImaginaryI]", " ", 
         SqrtBox["7"]}]}], ")"}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.4386932241875*^9, 3.44276028100825*^9}]
}, Open  ]],

Cell[TextData[{
 "Note that the \"double equals\" == is ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "'s way of expressing an equation. Obviously, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " is using the quadratic equation to find the roots. Let us try changing the \
x",
 StyleBox["^2",
  FontWeight->"Bold"],
 " to x",
 StyleBox["^3",
  FontWeight->"Bold"],
 ":"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868697578125*^9, 3.438686976296875*^9}, {
  3.4420681756046247`*^9, 3.4420681767608747`*^9}}],

Cell[CellGroupData[{

Cell["Solve[x^3 - x + 2 == 0]   ", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.4386869783125*^9, 3.4386869786875*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"9", "-", 
           SqrtBox["78"]}], ")"}], 
         RowBox[{"1", "/", "3"}]], 
        SuperscriptBox["3", 
         RowBox[{"2", "/", "3"}]]]}], "-", 
      FractionBox["1", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"3", " ", 
          RowBox[{"(", 
           RowBox[{"9", "-", 
            SqrtBox["78"]}], ")"}]}], ")"}], 
        RowBox[{"1", "/", "3"}]]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"\[ImaginaryI]", " ", 
           SqrtBox["3"]}]}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"9", "-", 
           SqrtBox["78"]}], ")"}], 
         RowBox[{"1", "/", "3"}]]}], 
       RowBox[{"2", " ", 
        SuperscriptBox["3", 
         RowBox[{"2", "/", "3"}]]}]], "+", 
      FractionBox[
       RowBox[{"1", "-", 
        RowBox[{"\[ImaginaryI]", " ", 
         SqrtBox["3"]}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"3", " ", 
           RowBox[{"(", 
            RowBox[{"9", "-", 
             SqrtBox["78"]}], ")"}]}], ")"}], 
         RowBox[{"1", "/", "3"}]]}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"\[ImaginaryI]", " ", 
           SqrtBox["3"]}]}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"9", "-", 
           SqrtBox["78"]}], ")"}], 
         RowBox[{"1", "/", "3"}]]}], 
       RowBox[{"2", " ", 
        SuperscriptBox["3", 
         RowBox[{"2", "/", "3"}]]}]], "+", 
      FractionBox[
       RowBox[{"1", "+", 
        RowBox[{"\[ImaginaryI]", " ", 
         SqrtBox["3"]}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"3", " ", 
           RowBox[{"(", 
            RowBox[{"9", "-", 
             SqrtBox["78"]}], ")"}]}], ")"}], 
         RowBox[{"1", "/", "3"}]]}]]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.438693230296875*^9, 3.44276028325825*^9}]
}, Open  ]],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " was still able to solve this, but what a mess! The answer involves the \
square root of 78. Apparently ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " is using a formula which finds the roots of any cubic equation.\n\nLet us \
try a forth degree equation:"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Solve[x^4 - x + 2 == 0]   ", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.43868697946875*^9, 3.438686979828125*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], " ", 
       RowBox[{"\[Sqrt]", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"(", 
               RowBox[{"9", "+", 
                RowBox[{"\[ImaginaryI]", " ", 
                 SqrtBox["6063"]}]}], ")"}]}], ")"}], 
            RowBox[{"1", "/", "3"}]], 
           SuperscriptBox["3", 
            RowBox[{"2", "/", "3"}]]], "+", 
          FractionBox["8", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              FractionBox["3", "2"], " ", 
              RowBox[{"(", 
               RowBox[{"9", "+", 
                RowBox[{"\[ImaginaryI]", " ", 
                 SqrtBox["6063"]}]}], ")"}]}], ")"}], 
            RowBox[{"1", "/", "3"}]]]}], ")"}]}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"\[Sqrt]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           FractionBox[
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"(", 
                RowBox[{"9", "+", 
                 RowBox[{"\[ImaginaryI]", " ", 
                  SqrtBox["6063"]}]}], ")"}]}], ")"}], 
             RowBox[{"1", "/", "3"}]], 
            SuperscriptBox["3", 
             RowBox[{"2", "/", "3"}]]]}], "-", 
          FractionBox["8", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              FractionBox["3", "2"], " ", 
              RowBox[{"(", 
               RowBox[{"9", "+", 
                RowBox[{"\[ImaginaryI]", " ", 
                 SqrtBox["6063"]}]}], ")"}]}], ")"}], 
            RowBox[{"1", "/", "3"}]]], "-", 
          RowBox[{"2", "/", 
           RowBox[{"(", 
            RowBox[{"\[Sqrt]", 
             RowBox[{"(", 
              RowBox[{
               FractionBox[
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"(", 
                    RowBox[{"9", "+", 
                    RowBox[{"\[ImaginaryI]", " ", 
                    SqrtBox["6063"]}]}], ")"}]}], ")"}], 
                 RowBox[{"1", "/", "3"}]], 
                SuperscriptBox["3", 
                 RowBox[{"2", "/", "3"}]]], "+", 
               FractionBox["8", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   FractionBox["3", "2"], " ", 
                   RowBox[{"(", 
                    RowBox[{"9", "+", 
                    RowBox[{"\[ImaginaryI]", " ", 
                    SqrtBox["6063"]}]}], ")"}]}], ")"}], 
                 RowBox[{"1", "/", "3"}]]]}], ")"}]}], ")"}]}]}], 
         ")"}]}]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], " ", 
       RowBox[{"\[Sqrt]", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"(", 
               RowBox[{"9", "+", 
                RowBox[{"\[ImaginaryI]", " ", 
                 SqrtBox["6063"]}]}], ")"}]}], ")"}], 
            RowBox[{"1", "/", "3"}]], 
           SuperscriptBox["3", 
            RowBox[{"2", "/", "3"}]]], "+", 
          FractionBox["8", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              FractionBox["3", "2"], " ", 
              RowBox[{"(", 
               RowBox[{"9", "+", 
                RowBox[{"\[ImaginaryI]", " ", 
                 SqrtBox["6063"]}]}], ")"}]}], ")"}], 
            RowBox[{"1", "/", "3"}]]]}], ")"}]}]}], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"\[Sqrt]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           FractionBox[
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"(", 
                RowBox[{"9", "+", 
                 RowBox[{"\[ImaginaryI]", " ", 
                  SqrtBox["6063"]}]}], ")"}]}], ")"}], 
             RowBox[{"1", "/", "3"}]], 
            SuperscriptBox["3", 
             RowBox[{"2", "/", "3"}]]]}], "-", 
          FractionBox["8", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              FractionBox["3", "2"], " ", 
              RowBox[{"(", 
               RowBox[{"9", "+", 
                RowBox[{"\[ImaginaryI]", " ", 
                 SqrtBox["6063"]}]}], ")"}]}], ")"}], 
            RowBox[{"1", "/", "3"}]]], "-", 
          RowBox[{"2", "/", 
           RowBox[{"(", 
            RowBox[{"\[Sqrt]", 
             RowBox[{"(", 
              RowBox[{
               FractionBox[
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"(", 
                    RowBox[{"9", "+", 
                    RowBox[{"\[ImaginaryI]", " ", 
                    SqrtBox["6063"]}]}], ")"}]}], ")"}], 
                 RowBox[{"1", "/", "3"}]], 
                SuperscriptBox["3", 
                 RowBox[{"2", "/", "3"}]]], "+", 
               FractionBox["8", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   FractionBox["3", "2"], " ", 
                   RowBox[{"(", 
                    RowBox[{"9", "+", 
                    RowBox[{"\[ImaginaryI]", " ", 
                    SqrtBox["6063"]}]}], ")"}]}], ")"}], 
                 RowBox[{"1", "/", "3"}]]]}], ")"}]}], ")"}]}]}], 
         ")"}]}]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"\[Sqrt]", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"(", 
               RowBox[{"9", "+", 
                RowBox[{"\[ImaginaryI]", " ", 
                 SqrtBox["6063"]}]}], ")"}]}], ")"}], 
            RowBox[{"1", "/", "3"}]], 
           SuperscriptBox["3", 
            RowBox[{"2", "/", "3"}]]], "+", 
          FractionBox["8", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              FractionBox["3", "2"], " ", 
              RowBox[{"(", 
               RowBox[{"9", "+", 
                RowBox[{"\[ImaginaryI]", " ", 
                 SqrtBox["6063"]}]}], ")"}]}], ")"}], 
            RowBox[{"1", "/", "3"}]]]}], ")"}]}]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"\[Sqrt]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           FractionBox[
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"(", 
                RowBox[{"9", "+", 
                 RowBox[{"\[ImaginaryI]", " ", 
                  SqrtBox["6063"]}]}], ")"}]}], ")"}], 
             RowBox[{"1", "/", "3"}]], 
            SuperscriptBox["3", 
             RowBox[{"2", "/", "3"}]]]}], "-", 
          FractionBox["8", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              FractionBox["3", "2"], " ", 
              RowBox[{"(", 
               RowBox[{"9", "+", 
                RowBox[{"\[ImaginaryI]", " ", 
                 SqrtBox["6063"]}]}], ")"}]}], ")"}], 
            RowBox[{"1", "/", "3"}]]], "+", 
          RowBox[{"2", "/", 
           RowBox[{"(", 
            RowBox[{"\[Sqrt]", 
             RowBox[{"(", 
              RowBox[{
               FractionBox[
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"(", 
                    RowBox[{"9", "+", 
                    RowBox[{"\[ImaginaryI]", " ", 
                    SqrtBox["6063"]}]}], ")"}]}], ")"}], 
                 RowBox[{"1", "/", "3"}]], 
                SuperscriptBox["3", 
                 RowBox[{"2", "/", "3"}]]], "+", 
               FractionBox["8", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   FractionBox["3", "2"], " ", 
                   RowBox[{"(", 
                    RowBox[{"9", "+", 
                    RowBox[{"\[ImaginaryI]", " ", 
                    SqrtBox["6063"]}]}], ")"}]}], ")"}], 
                 RowBox[{"1", "/", "3"}]]]}], ")"}]}], ")"}]}]}], 
         ")"}]}]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"\[Sqrt]", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              FractionBox["1", "2"], " ", 
              RowBox[{"(", 
               RowBox[{"9", "+", 
                RowBox[{"\[ImaginaryI]", " ", 
                 SqrtBox["6063"]}]}], ")"}]}], ")"}], 
            RowBox[{"1", "/", "3"}]], 
           SuperscriptBox["3", 
            RowBox[{"2", "/", "3"}]]], "+", 
          FractionBox["8", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              FractionBox["3", "2"], " ", 
              RowBox[{"(", 
               RowBox[{"9", "+", 
                RowBox[{"\[ImaginaryI]", " ", 
                 SqrtBox["6063"]}]}], ")"}]}], ")"}], 
            RowBox[{"1", "/", "3"}]]]}], ")"}]}]}], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"\[Sqrt]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           FractionBox[
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               FractionBox["1", "2"], " ", 
               RowBox[{"(", 
                RowBox[{"9", "+", 
                 RowBox[{"\[ImaginaryI]", " ", 
                  SqrtBox["6063"]}]}], ")"}]}], ")"}], 
             RowBox[{"1", "/", "3"}]], 
            SuperscriptBox["3", 
             RowBox[{"2", "/", "3"}]]]}], "-", 
          FractionBox["8", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              FractionBox["3", "2"], " ", 
              RowBox[{"(", 
               RowBox[{"9", "+", 
                RowBox[{"\[ImaginaryI]", " ", 
                 SqrtBox["6063"]}]}], ")"}]}], ")"}], 
            RowBox[{"1", "/", "3"}]]], "+", 
          RowBox[{"2", "/", 
           RowBox[{"(", 
            RowBox[{"\[Sqrt]", 
             RowBox[{"(", 
              RowBox[{
               FractionBox[
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   FractionBox["1", "2"], " ", 
                   RowBox[{"(", 
                    RowBox[{"9", "+", 
                    RowBox[{"\[ImaginaryI]", " ", 
                    SqrtBox["6063"]}]}], ")"}]}], ")"}], 
                 RowBox[{"1", "/", "3"}]], 
                SuperscriptBox["3", 
                 RowBox[{"2", "/", "3"}]]], "+", 
               FractionBox["8", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   FractionBox["3", "2"], " ", 
                   RowBox[{"(", 
                    RowBox[{"9", "+", 
                    RowBox[{"\[ImaginaryI]", " ", 
                    SqrtBox["6063"]}]}], ")"}]}], ")"}], 
                 RowBox[{"1", "/", "3"}]]]}], ")"}]}], ")"}]}]}], 
         ")"}]}]}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.438693244390625*^9, 3.44276028557075*^9}]
}, Open  ]],

Cell[TextData[{
 "Once again, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " was able to express the answer in terms of square roots and cube roots, \
yet this seems even more of a mess.\n\nEXPERIMENT:\nReplace the forth degree \
equation ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SuperscriptBox["x", "4"],
     TraditionalForm], " ", "-", " ", "x", " ", "+", " ", "1"}], 
   TraditionalForm]]],
 " with any other forth degree equation in ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 ". Is ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " able to find the roots?"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868698271875*^9, 3.43868698425*^9}}],

Cell["  ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "The equations for the cubic equation and the forth degree equation were \
discovered in 1539 and 1545. The natural question is whether there is a \
similar formula for fifth degree polynomials. Let us try to solve a fifth \
degree polynomial in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Solve[x^5 - x + 2 == 0]   ", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.438686984890625*^9, 3.43868698521875*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{"Root", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"2", "-", "#1", "+", 
         SuperscriptBox["#1", "5"]}], "&"}], ",", "1"}], "]"}]}], "}"}], ",", 
   
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{"Root", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"2", "-", "#1", "+", 
         SuperscriptBox["#1", "5"]}], "&"}], ",", "2"}], "]"}]}], "}"}], ",", 
   
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{"Root", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"2", "-", "#1", "+", 
         SuperscriptBox["#1", "5"]}], "&"}], ",", "3"}], "]"}]}], "}"}], ",", 
   
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{"Root", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"2", "-", "#1", "+", 
         SuperscriptBox["#1", "5"]}], "&"}], ",", "4"}], "]"}]}], "}"}], ",", 
   
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{"Root", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"2", "-", "#1", "+", 
         SuperscriptBox["#1", "5"]}], "&"}], ",", "5"}], "]"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.438693266828125*^9, 3.442760288742625*^9}]
}, Open  ]],

Cell[TextData[{
 "What happened? ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " does not know of any formula for the fifth degree polynomial. As a result, \
",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " puts the result in the form \"",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " \[RightArrow] Roots\", so that if we in turn ask for an approximation,"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438686985796875*^9, 3.438686985796875*^9}}],

Cell[CellGroupData[{

Cell["N[%]", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{"-", "1.2671683045421243`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "0.2609638803864553`"}], "-", 
      RowBox[{"1.1772261533941943`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "0.2609638803864553`"}], "+", 
      RowBox[{"1.1772261533941943`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{"0.8945480326575175`", "\[InvisibleSpace]", "-", 
      RowBox[{"0.534148546174733`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{"0.8945480326575175`", "\[InvisibleSpace]", "+", 
      RowBox[{"0.534148546174733`", " ", "\[ImaginaryI]"}]}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.438693274015625*^9, 3.4427602909145*^9}]
}, Open  ]],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can find it for us."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "The problem is not that ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " is not smart enough to find a formula for the fifth degree polynomials. In \
fact, it is ",
 StyleBox["impossible",
  FontSlant->"Italic"],
 " to find a formula for the roots of a fifth degree polynomial in terms of \
square roots, cube roots, or any other roots. The reason why is based on the \
properties of the Galois groups.  The next section will reveal how the Galois \
groups are related to the splitting field."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[CellGroupData[{

Cell["The Fundamental Theorem of Galois Theory", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "In this section we will clarify the relationship between subgroups of the \
Galois group, and the subfields of the extension field. The natural \
correlation is to map to each subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], "K"}], TraditionalForm]]],
 " the fixed field of the subgroup. However, we ended the last section with \
what seemed to be a bad example\[LongDash]",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     FormBox[
      RadicalBox["2", "3"],
      TraditionalForm], ")"}], "."}], TraditionalForm]]],
 " The only fixed field was ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RadicalBox["2", "3"], ")"}], TraditionalForm]]],
 ", even though there was the obvious subfield. The way we will deal with \
exceptions like this one is to only consider only field extensions for which \
the original field appears as one of the fixed fields.\n\nDEFINITION 15.5:\n\
Let  ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a finite extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ".  We say that ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a ",
 StyleBox["Galois extension",
  FontSlant->"Italic"],
 " if the fixed field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], "K"}], TraditionalForm]]],
 " is the field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ".\n\nAlthough this definition successfully rules out ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RadicalBox["2", "3"], ")"}], TraditionalForm]]],
 " from being a Galois extension, we need to find a simple test for \
determining whether a finite extension is a Galois extension. The following \
proposition takes us one step in that direction.\n\nPROPOSITION 15.8\nLet ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be a field, and ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " a Galois extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " is an irreducible polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 " which has at least one root in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " factors completely in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Furthermore, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " has no multiple roots in the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438686999078125*^9, 3.43868700034375*^9}, {
  3.438693305328125*^9, 3.438693324109375*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " has at least one root in the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", we will let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["u", "1"], ",", " ", 
    SubscriptBox["u", "2"], ",", " ", 
    SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", " ", ",", " ", 
    SubscriptBox["u", "n"]}], TraditionalForm]]],
 "  be the set of all roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ".\nConsider the polynomial\n   \n     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"x", " ", "-", " ", 
       SubscriptBox["u", "1"]}], ")"}], "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"x", " ", "-", " ", 
       SubscriptBox["u", "2"]}], ")"}], "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"x", " ", "-", " ", 
       SubscriptBox["u", "3"]}], ")"}], "\[CenterDot]", "\[CenterDot]", 
     "\[CenterDot]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        SubscriptBox["u", "n"]}], ")"}], "."}]}]}], TraditionalForm]]],
 "\n\nBy lemma 13.3, any automorphism in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], "K"}], TraditionalForm]]],
 " extends to an automorphism on ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", "[", "x", "]"}], TraditionalForm]]],
 " with ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "x", ")"}], " ", "=", " ", "x"}], 
   TraditionalForm]]],
 ". Thus,\n\n   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", 
     RowBox[{"g", "(", "x", ")"}], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"x", " ", "-", " ", 
       RowBox[{"\[Phi]", "(", 
        SubscriptBox["u", "1"], ")"}]}], ")"}], "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"x", " ", "-", " ", 
       RowBox[{"\[Phi]", "(", 
        SubscriptBox["u", "2"], ")"}]}], ")"}], "\[CenterDot]", 
     RowBox[{"(", 
      RowBox[{"x", " ", "-", " ", 
       RowBox[{"\[Phi]", "(", 
        SubscriptBox["u", "3"], ")"}]}], ")"}], "\[CenterDot]", 
     "\[CenterDot]", "\[CenterDot]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        RowBox[{"\[Phi]", "(", 
         SubscriptBox["u", "n"], ")"}]}], ")"}], "."}]}]}], 
   TraditionalForm]]],
 "\n\nBy lemma 15.1, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", 
     SubscriptBox["u", "1"], ")"}], ",", " ", 
    RowBox[{"\[Phi]", "(", 
     SubscriptBox["u", "2"], ")"}], ",", " ", 
    RowBox[{"\[Phi]", "(", 
     SubscriptBox["u", "3"], ")"}], ",", " ", "\[Ellipsis]", ",", " ", 
    RowBox[{"\[Phi]", "(", 
     SubscriptBox["u", "n"], ")"}]}], TraditionalForm]]],
 " will all be roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], ","}], TraditionalForm]]],
 " and so this list is a permutation of the list ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["u", "1"], ",", " ", 
    SubscriptBox["u", "2"], ",", " ", 
    SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
    RowBox[{
     SubscriptBox["u", "n"], "."}]}], TraditionalForm]]],
 " Therefore, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", 
     RowBox[{"g", "(", "x", ")"}], ")"}], " ", "=", " ", 
    RowBox[{"g", "(", "x", ")"}]}], TraditionalForm]]],
 " for all ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], "K"}], TraditionalForm]]],
 ".\n\nNow, since ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a Galois extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", the fixed field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], "K"}], TraditionalForm]]],
 " is the field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " is a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " certainly divides the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], ","}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " is irreducible in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "[", "x", "]"}], ","}], TraditionalForm]]],
 " we have that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " have the same degree. Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"n", "  ", "is", " ", "the", " ", "degree", " ", "of", " ", 
     RowBox[{"f", "(", "x", ")"}]}], ","}], TraditionalForm]]],
 " and so ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " factors completely in the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Furthermore, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " has no\nmultiple roots in the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438687001046875*^9, 3.4386870134375*^9}, {
  3.43869365221875*^9, 3.43869366009375*^9}}]
}, Open  ]],

Cell[TextData[{
 "\nThis proposition allows us to immediately rule out certain field \
extensions from being a Galois extension.  Clearly ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RadicalBox["2", "3"], ")"}], TraditionalForm]]],
 " is ruled out because ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RadicalBox["2", "3"], ")"}], TraditionalForm]]],
 " is not a splitting field. But there are even some splitting fields that \
are not Galois fields according to this proposition. Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SubscriptBox["Z", "2"],
     TraditionalForm], "(", "t", ")"}], TraditionalForm]]],
 " be the field of rational functions in ",
 Cell[BoxData[
  FormBox["t", TraditionalForm]]],
 ", with coefficients in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Z", "2"], TraditionalForm]]],
 ". This field can be defined in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " simply by the command"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["InitDomain[2]", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Here are some examples of elements in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Z", "2"], "(", "t", ")"}], TraditionalForm]]],
 ":"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["(t^3 + t + 1)/t", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 FractionBox[
  RowBox[{"1", "+", "t", "+", 
   SuperscriptBox["t", "3"]}], "t"]], "Output",
 CellChangeTimes->{3.442760301211375*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["1/(t^2 + 1)", "Input",
 PageWidth->Infinity],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{"1", "+", 
   SuperscriptBox["t", "2"]}]]], "Output",
 CellChangeTimes->{3.442760304102*^9}]
}, Open  ]],

Cell[TextData[{
 "Note that there is no element whose square is equal to ",
 Cell[BoxData[
  FormBox["t", TraditionalForm]]],
 ":"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Factor[x^2 - t]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.43868701546875*^9}],

Cell[BoxData[
 RowBox[{"t", "+", 
  SuperscriptBox["x", "2"]}]], "Output",
 CellChangeTimes->{3.442760309102*^9}]
}, Open  ]],

Cell[TextData[{
 "Suppose we define a new element ",
 Cell[BoxData[
  FormBox["a", TraditionalForm]]],
 " which solves this equation."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["Define[a^2, t]", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Now ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "2"], " ", "-", " ", "t"}], TraditionalForm]]],
 " factors in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Z", "2"], "(", "t", ")"}], 
    RowBox[{
     RowBox[{"(", "a", ")"}], "."}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438687016046875*^9, 3.438687016046875*^9}}],

Cell[CellGroupData[{

Cell["Factor[x^2 - t, a]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.43868701665625*^9}],

Cell[BoxData[
 SuperscriptBox[
  RowBox[{"(", 
   RowBox[{"a", "+", "x"}], ")"}], "2"]], "Output",
 CellChangeTimes->{3.44276031357075*^9}]
}, Open  ]],

Cell[TextData[{
 "Note, however, that there is a ",
 StyleBox["double root",
  FontSlant->"Italic"],
 " in this factorization! Thus, by proposition 15.8, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Z", "2"], "(", "t", ")"}], 
    RowBox[{"(", "a", ")"}]}], TraditionalForm]]],
 " is ",
 StyleBox["not",
  FontSlant->"Italic"],
 " a Galois extension of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     FormBox[
      SubscriptBox["Z", "2"],
      TraditionalForm], "(", "t", ")"}], "."}], TraditionalForm]]],
 "\n\nOne immediate consequence from proposition 15.8 is that a Galois \
extension can be written as a simple extension.\n\nCOROLLARY 15.2\nLet ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " be a field, and let ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a Galois extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Then there exists an element ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{"F", "(", "w", ")"}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4386937206875*^9, 3.438693721484375*^9}, {
  3.43869411734375*^9, 3.438694125359375*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Since ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a Galois extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is finite dimensional over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{"F", "(", 
     RowBox[{
      SubscriptBox["u", "1"], ",", " ", 
      SubscriptBox["u", "2"], ",", " ", 
      SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", " ", ",", " ", 
      SubscriptBox["u", "n"]}], ")"}]}], TraditionalForm]]],
 " for elements ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["u", "1"], ",", " ", 
    SubscriptBox["u", "2"], ",", " ", 
    SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
    SubscriptBox["u", "n"]}], TraditionalForm]]],
 "  in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". But the polynomials ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Irr", "F"], "(", 
    RowBox[{
     SubscriptBox["u", "i"], ",", "x"}], ")"}], TraditionalForm]]],
 " all have a root in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", and so factor completely in the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " without multiple roots. Then we can use corollary 14.4 to show that there \
is an element ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", "w", ")"}], " ", "=", " ", 
    RowBox[{"K", "."}]}], TraditionalForm]]]
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868701734375*^9, 3.43868701734375*^9}, {
  3.438694145640625*^9, 3.438694146203125*^9}}]
}, Open  ]],

Cell[TextData[{
 "In order to introduce the correlation between the subgroups of the Galois \
group and the subfields of the Galois extension, let us consider the familiar \
splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], "-", "2", " "}], TraditionalForm]]],
 ".\nSince ",
 Cell[BoxData[
  FormBox[
   RadicalBox["2", "3"], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RadicalBox["2", "3"], 
    SuperscriptBox["e", 
     RowBox[{"2", 
      RowBox[{"\[Pi]i", "/", "3"}]}]]}], TraditionalForm]]],
 " are two roots, we can express the splitting field as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{
     RadicalBox["2", "3"], ",", 
     RowBox[{
      RadicalBox["2", "3"], 
      SuperscriptBox["e", 
       RowBox[{"2", 
        RowBox[{"\[Pi]i", "/", "3"}]}]]}]}], ")"}], TraditionalForm]]],
 ".  The subfields of this Galois extension are ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RadicalBox["2", "3"], ")"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{
     RadicalBox["2", "3"], 
     SuperscriptBox["e", 
      RowBox[{"2", 
       RowBox[{"\[Pi]i", "/", "3"}]}]]}], ")"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RowBox[{
     RadicalBox["2", "3"], 
     SuperscriptBox["e", 
      RowBox[{"4", 
       RowBox[{"\[Pi]i", "/", "3"}]}]]}], ")"}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    SqrtBox[
     RowBox[{"-", "3"}]], ")"}], TraditionalForm]]],
 ", and the whole field ",
 Cell[BoxData[
  FormBox[
   FormBox[
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{
      RadicalBox["2", "3"], ",", 
      RowBox[{
       RadicalBox["2", "3"], 
       SuperscriptBox["e", 
        RowBox[{"2", 
         RowBox[{"\[Pi]i", "/", "3"}]}]]}]}], ")"}],
    TraditionalForm], TraditionalForm]]],
 ".\nWe can draw a diagram of these subfields, showing which subfields are \
subfields of other subfields."
}], "Text",
 CellChangeTimes->{{3.43868701803125*^9, 3.43868701803125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"Graphics", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Text", "[", 
      RowBox[{"\"\<\[DoubleStruckCapitalQ]\>\"", ",", 
       RowBox[{"{", 
        RowBox[{".5", ",", "1"}], "}"}]}], "]"}], ",", 
     RowBox[{"Text", "[", 
      RowBox[{
      "\"\<\[DoubleStruckCapitalQ](\!\(\*RadicalBox[\(2\), \(3\)]\))\>\"", 
       ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", ".5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 
     RowBox[{"Text", "[", 
      RowBox[{
      "\"\<\[DoubleStruckCapitalQ](\!\(\*RadicalBox[\(2\), \(3\)]\) \
\!\(\*SuperscriptBox[\(e\), \(2  \[Pi]i/3\)]\))\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"0.35", ",", ".5"}], "}"}]}], "]"}], ",", 
     RowBox[{"Text", "[", 
      RowBox[{
      "\"\<\[DoubleStruckCapitalQ](\!\(\*RadicalBox[\(2\), \(3\)]\) \
\!\(\*SuperscriptBox[\(e\), \(4  \[Pi]i/3\)]\))\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"0.65", ",", ".5"}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Text", "[", 
      RowBox[{
      "\"\<\[DoubleStruckCapitalQ](\!\(\*SqrtBox[\(-3\)]\))\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", ".5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}]}], "]"}], ",", 
     RowBox[{"Text", "[", 
      RowBox[{
      "\"\<\[DoubleStruckCapitalQ](\!\(\*RadicalBox[\(2\), \
\(3\)]\),\!\(\*RadicalBox[\(2\), \(3\)]\) \!\(\*SuperscriptBox[\(e\), \(2  \
\[Pi]i/3\)]\))\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"0.5", ",", "0"}], "}"}]}], "]"}], ",", "\[IndentingNewLine]",
      
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{".47", ",", ".95"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.05", ",", ".55"}], "}"}]}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{".49", ",", ".95"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.35", ",", ".55"}], "}"}]}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{".51", ",", ".95"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.65", ",", ".55"}], "}"}]}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"RGBColor", "[", 
      RowBox[{"0", ",", "1", ",", "0"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{".53", ",", ".95"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.95", ",", ".55"}], "}"}]}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", " ", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{".47", ",", ".05"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.05", ",", ".45"}], "}"}]}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{".49", ",", ".05"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.35", ",", ".45"}], "}"}]}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{".51", ",", ".05"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.65", ",", ".45"}], "}"}]}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{".53", ",", ".05"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.95", ",", ".45"}], "}"}]}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{".50", ",", ".05"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.50", ",", ".95"}], "}"}]}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"RGBColor", "[", 
      RowBox[{"0", ",", "0", ",", "1"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Text", "[", 
      RowBox[{"\"\<\!\(\*SubscriptBox[\(Z\), \(2\)]\)\>\"", ",", 
       RowBox[{"{", 
        RowBox[{".77", ",", ".77"}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Text", "[", 
      RowBox[{"\"\<\!\(\*SubscriptBox[\(S\), \(3\)]\)\>\"", ",", 
       RowBox[{"{", 
        RowBox[{".53", ",", ".77"}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Text", "[", 
      RowBox[{"\"\<\!\(\*SubscriptBox[\(Z\), \(2\)]\)\>\"", ",", 
       RowBox[{"{", 
        RowBox[{".23", ",", ".23"}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", " ", 
     RowBox[{"Text", "[", 
      RowBox[{"\"\<\!\(\*SubscriptBox[\(Z\), \(2\)]\)\>\"", ",", 
       RowBox[{"{", 
        RowBox[{".40", ",", ".23"}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Text", "[", 
      RowBox[{"\"\<\!\(\*SubscriptBox[\(Z\), \(2\)]\)\>\"", ",", 
       RowBox[{"{", 
        RowBox[{".60", ",", ".23"}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Text", "[", 
      RowBox[{"\"\<\!\(\*SubscriptBox[\(Z\), \(3\)]\)\>\"", ",", 
       RowBox[{"{", 
        RowBox[{".77", ",", " ", ".23"}], "}"}]}], "]"}]}], "}"}], "]"}], 
  "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{InsetBox["\<\"\[DoubleStruckCapitalQ]\"\>", {0.5, 1}], 
   InsetBox["\<\"\[DoubleStruckCapitalQ](\\!\\(\\*RadicalBox[\\(2\\), \
\\(3\\)]\\))\"\>", {0, 0.5}, {-1, 0}], 
   InsetBox["\<\"\[DoubleStruckCapitalQ](\\!\\(\\*RadicalBox[\\(2\\), \
\\(3\\)]\\) \\!\\(\\*SuperscriptBox[\\(e\\), \\(2  \[Pi]i/3\\)]\\))\"\>", \
{0.35, 0.5}], 
   InsetBox["\<\"\[DoubleStruckCapitalQ](\\!\\(\\*RadicalBox[\\(2\\), \
\\(3\\)]\\) \\!\\(\\*SuperscriptBox[\\(e\\), \\(4  \[Pi]i/3\\)]\\))\"\>", \
{0.65, 0.5}], 
   InsetBox["\<\"\[DoubleStruckCapitalQ](\\!\\(\\*SqrtBox[\\(-3\\)]\\))\"\>", \
{1, 0.5}, {1, 0}], 
   InsetBox["\<\"\[DoubleStruckCapitalQ](\\!\\(\\*RadicalBox[\\(2\\), \
\\(3\\)]\\),\\!\\(\\*RadicalBox[\\(2\\), \\(3\\)]\\) \\!\\(\\*SuperscriptBox[\
\\(e\\), \\(2  \[Pi]i/3\\)]\\))\"\>", {0.5, 0}], 
   LineBox[{{0.47, 0.95}, {0.05, 0.55}}], 
   LineBox[{{0.49, 0.95}, {0.35, 0.55}}], 
   LineBox[{{0.51, 0.95}, {0.65, 0.55}}], 
   {RGBColor[0, 1, 0], LineBox[{{0.53, 0.95}, {0.95, 0.55}}], 
    LineBox[{{0.47, 0.05}, {0.05, 0.45}}], 
    LineBox[{{0.49, 0.05}, {0.35, 0.45}}], 
    LineBox[{{0.51, 0.05}, {0.65, 0.45}}], 
    LineBox[{{0.53, 0.05}, {0.95, 0.45}}], 
    LineBox[{{0.5, 0.05}, {0.5, 0.95}}]}, 
   {RGBColor[0, 0, 1], 
    InsetBox["\<\"\\!\\(\\*SubscriptBox[\\(Z\\), \\(2\\)]\\)\"\>", \
{0.77, 0.77}], 
    InsetBox["\<\"\\!\\(\\*SubscriptBox[\\(S\\), \\(3\\)]\\)\"\>", \
{0.53, 0.77}], 
    InsetBox["\<\"\\!\\(\\*SubscriptBox[\\(Z\\), \\(2\\)]\\)\"\>", \
{0.23, 0.23}], 
    InsetBox["\<\"\\!\\(\\*SubscriptBox[\\(Z\\), \\(2\\)]\\)\"\>", \
{0.4, 0.23}], 
    InsetBox["\<\"\\!\\(\\*SubscriptBox[\\(Z\\), \\(2\\)]\\)\"\>", \
{0.6, 0.23}], 
    InsetBox["\<\"\\!\\(\\*SubscriptBox[\\(Z\\), \\(3\\)]\\)\"\>", \
{0.77, 0.23}]}}]], "Output",
 CellChangeTimes->{3.422652886265625*^9, 3.442760332211375*^9}]
}, Open  ]],

Cell[TextData[{
 "The green lines in this diagram indicate which subfields are Galois \
extensions of the subfield above it.  Also, whenever we have a Galois \
extension, the corresponding Galois group is shown in blue.  This diagram \
indicates that the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], "-", "2"}], TraditionalForm]]],
 " is a Galois extension of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    SqrtBox[
     RowBox[{"-", "3"}]], ")"}], TraditionalForm]]],
 ".  This can be verified with ",
 StyleBox["Mathematica.\n",
  FontSlant->"Italic"],
 "First, we define ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     SqrtBox[
      RowBox[{"-", "3"}]], ")"}], ","}], TraditionalForm]]],
 " by defining ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["a", "2"], "=", " ", 
    RowBox[{"-", "3."}]}], TraditionalForm]]]
}], "Text",
 CellChangeTimes->{{3.43868702934375*^9, 3.43868702934375*^9}}],

Cell["\<\
InitDomain[0]
Define[a^2,-3]\
\>", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "Now, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", "2"}], TraditionalForm]]],
 " is still irreducible in this field."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868702990625*^9, 3.43868702990625*^9}}],

Cell[CellGroupData[{

Cell["Factor[x^3 - 2, a]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.438687030375*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "2"}], "+", 
  SuperscriptBox["x", "3"]}]], "Output",
 CellChangeTimes->{3.4427603375395*^9}]
}, Open  ]],

Cell[TextData[{
 "Let us define ",
 Cell[BoxData[
  FormBox["b", TraditionalForm]]],
 " to be the cube root of 2."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell["\<\
b=.
Define[b^3, 2]\
\>", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.442760369367625*^9, 3.442760371398875*^9}}],

Cell[TextData[{
 "Now, will the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", "2"}], TraditionalForm]]],
 " factor completely over the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{
      SqrtBox[
       RowBox[{"-", "3"}]], ",", " ", 
      RadicalBox["2", "3"]}], ")"}], "?"}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438687031390625*^9, 3.438687031390625*^9}}],

Cell[CellGroupData[{

Cell["Factor[x^3 - 2, a, b]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{3.438687031875*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "b"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    FractionBox["b", "2"], "-", 
    FractionBox[
     RowBox[{"a", " ", "b"}], "2"], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    FractionBox["b", "2"], "+", 
    FractionBox[
     RowBox[{"a", " ", "b"}], "2"], "+", "x"}], ")"}]}]], "Output",
 CellChangeTimes->{3.442760375836375*^9}]
}, Open  ]],

Cell[TextData[{
 "This factors completely without multiple roots.  In fact, this is predicted \
by proposition 15.2.3, since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    SqrtBox[
     RowBox[{"-", "3"}]], ")"}], TraditionalForm]]],
 " contains the cube roots of unity."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Now let us look at the subgroups of the Galois group ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 ":"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"Graphics", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Text", "[", 
      RowBox[{"\"\<\!\(\*SubscriptBox[\(S\), \(3\)]\)\>\"", ",", 
       RowBox[{"{", 
        RowBox[{".5", ",", "1"}], "}"}]}], "]"}], ",", 
     RowBox[{"Text", "[", 
      RowBox[{"\"\<{e,(1 2)}\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", ".5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], ",", 
     RowBox[{"Text", "[", 
      RowBox[{"\"\<{e, (1 3)}\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"0.35", ",", ".5"}], "}"}]}], "]"}], ",", 
     RowBox[{"Text", "[", 
      RowBox[{"\"\<{e, (2 3)}\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"0.65", ",", ".5"}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Text", "[", 
      RowBox[{"\"\<\!\(\*SubscriptBox[\(A\), \(3\)]\)\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", ".5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}]}], "]"}], ",", 
     RowBox[{"Text", "[", 
      RowBox[{"\"\<{e}\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"0.5", ",", "0"}], "}"}]}], "]"}], ",", "\[IndentingNewLine]",
      
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{".47", ",", ".95"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.05", ",", ".55"}], "}"}]}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{".49", ",", ".95"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.35", ",", ".55"}], "}"}]}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{".51", ",", ".95"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.65", ",", ".55"}], "}"}]}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"RGBColor", "[", 
      RowBox[{"0", ",", "1", ",", "0"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{".53", ",", ".95"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.95", ",", ".55"}], "}"}]}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", " ", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{".47", ",", ".05"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.05", ",", ".45"}], "}"}]}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{".49", ",", ".05"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.35", ",", ".45"}], "}"}]}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{".51", ",", ".05"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.65", ",", ".45"}], "}"}]}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{".53", ",", ".05"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.95", ",", ".45"}], "}"}]}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{".50", ",", ".05"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.50", ",", ".95"}], "}"}]}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"RGBColor", "[", 
      RowBox[{"0", ",", "0", ",", "1"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Text", "[", 
      RowBox[{"\"\<\!\(\*SubscriptBox[\(Z\), \(2\)]\)\>\"", ",", 
       RowBox[{"{", 
        RowBox[{".77", ",", ".77"}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Text", "[", 
      RowBox[{"\"\<\!\(\*SubscriptBox[\(S\), \(3\)]\)\>\"", ",", 
       RowBox[{"{", 
        RowBox[{".53", ",", ".77"}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Text", "[", 
      RowBox[{"\"\<\!\(\*SubscriptBox[\(Z\), \(2\)]\)\>\"", ",", 
       RowBox[{"{", 
        RowBox[{".23", ",", ".23"}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", " ", 
     RowBox[{"Text", "[", 
      RowBox[{"\"\<\!\(\*SubscriptBox[\(Z\), \(2\)]\)\>\"", ",", 
       RowBox[{"{", 
        RowBox[{".40", ",", ".23"}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Text", "[", 
      RowBox[{"\"\<\!\(\*SubscriptBox[\(Z\), \(2\)]\)\>\"", ",", 
       RowBox[{"{", 
        RowBox[{".60", ",", ".23"}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Text", "[", 
      RowBox[{"\"\<\!\(\*SubscriptBox[\(Z\), \(3\)]\)\>\"", ",", 
       RowBox[{"{", 
        RowBox[{".77", ",", " ", ".23"}], "}"}]}], "]"}]}], "}"}], "]"}], 
  "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{
   InsetBox["\<\"\\!\\(\\*SubscriptBox[\\(S\\), \\(3\\)]\\)\"\>", {0.5, 1}], 
   InsetBox["\<\"{e,(1 2)}\"\>", {0, 0.5}, {-1, 0}], 
   InsetBox["\<\"{e, (1 3)}\"\>", {0.35, 0.5}], 
   InsetBox["\<\"{e, (2 3)}\"\>", {0.65, 0.5}], 
   InsetBox["\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(3\\)]\\)\"\>", {1, 0.5}, \
{1, 0}], InsetBox["\<\"{e}\"\>", {0.5, 0}], 
   LineBox[{{0.47, 0.95}, {0.05, 0.55}}], 
   LineBox[{{0.49, 0.95}, {0.35, 0.55}}], 
   LineBox[{{0.51, 0.95}, {0.65, 0.55}}], 
   {RGBColor[0, 1, 0], LineBox[{{0.53, 0.95}, {0.95, 0.55}}], 
    LineBox[{{0.47, 0.05}, {0.05, 0.45}}], 
    LineBox[{{0.49, 0.05}, {0.35, 0.45}}], 
    LineBox[{{0.51, 0.05}, {0.65, 0.45}}], 
    LineBox[{{0.53, 0.05}, {0.95, 0.45}}], 
    LineBox[{{0.5, 0.05}, {0.5, 0.95}}]}, 
   {RGBColor[0, 0, 1], 
    InsetBox["\<\"\\!\\(\\*SubscriptBox[\\(Z\\), \\(2\\)]\\)\"\>", \
{0.77, 0.77}], 
    InsetBox["\<\"\\!\\(\\*SubscriptBox[\\(S\\), \\(3\\)]\\)\"\>", \
{0.53, 0.77}], 
    InsetBox["\<\"\\!\\(\\*SubscriptBox[\\(Z\\), \\(2\\)]\\)\"\>", \
{0.23, 0.23}], 
    InsetBox["\<\"\\!\\(\\*SubscriptBox[\\(Z\\), \\(2\\)]\\)\"\>", \
{0.4, 0.23}], 
    InsetBox["\<\"\\!\\(\\*SubscriptBox[\\(Z\\), \\(2\\)]\\)\"\>", \
{0.6, 0.23}], 
    InsetBox["\<\"\\!\\(\\*SubscriptBox[\\(Z\\), \\(3\\)]\\)\"\>", \
{0.77, 0.23}]}}]], "Output",
 CellChangeTimes->{3.4427603819145*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell["\<\
Once again, we draw lines connecting which subgroups are subgroups of other \
subgroups.  We draw a green line to indicate a normal subgroup.  Whenever the \
subgroup is a normal subgroup, the quotient group is indicated in blue. \
\>", "Text"],

Cell[TextData[{
 "The pattern is now obvious.  The two pictures are the same, except that the \
subfields are replaced by a subgroup of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "3"], TraditionalForm]]],
 ".  This feature of Galois extensions is the heart of Galois theory.  In \
fact, there is a natural way that the subfields of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", and the subgroups of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], "K"}], TraditionalForm]]],
 " are related:  for each subfield ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", we can consider ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "E"], "K"}], TraditionalForm]]],
 ", the set of automorphisms of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " which fix ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ".  This is a subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], "K"}], TraditionalForm]]],
 ".  On the other hand, given a subgroup ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], "K"}], TraditionalForm]]],
 ", we can consider the fixed field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"fix", "(", "H", ")"}], TraditionalForm]]],
 " which is a subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ".  To show that, indeed, the two pictures will be essentially the same, we \
need 4 steps.\n\n(1)  Show that if we start with a subfield ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", form the Galois group ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "E"], "K"}], TraditionalForm]]],
 ", and find the fixed field of this subgroup, we get back ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ".\n(2)  Show that if we start with a subgroup ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], "K"}], TraditionalForm]]],
 ", find the fixed field, and then find the Galois group of the fixed field, \
we get back ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ".  These first two steps establish a one-to-one correspondence between the \
subfields and the subgroups of the Galois group.\n(3)  Show that if one \
subgroup ",
 Cell[BoxData[
  FormBox["N", TraditionalForm]]],
 " is a normal subgroup of another subgroup ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", then the corresponding subfields form a Galois extension.  That is, a \
green line on the second picture corresponds to a green line on the first.\n\
(4)  Show that if one subfield ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " is a Galois extension of another, ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ", then the corresponding Galois groups will have a normal subgroup \
relation.  Furthermore, the quotient group of the Galois groups will be \
isomorphic to the Galois group of the Galois extension.  Thus, a green line \
on the first picture corresponds to a green line on the second, and the blue \
groups in the pictures will be isomorphic.\n\nLet us begin by proving the \
first step"
}], "Text",
 CellChangeTimes->{{3.438694403625*^9, 3.438694417546875*^9}, {
  3.4420682103233747`*^9, 3.4420682146827497`*^9}}],

Cell[TextData[{
 "LEMMA 15.4\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a Galois extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " be a subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " containing ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a Galois extension of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ".  That is, the fixed field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "E"], "K"}], TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43869441996875*^9, 3.438694420640625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", " ", "=", " ", 
    RowBox[{
     SubscriptBox["Gal", "E"], "K"}]}], TraditionalForm]]],
 ", which is a subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], 
    RowBox[{"K", "."}]}], TraditionalForm]]],
 " Let ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["E", "0"], TraditionalForm]]],
 " be the field fixed by ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ". Certainly ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["E", "0"], TraditionalForm]]],
 " contains the field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", since every automorphism in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " fixes ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Suppose that ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is an element of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " which is not in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ".  Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["Irr", "E"], "(", 
      RowBox[{"u", ",", "x"}], ")"}], "."}]}], TraditionalForm]]],
 " Since ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is not in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " has degree at least 2.  Note that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"u", ",", "x"}], ")"}]}], TraditionalForm]]],
 " is a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"F", "[", "x", "]"}], TraditionalForm]]],
 " for which ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " is a factor in the domain ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "[", "x", "]"}], TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " is a Galois field over ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " factors completely in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " with no repeated factors. Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " also factors completely in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " with no repeated factors, so there are at least two solutions to the \
equation ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", "0"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". One solution is of course ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 ", so let ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " be another solution. By proposition 15.2, there is an ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 "-automorphism in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "u", ")"}], " ", "=", " ", "v"}], 
   TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is not in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["E", "0"], TraditionalForm]]],
 ". Therefore, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["E", "0"], "=", " ", "E"}], TraditionalForm]]],
 ", and so ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a Galois extension of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438687034234375*^9, 3.438687040265625*^9}, {
  3.43869446509375*^9, 3.438694465640625*^9}}]
}, Open  ]],

Cell[TextData[{
 "LEMMA 15.5\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a Galois extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ".  If ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is a subgroup of the Galois group ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Gal", "F"], "K"}], ","}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " is the fixed field of ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", " ", "=", " ", 
    RowBox[{
     SubscriptBox["Gal", "E"], "K"}]}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438694484390625*^9, 3.438694485046875*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
   "n", " ", "be", " ", "the", " ", "dimension", " ", "of", " ", "the", " ", 
    "field", " ", "K", " ", "over", " ", 
    RowBox[{"E", "."}]}], TraditionalForm]]],
 " By lemma 15.4, ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a Galois extension of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Thus, by corollary 15.2, there exists an element ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{
     RowBox[{"E", "(", "w", ")"}], "."}]}], TraditionalForm]]],
 " If ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "E"], "(", 
     RowBox[{"w", ",", " ", "x"}], ")"}]}], TraditionalForm]]],
 ", then the degree of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 " by corollary 14.1. Since ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a Galois extension of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", by proposition 15.8, the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " factors completely in the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", and there are no multiple roots. Thus, by proposition 15.4, the number of \
",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 "-automorphisms of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is the dimension of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", which is ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ".\n\nSuppose that ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " contains ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 "-automorphisms.  Let  ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SubscriptBox["v", "1"], ",", " ", 
     SubscriptBox["v", "2"], ",", " ", 
     SubscriptBox["v", "3"], ",", " ", 
     RowBox[{"\[Ellipsis]", " ", 
      SubscriptBox["v", "m"]}]}]}], TraditionalForm]]],
 "  be the images of ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " under the automorphisms in the subgroup ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ". That is, for each ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["v", "i"], TraditionalForm]]],
 "  there is an ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 "  in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["v", "i"], " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Florin]", "(", "w", ")"}], "."}]}], TraditionalForm]]],
 "\n\nConsider the polynomial\n\n   ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        SubscriptBox["v", "1"]}], ")"}], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        SubscriptBox["v", "2"]}], ")"}], "\[CenterDot]", 
      RowBox[{"(", 
       RowBox[{"x", " ", "-", " ", 
        SubscriptBox["v", "3"]}], ")"}], "\[CenterDot]", " ", "\[Ellipsis]", 
      " ", "\[CenterDot]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"x", " ", "-", " ", 
         SubscriptBox["v", "m"]}], ")"}], "."}]}]}]}], TraditionalForm]]],
 "\n\nIf ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " is an automorphism in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", 
     SubscriptBox["v", "i"], ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Phi]", "(", 
      RowBox[{"\[Florin]", "(", "w", ")"}], ")"}], " ", "=", " ", 
     SubscriptBox["v", "j"]}]}], TraditionalForm]]],
 "  for some ",
 Cell[BoxData[
  FormBox["j", TraditionalForm]]],
 ". Also, since ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " is one-to-one, the images of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", 
     SubscriptBox["v", "1"], ")"}], ",", " ", 
    RowBox[{"\[Phi]", "(", 
     SubscriptBox["v", "2"], ")"}], ",", " ", 
    RowBox[{"\[Phi]", "(", 
     SubscriptBox["v", "3"], ")"}], ",", " ", "\[Ellipsis]", " ", ",", " ", 
    RowBox[{"\[Phi]", "(", 
     SubscriptBox["v", "m"], ")"}]}], TraditionalForm]]],
 " must all be distinct. Thus, each ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is a permutation on the elements ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["v", "1"], ",", " ", 
    SubscriptBox["v", "2"], ",", " ", 
    SubscriptBox["v", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
    RowBox[{
     SubscriptBox["v", "m"], "."}]}], TraditionalForm]]],
 " Hence, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", 
     RowBox[{"g", "(", "x", ")"}], ")"}], " ", "=", " ", 
    RowBox[{"g", "(", "x", ")"}]}], TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " is the fixed field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"fix", "(", "H", ")"}], TraditionalForm]]],
 " of the subgroup ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 ", we see that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "[", "x", "]"}], TraditionalForm]]],
 ". Thus,",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
     RowBox[{
      FormBox[
       SubscriptBox["Irr", "E"],
       TraditionalForm], "(", 
      RowBox[{"u", ",", "x"}], ")"}]}]}], TraditionalForm]]],
 " divides ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], ","}], TraditionalForm]]],
 " so ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 " is at least ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". Thus,   \n\n              ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"|", "H", "|", " ", 
     RowBox[{"\[LessEqual]", "  ", 
      FormBox[
       RowBox[{
        RowBox[{
         FormBox[
          SubscriptBox[
           RowBox[{"|", "Gal"}], "E"],
          TraditionalForm], "K"}], "|"}],
       TraditionalForm]}]}], " ", "=", " ", 
    RowBox[{
     RowBox[{"n", " ", "\[LessEqual]", " ", "m"}], " ", "=", " ", 
     RowBox[{"|", "H", "|"}]}]}], TraditionalForm]]],
 ".\n              \nTherefore, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"H", " ", "=", " ", 
    RowBox[{
     SubscriptBox["Gal", "E"], 
     RowBox[{"K", "."}]}]}], TraditionalForm]]]
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438687040671875*^9, 3.438687047984375*^9}, {
  3.438694498296875*^9, 3.438694532015625*^9}}]
}, Open  ]],

Cell[TextData[{
 "Lemmas 15.4 and 15.5 show that there is a one-to-one corresponence between \
the subgroups of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], "K"}], TraditionalForm]]],
 " and the subfields of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " containing ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". We now consider the special significance of the normal subgroups of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], 
    RowBox[{"K", "."}]}], TraditionalForm]]],
 " \n\nLEMMA 15.6\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a Galois extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " be a subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " containing another subfield ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ". Suppose that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "E"], "K"}], TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "L"], 
    RowBox[{"K", "."}]}], TraditionalForm]]],
 " Then every ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 "-automorphism of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " maps elements of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " to elements of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Furthermore, ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " is a Galois extension of ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43869472953125*^9, 3.438694743671875*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "First, we want to show that if ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "L"], "K"}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", " ", "=", " ", 
    RowBox[{"\[Phi]", "(", "u", ")"}]}], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "E"], "K"}], TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "L"], "K"}], TraditionalForm]]],
 ", for any ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "E"], "K"}], TraditionalForm]]],
 " we have that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Psi]", " ", "=", " ", 
    RowBox[{"\[Phi]", "\[CenterDot]", "\[Florin]", "\[CenterDot]", 
     SuperscriptBox["\[Phi]", 
      RowBox[{"-", "1"}]]}]}], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "E"], 
    RowBox[{"K", "."}]}], TraditionalForm]]],
 " Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "\[CenterDot]", "f"}], " ", "=", " ", 
    RowBox[{"\[Psi]", "\[CenterDot]", "\[Phi]"}]}], TraditionalForm]]],
 ", or ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", 
     RowBox[{"\[Phi]", "(", "u", ")"}], ")"}], "=", 
    RowBox[{"\[Phi]", "(", 
     RowBox[{"\[Psi]", "(", "u", ")"}], ")"}]}], TraditionalForm]]],
 ".\n\nSince ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Psi]", "(", "u", ")"}], " ", "=", " ", "u"}], 
   TraditionalForm]]],
 ", so \n\n             ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Florin]", "(", "v", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      RowBox[{"\[Phi]", "(", "u", ")"}], ")"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"\[Phi]", "(", 
       RowBox[{"\[Psi]", "(", "u", ")"}], ")"}], " ", "=", " ", 
      RowBox[{
       RowBox[{"\[Phi]", "(", "u", ")"}], " ", "=", " ", "v"}]}]}]}], 
   TraditionalForm]]],
 ".\n\nThus, ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " is fixed by every automorphism ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "E"], "K"}], TraditionalForm]]],
 ". By lemma 15.4, ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a Galois extension of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", so the fixed field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "E"], "K"}], TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ".\n\nTo show that the fixed field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "L"], "E"}], TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ", consider an element ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " which is not in ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ". By lemma 15.4, ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a Galois extension of ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ".  Since ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is not in the fixed field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "L"], "K"}], TraditionalForm]]],
 ", there is an ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 "-automorphism ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " which moves ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " to another element, ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 ". But ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " moves all elements of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " to elements of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", so we can consider the restriction of ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " on the field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", denoted ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Phi]", 
    RowBox[{" ", "\[Prime]"}]], TraditionalForm]]],
 ". This is an automorphism of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", since the inverse is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      SuperscriptBox["\[Phi]", 
       RowBox[{"-", "1"}]], ")"}], "\[Prime]"], "."}], TraditionalForm]]],
 " Thus, there is an ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 "-automorphism of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " which moves the element ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 ", so the fixed field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "L"], "E"}], TraditionalForm]]],
 " is only ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ". Therefore, ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " is a Galois extension of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"L", "."}], TraditionalForm]]]
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4386947906875*^9, 3.438694809453125*^9}, {
  3.4420682441983747`*^9, 3.4420683339327497`*^9}}]
}, Open  ]],

Cell[TextData[{
 "LEMMA 15.7\nSuppose that ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a Galois extension of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " be a subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " which is also a Galois extension of a smaller subfield ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ". Then there exists a surjective homomorphism ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " from ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "L"], "K"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "L"], "E"}], TraditionalForm]]],
 " whose kernal is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "E"], "K"}], TraditionalForm]]],
 ". "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438694851765625*^9, 3.438694852875*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "By lemma 15.4, ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a Galois extension of ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ".  We begin by showing that if ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " is an ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 "-automorphism of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "u", ")"}], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "F"], "(", 
     RowBox[{"u", ",", " ", "x"}], ")"}]}], TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " is a Galois extension of ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ", by proposition 15.8, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " factors completely in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "[", "x", "]"}], TraditionalForm]]],
 ", which is of course the same factorization in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"K", "[", "x", "]"}], "."}], TraditionalForm]]],
 " By lemma 15.1, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "u", ")"}], TraditionalForm]]],
 " is a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", but all of the roots are also in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Phi]", "(", "u", ")"}], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ".\n\nNext, we define the mapping ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " which sends an ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 "-automorphism of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " to its restriction on the field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". We denote the restriction of ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " on the field ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " by  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Phi]", 
     RowBox[{" ", "\[Prime]"}]], "."}], TraditionalForm]]],
 " Since ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " maps elements of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 "  to elements of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", we see that ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Phi]", 
    RowBox[{" ", "\[Prime]"}]], TraditionalForm]]],
 " is an ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 "-automorphism of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". However, ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    RowBox[{"(", 
     SuperscriptBox["\[Phi]", 
      RowBox[{"-", "1"}]], ")"}], "\[Prime]"], TraditionalForm]]],
 " is also an ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 "-automorphism of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      SuperscriptBox["\[Phi]", 
       RowBox[{"-", "1"}]], ")"}], "\[Prime]"], "\[CenterDot]", 
    SuperscriptBox["\[Phi]", 
     RowBox[{" ", "\[Prime]"}]]}], TraditionalForm]]],
 " is clearly the identity mapping on ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Phi]", "\[Prime]"], TraditionalForm]]],
 " is an element of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "L"], 
    RowBox[{"E", "."}]}], TraditionalForm]]],
 "\n\nTo show that ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is a homomorphism, note that \n\n         ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"\[Florin]", "(", 
      RowBox[{
       SubscriptBox["\[Phi]", "1"], "\[CenterDot]", 
       SubscriptBox["\[Phi]", "2"]}], ")"}], " ", "=", " ", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["\[Phi]", "1"], "\[CenterDot]", 
         SubscriptBox["\[Phi]", "2"]}], ")"}], "\[Prime]"], " ", "=", " ", 
      RowBox[{
       RowBox[{
        SubsuperscriptBox["\[Phi]", "1", 
         RowBox[{" ", "\[Prime]"}]], "\[CenterDot]", 
        SubsuperscriptBox["\[Phi]", "2", 
         RowBox[{" ", "\[Prime]"}]]}], " ", "=", " ", 
       RowBox[{
        RowBox[{"\[Florin]", "(", 
         SubscriptBox["\[Phi]", "1"], ")"}], "\[CenterDot]", 
        RowBox[{
         RowBox[{"\[Florin]", "(", 
          SubscriptBox["\[Phi]", "2"], ")"}], "."}]}]}]}]}]}], 
   TraditionalForm]]],
 "\n\nThe kernel of this homomorphism is simply the ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 "-automorphisms of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " which fix the elements of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", which is of course ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "E"], "K"}], TraditionalForm]]],
 ". \n\nFinally, so show that this homomorphism is surjective, let ",
 Cell[BoxData[
  FormBox["\[Psi]", TraditionalForm]]],
 " be an ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 "-automorphism of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". By proposition 14.8 ",
 Cell[BoxData[
  FormBox["\[Psi]", TraditionalForm]]],
 " extends to an ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 "-automorphism of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", which we will call ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"\[Florin]", "(", "\[Phi]", ")"}], " ", "=", " ", "\[Psi]"}], 
    ","}], TraditionalForm]]],
 " and we have shown that ",
 Cell[BoxData[
  FormBox["\[Florin]", TraditionalForm]]],
 " is surjective. "
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868704871875*^9, 3.438687051234375*^9}, {
  3.43869487715625*^9, 3.43869490278125*^9}, {3.43869495578125*^9, 
  3.438694956484375*^9}}]
}, Open  ]],

Cell[TextData[{
 "Lemmas 15.4 through 15.7 explain the amazing similarity in the diagrams of \
the subfields, and the subgroups of the Galois group.  By putting these 4 \
pieces together, we get the fundamental theorem of Galois theory.\n\nTHEOREM \
15.1:  THE FUNDAMENTAL THEOREM OF GALOIS THEORY\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a Galois extension of the field ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 ". Then there is a one-to-one correspondence between the subfields of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " containing ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " and the subgroups of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "F"], "K"}], TraditionalForm]]],
 ", given by mapping ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " to the subgroup ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "E"], "K"}], TraditionalForm]]],
 ". The dimension of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over the subfield ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " is",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"|", 
     RowBox[{
      SubscriptBox["Gal", "E"], "K"}], "|", "."}]}], TraditionalForm]]],
 " \n\nFurthermore, a subfield ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " is a Galois extension of another subfield ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 " if and only if ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "E"], "K"}], TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Gal", "L"], "K"}], ","}], TraditionalForm]]],
 " in which case ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "L"], "E"}], TraditionalForm]]],
 " is isomorphic to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "L"], 
    RowBox[{"K", " ", "/", " ", 
     SubscriptBox["Gal", "E"]}], 
    RowBox[{"K", "."}]}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438694964515625*^9, 3.438694979171875*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "If ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Gal", "E"], "K"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Gal", "L"], "K"}]}], TraditionalForm]]],
 " for two subfields ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", then by lemma 15.4, both ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 " are the fixed field of the subgroup",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      SubscriptBox["Gal", "E"], "K"}], " ", "=", " ", 
     RowBox[{
      SubscriptBox["Gal", "L"], "K"}]}]}], TraditionalForm]]],
 ", so ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", " ", "=", " ", "L"}], TraditionalForm]]],
 ".  Thus, the mapping ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "\[Rule]", " ", 
    RowBox[{
     SubscriptBox["Gal", "E"], "K"}]}], TraditionalForm]]],
 " is  one-to-one. But if ",
 Cell[BoxData[
  FormBox["H", TraditionalForm]]],
 " is any subgroup of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Gal", "F"], TraditionalForm]]],
 " ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", then we can consider ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " to be the fixed field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"fix", "(", "H", ")"}], TraditionalForm]]],
 ", and by lemma 15.5  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["Gal", "E"], "K"}], " ", "=", " ", 
    RowBox[{"H", "."}]}], TraditionalForm]]],
 " Thus, the correspondence is also onto. Also by proposition 15.4, the \
dimension of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"|", 
    RowBox[{
     SubscriptBox["Gal", "E"], "K"}], "|"}], TraditionalForm]]],
 ", since ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a Galois extension of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ". \n\nIf ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " is also a Galois extension of another subfield ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ", then by lemma 15.7 there is a surjective homomorphism from ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "L"], "K"}], TraditionalForm]]],
 " to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "L"], "E"}], TraditionalForm]]],
 ", whose kernel is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "E"], "K"}], TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "E"], "K"}], TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "L"], "K"}], TraditionalForm]]],
 ", and by the first isomorphism theorem (4.1), ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "L"], "E"}], TraditionalForm]]],
 " is isomorphic to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "L"], 
    RowBox[{"K", " ", "/", " ", 
     SubscriptBox["Gal", "E"]}], 
    RowBox[{"K", "."}]}], TraditionalForm]]],
 "\n\nFinally, suppose that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "E"], "K"}], TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "L"], "K"}], TraditionalForm]]],
 ". By lemma 15.6 ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " is a Galois extension of ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43869501984375*^9, 3.4386950910625*^9}, {
  3.439062182265625*^9, 3.439062183921875*^9}}]
}, Open  ]],

Cell[TextData[{
 "The fundemental theorem of Galois theory has many different applications. \
With this theorem one can prove that it is impossible to trisect an angle \
with only a straight edge and a compass. This finally puts to rest a problem \
introduced by the ancient Greeks. A similar problem is that of producing a \
line ",
 Cell[BoxData[
  FormBox[
   RadicalBox["2", "3"], TraditionalForm]]],
 " times the length of a given line with only a straight edge and compass. \
Both of these Greek problems involves a field extension of order 3, while any \
compass and straight edge contruction involves a series of field extensions \
of order 2. Of course 3 does not divide any power of 2, so a field extension \
of dimension 3 cannot be a subfield of a field created by a sequence of \
extensions of order 2.\n\nYet the main result of Galois theory is that one \
can prove that it is impossible to find a formula for the solutions to a \
fifth degree polynomial, in terms of square roots, cube roots, of fifth \
roots. We will spend the remainder of this chapter exploring this problem."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[CellGroupData[{

Cell["Solutions of Polynomial Equations Using Radicals", "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "In this section we will understand why ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " is unable to find the roots of a fifth degree polynomial. In fact, we will \
determine exactly when a polynomial can be solved in terms of radicals, and \
when it can't. The first step is to show that, in \[DoubleStruckCapitalQ], a \
Galois extension is the same thing as a splitting field."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438695157578125*^9, 3.4386951579375*^9}}],

Cell[TextData[{
 "PROPOSITION 15.9\nLet ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " be a finite extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " is a polynomial in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "[", "x", "]"}], TraditionalForm]]],
 ", then the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " is a Galois extension of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438687052390625*^9, 3.438687053390625*^9}, {
  3.438695161328125*^9, 3.438695161984375*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "[", "x", "]"}], TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is an element of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " not in ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "E"], "(", 
     RowBox[{"u", ",", "x"}], ")"}]}], TraditionalForm]]],
 " has degree ",
 Cell[BoxData[
  FormBox[
   RowBox[{">", " ", "1"}], TraditionalForm]]],
 ". By lemma 14.5,  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " factors completely in the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Thus, the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " is contained in the field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". However, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " is a factor of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Irr", "\[DoubleStruckCapitalQ]"], "(", 
    RowBox[{"u", ",", "x"}], ")"}], TraditionalForm]]],
 ", which by lemma 15.3 does not have multiple roots in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Therefore, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " cannot have multiple roots in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ",  so there exists at least two roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Let ",
 Cell[BoxData[
  FormBox["v", TraditionalForm]]],
 " be a root of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"g", "(", "x", ")"}], TraditionalForm]]],
 " different from ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "E"], "(", 
     RowBox[{"v", ",", "x"}], ")"}]}], TraditionalForm]]],
 ", and so by proposition 15.2 there exists a ",
 Cell[BoxData[
  FormBox["\[Phi]", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "E"], "K"}], TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Phi]", "(", "u", ")"}], " ", "=", " ", 
    RowBox[{"v", "."}]}], TraditionalForm]]],
 " Thus, ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 " is not in the fixed field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "E"], "K"}], TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " is obviously contained in the fixed field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "E"], "K"}], TraditionalForm]]],
 ", we find that the fixed field is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", ","}], TraditionalForm]]],
 " so ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a Galois extension of ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438687054109375*^9, 3.43868705975*^9}, {
  3.4386951854375*^9, 3.438695218078125*^9}, {3.4420626869014997`*^9, 
  3.4420626873546247`*^9}}]
}, Open  ]],

Cell["\<\
The next step is to give a clear definition of what it means for a polynomial \
to be solvable by radicals.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "\nDEFINITION 15.6:\nA field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is called a ",
 StyleBox["radical extension",
  FontSlant->"Italic"],
 " of ",
 Cell[BoxData[
  FormBox["F", TraditionalForm]]],
 " if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{"F", "(", 
     RowBox[{
      SubscriptBox["u", "1"], ",", " ", 
      SubscriptBox["u", "2"], ",", " ", 
      SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
      SubscriptBox["u", "n"]}], ")"}]}], TraditionalForm]]],
 ", where a power of each ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["u", "i"], TraditionalForm]]],
 " is contained in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"F", "(", 
     RowBox[{
      SubscriptBox["u", "1"], ",", " ", 
      SubscriptBox["u", "2"], ",", " ", "\[Ellipsis]", ",", " ", 
      SubscriptBox["u", 
       RowBox[{"i", "-", "1"}]]}], ")"}], "."}], TraditionalForm]]],
 "\n\nHere is an example of a radical extension. Suppose we considered the \
splitting field of the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "-", " ", 
    RowBox[{"8", " ", 
     SuperscriptBox["x", "2"]}], " ", "-", " ", 
    RowBox[{"8", " ", "x"}], " ", "-", " ", "2"}], TraditionalForm]]],
 ". We can have ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " solve for the roots explicity."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438687066109375*^9, 3.438687066875*^9}, {
  3.438695243125*^9, 3.43869524540625*^9}}],

Cell[CellGroupData[{

Cell["Simplify[Solve[x^4 - 8 x^2 - 8 x - 2 == 0]]  ", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.43868706740625*^9, 3.438687068125*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["2"]}], "-", 
      SqrtBox[
       RowBox[{"2", "-", 
        SqrtBox["2"]}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", 
       SqrtBox["2"]}], "+", 
      SqrtBox[
       RowBox[{"2", "-", 
        SqrtBox["2"]}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      SqrtBox["2"], "-", 
      SqrtBox[
       RowBox[{"2", "+", 
        SqrtBox["2"]}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      SqrtBox["2"], "+", 
      SqrtBox[
       RowBox[{"2", "+", 
        SqrtBox["2"]}]]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.438695270265625*^9, 3.44276039707075*^9}]
}, Open  ]],

Cell[TextData[{
 "How would we express the splitting field as a radical extension? It is \
apparent that we first must include ",
 Cell[BoxData[
  FormBox[
   RadicalBox["2", " "], TraditionalForm]]],
 " in this field. But then it seems we need to include ",
 Cell[BoxData[
  FormBox[
   RadicalBox[
    RowBox[{"2", "+", 
     RadicalBox["2", " "]}], " "], TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RadicalBox[
    RowBox[{"2", "-", 
     RadicalBox["2", " "]}], " "], TraditionalForm]]],
 " in our field. Note, however, that the product of these two numbers is ",
 Cell[BoxData[
  FormBox[
   RadicalBox["2", " "], TraditionalForm]]],
 ". Thus, all four roots are in the field ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    FormBox[
     RowBox[{
      RadicalBox["2", " "], ",", 
      RadicalBox[
       RowBox[{"2", "+", 
        RadicalBox["2", " "]}], " "]}],
     TraditionalForm], ")"}], TraditionalForm]]],
 ". This is a radical extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 " of dimension 4, and the splitting field of  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "-", " ", 
    RowBox[{"8", " ", "x\.b2"}], " ", "-", " ", 
    RowBox[{"8", " ", "x"}], " ", "-", " ", "2"}], TraditionalForm]]],
 " must be at least 4.  Hence, we have found that the splitting field is a \
radical extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ".\n\nDEFINITION 15.7:\nThe polynomial equation ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", "0"}], TraditionalForm]]],
 " is said to be ",
 StyleBox["solvable by radicals",
  FontSlant->"Italic"],
 " if there is a radical extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 " that contains the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868708225*^9, 3.438687084203125*^9}, {
  3.43869529584375*^9, 3.438695298453125*^9}}],

Cell[TextData[{
 "This definition agrees with our intuitive understanding of what it means \
for a polynomial to be solved in terms of radicals. For example, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "'s solution to the equation"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[CellGroupData[{

Cell["Solve[x^3 - x + 2 == 0]", "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.438687084765625*^9, 3.438687085140625*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      FractionBox["1", 
       RowBox[{
        SuperscriptBox["3", 
         RowBox[{"1", "/", "3"}]], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "9"}], "+", 
           SqrtBox["78"]}], ")"}], 
         RowBox[{"1", "/", "3"}]]}]], "+", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "9"}], "+", 
          SqrtBox["78"]}], ")"}], 
        RowBox[{"1", "/", "3"}]], 
       SuperscriptBox["3", 
        RowBox[{"2", "/", "3"}]]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"1", "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          SqrtBox["3"]}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox["3", 
          RowBox[{"1", "/", "3"}]], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "9"}], "+", 
            SqrtBox["78"]}], ")"}], 
          RowBox[{"1", "/", "3"}]]}]]}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"\[ImaginaryI]", " ", 
           SqrtBox["3"]}]}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "9"}], "+", 
           SqrtBox["78"]}], ")"}], 
         RowBox[{"1", "/", "3"}]]}], 
       RowBox[{"2", " ", 
        SuperscriptBox["3", 
         RowBox[{"2", "/", "3"}]]}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"1", "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          SqrtBox["3"]}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox["3", 
          RowBox[{"1", "/", "3"}]], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "9"}], "+", 
            SqrtBox["78"]}], ")"}], 
          RowBox[{"1", "/", "3"}]]}]]}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"\[ImaginaryI]", " ", 
           SqrtBox["3"]}]}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "9"}], "+", 
           SqrtBox["78"]}], ")"}], 
         RowBox[{"1", "/", "3"}]]}], 
       RowBox[{"2", " ", 
        SuperscriptBox["3", 
         RowBox[{"2", "/", "3"}]]}]]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.43869535784375*^9, 3.442760400305125*^9}]
}, Open  ]],

Cell[TextData[{
 "reveals that the splitting field is contained in the following radical \
extension:\n\n               ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{
      SqrtBox["78"], ",", 
      RadicalBox[
       RowBox[{"9", "-", 
        SqrtBox["78"]}], "3"], ",", 
      RadicalBox["3", "3"], ",", " ", 
      SqrtBox[
       RowBox[{"-", "3"}]]}], ")"}], "."}], TraditionalForm]]],
 "\n\nThis in fact overkill, since the splitting field is at most a 6 \
dimensional extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", while the above radical extension may be up to a 36 dimensional extension \
of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ". Yet the point is that there is ",
 StyleBox["some",
  FontSlant->"Italic"],
 " radical extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 " which contains the roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "3"], " ", "-", " ", "x", " ", "+", " ", "2"}], 
   TraditionalForm]]],
 ", because the roots can be solved in terms of square roots and cube roots.\n\
\nNot all radical extensions of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 " are Galois extensions. For example, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[DoubleStruckCapitalQ]", "(", 
    RadicalBox["2", "3"], ")"}], TraditionalForm]]],
 " is not a Galois extension, since this extension is not the splitting field \
of a polynomial. In order to utilize Galois theory, we need to show that a \
radical extension is contained in some extension which both a radical \
extension and is a Galois extension.\n "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868709125*^9, 3.438687091609375*^9}, {
  3.43869533184375*^9, 3.43869535346875*^9}, {3.438695563921875*^9, 
  3.43869557365625*^9}}],

Cell[TextData[{
 "LEMMA 15.8\nLet ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " be a radical extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ". Then ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " is contained in a radical extension ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is also a Galois extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43869561565625*^9, 3.43869561665625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", " ", "=", " ", 
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{
      SubscriptBox["u", "1"], ",", " ", 
      SubscriptBox["u", "2"], ",", " ", 
      SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", "  ", 
      SubscriptBox["u", "n"]}], ")"}]}], TraditionalForm]]],
 " be a radical extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ". Then for every",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{"i", " ", "=", " ", "1"}], ",", " ", "2", ",", " ", "3", ",", 
     " ", 
     RowBox[{"\[Ellipsis]", " ", "n"}]}]}], TraditionalForm]]],
 ", there is a ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["k", "i"], TraditionalForm]]],
 " for which\n\n           ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       SubscriptBox["u", "i"], ")"}], 
      SubscriptBox["k", "i"]], "  ", "=", " ", "v", " "}]}], 
   TraditionalForm]]],
 ", for which ",
 Cell[BoxData[
  FormBox[
   RowBox[{"v", "  ", "\[Epsilon]", " ", 
    RowBox[{
     RowBox[{"\[DoubleStruckCapitalQ]", "(", 
      RowBox[{
       SubscriptBox["u", "1"], ",", " ", 
       SubscriptBox["u", "2"], ",", " ", "\[Ellipsis]", ",", " ", 
       SubscriptBox["u", 
        RowBox[{"i", "-", "1"}]]}], ")"}], "."}]}], TraditionalForm]]],
 "\n           \nNote that if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", " ", "=", " ", "0"}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", " ", "=", " ", "\[DoubleStruckCapitalQ]"}], 
   TraditionalForm]]],
 ", and the lemma is obviously true. We will prove this by induction on ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 ". That is, we will assume that the lemma is true for the field\n\n          \
         ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{
      SubscriptBox["u", "1"], ",", " ", 
      SubscriptBox["u", "2"], ",", " ", 
      SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", "  ", 
      SubscriptBox["u", 
       RowBox[{"n", "-", "1"}]]}], ")"}], "."}], TraditionalForm]]],
 "\n\nThat is, this field is contained in a radical extension ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 " that is also a Galois extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ". \n\nBy corollary 15.2, there exist an element ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " of ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 " such that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"L", " ", "=", " ", 
    RowBox[{
     RowBox[{"\[DoubleStruckCapitalQ]", "(", "w", ")"}], "."}]}], 
   TraditionalForm]]],
 "\n\nLet ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "\[DoubleStruckCapitalQ]"], "(", 
     RowBox[{"w", ",", " ", "x"}], ")"}]}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"p", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["Irr", "\[DoubleStruckCapitalQ]"], "(", 
      RowBox[{
       SubscriptBox["u", "n"], ",", "x"}], ")"}], "."}]}], 
   TraditionalForm]]],
 " Let ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"g", "(", "x", ")"}], "\[CenterDot]", 
    RowBox[{"p", "(", "x", ")"}]}], TraditionalForm]]],
 " over ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ". By proposition 15.9 ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a Galois extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 " is a subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". The only thing left to show is that ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a radical extension of ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ".\n\nLet ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SubscriptBox["v", "1"], ",", " ", 
     SubscriptBox["v", "2"], ",", " ", 
     SubscriptBox["v", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
     SubscriptBox["v", "m"]}]}], TraditionalForm]]],
 "  be all of the roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{"p", "(", "x", ")"}], TraditionalForm]]],
 " is irreducible, by proposition 15.2 there is a ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphism ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Phi]", "i"], TraditionalForm]]],
 " which sends ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["v", "i"], TraditionalForm]]],
 "  to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["u", "n"], TraditionalForm]]],
 ". Since ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SuperscriptBox[
      RowBox[{
       FormBox[
        RowBox[{"(", 
         SubscriptBox["u", "n"]}],
        TraditionalForm], ")"}], "k"],
     TraditionalForm], " ", "=", " ", "b"}], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ", we have \n\n                ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       SubscriptBox["v", "i"], ")"}], "k"], "  ", "=", " ", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["\[Phi]", "i"], "(", 
         SubscriptBox["u", "n"], ")"}], ")"}], "k"], "  ", "=", " ", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Phi]", "i"], "(", 
        SubsuperscriptBox["u", "n", "k"], ")"}], " ", "=", " ", 
       RowBox[{
        RowBox[{
         SubscriptBox["\[Phi]", "i"], "(", "b", ")"}], "."}]}]}]}]}], 
   TraditionalForm]]],
 "\n\nNow, ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 " is a Galois extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", so by the fundamental theorem of Galois theory (15.1), ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "L"], "K"}], TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "\[DoubleStruckCapitalQ]"], 
    RowBox[{"K", "."}]}], TraditionalForm]]],
 " So by lemma 15.6 ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 "-automorphisms of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " map elements of ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 " to elements of ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ". Thus, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[Phi]", "i"], "(", "b", ")"}], TraditionalForm]]],
 " is in ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 ", and so ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{"L", "(", 
     RowBox[{
      SubscriptBox["v", "1"], ",", " ", 
      SubscriptBox["v", "2"], ",", " ", 
      SubscriptBox["v", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
      SubscriptBox["v", "m"]}], ")"}]}], TraditionalForm]]],
 " is a radical extension of ",
 Cell[BoxData[
  FormBox["L", TraditionalForm]]],
 "."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438687097921875*^9, 3.438687101203125*^9}, {
  3.438695665890625*^9, 3.438695735265625*^9}}]
}, Open  ]],

Cell[TextData[{
 "Lemma 15.8, when combined with the definition of a polynomial solvable by \
radicals, tells us that if a polynomial is solvable by radicals, then the \
splitting field of the polynomial is contained in a field extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 " is both a radical extension and a Galois extension.\n\nWhat can we say \
about such an extension? The answer is rather startling, since we begin to \
see a connection with the Jordan-H\[ODoubleDot]lder theorem (8.2)."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438695749578125*^9, 3.438695775515625*^9}}],

Cell[TextData[{
 "LEMMA 15.9\nLet ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " be a Galois extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 " which is a radical extension, and let ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " be a subfield of ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " is a Galois extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "\[DoubleStruckCapitalQ]"], "E"}], 
   TraditionalForm]]],
 " is a solvable group."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438695785203125*^9, 3.438695785890625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Since ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " is a radical extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", we can write\n\n        ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{
      SubscriptBox["u", "1"], ",", " ", 
      SubscriptBox["u", "2"], ",", " ", 
      SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", " ", 
      SubscriptBox["u", "n"]}], ")"}]}], TraditionalForm]]],
 "\n\nwhere some power of each ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["u", "i"], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    RowBox[{"(", 
     SubscriptBox["u", "i"], ")"}], 
    SubscriptBox["k", "i"]], TraditionalForm]]],
 ", is in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[DoubleStruckCapitalQ]", "(", 
     RowBox[{
      SubscriptBox["u", "1"], ",", " ", 
      SubscriptBox["u", "2"], ",", " ", 
      SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", "  ", 
      SubscriptBox["u", 
       RowBox[{"i", "-", "1"}]]}], ")"}], "."}], TraditionalForm]]],
 "\n\nLet ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 " be the least common multiple of all of the ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["k", "i"], TraditionalForm]]],
 ", and let ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["u", "0"], TraditionalForm]]],
 " be a primitive ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]]],
 "-th root of unity. We would like to add ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["u", "0"], TraditionalForm]]],
 " in the front of the sequence of ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]]],
 "'s to get a larger field\n\n      ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"M", " ", "=", " ", 
     RowBox[{
      RowBox[{"\[DoubleStruckCapitalQ]", "(", 
       RowBox[{
        SubscriptBox["u", "0"], ",", " ", 
        SubscriptBox["u", "1"], ",", " ", 
        SubscriptBox["u", "2"], ",", " ", 
        SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", ",", "  ", 
        SubscriptBox["u", "n"]}], ")"}], "."}]}]}], TraditionalForm]]],
 "\n\nSince ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SuperscriptBox[
      RowBox[{
       FormBox[
        RowBox[{"(", 
         SubscriptBox["u", "0"]}],
        TraditionalForm], ")"}], "m"],
     TraditionalForm], "  ", "=", " ", "1"}], TraditionalForm]]],
 ", we see that ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 " is still a radical extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ". To show that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"M", " ", "=", " ", 
     FormBox[
      RowBox[{"K", "(", 
       SubscriptBox["u", "0"]}],
      TraditionalForm]}], ")"}], TraditionalForm]]],
 " is a Galois extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", note that by corollary 15.2, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"K", " ", "=", " ", 
    RowBox[{"\[DoubleStruckCapitalQ]", "(", "w", ")"}]}], TraditionalForm]]],
 " for some element ",
 Cell[BoxData[
  FormBox["w", TraditionalForm]]],
 " in ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 ". If ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", 
    RowBox[{
     SubscriptBox["Irr", "\[DoubleStruckCapitalQ]"], "(", 
     RowBox[{"w", ",", "x"}], ")"}]}], TraditionalForm]]],
 ", then ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 " is the splitting field of the polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], "\[CenterDot]", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["x", "m"], "-", " ", "1"}], ")"}]}], TraditionalForm]]],
 ". Thus, by proposition 15.9, ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]]],
 " is a Galois extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ".\n\nConsider the sequence of subfields\n\n                    ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     FormBox[
      RowBox[{"    ", 
       RowBox[{
        RowBox[{
         SubscriptBox["E", "0"], " ", "=", " ", 
         RowBox[{"\[DoubleStruckCapitalQ]", "(", 
          SubscriptBox["u", "0"], ")"}]}], ","}]}],
      TraditionalForm], " ", 
     FormBox[
      RowBox[{"\n", 
       RowBox[{
        SubscriptBox["E", "1"], " ", "=", " ", 
        RowBox[{"\[DoubleStruckCapitalQ]", "(", 
         RowBox[{
          SubscriptBox["u", "0"], ",", " ", 
          SubscriptBox["u", "1"]}], ")"}]}]}],
      TraditionalForm]}], ",", " ", "\n", "            ", 
    FormBox[
     RowBox[{
      SubscriptBox["E", "2"], " ", "=", " ", 
      RowBox[{"\[DoubleStruckCapitalQ]", "(", 
       RowBox[{
        SubscriptBox["u", "0"], ",", " ", 
        SubscriptBox["u", "1"], ",", " ", 
        SubscriptBox["u", "2"]}], ")"}]}],
     TraditionalForm], ",", " ", 
    FormBox[
     RowBox[{"     ", "\n", "            ", 
      RowBox[{
       SubscriptBox["E", "3"], " ", "=", " ", 
       RowBox[{"\[DoubleStruckCapitalQ]", "(", 
        RowBox[{
         SubscriptBox["u", "0"], ",", " ", 
         SubscriptBox["u", "1"], ",", " ", 
         SubscriptBox["u", "2"], ",", " ", 
         SubscriptBox["u", "3"]}], ")"}]}]}],
     TraditionalForm], ",", "    ", "\n", "                  ", 
    RowBox[{
    "\[Ellipsis]\[Ellipsis]\[Ellipsis]\[Ellipsis]\[Ellipsis]\[Ellipsis]\
\[Ellipsis]\[Ellipsis]\[Ellipsis]\[Ellipsis]", " ", 
     FormBox[
      RowBox[{"    ", "\n", "        \t", 
       RowBox[{
        SubscriptBox["E", "n"], " ", "=", " ", 
        RowBox[{
         RowBox[{"\[DoubleStruckCapitalQ]", "(", 
          RowBox[{
           SubscriptBox["u", "0"], ",", " ", 
           SubscriptBox["u", "1"], ",", " ", 
           SubscriptBox["u", "2"], ",", " ", 
           SubscriptBox["u", "3"], ",", " ", "\[Ellipsis]", " ", ",", " ", 
           SubscriptBox["u", "n"]}], ")"}], " ", "=", " ", 
         RowBox[{"M", "."}]}]}]}],
      TraditionalForm]}]}], TraditionalForm]]],
 "\n\nBy proposition 15.7, each of these fields is a Galois extension of the \
previous field, since the ",
 Cell[BoxData[
  FormBox[
   RowBox[{"m", "-", "th"}], TraditionalForm]]],
 " roots of unity were designed to be in all of these fields. Also, by \
proposition 15.6, ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["E", "0"], TraditionalForm]]],
 " is a Galois extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ".\n\nWe can now apply the fundamental theorem of Galois theory (15.1). We \
find\nthat ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", 
     SubscriptBox["E", "i"]], "M"}], TraditionalForm]]],
 "  is a normal subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", 
     SubscriptBox["E", 
      RowBox[{"i", "-", "1"}]]], "M"}], TraditionalForm]]],
 ", and the quotient group  \n\n                  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", 
     SubscriptBox["E", 
      RowBox[{"i", "-", "1"}]]], 
    RowBox[{"M", " ", "/", " ", 
     SubscriptBox["Gal", 
      SubscriptBox["E", "i"]]}], "M"}], TraditionalForm]]],
 "\n                  \nis isomorphic to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", 
     SubscriptBox["E", 
      RowBox[{"i", "-", "1"}]]], 
    SubscriptBox["E", "i"]}], TraditionalForm]]],
 ".\n\nBy proposition 15.7, each of these quotient groups are abelian. Also, \
by proposition 15.6, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     SubscriptBox["Gal", "\[DoubleStruckCapitalQ]"],
     TraditionalForm], 
    SubscriptBox["E", "0"]}], TraditionalForm]]],
 "  is isomorphic to a subgroup of ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["Z", "n", "*"], TraditionalForm]]],
 ", which is abelian. Thus, the sequence of subgroups\n\n  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["Gal", "\[DoubleStruckCapitalQ]"], "M"}], "\[SubsetEqual]",
      
     RowBox[{
      SubscriptBox["Gal", 
       SubscriptBox["E", "o"]], "M"}], " ", "\[SubsetEqual]", 
     RowBox[{
      SubscriptBox["Gal", 
       SubscriptBox["E", "1"]], "M"}], " ", "\[SubsetEqual]", 
     RowBox[{
      SubscriptBox["Gal", 
       SubscriptBox["E", "2"]], "M"}], " ", "\[SubsetEqual]", 
     RowBox[{
      SubscriptBox["Gal", 
       SubscriptBox["E", "3"]], "M"}], " ", "\[SubsetEqual]", "\[Ellipsis]", 
     " ", "\[SubsetEqual]", 
     RowBox[{
      SubscriptBox["Gal", 
       SubscriptBox["E", "n"]], "M"}]}], " ", "=", " ", 
    RowBox[{
     RowBox[{"{", "e", "}"}], "."}]}], TraditionalForm]]],
 "\n\nis a subnormal series for which all of the quotient groups are abelian. \
Therefore, the composition series of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "\[DoubleStruckCapitalQ]"], "M"}], 
   TraditionalForm]]],
 " will consists of only prime, cyclic factors. By the solvability theorem \
(8.3), ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "\[DoubleStruckCapitalQ]"], "M"}], 
   TraditionalForm]]],
 " is a solvable group.\n\nTo finish the theorem, we note that ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " is a Galois field of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", so by the fundamental theorem of Galois theory (15.1), ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "E"], "M"}], TraditionalForm]]],
 " is a normal subgroup of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "\[DoubleStruckCapitalQ]"], "M"}], 
   TraditionalForm]]],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "\[DoubleStruckCapitalQ]"], "E"}], 
   TraditionalForm]]],
 " is isomorphic to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "\[DoubleStruckCapitalQ]"], 
    RowBox[{"M", " ", "/", " ", 
     SubscriptBox["Gal", "E"]}], 
    RowBox[{"M", "."}]}], TraditionalForm]]],
 " Using proposition 8.3 we see that ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Gal", "\[DoubleStruckCapitalQ]"], "E"}], 
   TraditionalForm]]],
 " is solvable."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438687101671875*^9, 3.438687103640625*^9}, {
  3.43869582675*^9, 3.438695951390625*^9}, {3.4420684058858747`*^9, 
  3.4420684164639997`*^9}}]
}, Open  ]],

Cell["\<\
The light is beginning to appear at the end of the tunnel. We know that any \
subgroup of a solvable group must be solvable. Thus, we can immediately tell \
whether a polynomial is solvable by radicals from its Galois group.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "THEOREM 15.2:  GALOIS' CRITERION THEOREM\nLet ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " be a polynomial with rational coefficients. Then the equation ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "=", " ", "0"}], TraditionalForm]]],
 " is solvable by radicals only if the Galois group of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " is a solvable group.  "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438687104390625*^9, 3.438687106859375*^9}, {
  3.438695963359375*^9, 3.4386959640625*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "Suppose that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "(", "x", ")"}], TraditionalForm]]],
 " is a polynomial which is solvable by radicals. Let ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " be the splitting field of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], "."}], TraditionalForm]]],
 " By lemma 15.8, there field ",
 Cell[BoxData[
  FormBox["K", TraditionalForm]]],
 " containing ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " which is a Galois extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ", and also is a radical extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ". By proposition 15.9, ",
 Cell[BoxData[
  FormBox["E", TraditionalForm]]],
 " is a Galois extension of ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalQ]", TraditionalForm]]],
 ". Thus, we can use lemma 15.9 to show that the Galois group of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", ",", " ", 
    RowBox[{
     SubscriptBox["Gal", "\[DoubleStruckCapitalQ]"], "E"}]}], 
   TraditionalForm]]],
 " is a solvable group."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438687107421875*^9, 3.438687108453125*^9}, {
  3.43869598328125*^9, 3.438696000734375*^9}}]
}, Open  ]],

Cell[TextData[{
 "Galois' criterion theorem is able to show us that there are some \
polynomials whose roots cannot be expressed in terms of square roots, cube \
roots, and other roots. In fact we can find one of them, namely ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "-", " ", "x", " ", "+", " ", "1"}], 
   TraditionalForm]]],
 "."
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868711325*^9, 3.438687113625*^9}, {
  3.438696056078125*^9, 3.438696065390625*^9}}],

Cell[BoxData[
 RowBox[{"InitDomain", "[", "0", "]"}]], "Input",
 CellChangeTimes->{{3.438696105984375*^9, 3.438696110140625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Factor", "[", 
  RowBox[{
   RowBox[{"x", "^", "5"}], "-", "x", "+", "1"}], "]"}]], "Input",
 CellChangeTimes->{{3.438696111828125*^9, 3.438696120140625*^9}}],

Cell[BoxData[
 RowBox[{"1", "-", "x", "+", 
  SuperscriptBox["x", "5"]}]], "Output",
 CellChangeTimes->{3.438696120640625*^9, 3.442760413336375*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"a", "^", "5"}], ",", " ", 
   RowBox[{"a", "-", "1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.43869612265625*^9, 3.438696133390625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Factor", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"x", "^", "5"}], "-", "x", "+", "1"}], ",", "a"}], "]"}]], "Input",\

 CellChangeTimes->{{3.438696136515625*^9, 3.4386961455625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    SuperscriptBox["a", "4"], "+", 
    RowBox[{
     SuperscriptBox["a", "3"], " ", "x"}], "+", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["x", "2"]}], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["x", "3"]}], "+", 
    SuperscriptBox["x", "4"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.438696146359375*^9, 3.44276041600825*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"b", "^", "4"}], ",", 
   RowBox[{"1", "-", 
    RowBox[{"a", "^", "4"}], "-", 
    RowBox[{
     RowBox[{"a", "^", "3"}], "b"}], "-", 
    RowBox[{
     RowBox[{"a", "^", "2"}], 
     RowBox[{"b", "^", "2"}]}], "-", 
    RowBox[{"a", " ", 
     RowBox[{"b", "^", "3"}]}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.438696149328125*^9, 3.438696193203125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Factor", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"x", "^", "5"}], "-", "x", "+", "1"}], ",", "a", ",", "b"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.438696195171875*^9, 3.43869620859375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "b"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox["a", "3"], "+", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", "b"}], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"]}], "+", 
    SuperscriptBox["b", "3"], "+", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", "x"}], "+", 
    RowBox[{"a", " ", "b", " ", "x"}], "+", 
    RowBox[{
     SuperscriptBox["b", "2"], " ", "x"}], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["x", "2"]}], "+", 
    RowBox[{"b", " ", 
     SuperscriptBox["x", "2"]}], "+", 
    SuperscriptBox["x", "3"]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.438696201359375*^9, 3.438696210515625*^9}, 
   3.442760418648875*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"c", "=."}], "\[IndentingNewLine]", 
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"c", "^", "3"}], ",", 
   RowBox[{
    RowBox[{"-", 
     RowBox[{"a", "^", "3"}]}], "-", 
    RowBox[{
     RowBox[{"a", "^", "2"}], "b"}], "-", 
    RowBox[{"a", " ", 
     RowBox[{"b", "^", "2"}]}], "-", 
    RowBox[{"b", "^", "3"}], "-", 
    RowBox[{
     RowBox[{"a", "^", "2"}], "c"}], "-", 
    RowBox[{"a", " ", "b", " ", "c"}], "-", 
    RowBox[{
     RowBox[{"b", "^", "2"}], " ", "c"}], "-", 
    RowBox[{"a", " ", 
     RowBox[{"c", "^", "2"}]}], "-", 
    RowBox[{"b", " ", 
     RowBox[{"c", "^", "2"}]}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.43869621334375*^9, 3.438696266234375*^9}, {
  3.442760442617625*^9, 3.442760444617625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Factor", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"x", "^", "5"}], "-", "x", "+", "1"}], ",", "a", ",", "b", ",", 
   "c"}], "]"}]], "Input",
 CellChangeTimes->{{3.438696268546875*^9, 3.438696281125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "b"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "c"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox["a", "2"], "+", 
    RowBox[{"a", " ", "b"}], "+", 
    SuperscriptBox["b", "2"], "+", 
    RowBox[{"a", " ", "c"}], "+", 
    RowBox[{"b", " ", "c"}], "+", 
    SuperscriptBox["c", "2"], "+", 
    RowBox[{"a", " ", "x"}], "+", 
    RowBox[{"b", " ", "x"}], "+", 
    RowBox[{"c", " ", "x"}], "+", 
    SuperscriptBox["x", "2"]}], ")"}]}]], "Output",
 CellChangeTimes->{
  3.438696281859375*^9, {3.4427604217895*^9, 3.442760450336375*^9}}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"d", "=."}], "\[IndentingNewLine]", 
 RowBox[{"Define", "[", 
  RowBox[{
   RowBox[{"d", "^", "2"}], ",", 
   RowBox[{
    RowBox[{"-", 
     RowBox[{"a", "^", "2"}]}], "-", 
    RowBox[{"a", " ", "b"}], "-", 
    RowBox[{"b", "^", "2"}], "-", 
    RowBox[{"a", " ", "c"}], "-", 
    RowBox[{"b", " ", "c"}], "-", 
    RowBox[{"c", "^", "2"}], "-", 
    RowBox[{"a", " ", "d"}], "-", 
    RowBox[{"b", " ", "d"}], "-", 
    RowBox[{"c", " ", "d"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.43869628525*^9, 3.43869631828125*^9}, {
  3.44276045632075*^9, 3.442760457898875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Factor", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"x", "^", "5"}], "-", "x", "+", "1"}], ",", "a", ",", "b", ",", 
   "c", ",", "d"}], "]"}]], "Input",
 CellChangeTimes->{{3.438696327078125*^9, 3.4386963274375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "a"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "b"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "c"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "d"}], "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"a", "+", "b", "+", "c", "+", "d", "+", "x"}], ")"}]}]], "Output",
 CellChangeTimes->{3.43869632878125*^9, 3.442760465477*^9}]
}, Open  ]],

Cell[TextData[{
 "Since it took a second degree extension of a third degree extension of a \
fourth degree extension of a fifth degree extension to form the splitting \
field, the splitting field has dimension 120, and hence the Galois group is \
",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["S", "5"], "."}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438696027375*^9, 3.43869602834375*^9}, {
  3.43869633825*^9, 3.43869643240625*^9}}],

Cell["\<\
COROLLARY 15.3
There is no formula, using only the field operations and extraction of roots, \
for the solutions of all fifth-degree polynomial equations.\
\>", "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438696027375*^9, 3.43869602834375*^9}, {
  3.43869633825*^9, 3.438696434125*^9}}],

Cell[CellGroupData[{

Cell["Proof:", "Subsubsection",
 Evaluatable->False,
 CellHorizontalScrolling->False],

Cell[TextData[{
 "We have already shown that the Galois group of  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], " ", "-", " ", "x", " ", "+", " ", "1"}], 
   TraditionalForm]]],
 " is isomorphic to ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "5"], TraditionalForm]]],
 ". But ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "5"], TraditionalForm]]],
 " is not solvable, since it contains the non-cyclic simple subgroup ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["A", "5"], TraditionalForm]]],
 ". Thus, by Galois' criterion theorem (15.2) this particular equation cannot \
be solved with a formula involving only field operations and extraction of \
roots, so certainly there can be no general formula."
}], "SmallText",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438687114453125*^9, 3.43868711478125*^9}, {
  3.438696453078125*^9, 3.43869645396875*^9}}]
}, Open  ]],

Cell[TextData[{
 "Galois' criterion theorem ended the long search for a formula which finds \
the roots of a fifth degree polynomial. In fact, Galois' criterion theorem \
works the other direction as well--if the Galois group is solvable, then the \
polynomial ",
 StyleBox["is",
  FontSlant->"Italic"],
 " solvable by radicals. Since a forth degree equation is a subgroup of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 ", which is solvable, there must be a formula for the roots of a forth \
degree polynomial. The change of the structure between ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "4"], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "5"], TraditionalForm]]],
 " is what changes the behavior of fifth degree polynomials from forth degree \
polynomials.\n\nThere are many other applications of Galois theory. For \
example, one can use the fundemental theorem of Galois theory to prove that \
any polynomial in the complex numbers has a root in the complex numbers. This \
is known as the ",
 StyleBox["fundemental theorem of algebra",
  FontSlant->"Italic"],
 ".\n\nThis courseware is in fact only the beginning. It is a springboard to \
many other mathematics courses, such as linear algebra and abstract algebra. \
Hopefully, the examples provided through ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " throughout this book has stimulated an interest in mathematics that will \
continue for life.\n"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Problems"
}], "Section",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438696479953125*^9, 3.43869648253125*^9}}],

Cell["", "Input",
 PageWidth->Infinity,
 FontFamily->"System",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[1, 0, 0],
 Background->GrayLevel[1]],

Cell[TextData[{
 "For problems 15.1 through 15.6:  Use ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to find the Galois group of the polynomial.  Determine the number of \
elements in the Galois group, and display a multiplication table of the \
subgroup of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["S", "n"], TraditionalForm]]],
 " isomorphic to the Galois group.\n\n15.1 )  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "-", " ", "2"}], TraditionalForm]]],
 " "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868711584375*^9, 3.438687117234375*^9}, {
   3.438696487484375*^9, 3.438696566046875*^9}, 3.43869662878125*^9, {
   3.438696696140625*^9, 3.438696696546875*^9}}],

Cell["    ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "15.2 )  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "-", " ", "2"}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868711771875*^9, 3.43868711771875*^9}, 
   3.438696572015625*^9, {3.43869663459375*^9, 3.438696637625*^9}}],

Cell["          ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "15.3 ) ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], " ", "+", " ", 
    RowBox[{"15", " ", "x"}], " ", "+", " ", "12"}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868711815625*^9, 3.43868711815625*^9}, {
  3.438696653375*^9, 3.438696690890625*^9}}],

Cell["        ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "15.4 ) ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "+", " ", 
    SuperscriptBox["x", "4"], " ", "-", " ", 
    RowBox[{"4", " ", 
     SuperscriptBox["x", "3"]}], " ", "-", " ", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "2"]}], " ", "+", " ", 
    RowBox[{"3", " ", "x"}], " ", "+", " ", "1"}], TraditionalForm]]]
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868711859375*^9, 3.438687119*^9}, {
  3.43869661740625*^9, 3.438696619078125*^9}, {3.43869668434375*^9, 
  3.438696687125*^9}}],

Cell["       ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "15.5 ) ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "4"], "-", " ", 
    RowBox[{"10", " ", "x"}], " ", "+", " ", "1."}], TraditionalForm]]],
 " "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.4386871194375*^9, 3.438687119828125*^9}, {
  3.438696710890625*^9, 3.438696721796875*^9}}],

Cell["        ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "15.6 )  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "8"], "-", " ", 
    RowBox[{"108", " ", 
     SuperscriptBox["x", "6"]}], "+", " ", 
    RowBox[{"1548", " ", 
     SuperscriptBox["x", "4"]}], "-", " ", 
    RowBox[{"3888", " ", 
     SuperscriptBox["x", "2"]}], " ", "+", " ", "1296."}], 
   TraditionalForm]]],
 " "
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.438687120296875*^9, 3.438687121359375*^9}, {
  3.438696729828125*^9, 3.438696746546875*^9}}],

Cell["         ", "Input",
 PageWidth->Infinity],

Cell[TextData[{
 "15.7 ) Use ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " to find the Galois group of \n     ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["x", "5"], "+", " ", 
    RowBox[{"20", " ", "x"}], " ", "+", " ", "16."}], TraditionalForm]]],
 " How many elements are in the \n     Galois group? \n     (This may take \
longer than the above problems.)"
}], "Text",
 Evaluatable->False,
 CellHorizontalScrolling->False,
 CellChangeTimes->{{3.43868712190625*^9, 3.43868712221875*^9}, {
  3.438696767078125*^9, 3.438696777390625*^9}}],

Cell["        ", "Input",
 PageWidth->Infinity]
}, Open  ]]
},
AutoGeneratedPackage->None,
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{518, 683},
WindowMargins->{{177, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowSelection->True,
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
Magnification->1.5,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 321, 9, 285, "Special2",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[914, 34, 286, 8, 29, "Name",
 Evaluatable->False],
Cell[1203, 44, 709, 16, 70, "Name",
 Evaluatable->False]
}, Closed]],
Cell[1927, 63, 256, 12, 146, "Title",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[2208, 79, 104, 3, 32, "Special2",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[2337, 86, 220, 5, 43, "Input",
 InitializationCell->True],
Cell[2560, 93, 116, 1, 32, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2725, 100, 111, 2, 143, "Section",
 Evaluatable->False],
Cell[2839, 104, 2051, 62, 580, "Text",
 Evaluatable->False],
Cell[4893, 168, 555, 18, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[5473, 190, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[5561, 194, 3095, 118, 284, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[8671, 315, 1722, 55, 458, "Text",
 Evaluatable->False],
Cell[10396, 372, 1139, 45, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[11560, 421, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[11648, 425, 4747, 154, 453, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[16410, 582, 755, 25, 119, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[17190, 611, 163, 7, 111, "Input"],
Cell[17356, 620, 293, 10, 42, "Output"]
}, Open  ]],
Cell[17664, 633, 1825, 74, 166, "Text",
 Evaluatable->False],
Cell[19492, 709, 156, 7, 111, "Input"],
Cell[19651, 718, 123, 2, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[19799, 724, 57, 1, 43, "Input"],
Cell[19859, 727, 73, 1, 42, "Output"]
}, Open  ]],
Cell[19947, 731, 1084, 33, 286, "Text",
 Evaluatable->False],
Cell[21034, 766, 42, 1, 43, "Input"],
Cell[21079, 769, 456, 13, 90, "Text",
 Evaluatable->False],
Cell[21538, 784, 62, 4, 66, "Input"],
Cell[21603, 790, 469, 19, 41, "Text",
 Evaluatable->False],
Cell[22075, 811, 62, 4, 66, "Input"],
Cell[22140, 817, 462, 19, 66, "Text",
 Evaluatable->False],
Cell[22605, 838, 62, 4, 66, "Input"],
Cell[22670, 844, 1881, 65, 335, "Text",
 Evaluatable->False],
Cell[24554, 911, 1254, 48, 164, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[25833, 963, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[25921, 967, 4451, 177, 312, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[30387, 1147, 966, 36, 237, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[31378, 1187, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[31466, 1191, 3369, 132, 337, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[34850, 1326, 384, 12, 90, "Text",
 Evaluatable->False],
Cell[35237, 1340, 2580, 91, 308, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[37842, 1435, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[37930, 1439, 2219, 81, 181, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[40164, 1523, 2437, 73, 392, "Text",
 Evaluatable->False],
Cell[42604, 1598, 795, 30, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[43424, 1632, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[43512, 1636, 3221, 120, 251, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[46748, 1759, 2473, 74, 589, "Text",
 Evaluatable->False],
Cell[49224, 1835, 1306, 49, 164, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[50555, 1888, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[50643, 1892, 3292, 126, 270, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[53950, 2021, 540, 14, 117, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[54515, 2039, 294, 7, 43, "Input"],
Cell[54812, 2048, 231, 6, 45, "Output"]
}, Open  ]],
Cell[55058, 2057, 407, 13, 90, "Text",
 Evaluatable->False],
Cell[55468, 2072, 307, 8, 71, "Input"],
Cell[CellGroupData[{
Cell[55800, 2084, 325, 9, 71, "Input"],
Cell[56128, 2095, 409, 13, 48, "Output"]
}, Open  ]],
Cell[56552, 2111, 436, 15, 115, "Text",
 Evaluatable->False],
Cell[56991, 2128, 190, 5, 43, "Input"],
Cell[57184, 2135, 114, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[57323, 2141, 331, 9, 71, "Input"],
Cell[57657, 2152, 399, 14, 68, "Output"]
}, Open  ]],
Cell[58071, 2169, 2338, 79, 409, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[60434, 2252, 447, 12, 125, "Input"],
Cell[60884, 2266, 94, 1, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[61015, 2272, 471, 13, 125, "Input"],
Cell[61489, 2287, 95, 1, 42, "Output"]
}, Open  ]],
Cell[61599, 2291, 268, 7, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[61892, 2302, 208, 6, 71, "Input"],
Cell[62103, 2310, 3653, 79, 355, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[65793, 2394, 208, 6, 71, "Input"],
Cell[66004, 2402, 2469, 60, 355, "Output"]
}, Open  ]],
Cell[68488, 2465, 785, 29, 262, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[69298, 2498, 240, 8, 43, "Input"],
Cell[69541, 2508, 378, 10, 68, "Output"]
}, Open  ]],
Cell[69934, 2521, 691, 18, 164, "Text",
 Evaluatable->False],
Cell[70628, 2541, 176, 4, 71, "Input"],
Cell[CellGroupData[{
Cell[70829, 2549, 77, 2, 43, "Input"],
Cell[70909, 2553, 111, 2, 42, "Output"]
}, Open  ]],
Cell[71035, 2558, 646, 29, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[71706, 2591, 248, 7, 71, "Input"],
Cell[71957, 2600, 91, 1, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[72085, 2606, 208, 6, 71, "Input"],
Cell[72296, 2614, 2354, 59, 355, "Output"]
}, Open  ]],
Cell[74665, 2676, 260, 9, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[74950, 2689, 368, 11, 98, "Input"],
Cell[75321, 2702, 715, 18, 118, "Output"]
}, Open  ]],
Cell[76051, 2723, 442, 11, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[76518, 2738, 62, 1, 43, "Input"],
Cell[76583, 2741, 6521, 122, 263, 2561, 56, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[83119, 2866, 535, 12, 213, "Text",
 Evaluatable->False],
Cell[83657, 2880, 444, 10, 139, "Text",
 Evaluatable->False],
Cell[84104, 2892, 1283, 44, 213, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[85412, 2940, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[85500, 2944, 1110, 44, 111, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[86625, 2991, 5221, 187, 878, "Text",
 Evaluatable->False],
Cell[91849, 3180, 141, 8, 156, "Input"],
Cell[91993, 3190, 811, 28, 121, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[92829, 3222, 43, 1, 43, "Input"],
Cell[92875, 3225, 70, 1, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[92982, 3231, 43, 1, 43, "Input"],
Cell[93028, 3234, 109, 3, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[93174, 3242, 45, 1, 43, "Input"],
Cell[93222, 3245, 158, 5, 45, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[93417, 3255, 45, 1, 43, "Input"],
Cell[93465, 3258, 93, 2, 45, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[93595, 3265, 47, 1, 43, "Input"],
Cell[93645, 3268, 115, 3, 45, "Output"]
}, Open  ]],
Cell[93775, 3274, 868, 29, 194, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[94668, 3307, 102, 2, 43, "Input"],
Cell[94773, 3311, 556, 16, 93, "Output"]
}, Open  ]],
Cell[95344, 3330, 574, 23, 68, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[95943, 3357, 137, 2, 43, "Input"],
Cell[96083, 3361, 179, 4, 42, "Output"]
}, Open  ]],
Cell[96277, 3368, 271, 8, 90, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[96573, 3380, 49, 1, 43, "Input"],
Cell[96625, 3383, 85, 1, 42, "Output"]
}, Open  ]],
Cell[96725, 3387, 3819, 126, 784, "Text",
 Evaluatable->False],
Cell[100547, 3515, 42, 1, 43, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[100626, 3521, 140, 4, 143, "Section",
 Evaluatable->False],
Cell[100769, 3527, 1530, 39, 484, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[102324, 3570, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[102412, 3574, 3504, 120, 450, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[105931, 3697, 2310, 67, 684, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[108266, 3768, 131, 2, 43, "Input"],
Cell[108400, 3772, 200, 6, 45, "Output"]
}, Open  ]],
Cell[108615, 3781, 280, 9, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[108920, 3794, 183, 6, 88, "Input"],
Cell[109106, 3802, 365, 12, 48, "Output"]
}, Open  ]],
Cell[109486, 3817, 1327, 37, 266, "Text",
 Evaluatable->False],
Cell[110816, 3856, 42, 1, 43, "Input"],
Cell[110861, 3859, 510, 13, 141, "Text",
 Evaluatable->False],
Cell[111374, 3874, 187, 6, 111, "Input"],
Cell[111564, 3882, 83, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[111672, 3888, 216, 5, 88, "Input"],
Cell[111891, 3895, 333, 11, 65, "Output"],
Cell[112227, 3908, 648, 23, 115, "Output"],
Cell[112878, 3933, 680, 24, 115, "Output"]
}, Open  ]],
Cell[113573, 3960, 93, 2, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[113691, 3966, 134, 2, 43, "Input"],
Cell[113828, 3970, 150, 4, 45, "Output"]
}, Open  ]],
Cell[113993, 3977, 1348, 50, 161, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[115366, 4031, 108, 6, 111, "Input"],
Cell[115477, 4039, 73, 1, 42, "Output"]
}, Open  ]],
Cell[115565, 4043, 303, 8, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[115893, 4055, 70, 1, 43, "Input"],
Cell[115966, 4058, 13371, 255, 394, 3974, 99, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[129352, 4316, 2112, 77, 498, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[131489, 4397, 108, 6, 111, "Input"],
Cell[131600, 4405, 71, 1, 42, "Output"]
}, Open  ]],
Cell[131686, 4409, 127, 2, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[131838, 4415, 187, 6, 43, "Input"],
Cell[132028, 4423, 14816, 276, 394, 3979, 96, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[146859, 4702, 558, 23, 61, "Text",
 Evaluatable->False],
Cell[147420, 4727, 1774, 51, 618, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[149219, 4782, 76, 1, 43, "Input"],
Cell[149298, 4785, 988, 23, 143, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[150323, 4813, 48, 1, 43, "Input"],
Cell[150374, 4816, 93, 1, 42, "Output"]
}, Open  ]],
Cell[150482, 4820, 654, 13, 237, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[151161, 4837, 51, 1, 43, "Input"],
Cell[151215, 4840, 9546, 173, 247, 3547, 73, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[160776, 5016, 809, 25, 239, "Text",
 Evaluatable->False],
Cell[161588, 5043, 42, 1, 43, "Input"],
Cell[161633, 5046, 737, 20, 190, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[162395, 5070, 153, 2, 43, "Input"],
Cell[162551, 5074, 297, 9, 45, "Output"]
}, Open  ]],
Cell[162863, 5086, 193, 7, 66, "Text",
 Evaluatable->False],
Cell[163059, 5095, 223, 9, 66, "Input"],
Cell[163285, 5106, 224, 8, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[163534, 5118, 272, 7, 43, "Input"],
Cell[163809, 5127, 1950, 68, 332, "Output"]
}, Open  ]],
Cell[165774, 5198, 146, 3, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[165945, 5205, 376, 12, 111, "Input"],
Cell[166324, 5219, 301, 10, 65, "Output"],
Cell[166628, 5231, 243, 8, 65, "Output"],
Cell[166874, 5241, 326, 11, 65, "Output"],
Cell[167203, 5254, 297, 9, 45, "Output"]
}, Open  ]],
Cell[167515, 5266, 621, 16, 213, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[168161, 5286, 148, 5, 88, "Input"],
Cell[168312, 5293, 299, 10, 65, "Output"],
Cell[168614, 5305, 243, 8, 65, "Output"],
Cell[168860, 5315, 326, 11, 65, "Output"]
}, Open  ]],
Cell[169201, 5329, 1473, 57, 366, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[170699, 5390, 91, 5, 88, "Input"],
Cell[170793, 5397, 72, 1, 42, "Output"]
}, Open  ]],
Cell[170880, 5401, 195, 7, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[171100, 5412, 83, 1, 43, "Input"],
Cell[171186, 5415, 5184, 132, 402, "Output"]
}, Open  ]],
Cell[176385, 5550, 975, 36, 164, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[177385, 5590, 91, 5, 88, "Input"],
Cell[177479, 5597, 72, 1, 42, "Output"]
}, Open  ]],
Cell[177566, 5601, 212, 7, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[177803, 5612, 196, 6, 43, "Input"],
Cell[178002, 5620, 5166, 130, 402, "Output"]
}, Open  ]],
Cell[183183, 5753, 305, 8, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[183513, 5765, 110, 4, 66, "Input"],
Cell[183626, 5771, 1093, 32, 193, "Output"]
}, Open  ]],
Cell[184734, 5806, 172, 5, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[184931, 5815, 51, 1, 43, "Input"],
Cell[184985, 5818, 8533, 154, 189, 2621, 56, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[193533, 5975, 665, 19, 215, "Text",
 Evaluatable->False],
Cell[194201, 5996, 45, 1, 43, "Input"],
Cell[194249, 5999, 2079, 62, 476, "Text",
 Evaluatable->False],
Cell[196331, 6063, 1108, 38, 195, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[197464, 6105, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[197552, 6109, 5624, 205, 602, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[203191, 6317, 3229, 107, 660, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[206445, 6428, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[206533, 6432, 6728, 233, 630, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[213276, 6668, 510, 13, 164, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[213811, 6685, 128, 2, 43, "Input"],
Cell[213942, 6689, 576, 19, 105, "Output"]
}, Open  ]],
Cell[214533, 6711, 567, 19, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[215125, 6734, 127, 2, 43, "Input"],
Cell[215255, 6738, 2384, 81, 396, "Output"]
}, Open  ]],
Cell[217654, 6822, 397, 11, 164, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[218076, 6837, 130, 2, 43, "Input"],
Cell[218209, 6841, 12040, 349, 2383, "Output"]
}, Open  ]],
Cell[230264, 7193, 730, 24, 215, "Text",
 Evaluatable->False],
Cell[230997, 7219, 41, 1, 43, "Input"],
Cell[231041, 7222, 385, 10, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[231451, 7236, 130, 2, 43, "Input"],
Cell[231584, 7240, 1241, 43, 164, "Output"]
}, Open  ]],
Cell[232840, 7286, 509, 15, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[233374, 7305, 43, 1, 43, "Input"],
Cell[233420, 7308, 970, 25, 143, "Output"]
}, Open  ]],
Cell[234405, 7336, 154, 6, 41, "Text",
 Evaluatable->False],
Cell[234562, 7344, 583, 14, 213, "Text",
 Evaluatable->False]
}, Open  ]],
Cell[CellGroupData[{
Cell[235182, 7363, 113, 2, 143, "Section",
 Evaluatable->False],
Cell[235298, 7367, 2906, 91, 800, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[238229, 7462, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[238317, 7466, 5628, 198, 522, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[243960, 7667, 1062, 33, 294, "Text",
 Evaluatable->False],
Cell[245025, 7702, 52, 1, 43, "Input"],
Cell[245080, 7705, 232, 9, 41, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[245337, 7718, 54, 1, 43, "Input"],
Cell[245394, 7721, 148, 4, 65, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[245579, 7730, 50, 1, 43, "Input"],
Cell[245632, 7733, 135, 4, 62, "Output"]
}, Open  ]],
Cell[245782, 7740, 196, 7, 66, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[246003, 7751, 95, 2, 43, "Input"],
Cell[246101, 7755, 113, 3, 45, "Output"]
}, Open  ]],
Cell[246229, 7761, 200, 7, 66, "Text",
 Evaluatable->False],
Cell[246432, 7770, 53, 1, 43, "Input"],
Cell[246488, 7773, 452, 17, 43, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[246965, 7794, 98, 2, 43, "Input"],
Cell[247066, 7798, 139, 4, 45, "Output"]
}, Open  ]],
Cell[247220, 7805, 1358, 48, 311, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[248603, 7857, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[248691, 7861, 1818, 64, 141, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[250524, 7928, 2297, 79, 344, "Text"],
Cell[CellGroupData[{
Cell[252846, 8011, 5397, 151, 1215, "Input"],
Cell[258246, 8164, 1842, 37, 388, "Output"]
}, Open  ]],
Cell[260103, 8204, 1028, 32, 227, "Text"],
Cell[261134, 8238, 75, 4, 66, "Input"],
Cell[261212, 8244, 305, 10, 43, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[261542, 8258, 96, 2, 43, "Input"],
Cell[261641, 8262, 132, 4, 45, "Output"]
}, Open  ]],
Cell[261788, 8269, 180, 7, 41, "Text",
 Evaluatable->False],
Cell[261971, 8278, 131, 5, 66, "Input"],
Cell[262105, 8285, 540, 18, 84, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[262670, 8307, 99, 2, 43, "Input"],
Cell[262772, 8311, 427, 15, 60, "Output"]
}, Open  ]],
Cell[263214, 8329, 367, 11, 97, "Text",
 Evaluatable->False],
Cell[263584, 8342, 163, 6, 66, "Text"],
Cell[CellGroupData[{
Cell[263772, 8352, 4973, 141, 989, "Input"],
Cell[268748, 8495, 11403, 196, 385, 1337, 29, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[280166, 8694, 254, 4, 139, "Text"],
Cell[280423, 8700, 3387, 100, 972, "Text"],
Cell[283813, 8802, 841, 34, 139, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[284679, 8840, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[284767, 8844, 3822, 151, 333, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[288604, 8998, 802, 32, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[289431, 9034, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[289519, 9038, 7058, 257, 674, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[296592, 9298, 1752, 67, 335, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[298369, 9369, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[298457, 9373, 5744, 227, 542, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[304216, 9603, 996, 38, 164, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[305237, 9645, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[305325, 9649, 6397, 239, 629, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[311737, 9891, 2149, 75, 482, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[313911, 9970, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[313999, 9974, 3830, 151, 423, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[317844, 10128, 1160, 20, 564, "Text",
 Evaluatable->False]
}, Open  ]],
Cell[CellGroupData[{
Cell[319041, 10153, 121, 2, 143, "Section",
 Evaluatable->False],
Cell[319165, 10157, 533, 11, 188, "Text",
 Evaluatable->False],
Cell[319701, 10170, 769, 27, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[320495, 10201, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[320583, 10205, 3589, 138, 295, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[324187, 10346, 185, 5, 66, "Text",
 Evaluatable->False],
Cell[324375, 10353, 1556, 51, 264, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[325956, 10408, 146, 2, 43, "Input"],
Cell[326105, 10412, 838, 33, 195, "Output"]
}, Open  ]],
Cell[326958, 10448, 2156, 67, 454, "Text",
 Evaluatable->False],
Cell[329117, 10517, 306, 8, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[329448, 10529, 128, 2, 43, "Input"],
Cell[329579, 10533, 2619, 89, 396, "Output"]
}, Open  ]],
Cell[332213, 10625, 1967, 53, 572, "Text",
 Evaluatable->False],
Cell[334183, 10680, 734, 26, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[334942, 10710, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[335030, 10714, 7771, 275, 796, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[342816, 10992, 668, 12, 262, "Text",
 Evaluatable->False],
Cell[343487, 11006, 809, 29, 143, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[344321, 11039, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[344409, 11043, 10428, 339, 1391, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[354852, 11385, 302, 6, 139, "Text",
 Evaluatable->False],
Cell[355157, 11393, 670, 19, 164, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[355852, 11416, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[355940, 11420, 1369, 44, 162, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[357324, 11467, 536, 14, 141, "Text",
 Evaluatable->False],
Cell[357863, 11483, 129, 2, 43, "Input"],
Cell[CellGroupData[{
Cell[358017, 11489, 182, 4, 43, "Input"],
Cell[358202, 11495, 148, 3, 45, "Output"]
}, Open  ]],
Cell[358365, 11501, 200, 5, 43, "Input"],
Cell[CellGroupData[{
Cell[358590, 11510, 207, 6, 43, "Input"],
Cell[358800, 11518, 522, 17, 72, "Output"]
}, Open  ]],
Cell[359337, 11538, 420, 13, 71, "Input"],
Cell[CellGroupData[{
Cell[359782, 11555, 219, 6, 43, "Input"],
Cell[360004, 11563, 838, 27, 101, "Output"]
}, Open  ]],
Cell[360857, 11593, 764, 23, 152, "Input"],
Cell[CellGroupData[{
Cell[361646, 11620, 228, 6, 43, "Input"],
Cell[361877, 11628, 741, 24, 101, "Output"]
}, Open  ]],
Cell[362633, 11655, 603, 17, 125, "Input"],
Cell[CellGroupData[{
Cell[363261, 11676, 239, 6, 43, "Input"],
Cell[363503, 11684, 485, 16, 68, "Output"]
}, Open  ]],
Cell[364003, 11703, 513, 13, 139, "Text",
 Evaluatable->False],
Cell[364519, 11718, 336, 8, 115, "Text",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[364880, 11730, 85, 2, 42, "Subsubsection",
 Evaluatable->False],
Cell[364968, 11734, 922, 26, 166, "SmallText",
 Evaluatable->False]
}, Open  ]],
Cell[365905, 11763, 1555, 36, 654, "Text",
 Evaluatable->False]
}, Open  ]],
Cell[CellGroupData[{
Cell[367497, 11804, 211, 7, 105, "Section",
 Evaluatable->False],
Cell[367711, 11813, 156, 6, 40, "Input"],
Cell[367870, 11821, 753, 21, 190, "Text",
 Evaluatable->False],
Cell[368626, 11844, 43, 1, 43, "Input"],
Cell[368672, 11847, 330, 10, 43, "Text",
 Evaluatable->False],
Cell[369005, 11859, 49, 1, 43, "Input"],
Cell[369057, 11862, 359, 11, 43, "Text",
 Evaluatable->False],
Cell[369419, 11875, 47, 1, 43, "Input"],
Cell[369469, 11878, 584, 17, 43, "Text",
 Evaluatable->False],
Cell[370056, 11897, 46, 1, 43, "Input"],
Cell[370105, 11900, 363, 12, 43, "Text",
 Evaluatable->False],
Cell[370471, 11914, 47, 1, 43, "Input"],
Cell[370521, 11917, 541, 18, 43, "Text",
 Evaluatable->False],
Cell[371065, 11937, 48, 1, 43, "Input"],
Cell[371116, 11940, 564, 16, 117, "Text",
 Evaluatable->False],
Cell[371683, 11958, 47, 1, 43, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
